/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */

/**
 * @preserve FastClick: polyfill to remove click delays on browsers with touch UIs.
 *
 * @codingstandard ftlabs-jsv2
 * @copyright The Financial Times Limited [All Rights Reserved]
 * @license MIT License (see LICENSE.txt)
 */

/*!
  * domready (c) Dustin Diaz 2014 - License MIT
  */

/*
 * $Id: base64.js,v 2.15 2014/04/05 12:58:57 dankogai Exp dankogai $
 *
 *  Licensed under the MIT license.
 *    http://opensource.org/licenses/mit-license
 *
 *  References:
 *    http://en.wikipedia.org/wiki/Base64
 */

/*!
 *
 * Copyright 2009-2012 Kris Kowal under the terms of the MIT
 * license found at http://github.com/kriskowal/q/raw/master/LICENSE
 *
 * With parts by Tyler Close
 * Copyright 2007-2009 Tyler Close under the terms of the MIT X license found
 * at http://www.opensource.org/licenses/mit-license.html
 * Forked at ref_send.js version: 2009-05-11
 *
 * With parts by Mark Miller
 * Copyright (C) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*!
  * Reqwest! A general purpose XHR connection manager
  * license MIT (c) Dustin Diaz 2014
  * https://github.com/ded/reqwest
  */

(function(e){if(typeof exports=="object"&&typeof module!="undefined")module.exports=e();else if(typeof define=="function"&&define.amd)define([],e);else{var t;typeof window!="undefined"?t=window:typeof global!="undefined"?t=global:typeof self!="undefined"?t=self:t=this,t.insurance=e()}})(function(){var define,module,exports;return function e(t,n,r){function i(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(s)return s(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var s=typeof require=="function"&&require;for(var o=0;o<r.length;o++)i(r[o]);return i}({1:[function(e,t,n){(function(t){"use strict";function u(){function e(){}try{var t=new Uint8Array(1);return t.foo=function(){return 42},t.constructor=e,t.foo()===42&&t.constructor===e&&typeof t.subarray=="function"&&t.subarray(1,1).byteLength===0}catch(n){return!1}}function a(){return f.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function f(e){return this instanceof f?(f.TYPED_ARRAY_SUPPORT||(this.length=0,this.parent=undefined),typeof e=="number"?l(this,e):typeof e=="string"?c(this,e,arguments.length>1?arguments[1]:"utf8"):h(this,e)):arguments.length>1?new f(e,arguments[1]):new f(e)}function l(e,t){e=b(e,t<0?0:w(t)|0);if(!f.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;n++)e[n]=0;return e}function c(e,t,n){if(typeof n!="string"||n==="")n="utf8";var r=S(t,n)|0;return e=b(e,r),e.write(t,n),e}function h(e,t){if(f.isBuffer(t))return p(e,t);if(s(t))return d(e,t);if(t==null)throw new TypeError("must start with number, buffer, array or string");if(typeof ArrayBuffer!="undefined"){if(t.buffer instanceof ArrayBuffer)return v(e,t);if(t instanceof ArrayBuffer)return m(e,t)}return t.length?g(e,t):y(e,t)}function p(e,t){var n=w(t.length)|0;return e=b(e,n),t.copy(e,0,0,n),e}function d(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function v(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function m(e,t){return f.TYPED_ARRAY_SUPPORT?(t.byteLength,e=f._augment(new Uint8Array(t))):e=v(e,new Uint8Array(t)),e}function g(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function y(e,t){var n,r=0;t.type==="Buffer"&&s(t.data)&&(n=t.data,r=w(n.length)|0),e=b(e,r);for(var i=0;i<r;i+=1)e[i]=n[i]&255;return e}function b(e,t){f.TYPED_ARRAY_SUPPORT?(e=f._augment(new Uint8Array(t)),e.__proto__=f.prototype):(e.length=t,e._isBuffer=!0);var n=t!==0&&t<=f.poolSize>>>1;return n&&(e.parent=o),e}function w(e){if(e>=a())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a().toString(16)+" bytes");return e|0}function E(e,t){if(this instanceof E){var n=new f(e,t);return delete n.parent,n}return new E(e,t)}function S(e,t){typeof e!="string"&&(e=""+e);var n=e.length;if(n===0)return 0;var r=!1;for(;;)switch(t){case"ascii":case"binary":case"raw":case"raws":return n;case"utf8":case"utf-8":return Q(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return Z(e).length;default:if(r)return Q(e).length;t=(""+t).toLowerCase(),r=!0}}function x(e,t,n){var r=!1;t|=0,n=n===undefined||n===Infinity?this.length:n|0,e||(e="utf8"),t<0&&(t=0),n>this.length&&(n=this.length);if(n<=t)return"";for(;;)switch(e){case"hex":return B(this,t,n);case"utf8":case"utf-8":return M(this,t,n);case"ascii":return P(this,t,n);case"binary":return H(this,t,n);case"base64":return O(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return j(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function T(e,t,n,r){n=Number(n)||0;var i=e.length-n;r?(r=Number(r),r>i&&(r=i)):r=i;var s=t.length;if(s%2!==0)throw new Error("Invalid hex string");r>s/2&&(r=s/2);for(var o=0;o<r;o++){var u=parseInt(t.substr(o*2,2),16);if(isNaN(u))throw new Error("Invalid hex string");e[n+o]=u}return o}function N(e,t,n,r){return et(Q(t,e.length-n),e,n,r)}function C(e,t,n,r){return et(G(t),e,n,r)}function k(e,t,n,r){return C(e,t,n,r)}function L(e,t,n,r){return et(Z(t),e,n,r)}function A(e,t,n,r){return et(Y(t,e.length-n),e,n,r)}function O(e,t,n){return t===0&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function M(e,t,n){n=Math.min(e.length,n);var r=[],i=t;while(i<n){var s=e[i],o=null,u=s>239?4:s>223?3:s>191?2:1;if(i+u<=n){var a,f,l,c;switch(u){case 1:s<128&&(o=s);break;case 2:a=e[i+1],(a&192)===128&&(c=(s&31)<<6|a&63,c>127&&(o=c));break;case 3:a=e[i+1],f=e[i+2],(a&192)===128&&(f&192)===128&&(c=(s&15)<<12|(a&63)<<6|f&63,c>2047&&(c<55296||c>57343)&&(o=c));break;case 4:a=e[i+1],f=e[i+2],l=e[i+3],(a&192)===128&&(f&192)===128&&(l&192)===128&&(c=(s&15)<<18|(a&63)<<12|(f&63)<<6|l&63,c>65535&&c<1114112&&(o=c))}}o===null?(o=65533,u=1):o>65535&&(o-=65536,r.push(o>>>10&1023|55296),o=56320|o&1023),r.push(o),i+=u}return D(r)}function D(e){var t=e.length;if(t<=_)return String.fromCharCode.apply(String,e);var n="",r=0;while(r<t)n+=String.fromCharCode.apply(String,e.slice(r,r+=_));return n}function P(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]&127);return r}function H(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]);return r}function B(e,t,n){var r=e.length;if(!t||t<0)t=0;if(!n||n<0||n>r)n=r;var i="";for(var s=t;s<n;s++)i+=K(e[s]);return i}function j(e,t,n){var r=e.slice(t,n),i="";for(var s=0;s<r.length;s+=2)i+=String.fromCharCode(r[s]+r[s+1]*256);return i}function F(e,t,n){if(e%1!==0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function I(e,t,n,r,i,s){if(!f.isBuffer(e))throw new TypeError("buffer must be a Buffer instance");if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range")}function q(e,t,n,r){t<0&&(t=65535+t+1);for(var i=0,s=Math.min(e.length-n,2);i<s;i++)e[n+i]=(t&255<<8*(r?i:1-i))>>>(r?i:1-i)*8}function R(e,t,n,r){t<0&&(t=4294967295+t+1);for(var i=0,s=Math.min(e.length-n,4);i<s;i++)e[n+i]=t>>>(r?i:3-i)*8&255}function U(e,t,n,r,i,s){if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range");if(n<0)throw new RangeError("index out of range")}function z(e,t,n,r,s){return s||U(e,t,n,4,3.4028234663852886e38,-3.4028234663852886e38),i.write(e,t,n,r,23,4),n+4}function W(e,t,n,r,s){return s||U(e,t,n,8,1.7976931348623157e308,-1.7976931348623157e308),i.write(e,t,n,r,52,8),n+8}function $(e){e=J(e).replace(V,"");if(e.length<2)return"";while(e.length%4!==0)e+="=";return e}function J(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}function K(e){return e<16?"0"+e.toString(16):e.toString(16)}function Q(e,t){t=t||Infinity;var n,r=e.length,i=null,s=[];for(var o=0;o<r;o++){n=e.charCodeAt(o);if(n>55295&&n<57344){if(!i){if(n>56319){(t-=3)>-1&&s.push(239,191,189);continue}if(o+1===r){(t-=3)>-1&&s.push(239,191,189);continue}i=n;continue}if(n<56320){(t-=3)>-1&&s.push(239,191,189),i=n;continue}n=(i-55296<<10|n-56320)+65536}else i&&(t-=3)>-1&&s.push(239,191,189);i=null;if(n<128){if((t-=1)<0)break;s.push(n)}else if(n<2048){if((t-=2)<0)break;s.push(n>>6|192,n&63|128)}else if(n<65536){if((t-=3)<0)break;s.push(n>>12|224,n>>6&63|128,n&63|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;s.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}}return s}function G(e){var t=[];for(var n=0;n<e.length;n++)t.push(e.charCodeAt(n)&255);return t}function Y(e,t){var n,r,i,s=[];for(var o=0;o<e.length;o++){if((t-=2)<0)break;n=e.charCodeAt(o),r=n>>8,i=n%256,s.push(i),s.push(r)}return s}function Z(e){return r.toByteArray($(e))}function et(e,t,n,r){for(var i=0;i<r;i++){if(i+n>=t.length||i>=e.length)break;t[i+n]=e[i]}return i}var r=e("base64-js"),i=e("ieee754"),s=e("isarray");n.Buffer=f,n.SlowBuffer=E,n.INSPECT_MAX_BYTES=50,f.poolSize=8192;var o={};f.TYPED_ARRAY_SUPPORT=t.TYPED_ARRAY_SUPPORT!==undefined?t.TYPED_ARRAY_SUPPORT:u(),f.TYPED_ARRAY_SUPPORT?(f.prototype.__proto__=Uint8Array.prototype,f.__proto__=Uint8Array):(f.prototype.length=undefined,f.prototype.parent=undefined),f.isBuffer=function(t){return t!=null&&!!t._isBuffer},f.compare=function(t,n){if(!f.isBuffer(t)||!f.isBuffer(n))throw new TypeError("Arguments must be Buffers");if(t===n)return 0;var r=t.length,i=n.length,s=0,o=Math.min(r,i);while(s<o){if(t[s]!==n[s])break;++s}return s!==o&&(r=t[s],i=n[s]),r<i?-1:i<r?1:0},f.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"raw":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},f.concat=function(t,n){if(!s(t))throw new TypeError("list argument must be an Array of Buffers.");if(t.length===0)return new f(0);var r;if(n===undefined){n=0;for(r=0;r<t.length;r++)n+=t[r].length}var i=new f(n),o=0;for(r=0;r<t.length;r++){var u=t[r];u.copy(i,o),o+=u.length}return i},f.byteLength=S,f.prototype.toString=function tt(){var e=this.length|0;return e===0?"":arguments.length===0?M(this,0,e):x.apply(this,arguments)},f.prototype.equals=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?!0:f.compare(this,t)===0},f.prototype.inspect=function(){var t="",r=n.INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,r).match(/.{2}/g).join(" "),this.length>r&&(t+=" ... ")),"<Buffer "+t+">"},f.prototype.compare=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?0:f.compare(this,t)},f.prototype.indexOf=function(t,n){function r(e,t,n){var r=-1;for(var i=0;n+i<e.length;i++)if(e[n+i]===t[r===-1?0:i-r]){r===-1&&(r=i);if(i-r+1===t.length)return n+r}else r=-1;return-1}n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n>>=0;if(this.length===0)return-1;if(n>=this.length)return-1;n<0&&(n=Math.max(this.length+n,0));if(typeof t=="string")return t.length===0?-1:String.prototype.indexOf.call(this,t,n);if(f.isBuffer(t))return r(this,t,n);if(typeof t=="number")return f.TYPED_ARRAY_SUPPORT&&Uint8Array.prototype.indexOf==="function"?Uint8Array.prototype.indexOf.call(this,t,n):r(this,[t],n);throw new TypeError("val must be string, number or Buffer")},f.prototype.get=function(t){return console.log(".get() is deprecated. Access using array indexes instead."),this.readUInt8(t)},f.prototype.set=function(t,n){return console.log(".set() is deprecated. Access using array indexes instead."),this.writeUInt8(t,n)},f.prototype.write=function(t,n,r,i){if(n===undefined)i="utf8",r=this.length,n=0;else if(r===undefined&&typeof n=="string")i=n,r=this.length,n=0;else if(isFinite(n))n|=0,isFinite(r)?(r|=0,i===undefined&&(i="utf8")):(i=r,r=undefined);else{var s=i;i=n,n=r|0,r=s}var o=this.length-n;if(r===undefined||r>o)r=o;if(t.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("attempt to write outside buffer bounds");i||(i="utf8");var u=!1;for(;;)switch(i){case"hex":return T(this,t,n,r);case"utf8":case"utf-8":return N(this,t,n,r);case"ascii":return C(this,t,n,r);case"binary":return k(this,t,n,r);case"base64":return L(this,t,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return A(this,t,n,r);default:if(u)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),u=!0}},f.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var _=4096;f.prototype.slice=function(t,n){var r=this.length;t=~~t,n=n===undefined?r:~~n,t<0?(t+=r,t<0&&(t=0)):t>r&&(t=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<t&&(n=t);var i;if(f.TYPED_ARRAY_SUPPORT)i=f._augment(this.subarray(t,n));else{var s=n-t;i=new f(s,undefined);for(var o=0;o<s;o++)i[o]=this[o+t]}return i.length&&(i.parent=this.parent||this),i},f.prototype.readUIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return i},f.prototype.readUIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t+ --n],s=1;while(n>0&&(s*=256))i+=this[t+ --n]*s;return i},f.prototype.readUInt8=function(t,n){return n||F(t,1,this.length),this[t]},f.prototype.readUInt16LE=function(t,n){return n||F(t,2,this.length),this[t]|this[t+1]<<8},f.prototype.readUInt16BE=function(t,n){return n||F(t,2,this.length),this[t]<<8|this[t+1]},f.prototype.readUInt32LE=function(t,n){return n||F(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+this[t+3]*16777216},f.prototype.readUInt32BE=function(t,n){return n||F(t,4,this.length),this[t]*16777216+(this[t+1]<<16|this[t+2]<<8|this[t+3])},f.prototype.readIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return s*=128,i>=s&&(i-=Math.pow(2,8*n)),i},f.prototype.readIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=n,s=1,o=this[t+ --i];while(i>0&&(s*=256))o+=this[t+ --i]*s;return s*=128,o>=s&&(o-=Math.pow(2,8*n)),o},f.prototype.readInt8=function(t,n){return n||F(t,1,this.length),this[t]&128?(255-this[t]+1)*-1:this[t]},f.prototype.readInt16LE=function(t,n){n||F(t,2,this.length);var r=this[t]|this[t+1]<<8;return r&32768?r|4294901760:r},f.prototype.readInt16BE=function(t,n){n||F(t,2,this.length);var r=this[t+1]|this[t]<<8;return r&32768?r|4294901760:r},f.prototype.readInt32LE=function(t,n){return n||F(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},f.prototype.readInt32BE=function(t,n){return n||F(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},f.prototype.readFloatLE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!0,23,4)},f.prototype.readFloatBE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!1,23,4)},f.prototype.readDoubleLE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!0,52,8)},f.prototype.readDoubleBE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!1,52,8)},f.prototype.writeUIntLE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=1,o=0;this[n]=t&255;while(++o<r&&(s*=256))this[n+o]=t/s&255;return n+r},f.prototype.writeUIntBE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=r-1,o=1;this[n+s]=t&255;while(--s>=0&&(o*=256))this[n+s]=t/o&255;return n+r},f.prototype.writeUInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,255,0),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[n]=t&255,n+1},f.prototype.writeUInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeUInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeUInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n+3]=t>>>24,this[n+2]=t>>>16,this[n+1]=t>>>8,this[n]=t&255):R(this,t,n,!0),n+4},f.prototype.writeUInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeIntLE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=0,u=1,a=t<0?1:0;this[n]=t&255;while(++o<r&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeIntBE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=r-1,u=1,a=t<0?1:0;this[n+o]=t&255;while(--o>=0&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,127,-128),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[n]=t&255,n+1},f.prototype.writeInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8,this[n+2]=t>>>16,this[n+3]=t>>>24):R(this,t,n,!0),n+4},f.prototype.writeInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeFloatLE=function(t,n,r){return z(this,t,n,!0,r)},f.prototype.writeFloatBE=function(t,n,r){return z(this,t,n,!1,r)},f.prototype.writeDoubleLE=function(t,n,r){return W(this,t,n,!0,r)},f.prototype.writeDoubleBE=function(t,n,r){return W(this,t,n,!1,r)},f.prototype.copy=function(t,n,r,i){r||(r=0),!i&&i!==0&&(i=this.length),n>=t.length&&(n=t.length),n||(n=0),i>0&&i<r&&(i=r);if(i===r)return 0;if(t.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-n<i-r&&(i=t.length-n+r);var s=i-r,o;if(this===t&&r<n&&n<i)for(o=s-1;o>=0;o--)t[o+n]=this[o+r];else if(s<1e3||!f.TYPED_ARRAY_SUPPORT)for(o=0;o<s;o++)t[o+n]=this[o+r];else t._set(this.subarray(r,r+s),n);return s},f.prototype.fill=function(t,n,r){t||(t=0),n||(n=0),r||(r=this.length);if(r<n)throw new RangeError("end < start");if(r===n)return;if(this.length===0)return;if(n<0||n>=this.length)throw new RangeError("start out of bounds");if(r<0||r>this.length)throw new RangeError("end out of bounds");var i;if(typeof t=="number")for(i=n;i<r;i++)this[i]=t;else{var s=Q(t.toString()),o=s.length;for(i=n;i<r;i++)this[i]=s[i%o]}return this},f.prototype.toArrayBuffer=function(){if(typeof Uint8Array!="undefined"){if(f.TYPED_ARRAY_SUPPORT)return(new f(this)).buffer;var t=new Uint8Array(this.length);for(var n=0,r=t.length;n<r;n+=1)t[n]=this[n];return t.buffer}throw new TypeError("Buffer.toArrayBuffer not supported in this browser")};var X=f.prototype;f._augment=function(t){return t.constructor=f,t._isBuffer=!0,t._set=t.set,t.get=X.get,t.set=X.set,t.write=X.write,t.toString=X.toString,t.toLocaleString=X.toString,t.toJSON=X.toJSON,t.equals=X.equals,t.compare=X.compare,t.indexOf=X.indexOf,t.copy=X.copy,t.slice=X.slice,t.readUIntLE=X.readUIntLE,t.readUIntBE=X.readUIntBE,t.readUInt8=X.readUInt8,t.readUInt16LE=X.readUInt16LE,t.readUInt16BE=X.readUInt16BE,t.readUInt32LE=X.readUInt32LE,t.readUInt32BE=X.readUInt32BE,t.readIntLE=X.readIntLE,t.readIntBE=X.readIntBE,t.readInt8=X.readInt8,t.readInt16LE=X.readInt16LE,t.readInt16BE=X.readInt16BE,t.readInt32LE=X.readInt32LE,t.readInt32BE=X.readInt32BE,t.readFloatLE=X.readFloatLE,t.readFloatBE=X.readFloatBE,t.readDoubleLE=X.readDoubleLE,t.readDoubleBE=X.readDoubleBE,t.writeUInt8=X.writeUInt8,t.writeUIntLE=X.writeUIntLE,t.writeUIntBE=X.writeUIntBE,t.writeUInt16LE=X.writeUInt16LE,t.writeUInt16BE=X.writeUInt16BE,t.writeUInt32LE=X.writeUInt32LE,t.writeUInt32BE=X.writeUInt32BE,t.writeIntLE=X.writeIntLE,t.writeIntBE=X.writeIntBE,t.writeInt8=X.writeInt8,t.writeInt16LE=X.writeInt16LE,t.writeInt16BE=X.writeInt16BE,t.writeInt32LE=X.writeInt32LE,t.writeInt32BE=X.writeInt32BE,t.writeFloatLE=X.writeFloatLE,t.writeFloatBE=X.writeFloatBE,t.writeDoubleLE=X.writeDoubleLE,t.writeDoubleBE=X.writeDoubleBE,t.fill=X.fill,t.inspect=X.inspect,t.toArrayBuffer=X.toArrayBuffer,t};var V=/[^+\/0-9A-Za-z-_]/g}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{"base64-js":2,ieee754:3,isarray:4}],2:[function(e,t,n){var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";(function(e){function l(e){var t=e.charCodeAt(0);if(t===n||t===a)return 62;if(t===i||t===f)return 63;if(t<s)return-1;if(t<s+10)return t-s+26+26;if(t<u+26)return t-u;if(t<o+26)return t-o+26}function c(e){function c(e){u[f++]=e}var n,r,i,s,o,u;if(e.length%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var a=e.length;o="="===e.charAt(a-2)?2:"="===e.charAt(a-1)?1:0,u=new t(e.length*3/4-o),i=o>0?e.length-4:e.length;var f=0;for(n=0,r=0;n<i;n+=4,r+=3)s=l(e.charAt(n))<<18|l(e.charAt(n+1))<<12|l(e.charAt(n+2))<<6|l(e.charAt(n+3)),c((s&16711680)>>16),c((s&65280)>>8),c(s&255);return o===2?(s=l(e.charAt(n))<<2|l(e.charAt(n+1))>>4,c(s&255)):o===1&&(s=l(e.charAt(n))<<10|l(e.charAt(n+1))<<4|l(e.charAt(n+2))>>2,c(s>>8&255),c(s&255)),u}function h(e){function u(e){return r.charAt(e)}function a(e){return u(e>>18&63)+u(e>>12&63)+u(e>>6&63)+u(e&63)}var t,n=e.length%3,i="",s,o;for(t=0,o=e.length-n;t<o;t+=3)s=(e[t]<<16)+(e[t+1]<<8)+e[t+2],i+=a(s);switch(n){case 1:s=e[e.length-1],i+=u(s>>2),i+=u(s<<4&63),i+="==";break;case 2:s=(e[e.length-2]<<8)+e[e.length-1],i+=u(s>>10),i+=u(s>>4&63),i+=u(s<<2&63),i+="="}return i}var t=typeof Uint8Array!="undefined"?Uint8Array:Array,n="+".charCodeAt(0),i="/".charCodeAt(0),s="0".charCodeAt(0),o="a".charCodeAt(0),u="A".charCodeAt(0),a="-".charCodeAt(0),f="_".charCodeAt(0);e.toByteArray=c,e.fromByteArray=h})(typeof n=="undefined"?this.base64js={}:n)},{}],3:[function(e,t,n){n.read=function(e,t,n,r,i){var s,o,u=i*8-r-1,a=(1<<u)-1,f=a>>1,l=-7,c=n?i-1:0,h=n?-1:1,p=e[t+c];c+=h,s=p&(1<<-l)-1,p>>=-l,l+=u;for(;l>0;s=s*256+e[t+c],c+=h,l-=8);o=s&(1<<-l)-1,s>>=-l,l+=r;for(;l>0;o=o*256+e[t+c],c+=h,l-=8);if(s===0)s=1-f;else{if(s===a)return o?NaN:(p?-1:1)*Infinity;o+=Math.pow(2,r),s-=f}return(p?-1:1)*o*Math.pow(2,s-r)},n.write=function(e,t,n,r,i,s){var o,u,a,f=s*8-i-1,l=(1<<f)-1,c=l>>1,h=i===23?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:s-1,d=r?1:-1,v=t<0||t===0&&1/t<0?1:0;t=Math.abs(t),isNaN(t)||t===Infinity?(u=isNaN(t)?1:0,o=l):(o=Math.floor(Math.log(t)/Math.LN2),t*(a=Math.pow(2,-o))<1&&(o--,a*=2),o+c>=1?t+=h/a:t+=h*Math.pow(2,1-c),t*a>=2&&(o++,a/=2),o+c>=l?(u=0,o=l):o+c>=1?(u=(t*a-1)*Math.pow(2,i),o+=c):(u=t*Math.pow(2,c-1)*Math.pow(2,i),o=0));for(;i>=8;e[n+p]=u&255,p+=d,u/=256,i-=8);o=o<<i|u,f+=i;for(;f>0;e[n+p]=o&255,p+=d,o/=256,f-=8);e[n+p-d]|=v*128}},{}],4:[function(e,t,n){var r={}.toString;t.exports=Array.isArray||function(e){return r.call(e)=="[object Array]"}},{}],5:[function(e,t,n){function o(){if(s)return;s=!0;var e,t=i.length;while(t){e=i,i=[];var n=-1;while(++n<t)e[n]();t=i.length}s=!1}function u(){}var r=t.exports={},i=[],s=!1;r.nextTick=function(e){i.push(e),s||setTimeout(o,0)},r.title="browser",r.browser=!0,r.env={},r.argv=[],r.version="",r.versions={},r.on=u,r.addListener=u,r.once=u,r.off=u,r.removeListener=u,r.removeAllListeners=u,r.emit=u,r.binding=function(e){throw new Error("process.binding is not supported")},r.cwd=function(){return"/"},r.chdir=function(e){throw new Error("process.chdir is not supported")},r.umask=function(){return 0}},{}],6:[function(e,t,n){function f(){this.openNum=0}var r=e("reqwest"),i=e("q"),s=e("lodash/object/merge"),o=new(e("./urls")),u=new(e("./mask")),a=new(e("../alerts/alerts"));f.prototype.request=function(e,t,n,a){var f=this;e=s({method:"post",type:"json",crossOrigin:!0,timeout:6e4},e),e.url=o.getUrl(e.url),e.data||(e.data={}),typeof PAWA=="undefined"&&(e.data.weixin="1"),u.startMask(),i.fcall(function(){return r(e)}).then(function(e){f.succ(e,t,a,n)}).then(null,function(e){f.err(e,n,a)}).fin(function(){u.endMask()})},f.prototype.succ=function(e,t,n,r){var i=e.returnFlag,s=e.returnMsg;if(i=="200"||i=="60000"||typeof i=="undefined"){if(i=="60000"&&s=="生效日期不能在当前日期之前！"){a.alert(s,null,"贴心小提示");return}i=="50001"&&typeof PAWA!="undefined"&&PAWA.App.sender.setUrl({isHome:1,isLogin:1,currentUrl:location.hash}),t&&t.call(n,e)}else a.alert(s,function(){r&&r.call(n,s)},"贴心小提示")},f.prototype.err=function(e,t,n){console.error(e);if(t){t.call(n,e);return}},f.prototype.startMaskPattern=function(){console.log("--打开蒙板")},f.prototype.closeMaskPattern=function(){console.log("--关闭蒙版")},f.prototype.extend=function(e){var t=Object.keys(e);for(var n=0;n<t.length;n++)this[t[n]]=e[t[n]]},t.exports=f},{"../alerts/alerts":9,"./mask":7,"./urls":8,"lodash/object/merge":113,q:118,reqwest:119}],7:[function(e,t,n){function s(){}var r=e("../toast/toast"),i=new r;s.prototype={index:0,startMask:function(e){s.prototype.index===0&&(i.showMasking(e),i.showLoadingToast("正在处理，请稍候...")),s.prototype.index++},endMask:function(){s.prototype.index<=1&&(i.hideMasking(),i.hideLoadingToast(),s.prototype.index=1),s.prototype.index--}},t.exports=s},{"../toast/toast":17}],8:[function(e,t,n){function r(){this._urls={insuredPolicyListQuery:"/m/insuredPolicyListQuery.doh",searchCommonConfigByProductId:"/m/present/insurance/searchCommonConfigByProductId.dox",getUser:"/m/do/insurer/getUserForInsurer",noSaling:"/m/noSaling.dox",underWriting:"/m/do/underWriting/check",quotePI000048:"/m/do/quote/PI000048",createOrderPI000048:"/m/do/createOrder/PI000048",insurantAdd:"/m/do/insurant/add",holderAdd:"/m/do/insurer/add",getContacts:"/m/do/insurant/searchInsurants",weChatPayUnifiedOrder:"/m/weChatPayUnifiedOrder.dox",saveInvoiceInfo:"/m/do/saveInvoiceInfo",querySubBankList:"/m/querySubBankList.dox",saveRenewalInsurance:"/m/saveRenewalInsurance.dox",weixinPay:"/m/weChatPayUnifiedOrder.dox",getSharePattern:"/m/getSharePattern.dox",checkGCodeAction:"/m/checkGCodeAction.dox",saveShareNote:"/m/saveShareNote.dox",queryShareNote:"/m/queryShareNote.dox",saveHealthNotice:"/m/app/saveHealthNotice",getOrderDetail:"/m/do/getOrderDetail",simulateLogin:"/m/simulateLogin.dox",findExpertProduct:"/m/do/findExpertProduct.do",queryInsurPublicProList:"/m/do/insurer/queryInsurPublicProList",getSolvencyInfo:"/m/solvency/querySolvencyInfo.do"}}r.prototype.getUrl=function(e){var t;e.substr(0,4)=="http"||e.substr(0,3)=="/m/"?t=e:e.indexOf("pawf-op/")>-1?t=e:t=this._urls[e];if(!t){var n=new Error("NoRequestUrlWasSetted");throw n.name="NoRequestUrl",n}return t},t.exports=r},{}],9:[function(e,t,n){function a(){}function f(e){return document.querySelector(e)}function l(e,t){var n=0,r=0,i=0,s=0,o=function(e){i=0,s=0,n=e.touches[0].pageX,r=e.touches[0].pageY},u=function(e){i=e.targetTouches[0].pageX-n,s=e.targetTouches[0].pageY-r,e.preventDefault()},a=function(n){Math.abs(i)<30&&Math.abs(s)<30&&!e.getAttribute("disabled")&&t(),n.preventDefault()};e.addEventListener("touchstart",o),e.addEventListener("touchmove",u),e.addEventListener("touchend",a)}var r=e("./template/alert.tpl"),i=e("./template/tpl.alert.ios"),s=e("./template/tpl.alert.prompt"),o=e("./template/tpl.alert.prompt.textarear"),u=e("lodash/collection/map");a.prototype={showAlerts:function(e,t,n,r){this.showSingleAlerts(e,t,n,null,r)},hideAlerts:function(){var e=document.getElementById("gum-alert-ios");e&&document.body.removeChild(e)},showHtml:function(e,t){var n="gum-alert-ios";if(document.getElementById(n))return;t=t||{};var i=r(t);document.body.insertAdjacentHTML("beforeend",i),f("#alert-message").innerHTML=e;var s;!t.title&&(s=f("#divAlert>div.alert-title"))&&(s.className="");var o=document.getElementById(n);o.classList.add("open");var u=f("#btnCancel"),a=f("#btnOK");t.rtext&&(btOk.innerHTML=t.rtext),t.position&&(a.style.position=t.position),l(a,function(e){t.fnOK&&t.fnOK(e),document.body.removeChild(o)}),u&&l(u,function(e){t.fnCancel&&t.fnCancel(e),document.body.removeChild(o)})},showSingleAlerts:function(e,t,n,r,i){this.showHtml(t,{title:e,fnOK:n,fnCancel:i});if(r){var s=f("#btnCancel"),o=f("#btnOK");u(r,function(e,t){e!==""&&(s&&(s.style.key=e,t=="display"&&(s.parentNode.style.display=e)),t=="rbackgroundColor"?o.style.backgroundColor=e:t=="rborder"?o.style.border=e:t=="rtext"&&(o.innerText=e))})}},alert:function(e,t,n,r,i,s){function o(){var e=document.getElementById("gum-alert-ios");e&&e.parentNode.removeChild(e)}s&&window.setTimeout(o,s);var u={fnOK:t,title:n,hideCancel:1};i&&i.position&&(u.position=i.position),this.showHtml(e,u)},confirm:function(e,t,n,r){this.showHtml(e,{fnOK:t,fnCancel:n,title:r||"提示"})},showIOSAlert:function(e,t,n,r,s){var o="gum-alert-ios";if(document.getElementById(o)!==null)return;var u=document.createElement("div");u.setAttribute("id",o),u.className="gum-alert",u.innerHTML=i({content:e,positiveText:t,negativeText:r}).replace("\r\n","<br/>");var a=u.getElementsByClassName("positive-btn");a.length>0&&l(a[0],function(){n()}),a=u.getElementsByClassName("negative-btn"),a.length>0&&l(a[0],function(){s()});var c=f("#wrapper");c?c.appendChild(u):document.body.appendChild(u),u.classList.add("open")},closeIOSAlert:function(){var e=f("#gum-alert-ios"),t=f("#wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))},showPrompt:function(e,t,n,r,i,o,u,a){var c="gum-alert-prompt";if(document.getElementById(c)!==null)return;var h=document.createElement("div");h.setAttribute("id",c),h.className="gum-alert",h.innerHTML=s({title:e,tip:t,input:"gum-alert-prompt-input",positiveText:r||"确定",negativeText:o||"取消",text:a});var p,d,v=h.getElementsByClassName("positive-btn");v.length>0&&(p=v[0]),v=h.getElementsByClassName("negative-btn"),v.length>0&&(d=v[0]),p&&l(p,function(){var e=f("#gum-alert-prompt-input").value;i(e)}),d&&l(d,function(){u()});if(n){p.setAttribute("disabled","disabled");var m=h.getElementsByTagName("input");m.length>0&&m[0].addEventListener("input",function(e){e.target.value===""?p.setAttribute("disabled","disabled"):p.removeAttribute("disabled")})}var g=f("#wrapper");g?g.appendChild(h):document.body.appendChild(h),h.classList.add("open")},showPromptTextarea:function(e,t,n,r,i,s,u,a){var f="gum-alert-prompt-textarea";if(document.getElementById(f)!==null)return;var c=document.createElement("div");c.setAttribute("id",f),c.className="gum-alert",s||(s=""),c.innerHTML=o({title:e,positiveText:t,negativeText:r,content:s});var h,p,d=c.getElementsByClassName("positive-btn");d.length>0&&(h=d[0]),d=c.getElementsByClassName("negative-btn"),d.length>0&&(p=d[0]),h&&l(h,function(){var e=c.getElementsByClassName("textareaClass")[0].value;n(e)}),p&&l(p,function(){i(f)});if(u){h.setAttribute("disabled","disabled");var v=c.getElementsByTagName("textarea");v.length>0&&v[0].addEventListener("input",function(e){e.target.value.trim()===""?h.setAttribute("disabled","disabled"):h.removeAttribute("disabled")})}var m=document.getElementById("wrapper");m?m.appendChild(c):document.body.appendChild(c),c.classList.add("open");var g=document.getElementById("showPromptTextarea");a&&g&&(g.addEventListener("focus",function(){setTimeout(function(){window.scrollY<10&&document.getElementsByClassName("gum-alert-prompt")[0].classList.add("keyboard")},100)}),g.addEventListener("blur",function(){document.getElementsByClassName("gum-alert-prompt")[0].classList.remove("keyboard")}))},closePrompt:function(){var e=f("#gum-alert-prompt"),t=f("#wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))},closePromptTextarea:function(){var e=document.getElementById("gum-alert-prompt-textarea"),t=document.getElementById("wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))}},t.exports=a},{"./template/alert.tpl":10,"./template/tpl.alert.ios":11,"./template/tpl.alert.prompt":12,"./template/tpl.alert.prompt.textarear":13,"lodash/collection/map":44}],10:[function(e,t,n){var r=e("template");t.exports=r("alert.tpl",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.body,s=e.hideCancel,o=e.ltext,u=e.rtext,a="";return a+='<div id="gum-alert-ios" class="open gum-alert"> <div id="gum-alert-container" class="gum-alert-container"> <div class="',a+=n(r?"gum-alert-title img-border-btm":""),a+='"> ',a+=n(r),a+=' </div> <div class="gum-alert-message" id="alert-message">',a+=n(i),a+='</div> <div class="gum-alert-footer"> ',s||(a+=' <button id="btnCancel" class="gum-btn-negative cancel" ontouchstart="">',a+=n(o||"取消"),a+="</button> "),a+=' <button id="btnOK" class="gum-btn-positive default" ontouchstart="">',a+=n(u||"确定"),a+="</button> </div> </div> </div> ",new String(a)})},{template:120}],11:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.ios",function(e){var t=this,n=(t.$helpers,t.$string),r=e.content,i=e.negativeText,s=e.positiveText,o="";return o+='<div class="gum-alert-ios"> <div class="gum-alert-ios-content img-border-btm">',o+=n(r),o+='</div> <ul> <li class="img-border-vertical"><button class="negative-btn" ontouchstart="">',o+=n(i),o+='</button></li> <li><button class="positive-btn" ontouchstart="">',o+=n(s),o+="</button></li> </ul> </div>",new String(o)})},{template:120}],12:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.prompt",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.text,s=e.input,o=e.tip,u=e.negativeText,a=e.positiveText,f="";return f+='<div class="gum-alert-prompt"> <h1>',f+=n(r),f+='</h1> <div class="prompt-content"> <p>',f+=n(i),f+='</p> <input id="',f+=n(s),f+='" type="text" placeholder="',f+=n(o),f+='" /> </div> <ul> <li> <button class="negative-btn cancel"> ',f+=n(u),f+=' </button> </li> <li> <button class="positive-btn"> ',f+=n(a),f+=" </button> </li> </ul> </div> ",new String(f)})},{template:120}],13:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.prompt.textarear",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.content,s=e.negativeText,o=e.positiveText,u="";return u+='<style type="text/css"> .gum .textareaClass { width: 16.6em; text-align: left; padding: 0.3em } @media only screen and (min-width: 360px) { .gum .textareaClass { width: 14.6em; font-size: 18px; } } @media only screen and (min-width: 375px) { .gum .textareaClass { width: 14.6em; font-size: 19px; } } @media only screen and (min-width: 412px) { .gum .textareaClass { width: 14.6em; font-size: 21px; } } .promtTitleDiv{ font-size: .894739em; font-weight: normal; color: #999; margin: 0; padding: 0; height: 1.882em; line-height: 1.882em; margin: 0 .882em; margin-top: .529em; text-align: center } .promtInputDiv{ text-align: center } .gum-alert{ display: block; } </style> <div class="gum-alert-prompt"> <div class="promtTitleDiv">',u+=n(r),u+='</div> <div class="promtInputDiv"> <textarea class="textareaClass" >',u+=n(i),u+='</textarea> </div> <ul> <li><button class="negative-btn cancel" ontouchstart="">',u+=n(s),u+='</button></li> <li><button class="positive-btn" ontouchstart="">',u+=n(o),u+="</button></li> </ul> </div> ",new String(u)})},{template:120}],14:[function(e,t,n){function r(e,t){function i(e,t){return function(){return e.apply(t,arguments)}}var n;t=t||{},this.trackingClick=!1,this.trackingClickStart=0,this.targetElement=null,this.touchStartX=0,this.touchStartY=0,this.lastTouchIdentifier=0,this.touchBoundary=t.touchBoundary||10,this.layer=e,this.tapDelay=t.tapDelay||200,this.tapTimeout=t.tapTimeout||700;if(r.notNeeded(e))return;var o=["onMouse","onClick","onTouchStart","onTouchMove","onTouchEnd","onTouchCancel"],u=this;for(var a=0,f=o.length;a<f;a++)u[o[a]]=i(u[o[a]],u);s&&(e.addEventListener("mouseover",this.onMouse,!0),e.addEventListener("mousedown",this.onMouse,!0),e.addEventListener("mouseup",this.onMouse,!0)),e.addEventListener("click",this.onClick,!0),e.addEventListener("touchstart",this.onTouchStart,!1),e.addEventListener("touchmove",this.onTouchMove,!1),e.addEventListener("touchend",this.onTouchEnd,!1),e.addEventListener("touchcancel",this.onTouchCancel,!1),Event.prototype.stopImmediatePropagation||(e.removeEventListener=function(t,n,r){var i=Node.prototype.removeEventListener;t==="click"?i.call(e,t,n.hijacked||n,r):i.call(e,t,n,r)},e.addEventListener=function(t,n,r){var i=Node.prototype.addEventListener;t==="click"?i.call(e,t,n.hijacked||(n.hijacked=function(e){e.propagationStopped||n(e)}),r):i.call(e,t,n,r)}),typeof e.onclick=="function"&&(n=e.onclick,e.addEventListener("click",function(e){n(e)},!1),e.onclick=null)}var i=navigator.userAgent.indexOf("Windows Phone")>=0,s=navigator.userAgent.indexOf("Android")>0&&!i,o=/iP(ad|hone|od)/.test(navigator.userAgent)&&!i,u=o&&/OS 4_\d(_\d)?/.test(navigator.userAgent),a=o&&/OS [6-7]_\d/.test(navigator.userAgent),f=navigator.userAgent.indexOf("BB10")>0;r.prototype.needsClick=function(e){switch(e.nodeName.toLowerCase()){case"button":case"select":case"textarea":if(e.disabled)return!0;break;case"input":if(o&&e.type==="file"||e.disabled)return!0;break;case"label":case"iframe":case"video":return!0}return/\bneedsclick\b/.test(e.className)},r.prototype.needsFocus=function(e){switch(e.nodeName.toLowerCase()){case"textarea":return!0;case"select":return!s;case"input":switch(e.type){case"button":case"checkbox":case"file":case"image":case"radio":case"submit":return!1}return!e.disabled&&!e.readOnly;default:return/\bneedsfocus\b/.test(e.className)}},r.prototype.sendClick=function(e,t){var n,r;document.activeElement&&document.activeElement!==e&&document.activeElement.blur(),r=t.changedTouches[0],n=document.createEvent("MouseEvents"),n.initMouseEvent(this.determineEventType(e),!0,!0,window,1,r.screenX,r.screenY,r.clientX,r.clientY,!1,!1,!1,!1,0,null),n.forwardedTouchEvent=!0,e.dispatchEvent(n)},r.prototype.determineEventType=function(e){return s&&e.tagName.toLowerCase()==="select"?"mousedown":"click"},r.prototype.focus=function(e){var t;o&&e.setSelectionRange&&e.type.indexOf("date")!==0&&e.type!=="time"&&e.type!=="month"?(t=e.value.length,e.setSelectionRange(t,t)):e.focus()},r.prototype.updateScrollParent=function(e){var t,n;t=e.fastClickScrollParent;if(!t||!t.contains(e)){n=e;do{if(n.scrollHeight>n.offsetHeight){t=n,e.fastClickScrollParent=n;break}n=n.parentElement}while(n)}t&&(t.fastClickLastScrollTop=t.scrollTop)},r.prototype.getTargetElementFromEventTarget=function(e){return e.nodeType===Node.TEXT_NODE?e.parentNode:e},r.prototype.onTouchStart=function(e){var t,n,r;if(e.targetTouches.length>1)return!0;t=this.getTargetElementFromEventTarget(e.target),n=e.targetTouches[0];if(o){r=window.getSelection();if(r.rangeCount&&!r.isCollapsed)return!0;if(!u){if(n.identifier&&n.identifier===this.lastTouchIdentifier)return e.preventDefault(),!1;this.lastTouchIdentifier=n.identifier,this.updateScrollParent(t)}}return this.trackingClick=!0,this.trackingClickStart=e.timeStamp,this.targetElement=t,this.touchStartX=n.pageX,this.touchStartY=n.pageY,e.timeStamp-this.lastClickTime<this.tapDelay&&e.preventDefault(),!0},r.prototype.touchHasMoved=function(e){var t=e.changedTouches[0],n=this.touchBoundary;return Math.abs(t.pageX-this.touchStartX)>n||Math.abs(t.pageY-this.touchStartY)>n},r.prototype.onTouchMove=function(e){if(!this.trackingClick)return!0;if(this.targetElement!==this.getTargetElementFromEventTarget(e.target)||this.touchHasMoved(e))this.trackingClick=!1,this.targetElement=null;return!0},r.prototype.findControl=function(e){return e.control!==undefined?e.control:e.htmlFor?document.getElementById(e.htmlFor):e.querySelector("button, input:not([type=hidden]), keygen, meter, output, progress, select, textarea")},r.prototype.onTouchEnd=function(e){var t,n,r,i,f,l=this.targetElement;if(!this.trackingClick)return!0;if(e.timeStamp-this.lastClickTime<this.tapDelay)return this.cancelNextClick=!0,!0;if(e.timeStamp-this.trackingClickStart>this.tapTimeout)return!0;this.cancelNextClick=!1,this.lastClickTime=e.timeStamp,n=this.trackingClickStart,this.trackingClick=!1,this.trackingClickStart=0,a&&(f=e.changedTouches[0],l=document.elementFromPoint(f.pageX-window.pageXOffset,f.pageY-window.pageYOffset)||l,l.fastClickScrollParent=this.targetElement.fastClickScrollParent),r=l.tagName.toLowerCase();if(r==="label"){t=this.findControl(l);if(t){this.focus(l);if(s)return!1;l=t}}else if(this.needsFocus(l)){if(e.timeStamp-n>100||o&&window.top!==window&&r==="input")return this.targetElement=null,!1;this.focus(l),this.sendClick(l,e);if(!o||r!=="select")this.targetElement=null,e.preventDefault();return!1}if(o&&!u){i=l.fastClickScrollParent;if(i&&i.fastClickLastScrollTop!==i.scrollTop)return!0}return this.needsClick(l)||(e.preventDefault(),this.sendClick(l,e)),!1},r.prototype.onTouchCancel=function(){this.trackingClick=!1,this.targetElement=null},r.prototype.onMouse=function(e){return this.targetElement?e.forwardedTouchEvent?!0:e.cancelable?!this.needsClick(this.targetElement)||this.cancelNextClick?(e.stopImmediatePropagation?e.stopImmediatePropagation():e.propagationStopped=!0,e.stopPropagation(),e.preventDefault(),!1):!0:!0:!0},r.prototype.onClick=function(e){var t;return this.trackingClick?(this.targetElement=null,this.trackingClick=!1,!0):e.target.type==="submit"&&e.detail===0?!0:(t=this.onMouse(e),t||(this.targetElement=null),t)},r.prototype.destroy=function(){var e=this.layer;s&&(e.removeEventListener("mouseover",this.onMouse,!0),e.removeEventListener("mousedown",this.onMouse,!0),e.removeEventListener("mouseup",this.onMouse,!0)),e.removeEventListener("click",this.onClick,!0),e.removeEventListener("touchstart",this.onTouchStart,!1),e.removeEventListener("touchmove",this.onTouchMove,!1),e.removeEventListener("touchend",this.onTouchEnd,!1),e.removeEventListener("touchcancel",this.onTouchCancel,!1)},r.notNeeded=function(e){var t,n,r,i;if(typeof window.ontouchstart=="undefined")return!0;n=+(/Chrome\/([0-9]+)/.exec(navigator.userAgent)||[,0])[1];if(n){if(!s)return!0;t=document.querySelector("meta[name=viewport]");if(t){if(t.content.indexOf("user-scalable=no")!==-1)return!0;if(n>31&&document.documentElement.scrollWidth<=window.outerWidth)return!0}}if(f){r=navigator.userAgent.match(/Version\/([0-9]*)\.([0-9]*)/);if(r[1]>=10&&r[2]>=3){t=document.querySelector("meta[name=viewport]");if(t){if(t.content.indexOf("user-scalable=no")!==-1)return!0;if(document.documentElement.scrollWidth<=window.outerWidth)return!0}}}if(e.style.msTouchAction==="none"||e.style.touchAction==="manipulation")return!0;i=+(/Firefox\/([0-9]+)/.exec(navigator.userAgent)||[,0])[1];if(i>=27){t=document.querySelector("meta[name=viewport]");if(t&&(t.content.indexOf("user-scalable=no")!==-1||document.documentElement.scrollWidth<=window.outerWidth))return!0}return e.style.touchAction==="none"||e.style.touchAction==="manipulation"},r.attach=function(e,t){return new r(e,t)},t.exports=r.attach,t.exports.FastClick=r},{}],15:[function(e,t,n){function r(){}r.prototype={findModals:function(e){var t,n=document.querySelectorAll("a");for(;e&&e!==document;e=e.parentNode)for(t=n.length;t--;)if(n[t]===e)return e},getModal:function(e){var t=document.getElementById(e);t&&t.classList.toggle("active")},hideModal:function(e){var t=document.getElementById(e);t&&t.classList.remove("active")},init:function(){}},t.exports=r},{}],16:[function(e,t,n){function o(){this.routes=[],this.context;if(!window.PAWA){var e=localStorage.getItem(this.HISTORY_KEY);e&&(this.historyHash.length=0,JSON.parse(e).forEach(function(e){this.historyHash.push(e)}.bind(this)),localStorage.removeItem(this.HISTORY_KEY))}}var r=e("lodash/array/drop"),i=e("lodash/array/chunk"),s;o.prototype={PATH_REPLACER:"([^/\\?]+)",PATH_NAME_MATCHER:/:([\w\d]+)/g,PATH_EVERY_MATCHER:/\/\*(?!\*)/,PATH_EVERY_REPLACER:"/([^/\\?]+)",PATH_EVERY_GLOBAL_MATCHER:/\*{2}/,PATH_EVERY_GLOBAL_REPLACER:"(.*?)\\??",LEADING_BACKSLASHES_MATCH:/\/*$/,HISTORY_KEY:"gum_history",EX_HISTORY_KEY:"pama_history",root:"/",historyHash:[],add:function(e,t,n,r){var i,s=[];if("string"==typeof e){e=e.replace(this.LEADING_BACKSLASHES_MATCH,"");while((i=this.PATH_NAME_MATCHER.exec(e))!==null)s.push(i[1]);e=new RegExp("\\b"+e.replace(this.PATH_NAME_MATCHER,this.PATH_REPLACER).replace(this.PATH_EVERY_MATCHER,this.PATH_EVERY_REPLACER).replace(this.PATH_EVERY_GLOBAL_MATCHER,this.PATH_EVERY_GLOBAL_REPLACER)+"\\b(?:\\?.+)?$","i")}var o=this,u=function(){for(var i in o.routes)if(o.routes[i].path.toString()===e.toString())return o.routes[i].path=e,o.routes[i].funcName=r,o.routes[i].paramNames=s,o.routes[i].routeAction=t,o.routes[i].module=this,o.routes[i].curController=n,o.routes[i]}();return u||this.routes.push({path:e,funcName:r,paramNames:s,routeAction:t,module:this,curController:n}),this},addRouter:function(e,t,n){this.add(e,t[n],t,n)},check:function(e){var t,n,i,o,u;if(e.length===0)return!0;typeof PAWA!="undefined"&&s&&s.indexOf("gum/familyrisk")>-1&&PAWA.App.preHash(s.replace("gum/familyrisk/","")),s=e,e=e.replace(this.LEADING_BACKSLASHES_MATCH,"");var a=e.split("?")[0].replace(this.LEADING_BACKSLASHES_MATCH,"");n=a,typeof PAWA!="undefined"&&(n=r(a.split("/"),2).join("/"));for(var f in this.routes){t=this.routes[f];if(t.path.test(n)){u=[],o={},i=n.match(t.path);for(var l=0,c=t.paramNames.length;l<c;l++)o[t.paramNames[l]]=i[l+1],u.push(i[l+1]);t.routeAction.call(t.curController,o);break}}return this},findRouter:function(e){var t,n,r,i,o;if(e.length===0||s===e)return;this.preCurUrl=e,e=e.replace(this.LEADING_BACKSLASHES_MATCH,"");var u=e.split("?")[0].replace(this.LEADING_BACKSLASHES_MATCH,"");for(var a in this.routes){var f=this.routes[a];if(f.path.test(u)){t=f,o={},i=[],r=u.match(t.path);for(var l=0,c=t.paramNames.length;l<c;l++)o[t.paramNames[l]]=r[l+1],i.push(r[l+1]);break}}return i&&i.push(this.context),{curRouter:t,params:i}},listen:function(){var e=this,t=function(){var t=location.hash.slice(1)||"/";e.check(t)};return window.onhashchange=t,this},getPreHash:function(){return s},_router:function(e){typeof PAWA!="undefined"?this.navigate(e):this.check(e)},navigate:function(e,t,n){document.activeElement&&document.activeElement.blur&&document.activeElement.blur();if(typeof PAWA!="undefined"){if(e.indexOf("gum/")===-1){var r=window.location.hash.split("/"),s=i(r,2)[0].join("/");PAWA.Router.navigate(s+"/"+e,!0)}else PAWA.Router.navigate(e,!0);return}return this.preCurUrl&&this.preCurUrl!==e&&!t&&this.historyHash.push(this.preCurUrl),this.context=n,location.hash=e||"",this},across:function(e,t){var n=window.PAWA,r=window.gumHistory,i,s;if(!/^[\w\/]+\.html#.+/i.test(e))return this.navigate(e,t);var o=function(e,t){localStorage.setItem(e,JSON.stringify(t))},u=function(e){return JSON.parse(localStorage.getItem(e)||"[]")},a=function(e,t){return/^[\w\/]+\.html#.+/i.test(e)?e:t+e};return n?(r&&(i=r.pop(1)),r&&o(this.EX_HISTORY_KEY,r.list),s=u(this.HISTORY_KEY),i&&s.push(a(i,"index.html")),o(this.HISTORY_KEY,s),location.href=e):(this.preCurUrl&&this.preCurUrl!==e&&!t&&this.historyHash.push(this.preCurUrl),i=this.historyHash.pop(),o(this.HISTORY_KEY,this.historyHash),s=u(this.EX_HISTORY_KEY),i&&s.push(a(i,"client.html#")),o(this.EX_HISTORY_KEY,s),location.href=e),this}},t.exports=o},{"lodash/array/chunk":36,"lodash/array/drop":37}],17:[function(e,t,n){function r(){}r.prototype={showToast:function(e,t,n){if(document.querySelector("body>div.toast-container"))return;t=t||2e3;var r=document.createElement("div");n&&(r.id=n),r.classList.add("toast-container"),r.innerHTML='<div class="toast-message">'+e+"</div>",document.body.appendChild(r),t!=-1&&(this.timeId=setTimeout(this.hideToast.bind(this),t))},showLoadingToast:function(e,t){t===undefined&&(t=-1),e="<span class='spinner-white'></span>&nbsp;&nbsp;"+e,this.showToast(e,t,"loading")},hideToast:function(){var e=document.querySelector("body>div.toast-container");e&&document.body.removeChild(e),clearTimeout(this.timeId)},hideLoadingToast:function(){this.hideToast()},showMasking:function(e,t){t=t||"divMasking";if(document.getElementById(t))return;e=e||3e3;var n=document.createElement("div");n.id=t,n.classList.add("toast-masking"),document.body.appendChild(n),e!=-1&&(this.maskTimeId=setTimeout(this.hideMasking.bind(this),e))},showMaskingManually:function(e){this.showMasking(-1,e)},hideMasking:function(e){e=e||"divMasking";var t=document.getElementById(e);t&&document.body.removeChild(t),clearTimeout(this.maskTimeId)}},t.exports=r},{}],18:[function(e,t,n){function s(){}function o(e){var t=/(([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8]))))|((([0-9]{2})(0[48]|[2468][048]|[13579][26])|((0[48]|[2468][048]|[3579][26])00))-02-29)/;return e.match(t)}var r=e("lodash/Lang/isDate"),i=e("lodash/Lang/isString");s.prototype={check:function(e){var t="",n=e.replace(/(^\s*)|(\s*$)/g,"");if(null==n||""==n)return t="请输入出生日期",t;var r=/\d/g;if(!r.test(n))return t="出生日期只允许包含半角数字字符",t;var i=new Date,s=i.getFullYear(),u=i.getMonth()+1,a=i.getDate(),f=new Date(s,u,a);if(n.indexOf("-")>=0){if(!o(n))return t="出生日期输入不正确，正确格式为YYYY-MM-DD",t;n=n.replace("-","").replace("-","")}var l=n.substr(0,4),c=n.substr(4,2),h=n.substr(6,2),p=new Date(l,c,h);if(l<1900||p>f)t="出生日期只能再当前日期之前";return t},getAgeByBrithday:function(e,t){var n=-1,r=t?new Date(t):new Date,i=r.getFullYear(),s=r.getMonth()+1,o=r.getDate(),e=new Date(e),u=e.getFullYear(),a=e.getMonth()+1,f=e.getDate();return i-u<0?-1:(s-a<0?n=i-u-1:s>a?n=i-u:o-f>=0?n=i-u:n=i-u-1,n*1)},addDate:function(e,t,n,s,o){if(!o&&!s){s=t,o=n;if(i(e)){var n=e;e=Number(n.substr(0,4)),t=Number(n.substr(5,2)),n=Number(n.substr(8,2))}else{if(!r(e))return new Date;var n=e;e=n.getFullYear(),t=n.getMonth()+1,n=n.getDate()}}return s=="d"&&(n=Number(n)+Number(o)),s=="m"&&(t=Number(t)+Number(o)),s=="y"&&(e=Number(e)+Number(o)),new Date(Number(e),Number(t)-1,Number(n))},dateDiff:function(e,t){var n,r,i;return n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate()),i=parseInt(Math.abs(n-r)/1e3/60/60/24),i},dateDiffunAbs:function(e,t){var n,r,i;return n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate()),i=parseInt((n-r)/1e3/60/60/24),i},parseDate:function(e){if(typeof e=="string"){var t=e.substr(0,4),n=Number(e.substr(5,2))-1,r=e.substr(8,2);return new Date(t,n,r)}return e}},t.exports=s},{"lodash/Lang/isDate":34,"lodash/Lang/isString":35}],19:[function(e,t,n){function r(){}function i(e){var t,n;n=0;for(t=0;t<e.length;t++)e.charCodeAt(t)>255?n+=2:n++;return n}r.prototype={checkPassportNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入护照号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;return r.test(t)?i(t)<3?(n="护照号码的长度须大于等于3个半角英文字符长度",n):i(t)>20?(n="护照号码的长度过长",n):n:(n="护照号码只允许输入汉字、半角英文字母、半角数字",n)},checkOfficerNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入军官证号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g,s=/^[0-9]{6,7}$/g,o=t.indexOf("字第"),u=t.substring(t.indexOf("字第")+2);return r.test(t)?o==-1||!s.test(u)?(n="军官证格式不正确，统一格式为:*字第+6/7位数字",n):i(t)<12||i(t)>17?(n="军官证长度介于12-17位半角英文字符长度之间",n):n:(n="军官证只允许输入汉字、半角英文字母、半角数字",n)},checkHATNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入港澳台胞证",n;var r=/^[A-Z0-9]+$/g;return r.test(t)?t.length<8?(n="港澳台胞证长度大于等于8个字符",n):n:(n="港澳台胞证只允许输入半角英文大写字母、半角数字",n)},checkOtherNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入其他类型证件号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;return r.test(t)?i(t)<3?(n="其他类证件号码的长度大于等于3个字符",n):i(t)>20?(n="其他类证件号码的长度超长",n):n:(n="其他类证件号码只允许输入汉字、半角英文字母或者数字",n)}},t.exports=r},{}],20:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="",n=/^([a-zA-Z0-9]+[_|\_\-|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.\-]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;return n.test(e)?t:(t="邮箱格式不正确",t)}},t.exports=r},{}],21:[function(e,t,n){function r(){}function i(e){var t,n,r=0,i=0;t=String(e),r=t.length;for(var s=0;s<r;s++)n=t.charAt(s),escape(n).length>4?i+=2:n!="/r"&&i++;return i}r.prototype={check:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入户口本号",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;return r.test(t)?i(t)<3?(n="户口本的长度大于等于3位",n):i(t)>20?(n="户口本的长度超过20位",n):n:(n="户口本只允许输入汉字、半角英文字母或者数字",n)}},t.exports=r},{}],22:[function(e,t,n){function r(){}r.prototype={check:function(e){e=(""+e).toLocaleUpperCase();var t=new Array("","身份证号码位数不对，请您重新输入","身份证号码出生日期超出范围或含有非法字符，请您重新输入","身份证号不符合规范，请您重新输入","身份证地区非法，请您重新输入"),n={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"},e,r,i,s,o,u,a=new Array;a=e.split("");if(n[parseInt(e.substr(0,2))]==null)return t[4];switch(e.length){case 15:return(parseInt(e.substr(6,2))+1900)%4==0||(parseInt(e.substr(6,2))+1900)%100==0&&(parseInt(e.substr(6,2))+1900)%4==0?u=/^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}$/:u=/^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}$/,u.test(e)?t[0]:t[2];case 18:return parseInt(e.substr(6,4))%4==0||parseInt(e.substr(6,4))%100==0&&parseInt(e.substr(6,4))%4==0?u=/^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9X]$/:u=/^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9X]$/,u.test(e)?(s=(parseInt(a[0])+parseInt(a[10]))*7+(parseInt(a[1])+parseInt(a[11]))*9+(parseInt(a[2])+parseInt(a[12]))*10+(parseInt(a[3])+parseInt(a[13]))*5+(parseInt(a[4])+parseInt(a[14]))*8+(parseInt(a[5])+parseInt(a[15]))*4+(parseInt(a[6])+parseInt(a[16]))*2+parseInt(a[7])*1+parseInt(a[8])*6+parseInt(a[9])*3,r=s%11,o="F",i="10X98765432",o=i.substr(r,1),o==a[17]?t[0]:t[3]):t[2];default:return t[1]}}},t.exports=r},{}],23:[function(e,t,n){function r(){}function i(e){var t,n,r=0,i=0;t=String(e),r=t.length;for(var s=0;s<r;s++)n=t.charAt(s),escape(n).length>4?i+=2:n!="/r"&&i++;return i}r.prototype={checkChineseName:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n=/^[\u4e00-\u9fa5Â]+$/g,r="";return null==t||""==t?(r="请输入姓名",r):t!=e?(r="姓名开始和结束不能有空格",r):n.test(t)?i(t)>50||i(t)<4?(r="姓名只能由2-25位中文汉字，请正确填写",r):t=="不详"||t=="不祥"||t=="未知"||t=="不知道"?(r="姓名不能为不详、不祥、未知或不知道",r):t=="ABCD"||t=="ABCDE"?(r="姓名只能由2-25位中文汉字，请正确填写",r):r:(r="姓名只允许包含中文汉字",r)},check:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n=/^[A-Za-z\u4e00-\u9fa5·•●.]+$/,r=/^[A-Za-z·.]+$/,s="";return null==t||""==t?(s="请输入姓名",s):t!=e?(s="姓名开始和结束不能有空格",s):n.test(t)?i(t)<4?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):i(t)>50&&!r.test(t)?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):i(t)>38&&r.test(t)?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):t=="不详"||t=="不祥"||t=="未知"||t=="不知道"?(s="姓名不能为不详、不祥、未知或不知道",s):t=="ABCD"||t=="ABCDE"?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):s:(s="姓名只允许包含汉字、半角英文字母、·、•、● 和 . ",s)},get_str_length:function(e){return i(e)}},t.exports=r},{}],24:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="",n=/^\d{6}$/;return n.test(e)||(t="不是正确的邮政编码！"),t}},t.exports=r},{}],25:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="";return null===e||""===e?(t="请填写您的手机号码",t):r.prototype.checkformat(e)},checkformat:function(e){var t="";if(e=="")return t;var n=e.replace(/(^\s*)|(\s*$)/g,""),r=/^(1[345678]\d{9})$/;return r.test(n)?t:(t="手机号码不符合规范",t)}},t.exports=r},{}],26:[function(e,t,n){function s(){}var r=e("lodash/lang/isString"),i=e("lodash/lang/isDate");s.prototype={formatCurrency:function(e){if(e==null||e==undefined)return"";if(e==""||e==0)return"0.00";e=e.toString().replace(/\$|\,/g,""),isNaN(e)&&(e="0");var t=e==(e=Math.abs(e));e=Math.floor(e*100+.50000000001);var n=e%100;e=Math.floor(e/100).toString(),n<10&&(n="0"+n);for(var r=0;r<Math.floor((e.length-(1+r))/3);r++)e=e.substring(0,e.length-(4*r+3))+","+e.substring(e.length-(4*r+3));return(t?"":"-")+e+"."+n},addDate:function(e,t,n,s,o){if(!o&&!s){s=t,o=n;if(r(e)){var n=e;e=Number(n.substr(0,4)),t=Number(n.substr(5,2)),n=Number(n.substr(8,2))}else{if(!i(e))return new Date;var n=e;e=n.getFullYear(),t=n.getMonth()+1,n=n.getDate()}}return s=="d"&&(n=Number(n)+Number(o)),s=="m"&&(t=Number(t)+Number(o)),s=="y"&&(e=Number(e)+Number(o)),new Date(Number(e),Number(t)-1,Number(n))},dateformat:function(e,t){var n={"M+":e.getMonth()+1,"d+":e.getDate(),"h+":e.getHours(),"m+":e.getMinutes(),"s+":e.getSeconds(),"q+":Math.floor((e.getMonth()+3)/3),S:e.getMilliseconds()};/(y+)/.test(t)&&(t=t.replace(RegExp.$1,(e.getFullYear()+"").substr(4-RegExp.$1.length)));for(var r in n)(new RegExp("("+r+")")).test(t)&&(t=t.replace(RegExp.$1,RegExp.$1.length==1?n[r]:("00"+n[r]).substr((""+n[r]).length)));return t},getBirthdayByChinaID:function(e){var t=this;return t.checkChinaID(e)?e.length==15?t.dateObjStandardFmt(e.substring(6,12)):t.dateObjStandardFmt(e.substring(6,14)):""},getSexByChinaID:function(e){var t=this;return t.checkChinaID(e)?e.length==15?t.isLegalString(e.substring(14,15),"13579")?"M":"F":t.isLegalString(e.substring(16,17),"13579")?"M":"F":""},checkChinaID:function(e){return typeof e!="string"?!1:e.length==15?this.isLegalString(e,"0123456789"):e.length==18?this.isLegalString(e.substring(0,17),"0123456789")&&this.isLegalString(e.substring(17,18),"0123456789Xx"):!1},isLegalString:function(e,t){if(e.length==0)return!1;for(var n=0;n<e.length;n++){var r=e.substring(n,n+1);if(t.indexOf(r)!=-1)continue;return!1}return!0},dateObjStandardFmt:function(e){var t,n,r;return e==""?"":e.length==6?(t="19"+e.substring(0,2),n=e.substring(2,4),r=e.substring(4,6),t+"-"+n+"-"+r):(t=e.substring(0,4),n=e.substring(4,6),r=e.substring(6,8),t+"-"+n+"-"+r)},calculate_byte:function(e){var t,n,r=0,i=0;t=new String(e),r=t.length;for(var s=0;s<r;s++)n=t.charAt(s),escape(n).length>4?i+=2:n!="/r"&&i++;return i}},t.exports=s},{"lodash/lang/isDate":100,"lodash/lang/isString":106}],27:[function(e,t,n){function E(){}function S(e){var t="";return e==1?t="请正确填写姓名":e==2?t="请填写证件号码":e==3?t="请选择证件类型":e==4?t="请填写出生日期":e==5?t=msg||"请填写您的手机号码以便接收投保确认短信":e==6?t="请填写电子邮件地址":e==7?t="请填写所在城市地址":e==8?t="请填写邮政编码":e==9?t="请填写邮寄地址":e==10?t="请选择关系":e==11?t="请选择性別":e==12?t="请选择职业类别":e==15?t="请填写联系地址":e==16?t="请填写保单生效日":e==17?t="请填写所在省地址":e==18?t="请填写保障额度":e==19?t="请填写体重":e==20&&(t="请填写身高"),t}var r=e("./validate"),i=e("./check.name"),s=e("./check.hukouben"),o=e("./check.identity.card"),u=e("./check.birthday"),a=e("./check.document.number"),f=e("./check.email"),l=e("./check.postalcode"),c=e("./check.telmobile"),h=e("lodash/Lang/isString"),p=new i,d=new s,v=new o,m=new u,g=new a,y=new f,b=new l,w=new c;E.prototype=new r,E.prototype.checkMenu={checkHukouben:d.check,checkName:p.check,checkIdentityCard:v.check,checkBirthDay:m.check,checkPassportNo:g.checkPassportNo,checkHATNo:g.checkHATNo,checkOfficerNo:g.checkOfficerNo,checkOtherNo:g.checkOtherNo,checkEmail:y.check,checkPostalCode:b.check,checkTelMobile:w.check},E.prototype.checkByEventName=function(e,t){var n=this.checkMenu[e];return this.check(n,t)},E.prototype.validate=function(e,t,n,r,i,s){h(t)&&(t=t.toUpperCase().trim()),e*=1;var o="",u=undefined;if(i==="true"&&t=="")o=S(e);else if(i==="false"&&t=="")o="";else switch(e){case 1:o=this.checkByEventName("checkName",t);break;case 2:r==1?o=this.checkByEventName("checkIdentityCard",t):r==2?o=this.checkByEventName("checkPassportNo",t):r==3?o=this.checkByEventName("checkOfficerNo",t):r==6?o=this.checkByEventName("checkHATNo",t):r==9?o=this.checkByEventName("checkOtherNo",t):(r+"").toUpperCase()=="L"&&(o=this.checkByEventName("checkHukouben",t));break;case 3:break;case 4:o=this.checkByEventName("checkBirthDay",t);break;case 5:o=this.checkByEventName("checkTelMobile",t);break;case 6:o=this.checkByEventName("checkEmail",t);break;case 7:if(t.replace(/(^\s*)|(\s*$)/g,"")==""||t=="000000")o="所在城市不能为空";break;case 8:o=this.checkByEventName("checkPostalCode",t)}return!o&&n&&(o=n.call(this,r,o)||o),o},t.exports=E},{"./check.birthday":18,"./check.document.number":19,"./check.email":20,"./check.hukouben":21,"./check.identity.card":22,"./check.name":23,"./check.postalcode":24,"./check.telmobile":25,"./validate":28,"lodash/Lang/isString":35}],28:[function(e,t,n){function r(){}r.prototype={check:function(e,t){return e.call(this,t)}},t.exports=r},{}],29:[function(e,t,n){function f(){}var r=e("reqwest"),i=e("q"),s=e("wechat"),o=e("../ajax/urls"),u=e("./wechat.update.title"),a=new(e("../ajax/mask")),l=new o;f.prototype={getParams:function(e){var t=new RegExp("(^|&)"+e+"=([^&]*)(&|$)","i"),n=window.location.search.substr(1).match(t);return n?decodeURI(n[2]):null},getToken:function(){return r({url:"https://eim.pingan.com.cn/egis/getSignature",data:{openid:"123456",weappNo:"PAYLX95511_01"},method:"get",type:"jsonp"})},setConfig:function(e,t){e&&(e=JSON.parse(e),wx.config({debug:!1,appId:"wx1e2d13308e457ed9",timestamp:e.timestamp,nonceStr:e.nonce,signature:e.signature,jsApiList:t,success:function(e){console.log(e)},error:function(e){console.log(e)}}))},share:function(e,t,n,r){wx.onMenuShareTimeline({title:e,link:n,imgUrl:r,success:function(){config.toast("已分享")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}}),wx.onMenuShareAppMessage({title:e,desc:t,link:n,imgUrl:r,success:function(){config.toast("发送成功")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}})},isMicroBrower:function(){var e=window.navigator.userAgent.toLowerCase();return e.match(/MicroMessenger/i)!="micromessenger"?!1:!0},weixinPay:function(e){var t=this,n=window.localStorage.getItem("authorize"),r=window.localStorage.getItem("openId");"true"!=n||r==null?this.authorizeWeixn(e):t.createWeixinOrder(e)},authorizeWeixn:function(e){var t="https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx1e2d13308e457ed9&redirect_uri="+encodeURIComponent("http://eim.pingan.com.cn/egis/simpleRedirect?weappNo=PAYLX95511_01&backUrl="+encodeURIComponent(location.protocol+"//"+location.host+"/m/insurance_unlogin/getWeixinOpenId.html"))+"&response_type=code&scope=snsapi_base&state=sig&connect_redirect=1#wechat_redirect";location.replace(t)},createWeixinOrder:function(e){a.startMask();var t=this,n={url:l.getUrl("weixinPay"),method:"post",type:"json",crossOrigin:!0,timeout:6e4,data:{orderName:e.productName,idCsspOrder:e.idCsspOrder,payPremium:e.orderAmount,openId:localStorage.getItem("openId")}};i(r(n)).then(function(n){a.endMask();var r={appId:n.appId,timeStamp:n.timeStamp,nonceStr:n.nonceStr,"package":"prepay_id="+n.weixinPackage,signType:n.signType,paySign:n.paySign,cancel:function(e){config.toast("用户取消支付")},error:function(e){config.toast("支付失败"),console.log(e)},success:function(t){e.success.call({},e.idCsspOrder)}};window.localStorage.removeItem("authorize"),t.getBrandWCPayRequest(r)}).then(function(){a.endMask(),console.log("get weixinPay error")}).fin(function(){a.endMask(),console.log("weixinPay finshed!")})},getBrandWCPayRequest:function(e){var t=this,n=function(e){WeixinJSBridge.invoke("getBrandWCPayRequest",e,function(t){if(t.err_msg=="get_brand_wcpay_request:ok")e.success.call();else{var n="";t.err_msg=="get_brand_wcpay_request:cancel"?(n="支付失败，失败原因：您取消了微信支付",config.toast("用户取消支付")):t.err_msg.indexOf("access_denied")!=-1?n="支付失败，失败原因：请求的支付url不在授权目录下":t.err_msg.indexOf("access_not_allow")!=-1?n="支付失败，失败原因：支付的微信号没有在测试白名单内":(n="支付失败，失败原因 res："+t.err_msg,config.toast("支付失败")),e.error.call({},n)}})};typeof WeixinJSBridge=="undefined"?document.addEventListener("WeixinJSBridgeReady",function(){n(e)},!1):n(e)},updatePageTitleIniOS:u},t.exports=f},{"../ajax/mask":7,"../ajax/urls":8,"./wechat.update.title":31,q:118,reqwest:119,wechat:30}],30:[function(e,t,n){(function(n){var r=e;(function(t,n,r,i,s){!function(e,t){"function"==typeof i&&(i.amd||i.cmd)?i(function(){return t(e)}):t(e,!0)}(this,function(e,t){function n(t,n,r){e.WeixinJSBridge?WeixinJSBridge.invoke(t,i(n),function(e){o(t,e,r)}):f(t,r)}function r(t,n,r){e.WeixinJSBridge?WeixinJSBridge.on(t,function(e){r&&r.trigger&&r.trigger(e),o(t,e,n)}):r?f(t,r):f(t,n)}function i(e){return e=e||{},e.appId=N.appId,e.verifyAppId=N.appId,e.verifySignType="sha1",e.verifyTimestamp=N.timestamp+"",e.verifyNonceStr=N.nonceStr,e.verifySignature=N.signature,e}function s(e){return{timeStamp:e.timestamp+"",nonceStr:e.nonceStr,"package":e.package,paySign:e.paySign,signType:e.signType||"SHA1"}}function o(e,t,n){var r,i,s;switch(delete t.err_code,delete t.err_desc,delete t.err_detail,r=t.errMsg,r||(r=t.err_msg,delete t.err_msg,r=u(e,r,n),t.errMsg=r),n=n||{},n._complete&&(n._complete(t),delete n._complete),r=t.errMsg||"",N.debug&&!n.isInnerInvoke&&alert(JSON.stringify(t)),i=r.indexOf(":"),s=r.substring(i+1)){case"ok":n.success&&n.success(t);break;case"cancel":n.cancel&&n.cancel(t);break;default:n.fail&&n.fail(t)}n.complete&&n.complete(t)}function u(e,t){var n,r,i,s;if(t){switch(n=t.indexOf(":"),e){case d.config:r="config";break;case d.openProductSpecificView:r="openProductSpecificView";break;default:r=t.substring(0,n),r=r.replace(/_/g," "),r=r.replace(/\b\w+\b/g,function(e){return e.substring(0,1).toUpperCase()+e.substring(1)}),r=r.substring(0,1).toLowerCase()+r.substring(1),r=r.replace(/ /g,""),-1!=r.indexOf("Wcpay")&&(r=r.replace("Wcpay","WCPay")),i=v[r],i&&(r=i)}s=t.substring(n+1),"confirm"==s&&(s="ok"),"failed"==s&&(s="fail"),-1!=s.indexOf("failed_")&&(s=s.substring(7)),-1!=s.indexOf("fail_")&&(s=s.substring(5)),s=s.replace(/_/g," "),s=s.toLowerCase(),("access denied"==s||"no permission to execute"==s)&&(s="permission denied"),"config"==r&&"function not exist"==s&&(s="ok"),t=r+":"+s}return t}function a(e){var t,n,r,i;if(e){for(t=0,n=e.length;n>t;++t)r=e[t],i=d[r],i&&(e[t]=i);return e}}function f(e,t){if(!(!N.debug||t&&t.isInnerInvoke)){var n=v[e];n&&(e=n),t&&t._complete&&delete t._complete,console.log('"'+e+'",',t||"")}}function l(){if(!("6.0.2">S||T.systemType<0)){var e=new Image;T.appId=N.appId,T.initTime=x.initEndTime-x.initStartTime,T.preVerifyTime=x.preVerifyEndTime-x.preVerifyStartTime,L.getNetworkType({isInnerInvoke:!0,success:function(t){T.networkType=t.networkType;var n="https://open.weixin.qq.com/sdk/report?v="+T.version+"&o="+T.isPreVerifyOk+"&s="+T.systemType+"&c="+T.clientVersion+"&a="+T.appId+"&n="+T.networkType+"&i="+T.initTime+"&p="+T.preVerifyTime+"&u="+T.url;e.src=n}})}}function c(){return(new Date).getTime()}function h(t){b&&(e.WeixinJSBridge?t():m.addEventListener&&m.addEventListener("WeixinJSBridgeReady",t,!1))}function p(){L.invoke||(L.invoke=function(t,n,r){e.WeixinJSBridge&&WeixinJSBridge.invoke(t,i(n),r)},L.on=function(t,n){e.WeixinJSBridge&&WeixinJSBridge.on(t,n)})}var d,v,m,g,y,b,w,E,S,x,T,N,C,k,L;if(!e.jWeixin)return d={config:"preVerifyJSAPI",onMenuShareTimeline:"menu:share:timeline",onMenuShareAppMessage:"menu:share:appmessage",onMenuShareQQ:"menu:share:qq",onMenuShareWeibo:"menu:share:weiboApp",onMenuShareQZone:"menu:share:QZone",previewImage:"imagePreview",getLocation:"geoLocation",openProductSpecificView:"openProductViewWithPid",addCard:"batchAddCard",openCard:"batchViewCard",chooseWXPay:"getBrandWCPayRequest"},v=function(){var e,t={};for(e in d)t[d[e]]=e;return t}(),m=e.document,g=m.title,y=navigator.userAgent.toLowerCase(),b=-1!=y.indexOf("micromessenger"),w=-1!=y.indexOf("android"),E=-1!=y.indexOf("iphone")||-1!=y.indexOf("ipad"),S=function(){var e=y.match(/micromessenger\/(\d+\.\d+\.\d+)/)||y.match(/micromessenger\/(\d+\.\d+)/);return e?e[1]:""}(),x={initStartTime:c(),initEndTime:0,preVerifyStartTime:0,preVerifyEndTime:0},T={version:1,appId:"",initTime:0,preVerifyTime:0,networkType:"",isPreVerifyOk:1,systemType:E?1:w?2:-1,clientVersion:S,url:encodeURIComponent(location.href)},N={},C={_completes:[]},k={state:0,res:{}},h(function(){x.initEndTime=c()}),L={config:function(e){N=e,f("config",e);var t=N.check===!1?!1:!0;h(function(){var e,r,i;if(t)n(d.config,{verifyJsApiList:a(N.jsApiList)},function(){C._complete=function(e){x.preVerifyEndTime=c(),k.state=1,k.res=e},C.success=function(){T.isPreVerifyOk=0},C.fail=function(e){C._fail?C._fail(e):k.state=-1};var e=C._completes;return e.push(function(){N.debug||l()}),C.complete=function(){for(var t=0,n=e.length;n>t;++t)e[t]();C._completes=[]},C}()),x.preVerifyStartTime=c();else{for(k.state=1,e=C._completes,r=0,i=e.length;i>r;++r)e[r]();C._completes=[]}}),N.beta&&p()},ready:function(e){0!=k.state?e():(C._completes.push(e),!b&&N.debug&&e())},error:function(e){"6.0.2">S||(-1==k.state?e(k.res):C._fail=e)},checkJsApi:function(e){var t=function(e){var t,n,r=e.checkResult;for(t in r)n=v[t],n&&(r[n]=r[t],delete r[t]);return e};n("checkJsApi",{jsApiList:a(e.jsApiList)},function(){return e._complete=function(e){if(w){var n=e.checkResult;n&&(e.checkResult=JSON.parse(n))}e=t(e)},e}())},onMenuShareTimeline:function(e){r(d.onMenuShareTimeline,{complete:function(){n("shareTimeline",{title:e.title||g,desc:e.title||g,img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareAppMessage:function(e){r(d.onMenuShareAppMessage,{complete:function(){n("sendAppMessage",{title:e.title||g,desc:e.desc||"",link:e.link||location.href,img_url:e.imgUrl||"",type:e.type||"link",data_url:e.dataUrl||""},e)}},e)},onMenuShareQQ:function(e){r(d.onMenuShareQQ,{complete:function(){n("shareQQ",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareWeibo:function(e){r(d.onMenuShareWeibo,{complete:function(){n("shareWeiboApp",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareQZone:function(e){r(d.onMenuShareQZone,{complete:function(){n("shareQZone",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},startRecord:function(e){n("startRecord",{},e)},stopRecord:function(e){n("stopRecord",{},e)},onVoiceRecordEnd:function(e){r("onVoiceRecordEnd",e)},playVoice:function(e){n("playVoice",{localId:e.localId},e)},pauseVoice:function(e){n("pauseVoice",{localId:e.localId},e)},stopVoice:function(e){n("stopVoice",{localId:e.localId},e)},onVoicePlayEnd:function(e){r("onVoicePlayEnd",e)},uploadVoice:function(e){n("uploadVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadVoice:function(e){n("downloadVoice",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},translateVoice:function(e){n("translateVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},chooseImage:function(e){n("chooseImage",{scene:"1|2",count:e.count||9,sizeType:e.sizeType||["original","compressed"],sourceType:e.sourceType||["album","camera"]},function(){return e._complete=function(e){if(w){var t=e.localIds;t&&(e.localIds=JSON.parse(t))}},e}())},previewImage:function(e){n(d.previewImage,{current:e.current,urls:e.urls},e)},uploadImage:function(e){n("uploadImage",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadImage:function(e){n("downloadImage",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},getNetworkType:function(e){var t=function(e){var t,n,r,i=e.errMsg;if(e.errMsg="getNetworkType:ok",t=e.subtype,delete e.subtype,t)e.networkType=t;else switch(n=i.indexOf(":"),r=i.substring(n+1)){case"wifi":case"edge":case"wwan":e.networkType=r;break;default:e.errMsg="getNetworkType:fail"}return e};n("getNetworkType",{},function(){return e._complete=function(e){e=t(e)},e}())},openLocation:function(e){n("openLocation",{latitude:e.latitude,longitude:e.longitude,name:e.name||"",address:e.address||"",scale:e.scale||28,infoUrl:e.infoUrl||""},e)},getLocation:function(e){e=e||{},n(d.getLocation,{type:e.type||"wgs84"},function(){return e._complete=function(e){delete e.type},e}())},hideOptionMenu:function(e){n("hideOptionMenu",{},e)},showOptionMenu:function(e){n("showOptionMenu",{},e)},closeWindow:function(e){e=e||{},n("closeWindow",{immediate_close:e.immediateClose||0},e)},hideMenuItems:function(e){n("hideMenuItems",{menuList:e.menuList},e)},showMenuItems:function(e){n("showMenuItems",{menuList:e.menuList},e)},hideAllNonBaseMenuItem:function(e){n("hideAllNonBaseMenuItem",{},e)},showAllNonBaseMenuItem:function(e){n("showAllNonBaseMenuItem",{},e)},scanQRCode:function(e){e=e||{},n("scanQRCode",{needResult:e.needResult||0,scanType:e.scanType||["qrCode","barCode"]},function(){return e._complete=function(e){var t,n;E&&(t=e.resultStr,t&&(n=JSON.parse(t),e.resultStr=n&&n.scan_code&&n.scan_code.scan_result))},e}())},openProductSpecificView:function(e){n(d.openProductSpecificView,{pid:e.productId,view_type:e.viewType||0},e)},addCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,card_ext:i.cardExt},u.push(s);n(d.addCard,{card_list:u},function(){return e._complete=function(e){var t,n,r,i=e.card_list;if(i){for(i=JSON.parse(i),t=0,n=i.length;n>t;++t)r=i[t],r.cardId=r.card_id,r.cardExt=r.card_ext,r.isSuccess=r.is_succ?!0:!1,delete r.card_id,delete r.card_ext,delete r.is_succ;e.cardList=i,delete e.card_list}},e}())},chooseCard:function(e){n("chooseCard",{app_id:N.appId,location_id:e.shopId||"",sign_type:e.signType||"SHA1",card_id:e.cardId||"",card_type:e.cardType||"",card_sign:e.cardSign,time_stamp:e.timestamp+"",nonce_str:e.nonceStr},function(){return e._complete=function(e){e.cardList=e.choose_card_info,delete e.choose_card_info},e}())},openCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,code:i.code},u.push(s);n(d.openCard,{card_list:u},e)},chooseWXPay:function(e){n(d.chooseWXPay,s(e),e)}},t&&(e.wx=e.jWeixin=L),L}),s(typeof wechatSDK!="undefined"?wechatSDK:window.wechatSDK)}).call(n,undefined,undefined,undefined,undefined,function(n){t.exports=n})}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{}],31:[function(e,t,n){function r(){function e(){t.removeEventListener("load",e,!1),setTimeout(function(){document.body.removeChild(t)},100)}var t=document.createElement("iframe");t.src="assets/images/logo.png",t.style.position="absolute",t.style.top="-1000px",t.addEventListener("load",e,!1),document.body.appendChild(t)}t.exports=r},{}],32:[function(e,t,n){!function(e,n){typeof t!="undefined"?t.exports=n():typeof define=="function"&&typeof define.amd=="object"?define(n):this[e]=n()}("domready",function(){var e=[],t,n=document,r=n.documentElement.doScroll,i="DOMContentLoaded",s=(r?/^loaded|^c/:/^loaded|^i|^c/).test(n.readyState);return s||n.addEventListener(i,t=function(){n.removeEventListener(i,t),s=1;while(t=e.shift())t()}),function(t){s?setTimeout(t,0):e.push(t)}})},{}],33:[function(e,t,n){(function(n){var r=n.Base64,i="2.1.9",s;if(typeof t!="undefined"&&t.exports)try{s=e("buffer").Buffer}catch(o){}var u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=function(e){var t={};for(var n=0,r=e.length;n<r;n++)t[e.charAt(n)]=n;return t}(u),f=String.fromCharCode,l=function(e){if(e.length<2){var t=e.charCodeAt(0);return t<128?e:t<2048?f(192|t>>>6)+f(128|t&63):f(224|t>>>12&15)+f(128|t>>>6&63)+f(128|t&63)}var t=65536+(e.charCodeAt(0)-55296)*1024+(e.charCodeAt(1)-56320);return f(240|t>>>18&7)+f(128|t>>>12&63)+f(128|t>>>6&63)+f(128|t&63)},c=/[\uD800-\uDBFF][\uDC00-\uDFFFF]|[^\x00-\x7F]/g,h=function(e){return e.replace(c,l)},p=function(e){var t=[0,2,1][e.length%3],n=e.charCodeAt(0)<<16|(e.length>1?e.charCodeAt(1):0)<<8|(e.length>2?e.charCodeAt(2):0),r=[u.charAt(n>>>18),u.charAt(n>>>12&63),t>=2?"=":u.charAt(n>>>6&63),t>=1?"=":u.charAt(n&63)];return r.join("")},d=n.btoa?function(e){return n.btoa(e)}:function(e){return e.replace(/[\s\S]{1,3}/g,p)},v=s?function(e){return(e.constructor===s.constructor?e:new s(e)).toString("base64")}:function(e){return d(h(e))},m=function(e,t){return t?v(String(e)).replace(/[+\/]/g,function(e){return e=="+"?"-":"_"}).replace(/=/g,""):v(String(e))},g=function(e){return m(e,!0)},y=new RegExp(["[À-ß][-¿]","[à-ï][-¿]{2}","[ð-÷][-¿]{3}"].join("|"),"g"),b=function(e){switch(e.length){case 4:var t=(7&e.charCodeAt(0))<<18|(63&e.charCodeAt(1))<<12|(63&e.charCodeAt(2))<<6|63&e.charCodeAt(3),n=t-65536;return f((n>>>10)+55296)+f((n&1023)+56320);case 3:return f((15&e.charCodeAt(0))<<12|(63&e.charCodeAt(1))<<6|63&e.charCodeAt(2));default:return f((31&e.charCodeAt(0))<<6|63&e.charCodeAt(1))}},w=function(e){return e.replace(y,b)},E=function(e){var t=e.length,n=t%4,r=(t>0?a[e.charAt(0)]<<18:0)|(t>1?a[e.charAt(1)]<<12:0)|(t>2?a[e.charAt(2)]<<6:0)|(t>3?a[e.charAt(3)]:0),i=[f(r>>>16),f(r>>>8&255),f(r&255)];return i.length-=[0,0,2,1][n],i.join("")},S=n.atob?function(e){return n.atob(e)}:function(e){return e.replace(/[\s\S]{1,4}/g,E)},x=s?function(e){return(e.constructor===s.constructor?e:new s(e,"base64")).toString()}:function(e){return w(S(e))},T=function(e){return x(String(e).replace(/[-_]/g,function(e){return e=="-"?"+":"/"}).replace(/[^A-Za-z0-9\+\/]/g,""))},N=function(){var e=n.Base64;return n.Base64=r,e};n.Base64={VERSION:i,atob:S,btoa:d,fromBase64:T,toBase64:m,utob:h,encode:m,encodeURI:g,btou:w,decode:T,noConflict:N};if(typeof Object.defineProperty=="function"){var C=function(e){return{value:e,enumerable:!1,writable:!0,configurable:!0}};n.Base64.extendString=function(){Object.defineProperty(String.prototype,"fromBase64",C(function(){return T(this)})),Object.defineProperty(String.prototype,"toBase64",C(function(e){return m(this,e)})),Object.defineProperty(String.prototype,"toBase64URI",C(function(){return m(this,!0)}))}}n.Meteor&&(Base64=n.Base64)})(this)},{buffer:1}],34:[function(e,t,n){function u(e){return r(e)&&o.call(e)==i}var r=e("../internal/isObjectLike"),i="[object Date]",s=Object.prototype,o=s.toString;t.exports=u},{"../internal/isObjectLike":93}],35:[function(e,t,n){function u(e){return typeof e=="string"||r(e)&&o.call(e)==i}var r=e("../internal/isObjectLike"),i="[object String]",s=Object.prototype,o=s.toString;t.exports=u},{"../internal/isObjectLike":93}],36:[function(e,t,n){function a(e,t,n){(n?i(e,t,n):t==null)?t=1:t=u(o(t)||1,1);var a=0,f=e?e.length:0,l=-1,c=Array(s(f/t));while(a<f)c[++l]=r(e,a,a+=t);return c}var r=e("../internal/baseSlice"),i=e("../internal/isIterateeCall"),s=Math.ceil,o=Math.floor,u=Math.max;t.exports=a},{"../internal/baseSlice":72,"../internal/isIterateeCall":90}],37:[function(e,t,n){function s(e,t,n){var s=e?e.length:0;if(!s)return[];if(n?i(e,t,n):t==null)t=1;return r(e,t<0?0:t)}var r=e("../internal/baseSlice"),i=e("../internal/isIterateeCall");t.exports=s},{"../internal/baseSlice":72,"../internal/isIterateeCall":90}],38:[function(e,t,n){function r(e){var t=e?e.length:0;return t?e[t-1]:undefined}t.exports=r},{}],39:[function(e,t,n){function u(e,t,n){var u=o(e)?r:s;return t=i(t,n,3),u(e,t)}var r=e("../internal/arrayFilter"),i=e("../internal/baseCallback"),s=e("../internal/baseFilter"),o=e("../lang/isArray");t.exports=u},{"../internal/arrayFilter":48,"../internal/baseCallback":53,"../internal/baseFilter":56,"../lang/isArray":99}],40:[function(e,t,n){var r=e("../internal/arrayEach"),i=e("../internal/baseEach"),s=e("../internal/createForEach"),o=s(r,i);t.exports=o},{"../internal/arrayEach":47,"../internal/baseEach":55,"../internal/createForEach":80}],41:[function(e,t,n){arguments[4][40][0].apply(n,arguments)},{"../internal/arrayEach":47,"../internal/baseEach":55,"../internal/createForEach":80,dup:40}],42:[function(e,t,n){var r=e("../internal/createAggregator"),i=Object.prototype,s=i.hasOwnProperty,o=r(function(e,t,n){s.call(e,n)?e[n].push(t):e[n]=[t]});t.exports=o},{"../internal/createAggregator":76}],43:[function(e,t,n){function c(e,t,n,c){var h=e?i(e):0;return u(h)||(e=f(e),h=e.length),typeof n!="number"||c&&o(t,n,c)?n=0:n=n<0?l(h+n,0):n||0,typeof e=="string"||!s(e)&&a(e)?n<=h&&e.indexOf(t,n)>-1:!!h&&r(e,t,n)>-1}var r=e("../internal/baseIndexOf"),i=e("../internal/getLength"),s=e("../lang/isArray"),o=e("../internal/isIterateeCall"),u=e("../internal/isLength"),a=e("../lang/isString"),f=e("../object/values"),l=Math.max;t.exports=c},{"../internal/baseIndexOf":61,"../internal/getLength":84,"../internal/isIterateeCall":90,"../internal/isLength":92,"../lang/isArray":99,"../lang/isString":106,"../object/values":115}],44:[function(e,t,n){function u(e,t,n){var u=o(e)?r:s;return t=i(t,n,3),u(e,t)}var r=e("../internal/arrayMap"),i=e("../internal/baseCallback"),s=e("../internal/baseMap"),o=e("../lang/isArray");t.exports=u},{"../internal/arrayMap":49,"../internal/baseCallback":53,"../internal/baseMap":65,"../lang/isArray":99}],45:[function(e,t,n){function s(e,t){if(typeof e!="function")throw new TypeError(r);return t=i(t===undefined?e.length-1:+t||0,0),function(){var n=arguments,r=-1,s=i(n.length-t,0),o=Array(s);while(++r<s)o[r]=n[t+r];switch(t){case 0:return e.call(this,o);case 1:return e.call(this,n[0],o);case 2:return e.call(this,n[0],n[1],o)}var u=Array(t+1);r=-1;while(++r<t)u[r]=n[r];return u[t]=o,e.apply(this,u)}}var r="Expected a function",i=Math.max;t.exports=s},{}],46:[function(e,t,n){function r(e,t){var n=-1,r=e.length;t||(t=Array(r));while(++n<r)t[n]=e[n];return t}t.exports=r},{}],47:[function(e,t,n){function r(e,t){var n=-1,r=e.length;while(++n<r)if(t(e[n],n,e)===!1)break;return e}t.exports=r},{}],48:[function(e,t,n){function r(e,t){var n=-1,r=e.length,i=-1,s=[];while(++n<r){var o=e[n];t(o,n,e)&&(s[++i]=o)}return s}t.exports=r},{}],49:[function(e,t,n){function r(e,t){var n=-1,r=e.length,i=Array(r);while(++n<r)i[n]=t(e[n],n,e);return i}t.exports=r},{}],50:[function(e,t,n){function r(e,t){var n=-1,r=e.length;while(++n<r)if(t(e[n],n,e))return!0;return!1}t.exports=r},{}],51:[function(e,t,n){function i(e,t,n){var i=-1,s=r(t),o=s.length;while(++i<o){var u=s[i],a=e[u],f=n(a,t[u],u,e,t);if((f===f?f!==a:a===a)||a===undefined&&!(u in e))e[u]=f}return e}var r=e("../object/keys");t.exports=i},{"../object/keys":111}],52:[function(e,t,n){function s(e,t){return t==null?e:r(t,i(t),e)}var r=e("./baseCopy"),i=e("../object/keys");t.exports=s},{"../object/keys":111,"./baseCopy":54}],53:[function(e,t,n){function a(e,t,n){var a=typeof e;return a=="function"?t===undefined?e:s(e,t,n):e==null?o:a=="object"?r(e):t===undefined?u(e):i(e,t)}var r=e("./baseMatches"),i=e("./baseMatchesProperty"),s=e("./bindCallback"),o=e("../utility/identity"),u=e("../utility/property");t.exports=a},{"../utility/identity":116,"../utility/property":117,"./baseMatches":66,"./baseMatchesProperty":67,"./bindCallback":75}],54:[function(e,t,n){function r(e,t,n){n||(n={});var r=-1,i=t.length;while(++r<i){var s=t[r];n[s]=e[s]}return n}t.exports=r},{}],55:[function(e,t,n){var r=e("./baseForOwn"),i=e("./createBaseEach"),s=i(r);t.exports=s},{"./baseForOwn":59,"./createBaseEach":78}],56:[function(e,t,n){function i(e,t){var n=[];return r(e,function(e,r,i){t(e,r,i)&&n.push(e)}),n}var r=e("./baseEach");t.exports=i},{"./baseEach":55}],57:[function(e,t,n){var r=e("./createBaseFor"),i=r();t.exports=i},{"./createBaseFor":79}],58:[function(e,t,n){function s(e,t){return r(e,t,i)}var r=e("./baseFor"),i=e("../object/keysIn");t.exports=s},{"../object/keysIn":112,"./baseFor":57}],59:[function(e,t,n){function s(e,t){return r(e,t,i)}var r=e("./baseFor"),i=e("../object/keys");t.exports=s},{"../object/keys":111,"./baseFor":57}],60:[function(e,t,n){function i(e,t,n){if(e==null)return;n!==undefined&&n in r(e)&&(t=[n]);var i=0,s=t.length;while(e!=null&&i<s)e=e[t[i++]];return i&&i==s?e:undefined}var r=e("./toObject");t.exports=i},{"./toObject":96}],61:[function(e,t,n){function i(e,t,n){if(t!==t)return r(e,n);var i=n-1,s=e.length;while(++i<s)if(e[i]===t)return i;return-1}var r=e("./indexOfNaN");t.exports=i},{"./indexOfNaN":87}],62:[function(e,t,n){function o(e,t,n,u,a,f){return e===t?!0:e==null||t==null||!i(e)&&!s(t)?e!==e&&t!==t:r(e,t,o,n,u,a,f)}var r=e("./baseIsEqualDeep"),i=e("../lang/isObject"),s=e("./isObjectLike");t.exports=o},{"../lang/isObject":104,"./baseIsEqualDeep":63,"./isObjectLike":93}],63:[function(e,t,n){function d(e,t,n,c,d,v,m){var g=o(e),y=o(t),b=f,w=f;g||(b=p.call(e),b==a?b=l:b!=l&&(g=u(e))),y||(w=p.call(t),w==a?w=l:w!=l&&(y=u(t)));var E=b==l,S=w==l,x=b==w;if(x&&!g&&!E)return i(e,t,b);if(!d){var T=E&&h.call(e,"__wrapped__"),N=S&&h.call(t,"__wrapped__");if(T||N)return n(T?e.value():e,N?t.value():t,c,d,v,m)}if(!x)return!1;v||(v=[]),m||(m=[]);var C=v.length;while(C--)if(v[C]==e)return m[C]==t;v.push(e),m.push(t);var k=(g?r:s)(e,t,n,c,d,v,m);return v.pop(),m.pop(),k}var r=e("./equalArrays"),i=e("./equalByTag"),s=e("./equalObjects"),o=e("../lang/isArray"),u=e("../lang/isTypedArray"),a="[object Arguments]",f="[object Array]",l="[object Object]",c=Object.prototype,h=c.hasOwnProperty,p=c.toString;t.exports=d},{"../lang/isArray":99,"../lang/isTypedArray":107,"./equalArrays":81,"./equalByTag":82,"./equalObjects":83}],64:[function(e,t,n){function s(e,t,n){var s=t.length,o=s,u=!n;if(e==null)return!o;e=i(e);while(s--){var a=t[s];if(u&&a[2]?a[1]!==e[a[0]]:!(a[0]in e))return!1}while(++s<o){a=t[s];var f=a[0],l=e[f],c=a[1];if(u&&a[2]){if(l===undefined&&!(f in e))return!1}else{var h=n?n(l,c,f):undefined;if(h===undefined?!r(c,l,n,!0):!h)return!1}}return!0}var r=e("./baseIsEqual"),i=e("./toObject");t.exports=s},{"./baseIsEqual":62,"./toObject":96}],65:[function(e,t,n){function s(e,t){var n=-1,s=i(e)?Array(e.length):[];return r(e,function(e,r,i){s[++n]=t(e,r,i)}),s}var r=e("./baseEach"),i=e("./isArrayLike");t.exports=s},{"./baseEach":55,"./isArrayLike":88}],66:[function(e,t,n){function o(e){var t=i(e);if(t.length==1&&t[0][2]){var n=t[0][0],o=t[0][1];return function(e){return e==null?!1:e[n]===o&&(o!==undefined||n in s(e))}}return function(e){return r(e,t)}}var r=e("./baseIsMatch"),i=e("./getMatchData"),s=e("./toObject");t.exports=o},{"./baseIsMatch":64,"./getMatchData":85,"./toObject":96}],67:[function(e,t,n){function h(e,t){var n=o(e),h=u(e)&&a(t),p=e+"";return e=c(e),function(o){if(o==null)return!1;var u=p;o=l(o);if((n||!h)&&!(u in o)){o=e.length==1?o:r(o,s(e,0,-1));if(o==null)return!1;u=f(e),o=l(o)}return o[u]===t?t!==undefined||u in o:i(t,o[u],undefined,!0)}}var r=e("./baseGet"),i=e("./baseIsEqual"),s=e("./baseSlice"),o=e("../lang/isArray"),u=e("./isKey"),a=e("./isStrictComparable"),f=e("../array/last"),l=e("./toObject"),c=e("./toPath");t.exports=h},{"../array/last":38,"../lang/isArray":99,"./baseGet":60,"./baseIsEqual":62,"./baseSlice":72,"./isKey":91,"./isStrictComparable":94,"./toObject":96,"./toPath":97}],68:[function(e,t,n){function c(e,t,n,h,p){if(!u(e))return e;var d=o(t)&&(s(t)||f(t)),v=d?undefined:l(t);return r(v||t,function(r,s){v&&(s=r,r=t[s]);if(a(r))h||(h=[]),p||(p=[]),i(e,t,s,c,n,h,p);else{var o=e[s],u=n?n(o,r,s,e,t):undefined,f=u===undefined;f&&(u=r),(u!==undefined||d&&!(s in e))&&(f||(u===u?u!==o:o===o))&&(e[s]=u)}}),e}var r=e("./arrayEach"),i=e("./baseMergeDeep"),s=e("../lang/isArray"),o=e("./isArrayLike"),u=e("../lang/isObject"),a=e("./isObjectLike"),f=e("../lang/isTypedArray"),l=e("../object/keys");t.exports=c},{"../lang/isArray":99,"../lang/isObject":104,"../lang/isTypedArray":107,"../object/keys":111,"./arrayEach":47,"./baseMergeDeep":69,"./isArrayLike":88,"./isObjectLike":93}],69:[function(e,t,n){function l(e,t,n,l,c,h,p){var d=h.length,v=t[n];while(d--)if(h[d]==v){e[n]=p[d];return}var m=e[n],g=c?c(m,v,n,e,t):undefined,y=g===undefined;y&&(g=v,o(v)&&(s(v)||a(v))?g=s(m)?m:o(m)?r(m):[]:u(v)||i(v)?g=i(m)?f(m):u(m)?m:{}:y=!1),h.push(v),p.push(g);if(y)e[n]=l(g,v,c,h,p);else if(g===g?g!==m:m===m)e[n]=g}var r=e("./arrayCopy"),i=e("../lang/isArguments"),s=e("../lang/isArray"),o=e("./isArrayLike"),u=e("../lang/isPlainObject"),a=e("../lang/isTypedArray"),f=e("../lang/toPlainObject");t.exports=l},{"../lang/isArguments":98,"../lang/isArray":99,"../lang/isPlainObject":105,"../lang/isTypedArray":107,"../lang/toPlainObject":108,"./arrayCopy":46,"./isArrayLike":88}],70:[function(e,t,n){function r(e){return function(t){return t==null?undefined:t[e]}}t.exports=r},{}],71:[function(e,t,n){function s(e){var t=e+"";return e=i(e),function(n){return r(n,e,t)}}var r=e("./baseGet"),i=e("./toPath");t.exports=s},{"./baseGet":60,"./toPath":97}],72:[function(e,t,n){function r(e,t,n){var r=-1,i=e.length;t=t==null?0:+t||0,t<0&&(t=-t>i?0:i+t),n=n===undefined||n>i?i:+n||0,n<0&&(n+=i),i=t>n?0:n-t>>>0,t>>>=0;var s=Array(i);while(++r<i)s[r]=e[r+t];return s}t.exports=r},{}],73:[function(e,t,n){function r(e){return e==null?"":e+""}t.exports=r},{}],74:[function(e,t,n){function r(e,t){var n=-1,r=t.length,i=Array(r);while(++n<r)i[n]=e[t[n]];return i}t.exports=r},{}],75:[function(e,t,n){function i(e,t,n){if(typeof e!="function")return r;if(t===undefined)return e;switch(n){case 1:return function(n){return e.call(t,n)};case 3:return function(n,r,i){return e.call(t,n,r,i)};case 4:return function(n,r,i,s){return e.call(t,n,r,i,s)};case 5:return function(n,r,i,s,o){return e.call(t,n,r,i,s,o)}}return function(){return e.apply(t,arguments)}}var r=e("../utility/identity");t.exports=i},{"../utility/identity":116}],76:[function(e,t,n){function o(e,t){return function(n,o,u){var a=t?t():{};o=r(o,u,3);if(s(n)){var f=-1,l=n.length;while(++f<l){var c=n[f];e(a,c,o(c,f,n),n)}}else i(n,function(t,n,r){e(a,t,o(t,n,r),r)});return a}}var r=e("./baseCallback"),i=e("./baseEach"),s=e("../lang/isArray");t.exports=o},{"../lang/isArray":99,"./baseCallback":53,"./baseEach":55}],77:[function(e,t,n){function o(e){return s(function(t,n){var s=-1,o=t==null?0:n.length,u=o>2?n[o-2]:undefined,a=o>2?n[2]:undefined,f=o>1?n[o-1]:undefined;typeof u=="function"?(u=r(u,f,5),o-=2):(u=typeof f=="function"?f:undefined,o-=u?1:0),a&&i(n[0],n[1],a)&&(u=o<3?undefined:u,o=1);while(++s<o){var l=n[s];l&&e(t,l,u)}return t})}var r=e("./bindCallback"),i=e("./isIterateeCall"),s=e("../function/restParam");t.exports=o},{"../function/restParam":45,"./bindCallback":75,"./isIterateeCall":90}],78:[function(e,t,n){function o(e,t){return function(n,o){var u=n?r(n):0;if(!i(u))return e(n,o);var a=t?u:-1,f=s(n);while(t?a--:++a<u)if(o(f[a],a,f)===!1)break;return n}}var r=e("./getLength"),i=e("./isLength"),s=e("./toObject");t.exports=o},{"./getLength":84,"./isLength":92,"./toObject":96}],79:[function(e,t,n){function i(e){return function(t,n,i){var s=r(t),o=i(t),u=o.length,a=e?u:-1;while(e?a--:++a<u){var f=o[a];if(n(s[f],f,s)===!1)break}return t}}var r=e("./toObject");t.exports=i},{"./toObject":96}],80:[function(e,t,n){function s(e,t){return function(n,s,o){return typeof s=="function"&&o===undefined&&i(n)?e(n,s):t(n,r(s,o,3))}}var r=e("./bindCallback"),i=e("../lang/isArray");t.exports=s},{"../lang/isArray":99,"./bindCallback":75}],81:[function(e,t,n){function i(e,t,n,i,s,o,u){var a=-1,f=e.length,l=t.length;if(f!=l&&!(s&&l>f))return!1;while(++a<f){var c=e[a],h=t[a],p=i?i(s?h:c,s?c:h,a):undefined;if(p!==undefined){if(p)continue;return!1}if(s){if(!r(t,function(e){return c===e||n(c,e,i,s,o,u)}))return!1}else if(c!==h&&!n(c,h,i,s,o,u))return!1}return!0}var r=e("./arraySome");t.exports=i},{"./arraySome":50}],82:[function(e,t,n){function f(e,t,n){switch(n){case r:case i:return+e==+t;case s:return e.name==t.name&&e.message==t.message;case o:return e!=+e?t!=+t:e==+t;case u:case a:return e==t+""}return!1}var r="[object Boolean]",i="[object Date]",s="[object Error]",o="[object Number]",u="[object RegExp]",a="[object String]";t.exports=f},{}],83:[function(e,t,n){function o(e,t,n,i,o,u,a){var f=r(e),l=f.length,c=r(t),h=c.length;if(l!=h&&!o)return!1;var p=l;while(p--){var d=f[p];if(!(o?d in t:s.call(t,d)))return!1}var v=o;while(++p<l){d=f[p];var m=e[d],g=t[d],y=i?i(o?g:m,o?m:g,d):undefined;if(y===undefined?!n(m,g,i,o,u,a):!y)return!1;v||(v=d=="constructor")}if(!v){var b=e.constructor,w=t.constructor;if(b!=w&&"constructor"in e&&"constructor"in t&&!(typeof b=="function"&&b instanceof b&&typeof w=="function"&&w instanceof w))return!1}return!0}var r=e("../object/keys"),i=Object.prototype,s=i.hasOwnProperty;t.exports=o},{"../object/keys":111}],84:[function(e,t,n){var r=e("./baseProperty"),i=r("length");t.exports=i},{"./baseProperty":70}],85:[function(e,t,n){function s(e){var t=i(e),n=t.length;while(n--)t[n][2]=r(t[n][1]);return t}var r=e("./isStrictComparable"),i=e("../object/pairs");t.exports=s},{"../object/pairs":114,"./isStrictComparable":94}],86:[function(e,t,n){function i(e,t){var n=e==null?undefined:e[t];return r(n)?n:undefined}var r=e("../lang/isNative");t.exports=i},{"../lang/isNative":103}],87:[function(e,t,n){function r(e,t,n){var r=e.length,i=t+(n?0:-1);while(n?i--:++i<r){var s=e[i];if(s!==s)return i}return-1}t.exports=r},{}],88:[function(e,t,n){function s(e){return e!=null&&i(r(e))}var r=e("./getLength"),i=e("./isLength");t.exports=s},{"./getLength":84,"./isLength":92}],89:[function(e,t,n){function s(e,t){return e=typeof e=="number"||r.test(e)?+e:-1,t=t==null?i:t,e>-1&&e%1==0&&e<t}var r=/^\d+$/,i=9007199254740991;t.exports=s},{}],90:[function(e,t,n){function o(e,t,n){if(!s(n))return!1;var o=typeof t;if(o=="number"?r(n)&&i(t,n.length):o=="string"&&t in n){var u=n[t];return e===e?e===u:u!==u}return!1}var r=e("./isArrayLike"),i=e("./isIndex"),s=e("../lang/isObject");t.exports=o},{"../lang/isObject":104,"./isArrayLike":88,"./isIndex":89}],91:[function(e,t,n){function u(e,t){var n=typeof e;if(n=="string"&&o.test(e)||n=="number")return!0;if(r(e))return!1;var u=!s.test(e);return u||t!=null&&e in i(t)}var r=e("../lang/isArray"),i=e("./toObject"),s=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\n\\]|\\.)*?\1)\]/,o=/^\w*$/;t.exports=u},{"../lang/isArray":99,"./toObject":96}],92:[function(e,t,n){function i(e){return typeof e=="number"&&e>-1&&e%1==0&&e<=r}var r=9007199254740991;t.exports=i},{}],93:[function(e,t,n){function r(e){return!!e&&typeof e=="object"}t.exports=r},{}],94:[function(e,t,n){function i(e){return e===e&&!r(e)}var r=e("../lang/isObject");t.exports=i},{"../lang/isObject":104}],95:[function(e,t,n){function l(e){var t=u(e),n=t.length,a=n&&e.length,l=!!a&&o(a)&&(i(e)||r(e)),c=-1,h=[];while(++c<n){var p=t[c];(l&&s(p,a)||f.call(e,p))&&h.push(p)}return h}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("./isIndex"),o=e("./isLength"),u=e("../object/keysIn"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../lang/isArguments":98,"../lang/isArray":99,"../object/keysIn":112,"./isIndex":89,"./isLength":92}],96:[function(e,t,n){function i(e){return r(e)?e:Object(e)}var r=e("../lang/isObject");t.exports=i},{"../lang/isObject":104}],97:[function(e,t,n){function u(e){if(i(e))return e;var t=[];return r(e).replace(s,function(e,n,r,i){t.push(r?i.replace(o,"$1"):n||e)}),t}var r=e("./baseToString"),i=e("../lang/isArray"),s=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\n\\]|\\.)*?)\2)\]/g,o=/\\(\\)?/g;t.exports=u},{"../lang/isArray":99,"./baseToString":73}],98:[function(e,t,n){function a(e){return i(e)&&r(e)&&o.call(e,"callee")&&!u.call(e,"callee")}var r=e("../internal/isArrayLike"),i=e("../internal/isObjectLike"),s=Object.prototype,o=s.hasOwnProperty,u=s.propertyIsEnumerable;t.exports=a},{"../internal/isArrayLike":88,"../internal/isObjectLike":93}],99:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isLength"),s=e("../internal/isObjectLike"),o="[object Array]",u=Object.prototype,a=u.toString,f=r(Array,"isArray"),l=f||function(e){return s(e)&&i(e.length)&&a.call(e)==o};t.exports=l},{"../internal/getNative":86,"../internal/isLength":92,"../internal/isObjectLike":93}],100:[function(e,t,n){arguments[4][34][0].apply(n,arguments)},{"../internal/isObjectLike":93,dup:34}],101:[function(e,t,n){function l(e){return e==null?!0:s(e)&&(i(e)||a(e)||r(e)||u(e)&&o(e.splice))?!e.length:!f(e).length}var r=e("./isArguments"),i=e("./isArray"),s=e("../internal/isArrayLike"),o=e("./isFunction"),u=e("../internal/isObjectLike"),a=e("./isString"),f=e("../object/keys");t.exports=l},{"../internal/isArrayLike":88,"../internal/isObjectLike":93,"../object/keys":111,"./isArguments":98,"./isArray":99,"./isFunction":102,"./isString":106}],102:[function(e,t,n){function u(e){return r(e)&&o.call(e)==i}var r=e("./isObject"),i="[object Function]",s=Object.prototype,o=s.toString;t.exports=u},{"./isObject":104}],103:[function(e,t,n){function l(e){return e==null?!1:r(e)?f.test(u.call(e)):i(e)&&s.test(e)}var r=e("./isFunction"),i=e("../internal/isObjectLike"),s=/^\[object .+?Constructor\]$/,o=Object.prototype,u=Function.prototype.toString,a=o.hasOwnProperty,f=RegExp("^"+u.call(a).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");t.exports=l},{"../internal/isObjectLike":93,"./isFunction":102}],104:[function(e,t,n){function r(e){var t=typeof e;return!!e&&(t=="object"||t=="function")}t.exports=r},{}],105:[function(e,t,n){function l(e){var t;if(!s(e)||f.call(e)!=o||!!i(e)||!a.call(e,"constructor")&&(t=e.constructor,typeof t=="function"&&!(t instanceof t)))return!1;var n;return r(e,function(e,t){n=t}),n===undefined||a.call(e,n)}var r=e("../internal/baseForIn"),i=e("./isArguments"),s=e("../internal/isObjectLike"),o="[object Object]",u=Object.prototype,a=u.hasOwnProperty,f=u.toString;t.exports=l},{"../internal/baseForIn":58,"../internal/isObjectLike":93,"./isArguments":98}],106:[function(e,t,n){arguments[4][35][0].apply(n,arguments)},{"../internal/isObjectLike":93,dup:35}],107:[function(e,t,n){function M(e){return i(e)&&r(e.length)&&!!L[O.call(e)]}var r=e("../internal/isLength"),i=e("../internal/isObjectLike"),s="[object Arguments]",o="[object Array]",u="[object Boolean]",a="[object Date]",f="[object Error]",l="[object Function]",c="[object Map]",h="[object Number]",p="[object Object]",d="[object RegExp]",v="[object Set]",m="[object String]",g="[object WeakMap]",y="[object ArrayBuffer]",b="[object Float32Array]",w="[object Float64Array]",E="[object Int8Array]",S="[object Int16Array]",x="[object Int32Array]",T="[object Uint8Array]",N="[object Uint8ClampedArray]",C="[object Uint16Array]",k="[object Uint32Array]",L={};L[b]=L[w]=L[E]=L[S]=L[x]=L[T]=L[N]=L[C]=L[k]=!0,L[s]=L[o]=L[y]=L[u]=L[a]=L[f]=L[l]=L[c]=L[h]=L[p]=L[d]=L[v]=L[m]=L[g]=!1;var A=Object.prototype,O=A.toString;t.exports=M},{"../internal/isLength":92,"../internal/isObjectLike":93}],108:[function(e,t,n){function s(e){return r(e,i(e))}var r=e("../internal/baseCopy"),i=e("../object/keysIn");t.exports=s},{"../internal/baseCopy":54,"../object/keysIn":112}],109:[function(e,t,n){var r=e("../internal/assignWith"),i=e("../internal/baseAssign"),s=e("../internal/createAssigner"),o=s(function(e,t,n){return n?r(e,t,n):i(e,t)});t.exports=o},{"../internal/assignWith":51,"../internal/baseAssign":52,"../internal/createAssigner":77}],110:[function(e,t,n){function d(e,t){if(e==null)return!1;var n=p.call(e,t);if(!n&&!a(t)){t=c(t),e=t.length==1?e:r(e,i(t,0,-1));if(e==null)return!1;t=l(t),n=p.call(e,t)}return n||f(e.length)&&u(t,e.length)&&(o(e)||s(e))}var r=e("../internal/baseGet"),i=e("../internal/baseSlice"),s=e("../lang/isArguments"),o=e("../lang/isArray"),u=e("../internal/isIndex"),a=e("../internal/isKey"),f=e("../internal/isLength"),l=e("../array/last"),c=e("../internal/toPath"),h=Object.prototype,p=h.hasOwnProperty;t.exports=d},{"../array/last":38,"../internal/baseGet":60,"../internal/baseSlice":72,"../internal/isIndex":89,"../internal/isKey":91,"../internal/isLength":92,"../internal/toPath":97,"../lang/isArguments":98,"../lang/isArray":99}],111:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isArrayLike"),s=e("../lang/isObject"),o=e("../internal/shimKeys"),u=r(Object,"keys"),a=u?function(e){var t=e==null?undefined:e.constructor;return typeof t=="function"&&t.prototype===e||typeof e!="function"&&i(e)?o(e):s(e)?u(e):[]}:o;t.exports=a},{"../internal/getNative":86,"../internal/isArrayLike":88,"../internal/shimKeys":95,"../lang/isObject":104}],112:[function(e,t,n){function l(e){if(e==null)return[];u(e)||(e=Object(e));var t=e.length;t=t&&o(t)&&(i(e)||r(e))&&t||0;var n=e.constructor,a=-1,l=typeof n=="function"&&n.prototype===e,c=Array(t),h=t>0;while(++a<t)c[a]=a+"";for(var p in e)(!h||!s(p,t))&&(p!="constructor"||!l&&!!f.call(e,p))&&c.push(p);return c}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("../internal/isIndex"),o=e("../internal/isLength"),u=e("../lang/isObject"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../internal/isIndex":89,"../internal/isLength":92,"../lang/isArguments":98,"../lang/isArray":99,"../lang/isObject":104}],113:[function(e,t,n){var r=e("../internal/baseMerge"),i=e("../internal/createAssigner"),s=i(r);t.exports=s},{"../internal/baseMerge":68,"../internal/createAssigner":77}],114:[function(e,t,n){function s(e){e=i(e);var t=-1,n=r(e),s=n.length,o=Array(s);while(++t<s){var u=n[t];o[t]=[u,e[u]]}return o}var r=e("./keys"),i=e("../internal/toObject");t.exports=s},{"../internal/toObject":96,"./keys":111}],115:[function(e,t,n){function s(e){return r(e,i(e))}var r=e("../internal/baseValues"),i=e("./keys");t.exports=s},{"../internal/baseValues":74,"./keys":111}],116:[function(e,t,n){function r(e){return e}t.exports=r},{}],117:[function(e,t,n){function o(e){return s(e)?r(e):i(e)}var r=e("../internal/baseProperty"),i=e("../internal/basePropertyDeep"),s=e("../internal/isKey");t.exports=o},{"../internal/baseProperty":70,"../internal/basePropertyDeep":71,"../internal/isKey":91}],118:[function(e,t,n){(function(e){(function(e){if(typeof bootstrap=="function")bootstrap("promise",e);else if(typeof n=="object"&&typeof t=="object")t.exports=e();else if(typeof define=="function"&&define.amd)define(e);else if(typeof ses!="undefined"){if(!ses.ok())return;ses.makeQ=e}else{if(typeof window=="undefined"&&typeof self=="undefined")throw new Error("This environment was not anticipated by Q. Please file a bug.");var r=typeof window!="undefined"?window:self,i=r.Q;r.Q=e(),r.Q.noConflict=function(){return r.Q=i,this}}})(function(){function a(e){return function(){return u.apply(e,arguments)}}function g(e){return e===Object(e)}function y(e){return m(e)==="[object StopIteration]"||e instanceof b}function E(e,n){if(t&&n.stack&&typeof e=="object"&&e!==null&&e.stack&&e.stack.indexOf(w)===-1){var r=[];for(var i=n;!!i;i=i.source)i.stack&&r.unshift(i.stack);r.unshift(e.stack);var s=r.join("\n"+w+"\n");e.stack=S(s)}}function S(e){var t=e.split("\n"),n=[];for(var r=0;r<t.length;++r){var i=t[r];!N(i)&&!x(i)&&i&&n.push(i)}return n.join("\n")}function x(e){return e.indexOf("(module.js:")!==-1||e.indexOf("(node.js:")!==-1}function T(e){var t=/at .+ \((.+):(\d+):(?:\d+)\)$/.exec(e);if(t)return[t[1],Number(t[2])];var n=/at ([^ ]+):(\d+):(?:\d+)$/.exec(e);if(n)return[n[1],Number(n[2])];var r=/.*@(.+):(\d+)$/.exec(e);if(r)return[r[1],Number(r[2])]}function N(e){var t=T(e);if(!t)return!1;var n=t[0],s=t[1];return n===i&&s>=r&&s<=ft}function C(){if(!t)return;try{throw new Error}catch(e){var n=e.stack.split("\n"),r=n[0].indexOf("@")>0?n[1]:n[2],s=T(r);if(!s)return;return i=s[0],s[1]}}function k(e,t,n){return function(){return typeof console!="undefined"&&typeof console.warn=="function"&&console.warn(t+" is deprecated, use "+n+" instead.",(new Error("")).stack),e.apply(e,arguments)}}function L(e){return e instanceof _?e:B(e)?K(e):J(e)}function A(){function u(t){r=t,s.source=t,l(e,function(e,n){L.nextTick(function(){t.promiseDispatch.apply(t,n)})},void 0),e=void 0,n=void 0}var e=[],n=[],r,i=p(A.prototype),s=p(_.prototype);s.promiseDispatch=function(t,i,s){var o=f(arguments);e?(e.push(o),i==="when"&&s[1]&&n.push(s[1])):L.nextTick(function(){r.promiseDispatch.apply(r,o)})},s.valueOf=function(){if(e)return s;var t=P(r);return H(t)&&(r=t),t},s.inspect=function(){return r?r.inspect():{state:"pending"}};if(L.longStackSupport&&t)try{throw new Error}catch(o){s.stack=o.stack.substring(o.stack.indexOf("\n")+1)}return i.promise=s,i.resolve=function(e){if(r)return;u(L(e))},i.fulfill=function(e){if(r)return;u(J(e))},i.reject=function(e){if(r)return;u($(e))},i.notify=function(e){if(r)return;l(n,function(t,n){L.nextTick(function(){n(e)})},void 0)},i}function O(e){if(typeof e!="function")throw new TypeError("resolver must be a function.");var t=A();try{e(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}return t.promise}function M(e){return O(function(t,n){for(var r=0,i=e.length;r<i;r++)L(e[r]).then(t,n)})}function _(e,t,n){t===void 0&&(t=function(e){return $(new Error("Promise does not support operation: "+e))}),n===void 0&&(n=function(){return{state:"unknown"}});var r=p(_.prototype);r.promiseDispatch=function(n,i,s){var o;try{e[i]?o=e[i].apply(r,s):o=t.call(r,i,s)}catch(u){o=$(u)}n&&n(o)},r.inspect=n;if(n){var i=n();i.state==="rejected"&&(r.exception=i.reason),r.valueOf=function(){var e=n();return e.state==="pending"||e.state==="rejected"?r:e.value}}return r}function D(e,t,n,r){return L(e).then(t,n,r)}function P(e){if(H(e)){var t=e.inspect();if(t.state==="fulfilled")return t.value}return e}function H(e){return e instanceof _}function B(e){return g(e)&&typeof e.then=="function"}function j(e){return H(e)&&e.inspect().state==="pending"}function F(e){return!H(e)||e.inspect().state==="fulfilled"}function I(e){return H(e)&&e.inspect().state==="rejected"}function W(){q.length=0,R.length=0,z||(z=!0)}function X(t,n){if(!z)return;typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){c(R,t)!==-1&&(e.emit("unhandledRejection",n,t),U.push(t))}),R.push(t),n&&typeof n.stack!="undefined"?q.push(n.stack):q.push("(no stack) "+n)}function V(t){if(!z)return;var n=c(R,t);n!==-1&&(typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){var r=c(U,t);r!==-1&&(e.emit("rejectionHandled",q[n],t),U.splice(r,1))}),R.splice(n,1),q.splice(n,1))}function $(e){var t=_({when:function(t){return t&&V(this),t?t(e):this}},function(){return this},function(){return{state:"rejected",reason:e}});return X(t,e),t}function J(e){return _({when:function(){return e},get:function(t){return e[t]},set:function(t,n){e[t]=n},"delete":function(t){delete e[t]},post:function(t,n){return t===null||t===void 0?e.apply(void 0,n):e[t].apply(e,n)},apply:function(t,n){return e.apply(t,n)},keys:function(){return v(e)}},void 0,function(){return{state:"fulfilled",value:e}})}function K(e){var t=A();return L.nextTick(function(){try{e.then(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}}),t.promise}function Q(e){return _({isDef:function(){}},function(n,r){return nt(e,n,r)},function(){return L(e).inspect()})}function G(e,t,n){return L(e).spread(t,n)}function Y(e){return function(){function t(e,t){var s;if(typeof StopIteration=="undefined"){try{s=n[e](t)}catch(o){return $(o)}return s.done?L(s.value):D(s.value,r,i)}try{s=n[e](t)}catch(o){return y(o)?L(o.value):$(o)}return D(s,r,i)}var n=e.apply(this,arguments),r=t.bind(t,"next"),i=t.bind(t,"throw");return r()}}function Z(e){L.done(L.async(e)())}function et(e){throw new b(e)}function tt(e){return function(){return G([this,rt(arguments)],function(t,n){return e.apply(t,n)})}}function nt(e,t,n){return L(e).dispatch(t,n)}function rt(e){return D(e,function(e){var t=0,n=A();return l(e,function(r,i,s){var o;H(i)&&(o=i.inspect()).state==="fulfilled"?e[s]=o.value:(++t,D(i,function(r){e[s]=r,--t===0&&n.resolve(e)},n.reject,function(e){n.notify({index:s,value:e})}))},void 0),t===0&&n.resolve(e),n.promise})}function it(e){if(e.length===0)return L.resolve();var t=L.defer(),n=0;return l(e,function(r,i,s){function u(e){t.resolve(e)}function a(){n--,n===0&&t.reject(new Error("Can't get fulfillment value from any promise, all promises were rejected."))}function f(e){t.notify({index:s,value:e})}var o=e[s];n++,D(o,u,a,f)},undefined),t.promise}function st(e){return D(e,function(e){return e=h(e,L),D(rt(h(e,function(e){return D(e,s,s)})),function(){return e})})}function ot(e){return L(e).allSettled()}function ut(e,t){return L(e).then(void 0,void 0,t)}function at(e,t){return L(e).nodeify(t)}var t=!1;try{throw new Error}catch(n){t=!!n.stack}var r=C(),i,s=function(){},o=function(){function a(){var e,n;while(t.next)t=t.next,e=t.task,t.task=void 0,n=t.domain,n&&(t.domain=void 0,n.enter()),f(e,n);while(u.length)e=u.pop(),f(e);r=!1}function f(e,t){try{e()}catch(n){if(s)throw t&&t.exit(),setTimeout(a,0),t&&t.enter(),n;setTimeout(function(){throw n},0)}t&&t.exit()}var t={task:void 0,next:null},n=t,r=!1,i=void 0,s=!1,u=[];o=function(t){n=n.next={task:t,domain:s&&e.domain,next:null},r||(r=!0,i())};if(typeof e=="object"&&e.toString()==="[object process]"&&e.nextTick)s=!0,i=function(){e.nextTick(a)};else if(typeof setImmediate=="function")typeof window!="undefined"?i=setImmediate.bind(window,a):i=function(){setImmediate(a)};else if(typeof MessageChannel!="undefined"){var l=new MessageChannel;l.port1.onmessage=function(){i=c,l.port1.onmessage=a,a()};var c=function(){l.port2.postMessage(0)};i=function(){setTimeout(a,0),c()}}else i=function(){setTimeout(a,0)};return o.runAfter=function(e){u.push(e),r||(r=!0,i())},o}(),u=Function.call,f=a(Array.prototype.slice),l=a(Array.prototype.reduce||function(e,t){var n=0,r=this.length;if(arguments.length===1)do{if(n in this){t=this[n++];break}if(++n>=r)throw new TypeError}while(1);for(;n<r;n++)n in this&&(t=e(t,this[n],n));return t}),c=a(Array.prototype.indexOf||function(e){for(var t=0;t<this.length;t++)if(this[t]===e)return t;return-1}),h=a(Array.prototype.map||function(e,t){var n=this,r=[];return l(n,function(i,s,o){r.push(e.call(t,s,o,n))},void 0),r}),p=Object.create||function(e){function t(){}return t.prototype=e,new t},d=a(Object.prototype.hasOwnProperty),v=Object.keys||function(e){var t=[];for(var n in e)d(e,n)&&t.push(n);return t},m=a(Object.prototype.toString),b;typeof ReturnValue!="undefined"?b=ReturnValue:b=function(e){this.value=e};var w="From previous event:";L.resolve=L,L.nextTick=o,L.longStackSupport=!1,typeof e=="object"&&e&&e.env&&e.env.Q_DEBUG&&(L.longStackSupport=!0),L.defer=A,A.prototype.makeNodeResolver=function(){var e=this;return function(t,n){t?e.reject(t):arguments.length>2?e.resolve(f(arguments,1)):e.resolve(n)}},L.Promise=O,L.promise=O,O.race=M,O.all=rt,O.reject=$,O.resolve=L,L.passByCopy=function(e){return e},_.prototype.passByCopy=function(){return this},L.join=function(e,t){return L(e).join(t)},_.prototype.join=function(e){return L([this,e]).spread(function(e,t){if(e===t)return e;throw new Error("Can't join: not the same: "+e+" "+t)})},L.race=M,_.prototype.race=function(){return this.then(L.race)},L.makePromise=_,_.prototype.toString=function(){return"[object Promise]"},_.prototype.then=function(e,t,n){function o(t){try{return typeof e=="function"?e(t):t}catch(n){return $(n)}}function u(e){if(typeof t=="function"){E(e,r);try{return t(e)}catch(n){return $(n)}}return $(e)}function a(e){return typeof n=="function"?n(e):e}var r=this,i=A(),s=!1;return L.nextTick(function(){r.promiseDispatch(function(e){if(s)return;s=!0,i.resolve(o(e))},"when",[function(e){if(s)return;s=!0,i.resolve(u(e))}])}),r.promiseDispatch(void 0,"when",[void 0,function(e){var t,n=!1;try{t=a(e)}catch(r){n=!0;if(!L.onerror)throw r;L.onerror(r)}n||i.notify(t)}]),i.promise},L.tap=function(e,t){return L(e).tap(t)},_.prototype.tap=function(e){return e=L(e),this.then(function(t){return e.fcall(t).thenResolve(t)})},L.when=D,_.prototype.thenResolve=function(e){return this.then(function(){return e})},L.thenResolve=function(e,t){return L(e).thenResolve(t)},_.prototype.thenReject=function(e){return this.then(function(){throw e})},L.thenReject=function(e,t){return L(e).thenReject(t)},L.nearer=P,L.isPromise=H,L.isPromiseAlike=B,L.isPending=j,_.prototype.isPending=function(){return this.inspect().state==="pending"},L.isFulfilled=F,_.prototype.isFulfilled=function(){return this.inspect().state==="fulfilled"},L.isRejected=I,_.prototype.isRejected=function(){return this.inspect().state==="rejected"};var q=[],R=[],U=[],z=!0;L.resetUnhandledRejections=W,L.getUnhandledReasons=function(){return q.slice()},L.stopUnhandledRejectionTracking=function(){W(),z=!1},W(),L.reject=$,L.fulfill=J,L.master=Q,L.spread=G,_.prototype.spread=function(e,t){return this.all().then(function(t){return e.apply(void 0,t)},t)},L.async=Y,L.spawn=Z,L["return"]=et,L.promised=tt,L.dispatch=nt,_.prototype.dispatch=function(e,t){var n=this,r=A();return L.nextTick(function(){n.promiseDispatch(r.resolve,e,t)}),r.promise},L.get=function(e,t){return L(e).dispatch("get",[t])},_.prototype.get=function(e){return this.dispatch("get",[e])},L.set=function(e,t,n){return L(e).dispatch("set",[t,n])},_.prototype.set=function(e,t){return this.dispatch("set",[e,t])},L.del=L["delete"]=function(e,t){return L(e).dispatch("delete",[t])},_.prototype.del=_.prototype["delete"]=function(e){return this.dispatch("delete",[e])},L.mapply=L.post=function(e,t,n){return L(e).dispatch("post",[t,n])},_.prototype.mapply=_.prototype.post=function(e,t){return this.dispatch("post",[e,t])},L.send=L.mcall=L.invoke=function(e,t){return L(e).dispatch("post",[t,f(arguments,2)])},_.prototype.send=_.prototype.mcall=_.prototype.invoke=function(e){return this.dispatch("post",[e,f(arguments,1)])},L.fapply=function(e,t){return L(e).dispatch("apply",[void 0,t])},_.prototype.fapply=function(e){return this.dispatch("apply",[void 0,e])},L["try"]=L.fcall=function(e){return L(e).dispatch("apply",[void 0,f(arguments,1)])},_.prototype.fcall=function(){return this.dispatch("apply",[void 0,f(arguments)])},L.fbind=function(e){var t=L(e),n=f(arguments,1);return function(){return t.dispatch("apply",[this,n.concat(f(arguments))])}},_.prototype.fbind=function(){var e=this,t=f(arguments);return function(){return e.dispatch("apply",[this,t.concat(f(arguments))])}},L.keys=function(e){return L(e).dispatch("keys",[])},_.prototype.keys=function(){return this.dispatch("keys",[])},L.all=rt,_.prototype.all=function(){return rt(this)},L.any=it,_.prototype.any=function(){return it(this)},L.allResolved=k(st,"allResolved","allSettled"),_.prototype.allResolved=function(){return st(this)},L.allSettled=ot,_.prototype.allSettled=function(){return this.then(function(e){return rt(h(e,function(e){function t(){return e.inspect()}return e=L(e),e.then(t,t)}))})},L.fail=L["catch"]=function(e,t){return L(e).then(void 0,t)},_.prototype.fail=_.prototype["catch"]=function(e){return this.then(void 0,e)},L.progress=ut,_.prototype.progress=function(e){return this.then(void 0,void 0,e)},L.fin=L["finally"]=function(e,t){return L(e)["finally"](t)},_.prototype.fin=_.prototype["finally"]=function(e){return e=L(e),this.then(function(t){return e.fcall().then(function(){return t})},function(t){return e.fcall().then(function(){throw t})})},L.done=function(e,t,n,r){return L(e).done(t,n,r)},_.prototype.done=function(t,n,r){var i=function(e){L.nextTick(function(){E(e,s);if(!L.onerror)throw e;L.onerror(e)})},s=t||n||r?this.then(t,n,r):this;typeof e=="object"&&e&&e.domain&&(i=e.domain.bind(i)),s.then(void 0,i)},L.timeout=function(e,t,n){return L(e).timeout(t,n)},_.prototype.timeout=function(e,t){var n=A(),r=setTimeout(function(){if(!t||"string"==typeof t)t=new Error(t||"Timed out after "+e+" ms"),t.code="ETIMEDOUT";n.reject(t)},e);return this.then(function(e){clearTimeout(r),n.resolve(e)},function(e){clearTimeout(r),n.reject(e)},n.notify),n.promise},L.delay=function(e,t){return t===void 0&&(t=e,e=void 0),L(e).delay(t)},_.prototype.delay=function(e){return this.then(function(t){var n=A();return setTimeout(function(){n.resolve(t)},e),n.promise})},L.nfapply=function(e,t){return L(e).nfapply(t)},_.prototype.nfapply=function(e){var t=A(),n=f(e);return n.push(t.makeNodeResolver()),this.fapply(n).fail(t.reject),t.promise},L.nfcall=function(e){var t=f(arguments,1);return L(e).nfapply(t)},_.prototype.nfcall=function(){var e=f(arguments),t=A();return e.push(t.makeNodeResolver()),this.fapply(e).fail(t.reject),t.promise},L.nfbind=L.denodeify=function(e){var t=f(arguments,1);return function(){var n=t.concat(f(arguments)),r=A();return n.push(r.makeNodeResolver()),L(e).fapply(n).fail(r.reject),r.promise}},_.prototype.nfbind=_.prototype.denodeify=function(){var e=f(arguments);return e.unshift(this),L.denodeify.apply(void 0,e)},L.nbind=function(e,t){var n=f(arguments,2);return function(){function s(){return e.apply(t,arguments)}var r=n.concat(f(arguments)),i=A();return r.push(i.makeNodeResolver()),L(s).fapply(r).fail(i.reject),i.promise}},_.prototype.nbind=function(){var e=f(arguments,0);return e.unshift(this),L.nbind.apply(void 0,e)},L.nmapply=L.npost=function(e,t,n){return L(e).npost(t,n)},_.prototype.nmapply=_.prototype.npost=function(e,t){var n=f(t||[]),r=A();return n.push(r.makeNodeResolver()),this.dispatch("post",[e,n]).fail(r.reject),r.promise},L.nsend=L.nmcall=L.ninvoke=function(e,t){var n=f(arguments,2),r=A();return n.push(r.makeNodeResolver()),L(e).dispatch("post",[t,n]).fail(r.reject),r.promise},_.prototype.nsend=_.prototype.nmcall=_.prototype.ninvoke=function(e){var t=f(arguments,1),n=A();return t.push(n.makeNodeResolver()),this.dispatch("post",[e,t]).fail(n.reject),n.promise},L.nodeify=at,_.prototype.nodeify=function(e){if(!e)return this;this.then(function(t){L.nextTick(function(){e(null,t)})},function(t){L.nextTick(function(){e(t)})})},L.noConflict=function(){throw new Error("Q.noConflict only works when Q is used as a global")};var ft=C();return L})}).call(this,e("_process"))},{_process:5}],119:[function(require,module,exports){!function(e,t,n){typeof module!="undefined"&&module.exports?module.exports=n():typeof define=="function"&&define.amd?define(n):t[e]=n()}("reqwest",this,function(){function succeed(e){var t=protocolRe.exec(e.url);return t=t&&t[1]||window.location.protocol,httpsRe.test(t)?twoHundo.test(e.request.status):!!e.request.response}function handleReadyState(e,t,n){return function(){if(e._aborted)return n(e.request);if(e._timedOut)return n(e.request,"Request is aborted: timeout");e.request&&e.request[readyState]==4&&(e.request.onreadystatechange=noop,succeed(e)?t(e.request):n(e.request))}}function setHeaders(e,t){var n=t.headers||{},r;n.Accept=n.Accept||defaultHeaders.accept[t.type]||defaultHeaders.accept["*"];var i=typeof FormData=="function"&&t.data instanceof FormData;!t.crossOrigin&&!n[requestedWith]&&(n[requestedWith]=defaultHeaders.requestedWith),!n[contentType]&&!i&&(n[contentType]=t.contentType||defaultHeaders.contentType);for(r in n)n.hasOwnProperty(r)&&"setRequestHeader"in e&&e.setRequestHeader(r,n[r])}function setCredentials(e,t){typeof t.withCredentials!="undefined"&&typeof e.withCredentials!="undefined"&&(e.withCredentials=!!t.withCredentials)}function generalCallback(e){lastValue=e}function urlappend(e,t){return e+(/\?/.test(e)?"&":"?")+t}function handleJsonp(e,t,n,r){var i=uniqid++,s=e.jsonpCallback||"callback",o=e.jsonpCallbackName||reqwest.getcallbackPrefix(i),u=new RegExp("((^|\\?|&)"+s+")=([^&]+)"),a=r.match(u),f=doc.createElement("script"),l=0,c=navigator.userAgent.indexOf("MSIE 10.0")!==-1;return a?a[3]==="?"?r=r.replace(u,"$1="+o):o=a[3]:r=urlappend(r,s+"="+o),win[o]=generalCallback,f.type="text/javascript",f.src=r,f.async=!0,typeof f.onreadystatechange!="undefined"&&!c&&(f.htmlFor=f.id="_reqwest_"+i),f.onload=f.onreadystatechange=function(){if(f[readyState]&&f[readyState]!=="complete"&&f[readyState]!=="loaded"||l)return!1;f.onload=f.onreadystatechange=null,f.onclick&&f.onclick(),t(lastValue),lastValue=undefined,head.removeChild(f),l=1},head.appendChild(f),{abort:function(){f.onload=f.onreadystatechange=null,n({},"Request is aborted: timeout",{}),lastValue=undefined,head.removeChild(f),l=1}}}function getRequest(e,t){var n=this.o,r=(n.method||"GET").toUpperCase(),i=typeof n=="string"?n:n.url,s=n.processData!==!1&&n.data&&typeof n.data!="string"?reqwest.toQueryString(n.data):n.data||null,o,u=!1;return(n["type"]=="jsonp"||r=="GET")&&s&&(i=urlappend(i,s),s=null),n["type"]=="jsonp"?handleJsonp(n,e,t,i):(o=n.xhr&&n.xhr(n)||xhr(n),o.open(r,i,n.async===!1?!1:!0),setHeaders(o,n),setCredentials(o,n),win[xDomainRequest]&&o instanceof win[xDomainRequest]?(o.onload=e,o.onerror=t,o.onprogress=function(){},u=!0):o.onreadystatechange=handleReadyState(this,e,t),n.before&&n.before(o),u?setTimeout(function(){o.send(s)},200):o.send(s),o)}function Reqwest(e,t){this.o=e,this.fn=t,init.apply(this,arguments)}function setType(e){if(e.match("json"))return"json";if(e.match("javascript"))return"js";if(e.match("text"))return"html";if(e.match("xml"))return"xml"}function init(o,fn){function complete(e){o.timeout&&clearTimeout(self.timeout),self.timeout=null;while(self._completeHandlers.length>0)self._completeHandlers.shift()(e)}function success(resp){var type=o.type||resp&&setType(resp.getResponseHeader("Content-Type"));resp=type!=="jsonp"?self.request:resp;var filteredResponse=globalSetupOptions.dataFilter(resp.responseText,type),r=filteredResponse;try{resp.responseText=r}catch(e){}if(r)switch(type){case"json":try{resp=win.JSON?win.JSON.parse(r):eval("("+r+")")}catch(err){return error(resp,"Could not parse JSON in response",err)}break;case"js":resp=eval(r);break;case"html":resp=r;break;case"xml":resp=resp.responseXML&&resp.responseXML.parseError&&resp.responseXML.parseError.errorCode&&resp.responseXML.parseError.reason?null:resp.responseXML}self._responseArgs.resp=resp,self._fulfilled=!0,fn(resp),self._successHandler(resp);while(self._fulfillmentHandlers.length>0)resp=self._fulfillmentHandlers.shift()(resp);complete(resp)}function timedOut(){self._timedOut=!0,self.request.abort()}function error(e,t,n){e=self.request,self._responseArgs.resp=e,self._responseArgs.msg=t,self._responseArgs.t=n,self._erred=!0;while(self._errorHandlers.length>0)self._errorHandlers.shift()(e,t,n);complete(e)}this.url=typeof o=="string"?o:o.url,this.timeout=null,this._fulfilled=!1,this._successHandler=function(){},this._fulfillmentHandlers=[],this._errorHandlers=[],this._completeHandlers=[],this._erred=!1,this._responseArgs={};var self=this;fn=fn||function(){},o.timeout&&(this.timeout=setTimeout(function(){timedOut()},o.timeout)),o.success&&(this._successHandler=function(){o.success.apply(o,arguments)}),o.error&&this._errorHandlers.push(function(){o.error.apply(o,arguments)}),o.complete&&this._completeHandlers.push(function(){o.complete.apply(o,arguments)}),this.request=getRequest.call(this,success,error)}function reqwest(e,t){return new Reqwest(e,t)}function normalize(e){return e?e.replace(/\r?\n/g,"\r\n"):""}function serial(e,t){var n=e.name,r=e.tagName.toLowerCase(),i=function(e){e&&!e.disabled&&t(n,normalize(e.attributes.value&&e.attributes.value.specified?e.value:e.text))},s,o,u,a;if(e.disabled||!n)return;switch(r){case"input":/reset|button|image|file/i.test(e.type)||(s=/checkbox/i.test(e.type),o=/radio/i.test(e.type),u=e.value,(!s&&!o||e.checked)&&t(n,normalize(s&&u===""?"on":u)));break;case"textarea":t(n,normalize(e.value));break;case"select":if(e.type.toLowerCase()==="select-one")i(e.selectedIndex>=0?e.options[e.selectedIndex]:null);else for(a=0;e.length&&a<e.length;a++)e.options[a].selected&&i(e.options[a])}}function eachFormElement(){var e=this,t,n,r=function(t,n){var r,i,s;for(r=0;r<n.length;r++){s=t[byTag](n[r]);for(i=0;i<s.length;i++)serial(s[i],e)}};for(n=0;n<arguments.length;n++)t=arguments[n],/input|select|textarea/i.test(t.tagName)&&serial(t,e),r(t,["input","select","textarea"])}function serializeQueryString(){return reqwest.toQueryString(reqwest.serializeArray.apply(null,arguments))}function serializeHash(){var e={};return eachFormElement.apply(function(t,n){t in e?(e[t]&&!isArray(e[t])&&(e[t]=[e[t]]),e[t].push(n)):e[t]=n},arguments),e}function buildParams(e,t,n,r){var i,s,o,u=/\[\]$/;if(isArray(t))for(s=0;t&&s<t.length;s++)o=t[s],n||u.test(e)?r(e,o):buildParams(e+"["+(typeof o=="object"?s:"")+"]",o,n,r);else if(t&&t.toString()==="[object Object]")for(i in t)buildParams(e+"["+i+"]",t[i],n,r);else r(e,t)}var win=window,doc=document,httpsRe=/^http/,protocolRe=/(^\w+):\/\//,twoHundo=/^(20\d|1223)$/,byTag="getElementsByTagName",readyState="readyState",contentType="Content-Type",requestedWith="X-Requested-With",head=doc[byTag]("head")[0],uniqid=0,callbackPrefix="reqwest_"+ +(new Date),lastValue,xmlHttpRequest="XMLHttpRequest",xDomainRequest="XDomainRequest",noop=function(){},isArray=typeof Array.isArray=="function"?Array.isArray:function(e){return e instanceof Array},defaultHeaders={contentType:"application/x-www-form-urlencoded",requestedWith:xmlHttpRequest,accept:{"*":"text/javascript, text/html, application/xml, text/xml, */*",xml:"application/xml, text/xml",html:"text/html",text:"text/plain",json:"application/json, text/javascript",js:"application/javascript, text/javascript"}},xhr=function(e){if(e.crossOrigin===!0){var t=win[xmlHttpRequest]?new XMLHttpRequest:null;if(t&&"withCredentials"in t)return t;if(win[xDomainRequest])return new XDomainRequest;throw new Error("Browser does not support cross-origin requests")}return win[xmlHttpRequest]?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP")},globalSetupOptions={dataFilter:function(e){return e}};return Reqwest.prototype={abort:function(){this._aborted=!0,this.request.abort()},retry:function(){init.call(this,this.o,this.fn)},then:function(e,t){return e=e||function(){},t=t||function(){},this._fulfilled?this._responseArgs.resp=e(this._responseArgs.resp):this._erred?t(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):(this._fulfillmentHandlers.push(e),this._errorHandlers.push(t)),this},always:function(e){return this._fulfilled||this._erred?e(this._responseArgs.resp):this._completeHandlers.push(e),this},fail:function(e){return this._erred?e(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):this._errorHandlers.push(e),this},"catch":function(e){return this.fail(e)}},reqwest.serializeArray=function(){var e=[];return eachFormElement.apply(function(t,n){e.push({name:t,value:n})},arguments),e},reqwest.serialize=function(){if(arguments.length===0)return"";var e,t,n=Array.prototype.slice.call(arguments,0);return e=n.pop(),e&&e.nodeType&&n.push(e)&&(e=null),e&&(e=e.type),e=="map"?t=serializeHash:e=="array"?t=reqwest.serializeArray:t=serializeQueryString,t.apply(null,n)},reqwest.toQueryString=function(e,t){var n,r,i=t||!1,s=[],o=encodeURIComponent,u=function(e,t){t="function"==typeof t?t():t==null?"":t,s[s.length]=o(e)+"="+o(t)};if(isArray(e))for(r=0;e&&r<e.length;r++)u(e[r].name,e[r].value);else for(n in e)e.hasOwnProperty(n)&&buildParams(n,e[n],i,u);return s.join("&").replace(/%20/g,"+")},reqwest.getcallbackPrefix=function(){return callbackPrefix},reqwest.compat=function(e,t){return e&&(e.type&&(e.method=e.type)&&delete e.type,e.dataType&&(e.type=e.dataType),e.jsonpCallback&&(e.jsonpCallbackName=e.jsonpCallback)&&delete e.jsonpCallback,e.jsonp&&(e.jsonpCallback=e.jsonp)),new Reqwest(e,t)},reqwest.ajaxSetup=function(e){e=e||{};for(var t in e)globalSetupOptions[t]=e[t]},reqwest})},{}],120:[function(e,t,n){!function(){function e(e,t){return(/string|function/.test(typeof t)?a:u)(e,t)}function n(e,t){return"string"!=typeof e&&(t=typeof e,"number"===t?e+="":e="function"===t?n(e.call(e)):""),e}function r(e){return h[e]}function i(e){return n(e).replace(/&(?![\w#]+;)|[<>"']/g,r)}function s(e,t){if(p(e))for(var n=0,r=e.length;r>n;n++)t.call(e,e[n],n,e);else for(n in e)t.call(e,e[n],n)}function o(e,t){var n=/(\/)[^/]+\1\.\.\1/,r=("./"+e).replace(/[^/]+$/,""),i=r+t;for(i=i.replace(/\/\.\//g,"/");i.match(n);)i=i.replace(n,"/");return i}function u(t,n){var r=e.get(t)||f({filename:t,name:"Render Error",message:"Template not found"});return n?r(n):r}function a(e,t){if("string"==typeof t){var n=t;t=function(){return new c(n)}}var r=l[e]=function(n){try{return new t(n,e)+""}catch(r){return f(r)()}};return r.prototype=t.prototype=d,r.toString=function(){return t+""},r}function f(e){var t="{Template Error}",n=e.stack||"";if(n)n=n.split("\n").slice(0,2).join("\n");else for(var r in e)n+="<"+r+">\n"+e[r]+"\n\n";return function(){return"object"==typeof console&&console.error(t+"\n\n"+n),t}}var l=e.cache={},c=this.String,h={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},p=Array.isArray||function(e){return"[object Array]"==={}.toString.call(e)},d=e.utils={$helpers:{},$include:function(e,t,n){return e=o(n,e),u(e,t)},$string:n,$escape:i,$each:s},v=e.helpers=d.$helpers;e.get=function(e){return l[e.replace(/^\.\//,"")]},e.helper=function(e,t){v[e]=t},t.exports=e}()},{}],121:[function(e,t,n){function v(){this.txtSearch=document.getElementById("txtSearch"),this.btnCancel=document.getElementById("btnCancel"),this.btnPinyin=document.getElementById("btnPinyin"),this.fixView=document.getElementById("fixView"),this.ct1=document.getElementById("ct1"),this.ct2=document.getElementById("ct2"),this.con=document.getElementById("content"),this.def=this.con.offsetHeight+"px",this.hash=c.getPinyinHash(),this.citys=c.getCites(),this.data,this.searchData}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=e("lodash/collection/forEach"),u=e("../../../../gum.ui/router/router"),a=e("../model/cities.model"),f=e("../model/provinces.model"),l=e("../model/family.holder.model"),c=new a,h=new f,p=new u,d=new l;v.prototype={init:function(e,t){this.initDate(e),this.txtSearchEvn(e),this.btnPinyinEvn(),this.btnCancelEvn(),this.initContentEvn(e,t)},initDate:function(e){var t=this,n=e.commonProvince;n?(this.data=r(c.getCitesByProperty({property:n}),"group"),this.searchData=c.getCitesByProperty({property:n})):this.data=r(this.citys,"group");var i="";o(this.hash,function(e,n){var r=t.data[n.toLocaleLowerCase()];r&&r.length>0&&(i+='<li class="table-view-city-divider short-line-right">'+n+"</li>",o(r,function(e,t){i+='<li class="table-view-city-cell" data-code='+e.code+">"+e.display+"</li>"}))}),this.ct1.innerHTML=i,this.getoffsetTop(ct1),this.fixView.style.height=this.con.offsetHeight-10+"px"},getoffsetTop:function(e){var t=e.querySelectorAll(".table-view-city-divider");for(var n=0;n<t.length;n++){var r=t[n];this.hash[r.innerText]=r.offsetTop}},txtSearchEvn:function(e){var t=this;this.txtSearch.addEventListener("input",function(n){ct2.innerHTML="";var r=t.txtSearch.value.trim().toLowerCase();if(r==="")return;var i;e?i=t.findByValues(t.searchData,["py","display"],r):i=t.findByValues(t.data,["py","display"],r),o(i,function(e,n){t.ct2.innerHTML+='<li class="table-view-city-cell">'+e.display+"</li>"})}),this.txtSearch.addEventListener("focus",function(e){t.btnCancel.classList.remove("hide"),t.btnPinyin.classList.add("hide"),t.ct1.classList.add("hide")})},findByValues:function(e,t,n){return i(e,function(e){return s(e[t[0]][0],n)===!0||s(e[t[0]][1],n)===!0||s(e[t[1]],n)===!0})},btnPinyinEvn:function(){var e=this;this.btnPinyin.addEventListener("click",function(t){var n=t.target.innerText;if(e.hash[n]==="")return;e.con.scrollTop=e.hash[n]-44,setTimeout(function(){var e=document.createElement("div");e.id="city",e.classList.add("sl-selected"),e.innerText=n,document.body.appendChild(e),setTimeout(function(){document.body.removeChild(e)},300)},20)})},btnCancelEvn:function(){var e=this;e.btnCancel.addEventListener("click",function(t){e.txtSearch.value="",e.ct2.innerHTML="",e.txtSearch.blur(),e.btnCancel.classList.add("hide"),e.btnPinyin.classList.remove("hide"),e.ct1.classList.remove("hide"),e.con.style.height=e.def})},initContentEvn:function(e,t){var n=this;document.getElementById("ct1").addEventListener("click",function(r){n.doClick(r,e,t)}),document.getElementById("ct2").addEventListener("click",function(r){n.doClick(r,e,t)})},doClick:function(e,t,n){e.stopPropagation(),e.preventDefault();var r=e.target;r.classList.contains("table-view-city-cell")&&(t.commonCity=r.dataset.code,t.commonCityName=r.textContent,p.navigate(n))}},t.exports=v},{"../../../../gum.ui/router/router":16,"../model/cities.model":138,"../model/family.holder.model":140,"../model/provinces.model":144,"lodash/collection/filter":39,"lodash/collection/forEach":40,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],122:[function(e,t,n){function d(){this.contactUl=document.getElementById("contact")}function v(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var r=e("../../../../gum.ui/router/router"),i=e("lodash/collection/foreach"),s=e("lodash/object/assign"),o=e("q"),u=e("../views/templates/family.contact.tpl"),a=e("../model/family.insured.model"),f=e("../model/familyrisk.model"),l=new r,c=new a,h=new f,p;d.prototype={init:function(){var e=this;p?e.contactRecordInit(p):h.getContacts({},function(t){e.contactRecordInit(t)},function(){})},contactRecordInit:function(e){p=e;var t="";i(e,function(e,n){e.contactIndex=n,t+=u(e)}),this.contactUl.innerHTML=t;var n=this;this.contactUl.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault();var t=v(e.target,"LI");n.poliClick(t)})},getContact:function(){return p=[{userId:123,insurerName:"普京"},{userId:1234,insurerName:"浦东"}],p},poliClick:function(e){var t=e.getAttribute("data-index");e.getElementsByTagName("a")[0].classList.toggle("radio-check-selected"),s(c.getInsruedTempDataOfIndex(),p[t]),setTimeout(function(){l.navigate("familyrisk/insured/"+c.getInsruedTempDataOfIndex().index)},100)}},t.exports=d},{"../../../../gum.ui/router/router":16,"../model/family.insured.model":141,"../model/familyrisk.model":143,"../views/templates/family.contact.tpl":150,"lodash/collection/foreach":41,"lodash/object/assign":109,q:118}],123:[function(e,t,n){function S(){this.holdAndInsuredUl=document.getElementById("holdAndInsuredUl"),this.renewUl=document.getElementById("renew")}function x(e){if(e.id=="hold")g.navigate("familyrisk/confirminsurance/holder");else{var t=e.getAttribute("data-index");g.navigate("familyrisk/confirminsurance/insured/"+t)}}function T(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var r=e("../../../../gum.ui/router/router"),i=e("../views/templates/note"),s=e("../../../../gum.ui/modal/modal"),o=e("../model/familyrisk.model"),u=e("lodash/object/assign"),a=e("lodash/collection/foreach"),f=e("../../../../gum.ui/toast/toast"),l=e("../../../../gum.ui/validate/common.tool"),c=e("js-base64").Base64,h=new(e("./family.holder.view.controllers")),p=new(e("./family.insured.view.controllers")),d=new(e("./renewal.view.controllers")),v=new(e("../model/family.insured.model")),m=new(e("../model/familyrisk.model")),g=new r,y=new s,b=new f,w=new l,E=new o;S.prototype={init:function(){this.intNoteEv(),document.getElementById("invoice").addEventListener("touchend",function(e){e.stopPropagation(),e.preventDefault(),g.navigate("familyrisk/invoice")}),this.holdAndInsuredUl.addEventListener("touchend",function(e){e.stopPropagation(),e.preventDefault();var t=T(e.target,"LI");x(t)}),m.getDataModel().premType!=="1"?(this.renewUl.classList.remove("hide"),this.renewUl.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),g.navigate("familyrisk/renewal")})):this.renewUl.classList.add("hide"),this.initNext(),p.setConfirBack(!1),h.setConfirBack(!1),this.inquireFunc()},initHold:function(){document.getElementById("modifyHold").addEventListener("touchend",function(){h.setConfirBack(!0),g.navigate("familyrisk/holder")})},initInsurd:function(e){document.getElementById("modifyInsued").addEventListener("touchend",function(){u(v.getInsruedTempDataOfIndex(),v.getInsure(e),{index:e}),p.setConfirBack(!0),g.navigate("familyrisk/insured/"+e)})},initNext:function(){},intNoteEv:function(){document.getElementById("divNote").innerHTML=i();var e=document.getElementById("btnShowNote"),t=document.getElementById("btnClose"),n=e.dataset.modalid;e.addEventListener("touchend",function(){y.getModal(n)}),t.addEventListener("touchend",function(e){y.getModal(n)});var r=document.getElementById("handler"),s=this;r.addEventListener("touchend",function(){if(document.getElementsByClassName("rmh")[0].checked==0)return b.showToast("请先阅读投保须知",2e3),!1;if(d.getRenewOK()==0&&m.getDataModel().premType!=="1")return b.showToast("请先保存续费信息",2e3),!1;E.underWriting(function(e){window.localStorage.removeItem("authorize"),s.navigate(e)},function(){})})},navigate:function(e){typeof PAWA!="undefined"?window.env!=1?this.noticeWeb(e):this.noticeNative(e):this.noticeWeb(e)},noticeWeb:function(e){g.navigate("familyrisk/prePay")},noticeNative:function(e){var t=this,n=e.inputCharset,r=e.bgUrl,i=e.version,s=e.mobileGateway,o=e.language,u=e.signType,a=e.merchantAcctId,f=e.payType,l=e.idCsspOrder,h=e.orderAmount,p=e.productName,d=e.orderTime,v=e.signMsg,m=e.ext1,g=e.ext2,y=e.orderSource,b="1";y=="orderManage"&&(b="0");var w="inputCharset="+n+"&bgUrl="+r+"&version="+i+"&mobileGateway="+s+"&language="+o+"&signType="+u+"&merchantAcctId="+a+"&ext1="+m+"&ext2="+g+"&payType="+f+"&orderId="+l+"&orderAmount="+h+"&productName="+p+"&orderTime="+d+"&signMsg="+v;if(typeof PAWA!="undefined"&&window.env=="1"){var E=encodeURIComponent(c.encode(w));PAWA.App.sender.setUrl({isHome:b,orderSource:y,winUrl:E})}},inquireFunc:function(){var e=m.getDataModel(),t=[];a(e.insurants,function(e,n){t.push({birthDate:e.insurerBirthday,gender:e.insurerSex,coverageAmount:e.coverageAmount})}),this.inquireData={idCsspOrder:e.idCsspOrder,idCsspProduct:"PI000048",premType:e.premType,premTerm:e.premTerm,effDate:e.effDate,insurListJSONObj:JSON.stringify(t),dataSource:e.dataSource},m.quote(this.inquireData,function(t){e.totalCoverageAmount=t.data,document.getElementById("payPremium").innerHTML=" ￥"+w.formatCurrency(t.data)},function(){})}},t.exports=S},{"../../../../gum.ui/modal/modal":15,"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/common.tool":26,"../model/family.insured.model":141,"../model/familyrisk.model":143,"../views/templates/note":167,"./family.holder.view.controllers":125,"./family.insured.view.controllers":127,"./renewal.view.controllers":136,"js-base64":33,"lodash/collection/foreach":41,"lodash/object/assign":109}],124:[function(e,t,n){function c(){this.buttonObj=document.getElementById("next"),this.radioNoObjs=document.getElementsByClassName("radioNo")}var r=e("../../../../gum.ui/router/router"),i=e("../../../../gum.ui/alerts/alerts"),s=e("lodash/collection/foreach"),o=e("../model/family.insured.model"),u=new r,a=new i,f=new(e("../model/familyrisk.model")),l=new o;c.prototype={init:function(){this.initShowHideEv(),this.initNext()},initShowHideEv:function(){var e=document.getElementsByClassName("tog");for(var t=0;t<e.length;t++)e[t].addEventListener("touchend",function(){this.classList.toggle("navigate-right-up"),this.classList.toggle("navigate-right-down"),this.nextSibling.nextSibling.classList.toggle("hide")})},initNext:function(){var e=this;this.buttonObj.addEventListener("touchend",function(){var t=0,n=0,r="",i="",o="",l=[];s(e.radioNoObjs,function(e,s){var u="1";r=f.getDataModel().insurants[s].insurerName,e.checked===!0&&t++,e.checked===!1&&(s===0&&(n=1,i=r),o=r,u="0"),l.push({name:r,result:u})});var c={idCsspOrder:f.getDataModel().idCsspOrder,healthNoticeList:JSON.stringify(l)};if(t!==e.radioNoObjs.length){t+n===e.radioNoObjs.length?a.showAlerts("健康告知提醒","因被保险人"+i+"健康告知不符合核保规则，无法承保，我们可继续为其他人员提供保障服务。若删除不符合核保规则的被保险人后，整单不足3人我们无法承保此单.",function(){e.confirmFunc(t,c)},function(){}):a.showAlerts("健康告知提醒","因被保险人"+o+"健康告知不符合核保规则，无法承保",function(){},function(){});return}f.saveHealthNotice(c,function(){u.navigate("familyrisk/confirminsurance")},function(){})})},confirmFunc:function(e,t){console.dir("confirm");if(e>=3){f.getDataModel().insurants.splice(0,1);var n={idCsspOrder:f.getDataModel().idCsspOrder,insurantManagerForms:JSON.stringify(f.getDataModel().insurants)};l.saveInsurants(n,function(){console.dir("saveInsurants sunc")},function(){console.dir("saveInsurants err")}),f.saveHealthNotice(t,function(){u.navigate("familyrisk/confirminsurance")},function(){})}},cancelFunc:function(){console.dir("cancel"),a.hideAlerts()}},t.exports=c},{"../../../../gum.ui/alerts/alerts":9,"../../../../gum.ui/router/router":16,"../model/family.insured.model":141,"../model/familyrisk.model":143,"lodash/collection/foreach":41}],125:[function(e,t,n){"use strict";function N(){}function C(){var e=this;if(!L())return;k(g.getHolderTemp()),p(g.getHolder(),g.getHolderTemp()),p(S.getDataModel().insurer,g.getHolder()),g.getHolder().idCsspOrder=S.getDataModel().idCsspOrder,h(x,function(e,t){x[t]=g.getHolder()[t]}),x.agentNo=S.getDataModel().agentNo,g.saveHolder(x,function(e){g.getHolder().status="1",T===!0?(T=!1,p(S.getDataModel(),m.getInsurants()),v.navigate("familyrisk/confirminsurance")):v.navigate("familyrisk/insuranceinfo/"+m.getLength())},function(){console.dir("saveHolder error")})}function k(e){h(document.querySelectorAll("input,select,#commonCityName,#commonProvinceName"),function(t,n){t.tagName==="SELECT"&&(e[t.id]=_(t.id)),t.tagName==="INPUT"&&(e[t.id]=t.value)})}function L(){var e=!0;return h(document.querySelectorAll("input,select,#commonCityName,#commonProvinceName"),function(t,n){if(A(t)==0)return e=!1,!1}),e}function A(e,t,n){var r=this,i=e;if(i.classList.contains("hide"))return!0;var s=i.dataset.type,o;i.tagName==="SELECT"&&(o=_(i.id)),i.tagName==="INPUT"&&(o=i.value);if(i.id==="commonCityName"||i.id==="commonProvinceName")o=i.textContent;o=t||o;var u=undefined,a=undefined,f="true";s==2&&o!==""&&(u=_("insurerIdType")),s==4&&(u=o,a=O);if(s==5||s==6)f=i.dataset.notnull;var l=y.validate(s,o,a,u,f);return l!=""?(w.showToast(l,2e3),!1):!0}function O(e){var t=E.getAgeByBrithday(e,new Date(S.getDataModel().effDate));if(t>60||t<18)return"投保人年龄只可18-60周岁"}function M(e,t){var n=document.getElementById(e);for(var r=0;r<n.length;r++)t===n.options[r].value&&(n.options[r].selected=!0)}function _(e){var t=document.getElementById(e);return t.options[t.selectedIndex].value}var r=e("../views/templates/family.holder"),i=e("../model/family.holder.model"),s=e("../model/family.insured.model"),o=e("../model/familyrisk.model"),u=e("../../../../gum.ui/fastclick/fastclick"),a=e("../../../../gum.ui/router/router"),f=e("../../../../gum.ui/validate/validate.all"),l=e("../../../../gum.ui/validate/check.birthday"),c=e("../../../../gum.ui/validate/common.tool"),h=e("lodash/collection/foreach"),p=e("lodash/object/assign"),d=e("../../../../gum.ui/toast/toast"),v=new a,m=new s,g=new i,y=new f,b=new c,w=new d,E=new l,S=new o,x={commonCity:"",commonProvince:"",email:"",idCsspOrder:"",inputOrgIdentify:"",insurerBirthday:"",insurerIdCard:"",insurerIdType:"",insurerName:"",insurerSex:"",mobile:"",userId:""},T=!1;N.prototype={init:function(){this.insurerIdTypeEl=document.getElementById("insurerIdType"),this.birthDayUl=document.getElementById("birthday"),this.sexUl=document.getElementById("sex"),this.insurerBirthdayEl=document.getElementById("insurerBirthday"),this.insurerSexEl=document.getElementById("insurerSex"),this.insurerIdCardEl=document.getElementById("insurerIdCard"),this.initData(),this.initCityEv(),this.initSaveEv()},initData:function(){var e=g.getHolderTemp();h(document.querySelectorAll("input,select,#commonCityName,#commonProvinceName"),function(t,n){t.tagName==="SELECT"&&M(t.id,e[t.id]),t.tagName==="INPUT"&&(t.value=e[t.id]);if(t.id==="commonCityName"||t.id==="commonProvinceName")t.textContent=e[t.id]}),this.showHideBirthDayAndSex(e.insurerIdType,e.insurerIdCard),this.initCardTypeChangeEvn(),this.initIdentityEvn()},initSaveEv:function(){document.getElementById("saveHolder").addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),C()})},initCityEv:function(){this.cityInit()},cityInit:function(e){document.getElementById("city").addEventListener("click",function(){k(g.getHolderTemp()),v.navigate("familyrisk/city/holder")}),document.getElementById("province").addEventListener("click",function(){k(g.getHolderTemp()),v.navigate("familyrisk/province/holder")})},initCardTypeChangeEvn:function(){var e=this;this.insurerIdTypeEl.addEventListener("change",function(){e.showHideBirthDayAndSex(getSelectValByElement(this),e.insurerIdCardEl.value)})},initIdentityEvn:function(){var e=this;this.insurerIdCardEl.addEventListener("blur",function(){_("insurerIdType")==="1"&&e.setBirthDayAndSex(this.value)})},setBirthDayAndSex:function(e){if(e!==""){var t=b.getBirthdayByChinaID(e),n=b.getSexByChinaID(e);M("insurerSex",n),this.insurerBirthdayEl.value=t}},showHideBirthDayAndSex:function(e,t){var n=this;e==="1"?(n.birthDayUl.classList.add("hide"),n.sexUl.classList.add("hide"),n.setBirthDayAndSex(t)):(n.birthDayUl.classList.remove("hide"),n.sexUl.classList.remove("hide"))},setConfirBack:function(e){T=e},getConfirBack:function(){return T}},t.exports=N},{"../../../../gum.ui/fastclick/fastclick":14,"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/check.birthday":18,"../../../../gum.ui/validate/common.tool":26,"../../../../gum.ui/validate/validate.all":27,"../model/family.holder.model":140,"../model/family.insured.model":141,"../model/familyrisk.model":143,"../views/templates/family.holder":152,"lodash/collection/foreach":41,"lodash/object/assign":109}],126:[function(e,t,n){function y(){this.insuranceListObj=document.getElementById("insurance-list"),this.insuranceListLiObj=this.insuranceListObj.getElementsByTagName("li")}function b(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var r=e("../views/templates/family.insurance.info.tpl"),i=e("../../../../gum.ui/router/router"),s=e("lodash/collection/foreach"),o=e("lodash/object/assign"),u=e("../../../../gum.ui/validate/common.tool"),a=e("../../../../gum.ui/toast/toast"),f=e("../model/family.insured.model"),l=e("../model/family.holder.model"),c=e("../model/familyrisk.model"),h=new i,p=new f,d=new l,v=new c,m=new u,g=new a;y.prototype={init:function(){d.saveHolderTemp(d.getHolder()),p.initinsuredsForm(this.insuranceListLiObj.length),this.initData(),this.initTouchHolder(),this.initTouchInsurance(),this.initAddInsruanceFunc(),this.initNext(),this.inquireFunc()},initData:function(){document.getElementById("hold").getElementsByClassName("right-span")[0].textContent=d.getHolder().insurerName,s(document.getElementById("insurance-list").getElementsByTagName("li"),function(e,t){e.getElementsByClassName("right-span")[0].textContent=p.getInsure(t).insurerName;var n=p.getInsure(t).applicantRelation,r;n!==""&&(n==="1"?r="本人":n==="2"?r="配偶":n==="3"&&(r="子女"),e.getElementsByClassName("badge-arrow")[0].textContent="被保险人("+r+")")})},initAddInsruanceFunc:function(){var e=this;document.getElementById("addinsurance").addEventListener("touchend",function(t){e.addInsruanceFunc(t)})},initNext:function(){var e=this;document.getElementById("next").addEventListener("touchend",function(){if(!e.validataData())return;var t=v.getDataModel();o(t.insurants,p.getInsurants()),v.saveTmpDataModel(t);var n={idCsspOrder:t.idCsspOrder,insurantManagerForms:JSON.stringify(t.insurants)};p.saveInsurants(n,function(){h.navigate("familyrisk/health")},function(){console.dir("saveInsurants err")})})},validataData:function(){if(d.getHolder().status!=="1")return g.showToast("请先保存投保人信息",2e3),!1;var e=!0,t=0;s(document.getElementById("insurance-list").getElementsByClassName("right-span"),function(n,r){if(n.textContent==="")return e=!1,t=r+1,!1});if(e===!1)return g.showToast("被保险人"+t+"未录入信息",2e3),!1;if(p.getInsurants().length<3)return g.showToast("不能再减少了哦,投保人数不能少于三人",2e3),!1;var n=0,r=0;return s(p.getInsurants(),function(e,t){e.applicantRelation==="1"&&n++,e.applicantRelation==="2"&&r++}),n>1?(g.showToast("与投保人关系:本人个数超过1人",2e3),!1):r>1?(g.showToast("配偶个数超过1人",2e3),!1):!0},addInsruanceFunc:function(e){e.stopPropagation(),e.preventDefault();var t=r(),n=document.createElement("li");n.setAttribute("data-index",this.insuranceListLiObj.length),n.classList.add("table-view-cell-arrow"),n.innerHTML=t,document.getElementById("insurance-list").appendChild(n),p.initinsuredsForm(this.insuranceListLiObj.length)},initTouchHolder:function(){document.getElementById("hold").addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),h.navigate("familyrisk/holder")})},initTouchInsurance:function(){var e=this;document.getElementById("insurance-list").addEventListener("click",function(t){t.stopPropagation(),t.preventDefault();var n=b(t.target,"LI");e.poliClick(n)})},poliClick:function(e){var t=e.getAttribute("data-index");o(p.getInsruedTempDataOfIndex(),{index:t,insurantRelationCode:"1",insType:"1"},p.getInsure(t)),h.navigate("familyrisk/insured/"+t)},inquireFunc:function(){var e=[];s(p.getInsurants(),function(t,n){t.insurerBirthday&&t.insurerSex&&t.coverageAmount&&e.push({birthDate:t.insurerBirthday,gender:t.insurerSex,coverageAmount:t.coverageAmount})});if(e.length<1)return;var t=v.getDataModel();this.inquireData={idCsspOrder:t.idCsspOrder,idCsspProduct:"PI000048",premType:t.premType,premTerm:t.premTerm,effDate:t.effDate,insurListJSONObj:JSON.stringify(e),dataSource:t.dataSource},v.quote(this.inquireData,function(e){t.totalCoverageAmount=e.data,document.getElementById("prepayTotal").innerHTML=" ￥"+m.formatCurrency(e.data)},function(){})}},t.exports=y},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/common.tool":26,"../model/family.holder.model":140,"../model/family.insured.model":141,"../model/familyrisk.model":143,"../views/templates/family.insurance.info.tpl":154,"lodash/collection/foreach":41,"lodash/object/assign":109}],127:[function(e,t,n){"use strict";function T(){}function N(){var e="",t="";return a(m.getInsurants(),function(n,r){n.applicantRelation==="1"&&(e=n.insurerSex),n.applicantRelation==="2"&&(t=n.insurerSex)}),e!=""&&t!=""&&e==t?(y.showToast("本人与配偶性别不能相同",2e3),!1):!0}function C(){var e=!0;return a(document.querySelectorAll("input,select"),function(t,n){if(L(t)==0)return e=!1,!1}),e}function k(){var e=0,t=0;return a(m.getInsurants(),function(n,r){n.applicantRelation==="1"&&e++,n.applicantRelation==="2"&&t++}),e>1?(y.showToast("与投保人关系:本人个数超过1人",2e3),!1):t>1?(y.showToast("配偶个数超过1人",2e3),!1):!0}function L(e,t,n){var r=this,i=e;if(i.classList.contains("hide")&&i.id!=="insurerSex"&&i.id!=="insurerBirthday")return!0;var s=i.dataset.type,o;i.tagName==="SELECT"&&(o=D(i.id)),i.tagName==="INPUT"&&(o=i.value),o=t||o;var u=undefined,a=undefined,f="true";s==2&&o!==""&&(u=D("insurerIdType")),s==4&&(u=o,a=A);if(s==5||s==6)f=i.dataset.notnull;if(s==19||s==20)u=o,a=M;s==21&&(u=o,a=O);var l=g.validate(s,o,a,u,f);return l!=""?(y.showToast(l,2e3),!1):!0}function A(e){var t=w.getAgeByBrithday(e,new Date(E.getDataModel().effDate)),n=E.getDataModel().payReriodType,r=b.dateformat(w.addDate(E.getDataModel().effDate,"d",-30),"yyyy-MM-dd");if(n==="1"){if(t>60||t<0||e>r)return"投保人年龄只可30天-60周岁"}else if(n==="510"){if(t>55||t<0||e>r)return"投保人年龄只可30天-55周岁"}else if(n==="520")if(t>50||t<0||e>r)return"投保人年龄只可30天-50周岁"}function O(e){if(e)if(e*1<17||e*1>28)return"BMI指数正常为[17,28],若不符合拒保"}function M(e){if(!/^[0-9]*$/.test(e)){y.showToast("体重或身高请输入数字");return}}function _(e,t){var n=document.getElementById(e);for(var r=0;r<n.length;r++)t===n.options[r].value&&(n.options[r].selected=!0)}function D(e){var t=document.getElementById(e);return t.options[t.selectedIndex].value}function P(e){return e.options[e.selectedIndex].value}var r=e("../views/templates/family.insured"),i=e("../model/family.insured.model"),s=e("../model/familyrisk.model"),o=e("../model/family.holder.model"),u=e("../../../../gum.ui/router/router"),a=e("lodash/collection/foreach"),f=e("lodash/object/has"),l=e("lodash/object/assign"),c=e("../../../../gum.ui/validate/validate.all"),h=e("../../../../gum.ui/validate/common.tool"),p=e("../../../../gum.ui/validate/check.birthday"),d=e("../../../../gum.ui/toast/toast"),v=new u,m=new i,g=new c,y=new d,b=new h,w=new p,E=new s,S=new o,x=!1;T.prototype={init:function(e){this.contactObj=document.getElementById("contact"),this.insurerWeightEl=document.getElementById("insurerWeight"),this.insurerHeightEl=document.getElementById("insurerHeight"),this.mbiEl=document.getElementById("mbi"),this.insurerIdTypeEl=document.getElementById("insurerIdType"),this.birthDayUl=document.getElementById("birthday"),this.sexUl=document.getElementById("sex"),this.insurerBirthdayEl=document.getElementById("insurerBirthday"),this.insurerSexEl=document.getElementById("insurerSex"),this.insurerIdCardEl=document.getElementById("insurerIdCard"),this.appRelationSelect=document.getElementById("applicantRelation"),this.initData(e),this.initSave(e),this.initDel(e),typeof PAWA=="undefined"?document.getElementById("contactUl").classList.add("hide"):this.initContactClick()},initData:function(e){var t=m.getInsruedTempDataOfIndex();a(document.querySelectorAll("input,select"),function(e,n){e.tagName==="SELECT"&&_(e.id,t[e.id]),e.tagName==="INPUT"&&(e.value=t[e.id])}),this.showHideBirthDayAndSex(t.insurerIdType,t.insurerIdCard),this.calcuBMI(),this.initCardTypeChangeEvn(),this.initIdentityEvn(),this.initAppRelationChangeEnv(),this.initMbiEvn()},initSave:function(e){var t=this;document.getElementById("sava").addEventListener("touchend",function(){t.saveInsured(e)})},initDel:function(e){var t=this;document.getElementById("del").addEventListener("touchend",function(){t.delInsured(e)})},delInsured:function(e){if(m.getInsurants().length<=3){y.showToast("被保人个数不能少于3人",2e3);return}m.deleteInsure(e),v.navigate("familyrisk/insuranceinfo/"+m.getLength())},saveInsured:function(e){if(!C())return;var t=m.getInsruedTempDataOfIndex();l(t,{insurantRelationCode:"1",insType:"1"}),a(document.querySelectorAll("input,select"),function(e,n){e.tagName==="SELECT"&&(t[e.id]=D(e.id)),e.tagName==="INPUT"&&(t[e.id]=e.value)}),a(m.getInsure(e),function(n,r){m.getInsure(e)[r]=t[r]});if(!N())return;if(x===!0){if(!k())return;l(E.getDataModel().insurants,m.getInsurants());var n={idCsspOrder:E.getDataModel().idCsspOrder,insurantManagerForms:JSON.stringify(E.getDataModel().insurants)};m.saveInsurants(n,function(){x=!1,v.navigate("familyrisk/confirminsurance")},function(){console.dir("saveInsurants error 188")})}else v.navigate("familyrisk/insuranceinfo/"+m.getLength())},initContactClick:function(){this.contactObj.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),v.navigate("familyrisk/contact")})},initCardTypeChangeEvn:function(){var e=this;this.insurerIdTypeEl.addEventListener("change",function(){e.showHideBirthDayAndSex(P(this),e.insurerIdCardEl.value)})},initIdentityEvn:function(){var e=this;this.insurerIdCardEl.addEventListener("blur",function(){D("insurerIdType")==="1"&&e.setBirthDayAndSex(this.value)})},setBirthDayAndSex:function(e){if(e!==""){var t=b.getBirthdayByChinaID(e),n=b.getSexByChinaID(e);_("insurerSex",n),this.insurerBirthdayEl.value=t}},showHideBirthDayAndSex:function(e,t){var n=this;e==="1"?(n.birthDayUl.classList.add("hide"),n.sexUl.classList.add("hide"),n.setBirthDayAndSex(t)):(n.birthDayUl.classList.remove("hide"),n.sexUl.classList.remove("hide"))},initAppRelationChangeEnv:function(){var e=this;this.appRelationSelect.addEventListener("change",function(){if(P(this)==="1"){var t=S.getHolder();a(document.querySelectorAll("input,select"),function(e,n){f(t,e.id)&&(e.tagName==="SELECT"&&_(e.id,t[e.id]),e.tagName==="INPUT"&&(e.value=t[e.id]))}),e.showHideBirthDayAndSex(D("insurerIdType"),e.insurerIdCardEl.value)}})},initMbiEvn:function(){var e=this;this.insurerWeightEl.addEventListener("change",function(t){e.calcuBMI()}),this.insurerHeightEl.addEventListener("change",function(t){e.calcuBMI()})},calcuBMI:function(){if(this.insurerWeightEl.value&&this.insurerHeightEl.value){if(!/^[0-9]*$/.test(this.insurerWeightEl.value)){y.showToast("体重请输入数字");return}if(!/^[0-9]*$/.test(this.insurerHeightEl.value)){y.showToast("身高请输入数字");return}this.mbiEl.value=(this.insurerWeightEl.value*1/(this.insurerHeightEl.value*1/100)/(this.insurerHeightEl.value*1/100)).toFixed(2),(this.mbiEl.value<17||this.mbiEl.value>28)&&y.showToast("BMI指数正常为[17,28],若不符合拒保")}},setConfirBack:function(e){x=e},getConfirBack:function(){return x}},t.exports=T},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/check.birthday":18,"../../../../gum.ui/validate/common.tool":26,"../../../../gum.ui/validate/validate.all":27,"../model/family.holder.model":140,"../model/family.insured.model":141,"../model/familyrisk.model":143,"../views/templates/family.insured":155,"lodash/collection/foreach":41,"lodash/object/assign":109,"lodash/object/has":110}],128:[function(e,t,n){function h(){this.invoiceUlel=document.getElementById("invoiceUl"),this.paperInvoiceUlel=document.getElementById("paperInvoiceUl"),this.postData={idCsspOrder:"",invoiceHeading:"",invoiceRecevieName:"",invoiceRecevieAddr:"",invoiceRecevieZipcode:"",invoiceRecevieMobile:"",email:"",flag:"saveInvoice",invoiceRecevieProvince:"",invoiceRecevieCity:"",policySendAddr:"",policySendZipCode:"",policySendProvince:"",policySendCity:""}}var r=e("../../../../gum.ui/router/router"),i=e("../model/familyrisk.model"),s=e("lodash/collection/foreach"),o=e("../../../../gum.ui/toast/toast"),i=e("../model/familyrisk.model"),u=new r,a=new o,f=new i,l=!1,c=!1;h.prototype={init:function(){this.initData(),this.initSlidEv(),this.initSaveEv(),document.getElementById("cancel").addEventListener("touchend",function(){u.navigate("familyrisk/confirminsurance")})},initData:function(){var e=this;l?document.getElementById("isneedInvoice").classList.add("active"):document.getElementById("isneedInvoice").classList.remove("active"),c?document.getElementById("isneedpaperInvoice").classList.add("active"):document.getElementById("isneedpaperInvoice").classList.remove("active"),document.getElementById("invoiceCity").addEventListener("click",function(t){t.stopPropagation(),t.preventDefault(),e.setChoose(),u.navigate("familyrisk/city/invoice")}),document.getElementById("invoiceProvince").addEventListener("touchend",function(t){t.stopPropagation(),t.preventDefault(),e.setChoose(),u.navigate("familyrisk/province/invoice")}),document.getElementById("paperCity").addEventListener("touchend",function(t){t.stopPropagation(),t.preventDefault(),e.setChoose(),u.navigate("familyrisk/city/paperInvoice")}),document.getElementById("paperProvince").addEventListener("touchend",function(t){t.stopPropagation(),t.preventDefault(),e.setChoose(),u.navigate("familyrisk/province/paperInvoice")})},initSaveEv:function(e){var t=this;document.getElementById("sava").addEventListener("touchend",function(){t.getFormData();if(!t.validate())return;f.saveInvoiceInfo(t.postData,function(){console.dir("saveInsurants suc"),u.navigate("familyrisk/confirminsurance")},function(){console.dir("saveInsurants err")})})},validate:function(){var e=!1,t=!1;if(document.getElementById("isneedInvoice").classList.contains("active")){if(this.postData.invoiceRecevieProvince==""||this.postData.invoiceRecevieCity==""||this.postData.invoiceRecevieAddr==""||this.postData.invoiceRecevieZipcode=="")return a.showToast("发票信息请填写完整",2e3),!1;e=!0}if(document.getElementById("isneedpaperInvoice").classList.contains("active")){if(this.postData.policySendProvince==""||this.postData.policySendCity==""||this.postData.policySendAddr==""||this.postData.policySendZipCode=="")return a.showToast("纸质保单信息请填写完整",2e3),!1;t=!0}return this.postData.invoiceRecevieAddr!=""&&this.postData.invoiceRecevieAddr.length>40||this.postData.policySendAddr!=""&&this.postData.policySendAddr.length>40?(a.showToast("详细地址录入数据请不要超过40个字符",2e3),!1):e==0&&t==0?(a.showToast("请先选择是否需要发票或纸质保单",2e3),!1):!0},setChoose:function(){document.getElementById("isneedInvoice").classList.contains("active")?l=!0:l=!1,document.getElementById("isneedpaperInvoice").classList.contains("active")?c=!0:c=!1;var e=this,t=f.getDataModel().invoice;s(this.invoiceUlel.querySelectorAll("input,#invoiceRecevieProvince,#invoiceRecevieCity"),function(n,r){n.tagName==="INPUT"&&(t[n.id]=n.value,e.postData[n.id]=n.value);if(n.id==="invoiceRecevieProvince"||n.id==="invoiceRecevieCity")t[n.id]=n.textContent});var n=f.getDataModel().paperPolicyInfo;s(this.paperInvoiceUlel.querySelectorAll("input,#policySendProvince,#policySendCity"),function(t,r){t.tagName==="INPUT"&&(n[t.id]=t.value,e.postData[t.id]=t.value);if(t.id==="commonCity"||t.id==="commonProvince")n[t.id]=t.textContent})},getFormData:function(){var e=this;if(document.getElementById("isneedInvoice").classList.contains("active")){l=!0;var t=f.getDataModel().invoice;s(this.invoiceUlel.querySelectorAll("input,#invoiceRecevieProvince,#invoiceRecevieCity"),function(n,r){n.tagName==="INPUT"&&(t[n.id]=n.value,e.postData[n.id]=n.value);if(n.id==="invoiceRecevieProvince"||n.id==="invoiceRecevieCity")t[n.id]=n.textContent}),e.postData.invoiceRecevieProvince=t.commonProvince,e.postData.invoiceRecevieCity=t.commonCity}else l=!1;if(document.getElementById("isneedpaperInvoice").classList.contains("active")){c=!0;var n=f.getDataModel().paperPolicyInfo;s(this.paperInvoiceUlel.querySelectorAll("input,#policySendProvince,#policySendCity"),function(t,r){t.tagName==="INPUT"&&(n[t.id]=t.value,e.postData[t.id]=t.value);if(t.id==="commonCity"||t.id==="commonProvince")n[t.id]=t.textContent}),e.postData.policySendProvince=n.commonProvince,e.postData.policySendCity=n.commonCity}else c=!1;e.postData.idCsspOrder=f.getDataModel().idCsspOrder},initSlidEv:function(){var e={},t=!1,n=!1,r=!1,i=function(e){var t,n=document.querySelectorAll(".toggle");for(;e&&e!==document;e=e.parentNode)for(t=n.length;t--;)if(n[t]===e)return e};document.getElementsByClassName("invoiceSlib")[0].addEventListener("touchstart",function(n){n=n.originalEvent||n,r=i(n.target);if(!r)return;var s=r.querySelector(".toggle-handle"),o=r.clientWidth,u=s.clientWidth,a=r.classList.contains("active")?o-u:0;e={pageX:n.touches[0].pageX-a,pageY:n.touches[0].pageY},t=!1}),document.getElementsByClassName("invoiceSlib")[0].addEventListener("touchmove",function(i){i=i.originalEvent||i;if(i.touches.length>1)return;if(!r)return;var s=r.querySelector(".toggle-handle"),o=i.touches[0],u=r.clientWidth,a=s.clientWidth,f=u-a;t=!0,n=o.pageX-e.pageX;if(Math.abs(n)<Math.abs(o.pageY-e.pageY))return;i.preventDefault();if(n<0)return s.style.webkitTransform="translate3d(0,0,0)";if(n>f)return s.style.webkitTransform="translate3d("+f+"px,0,0)";s.style.webkitTransform="translate3d("+n+"px,0,0)",r.classList[n>u/2-a/2?"add":"remove"]("active")}),document.getElementsByClassName("invoiceSlib")[0].addEventListener("touchend",function(e){if(!r)return;var i=r.querySelector(".toggle-handle"),s=r.clientWidth,o=i.clientWidth,u=s-o,a=!t&&!r.classList.contains("active")||t&&n>s/2-o/2;a?i.style.webkitTransform="translate3d("+u+"px,0,0)":i.style.webkitTransform="translate3d(0,0,0)",r.classList[a?"add":"remove"]("active"),e=new CustomEvent("toggle",{detail:{isActive:a},bubbles:!0,cancelable:!0}),r.dispatchEvent(e),t=!1,r=!1})},resetInvoiceChoose:function(){l=!1,c=!1}},t.exports=h},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../model/familyrisk.model":143,"lodash/collection/foreach":41}],129:[function(e,t,n){function x(){}var r=e("../../../../gum.ui/router/router"),i=e("lodash/object/assign"),s=e("../model/familyrisk.model"),o=e("../../../../gum.ui/toast/toast"),u=e("./family.invoice.view.controllers"),a=e("./renewal.view.controllers"),f=e("../../../../gum.ui/validate/check.telmobile"),l=e("../model/family.insured.model"),c=e("../model/family.renewal.model"),h=e("../model/family.holder.model"),p=new r,d=new s,v=new o,m,g=new f,i=e("lodash/object/assign"),y=new u,b=new a,w=new h,E=new l,S=new c;x.prototype={init:function(){this.clearData(),this.initNext(),this.initShare(),document.getElementById("note").addEventListener("touchend",function(e){e.stopPropagation(),e.preventDefault(),p.navigate("familyrisk/note")}),typeof PAWA=="object"?w.getUser():this.initDownloadAppBanner()},initNext:function(){var e=document.getElementById("next");e.addEventListener("touchend",this.gotoProductProFunc)},gotoProductProFunc:function(e){e.stopPropagation(),e.preventDefault(),p.navigate("familyrisk/property")},initShare:function(){var e=document.getElementById("shareDiv");if(typeof PAWA=="undefined"){e.style.display="none",e.parentNode.previousElementSibling.children[0].classList.remove("rightlineSvg");return}var t=this;d.getShareData(function(n){if(n&&n.length==1)t.initShareEvent(n[0],e);else if(n&&n.length>1){var r=function(){var e=document.getElementById("shareType"),r=document.getElementById("emptyMask");e.classList.remove("hide"),r.style.display="block";for(var i=0;i<n.length;i++){var s=n[i],o;s.sharePattern==1?o=e.getElementsByClassName("right")[0]:o=e.getElementsByClassName("left")[0],t.initShareEvent(s,o,e)}};e.removeEventListener("touchend",r,!1),e.addEventListener("touchend",r,!1)}else e.style.display="none",e.parentNode.previousElementSibling.children[0].classList.remove("rightlineSvg")},function(){e.style.display="none",e.parentNode.previousElementSibling.children[0].classList.remove("rightlineSvg")})},initDownloadAppBanner:function(){function a(){document.getElementById("downloadAppBanner").style.display="none"}var e="downloadAppBanner",t=[],n=document.getElementById(e),r=!1;if(n)return;var i=document.createElement("DIV"),s=document.querySelector("div.content > div"),o=navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),u='href="http://home.pingan.com.cn/m/download/download.html"';i.id=e,i.style.position="relative",i.innerHTML=["<a ",u,'style="background:blue;font-size:0;">','<img src="../image/downloadAppBanner.jpg" width="100%" />',"</a>",'<a target="_blank" id="close-download-app-banner" class="close-download-app-banner" style="position:absolute;display:block;top:0;left:0;height:100%;width:14%;"></a>'].join(""),s.parentNode.insertBefore(i,s),document.querySelector("#close-download-app-banner").addEventListener("touchend",a,!1)},initShareEvent:function(e,t,n){var r=this;m=this;var i;e.sharePattern=="1"?i=r.commonshare:i=r.businessShareEvent,t.removeEventListener("touchend",i,!1),t.addEventListener("touchend",i,!1)},commonshare:function(){var e=document.getElementById("shareType");e.classList.add("hide"),m.share()},businessShareEvent:function(){var e=document.getElementById("emptyMask"),t=document.getElementById("shareType");t.classList.add("hide"),e.style.display="block",m.businessshare()},businessshare:function(){var e=document.getElementById("businessShare"),t=e.outerHTML,n=e.parentNode;n.removeChild(e),n.innerHTML=t,e=document.getElementById("businessShare");var r={},i=this,s=document.getElementById("btnOK"),o=document.getElementById("btnCancel"),u=document.getElementById("agentNo"),a=document.getElementById("agentNameDiv"),f=document.getElementById("agentName"),l=document.getElementById("showName"),c=document.getElementById("showBtn"),h=document.getElementById("agentTelDiv"),p=document.getElementById("agentTel"),e=document.getElementById("businessShare");e.classList.remove("hide");var m=document.getElementById("emptyMask"),y=function(){m.style.display="none",a.classList.add("hide"),h.classList.add("hide"),u.removeAttribute("readonly"),u.value="",f.innerText="",p.value="",e.classList.add("hide")};o.removeEventListener("touchend",y),o.addEventListener("touchend",y,!1);var b=function(){if(u.value==""){v.showToast("请输入业务员代码!");return}if(!r.agentNo)d.checkAgentNo(u.value,function(e){e.agentName?(f.innerText=e.agentName,r={},r.agentNo=e.agentNo,a.classList.remove("hide"),u.setAttribute("readonly","readonly")):setTimeout(function(){v.showToast(e.returnMsg,3e3)},10)},function(e){setTimeout(function(){v.showToast(e,3e3)},10)});else{if(l.checked==1){var t=g.checkformat(p.value);if(t){v.showToast(t,3e3);return}r.agentName=f.innerText,r.agentTel=p.value,l.checked=!1}a.classList.add("hide"),h.classList.add("hide"),u.removeAttribute("readonly"),u.value="",f.innerText="",p.value="",e.classList.add("hide"),i.share(r)}};s.removeEventListener("touchend",b,!1),s.addEventListener("touchend",b,!1);var w=function(){if(this.checked==1)while(h.classList.contains("hide"))h.classList.remove("hide");else h.classList.add("hide")};l.removeEventListener("change",w,!1),l.addEventListener("change",w,!1)},share:function(e,t){var n=document.getElementById("emptyMask");n.style.display="none";var r=d.getDataModel(),i=r.productName,s=r.productDesc,o=window.location.href,u=o.substr(0,o.lastIndexOf("index.html"));u=u.replace(/insurance_release_src|insurance_unlogin|insurance_release|insurance/g,"gum");var a="#familyrisk/product",f="",l=w.getUserData(),c={};e&&(e.agentNo&&(c.agentNo=e.agentNo),e.agentTel&&(c.agentMobile=e.agentTel),e.agentName&&(c.agentName=e.agentName)),l&&l.inputOrgIdentify?c.csspOrgId=l.inputOrgIdentify:d.curShareNotes&&d.curShareNotes.csspOrgId&&(c.csspOrgId=d.curShareNotes.csspOrgId),t&&(c.shareRemarkFieldValue=t),c.csspProductId=r.idCsspProduct,c.hash="#gum/familyrisk/familyrisk/product";var h=PAWA.utils.isBrower();d.saveShareNote(c,function(e){f=e.idSmtsShare,f="?shareId="+f;var t=u+"wechat/modules/familyrisk/views/index.html"+f+"#familyrisk/product",n=location.protocol+"//"+location.host+"/m/insurance_release/assets/images/commonFast/PI000048.png";if(!window.timeInterval||window.timeInterval==0){window.timeInterval=3e3,setTimeout(function(){window.timeInterval=0},3e3);if(h=="android"){var r=window.healthAppObj.getAppVersionCode();r>58?window.healthAppObj.shareTo(i,s,t,n,""):v.showToast("该功能需更新至最新版本",3e3)}else h=="ios"?localStorage.getItem("isCordovaWebView")==="Y"&&window.iosBundleVersion>=173?window.sendMsgofcordova.sendWechat(i,s,t,n):PAWA.App.sender.setUrl({nativeVersion:"74",nativeMsg:"该功能需APP更新至最新版本",type:"wx",title:i,text:s,url:t,imgurl:n}):v.showToast("请使用ios或android机器",3e3)}},function(){})},clearData:function(){i(d.getDataModel(),this.initInsuranceDataModel()),i(w.getHolder(),this.initHoldData()),w.clearUserData(),E.clearInsurants(),i(S.getRenewalData(),this.initRenewData()),y.resetInvoiceChoose(),b.setRenewOK(!1)},initInsuranceDataModel:function(){return{idCsspProduct:"PI000048",productName:"家庭长期重疾保险",productDesc:"平安养老保险股份有限公司倾情奉献,关爱家人,终身守护您与家人的健康.",productImg:"assets/images/commonFast/PI000048.png",idCsspOrder:"",premType:"",premTypeName:"",payReriodType:"",premTerm:"",effDate:"",matuDate:"",payPremium:"",period:"12M",insurer:{},insurants:[],dataSource:typeof PAWA=="object"?"02":"04",invoice:{email:"",flag:"",idCsspOrder:"",idCsspProduct:"",invoiceHeading:"",invoiceRecevieAddr:"",invoiceRecevieMobile:"",invoiceRecevieName:"",invoiceRecevieZipcode:"",invoiceRecevieProvince:"",invoiceRecevieCity:"",commonCityName:"",commonProvinceName:"",commonCity:"",commonProvince:"",invoiceRule:"",returnFlag:"",returnMsg:""},isNeedInvoice:"N",totalCoverageAmount:"",isNeedPagePolicyInfo:"",paperPolicyInfo:{policySendAddr:"",policySendZipCode:"",policySendProvince:"",policySendCity:"",commonCity:"",commonProvince:""}}},initHoldData:function(){return{commonCity:"",commonCityName:"",commonProvince:"",commonProvinceName:"",email:"",idCsspOrder:"",inputOrgIdentify:"",insurerBirthday:"",insurerIdCard:"",insurerIdType:"1",insurerName:"",insurerSex:"",mobile:"",returnFlag:"",returnMsg:"",userId:"",status:"0"}},initRenewData:function(){return{name:"",provinceName:"",provinceCode:"",cityName:"",cityCode:"",bankNo:"",bankName:"",branchNo:"",idCsspOrder:"",branchBankName:"",account:""}}},t.exports=x},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/check.telmobile":25,"../model/family.holder.model":140,"../model/family.insured.model":141,"../model/family.renewal.model":142,"../model/familyrisk.model":143,"./family.invoice.view.controllers":128,"./renewal.view.controllers":136,"lodash/object/assign":109}],130:[function(e,t,n){function m(){this.addObj=document.getElementById("addNum"),this.deleteObj=document.getElementById("deleteNum"),this.insuranceObj=document.getElementById("insurants"),this.inquireData={idCsspOrder:"",idCsspProduct:"PI000048",premType:"",premTerm:"",effDate:"",insurListJSONObj:"",dataSource:typeof PAWA=="object"?"02":"04"},this.effDateObj=document.getElementById("effDate"),this.payPeriodObj=document.getElementById("payPeriod")}function g(e,t){for(var n=0;n<e.length;n++)t===e.options[n].value&&(e.options[n].selected=!0)}function y(e){var t=document.getElementById(e);return t.options[t.selectedIndex].value}function b(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}function w(e){if(e==null||e==undefined)return"";if(e==""||e==0)return"0.00";e=e.toString().replace(/\$|\,/g,""),isNaN(e)&&(e="0");var t=e==(e=Math.abs(e));e=Math.floor(e*100+.50000000001);var n=e%100;e=Math.floor(e/100).toString(),n<10&&(n="0"+n);for(var r=0;r<Math.floor((e.length-(1+r))/3);r++)e=e.substring(0,e.length-(4*r+3))+","+e.substring(e.length-(4*r+3));return(t?"":"-")+e+"."+n}var r=e("../../../../gum.ui/router/router"),i=e("lodash/collection/foreach"),s=e("lodash/object/has"),o=e("reqwest"),u=e("../../../../gum.ui/toast/toast"),a=e("../views/templates/family.property.tpl"),f=e("../model/familyrisk.model"),l=e("../../../../gum.ui/validate/common.tool"),c=new r,h=new f,p=new u,d=new l,v={idCsspOrder:"",idCsspProduct:"PI000048",premType:"",premTerm:"",effDate:"",insurances:[{birthDate:"",gender:"",coverageAmount:"",prepay:""}]};m.prototype={init:function(){this.initData(),this.modifyNum(),this.initNext(),this.quoteEv()},initData:function(){this.inquireData.effDate=d.dateformat(d.addDate(new Date,"d",1),"yyyy-MM-dd"),document.getElementById("effDate").innerHTML=this.inquireData.effDate},initNext:function(){var e=this;document.getElementById("insuranceButton").addEventListener("touchend",function(){e.insuranceButtonFunc()})},insuranceButtonFunc:function(){var e=this;e.inquireData.insurListJSONObj=JSON.stringify([{birthDate:"1990-02-06",gender:"M",coverageAmount:"300000"}]),e.setOtherInqureInfo(),e.setInsurantData(),e.inquireData.idCsspOrder=h.getDataModel().idCsspOrder,h.createOrder(e.inquireData,function(t){e.inquireData.idCsspOrder=t.data,h.getDataModel().idCsspOrder=e.inquireData.idCsspOrder;var n=document.getElementById("numberValue").value;c.navigate("familyrisk/insuranceinfo/"+n)},function(){})},setInsurantData:function(){var e=h.getDataModel(),t=document.getElementById("payPeriod");e.premTypeName=t.options[t.selectedIndex].text,e.payReriodType=t.options[t.selectedIndex].value,e.premType=this.inquireData.premType,e.premTerm=this.inquireData.premTerm,e.effDate=this.inquireData.effDate},modifyNum:function(){this.addObj.addEventListener("touchend",this.addNumFunc),this.deleteObj.addEventListener("touchend",this.deleteNumFunc)},addNumFunc:function(){var e=document.getElementById("numberValue");e.setAttribute("value",e.value*1+1);var t={num:e.value},n=a(t),r=document.createElement("ul");r.classList.add("table-view"),r.classList.add("frbl"),r.innerHTML=n,document.getElementById("insurants").appendChild(r)},deleteNumFunc:function(){var e=document.getElementById("insurants"),t=e.getElementsByTagName("ul");if(t.length===3){document.getElementById("deleteNum").classList.add("span-333"),p.showToast("不能再减少了哦，投保人数不能少于3人~",2e3);return}document.getElementById("deleteNum").classList.remove("span-333"),e.removeChild(t[t.length-1]);var n=document.getElementById("numberValue");n.setAttribute("value",n.value*1-1)},quoteEv:function(){var e=this;this.insuranceObj.addEventListener("change",function(t){var n=b(t.target,"UL");e.cacuSigleInsurance(n)}),document.getElementById("payPeriod").addEventListener("change",function(t){e.clearInsurancePageData()}),document.getElementById("effDate").addEventListener("change",function(t){e.clearInsurancePageData()})},cacuSigleInsurance:function(e){var t=this,n=t.getInsurantKeyInfo(e);t.inquireData.insurListJSONObj=JSON.stringify([n]),t.setOtherInqureInfo();if(t.inquireData.effDate===""||n.gender===""||n.birthDate===""||n.coverageAmount==="")return;h.quote(t.inquireData,function(n){var r=n.data,i=e.getElementsByClassName("premium")[0];i.setAttribute("data-premium",r),i.innerHTML=" ￥"+w(r),document.getElementById("prepayTotal").innerHTML=" ￥"+w(t.calcuTotalprePay())},function(){})},getInsurantKeyInfo:function(e){var t={birthDate:"",gender:"",coverageAmount:""};return i(e.querySelectorAll("input,select"),function(e,n){n===0&&(t.gender=e.options[e.selectedIndex].value),n===1&&(t.birthDate=e.value),n===2&&(t.coverageAmount=e.options[e.selectedIndex].value)}),(t.gender===""||t.birthDate===""||t.coverageAmount==="")&&console.dir("获取投保信息存在空值"),t},setOtherInqureInfo:function(){var e=document.getElementById("payPeriod"),t=e.options[e.selectedIndex].value;t==="510"?(this.inquireData.premType="5",this.inquireData.premTerm="120"):t==="520"?(this.inquireData.premType="5",this.inquireData.premTerm="240"):(this.inquireData.premType=t,this.inquireData.premTerm="")},calcuTotalprePay:function(){var e=0;return i(document.querySelectorAll("#insurants .premium"),function(t,n){var r=t.getAttribute("data-premium")||0;e+=r*1}),e},calcuprePay:function(){this.getPageData();if(!this.validataPageData(v))return;this.inquireEv(v)},getPageData:function(){this.setOtherInqureInfo();var e=this;i(v,function(t,n){s(v,n)&&(v[n]=e.inquireData[n])});var t=[];i(this.insuranceObj.getElementsByTagName("ul"),function(n,r){var i=e.getSingleInsurance(n);(i.gender!==""||i.birthDate!==""||i.coverageAmount!==""||i.premium!=="")&&t.push(i)}),v.insurances=t},inquireEv:function(e){var t={birthDate:"",gender:"",coverageAmount:""},n=[];i(e.insurances,function(e,t){n.push({birthDate:e.birthDate,gender:e.gender,coverageAmount:e.coverageAmount})}),this.inquireData.insurListJSONObj=JSON.stringify(n),h.quote(this.inquireData,function(e){document.getElementById("prepayTotal").innerHTML=" ￥"+w(e.data)},function(){})},getSingleInsurance:function(e){var t={gender:"",birthDate:"",coverageAmount:"",premium:""};return i(e.querySelectorAll("input,select"),function(e,n){n===0&&(t.gender=e.options[e.selectedIndex].value),n===1&&(t.birthDate=e.value),n===2&&(t.coverageAmount=e.options[e.selectedIndex].value)}),t.premium=e.getElementsByClassName("premium")[0].dataset.premium,t},validataPageData:function(e){return e.premType===""||e.effDate===""||e.insurances.length===0?!1:!0},clearInsurancePageData:function(){i(this.insuranceObj.getElementsByTagName("ul"),function(e,t){i(e.querySelectorAll("input,select"),function(e,t){t===0&&g(e,""),t===1&&(e.value=""),t===2&&g(e,"")}),e.getElementsByClassName("premium")[0].dataset.premium="",e.getElementsByClassName("premium")[0].innerHTML="￥"}),document.getElementById("prepayTotal").innerHTML=" ￥"}},t.exports=m},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../../../../gum.ui/validate/common.tool":26,"../model/familyrisk.model":143,"../views/templates/family.property.tpl":162,"lodash/collection/foreach":41,"lodash/object/has":110,reqwest:119}],131:[function(e,t,n){function rt(){this.router={"familyrisk/product":"frProductIndex","familyrisk/property":"frPropertyIndex","familyrisk/insuranceinfo/:testlength":"frInsuranceInfoIndex","familyrisk/holder":"frholderIndex","familyrisk/insured/:index":"frinsuredIndex","familyrisk/confirminsurance":"frconfirmInsuranceIndex","familyrisk/confirminsurance/holder":"frconfirmInsuranceholder","familyrisk/confirminsurance/insured/:index":"frconfirmInsuranceinsured","familyrisk/health":"frhealthIndex","familyrisk/prePay":"frprePayIndex","familyrisk/pay":"frpayIndex","familyrisk/paysuc":"frpaySucIndex","familyrisk/payfail":"frpayFailIndex","familyrisk/city/:index":"frCity","familyrisk/province/:index":"frProvince","familyrisk/contact":"frContact","familyrisk/invoice":"frInvoice","familyrisk/renewal":"frRenewal","familyrisk/renewalCity":"frRenewalCity","familyrisk/renewalbank":"frRenewalbank","familyrisk/renewalbranchbank":"frRenewalbranchbank","familyrisk/note":"frnote"},this.csslist=["../../../../gum.ui.sass/gum.css","../css/iconfront/iconfont.css","../css/familyrisk.css"]}var r=e("../views/templates/family.product"),i=e("../views/templates/family.property"),s=e("../views/templates/family.insurance.info"),o=e("../views/templates/family.insured"),u=e("../views/templates/family.holder"),a=e("../views/templates/family.confirm.insurance"),f=e("../views/templates/family.confirm.insurance.hold"),l=e("../views/templates/family.confirm.insurance.insured"),c=e("../views/templates/family.health"),h=e("../views/templates/family.pay"),p=e("../views/templates/family.pay.success"),d=e("../views/templates/family.pay.fail"),v=e("../views/templates/province"),m=e("../views/templates/citylist"),g=e("../views/templates/family.contact"),y=e("../views/templates/family.invoice"),b=e("../views/templates/family.renewal"),w=e("../views/templates/family.renewal.bank"),E=e("../views/templates/family.renewal.branchbank"),S=e("../views/templates/note"),x=e("../../../../gum.ui/router/router"),T=e("../../../../gum.ui/wechatSDK/wechat.helper"),N=e("js-base64").Base64,C=e("../model/familyrisk.model"),k=e("./family.product.view.controllers"),L=e("./family.property.view.controllers"),A=e("./family.insurance.info.view.controllers"),O=e("./family.holder.view.controllers"),M=e("./family.insured.view.controllers"),_=e("./family.health.view.controllers"),D=e("./family.confirm.insurance.view.controllers"),P=e("./province.view.controllers"),H=e("./city.view.controllers"),B=e("./contact.view.controllers"),j=e("./family.invoice.view.controllers"),F=e("./renewal.view.controllers"),I=e("./renewal.city.view.controllers"),q=e("./renewal.bank.view.controllers"),R=e("./renewal.branchbank.view.controllers"),U=e("../views/templates/note.product"),z=e("../model/family.holder.model"),W=e("../model/family.insured.model"),X=e("../model/familyrisk.model"),V=e("../model/family.renewal.model"),$=e("../../../../gum.ui/validate/common.tool"),J=new W,K=new z,Q=new X,G=new V,Y=e("reqwest"),Z=new C,et=new T,tt=new x,nt=new $;rt.prototype={frProductIndex:function(){var e=r();Q.getDataModel().agentNo="";var t=this;setTimeout(function(){t.show({isHome:"",eventID:"保险详情",eventLabel:Q.getDataModel().idCsspProduct,title:"保险详情",html:e,prehash:"#gum/insuranceHome/index",isNotGum:!0});var n=window.location.search.replace("?","");n.indexOf("shareId")>-1?t.showAgentInfo(n):t.initInuranceNeeds();var r=new k;r.init()},100)},frnote:function(){var e=U();this.show({isHome:"",eventID:"投保须知",eventLabel:Q.getDataModel().idCsspProduct,title:"投保须知",html:e,prehash:"familyrisk/product"});var t=document.getElementById("pinganUrl"),n=location.protocol+"//"+location.host,r=n+"/productClause.screen?productId=PI000048";t.addEventListener("touchend",function(){var e=location.pathname.match(/^\/m\/insurance_release\//);if(e){var t=[r,"_system","location=yes"];cordova&&cordova.exec(function(e){},null,"InAppBrowser","open",t)}else window.location.href=r})},frPropertyIndex:function(){var e=i();this.show({isHome:"",eventID:"选择产品属性",eventLabel:Q.getDataModel().idCsspProduct,title:"选择产品属性",html:e,prehash:"familyrisk/product"});var t=new L;t.init()},frInsuranceInfoIndex:function(e){var t=s({testLength:e.testlength});this.show({isHome:"",eventID:"投保信息",eventLabel:Q.getDataModel().idCsspProduct,title:"投保信息",html:t,prehash:"familyrisk/property"}),localStorage.setItem("frInsuranceInfoIndex",window.location.hash);var n=new A;n.init()},frholderIndex:function(){var e=u(),t="familyrisk/insuranceinfo/"+J.getLength(),n=new O,r=n.getConfirBack()===!1?t:"";this.show({isHome:"",eventID:"投保人",eventLabel:Q.getDataModel().idCsspProduct,title:"投保人",html:e,prehash:r}),n.init()},frinsuredIndex:function(e){var t=o(),n=new M,r="familyrisk/insuranceinfo/"+J.getLength(),i=n.getConfirBack()===!1?r:"";this.show({isHome:"",eventID:"被保险人",eventLabel:Q.getDataModel().idCsspProduct,title:"被保险人",html:t,prehash:i}),n.init(e.index)},frconfirmInsuranceIndex:function(){var e=a(Q.getDataModel());this.show({isHome:"",eventID:"确认投保信息",eventLabel:Q.getDataModel().idCsspProduct,title:"确认投保信息",html:e,prehash:""});var t=new D;t.init()},frconfirmInsuranceholder:function(){var e=f(Q.getTmpDataModel().insurer);this.show({isHome:"",eventID:"投保人",eventLabel:Q.getDataModel().idCsspProduct,title:"投保人",html:e,prehash:""});var t=new D;t.initHold()},frconfirmInsuranceinsured:function(e){var t=l(Q.getTmpDataModel().insurants[e.index]);this.show({isHome:"",eventID:"被保险人",eventLabel:Q.getDataModel().idCsspProduct,title:"被保险人",html:t,prehash:""});var n=new D;n.initInsurd(e.index)},frhealthIndex:function(){var e=c({insurants:Q.getDataModel().insurants});this.show({isHome:"",eventID:"被保险人健康告知说明",eventLabel:Q.getDataModel().idCsspProduct,title:"被保险人健康告知说明",html:e,prehash:""});var t=new _;t.init()},frprePayIndex:function(){tt.navigate("familyrisk/pay")},frpayIndex:function(){var e=h(),t=this;this.show({isHome:"",eventID:"支付",eventLabel:Q.getDataModel().idCsspProduct,title:"支付",html:e,prehash:""});var n=window.document.getElementById("selPayType");setTimeout(function(){var e=window.outerHeight-window.document.getElementById("payInfo").clientHeight;n.style.height=e},10);var r=navigator.userAgent.toLowerCase(),i=r.indexOf("micromessenger")!=-1,s=window.document.getElementById("weixinPay"),o=window.document.getElementById("kuaiqianPay"),u=Z.getUnderWritingData();u.success=function(){window.location.href="/m/gum/wechat/modules/familyrisk/views/payforsuccessful.html"},u.error=function(e){},i?this.isSupported()?(s.style.backgroundColor="rgb(46,197,26)",s.classList.remove("btn-gray-bg"),s.addEventListener("touchend",function(){console.log("dasdasd"),console.log("微信支付"),localStorage.setItem("location",location.href),window.localStorage.removeItem("authorize"),et.weixinPay(u)})):(s.classList.add("btn-gray-bg"),s.classList.remove("weixinPay"),n.children[2].classList.remove("hide"),n.children[2].innerHTML="微信5.0以前版本不支持微信支付"):(s.classList.add("btn-gray-bg"),s.classList.remove("weixinPay"),n.children[2].classList.remove("hide"),n.children[2].innerHTML="浏览器不让跳微信，请用网银支付"),o.addEventListener("touchend",function(e){console.log("平安付支付"),t.paPay()});var a=document.getElementById("productName"),f=document.getElementById("productAccount");a.innerHTML=u.productName,f.innerHTML="￥"+parseInt(u.orderAmount)/100;if(window.localStorage.getItem("authorize")=="true"&&window.localStorage.getItem("openId")!=null){et.weixinPay(u);return}},paPay:function(){var e=Z.getUnderWritingData(),t=this,n=e.inputCharset,r=e.bgUrl,i=e.version,s=e.mobileGateway,o=e.language,u=e.signType,a=e.merchantAcctId,f=e.payType,l=e.idCsspOrder,c=e.orderAmount,h=e.productName,p=e.orderTime,d=e.signMsg,v=e.nnpayUrl,m=e.submitPageUrl,g=e.ext1,y=e.ext2,b=e.orderSource,w="1";b=="orderManage"&&(w="0");var E="inputCharset="+n+"&bgUrl="+r+"&version="+i+"&mobileGateway="+s+"&language="+o+"&signType="+u+"&merchantAcctId="+a+"&ext1="+g+"&ext2="+y+"&payType="+f+"&orderId="+l+"&orderAmount="+c+"&productName="+h+"&orderTime="+p+"&signMsg="+d,S=v+"?"+E;localStorage.setItem("productId",e.idCsspOrder),localStorage.setItem("productName",e.productName),window.location.href=S,window.onload=function(){if(window.location.href){window.onload=undefined;return}window.location.href=E}},isSupported:function(){var e=5,t=window.navigator.userAgent.toLowerCase();if(t.indexOf("micromessenger")==-1)return!1;var n=t.substring(t.indexOf("micromessenger")).split("/")[1];return n=n.substr(0,1),parseInt(n,10)>=e?!0:!1},frpaySucIndex:function(){var e=p();this.show(e),this.initPosition()},frpayFailIndex:function(){var e=Z.getUnderWritingData(),t=d();this.show(t);var n=document.getElementById("errorMsg");n.innerHTML=e.errorMsg||"",this.initPosition()},initPosition:function(){var e=window.outerWidth,t=(e-100)/2,n=document.getElementsByClassName("icon_lists")[0];n.style.marginLeft=t+"px"},frCity:function(e){var t=m();this.show({isHome:"",eventID:"城市",eventLabel:Q.getDataModel().idCsspProduct,title:"城市",html:t,prehash:""});var n=new H;e.index==="holder"?n.init(K.getHolderTemp(),"familyrisk/holder"):e.index==="invoice"?n.init(Q.getDataModel().invoice,"familyrisk/invoice"):e.index==="paperInvoice"?n.init(Q.getDataModel().paperPolicyInfo,"familyrisk/invoice"):n.init()},frProvince:function(e){var t=v();this.show({isHome:"",eventID:"省",eventLabel:Q.getDataModel().idCsspProduct,title:"省",html:t,prehash:""});var n=new P;e.index==="holder"?n.init(K.getHolderTemp(),"familyrisk/holder",!0):e.index==="invoice"?n.init(Q.getDataModel().invoice,"familyrisk/invoice"):e.index==="paperInvoice"?n.init(Q.getDataModel().paperPolicyInfo,"familyrisk/invoice"):n.init()},frContact:function(){var e=g();this.show({isHome:"",eventID:"常用联系人",eventLabel:Q.getDataModel().idCsspProduct,title:"常用联系人",html:e,prehash:""});var t=new B;t.init()},frInvoice:function(){Q.getDataModel().invoice.invoiceHeading=Q.getDataModel().insurer.insurerName;var e=y({invoice:Q.getDataModel().invoice,paperPolicyInfo:Q.getDataModel().paperPolicyInfo});this.show({isHome:"",eventID:"其他",eventLabel:Q.getDataModel().idCsspProduct,title:"其他",html:e,prehash:""});var t=new j;t.init()},frRenewal:function(){G.getRenewalData().name=K.getHolder().insurerName;var e=b(G.getRenewalData());this.show({isHome:"",eventID:"续期缴费账号",eventLabel:Q.getDataModel().idCsspProduct,title:"续期缴费账号",html:e,prehash:""});var t=new F;t.init()},frRenewalCity:function(){var e=m();this.show({isHome:"",eventID:"城市",eventLabel:Q.getDataModel().idCsspProduct,title:"城市",html:e,prehash:""});var t=new I;t.init(function(e){var t=G.getRenewalData();t.cityName=e.textContent,t.provinceCode=e.dataset.code.split("_")[0],t.cityCode=e.dataset.code.split("_")[1],tt.navigate("familyrisk/renewal")})},frRenewalbank:function(){var e=w(G.getBankList());this.show({isHome:"",eventID:"开户行",eventLabel:Q.getDataModel().idCsspProduct,title:"开户行",html:e,prehash:""});var t=new q;t.init()},frRenewalbranchbank:function(){var e=E();this.show({isHome:"",eventID:"分行",eventLabel:Q.getDataModel().idCsspProduct,title:"分行",html:e,prehash:""});var t=new R;t.init()},initInuranceNeeds:function(){var e=document.getElementsByClassName("fr-three")[0],t=document.createElement("div"),n='<span style="line-height: 16px;font-size: 13px;border-bottom: 0px;"> ● <a id="orgShow" href="javascript:void(0)" url="http://annuity.pingan.com/xinxipilu_more.shtml" style="color:#ee5c3f">查看分支机构信息</a></span><br/>',r='<span style="line-height: 16px;font-size: 13px;"> ● 该产品提供电子保单,可在承保后登陆"好福利" APP <a id="downloadshow" href="javascript:void(0)" url="http://home.pingan.com.cn/m/download.html" style="color:#ee5c3f">查看/下载</a></span><br/><span style="line-height: 16px;font-size: 13px;">● 本产品由平安养老保险股份有限公司销售并提供服务。</span>';t.innerHTML=n+r,e.appendChild(t),document.getElementById("orgShow").addEventListener("touchend",function(){var e=this.attributes.url.nodeValue;typeof PAWA!="undefined"?PAWA.App.sender.setUrl({isHome:0,newWinUrl:encodeURIComponent(e)}):window.location.href=e}),document.getElementById("downloadshow").addEventListener("touchend",function(){var e=this.attributes.url.nodeValue;typeof PAWA!="undefined"?window.isApp&&window.isApp=="Y"&&typeof PAWA!="undefined"?(window.source="d",PAWA.App.preHash(window.location.hash),PAWA.Router.navigate("#service/orderManager/insuranceOrder/index/03",!0)):PAWA.App.sender.setUrl({isHome:0,newWinUrl:encodeURIComponent(e)}):window.location.href=e})},showAgentInfo:function(e){var t=this,n;e=e.split("&");for(var r=0;r<e.length;r++){var i=e[r],s=i.split("=");if(s.length==2&&s[0]=="shareId"){n=s[1];break}}n&&Q.queryShareData(n,function(e){Q.getDataModel().curShareNotes=e;var n=document.getElementsByClassName("fr-three")[0],r=document.createElement("div"),i="本链接产品由";e.agentName&&(i=i+"<span style='color:#ee5c3f;'>"+e.agentName+"</span>(客户经理)"),e.agentMobile&&(i=i+"<span style='color:#ee5c3f;'>"+e.agentMobile+"</span>(手机号码)"),i+="为您提供后续服务",r.innerHTML=i,r.style.lineHeight="16px",r.style.fontSize="13px",r.style.fontWeight="bold",Q.getDataModel().agentNo=e.agentNo,(e.agentName||e.agentMobile)&&n.appendChild(r),t.initInuranceNeeds()},function(){})}},t.exports=rt},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/validate/common.tool":26,"../../../../gum.ui/wechatSDK/wechat.helper":29,"../model/family.holder.model":140,"../model/family.insured.model":141,"../model/family.renewal.model":142,"../model/familyrisk.model":143,"../views/templates/citylist":145,"../views/templates/family.confirm.insurance":148,"../views/templates/family.confirm.insurance.hold":146,"../views/templates/family.confirm.insurance.insured":147,"../views/templates/family.contact":149,"../views/templates/family.health":151,"../views/templates/family.holder":152,"../views/templates/family.insurance.info":153,"../views/templates/family.insured":155,"../views/templates/family.invoice":156,"../views/templates/family.pay":158,"../views/templates/family.pay.fail":157,"../views/templates/family.pay.success":159,"../views/templates/family.product":160,"../views/templates/family.property":161,"../views/templates/family.renewal":166,"../views/templates/family.renewal.bank":163,"../views/templates/family.renewal.branchbank":164,"../views/templates/note":167,"../views/templates/note.product":168,"../views/templates/province":169,"./city.view.controllers":121,"./contact.view.controllers":122,"./family.confirm.insurance.view.controllers":123,"./family.health.view.controllers":124,"./family.holder.view.controllers":125,"./family.insurance.info.view.controllers":126,"./family.insured.view.controllers":127,"./family.invoice.view.controllers":128,"./family.product.view.controllers":129,"./family.property.view.controllers":130,"./province.view.controllers":132,"./renewal.bank.view.controllers":133,"./renewal.branchbank.view.controllers":134,"./renewal.city.view.controllers":135,"./renewal.view.controllers":136,"js-base64":33,reqwest:119}],132:[function(e,t,n){function v(){this.txtSearch=document.getElementById("txtSearch"),this.btnCancel=document.getElementById("btnCancel"),this.btnPinyin=document.getElementById("btnPinyin"),this.fixView=document.getElementById("fixView"),this.ct1=document.getElementById("ct1"),this.ct2=document.getElementById("ct2"),this.con=document.getElementById("content"),this.def=this.con.offsetHeight+"px",this.hash=c.getPinyinHash(),this.provinces=c.getProvinces()}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=e("lodash/collection/forEach"),u=e("../../../../gum.ui/toast/toast"),a=e("../../../../gum.ui/router/router"),f=e("../model/provinces.model"),l=e("../model/family.holder.model"),c=new f,h=new a,p=new u,d=new l;v.prototype={init:function(e,t,n){this.initDate(n),this.txtSearchEvn(),this.btnPinyinEvn(),this.btnCancelEvn(),this.initContentEvn(e,t)},initDate:function(e){e==1&&(this.provinces=c.getProvincesLack(),p.showToast("西藏地区暂无法提供该保险产品的销售及服务。",3e3));var t=r(this.provinces,"group"),n="";o(this.hash,function(e,r){var i=t[r.toLocaleLowerCase()];i&&i.length>0&&(n+='<li class="table-view-city-divider short-line-right">'+r+"</li>",o(i,function(e,t){n+='<li class="table-view-city-cell" data-code='+e.code+">"+e.display+"</li>"}))}),this.ct1.innerHTML=n,this.getoffsetTop(ct1),this.fixView.style.height=this.con.offsetHeight-10+"px"},getoffsetTop:function(e){var t=e.querySelectorAll(".table-view-city-divider");for(var n=0;n<t.length;n++){var r=t[n];this.hash[r.innerText]=r.offsetTop}},txtSearchEvn:function(){var e=this;this.txtSearch.addEventListener("input",function(t){ct2.innerHTML="";var n=e.txtSearch.value.trim().toLowerCase();if(n==="")return;var r=e.findByValues(e.provinces,["py","display"],n);o(r,function(t,n){e.ct2.innerHTML+='<li class="table-view-city-cell" data-code='+t.code+">"+t.display+"</li>"})}),this.txtSearch.addEventListener("focus",function(t){e.btnCancel.classList.remove("hide"),e.btnPinyin.classList.add("hide"),e.ct1.classList.add("hide")})},findByValues:function(e,t,n){return i(e,function(e){return s(e[t[0]][0],n)===!0||s(e[t[0]][1],n)===!0||s(e[t[1]],n)===!0})},btnPinyinEvn:function(){var e=this;this.btnPinyin.addEventListener("click",function(t){var n=t.target.innerText;if(e.hash[n]==="")return;e.con.scrollTop=e.hash[n]-44,setTimeout(function(){var e=document.createElement("div");e.id="city",e.classList.add("sl-selected"),e.innerText=n,document.body.appendChild(e),setTimeout(function(){document.body.removeChild(e)},300)},20)})},btnCancelEvn:function(){var e=this;e.btnCancel.addEventListener("click",function(t){e.txtSearch.value="",e.ct2.innerHTML="",e.txtSearch.blur(),e.btnCancel.classList.add("hide"),e.btnPinyin.classList.remove("hide"),e.ct1.classList.remove("hide"),e.con.style.height=e.def})},initContentEvn:function(e,t){var n=this;document.getElementById("ct1").addEventListener("click",function(r){n.doClick(r,e,t)}),document.getElementById("ct2").addEventListener("click",function(r){n.doClick(r,e,t)})},doClick:function(e,t,n){e.stopPropagation(),e.preventDefault();var r=e.target;r.classList.contains("table-view-city-cell")&&(t.commonProvince=r.dataset.code,t.commonProvinceName=r.textContent,t.commonCity="",t.commonCityName="",h.navigate(n))}},t.exports=v},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../model/family.holder.model":140,"../model/provinces.model":144,"lodash/collection/filter":39,"lodash/collection/forEach":40,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],133:[function(e,t,n){function u(){this.contactUl=document.getElementById("contact")}function a(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var r=e("../../../../gum.ui/router/router"),i=e("../model/family.renewal.model"),s=new r,o=new i;u.prototype={init:function(){var e=this;this.contactUl.addEventListener("click",function(t){t.stopPropagation(),t.preventDefault();var n=a(t.target,"LI");e.poliClick(n)})},poliClick:function(e){var t=e.getAttribute("data-index");e.getElementsByTagName("a")[0].classList.toggle("radio-check-selected"),o.getRenewalData().bankNo=e.dataset.bankcode,o.getRenewalData().bankName=e.dataset.bankname,setTimeout(function(){s.navigate("familyrisk/renewal")},500)}},t.exports=u},{"../../../../gum.ui/router/router":16,"../model/family.renewal.model":142}],134:[function(e,t,n){function c(){this.contactUl=document.getElementById("contact")}function h(e,t){while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var r=e("../../../../gum.ui/router/router"),i=e("lodash/collection/foreach"),s=e("../model/family.renewal.model"),o=e("../model/provinces.model"),u=e("../views/templates/family.renewal.branchbank.tpl"),a=new r,f=new s,l=new o;c.prototype={init:function(){var e=this;this.contactUl.addEventListener("click",function(t){t.stopPropagation(),t.preventDefault();var n=h(t.target,"LI");e.poliClick(n)}),e.getBankList()},getBankList:function(){var e=f.getRenewalData(),t=l.getProvinceByDisplay({code:e.provinceCode}),n="";t&&t.length>0&&(n=t[0].display);var r={cityName:e.cityName,bankCode:e.bankNo,provinceName:n},i=this;f.querySubBankList(r,function(e){i.sucFunc(e)},function(){console.dir("querySubBankList err")})},sucFunc:function(e){var t="";i(e.subBanks,function(e,n){t+=u(e)}),this.contactUl.innerHTML=t},poliClick:function(e){e.getElementsByTagName("a")[0].classList.toggle("radio-check-selected"),f.getRenewalData().branchNo=e.dataset.bankcode,f.getRenewalData().branchBankName=e.dataset.bankname,setTimeout(function(){a.navigate("familyrisk/renewal")},500)}},t.exports=c},{"../../../../gum.ui/router/router":16,"../model/family.renewal.model":142,"../model/provinces.model":144,"../views/templates/family.renewal.branchbank.tpl":165,"lodash/collection/foreach":41}],135:[function(e,t,n){function c(){this.txtSearch=document.getElementById("txtSearch"),this.btnCancel=document.getElementById("btnCancel"),this.btnPinyin=document.getElementById("btnPinyin"),this.fixView=document.getElementById("fixView"),this.ct1=document.getElementById("ct1"),this.ct2=document.getElementById("ct2"),this.con=document.getElementById("content"),this.def=this.con.offsetHeight+"px",this.hash=f.getPinyinHash(),this.citys=f.getCites()}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=e("lodash/collection/forEach"),u=e("../../../../gum.ui/router/router"),a=e("../model/cities.openaccount.model"),f=new a,l=new u;c.prototype={init:function(e){this.initDate(),this.txtSearchEvn(),this.btnPinyinEvn(),this.btnCancelEvn(),this.initContentEvn(e)},initDate:function(){var e;e=r(this.citys,"group");var t="";o(this.hash,function(n,r){var i=e[r.toLocaleLowerCase()];i&&i.length>0&&(t+='<li class="table-view-city-divider short-line-right">'+r+"</li>",o(i,function(e,n){t+='<li class="table-view-city-cell" data-code='+e.property+"_"+e.code+">"+e.display+"</li>"}))}),this.ct1.innerHTML=t,this.getoffsetTop(ct1),this.fixView.style.height=this.con.offsetHeight-10+"px"},getoffsetTop:function(e){var t=e.querySelectorAll(".table-view-city-divider");for(var n=0;n<t.length;n++){var r=t[n];this.hash[r.innerText]=r.offsetTop}},txtSearchEvn:function(){var e=this;this.txtSearch.addEventListener("input",function(t){ct2.innerHTML="";var n=e.txtSearch.value.trim().toLowerCase();if(n==="")return;var r=e.findByValues(e.citys,["py","display"],n);o(r,function(t,n){e.ct2.innerHTML+='<li class="table-view-city-cell" data-code='+t.property+"_"+t.code+">"+t.display+"</li>"})}),this.txtSearch.addEventListener("focus",function(t){e.btnCancel.classList.remove("hide"),e.btnPinyin.classList.add("hide"),e.ct1.classList.add("hide")})},findByValues:function(e,t,n){return i(e,function(e){return s(e[t[0]][0],n)===!0||s(e[t[0]][1],n)===!0||s(e[t[1]],n)===!0})},btnPinyinEvn:function(){var e=this;this.btnPinyin.addEventListener("click",function(t){var n=t.target.innerText;if(e.hash[n]==="")return;e.con.scrollTop=e.hash[n]-44,setTimeout(function(){var e=document.createElement("div");e.id="city",e.classList.add("sl-selected"),e.innerText=n,document.body.appendChild(e),setTimeout(function(){document.body.removeChild(e)},300)},20)})},btnCancelEvn:function(){var e=this;e.btnCancel.addEventListener("click",function(t){e.txtSearch.value="",e.ct2.innerHTML="",e.txtSearch.blur(),e.btnCancel.classList.add("hide"),e.btnPinyin.classList.remove("hide"),e.ct1.classList.remove("hide"),e.con.style.height=e.def})},initContentEvn:function(e){var t=this;document.getElementById("content").addEventListener("click",function(t){t.stopPropagation(),t.preventDefault();var n=t.target;n.classList.contains("table-view-city-cell")&&e(n)})}},t.exports=c},{"../../../../gum.ui/router/router":16,"../model/cities.openaccount.model":139,"lodash/collection/filter":39,"lodash/collection/forEach":40,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],136:[function(e,t,n){function h(){this.cityli=document.getElementById("city"),this.bankli=document.getElementById("bankli"),this.branchBankli=document.getElementById("branchBankli"),this.saveButton=document.getElementById("save"),this.submitData={idCsspOrder:"",name:"",account:"",provinceCode:"",cityCode:"",bankNo:"",branchNo:"",branchBankName:""}}var r=e("../../../../gum.ui/router/router"),i=e("../model/family.renewal.model"),s=e("../../../../gum.ui/toast/toast"),o=e("lodash/collection/foreach"),u=new r,a=new i,f=new s,l=new(e("../model/familyrisk.model")),c=!1;h.prototype={init:function(){var e=this;this.cityli.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),u.navigate("familyrisk/renewalCity")}),this.bankli.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),u.navigate("familyrisk/renewalbank")}),this.branchBankli.addEventListener("click",function(e){e.stopPropagation(),e.preventDefault(),u.navigate("familyrisk/renewalbranchbank")}),this.saveButton.addEventListener("click",function(t){t.stopPropagation(),t.preventDefault(),a.getRenewalData().account=document.getElementById("account").value,o(e.submitData,function(t,n){e.submitData[n]=a.getRenewalData()[n]}),e.submitData.idCsspOrder=l.getDataModel().idCsspOrder;if(!e.validata())return;a.saveRenewalInsurance(e.submitData,function(){c=!0,u.navigate("familyrisk/confirminsurance")},function(){})})},getRenewOK:function(){return c},setRenewOK:function(e){c=e},validata:function(){return this.submitData.cityCode===""?(f.showToast("请输入开户城市",2e3),!1):this.submitData.bankNo===""?(f.showToast("请输入银行",2e3),!1):this.submitData.branchNo===""?(f.showToast("请输入分行",2e3),!1):this.submitData.account===""?(f.showToast("请输入银行卡号",2e3),!1):/^[0-9]*$/.test(this.submitData.account)?this.submitData.account.length>25?(f.showToast("银行账号不能超过25位"),!1):!0:(f.showToast("银行卡号请输入数字"),!1)}},t.exports=h},{"../../../../gum.ui/router/router":16,"../../../../gum.ui/toast/toast":17,"../model/family.renewal.model":142,"../model/familyrisk.model":143,"lodash/collection/foreach":41}],137:[function(e,t,n){function s(){}var r=e("../insurance/rebasemain"),i=e("./controllers/familyrisk.controllers"),o=new r;o.initRouter(i),s.prototype=o,t.exports=s},{"../insurance/rebasemain":170,"./controllers/familyrisk.controllers":131}],138:[function(e,t,n){function a(){}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=[{id:1,type:"city",property:"110000",code:"110000",display:"北京市",group:"b",py:["beijing","bj"]},{id:2,type:"city",property:"120000",code:"120000",display:"天津市",group:"t",py:["tianjin","tj"]},{id:3,type:"city",property:"130000",code:"130100",display:"石家庄市",group:"s",py:["shijiazhuang","sjz"]},{id:4,type:"city",property:"130000",code:"130200",display:"唐山市",group:"t",py:["tangshan","ts"]},{id:5,type:"city",property:"130000",code:"130300",display:"秦皇岛市",group:"q",py:["qinhuangdao","qhd"]},{id:6,type:"city",property:"130000",code:"130400",display:"邯郸市",group:"h",py:["handan","hd"]},{id:7,type:"city",property:"130000",code:"130500",display:"邢台市",group:"x",py:["xingtai","xt"]},{id:8,type:"city",property:"130000",code:"130600",display:"保定市",group:"b",py:["baoding","bd"]},{id:9,type:"city",property:"130000",code:"130700",display:"张家口市",group:"z",py:["zhangjiakou","zjk"]},{id:10,type:"city",property:"130000",code:"130800",display:"承德市",group:"c",py:["chengde","cd"]},{id:11,type:"city",property:"130000",code:"130900",display:"沧州市",group:"c",py:["cangzhou","cz"]},{id:12,type:"city",property:"130000",code:"131000",display:"廊坊市",group:"l",py:["langfang","lf"]},{id:13,type:"city",property:"130000",code:"131100",display:"衡水市",group:"h",py:["hengshui","hs"]},{id:14,type:"city",property:"140000",code:"140100",display:"太原市",group:"t",py:["taiyuan","ty"]},{id:15,type:"city",property:"140000",code:"140200",display:"大同市",group:"d",py:["datong","dt"]},{id:16,type:"city",property:"140000",code:"140300",display:"阳泉市",group:"y",py:["yangquan","yq"]},{id:17,type:"city",property:"140000",code:"140400",display:"长治市",group:"c",py:["changzhi","cz"]},{id:18,type:"city",property:"140000",code:"140500",display:"晋城市",group:"j",py:["jincheng","jc"]},{id:19,type:"city",property:"140000",code:"140600",display:"朔州市",group:"s",py:["shuozhou","sz"]},{id:20,type:"city",property:"140000",code:"140700",display:"晋中市",group:"j",py:["jinzhong","jz"]},{id:21,type:"city",property:"140000",code:"140800",display:"运城市",group:"y",py:["yuncheng","yc"]},{id:22,type:"city",property:"140000",code:"140900",display:"忻州市",group:"x",py:["xinzhou","xz"]},{id:23,type:"city",property:"140000",code:"141000",display:"临汾市",group:"l",py:["linfen","lf"]},{id:24,type:"city",property:"140000",code:"141100",display:"吕梁市",group:"l",py:["lvliang","ll"]},{id:25,type:"city",property:"150000",code:"150100",display:"呼和浩特市",group:"h",py:["huhehaote","hhht"]},{id:26,type:"city",property:"150000",code:"150200",display:"包头市",group:"b",py:["baotou","bt"]},{id:27,type:"city",property:"150000",code:"150300",display:"乌海市",group:"w",py:["wuhai","wh"]},{id:28,type:"city",property:"150000",code:"150400",display:"赤峰市",group:"c",py:["chifeng","cf"]},{id:29,type:"city",property:"150000",code:"150500",display:"通辽市",group:"t",py:["tongliao","tl"]},{id:30,type:"city",property:"150000",code:"150600",display:"鄂尔多斯市",group:"e",py:["eerduosi","eeds"]},{id:31,type:"city",property:"150000",code:"150700",display:"呼伦贝尔市",group:"h",py:["hulunbeier","hlbe"]},{id:32,type:"city",property:"150000",code:"150800",display:"巴彦淖尔市",group:"b",py:["bayannaoer","byne"]},{id:33,type:"city",property:"150000",code:"150900",display:"乌兰察布市",group:"w",py:["wulanchabu","wlcb"]},{id:34,type:"city",property:"150000",code:"152200",display:"兴安盟",group:"x",py:["xinganmeng","xam"]},{id:35,type:"city",property:"150000",code:"152500",display:"锡林郭勒盟",group:"x",py:["xilinguolemeng","xlglm"]},{id:36,type:"city",property:"150000",code:"152900",display:"阿拉善盟",group:"a",py:["alashanmeng","alsm"]},{id:37,type:"city",property:"210000",code:"210100",display:"沈阳市",group:"s",py:["shenyang","sy"]},{id:38,type:"city",property:"210000",code:"210200",display:"大连市",group:"d",py:["dalian","dl"]},{id:39,type:"city",property:"210000",code:"210300",display:"鞍山市",group:"a",py:["anshan","as"]},{id:40,type:"city",property:"210000",code:"210400",display:"抚顺市",group:"f",py:["fushun","fs"]},{id:41,type:"city",property:"210000",code:"210500",display:"本溪市",group:"b",py:["benxi","bx"]},{id:42,type:"city",property:"210000",code:"210600",display:"丹东市",group:"d",py:["dandong","dd"]},{id:43,type:"city",property:"210000",code:"210700",display:"锦州市",group:"j",py:["jinzhou","jz"]},{id:44,type:"city",property:"210000",code:"210800",display:"营口市",group:"y",py:["yingkou","yk"]},{id:45,type:"city",property:"210000",code:"210900",display:"阜新市",group:"f",py:["fuxin","fx"]},{id:46,type:"city",property:"210000",code:"211000",display:"辽阳市",group:"l",py:["liaoyang","ly"]},{id:47,type:"city",property:"210000",code:"211100",display:"盘锦市",group:"p",py:["panjin","pj"]},{id:48,type:"city",property:"210000",code:"211200",display:"铁岭市",group:"t",py:["tieling","tl"]},{id:49,type:"city",property:"210000",code:"211300",display:"朝阳市",group:"z",py:["zhaoyang","zy"]},{id:50,type:"city",property:"210000",code:"211400",display:"葫芦岛市",group:"h",py:["huludao","hld"]},{id:51,type:"city",property:"220000",code:"220100",display:"长春市",group:"c",py:["changchun","cc"]},{id:52,type:"city",property:"220000",code:"220200",display:"吉林市",group:"j",py:["jilin","jl"]},{id:53,type:"city",property:"220000",code:"220300",display:"四平市",group:"s",py:["siping","sp"]},{id:54,type:"city",property:"220000",code:"220400",display:"辽源市",group:"l",py:["liaoyuan","ly"]},{id:55,type:"city",property:"220000",code:"220500",display:"通化市",group:"t",py:["tonghua","th"]},{id:56,type:"city",property:"220000",code:"220600",display:"白山市",group:"b",py:["baishan","bs"]},{id:57,type:"city",property:"220000",code:"220700",display:"松原市",group:"s",py:["songyuan","sy"]},{id:58,type:"city",property:"220000",code:"220800",display:"白城市",group:"b",py:["baicheng","bc"]},{id:59,type:"city",property:"220000",code:"222400",display:"延边自治州",group:"y",py:["yanbianzizhizhou","ybzzz"]},{id:60,type:"city",property:"230000",code:"230100",display:"哈尔滨市",group:"h",py:["haerbin","heb"]},{id:61,type:"city",property:"230000",code:"230200",display:"齐齐哈尔市",group:"q",py:["qiqihaer","qqhe"]},{id:62,type:"city",property:"230000",code:"230300",display:"鸡西市",group:"j",py:["jixi","jx"]},{id:63,type:"city",property:"230000",code:"230400",display:"鹤岗市",group:"h",py:["hegang","hg"]},{id:64,type:"city",property:"230000",code:"230500",display:"双鸭山市",group:"s",py:["shuangyashan","sys"]},{id:65,type:"city",property:"230000",code:"230600",display:"大庆市",group:"d",py:["daqing","dq"]},{id:66,type:"city",property:"230000",code:"230700",display:"伊春市",group:"y",py:["yichun","yc"]},{id:67,type:"city",property:"230000",code:"230800",display:"佳木斯市",group:"j",py:["jiamusi","jms"]},{id:68,type:"city",property:"230000",code:"230900",display:"七台河市",group:"q",py:["qitaihe","qth"]},{id:69,type:"city",property:"230000",code:"231000",display:"牡丹江市",group:"m",py:["mudanjiang","mdj"]},{id:70,type:"city",property:"230000",code:"231100",display:"黑河市",group:"h",py:["heihe","hh"]},{id:71,type:"city",property:"230000",code:"231200",display:"绥化市",group:"s",py:["suihua","sh"]},{id:72,type:"city",property:"230000",code:"232700",display:"大兴安岭地区",group:"d",py:["daxinganlingdiqu","dxaldq"]},{id:73,type:"city",property:"310000",code:"310000",display:"上海市",group:"s",py:["shanghai","sh"]},{id:74,type:"city",property:"320000",code:"320100",display:"南京市",group:"n",py:["nanjing","nj"]},{id:75,type:"city",property:"320000",code:"320200",display:"无锡市",group:"w",py:["wuxi","wx"]},{id:76,type:"city",property:"320000",code:"320300",display:"徐州市",group:"x",py:["xuzhou","xz"]},{id:77,type:"city",property:"320000",code:"320400",display:"常州市",group:"c",py:["changzhou","cz"]},{id:78,type:"city",property:"320000",code:"320500",display:"苏州市",group:"s",py:["suzhou","sz"]},{id:79,type:"city",property:"320000",code:"320600",display:"南通市",group:"n",py:["nantong","nt"]},{id:80,type:"city",property:"320000",code:"320700",display:"连云港市",group:"l",py:["lianyungang","lyg"]},{id:81,type:"city",property:"320000",code:"320800",display:"淮安市",group:"h",py:["huaian","ha"]},{id:82,type:"city",property:"320000",code:"320900",display:"盐城市",group:"y",py:["yancheng","yc"]},{id:83,type:"city",property:"320000",code:"321000",display:"扬州市",group:"y",py:["yangzhou","yz"]},{id:84,type:"city",property:"320000",code:"321100",display:"镇江市",group:"z",py:["zhenjiang","zj"]},{id:85,type:"city",property:"320000",code:"321200",display:"泰州市",group:"t",py:["taizhou","tz"]},{id:86,type:"city",property:"320000",code:"321300",display:"宿迁市",group:"s",py:["suqian","sq"]},{id:87,type:"city",property:"330000",code:"330100",display:"杭州市",group:"h",py:["hangzhou","hz"]},{id:88,type:"city",property:"330000",code:"330200",display:"宁波市",group:"n",py:["ningbo","nb"]},{id:89,type:"city",property:"330000",code:"330300",display:"温州市",group:"w",py:["wenzhou","wz"]},{id:90,type:"city",property:"330000",code:"330400",display:"嘉兴市",group:"j",py:["jiaxing","jx"]},{id:91,type:"city",property:"330000",code:"330500",display:"湖州市",group:"h",py:["huzhou","hz"]},{id:92,type:"city",property:"330000",code:"330600",display:"绍兴市",group:"s",py:["shaoxing","sx"]},{id:93,type:"city",property:"330000",code:"330700",display:"金华市",group:"j",py:["jinhua","jh"]},{id:94,type:"city",property:"330000",code:"330800",display:"衢州市",group:"q",py:["quzhou","qz"]},{id:95,type:"city",property:"330000",code:"330900",display:"舟山市",group:"z",py:["zhoushan","zs"]},{id:96,type:"city",property:"330000",code:"331000",display:"台州市",group:"t",py:["taizhou","tz"]},{id:97,type:"city",property:"330000",code:"331100",display:"丽水市",group:"l",py:["lishui","ls"]},{id:98,type:"city",property:"340000",code:"340100",display:"合肥市",group:"h",py:["hefei","hf"]},{id:99,type:"city",property:"340000",code:"340200",display:"芜湖市",group:"w",py:["wuhu","wh"]},{id:100,type:"city",property:"340000",code:"340300",display:"蚌埠市",group:"b",py:["bangbu","bb"]},{id:101,type:"city",property:"340000",code:"340400",display:"淮南市",group:"h",py:["huainan","hn"]},{id:102,type:"city",property:"340000",code:"340500",display:"马鞍山市",group:"m",py:["maanshan","mas"]},{id:103,type:"city",property:"340000",code:"340600",display:"淮北市",group:"h",py:["huaibei","hb"]},{id:104,type:"city",property:"340000",code:"340700",display:"铜陵市",group:"t",py:["tongling","tl"]},{id:105,type:"city",property:"340000",code:"340800",display:"安庆市",group:"a",py:["anqing","aq"]},{id:106,type:"city",property:"340000",code:"341000",display:"黄山市",group:"h",py:["huangshan","hs"]},{id:107,type:"city",property:"340000",code:"341100",display:"滁州市",group:"c",py:["chuzhou","cz"]},{id:108,type:"city",property:"340000",code:"341200",display:"阜阳市",group:"f",py:["fuyang","fy"]},{id:109,type:"city",property:"340000",code:"341300",display:"宿州市",group:"s",py:["suzhou","sz"]},{id:110,type:"city",property:"340000",code:"341400",display:"巢湖市",group:"c",py:["chaohu","ch"]},{id:111,type:"city",property:"340000",code:"341500",display:"六安市",group:"l",py:["liuan","la"]},{id:112,type:"city",property:"340000",code:"341600",display:"亳州市",group:"b",py:["bozhou","bz"]},{id:113,type:"city",property:"340000",code:"341700",display:"池州市",group:"c",py:["chizhou","cz"]},{id:114,type:"city",property:"340000",code:"341800",display:"宣城市",group:"x",py:["xuancheng","xc"]},{id:115,type:"city",property:"350000",code:"350100",display:"福州市",group:"f",py:["fuzhou","fz"]},{id:116,type:"city",property:"350000",code:"350200",display:"厦门市",group:"s",py:["shamen","sm"]},{id:117,type:"city",property:"350000",code:"350300",display:"莆田市",group:"p",py:["putian","pt"]},{id:118,type:"city",property:"350000",code:"350400",display:"三明市",group:"s",py:["sanming","sm"]},{id:119,type:"city",property:"350000",code:"350500",display:"泉州市",group:"q",py:["quanzhou","qz"]},{id:120,type:"city",property:"350000",code:"350600",display:"漳州市",group:"z",py:["zhangzhou","zz"]},{id:121,type:"city",property:"350000",code:"350700",display:"南平市",group:"n",py:["nanping","np"]},{id:122,type:"city",property:"350000",code:"350800",display:"龙岩市",group:"l",py:["longyan","ly"]},{id:123,type:"city",property:"350000",code:"350900",display:"宁德市",group:"n",py:["ningde","nd"]},{id:124,type:"city",property:"360000",code:"360100",display:"南昌市",group:"n",py:["nanchang","nc"]},{id:125,type:"city",property:"360000",code:"360200",display:"景德镇市",group:"j",py:["jingdezhen","jdz"]},{id:126,type:"city",property:"360000",code:"360300",display:"萍乡市",group:"p",py:["pingxiang","px"]},{id:127,type:"city",property:"360000",code:"360400",display:"九江市",group:"j",py:["jiujiang","jj"]},{id:128,type:"city",property:"360000",code:"360500",display:"新余市",group:"x",py:["xinyu","xy"]},{id:129,type:"city",property:"360000",code:"360600",display:"鹰潭市",group:"y",py:["yingtan","yt"]},{id:130,type:"city",property:"360000",code:"360700",display:"赣州市",group:"g",py:["ganzhou","gz"]},{id:131,type:"city",property:"360000",code:"360800",display:"吉安市",group:"j",py:["jian","ja"]},{id:132,type:"city",property:"360000",code:"360900",display:"宜春市",group:"y",py:["yichun","yc"]},{id:133,type:"city",property:"360000",code:"361000",display:"抚州市",group:"f",py:["fuzhou","fz"]},{id:134,type:"city",property:"360000",code:"361100",display:"上饶市",group:"s",py:["shangrao","sr"]},{id:135,type:"city",property:"370000",code:"370100",display:"济南市",group:"j",py:["jinan","jn"]},{id:136,type:"city",property:"370000",code:"370200",display:"青岛市",group:"q",py:["qingdao","qd"]},{id:137,type:"city",property:"370000",code:"370300",display:"淄博市",group:"z",py:["zibo","zb"]},{id:138,type:"city",property:"370000",code:"370400",display:"枣庄市",group:"z",py:["zaozhuang","zz"]},{id:139,type:"city",property:"370000",code:"370500",display:"东营市",group:"d",py:["dongying","dy"]},{id:140,type:"city",property:"370000",code:"370600",display:"烟台市",group:"y",py:["yantai","yt"]},{id:141,type:"city",property:"370000",code:"370700",display:"潍坊市",group:"w",py:["weifang","wf"]},{id:142,type:"city",property:"370000",code:"370800",display:"济宁市",group:"j",py:["jining","jn"]},{id:143,type:"city",property:"370000",code:"370900",display:"泰安市",group:"t",py:["taian","ta"]},{id:144,type:"city",property:"370000",code:"371000",display:"威海市",group:"w",py:["weihai","wh"]},{id:145,type:"city",property:"370000",code:"371100",display:"日照市",group:"r",py:["rizhao","rz"]},{id:146,type:"city",property:"370000",code:"371200",display:"莱芜市",group:"l",py:["laiwu","lw"]},{id:147,type:"city",property:"370000",code:"371300",display:"临沂市",group:"l",py:["linyi","ly"]},{id:148,type:"city",property:"370000",code:"371400",display:"德州市",group:"d",py:["dezhou","dz"]},{id:149,type:"city",property:"370000",code:"371500",display:"聊城市",group:"l",py:["liaocheng","lc"]},{id:150,type:"city",property:"370000",code:"371600",display:"滨州市",group:"b",py:["binzhou","bz"]},{id:151,type:"city",property:"370000",code:"371700",display:"菏泽市",group:"h",py:["heze","hz"]},{id:152,type:"city",property:"410000",code:"410100",display:"郑州市",group:"z",py:["zhengzhou","zz"]},{id:153,type:"city",property:"410000",code:"410200",display:"开封市",group:"k",py:["kaifeng","kf"]},{id:154,type:"city",property:"410000",code:"410300",display:"洛阳市",group:"l",py:["luoyang","ly"]},{id:155,type:"city",property:"410000",code:"410400",display:"平顶山市",group:"p",py:["pingdingshan","pds"]},{id:156,type:"city",property:"410000",code:"410500",display:"安阳市",group:"a",py:["anyang","ay"]},{id:157,type:"city",property:"410000",code:"410600",display:"鹤壁市",group:"h",py:["hebi","hb"]},{id:158,type:"city",property:"410000",code:"410700",display:"新乡市",group:"x",py:["xinxiang","xx"]},{id:159,type:"city",property:"410000",code:"410800",display:"焦作市",group:"j",py:["jiaozuo","jz"]},{id:160,type:"city",property:"410000",code:"410900",display:"濮阳市",group:"p",py:["puyang","py"]},{id:161,type:"city",property:"410000",code:"411000",display:"许昌市",group:"x",py:["xuchang","xc"]},{id:162,type:"city",property:"410000",code:"411100",display:"漯河市",group:"l",py:["luohe","lh"]},{id:163,type:"city",property:"410000",code:"411200",display:"三门峡市",group:"s",py:["sanmenxia","smx"]},{id:164,type:"city",property:"410000",code:"411300",display:"南阳市",group:"n",py:["nanyang","ny"]},{id:165,type:"city",property:"410000",code:"411400",display:"商丘市",group:"s",py:["shangqiu","sq"]},{id:166,type:"city",property:"410000",code:"411500",display:"信阳市",group:"x",py:["xinyang","xy"]},{id:167,type:"city",property:"410000",code:"411600",display:"周口市",group:"z",py:["zhoukou","zk"]},{id:168,type:"city",property:"410000",code:"411700",display:"驻马店市",group:"z",py:["zhumadian","zmd"]},{id:169,type:"city",property:"420000",code:"420100",display:"武汉市",group:"w",py:["wuhan","wh"]},{id:170,type:"city",property:"420000",code:"420200",display:"黄石市",group:"h",py:["huangshi","hs"]},{id:171,type:"city",property:"420000",code:"420300",display:"十堰市",group:"s",py:["shiyan","sy"]},{id:172,type:"city",property:"420000",code:"420500",display:"宜昌市",group:"y",py:["yichang","yc"]},{id:173,type:"city",property:"420000",code:"420600",display:"襄阳市",group:"x",py:["xiangyang","xy"]},{id:174,type:"city",property:"420000",code:"420700",display:"鄂州市",group:"e",py:["ezhou","ez"]},{id:175,type:"city",property:"420000",code:"420800",display:"荆门市",group:"j",py:["jingmen","jm"]},{id:176,type:"city",property:"420000",code:"420900",display:"孝感市",group:"x",py:["xiaogan","xg"]},{id:177,type:"city",property:"420000",code:"421000",display:"荆州市",group:"j",py:["jingzhou","jz"]},{id:178,type:"city",property:"420000",code:"421100",display:"黄冈市",group:"h",py:["huanggang","hg"]},{id:179,type:"city",property:"420000",code:"421200",display:"咸宁市",group:"x",py:["xianning","xn"]},{id:180,type:"city",property:"420000",code:"421300",display:"随州市",group:"s",py:["suizhou","sz"]},{id:181,type:"city",property:"420000",code:"422800",display:"恩施自治州",group:"e",py:["enshizizhizhou","eszzz"]},{id:182,type:"city",property:"430000",code:"430100",display:"长沙市",group:"c",py:["changsha","cs"]},{id:183,type:"city",property:"430000",code:"430200",display:"株洲市",group:"z",py:["zhuzhou","zz"]},{id:184,type:"city",property:"430000",code:"430300",display:"湘潭市",group:"x",py:["xiangtan","xt"]},{id:185,type:"city",property:"430000",code:"430400",display:"衡阳市",group:"h",py:["hengyang","hy"]},{id:186,type:"city",property:"430000",code:"430500",display:"邵阳市",group:"s",py:["shaoyang","sy"]},{id:187,type:"city",property:"430000",code:"430600",display:"岳阳市",group:"y",py:["yueyang","yy"]},{id:188,type:"city",property:"430000",code:"430700",display:"常德市",group:"c",py:["changde","cd"]},{id:189,type:"city",property:"430000",code:"430800",display:"张家界市",group:"z",py:["zhangjiajie","zjj"]},{id:190,type:"city",property:"430000",code:"430900",display:"益阳市",group:"y",py:["yiyang","yy"]},{id:191,type:"city",property:"430000",code:"431000",display:"郴州市",group:"c",py:["chenzhou","cz"]},{id:192,type:"city",property:"430000",code:"431100",display:"永州市",group:"y",py:["yongzhou","yz"]},{id:193,type:"city",property:"430000",code:"431200",display:"怀化市",group:"h",py:["huaihua","hh"]},{id:194,type:"city",property:"430000",code:"431300",display:"娄底市",group:"l",py:["loudi","ld"]},{id:195,type:"city",property:"430000",code:"433100",display:"湘西自治州",group:"x",py:["xiangxizizhizhou","xxzzz"]},{id:196,type:"city",property:"440000",code:"440100",display:"广州市",group:"g",py:["guangzhou","gz"]},{id:197,type:"city",property:"440000",code:"440200",display:"韶关市",group:"s",py:["shaoguan","sg"]},{id:198,type:"city",property:"440000",code:"440300",display:"深圳市",group:"s",py:["shenzhen","sz"]},{id:199,type:"city",property:"440000",code:"440400",display:"珠海市",group:"z",py:["zhuhai","zh"]},{id:200,type:"city",property:"440000",code:"440500",display:"汕头市",group:"s",py:["shantou","st"]},{id:201,type:"city",property:"440000",code:"440600",display:"佛山市",group:"f",py:["foshan","fs"]},{id:202,type:"city",property:"440000",code:"440700",display:"江门市",group:"j",py:["jiangmen","jm"]},{id:203,type:"city",property:"440000",code:"440800",display:"湛江市",group:"z",py:["zhanjiang","zj"]},{id:204,type:"city",property:"440000",code:"440900",display:"茂名市",group:"m",py:["maoming","mm"]},{id:205,type:"city",property:"440000",code:"441200",display:"肇庆市",group:"z",py:["zhaoqing","zq"]},{id:206,type:"city",property:"440000",code:"441300",display:"惠州市",group:"h",py:["huizhou","hz"]},{id:207,type:"city",property:"440000",code:"441400",display:"梅州市",group:"m",py:["meizhou","mz"]},{id:208,type:"city",property:"440000",code:"441500",display:"汕尾市",group:"s",py:["shanwei","sw"]},{id:209,type:"city",property:"440000",code:"441600",display:"河源市",group:"h",py:["heyuan","hy"]},{id:210,type:"city",property:"440000",code:"441700",display:"阳江市",group:"y",py:["yangjiang","yj"]},{id:211,type:"city",property:"440000",code:"441800",display:"清远市",group:"q",py:["qingyuan","qy"]},{id:212,type:"city",property:"440000",code:"441900",display:"东莞市",group:"d",py:["dongguan","dg"]},{id:213,type:"city",property:"440000",code:"442000",display:"中山市",group:"z",py:["zhongshan","zs"]},{id:214,type:"city",property:"440000",code:"445100",display:"潮州市",group:"c",py:["chaozhou","cz"]},{id:215,type:"city",property:"440000",code:"445200",display:"揭阳市",group:"j",py:["jieyang","jy"]},{id:216,type:"city",property:"440000",code:"445300",display:"云浮市",group:"y",py:["yunfu","yf"]},{id:217,type:"city",property:"450000",code:"450100",display:"南宁市",group:"n",py:["nanning","nn"]},{id:218,type:"city",property:"450000",code:"450200",display:"柳州市",group:"l",py:["liuzhou","lz"]},{id:219,type:"city",property:"450000",code:"450300",display:"桂林市",group:"g",py:["guilin","gl"]},{id:220,type:"city",property:"450000",code:"450400",display:"梧州市",group:"w",py:["wuzhou","wz"]},{id:221,type:"city",property:"450000",code:"450500",display:"北海市",group:"b",py:["beihai","bh"]},{id:222,type:"city",property:"450000",code:"450600",display:"防城港市",group:"f",py:["fangchenggang","fcg"]},{id:223,type:"city",property:"450000",code:"450700",display:"钦州市",group:"q",py:["qinzhou","qz"]},{id:224,type:"city",property:"450000",code:"450800",display:"贵港市",group:"g",py:["guigang","gg"]},{id:225,type:"city",property:"450000",code:"450900",display:"玉林市",group:"y",py:["yulin","yl"]},{id:226,type:"city",property:"450000",code:"451000",display:"百色市",group:"b",py:["baise","bs"]},{id:227,type:"city",property:"450000",code:"451100",display:"贺州市",group:"h",py:["hezhou","hz"]},{id:228,type:"city",property:"450000",code:"451200",display:"河池市",group:"h",py:["hechi","hc"]},{id:229,type:"city",property:"450000",code:"451300",display:"来宾市",group:"l",py:["laibin","lb"]},{id:230,type:"city",property:"450000",code:"451400",display:"崇左市",group:"c",py:["chongzuo","cz"]},{id:231,type:"city",property:"460000",code:"460100",display:"海口市",group:"h",py:["haikou","hk"]},{id:232,type:"city",property:"460000",code:"460200",display:"三亚市",group:"s",py:["sanya","sy"]},{id:233,type:"city",property:"500000",code:"500000",display:"重庆市",group:"z",py:["zhongqing","zq"]},{id:234,type:"city",property:"510000",code:"510100",display:"成都市",group:"c",py:["chengdu","cd"]},{id:235,type:"city",property:"510000",code:"510300",display:"自贡市",group:"z",py:["zigong","zg"]},{id:236,type:"city",property:"510000",code:"510400",display:"攀枝花市",group:"p",py:["panzhihua","pzh"]},{id:237,type:"city",property:"510000",code:"510500",display:"泸州市",group:"l",py:["luzhou","lz"]},{id:238,type:"city",property:"510000",code:"510600",display:"德阳市",group:"d",py:["deyang","dy"]},{id:239,type:"city",property:"510000",code:"510700",display:"绵阳市",group:"m",py:["mianyang","my"]},{id:240,type:"city",property:"510000",code:"510800",display:"广元市",group:"g",py:["guangyuan","gy"]},{id:241,type:"city",property:"510000",code:"510900",display:"遂宁市",group:"s",py:["suining","sn"]},{id:242,type:"city",property:"510000",code:"511000",display:"内江市",group:"n",py:["neijiang","nj"]},{id:243,type:"city",property:"510000",code:"511100",display:"乐山市",group:"l",py:["leshan","ls"]},{id:244,type:"city",property:"510000",code:"511300",display:"南充市",group:"n",py:["nanchong","nc"]},{id:245,type:"city",property:"510000",code:"511400",display:"眉山市",group:"m",py:["meishan","ms"]},{id:246,type:"city",property:"510000",code:"511500",display:"宜宾市",group:"y",py:["yibin","yb"]},{id:247,type:"city",property:"510000",code:"511600",display:"广安市",group:"g",py:["guangan","ga"]},{id:248,type:"city",property:"510000",code:"511700",display:"达州市",group:"d",py:["dazhou","dz"]},{id:249,type:"city",property:"510000",code:"511800",display:"雅安市",group:"y",py:["yaan","ya"]},{id:250,type:"city",property:"510000",code:"511900",display:"巴中市",group:"b",py:["bazhong","bz"]},{id:251,type:"city",property:"510000",code:"512000",display:"资阳市",group:"z",py:["ziyang","zy"]},{id:252,type:"city",property:"510000",code:"513200",display:"阿坝自治州",group:"a",py:["abazizhizhou","abzzz"]},{id:253,type:"city",property:"510000",code:"513300",display:"甘孜自治州",group:"g",py:["ganzizizhizhou","gzzzz"]},{id:254,type:"city",property:"510000",code:"513400",display:"凉山自治州",group:"l",py:["liangshanzizhizhou","lszzz"]},{id:255,type:"city",property:"520000",code:"520100",display:"贵阳市",group:"g",py:["guiyang","gy"]},{id:256,type:"city",property:"520000",code:"520200",display:"六盘水市",group:"l",py:["liupanshui","lps"]},{id:257,type:"city",property:"520000",code:"520300",display:"遵义市",group:"z",py:["zunyi","zy"]},{id:258,type:"city",property:"520000",code:"520400",display:"安顺市",group:"a",py:["anshun","as"]},{id:259,type:"city",property:"520000",code:"522200",display:"铜仁地区",group:"t",py:["tongrendiqu","trdq"]},{id:260,type:"city",property:"520000",code:"522300",display:"黔西南自治州",group:"q",py:["qianxinanzizhizhou","qxnzzz"]},{id:261,type:"city",property:"520000",code:"522400",display:"毕节地区",group:"b",py:["bijiediqu","bjdq"]},{id:262,type:"city",property:"520000",code:"522600",display:"黔东南自治州",group:"q",py:["qiandongnanzizhizhou","qdnzzz"]},{id:263,type:"city",property:"520000",code:"522700",display:"黔南自治州",group:"q",py:["qiannanzizhizhou","qnzzz"]},{id:264,type:"city",property:"530000",code:"530100",display:"昆明市",group:"k",py:["kunming","km"]},{id:265,type:"city",property:"530000",code:"530300",display:"曲靖市",group:"q",py:["qujing","qj"]},{id:266,type:"city",property:"530000",code:"530400",display:"玉溪市",group:"y",py:["yuxi","yx"]},{id:267,type:"city",property:"530000",code:"530500",display:"保山市",group:"b",py:["baoshan","bs"]},{id:268,type:"city",property:"530000",code:"530600",display:"昭通市",group:"z",py:["zhaotong","zt"]},{id:269,type:"city",property:"530000",code:"530700",display:"丽江市",group:"l",py:["lijiang","lj"]},{id:270,type:"city",property:"530000",code:"530900",display:"临沧市",group:"l",py:["lincang","lc"]},{id:271,type:"city",property:"530000",code:"532300",display:"楚雄自治州",group:"c",py:["chuxiongzizhizhou","cxzzz"]},{id:272,type:"city",property:"530000",code:"532500",display:"红河自治州",group:"h",py:["honghezizhizhou","hhzzz"]},{id:273,type:"city",property:"530000",code:"532600",display:"文山自治州",group:"w",py:["wenshanzizhizhou","wszzz"]},{id:274,type:"city",property:"530000",code:"532700",display:"思茅市",group:"s",py:["simao","sm"]},{id:275,type:"city",property:"530000",code:"532800",display:"西双版纳自治州",group:"x",py:["xishuangbannazizhizhou","xsbnzzz"]},{id:276,type:"city",property:"530000",code:"532900",display:"大理自治州",group:"d",py:["dalizizhizhou","dlzzz"]},{id:277,type:"city",property:"530000",code:"533100",display:"德宏自治州",group:"d",py:["dehongzizhizhou","dhzzz"]},{id:278,type:"city",property:"530000",code:"533300",display:"怒江自治州",group:"n",py:["nujiangzizhizhou","njzzz"]},{id:279,type:"city",property:"530000",code:"533400",display:"迪庆自治州",group:"d",py:["diqingzizhizhou","dqzzz"]},{id:280,type:"city",property:"540000",code:"540100",display:"拉萨市",group:"l",py:["lasa","ls"]},{id:281,type:"city",property:"540000",code:"542100",display:"昌都地区",group:"c",py:["changdudiqu","cddq"]},{id:282,type:"city",property:"540000",code:"542200",display:"山南地区",group:"s",py:["shannandiqu","sndq"]},{id:283,type:"city",property:"540000",code:"542300",display:"日喀则地区",group:"r",py:["rikazediqu","rkzdq"]},{id:284,type:"city",property:"540000",code:"542400",display:"那曲地区",group:"n",py:["naqudiqu","nqdq"]},{id:285,type:"city",property:"540000",code:"542500",display:"阿里地区",group:"a",py:["alidiqu","aldq"]},{id:286,type:"city",property:"540000",code:"542600",display:"林芝地区",group:"l",py:["linzhidiqu","lzdq"]},{id:287,type:"city",property:"610000",code:"610100",display:"西安市",group:"x",py:["xian","xa"]},{id:288,type:"city",property:"610000",code:"610200",display:"铜川市",group:"t",py:["tongchuan","tc"]},{id:289,type:"city",property:"610000",code:"610300",display:"宝鸡市",group:"b",py:["baoji","bj"]},{id:290,type:"city",property:"610000",code:"610400",display:"咸阳市",group:"x",py:["xianyang","xy"]},{id:291,type:"city",property:"610000",code:"610500",display:"渭南市",group:"w",py:["weinan","wn"]},{id:292,type:"city",property:"610000",code:"610600",display:"延安市",group:"y",py:["yanan","ya"]},{id:293,type:"city",property:"610000",code:"610700",display:"汉中市",group:"h",py:["hanzhong","hz"]},{id:294,type:"city",property:"610000",code:"610800",display:"榆林市",group:"y",py:["yulin","yl"]},{id:295,type:"city",property:"610000",code:"610900",display:"安康市",group:"a",py:["ankang","ak"]},{id:296,type:"city",property:"610000",code:"611000",display:"商洛市",group:"s",py:["shangluo","sl"]},{id:297,type:"city",property:"620000",code:"620100",display:"兰州市",group:"l",py:["lanzhou","lz"]},{id:298,type:"city",property:"620000",code:"620200",display:"嘉峪关市",group:"j",py:["jiayuguan","jyg"]},{id:299,type:"city",property:"620000",code:"620300",display:"金昌市",group:"j",py:["jinchang","jc"]},{id:300,type:"city",property:"620000",code:"620400",display:"白银市",group:"b",py:["baiyin","by"]},{id:301,type:"city",property:"620000",code:"620500",display:"天水市",group:"t",py:["tianshui","ts"]},{id:302,type:"city",property:"620000",code:"620600",display:"武威市",group:"w",py:["wuwei","ww"]},{id:303,type:"city",property:"620000",code:"620700",display:"张掖市",group:"z",py:["zhangye","zy"]},{id:304,type:"city",property:"620000",code:"620800",display:"平凉市",group:"p",py:["pingliang","pl"]},{id:305,type:"city",property:"620000",code:"620900",display:"酒泉市",group:"j",py:["jiuquan","jq"]},{id:306,type:"city",property:"620000",code:"621000",display:"庆阳市",group:"q",py:["qingyang","qy"]},{id:307,type:"city",property:"620000",code:"621100",display:"定西市",group:"d",py:["dingxi","dx"]},{id:308,type:"city",property:"620000",code:"622600",display:"陇南地区",group:"l",py:["longnandiqu","lndq"]},{id:309,type:"city",property:"620000",code:"622900",display:"临夏自治州",group:"l",py:["linxiazizhizhou","lxzzz"]},{id:310,type:"city",property:"620000",code:"623000",display:"甘南自治州",group:"g",py:["gannanzizhizhou","gnzzz"]},{id:311,type:"city",property:"630000",code:"630100",display:"西宁市",group:"x",py:["xining","xn"]},{id:312,type:"city",property:"630000",code:"632100",display:"海东地区",group:"h",py:["haidongdiqu","hddq"]},{id:313,type:"city",property:"630000",code:"632200",display:"海北自治州",group:"h",py:["haibeizizhizhou","hbzzz"]},{id:314,type:"city",property:"630000",code:"632300",display:"黄南自治州",group:"h",py:["huangnanzizhizhou","hnzzz"]},{id:315,type:"city",property:"630000",code:"632500",display:"海南自治州",group:"h",py:["hainanzizhizhou","hnzzz"]},{id:316,type:"city",property:"630000",code:"632600",display:"果洛自治州",group:"g",py:["guoluozizhizhou","glzzz"]},{id:317,type:"city",property:"630000",code:"632700",display:"玉树自治州",group:"y",py:["yushuzizhizhou","yszzz"]},{id:318,type:"city",property:"630000",code:"632800",display:"海西自治州",group:"h",py:["haixizizhizhou","hxzzz"]},{id:319,type:"city",property:"640000",code:"640100",display:"银川市",group:"y",py:["yinchuan","yc"]},{id:320,type:"city",property:"640000",code:"640200",display:"石嘴山市",group:"s",py:["shizuishan","szs"]},{id:321,type:"city",property:"640000",code:"640300",display:"吴忠市",group:"w",py:["wuzhong","wz"]},{id:322,type:"city",property:"640000",code:"640400",display:"固原市",group:"g",py:["guyuan","gy"]},{id:323,type:"city",property:"640000",code:"640500",display:"中卫市",group:"z",py:["zhongwei","zw"]},{id:324,type:"city",property:"650000",code:"650100",display:"乌鲁木齐市",group:"w",py:["wulumuqi","wlmq"]},{id:325,type:"city",property:"650000",code:"650200",display:"克拉玛依市",group:"k",py:["kelamayi","klmy"]},{id:326,type:"city",property:"650000",code:"652100",display:"吐鲁番地区",group:"t",py:["tulufandiqu","tlfdq"]},{id:327,type:"city",property:"650000",code:"652200",display:"哈密地区",group:"h",py:["hamidiqu","hmdq"]},{id:328,type:"city",property:"650000",code:"652300",display:"昌吉回族自治州",group:"c",py:["changjihuizuzizhizhou","cjhzzzz"]},{id:329,type:"city",property:"650000",code:"652700",display:"博尔塔拉蒙古自治州",group:"b",py:["boertalamengguzizhizhou","betlmgzzz"]},{id:330,type:"city",property:"650000",code:"652800",display:"巴音郭楞蒙古自治州",group:"b",py:["bayinguolengmengguzizhizhou","byglmgzzz"]},{id:331,type:"city",property:"650000",code:"652900",display:"阿克苏地区",group:"a",py:["akesudiqu","aksdq"]},{id:332,type:"city",property:"650000",code:"653000",display:"克孜勒苏柯尔克孜自治州",group:"k",py:["kezilesukeerkezizizhizhou","kzlskekzzzz"]},{id:333,type:"city",property:"650000",code:"653100",display:"喀什地区",group:"k",py:["kashidiqu","ksdq"]},{id:334,type:"city",property:"650000",code:"653200",display:"和田地区",group:"h",py:["hetiandiqu","htdq"]},{id:335,type:"city",property:"650000",code:"654000",display:"伊犁哈萨克自治州",group:"y",py:["yilihasakezizhizhou","ylhskzzz"]},{id:336,type:"city",property:"650000",code:"654200",display:"塔城地区",group:"t",py:["tachengdiqu","tcdq"]},{id:337,type:"city",property:"650000",code:"654300",display:"阿勒泰地区",group:"a",py:["aletaidiqu","altdq"]},{id:338,type:"city",property:"710000",code:"710000",display:"台湾省",group:"t",py:["taiwan","tw"]},{id:339,type:"city",property:"810000",code:"810000",display:"香港特别行政区",group:"x",py:["xianggangtebiehangzhengqu","xgtbhzq"]},{id:340,type:"city",property:"820000",code:"820000",display:"澳门特别行政区",group:"a",py:["aomentebiehangzhengqu","amtbhzq"]}],u={A:"",B:"",C:"",D:"",E:"",F:"",G:"",H:"",I:"",J:"",K:"",L:"",M:"",N:"",O:"",P:"",Q:"",R:"",S:"",T:"",U:"",V:"",W:"",X:"",Y:"",Z:""};a.prototype={getCites:function(){return o},getPinyinHash:function(){return u},getCitesByProperty:function(e){return i(o,e)},getCitesDic:function(e){return r(o,e)},getFilterCites:function(e,t){return i(o,function(n){return s(n[e[0]][0],t)===!0||s(n[e[0]][1],t)===!0||s(n[e[1]],t)===!0})},getFilterCollection:function(e,t,n){return i(n,function(n){for(var r in e)if(s(n[r],t)===!0)return!0;return!1})}},t.exports=a},{"lodash/collection/filter":39,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],139:[function(e,t,n){function a(){}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=[{id:1,type:"city",property:"110000",code:"110000",display:"北京市",group:"b",py:["beijing","bj"]},{id:2,type:"city",property:"120000",code:"120000",display:"天津市",group:"t",py:["tianjin","tj"]},{id:3,type:"city",property:"130000",code:"130100",display:"石家庄市",group:"s",py:["shijiazhuang","sjz"]},{id:4,type:"city",property:"130000",code:"130200",display:"唐山市",group:"t",py:["tangshan","ts"]},{id:5,type:"city",property:"130000",code:"130300",display:"秦皇岛市",group:"q",py:["qinhuangdao","qhd"]},{id:6,type:"city",property:"130000",code:"130400",display:"邯郸市",group:"h",py:["handan","hd"]},{id:7,type:"city",property:"130000",code:"130500",display:"邢台市",group:"x",py:["xingtai","xt"]},{id:8,type:"city",property:"130000",code:"130600",display:"保定市",group:"b",py:["baoding","bd"]},{id:9,type:"city",property:"130000",code:"130700",display:"张家口市",group:"z",py:["zhangjiakou","zjk"]},{id:10,type:"city",property:"130000",code:"130800",display:"承德市",group:"c",py:["chengde","cd"]},{id:11,type:"city",property:"130000",code:"130900",display:"沧州市",group:"c",py:["cangzhou","cz"]},{id:12,type:"city",property:"130000",code:"131000",display:"廊坊市",group:"l",py:["langfang","lf"]},{id:13,type:"city",property:"130000",code:"131100",display:"衡水市",group:"h",py:["hengshui","hs"]},{id:14,type:"city",property:"140000",code:"140100",display:"太原市",group:"t",py:["taiyuan","ty"]},{id:15,type:"city",property:"140000",code:"140200",display:"大同市",group:"d",py:["datong","dt"]},{id:16,type:"city",property:"140000",code:"140300",display:"阳泉市",group:"y",py:["yangquan","yq"]},{id:17,type:"city",property:"140000",code:"140400",display:"长治市",group:"c",py:["changzhi","cz"]},{id:18,type:"city",property:"140000",code:"140500",display:"晋城市",group:"j",py:["jincheng","jc"]},{id:19,type:"city",property:"140000",code:"140600",display:"朔州市",group:"s",py:["shuozhou","sz"]},{id:20,type:"city",property:"140000",code:"140700",display:"晋中市",group:"j",py:["jinzhong","jz"]},{id:21,type:"city",property:"140000",code:"140800",display:"运城市",group:"y",py:["yuncheng","yc"]},{id:22,type:"city",property:"140000",code:"140900",display:"忻州市",group:"x",py:["xinzhou","xz"]},{id:23,type:"city",property:"140000",code:"141000",display:"临汾市",group:"l",py:["linfen","lf"]},{id:24,type:"city",property:"140000",code:"141100",display:"吕梁市",group:"l",py:["lvliang","ll"]},{id:25,type:"city",property:"150000",code:"150100",display:"呼和浩特市",group:"h",py:["huhehaote","hhht"]},{id:26,type:"city",property:"150000",code:"150200",display:"包头市",group:"b",py:["baotou","bt"]},{id:27,type:"city",property:"150000",code:"150300",display:"乌海市",group:"w",py:["wuhai","wh"]},{id:28,type:"city",property:"150000",code:"150400",display:"赤峰市",group:"c",py:["chifeng","cf"]},{id:29,type:"city",property:"150000",code:"150500",display:"通辽市",group:"t",py:["tongliao","tl"]},{id:30,type:"city",property:"150000",code:"150600",display:"鄂尔多斯市",group:"e",py:["eerduosi","eeds"]},{id:31,type:"city",property:"150000",code:"150700",display:"呼伦贝尔市",group:"h",py:["hulunbeier","hlbe"]},{id:32,type:"city",property:"150000",code:"150800",display:"巴彦淖尔市",group:"b",py:["bayannaoer","byne"]},{id:33,type:"city",property:"150000",code:"150900",display:"乌兰察布市",group:"w",py:["wulanchabu","wlcb"]},{id:34,type:"city",property:"150000",code:"152200",display:"兴安盟",group:"x",py:["xinganmeng","xam"]},{id:35,type:"city",property:"150000",code:"152500",display:"锡林郭勒盟",group:"x",py:["xilinguolemeng","xlglm"]},{id:36,type:"city",property:"150000",code:"152900",display:"阿拉善盟",group:"a",py:["alashanmeng","alsm"]},{id:37,type:"city",property:"210000",code:"210100",display:"沈阳市",group:"s",py:["shenyang","sy"]},{id:38,type:"city",property:"210000",code:"210200",display:"大连市",group:"d",py:["dalian","dl"]},{id:39,type:"city",property:"210000",code:"210300",display:"鞍山市",group:"a",py:["anshan","as"]},{id:40,type:"city",property:"210000",code:"210400",display:"抚顺市",group:"f",py:["fushun","fs"]},{id:41,type:"city",property:"210000",code:"210500",display:"本溪市",group:"b",py:["benxi","bx"]},{id:42,type:"city",property:"210000",code:"210600",display:"丹东市",group:"d",py:["dandong","dd"]},{id:43,type:"city",property:"210000",code:"210700",display:"锦州市",group:"j",py:["jinzhou","jz"]},{id:44,type:"city",property:"210000",code:"210800",display:"营口市",group:"y",py:["yingkou","yk"]},{id:45,type:"city",property:"210000",code:"210900",display:"阜新市",group:"f",py:["fuxin","fx"]},{id:46,type:"city",property:"210000",code:"211000",display:"辽阳市",group:"l",py:["liaoyang","ly"]},{id:47,type:"city",property:"210000",code:"211100",display:"盘锦市",group:"p",py:["panjin","pj"]},{id:48,type:"city",property:"210000",code:"211200",display:"铁岭市",group:"t",py:["tieling","tl"]},{id:49,type:"city",property:"210000",code:"211300",display:"朝阳市",group:"z",py:["zhaoyang","zy"]},{id:50,type:"city",property:"210000",code:"211400",display:"葫芦岛市",group:"h",py:["huludao","hld"]},{id:51,type:"city",property:"220000",code:"220100",display:"长春市",group:"c",py:["changchun","cc"]},{id:52,type:"city",property:"220000",code:"220200",display:"吉林市",group:"j",py:["jilin","jl"]},{id:53,type:"city",property:"220000",code:"220300",display:"四平市",group:"s",py:["siping","sp"]},{id:54,type:"city",property:"220000",code:"220400",display:"辽源市",group:"l",py:["liaoyuan","ly"]},{id:55,type:"city",property:"220000",code:"220500",display:"通化市",group:"t",py:["tonghua","th"]},{id:56,type:"city",property:"220000",code:"220600",display:"白山市",group:"b",py:["baishan","bs"]},{id:57,type:"city",property:"220000",code:"220700",display:"松原市",group:"s",py:["songyuan","sy"]},{id:58,type:"city",property:"220000",code:"220800",display:"白城市",group:"b",py:["baicheng","bc"]},{id:59,type:"city",property:"220000",code:"222400",display:"延边自治州",group:"y",py:["yanbianzizhizhou","ybzzz"]},{id:60,type:"city",property:"230000",code:"230100",display:"哈尔滨市",group:"h",py:["haerbin","heb"]},{id:61,type:"city",property:"230000",code:"230200",display:"齐齐哈尔市",group:"q",py:["qiqihaer","qqhe"]},{id:62,type:"city",property:"230000",code:"230300",display:"鸡西市",group:"j",py:["jixi","jx"]},{id:63,type:"city",property:"230000",code:"230400",display:"鹤岗市",group:"h",py:["hegang","hg"]},{id:64,type:"city",property:"230000",code:"230500",display:"双鸭山市",group:"s",py:["shuangyashan","sys"]},{id:65,type:"city",property:"230000",code:"230600",display:"大庆市",group:"d",py:["daqing","dq"]},{id:66,type:"city",property:"230000",code:"230700",display:"伊春市",group:"y",py:["yichun","yc"]},{id:67,type:"city",property:"230000",code:"230800",display:"佳木斯市",group:"j",py:["jiamusi","jms"]},{id:68,type:"city",property:"230000",code:"230900",display:"七台河市",group:"q",py:["qitaihe","qth"]},{id:69,type:"city",property:"230000",code:"231000",display:"牡丹江市",group:"m",py:["mudanjiang","mdj"]},{id:70,type:"city",property:"230000",code:"231100",display:"黑河市",group:"h",py:["heihe","hh"]},{id:71,type:"city",property:"230000",code:"231200",display:"绥化市",group:"s",py:["suihua","sh"]},{id:72,type:"city",property:"230000",code:"232700",display:"大兴安岭地区",group:"d",py:["daxinganlingdiqu","dxaldq"]},{id:73,type:"city",property:"310000",code:"310000",display:"上海市",group:"s",py:["shanghai","sh"]},{id:74,type:"city",property:"320000",code:"320100",display:"南京市",group:"n",py:["nanjing","nj"]},{id:75,type:"city",property:"320000",code:"320200",display:"无锡市",group:"w",py:["wuxi","wx"]},{id:76,type:"city",property:"320000",code:"320300",display:"徐州市",group:"x",py:["xuzhou","xz"]},{id:77,type:"city",property:"320000",code:"320400",display:"常州市",group:"c",py:["changzhou","cz"]},{id:78,type:"city",property:"320000",code:"320500",display:"苏州市",group:"s",py:["suzhou","sz"]},{id:79,type:"city",property:"320000",code:"320600",display:"南通市",group:"n",py:["nantong","nt"]},{id:80,type:"city",property:"320000",code:"320700",display:"连云港市",group:"l",py:["lianyungang","lyg"]},{id:81,type:"city",property:"320000",code:"320800",display:"淮安市",group:"h",py:["huaian","ha"]},{id:82,type:"city",property:"320000",code:"320900",display:"盐城市",group:"y",py:["yancheng","yc"]},{id:83,type:"city",property:"320000",code:"321000",display:"扬州市",group:"y",py:["yangzhou","yz"]},{id:84,type:"city",property:"320000",code:"321100",display:"镇江市",group:"z",py:["zhenjiang","zj"]},{id:85,type:"city",property:"320000",code:"321200",display:"泰州市",group:"t",py:["taizhou","tz"]},{id:86,type:"city",property:"320000",code:"321300",display:"宿迁市",group:"s",py:["suqian","sq"]},{id:87,type:"city",property:"330000",code:"330100",display:"杭州市",group:"h",py:["hangzhou","hz"]},{id:88,type:"city",property:"330000",code:"330200",display:"宁波市",group:"n",py:["ningbo","nb"]},{id:89,type:"city",property:"330000",code:"330300",display:"温州市",group:"w",py:["wenzhou","wz"]},{id:90,type:"city",property:"330000",code:"330400",display:"嘉兴市",group:"j",py:["jiaxing","jx"]},{id:91,type:"city",property:"330000",code:"330500",display:"湖州市",group:"h",py:["huzhou","hz"]},{id:92,type:"city",property:"330000",code:"330600",display:"绍兴市",group:"s",py:["shaoxing","sx"]},{id:93,type:"city",property:"330000",code:"330700",display:"金华市",group:"j",py:["jinhua","jh"]},{id:94,type:"city",property:"330000",code:"330800",display:"衢州市",group:"q",py:["quzhou","qz"]},{id:95,type:"city",property:"330000",code:"330900",display:"舟山市",group:"z",py:["zhoushan","zs"]},{id:96,type:"city",property:"330000",code:"331000",display:"台州市",group:"t",py:["taizhou","tz"]},{id:97,type:"city",property:"330000",code:"331100",display:"丽水市",group:"l",py:["lishui","ls"]},{id:98,type:"city",property:"340000",code:"340100",display:"合肥市",group:"h",py:["hefei","hf"]},{id:99,type:"city",property:"340000",code:"340200",display:"芜湖市",group:"w",py:["wuhu","wh"]},{id:100,type:"city",property:"340000",code:"340300",display:"蚌埠市",group:"b",py:["bangbu","bb"]},{id:101,type:"city",property:"340000",code:"340400",display:"淮南市",group:"h",py:["huainan","hn"]},{id:102,type:"city",property:"340000",code:"340500",display:"马鞍山市",group:"m",py:["maanshan","mas"]},{id:103,type:"city",property:"340000",code:"340600",display:"淮北市",group:"h",py:["huaibei","hb"]},{id:104,type:"city",property:"340000",code:"340700",display:"铜陵市",group:"t",py:["tongling","tl"]},{id:105,type:"city",property:"340000",code:"340800",display:"安庆市",group:"a",py:["anqing","aq"]},{id:106,type:"city",property:"340000",code:"341000",display:"黄山市",group:"h",py:["huangshan","hs"]},{id:107,type:"city",property:"340000",code:"341100",display:"滁州市",group:"c",py:["chuzhou","cz"]},{id:108,type:"city",property:"340000",code:"341200",display:"阜阳市",group:"f",py:["fuyang","fy"]},{id:109,type:"city",property:"340000",code:"341300",display:"宿州市",group:"s",py:["suzhou","sz"]},{id:110,type:"city",property:"340000",code:"341400",display:"巢湖市",group:"c",py:["chaohu","ch"]},{id:111,type:"city",property:"340000",code:"341500",display:"六安市",group:"l",py:["liuan","la"]},{id:112,type:"city",property:"340000",code:"341600",display:"亳州市",group:"b",py:["bozhou","bz"]},{id:113,type:"city",property:"340000",code:"341700",display:"池州市",group:"c",py:["chizhou","cz"]},{id:114,type:"city",property:"340000",code:"341800",display:"宣城市",group:"x",py:["xuancheng","xc"]},{id:115,type:"city",property:"350000",code:"350100",display:"福州市",group:"f",py:["fuzhou","fz"]},{id:116,type:"city",property:"350000",code:"350200",display:"厦门市",group:"s",py:["shamen","sm"]},{id:117,type:"city",property:"350000",code:"350300",display:"莆田市",group:"p",py:["putian","pt"]},{id:118,type:"city",property:"350000",code:"350400",display:"三明市",group:"s",py:["sanming","sm"]},{id:119,type:"city",property:"350000",code:"350500",display:"泉州市",group:"q",py:["quanzhou","qz"]},{id:120,type:"city",property:"350000",code:"350600",display:"漳州市",group:"z",py:["zhangzhou","zz"]},{id:121,type:"city",property:"350000",code:"350700",display:"南平市",group:"n",py:["nanping","np"]},{id:122,type:"city",property:"350000",code:"350800",display:"龙岩市",group:"l",py:["longyan","ly"]},{id:123,type:"city",property:"350000",code:"350900",display:"宁德市",group:"n",py:["ningde","nd"]},{id:124,type:"city",property:"360000",code:"360100",display:"南昌市",group:"n",py:["nanchang","nc"]},{id:125,type:"city",property:"360000",code:"360200",display:"景德镇市",group:"j",py:["jingdezhen","jdz"]},{id:126,type:"city",property:"360000",code:"360300",display:"萍乡市",group:"p",py:["pingxiang","px"]},{id:127,type:"city",property:"360000",code:"360400",display:"九江市",group:"j",py:["jiujiang","jj"]},{id:128,type:"city",property:"360000",code:"360500",display:"新余市",group:"x",py:["xinyu","xy"]},{id:129,type:"city",property:"360000",code:"360600",display:"鹰潭市",group:"y",py:["yingtan","yt"]},{id:130,type:"city",property:"360000",code:"360700",display:"赣州市",group:"g",py:["ganzhou","gz"]},{id:131,type:"city",property:"360000",code:"360800",display:"吉安市",group:"j",py:["jian","ja"]},{id:132,type:"city",property:"360000",code:"360900",display:"宜春市",group:"y",py:["yichun","yc"]},{id:133,type:"city",property:"360000",code:"361000",display:"抚州市",group:"f",py:["fuzhou","fz"]},{id:134,type:"city",property:"360000",code:"361100",display:"上饶市",group:"s",py:["shangrao","sr"]},{id:135,type:"city",property:"370000",code:"370100",display:"济南市",group:"j",py:["jinan","jn"]},{id:136,type:"city",property:"370000",code:"370200",display:"青岛市",group:"q",py:["qingdao","qd"]},{id:137,type:"city",property:"370000",code:"370300",display:"淄博市",group:"z",py:["zibo","zb"]},{id:138,type:"city",property:"370000",code:"370400",display:"枣庄市",group:"z",py:["zaozhuang","zz"]},{id:139,type:"city",property:"370000",code:"370500",display:"东营市",group:"d",py:["dongying","dy"]},{id:140,type:"city",property:"370000",code:"370600",display:"烟台市",group:"y",py:["yantai","yt"]},{id:141,type:"city",property:"370000",code:"370700",display:"潍坊市",group:"w",py:["weifang","wf"]},{id:142,type:"city",property:"370000",code:"370800",display:"济宁市",group:"j",py:["jining","jn"]},{id:143,type:"city",property:"370000",code:"370900",display:"泰安市",group:"t",py:["taian","ta"]},{id:144,type:"city",property:"370000",code:"371000",display:"威海市",group:"w",py:["weihai","wh"]},{id:145,type:"city",property:"370000",code:"371100",display:"日照市",group:"r",py:["rizhao","rz"]},{id:146,type:"city",property:"370000",code:"371200",display:"莱芜市",group:"l",py:["laiwu","lw"]},{id:147,type:"city",property:"370000",code:"371300",display:"临沂市",group:"l",py:["linyi","ly"]},{id:148,type:"city",property:"370000",code:"371400",display:"德州市",group:"d",py:["dezhou","dz"]},{id:149,type:"city",property:"370000",code:"371500",display:"聊城市",group:"l",py:["liaocheng","lc"]},{id:150,type:"city",property:"370000",code:"371600",display:"滨州市",group:"b",py:["binzhou","bz"]},{id:151,type:"city",property:"370000",code:"371700",display:"菏泽市",group:"h",py:["heze","hz"]},{id:152,type:"city",property:"410000",code:"410100",display:"郑州市",group:"z",py:["zhengzhou","zz"]},{id:153,type:"city",property:"410000",code:"410200",display:"开封市",group:"k",py:["kaifeng","kf"]},{id:154,type:"city",property:"410000",code:"410300",display:"洛阳市",group:"l",py:["luoyang","ly"]},{id:155,type:"city",property:"410000",code:"410400",display:"平顶山市",group:"p",py:["pingdingshan","pds"]},{id:156,type:"city",property:"410000",code:"410500",display:"安阳市",group:"a",py:["anyang","ay"]},{id:157,type:"city",property:"410000",code:"410600",display:"鹤壁市",group:"h",py:["hebi","hb"]},{id:158,type:"city",property:"410000",code:"410700",display:"新乡市",group:"x",py:["xinxiang","xx"]},{id:159,type:"city",property:"410000",code:"410800",display:"焦作市",group:"j",py:["jiaozuo","jz"]},{id:160,type:"city",property:"410000",code:"410900",display:"濮阳市",group:"p",py:["puyang","py"]},{id:161,type:"city",property:"410000",code:"411000",display:"许昌市",group:"x",py:["xuchang","xc"]},{id:162,type:"city",property:"410000",code:"411100",display:"漯河市",group:"l",py:["luohe","lh"]},{id:163,type:"city",property:"410000",code:"411200",display:"三门峡市",group:"s",py:["sanmenxia","smx"]},{id:164,type:"city",property:"410000",code:"411300",display:"南阳市",group:"n",py:["nanyang","ny"]},{id:165,type:"city",property:"410000",code:"411400",display:"商丘市",group:"s",py:["shangqiu","sq"]},{id:166,type:"city",property:"410000",code:"411500",display:"信阳市",group:"x",py:["xinyang","xy"]},{id:167,type:"city",property:"410000",code:"411600",display:"周口市",group:"z",py:["zhoukou","zk"]},{id:168,type:"city",property:"410000",code:"411700",display:"驻马店市",group:"z",py:["zhumadian","zmd"]},{id:169,type:"city",property:"420000",code:"420100",display:"武汉市",group:"w",py:["wuhan","wh"]},{id:170,type:"city",property:"420000",code:"420200",display:"黄石市",group:"h",py:["huangshi","hs"]},{id:171,type:"city",property:"420000",code:"420300",display:"十堰市",group:"s",py:["shiyan","sy"]},{id:172,type:"city",property:"420000",code:"420500",display:"宜昌市",group:"y",py:["yichang","yc"]},{id:173,type:"city",property:"420000",code:"420600",display:"襄阳市",group:"x",py:["xiangyang","xy"]},{id:174,type:"city",property:"420000",code:"420700",display:"鄂州市",group:"e",py:["ezhou","ez"]},{id:175,type:"city",property:"420000",code:"420800",display:"荆门市",group:"j",py:["jingmen","jm"]},{id:176,type:"city",property:"420000",code:"420900",display:"孝感市",group:"x",py:["xiaogan","xg"]},{id:177,type:"city",property:"420000",code:"421000",display:"荆州市",group:"j",py:["jingzhou","jz"]},{id:178,type:"city",property:"420000",code:"421100",display:"黄冈市",group:"h",py:["huanggang","hg"]},{id:179,type:"city",property:"420000",code:"421200",display:"咸宁市",group:"x",py:["xianning","xn"]},{id:180,type:"city",property:"420000",code:"421300",display:"随州市",group:"s",py:["suizhou","sz"]},{id:181,type:"city",property:"420000",code:"422800",display:"恩施自治州",group:"e",py:["enshizizhizhou","eszzz"]},{id:182,type:"city",property:"430000",code:"430100",display:"长沙市",group:"c",py:["changsha","cs"]},{id:183,type:"city",property:"430000",code:"430200",display:"株洲市",group:"z",py:["zhuzhou","zz"]},{id:184,type:"city",property:"430000",code:"430300",display:"湘潭市",group:"x",py:["xiangtan","xt"]},{id:185,type:"city",property:"430000",code:"430400",display:"衡阳市",group:"h",py:["hengyang","hy"]},{id:186,type:"city",property:"430000",code:"430500",display:"邵阳市",group:"s",py:["shaoyang","sy"]},{id:187,type:"city",property:"430000",code:"430600",display:"岳阳市",group:"y",py:["yueyang","yy"]},{id:188,type:"city",property:"430000",code:"430700",display:"常德市",group:"c",py:["changde","cd"]},{id:189,type:"city",property:"430000",code:"430800",display:"张家界市",group:"z",py:["zhangjiajie","zjj"]},{id:190,type:"city",property:"430000",code:"430900",display:"益阳市",group:"y",py:["yiyang","yy"]},{id:191,type:"city",property:"430000",code:"431000",display:"郴州市",group:"c",py:["chenzhou","cz"]},{id:192,type:"city",property:"430000",code:"431100",display:"永州市",group:"y",py:["yongzhou","yz"]},{id:193,type:"city",property:"430000",code:"431200",display:"怀化市",group:"h",py:["huaihua","hh"]},{id:194,type:"city",property:"430000",code:"431300",display:"娄底市",group:"l",py:["loudi","ld"]},{id:195,type:"city",property:"430000",code:"433100",display:"湘西自治州",group:"x",py:["xiangxizizhizhou","xxzzz"]},{id:196,type:"city",property:"440000",code:"440100",display:"广州市",group:"g",py:["guangzhou","gz"]},{id:197,type:"city",property:"440000",code:"440200",display:"韶关市",group:"s",py:["shaoguan","sg"]},{id:198,type:"city",property:"440000",code:"440300",display:"深圳市",group:"s",py:["shenzhen","sz"]},{id:199,type:"city",property:"440000",code:"440400",display:"珠海市",group:"z",py:["zhuhai","zh"]},{id:200,type:"city",property:"440000",code:"440500",display:"汕头市",group:"s",py:["shantou","st"]},{id:201,type:"city",property:"440000",code:"440600",display:"佛山市",group:"f",py:["foshan","fs"]},{id:202,type:"city",property:"440000",code:"440700",display:"江门市",group:"j",py:["jiangmen","jm"]},{id:203,type:"city",property:"440000",code:"440800",display:"湛江市",group:"z",py:["zhanjiang","zj"]},{id:204,type:"city",property:"440000",code:"440900",display:"茂名市",group:"m",py:["maoming","mm"]},{id:205,type:"city",property:"440000",code:"441200",display:"肇庆市",group:"z",py:["zhaoqing","zq"]},{id:206,type:"city",property:"440000",code:"441300",display:"惠州市",group:"h",py:["huizhou","hz"]},{id:207,type:"city",property:"440000",code:"441400",display:"梅州市",group:"m",py:["meizhou","mz"]},{id:208,type:"city",property:"440000",code:"441500",display:"汕尾市",group:"s",py:["shanwei","sw"]},{id:209,type:"city",property:"440000",code:"441600",display:"河源市",group:"h",py:["heyuan","hy"]},{id:210,type:"city",property:"440000",code:"441700",display:"阳江市",group:"y",py:["yangjiang","yj"]},{id:211,type:"city",property:"440000",code:"441800",display:"清远市",group:"q",py:["qingyuan","qy"]},{id:212,type:"city",property:"440000",code:"441900",display:"东莞市",group:"d",py:["dongguan","dg"]},{id:213,type:"city",property:"440000",code:"442000",display:"中山市",group:"z",py:["zhongshan","zs"]},{id:214,type:"city",property:"440000",code:"445100",display:"潮州市",group:"c",py:["chaozhou","cz"]},{id:215,type:"city",property:"440000",code:"445200",display:"揭阳市",group:"j",py:["jieyang","jy"]},{id:216,type:"city",property:"440000",code:"445300",display:"云浮市",group:"y",py:["yunfu","yf"]},{id:217,type:"city",property:"450000",code:"450100",display:"南宁市",group:"n",py:["nanning","nn"]},{id:218,type:"city",property:"450000",code:"450200",display:"柳州市",group:"l",py:["liuzhou","lz"]},{id:219,type:"city",property:"450000",code:"450300",display:"桂林市",group:"g",py:["guilin","gl"]},{id:220,type:"city",property:"450000",code:"450400",display:"梧州市",group:"w",py:["wuzhou","wz"]},{id:221,type:"city",property:"450000",code:"450500",display:"北海市",group:"b",py:["beihai","bh"]},{id:222,type:"city",property:"450000",code:"450600",display:"防城港市",group:"f",py:["fangchenggang","fcg"]},{id:223,type:"city",property:"450000",code:"450700",display:"钦州市",group:"q",py:["qinzhou","qz"]},{id:224,type:"city",property:"450000",code:"450800",display:"贵港市",group:"g",py:["guigang","gg"]},{id:225,type:"city",property:"450000",code:"450900",display:"玉林市",group:"y",py:["yulin","yl"]},{id:226,type:"city",property:"450000",code:"451000",display:"百色市",group:"b",py:["baise","bs"]},{id:227,type:"city",property:"450000",code:"451100",display:"贺州市",group:"h",py:["hezhou","hz"]},{id:228,type:"city",property:"450000",code:"451200",display:"河池市",group:"h",py:["hechi","hc"]},{id:229,type:"city",property:"450000",code:"451300",display:"来宾市",group:"l",py:["laibin","lb"]},{id:230,type:"city",property:"450000",code:"451400",display:"崇左市",group:"c",py:["chongzuo","cz"]},{id:231,type:"city",property:"460000",code:"460100",display:"海口市",group:"h",py:["haikou","hk"]},{id:232,type:"city",property:"460000",code:"460200",display:"三亚市",group:"s",py:["sanya","sy"]},{id:233,type:"city",property:"500000",code:"500000",display:"重庆市",group:"z",py:["zhongqing","zq"]},{id:234,type:"city",property:"510000",code:"510100",display:"成都市",group:"c",py:["chengdu","cd"]},{id:235,type:"city",property:"510000",code:"510300",display:"自贡市",group:"z",py:["zigong","zg"]},{id:236,type:"city",property:"510000",code:"510400",display:"攀枝花市",group:"p",py:["panzhihua","pzh"]},{id:237,type:"city",property:"510000",code:"510500",display:"泸州市",group:"l",py:["luzhou","lz"]},{id:238,type:"city",property:"510000",code:"510600",display:"德阳市",group:"d",py:["deyang","dy"]},{id:239,type:"city",property:"510000",code:"510700",display:"绵阳市",group:"m",py:["mianyang","my"]},{id:240,type:"city",property:"510000",code:"510800",display:"广元市",group:"g",py:["guangyuan","gy"]},{id:241,type:"city",property:"510000",code:"510900",display:"遂宁市",group:"s",py:["suining","sn"]},{id:242,type:"city",property:"510000",code:"511000",display:"内江市",group:"n",py:["neijiang","nj"]},{id:243,type:"city",property:"510000",code:"511100",display:"乐山市",group:"l",py:["leshan","ls"]},{id:244,type:"city",property:"510000",code:"511300",display:"南充市",group:"n",py:["nanchong","nc"]},{id:245,type:"city",property:"510000",code:"511400",display:"眉山市",group:"m",py:["meishan","ms"]},{id:246,type:"city",property:"510000",code:"511500",display:"宜宾市",group:"y",py:["yibin","yb"]},{id:247,type:"city",property:"510000",code:"511600",display:"广安市",group:"g",py:["guangan","ga"]},{id:248,type:"city",property:"510000",code:"511700",display:"达州市",group:"d",py:["dazhou","dz"]},{id:249,type:"city",property:"510000",code:"511800",display:"雅安市",group:"y",py:["yaan","ya"]},{id:250,type:"city",property:"510000",code:"511900",display:"巴中市",group:"b",py:["bazhong","bz"]},{id:251,type:"city",property:"510000",code:"512000",display:"资阳市",group:"z",py:["ziyang","zy"]},{id:252,type:"city",property:"510000",code:"513200",display:"阿坝自治州",group:"a",py:["abazizhizhou","abzzz"]},{id:253,type:"city",property:"510000",code:"513300",display:"甘孜自治州",group:"g",py:["ganzizizhizhou","gzzzz"]},{id:254,type:"city",property:"510000",code:"513400",display:"凉山自治州",group:"l",py:["liangshanzizhizhou","lszzz"]},{id:255,type:"city",property:"520000",code:"520100",display:"贵阳市",group:"g",py:["guiyang","gy"]},{id:256,type:"city",property:"520000",code:"520200",display:"六盘水市",group:"l",py:["liupanshui","lps"]},{id:257,type:"city",property:"520000",code:"520300",display:"遵义市",group:"z",py:["zunyi","zy"]},{id:258,type:"city",property:"520000",code:"520400",display:"安顺市",group:"a",py:["anshun","as"]},{id:259,type:"city",property:"520000",code:"522200",display:"铜仁地区",group:"t",py:["tongrendiqu","trdq"]},{id:260,type:"city",property:"520000",code:"522300",display:"黔西南自治州",group:"q",py:["qianxinanzizhizhou","qxnzzz"]},{id:261,type:"city",property:"520000",code:"522400",display:"毕节地区",group:"b",py:["bijiediqu","bjdq"]},{id:262,type:"city",property:"520000",code:"522600",display:"黔东南自治州",group:"q",py:["qiandongnanzizhizhou","qdnzzz"]},{id:263,type:"city",property:"520000",code:"522700",display:"黔南自治州",group:"q",py:["qiannanzizhizhou","qnzzz"]},{id:264,type:"city",property:"530000",code:"530100",display:"昆明市",group:"k",py:["kunming","km"]},{id:265,type:"city",property:"530000",code:"530300",display:"曲靖市",group:"q",py:["qujing","qj"]},{id:266,type:"city",property:"530000",code:"530400",display:"玉溪市",group:"y",py:["yuxi","yx"]},{id:267,type:"city",property:"530000",code:"530500",display:"保山市",group:"b",py:["baoshan","bs"]},{id:268,type:"city",property:"530000",code:"530600",display:"昭通市",group:"z",py:["zhaotong","zt"]},{id:269,type:"city",property:"530000",code:"530700",display:"丽江市",group:"l",py:["lijiang","lj"]},{id:270,type:"city",property:"530000",code:"530900",display:"临沧市",group:"l",py:["lincang","lc"]},{id:271,type:"city",property:"530000",code:"532300",display:"楚雄自治州",group:"c",py:["chuxiongzizhizhou","cxzzz"]},{id:272,type:"city",property:"530000",code:"532500",display:"红河自治州",group:"h",py:["honghezizhizhou","hhzzz"]},{id:273,type:"city",property:"530000",code:"532600",display:"文山自治州",group:"w",py:["wenshanzizhizhou","wszzz"]},{id:274,type:"city",property:"530000",code:"532700",display:"思茅市",group:"s",py:["simao","sm"]},{id:275,type:"city",property:"530000",code:"532800",display:"西双版纳自治州",group:"x",py:["xishuangbannazizhizhou","xsbnzzz"]},{id:276,type:"city",property:"530000",code:"532900",display:"大理自治州",group:"d",py:["dalizizhizhou","dlzzz"]},{id:277,type:"city",property:"530000",code:"533100",display:"德宏自治州",group:"d",py:["dehongzizhizhou","dhzzz"]},{id:278,type:"city",property:"530000",code:"533300",display:"怒江自治州",group:"n",py:["nujiangzizhizhou","njzzz"]},{id:279,type:"city",property:"530000",code:"533400",display:"迪庆自治州",group:"d",py:["diqingzizhizhou","dqzzz"]},{id:280,type:"city",property:"540000",code:"540100",display:"拉萨市",group:"l",py:["lasa","ls"]},{id:281,type:"city",property:"540000",code:"542100",display:"昌都地区",group:"c",py:["changdudiqu","cddq"]},{id:282,type:"city",property:"540000",code:"542200",display:"山南地区",group:"s",py:["shannandiqu","sndq"]},{id:283,type:"city",property:"540000",code:"542300",display:"日喀则地区",group:"r",py:["rikazediqu","rkzdq"]},{id:284,type:"city",property:"540000",code:"542400",display:"那曲地区",group:"n",py:["naqudiqu","nqdq"]},{id:285,type:"city",property:"540000",code:"542500",display:"阿里地区",group:"a",py:["alidiqu","aldq"]},{id:286,type:"city",property:"540000",code:"542600",display:"林芝地区",group:"l",py:["linzhidiqu","lzdq"]},{id:287,type:"city",property:"610000",code:"610100",display:"西安市",group:"x",py:["xian","xa"]},{id:288,type:"city",property:"610000",code:"610200",display:"铜川市",group:"t",py:["tongchuan","tc"]},{id:289,type:"city",property:"610000",code:"610300",display:"宝鸡市",group:"b",py:["baoji","bj"]},{id:290,type:"city",property:"610000",code:"610400",display:"咸阳市",group:"x",py:["xianyang","xy"]},{id:291,type:"city",property:"610000",code:"610500",display:"渭南市",group:"w",py:["weinan","wn"]},{id:292,type:"city",property:"610000",code:"610600",display:"延安市",group:"y",py:["yanan","ya"]},{id:293,type:"city",property:"610000",code:"610700",display:"汉中市",group:"h",py:["hanzhong","hz"]},{id:294,type:"city",property:"610000",code:"610800",display:"榆林市",group:"y",py:["yulin","yl"]},{id:295,type:"city",property:"610000",code:"610900",display:"安康市",group:"a",py:["ankang","ak"]},{id:296,type:"city",property:"610000",code:"611000",display:"商洛市",group:"s",py:["shangluo","sl"]},{id:297,type:"city",property:"620000",code:"620100",display:"兰州市",group:"l",py:["lanzhou","lz"]},{id:298,type:"city",property:"620000",code:"620200",display:"嘉峪关市",group:"j",py:["jiayuguan","jyg"]},{id:299,type:"city",property:"620000",code:"620300",display:"金昌市",group:"j",py:["jinchang","jc"]},{id:300,type:"city",property:"620000",code:"620400",display:"白银市",group:"b",py:["baiyin","by"]},{id:301,type:"city",property:"620000",code:"620500",display:"天水市",group:"t",py:["tianshui","ts"]},{id:302,type:"city",property:"620000",code:"620600",display:"武威市",group:"w",py:["wuwei","ww"]},{id:303,type:"city",property:"620000",code:"620700",display:"张掖市",group:"z",py:["zhangye","zy"]},{id:304,type:"city",property:"620000",code:"620800",display:"平凉市",group:"p",py:["pingliang","pl"]},{id:305,type:"city",property:"620000",code:"620900",display:"酒泉市",group:"j",py:["jiuquan","jq"]},{id:306,type:"city",property:"620000",code:"621000",display:"庆阳市",group:"q",py:["qingyang","qy"]},{id:307,type:"city",property:"620000",code:"621100",display:"定西市",group:"d",py:["dingxi","dx"]},{id:308,type:"city",property:"620000",code:"622600",display:"陇南地区",group:"l",py:["longnandiqu","lndq"]},{id:309,type:"city",property:"620000",code:"622900",display:"临夏自治州",group:"l",py:["linxiazizhizhou","lxzzz"]},{id:310,type:"city",property:"620000",code:"623000",display:"甘南自治州",group:"g",py:["gannanzizhizhou","gnzzz"]},{id:311,type:"city",property:"630000",code:"630100",display:"西宁市",group:"x",py:["xining","xn"]},{id:312,type:"city",property:"630000",code:"632100",display:"海东地区",group:"h",py:["haidongdiqu","hddq"]},{id:313,type:"city",property:"630000",code:"632200",display:"海北自治州",group:"h",py:["haibeizizhizhou","hbzzz"]},{id:314,type:"city",property:"630000",code:"632300",display:"黄南自治州",group:"h",py:["huangnanzizhizhou","hnzzz"]},{id:315,type:"city",property:"630000",code:"632500",display:"海南自治州",group:"h",py:["hainanzizhizhou","hnzzz"]},{id:316,type:"city",property:"630000",code:"632600",display:"果洛自治州",group:"g",py:["guoluozizhizhou","glzzz"]},{id:317,type:"city",property:"630000",code:"632700",display:"玉树自治州",group:"y",py:["yushuzizhizhou","yszzz"]},{id:318,type:"city",property:"630000",code:"632800",display:"海西自治州",group:"h",py:["haixizizhizhou","hxzzz"]},{id:319,type:"city",property:"640000",code:"640100",display:"银川市",group:"y",py:["yinchuan","yc"]},{id:320,type:"city",property:"640000",code:"640200",display:"石嘴山市",group:"s",py:["shizuishan","szs"]},{id:321,type:"city",property:"640000",code:"640300",display:"吴忠市",group:"w",py:["wuzhong","wz"]},{id:322,type:"city",property:"640000",code:"640400",display:"固原市",group:"g",py:["guyuan","gy"]},{id:323,type:"city",property:"640000",code:"640500",display:"中卫市",group:"z",py:["zhongwei","zw"]},{id:324,type:"city",property:"650000",code:"650100",display:"乌鲁木齐市",group:"w",py:["wulumuqi","wlmq"]},{id:325,type:"city",property:"650000",code:"650200",display:"克拉玛依市",group:"k",py:["kelamayi","klmy"]},{id:326,type:"city",property:"650000",code:"652100",display:"吐鲁番地区",group:"t",py:["tulufandiqu","tlfdq"]},{id:327,type:"city",property:"650000",code:"652200",display:"哈密地区",group:"h",py:["hamidiqu","hmdq"]},{id:328,type:"city",property:"650000",code:"652300",display:"昌吉回族自治州",group:"c",py:["changjihuizuzizhizhou","cjhzzzz"]},{id:329,type:"city",property:"650000",code:"652700",display:"博尔塔拉蒙古自治州",group:"b",py:["boertalamengguzizhizhou","betlmgzzz"]},{id:330,type:"city",property:"650000",code:"652800",display:"巴音郭楞蒙古自治州",group:"b",py:["bayinguolengmengguzizhizhou","byglmgzzz"]},{id:331,type:"city",property:"650000",code:"652900",display:"阿克苏地区",group:"a",py:["akesudiqu","aksdq"]},{id:332,type:"city",property:"650000",code:"653000",display:"克孜勒苏柯尔克孜自治州",group:"k",py:["kezilesukeerkezizizhizhou","kzlskekzzzz"]},{id:333,type:"city",property:"650000",code:"653100",display:"喀什地区",group:"k",py:["kashidiqu","ksdq"]},{id:334,type:"city",property:"650000",code:"653200",display:"和田地区",group:"h",py:["hetiandiqu","htdq"]},{id:335,type:"city",property:"650000",code:"654000",display:"伊犁哈萨克自治州",group:"y",py:["yilihasakezizhizhou","ylhskzzz"]},{id:336,type:"city",property:"650000",code:"654200",display:"塔城地区",group:"t",py:["tachengdiqu","tcdq"]},{id:337,type:"city",property:"650000",code:"654300",display:"阿勒泰地区",group:"a",py:["aletaidiqu","altdq"]}],u={A:"",B:"",C:"",D:"",E:"",F:"",G:"",H:"",I:"",J:"",K:"",L:"",M:"",N:"",O:"",P:"",Q:"",R:"",S:"",T:"",U:"",V:"",W:"",X:"",Y:"",Z:""};a.prototype={getCites:function(){return o},getPinyinHash:function(){return u},getCitesByProperty:function(e){return i(o,e)},getCitesDic:function(e){return r(o,e)},getFilterCites:function(e,t){return i(o,function(n){return s(n[e[0]][0],t)===!0||s(n[e[0]][1],t)===!0||s(n[e[1]],t)===!0})},getFilterCollection:function(e,t,n){return i(n,function(n){for(var r in e)if(s(n[r],t)===!0)return!0;return!1})}},t.exports=a},{"lodash/collection/filter":39,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],140:[function(e,t,n){"use strict";function a(){}var r=e("../../../../gum.ui/ajax/insuranceBaseModel"),i=e("lodash/object/assign"),s={commonCity:"",commonCityName:"",commonProvince:"",commonProvinceName:"",email:"",idCsspOrder:"",inputOrgIdentify:"",insurerBirthday:"",insurerIdCard:"",insurerIdType:"1",insurerName:"",insurerSex:"",mobile:"",returnFlag:"",returnMsg:"",userId:"",status:"0"},o={},u;a.prototype=new r,a.prototype.saveHolder=function(e,t,n){s=e||s,e.insurerName&&(e.insurerName=e.insurerName.replace(/•/g,"·"),e.insurerName=e.insurerName.replace(/●/g,"·")),this.request({url:"holderAdd",data:e},function(e){console.log("成功执行子类中的成功函数"),t&&t.call(e)},function(e){console.log("成功执行子类中的失败函数")})},a.prototype.getHolder=function(){return s},a.prototype.saveHolderTemp=function(e){return i(o,e)},a.prototype.getHolderTemp=function(){return o},a.prototype.getUserData=function(){return u},a.prototype.clearUserData=function(){u=null},a.prototype.getUser=function(e,t){u||this.request({url:"getUser",data:e||{}},function(e){console.log("成功执行getUser子类中的成功函数"),u=e||{commonCity:"",commonCityName:"",commonProvince:"",commonProvinceName:"",email:"",idCsspOrder:"",inputOrgIdentify:"",insurerBirthday:"",insurerIdCard:"",insurerIdType:"1",insurerName:"",insurerSex:"",mobile:"",returnFlag:"",returnMsg:"",userId:""},i(s,u)},function(e){console.log("getUser子类中的失败函数")})},t.exports=a},{"../../../../gum.ui/ajax/insuranceBaseModel":6,"lodash/object/assign":109}],141:[function(e,t,n){"use strict";function o(){}var r=e("../../../../gum.ui/ajax/insuranceBaseModel"),i=[],s={index:""};o.prototype=new r,o.prototype.insruedTempDataOfIndex=s,o.prototype.getLength=function(){return i.length},o.prototype.initinsuredsForm=function(e){var t=this.getLength();if(e>t)for(var n=t;n<e;n++)i[n]={insurerIdCard:"",insurerIdType:"",insurerName:"",insurerSex:"",insurerBirthday:"",insurantRelationCode:"1",coverageAmount:"",insurerWeight:"",insurerHeight:"",mbi:"",applicantRelation:"",insType:"1"};e<t&&i.splice(e,t-e)},o.prototype.saveInsure=function(e,t){i[t]=e},o.prototype.deleteInsure=function(e){i.splice(e,1)},o.prototype.getInsure=function(e){return i[e]},o.prototype.getInsurants=function(){return i},o.prototype.saveInsurants=function(e,t,n){e.insurantManagerForms&&(e.insurantManagerForms=e.insurantManagerForms.replace(/•/g,"·"),e.insurantManagerForms=e.insurantManagerForms.replace(/●/g,"·")),this.request({url:"insurantAdd",data:e},function(e){console.log("成功执行子类中的成功函数"),t&&t.call(e)},function(e){console.log("成功执行子类中的失败函数")})},o.prototype.getInsruedTempDataOfIndex=function(){return s},o.prototype.clearInsurants=function(){i=[]},t.exports=o},{"../../../../gum.ui/ajax/insuranceBaseModel":6}],142:[function(e,t,n){"use strict";function u(){}var r=e("../../../../gum.ui/ajax/insuranceBaseModel"),i={banks:[{code:"102",name:"中国工商银行"},{code:"103",name:"中国农业银行"},{code:"105",name:"中国建设银行"},{code:"302",name:"中信银行"},{code:"303",name:"中国光大银行"},{code:"305",name:"中国民生银行"},{code:"306",name:"广发银行"},{code:"308",name:"招商银行"},{code:"104",name:"中国银行"},{code:"999",name:"邮政储蓄"},{code:"307",name:"平安银行"}]},s={bankCode:"",cityName:"",provinceName:"",subBanks:[{bankName:"",bankNo:""}]},o={name:"",provinceName:"",provinceCode:"",cityName:"",cityCode:"",bankNo:"",bankName:"",branchNo:"",idCsspOrder:"",branchBankName:"",account:""};u.prototype=new r,u.prototype.getBankList=function(){return i},u.prototype.getBranchBank=function(){return s},u.prototype.getRenewalData=function(){return o},u.prototype.querySubBankList=function(e,t,n){var r=this;this.request({url:"querySubBankList",data:e},function(e){console.log("成功执行querySubBankList子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行querySubBankList子类中的失败函数"),n.call(r,e)})},u.prototype.saveRenewalInsurance=function(e,t,n){var r=this;this.request({url:"saveRenewalInsurance",data:e},function(e){console.log("成功执行getUser子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行saveInvoiceInfo子类中的失败函数"),n.call(r,e)})},t.exports=u},{"../../../../gum.ui/ajax/insuranceBaseModel":6}],143:[function(e,t,n){"use strict";function d(){}var r=e("../../../../gum.ui/ajax/insuranceBaseModel"),i=e("../../../../gum.ui/validate/common.tool"),s=e("q"),o=e("../../../../gum.ui/wechatSDK/wechat.helper"),u=e("lodash/object/assign"),a=new i,f=new o,l={idCsspProduct:"PI000048",productName:"家庭长期重疾保险",productDesc:"平安养老保险股份有限公司倾情奉献,关爱家人,终身守护您与家人的健康.",productImg:"assets/images/commonFast/PI000048.png",idCsspOrder:"",premType:"",premTypeName:"",payReriodType:"",premTerm:"",effDate:"",matuDate:"",payPremium:"",period:"12M",insurer:{},insurants:[],dataSource:typeof PAWA=="object"?"02":"04",invoice:{email:"",flag:"",idCsspOrder:"",idCsspProduct:"",invoiceHeading:"",invoiceRecevieAddr:"",invoiceRecevieMobile:"",invoiceRecevieName:"",invoiceRecevieZipcode:"",invoiceRecevieProvince:"",invoiceRecevieCity:"",commonCityName:"",commonProvinceName:"",commonCity:"",commonProvince:"",invoiceRule:"",returnFlag:"",returnMsg:""},isNeedInvoice:"N",totalCoverageAmount:"",isNeedPagePolicyInfo:"N",paperPolicyInfo:{policySendAddr:"",policySendZipCode:"",policySendProvince:"",policySendCity:"",commonCity:"",commonProvince:""}},c,h=l,p;d.prototype=new r,d.prototype.getDataModel=function(){return l},d.prototype.getTmpDataModel=function(){return h},d.prototype.saveTmpDataModel=function(e){u(h,l)},d.prototype.underWriting=function(e,t){var n=this,r={idCsspOrder:l.idCsspOrder,isGum:"1",orderTime:a.dateformat(new Date,"yyyyMMddhhmmss"),productName:l.productName,idCsspProduct:l.idCsspProduct,orderId:l.idCsspOrder};this.request({url:"underWriting",data:r},function(t){console.log("成功执行子类中的成功函数"),c=t,c.productName=l.productName,localStorage.setItem("selectPayType_data",JSON.stringify(c)),localStorage.setItem("orderId",c.idCsspOrder),localStorage.setItem("source","04"),typeof PAWA!="undefined"&&localStorage.setItem("source","02"),localStorage.setItem("polNo",JSON.parse(c.policyNo)[0]),localStorage.setItem("idCsspProduct","PI000048"),e&&e.call(n,t)},function(e){console.log("成功执行子类中的失败函数"),t.call(n,e)})},d.prototype.quote=function(e,t,n){c={};var r=this;this.request({url:"quotePI000048",data:e},function(e){console.log("成功执行子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行子类中的失败函数"),n.call(r,e)})},d.prototype.createOrder=function(e,t,n){c={},this.getDataModel().curShareNotes&&this.getDataModel().curShareNotes.csspOrgId&&(e.orgId=this.getDataModel().curShareNotes.csspOrgId);var r=this;this.request({url:"createOrderPI000048",data:e},function(e){console.log("成功执行子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行子类中的失败函数"),n.call(r,e)})},d.prototype.getUnderWritingData=function(){return c==null&&(c=JSON.parse(localStorage.getItem("selectPayType_data"))),c},d.prototype.setUnderWritingData=function(e){c=e},d.prototype.saveInvoiceInfo=function(e,t,n){var r=this;this.request({url:"saveInvoiceInfo",data:e},function(e){console.log("成功执行saveInvoiceInfo子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行saveInvoiceInfo子类中的失败函数"),n.call(r,e)})},d.prototype.getContacts=function(e,t,n){var r=this;this.request({url:"getContacts",data:e},function(e){console.log("成功执行getContacts子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行getContacts子类中的失败函数"),n.call(r,e)})},d.prototype.saveHealthNotice=function(e,t,n){var r=this;this.request({url:"saveHealthNotice",data:e},function(e){console.log("成功执行getUser子类中的成功函数"),t&&t.call(r,e)},function(e){console.log("成功执行saveInvoiceInfo子类中的失败函数"),n.call(r,e)})},d.prototype.getShareData=function(e,t){var n=this;this.request({url:"getSharePattern",data:{idCsspProduct:l.idCsspProduct}},function(t){e&&e.call(n,JSON.parse(t.idCsspProduct))},function(e){t.call(n,e)})},d.prototype.saveShareNote=function(e,t,n){var r=this;this.request({url:"saveShareNote",data:e},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},d.prototype.checkAgentNo=function(e,t,n){var r=this;this.request({url:"checkGCodeAction",data:{agentNo:e}},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},d.prototype.queryShareData=function(e,t,n){var r=this;this.request({url:"queryShareNote",data:{id:e}},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},d.prototype.shareToWeixin=function(){s(f.getToken()).then(function(e){f.setConfig(e,["onMenuShareTimeline","onMenuShareAppMessage","onMenuShareQQ","onMenuShareWeibo","startRecord","stopRecord","onVoiceRecordEnd","playVoice","pauseVoice","stopVoice","onVoicePlayEnd","uploadVoice","downloadVoice","chooseImage","previewImage","uploadImage","downloadImage","translateVoice","getNetworkType","openLocation","getLocation","hideOptionMenu","showOptionMenu","hideMenuItems","showMenuItems","hideAllNonBaseMenuItem","showAllNonBaseMenuItem","closeWindow","scanQRCode","openProductSpecificView","addCard","chooseCard","openCard"]),wx.ready(function(){var e,t=window.location.search.slice(1).split("&");for(var n=0;n<t.length;n++){var r=t[n],i=r.split("=");if(i.length==2&&i[0]=="shareId"){e=i[1];break}}var s=window.location.href,o=s.substr(0,s.lastIndexOf("index.html")),u=o+"index.html"+"?shareId="+e+"#familyrisk/product",a=l.productName,c=l.productDesc,h=location.protocol+"//"+location.host+"/m/insurance_release/assets/images/commonFast/PI000048.png";f.share(a,c,u,h)})})},t.exports=d},{"../../../../gum.ui/ajax/insuranceBaseModel":6,"../../../../gum.ui/validate/common.tool":26,"../../../../gum.ui/wechatSDK/wechat.helper":29,"lodash/object/assign":109,q:118}],144:[function(e,t,n){function f(){}var r=e("lodash/collection/groupBy"),i=e("lodash/collection/filter"),s=e("lodash/collection/includes"),o=[{id:1,type:"area",code:"110000",display:"北京市",group:"b",py:["beijing","bj"]},{id:2,type:"area",code:"120000",display:"天津市",group:"t",py:["tianjin","tj"]},{id:3,type:"area",code:"130000",display:"河北省",group:"h",py:["hebei","hb"]},{id:4,type:"area",code:"140000",display:"山西省",group:"s",py:["shanxi","sx"]},{id:5,type:"area",code:"150000",display:"内蒙古",group:"n",py:["neimenggu","nmg"]},{id:6,type:"area",code:"210000",display:"辽宁省",group:"l",py:["liaoning","ln"]},{id:7,type:"area",code:"220000",display:"吉林省",group:"j",py:["jilin","jl"]},{id:8,type:"area",code:"230000",display:"黑龙江",group:"h",py:["heilongjiang","hlj"]},{id:9,type:"area",code:"310000",display:"上海市",group:"s",py:["shanghai","sh"]},{id:10,type:"area",code:"320000",display:"江苏省",group:"j",py:["jiangsu","js"]},{id:11,type:"area",code:"330000",display:"浙江省",group:"z",py:["zhejiang","zj"]},{id:12,type:"area",code:"340000",display:"安徽省",group:"a",py:["anhui","ah"]},{id:13,type:"area",code:"350000",display:"福建省",group:"f",py:["fujian","fj"]},{id:14,type:"area",code:"360000",display:"江西省",group:"j",py:["jiangxi","jx"]},{id:15,type:"area",code:"370000",display:"山东省",group:"s",py:["shandong","sd"]},{id:16,type:"area",code:"410000",display:"河南省",group:"h",py:["henan","hn"]},{id:17,type:"area",code:"420000",display:"湖北省",group:"h",py:["hubei","hb"]},{id:18,type:"area",code:"430000",display:"湖南省",group:"h",py:["hunan","hn"]},{id:19,type:"area",code:"440000",display:"广东省",group:"g",py:["guangdong","gd"]},{id:20,type:"area",code:"450000",display:"广西",group:"g",py:["guangxi","gx"]},{id:21,type:"area",code:"460000",display:"海南省",group:"h",py:["hainan","hn"]},{id:22,type:"area",code:"500000",display:"重庆市",group:"z",py:["zhongqing","zq"]},{id:23,type:"area",code:"510000",display:"四川省",group:"s",py:["sichuan","sc"]},{id:24,type:"area",code:"520000",display:"贵州省",group:"g",py:["guizhou","gz"]},{id:25,type:"area",code:"530000",display:"云南省",group:"y",py:["yunnan","yn"]},{id:26,type:"area",code:"540000",display:"西藏",group:"x",py:["xizang","xz"]},{id:27,type:"area",code:"610000",display:"陕西省",group:"s",py:["shanxi","sx"]},{id:28,type:"area",code:"620000",display:"甘肃省",group:"g",py:["gansu","gs"]},{id:29,type:"area",code:"630000",display:"青海省",group:"q",py:["qinghai","qh"]},{id:30,type:"area",code:"640000",display:"宁夏",group:"n",py:["ningxia","nx"]},{id:31,type:"area",code:"650000",display:"新疆",group:"x",py:["xinjiang","xj"]},{id:32,type:"area",code:"710000",display:"台湾省",group:"t",py:["taiwan","tw"]},{id:33,type:"area",code:"810000",display:"香港",group:"x",py:["xianggang","xg"]},{id:34,type:"area",code:"820000",display:"澳门",group:"a",py:["aomen","am"]}],u=[{id:1,type:"area",code:"110000",display:"北京市",group:"b",py:["beijing","bj"]},{id:2,type:"area",code:"120000",display:"天津市",group:"t",py:["tianjin","tj"]},{id:3,type:"area",code:"130000",display:"河北省",group:"h",py:["hebei","hb"]},{id:4,type:"area",code:"140000",display:"山西省",group:"s",py:["shanxi","sx"]},{id:5,type:"area",code:"150000",display:"内蒙古",group:"n",py:["neimenggu","nmg"]},{id:6,type:"area",code:"210000",display:"辽宁省",group:"l",py:["liaoning","ln"]},{id:7,type:"area",code:"220000",display:"吉林省",group:"j",py:["jilin","jl"]},{id:8,type:"area",code:"230000",display:"黑龙江",group:"h",py:["heilongjiang","hlj"]},{id:9,type:"area",code:"310000",display:"上海市",group:"s",py:["shanghai","sh"]},{id:10,type:"area",code:"320000",display:"江苏省",group:"j",py:["jiangsu","js"]},{id:11,type:"area",code:"330000",display:"浙江省",group:"z",py:["zhejiang","zj"]},{id:12,type:"area",code:"340000",display:"安徽省",group:"a",py:["anhui","ah"]},{id:13,type:"area",code:"350000",display:"福建省",group:"f",py:["fujian","fj"]},{id:14,type:"area",code:"360000",display:"江西省",group:"j",py:["jiangxi","jx"]},{id:15,type:"area",code:"370000",display:"山东省",group:"s",py:["shandong","sd"]},{id:16,type:"area",code:"410000",display:"河南省",group:"h",py:["henan","hn"]},{id:17,type:"area",code:"420000",display:"湖北省",group:"h",py:["hubei","hb"]},{id:18,type:"area",code:"430000",display:"湖南省",group:"h",py:["hunan","hn"]},{id:19,type:"area",code:"440000",display:"广东省",group:"g",py:["guangdong","gd"]},{id:20,type:"area",code:"450000",display:"广西",group:"g",py:["guangxi","gx"]},{id:21,type:"area",code:"460000",display:"海南省",group:"h",py:["hainan","hn"]},{id:22,type:"area",code:"500000",display:"重庆市",group:"z",py:["zhongqing","zq"]},{id:23,type:"area",code:"510000",display:"四川省",group:"s",py:["sichuan","sc"]},{id:24,type:"area",code:"520000",display:"贵州省",group:"g",py:["guizhou","gz"]},{id:25,type:"area",code:"530000",display:"云南省",group:"y",py:["yunnan","yn"]},{id:27,type:"area",code:"610000",display:"陕西省",group:"s",py:["shanxi","sx"]},{id:28,type:"area",code:"620000",display:"甘肃省",group:"g",py:["gansu","gs"]},{id:29,type:"area",code:"630000",display:"青海省",group:"q",py:["qinghai","qh"]},{id:30,type:"area",code:"640000",display:"宁夏",group:"n",py:["ningxia","nx"]},{id:31,type:"area",code:"650000",display:"新疆",group:"x",py:["xinjiang","xj"]},{id:32,type:"area",code:"710000",display:"台湾省",group:"t",py:["taiwan","tw"]},{id:33,type:"area",code:"810000",display:"香港",group:"x",py:["xianggang","xg"]},{id:34,type:"area",code:"820000",display:"澳门",group:"a",py:["aomen","am"]}],a={A:"",B:"",C:"",D:"",E:"",F:"",G:"",H:"",J:"",K:"",L:"",M:"",N:"",O:"",P:"",Q:"",R:"",S:"",T:"",U:"",V:"",W:"",X:"",Y:"",Z:""};f.prototype={getProvinces:function(){return o},getProvincesLack:function(){return u},getPinyinHash:function(){return a},getProvincesDic:function(e){return r(o,e)},getProvinceByDisplay:function(e){return i(o,e)}},t.exports=f},{"lodash/collection/filter":39,"lodash/collection/groupBy":42,"lodash/collection/includes":43}],145:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/citylist",'<header class="bar bar-nav bar-search"> <div class="grid"> <div class="grid-cell col-xs-10"> <input id="txtSearch" type="search" class="needsclick" placeholder="输入城市\\拼音\\首字母"> </div> <div id="btnCancel" class="grid-cell col-xs-2 hide"> <a class="btn btn-negative btn-block btn-outlined btn-search-cancel">取消</a> </div> </div> </header> <div id="content" class="content" STYLE=" background-color: #fff; "> <ul id="ct1" class="table-view" style="width: 92%; margin-top: 0;"> </ul> <ul id="ct2" class="table-view" style="width: 92%; margin-top: 0;"> </ul> </div> <div id="fixView" style="position: relative;-webkit-box-flex: 1;float: right;width: 36px;"> <ul id="btnPinyin" class="table-view-city-dividers" style="position: absolute;"> <li class="table-view-city-divider-item">A</li> <li class="table-view-city-divider-item">B</li> <li class="table-view-city-divider-item">C</li> <li class="table-view-city-divider-item">D</li> <li class="table-view-city-divider-item">E</li> <li class="table-view-city-divider-item">F</li> <li class="table-view-city-divider-item">G</li> <li class="table-view-city-divider-item">H</li> <li class="table-view-city-divider-item">J</li> <li class="table-view-city-divider-item">K</li> <li class="table-view-city-divider-item">L</li> <li class="table-view-city-divider-item">M</li> <li class="table-view-city-divider-item">N</li> <li class="table-view-city-divider-item">O</li> <li class="table-view-city-divider-item">P</li> <li class="table-view-city-divider-item">Q</li> <li class="table-view-city-divider-item">R</li> <li class="table-view-city-divider-item">S</li> <li class="table-view-city-divider-item">T</li> <li class="table-view-city-divider-item">W</li> <li class="table-view-city-divider-item">X</li> <li class="table-view-city-divider-item">Y</li> <li class="table-view-city-divider-item">Z</li> </ul> </div> ')},{"../../../template":171}],146:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.confirm.insurance.hold",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.insurerName,i=e.insurerIdType,s=e.insurerIdCard,o=e.insurerSex,u=e.insurerBirthday,a=e.mobile,f=e.email,l=e.commonProvinceName,c=e.commonCityName,h="";return h+='<div class="content"> <ul class="table-view"> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 姓名 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(r),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 证件类型 </div> <div class="grid-cell col-xs-7"> <span> ',"1"===i&&(h+=" 身份证 "),h+=" ","2"===i&&(h+=" 护照 "),h+=" ","3"===i&&(h+=" 军人证 "),h+=" ","6"===i&&(h+=" 港澳台通行证 "),h+=" ","L"===i&&(h+=" 户口本 "),h+=" ","9"===i&&(h+=" 其他 "),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 证件号码 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(s),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 性别 </div> <div class="grid-cell col-xs-7"> <span> ',"M"===o&&(h+=" 男 "),h+=" ","F"===o&&(h+=" 女 "),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 出生日期 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(u),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 手机号码 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(a),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 邮箱 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(f),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 所在地区 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(l),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 所在市 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(c),h+=' </span> </div> </div> </li> </ul> <ul class="table-view"> <li class="table-view-cell-arrow" id = "modifyHold"> <div class="grid" style="color: red;"> 修改投保人 </div> </li> </ul> </div> ',new String(h)})},{"../../../template":171}],147:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.confirm.insurance.insured",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.insurerName,i=e.insurerIdType,s=e.insurerIdCard,o=e.insurantRelationCode,u=e.insurerSex,a=e.insurerBirthday,f=e.coverageAmount,l=e.insurerWeight,c=e.insurerHeight,h="";return h+='<div class="content"> <ul class="table-view"> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 姓名 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(r),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 证件类型 </div> <div class="grid-cell col-xs-7"> <span> ',"1"===i&&(h+=" 身份证 "),h+=" ","2"===i&&(h+=" 护照 "),h+=" ","3"===i&&(h+=" 军人证 "),h+=" ","6"===i&&(h+=" 港澳台通行证 "),h+=" ","L"===i&&(h+=" 户口本 "),h+=" ","9"===i&&(h+=" 其他 "),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 证件号码 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(s),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 与投保人关系 </div> <div class="grid-cell col-xs-7"> <span> ',"1"===o&&(h+=" 本人 "),h+=" ","2"===o&&(h+=" 父母 "),h+=" ","3"===o&&(h+=" 配偶 "),h+=" ","4"===o&&(h+=" 子女 "),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 性别 </div> <div class="grid-cell col-xs-7"> <span> ',"M"===u&&(h+=" 男 "),h+=" ","F"===u&&(h+=" 女 "),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 出生日期 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(a),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 保障额度 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(f),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 体重(kg) </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(l),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> 身高(CM) </div> <div class="grid-cell col-xs-7"> <span> ',h+=n(c),h+=' </span> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid"> <div class="grid-cell col-xs-4 span-999"> BMI指数 </div> <div class="grid-cell col-xs-7"> <span> ',h+=n((l/(c/100*(c/100))).toFixed(2)),h+=' </span> </div> </div> </li> </ul> <ul class="table-view"> <li class="table-view-cell-arrow" id = "modifyInsued"> <div class="grid" style="color: red;"> 修改被保人 </div> </li> </ul> ',new String(h)})},{"../../../template":171}],148:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.confirm.insurance",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.premTypeName,i=e.insurer,s=e.i,o=e.insurants,u=e.effDate,a="";a+='<div id="divNote" class="modal"> </div> <div id = "content" class="content" style="padding-bottom: 60px"> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow"> <span class="badge-arrow">缴费方式</span> <span class="right-span" style="margin-right: 0px">',a+=n(r),a+='</span> </li> </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;" id="holdAndInsuredUl"> <li class="table-view-cell-arrow" id = "hold"> <a class="navigate-right"> <span class="badge-arrow">投保人</span> <span class="right-span">',a+=n(i.insurerName),a+="</span> </a> </li> ";for(var s=0;s<o.length;s++)a+=' <li class="table-view-cell-arrow insurant" data-index = "',a+=n(s),a+='"> <a class="navigate-right"> <span class="badge-arrow">被保险人',a+=n(s+1),a+='</span> <span class="right-span">',a+=n(o[s].insurerName),a+="</span> </a> </li> ";return a+=' </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow"> <span class="badge-arrow">受益人</span> <span class="right-span" style="margin-right: 0px">法定受益人</span> </li> <li class="table-view-cell-arrow"> <span class="badge-arrow">生效日期</span> <span class="right-span" style="margin-right: 0px">',a+=n(u),a+='</span> </li> </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow bottom-line" style="background-image: none !important;" id="renew"> <a class="navigate-right"> <span class="badge-arrow">续期交费</span> <span class="right-span"></span> </a> </li> </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow bottom-line" style="background-image: none !important;" id="invoice"> <a class="navigate-right"> <span class="badge-arrow">其他</span> <span class="right-span"></span> </a> </li> </ul> <div class="grid" style="padding-right: 15px;"> <div class="grid-cell col-xs-1 checkbox" style="vertical-align: text-top;width: 35px;"> <label class="topcoat-checkbox"> <input type="checkbox" class="rmh"> <div class="topcoat-checkbox__checkmark"></div>  </label> </div> <div class="grid-cell col-xs-11 checkbox"> <span id="checkbox3-label">已经阅读<span id = "btnShowNote" data-modalid="divNote" style="color: #FA3D61;"> &lt;&lt投保须知&gt;&gt; </span>及条款责任免除部分,并完全同意所有内容</span> </div> </div> </div> <div class="table-view-pay grid" style="bottom: 0px;position: fixed;background: white;"> <div class="grid-cell col-xs-6 left"> <span>总保费</span> <span id="payPremium">￥9999.00</span> </div> <div class="grid-cell col-xs-6 right"> <button class="btn btn-negative btn-block no-radius" id="handler" style="margin-bottom:0px">确认支付</button> </div> </div> ',new String(a)})},{"../../../template":171}],149:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.contact",'<div class="content"> <ul class="table-view" id="contact" style="margin-top: 0px;background-color: white">                </ul> </div>')},{"../../../template":171}],150:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.contact.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.userId,i=e.contactIndex,s=e.insurerName,o="";return o+='<li class="table-view-cell-arrow" data-userId ="',o+=n(r),o+='" data-index="',o+=n(i),o+='"> <a class="radio-check-right "> <span>',o+=n(s),o+="</span> </a> </li>",new String(o)})},{"../../../template":171}],151:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.health",function(e){var t=this,n=(t.$helpers,e.i),r=e.insurants,i=t.$escape,s="";s+='<div id = "content" class="content"> <div class="fr-health"> <div style="margin-bottom: 15px;color: #999999">请填写或回答下列问题：</div> <div>1、您在过去投保人身保险时，或在申请保全复效时，曾否被拒保、延期、加费或对条款做特别约定，或申请过理赔？</div> <div> 2、您曾否使用任何成瘾药物、麻醉剂或接受戒毒治疗？</div> <div> 3、您每周饮酒单位是否大于等于50？（每一个饮酒单位相当于12g酒精。 例如，1杯（300ml）啤酒，半杯葡萄酒，45ml 白酒）</div> <div> 4、您是否每日吸烟大于20支/日？</div> <div> 5、您有无职业病？如尘肺、矽肺、石棉肺、各种慢性中毒等。</div> <div> 6、您在过去6个月内是否有反复头痛、胸痛、腹痛、肝区疼痛、反复咳嗽咯痰、咳血、呼吸困难、心慌、吞咽困难、反酸、呕吐、腹泻、吐血、黄疸、便血、血尿、蛋白尿、排尿困难、尿潴留、外生殖器溃疡、反复皮下瘀斑、鼻出血、持续两周以上发热、晕厥、视力明显下降（近视800度以上）、抽搐、头晕、关节红肿、疼痛、活动受限、紫瘢等情况？是否有体重增加或减轻超过5公斤以上（非健身或减肥原因）？是否有黑痣增大、淋巴结肿大？ </div> <div> 7、您在过去两年内是否发现体表或体内肿块、息肉、结节、肿瘤、新生物且未手术？</div> </div> <div class="tog fr-health-egith navigate-right-up" style="padding: 10px 10px"> 8、是否曾患有或被告知患有下列症状或疾病：</div> <div class="fr-health-egith-detail hide"> <div>（1）先天性疾病，遗传性疾病，听力、视力、语言、咀嚼障碍，脊柱、胸廓畸形、四肢、手、足、指残缺等身体残障，失聪、失明，瘫痪，Ⅲ度烧伤；</div> <div> （2）癌症/恶性肿瘤、交界性肿瘤、癌前病变、原位癌、肿瘤指标检查异常（甲胎蛋白（AFP）、癌胚抗原（CEA）、前列腺特异性抗原（PSA）、癌抗原125（CA125）、癌抗原199（CA199））；乙肝指标大三阳（HBeAg+且HBsAg+））； </div> <div>（3）智力障碍、精神疾病、癫痫、脑外伤后综合症、深度昏迷、肌营养不良症、重症肌无力、不明原因的肌肉萎缩、运动神经元病变、多发性硬化、阿尔茨海默病、帕金森病；</div> <div>（4）呼吸系统疾病（终末期肺病、肺纤维化、肺动脉高压、支气管扩张症、慢性肺结核、严重哮喘、肺气肿、间质性肺病、胸腔积液、肺源性心脏病）；</div> <div> （5）心脑血管疾病（高血压、冠心病、心绞痛、心肌梗塞、心肌炎、心肌病、肺源性心脏病、风湿性心脏病、心功能不全、主动脉瘤、脑梗塞、脑出血、脑肿瘤、脑炎后遗症或脑膜炎后遗症、脑血管瘤、脑囊肿、室壁瘤、心内膜炎、心律失常、心脏瓣膜疾病、脑肿瘤、短暂性脑缺血）； </div> <div>（6）消化系统疾病（乙肝大三阳、转氨酶高于正常值2倍以上、丙肝、酒精性肝炎、肝硬化、肝功能衰竭、慢性萎缩性胃炎、胰腺炎、溃疡性结肠炎、硬化性胆管炎、慢性活动性肝炎、慢性酒精中毒、脾功能亢进、脾肿大）；</div> <div>（7）肾脏疾病（肾病综合症、肾功能不全、尿毒症、多囊肾、肾上腺机能亢进或减退、肾上腺疾病、肾炎、肾盂积水）；</div> <div> （8）糖尿病、白血病、血友病、再生障碍性贫血、血小板减少性紫癜、过敏性紫癜、川崎病、霍奇金氏病、类风湿性关节炎、硬皮病、垂体机能亢进或减退、甲状腺机能亢进或减退、视网膜疾病、角膜疾病、艾滋病及HIV呈阳性，吸食、注射成瘾性药物或毒品、系统性红斑狼疮； </div> </div> <div class="tog fr-health-nine navigate-right-up" style="padding: 10px 10px"> 9、女性适用：您是否患有以下所列疾病：</div> <div class="fr-health-egith-detail hide"> <div>（1）目前是否怀孕28周及以上或产后不满一个月；</div> <div> （2）是否患有子宫颈疾病且宫颈上皮内瘤变检测CIN III级或HPV阳性； </div> <div> （3）是否正在或曾经患有恶性葡萄胎。 </div> </div> <ul class="table-view" style="background-color: #ffffff"> <li class="table-view-cell-radio"> 被保险人是否患有1-9项所列情况或疾病: </li> ';for(var n=1;n<=r.length;n++)s+=' <li class="table-view-cell-radio ',s+=i(n<r.length?"short-line":""),s+='"> <div class="grid"> <div class="grid-cell col-xs-5"> <span>被保险人',s+=i(n),s+="(",s+=i(r[n-1].insurerName),s+=')</span> </div> <div class="grid-cell col-xs-1"> </div> <div class="grid-cell col-xs-6 radio"> <label class="topcoat-radio fastclick" style="margin-right: 30px;"> <input name="rd',s+=i(n),s+='" type="radio" class="radioYes"> <div class="topcoat-radio__checkmark"></div> <span id>是</span> </label> <label class="topcoat-radio fastclick"> <input name="rd',s+=i(n),s+='" type="radio" class="radioNo"> <div class="topcoat-radio__checkmark"></div> <span id>否</span> </label> </div> </div> </li> ';return s+=' </ul> <button class="btn btn-negative btn-block no-radius" id="next">下一步</button>      </div> ',new String(s)})},{"../../../template":171}],152:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.holder",' <div id = "content" class="content" style="padding-bottom: 40px"> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 投保人姓名 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerName" class="input_after" type="text" id="name" data-type="1" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 证件类型 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="insurerIdType" dir="rtl" class="table-view-select" data-type="3">  <option value="1">身份证</option>    </select> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 证件号码 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerIdCard" class="input_after" type="text" data-type="2" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow hide" id = "sex"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="insurerSex" dir="rtl" class="table-view-select" data-type="11"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow hide" id="birthday"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerBirthday" class="input_after fr-input-date" type="date" dir="rtl" data-type="4" placeholder="请输入"/> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 手机号码 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="mobile" class="input_after" type="text" data-type="5" data-notnull=false placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 邮箱 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="email" class="input_after" type="text" data-type="6" data-notnull=true placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow " style="background-color: #efefef"> 投保人所在地区 </li> <li class="table-view-cell-arrow " id="province">             <a class="navigate-right"> <span class="badge-arrow">省/自辖市/自治区</span> <span class="right-span" id="commonProvinceName" data-type="17"></span> </a> </li> <li class="table-view-cell-arrow " id="city"> <a class="navigate-right"> <span class="badge-arrow">市</span> <span class="right-span" id="commonCityName" data-type="7"></span> </a> </li> </ul>  <button class="btn btn-negative btn-block " style="margin-top: 10px" id = "saveHolder">保存</button> </div> ')},{"../../../template":171}],153:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.insurance.info",function(e){var t=this,n=(t.$helpers,e.i),r=e.testLength,i=t.$escape,s="";s+='<div id = "content" class="content">     <ul class="table-view frbl"> <li class="table-view-cell bottom-line"> <div> <span class="">"家庭守护"终身重疾保险</span> </div> <div style="margin-top: 5px"> <span class="span-red" id = "prepayTotal">￥</span> </div> </li> </ul> <ul class="table-view" style="background-color: white;"> <li class="table-view-cell-arrow" id="hold"> <a class="navigate-right"> <span class="badge-arrow">投保人</span> <span class="right-span"></span> </a> </li> </ul> <ul class="table-view" style="background-color: white;" id="insurance-list"> ';for(var n=0;r>n;n++)s+=' <li class="table-view-cell-arrow" data-index = \'',s+=i(n),s+='\'> <a class="navigate-right"> <span class="badge-arrow">被保险人</span> <span class="right-span"></span> </a> </li> ';return s+='                   </ul> <div class="fr-three-add" id = "addinsurance"> 增加被保险人 </div> <button class="btn btn-negative btn-block" id="next">下一步</button> </div> ',new String(s)})},{"../../../template":171}],154:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.insurance.info.tpl",' <a class="navigate-right"> <span class="badge-arrow">被保险人</span> <span class="right-span"></span> </a> ')},{"../../../template":171}],155:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.insured",'<div id = "content" class="content" style="padding-bottom: 60px"> <ul class="table-view" style="background-color: white;margin-top: 0px;" id = "contactUl"> <li class="table-view-cell-arrow" id="contact"> <a class="navigate-right"> <span class="badge-arrow"></span> 常用联系人 </a> </li> </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 姓名 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerName" class="input_after" type="text" data-type="1" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 证件类型 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="insurerIdType" dir="rtl" class="table-view-select" data-type="3"> <option value="">请选择</option> <option value="1">身份证</option> <option value="2">护照</option> <option value="3">军人证</option> <option value="6">港澳台通行证</option> <option value="L">户口本</option> <option value="9">其他</option> </select> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 证件号码 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerIdCard" class="input_after" type="text" data-type="2" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 与投保人关系 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="applicantRelation" dir="rtl" class="table-view-select" data-type="10"> <option value="">请选择</option> <option value="1">本人</option> <option value="2">配偶</option> <option value="3">子女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow" id = "sex"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="insurerSex" dir="rtl" class="table-view-select" data-type="11"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow" id="birthday"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerBirthday" class="input_after fr-input-date" type="date" dir="rtl" data-type="4" placeholder="请输入"/> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 保障额度 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="coverageAmount" dir="rtl" class="table-view-select" data-type="18"> <option value="500000">50万</option> <option value="450000">45万</option> <option value="400000">40万</option> <option value="350000">35万</option> <option value="300000">30万</option> <option value="250000">25万</option> <option value="200000">20万</option> <option value="150000">15万</option> <option value="100000">10万</option> <option value="50000">5万</option> <option value="">请选择</option> </select> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 体重(Kg) </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerWeight" class="input_after" type="text" data-type="19" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 身高(CM) </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="insurerHeight" class="input_after" type="text" data-type="20" placeholder="请输入" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> BMI指数 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="mbi" class="input_after" type="text" data-type="21" data-notnull=true placeholder="计算结果" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> </ul> </div> <div class="table-view-choose grid" style="bottom: 0px;position: fixed; padding-bottom:0px;background-color: white"> <div class="grid-cell col-xs-6 left"> <a class="btn btn-negative btn-block btn-outlined" id="del">删除</a> </div> <div class="grid-cell col-xs-6 right"> <a class="btn btn-negative btn-block" id="sava" style="color: white;">保存</a> </div> </div> ')},{"../../../template":171}],156:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.invoice",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.invoice,i=e.paperPolicyInfo,s="";return s+='<div id="content" class="content invoiceSlib" style="padding-bottom: 60px"> <ul class="table-view" style="background-color: white;margin-top: 0px;" id = "invoiceUl"> <li class="table-view-cell" style="border-bottom: 1px solid #ddd;"> 是否需要发票 <div class="toggle" id = "isneedInvoice"> <div class="toggle-handle"></div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 抬头 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="invoiceHeading" class="input_after" type="text" value="',s+=n(r.invoiceHeading),s+='" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow" id="invoiceProvince"> <a class="navigate-right"> <span class="badge-arrow">省</span> <span class="right-span" id = "invoiceRecevieProvince">',s+=n(r.commonProvinceName),s+='</span> </a> </li> <li class="table-view-cell-arrow" id="invoiceCity"> <a class="navigate-right"> <span class="badge-arrow">市</span> <span class="right-span" id = "invoiceRecevieCity">',s+=n(r.commonCityName),s+='</span> </a> </li>    <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 详细地址 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="invoiceRecevieAddr" class="input_after" type="text" value="',s+=n(r.invoiceRecevieAddr),s+='" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li>    <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 邮编 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="invoiceRecevieZipcode" class="input_after" type="text" value="',s+=n(r.invoiceRecevieZipcode),s+='" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> </ul> <ul class="table-view" style="background-color: white;margin-top: 0px;" id = "paperInvoiceUl"> <li class="table-view-cell" style="border-bottom: 1px solid #ddd;"> 是否提供纸质保单 <div class="toggle" id = "isneedpaperInvoice"> <div class="toggle-handle"></div> </div> </li> <li class="table-view-cell-arrow" id="paperProvince"> <a class="navigate-right"> <span class="badge-arrow">省</span> <span class="right-span" id = "policySendProvince">',s+=n(i.commonProvinceName),s+='</span> </a> </li> <li class="table-view-cell-arrow" id="paperCity"> <a class="navigate-right"> <span class="badge-arrow">市</span> <span class="right-span" id="policySendCity">',s+=n(i.commonCityName),s+='</span> </a> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 详细地址 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="policySendAddr" class="input_after" type="text" value="',s+=n(i.policySendAddr),s+='" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 邮编 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="policySendZipCode" class="input_after" type="text" value="',s+=n(i.policySendZipCode),s+='" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px "> </div> </div> </li> </ul> </div> <div class="table-view-choose grid" style="bottom: 0px;position: fixed;background-color: white;padding-bottom: 0px"> <div class="grid-cell col-xs-6 left"> <a class="btn btn-negative btn-block btn-outlined" id="cancel">取消</a> </div> <div class="grid-cell col-xs-6 right"> <a class="btn btn-negative btn-block" id="sava">保存</a> </div> </div>',new String(s)})},{"../../../template":171}],157:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.pay.fail",'familyPaySuccessView<style type="text/css"> .main{ padding: inherit; } .main ul{ margin-top: 50%; } .icon_lists .icon{ font-size: 60px; color: #fff; background-color: #4173ae; width: 100px; height: 100px; border-radius: 50px; text-align: center; vertical-align: middle; padding-top: 17px; padding-left: 5px; } .icon_lists li{ width: 100px; height: 100px; } .table-view-btn-block p{ text-align: center; } .table-view-btn-block .suc-text{ font-size: 28px; color: #666666; margin-top:30px; } .table-view-btn-block{ padding-left: 25%; padding-right: 25%; } .btn{ background: #feffff; color: #F13E39; border-color: #ecedef; } </style> <section id="content" class="content"> <div class="main resultmain"> <ul class="icon_lists clear"> <li> <i class="icon iconfont">&#xe608;</i> </li> </ul> <div class="table-view-btn-block"> <p class="suc-text">支付失败</p> <p id="errorMsg">支付失败原因</p> </div> </div> </section>')},{"../../../template":171}],158:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.pay",'<style> </style> <div class="gray"> <div id="payInfo"> <p>商品名称：<span id="productName"></span></p> <p class="mt20">应付金额：<span style="color:#ee5c3f" id="productAccount"></span></p> </div> <div id="selPayType"> <button id="kuaiqianPay" class="mt30per">网银支付</button> <button id="weixinPay" class="weixinPay mt25">微信支付</button>  <p class="hide"></p> </div> </div> ')},{"../../../template":171}],159:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.pay.success",'familyPaySuccessView<style type="text/css"> .main{ padding: inherit; } .main ul{ margin-top: 50%; } .icon_lists .icon{ font-size: 60px; color: #fff; background-color: #4173ae; width: 100px; height: 100px; border-radius: 50px; text-align: center; vertical-align: middle; padding-top: 17px; padding-left: 5px; } .icon_lists li{ width: 100px; height: 100px; } .table-view-btn-block p{ text-align: center; } .table-view-btn-block .suc-text{ font-size: 28px; color: #666666; margin-top:30px; } .table-view-btn-block{ padding-left: 25%; padding-right: 25%; } .btn{ background: #feffff; color: #F13E39; border-color: #ecedef; } </style> <section id="content" class="content"> <div class="main resultmain"> <ul class="icon_lists clear"> <li> <i class="icon iconfont">&#xe607;</i> </li> </ul> <div class="table-view-btn-block"> <p class="suc-text">支付成功</p> </div> </div> </section>')},{"../../../template":171}],160:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.product",' <style> .rightlineSvg { background-image: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\' width=\'1\' height=\'100%\'><rect fill=\'#dcdcdc\' x=\'0\' y=\'0\' width=\'0.5\' height=\'100%\'/></svg>"); background-position-x: 100%; background-position-y: 0; background-repeat: no-repeat; } </style> <div id = "content" class="content" style="padding-bottom: 60px;"> <div class = "fr-title"> <div class="grid"> <div class="grid-cell col-xs-9"> <div class="rightlineSvg"> <div style="font-size: 15px"> "家庭守护"终身重疾保险 </div> <div> 全家人的综合福利保障 </div> </div> </div> <div class="grid-cell col-sm-3"> <div style="float:right;margin-right: 20px" id="shareDiv"> <i class="icon iconfont" style="font-size: 32px">&#xe606;</i> </div> </div> </div> <div> ￥398.04 </div> </div> <div class = "fr-sencond"> <div class="grid"> <div class="grid-cell col-xs-4"> <div class="rightlineSvg"> <div><span>30</span>天-<span>60</span>周岁</div> <div>适用人群</div> </div> </div> <div class="grid-cell col-xs-4"> <div class="rightlineSvg"> <div><span>120</span>万</div> <div>保障额度</div> </div> </div> <div class="grid-cell col-xs-4"> <div class="fr-brnoright"> <div><span>终身</span></div> <div>保障期限</div> </div> </div> </div> </div> <ul class="table-view" style="background-color: white;margin-top: 10px;margin-bottom: 0px" > <li class="table-view-cell-arrow" id="note"> <a class="navigate-right"> <span class="badge-arrow">投保须知</span> <span class="right-span"></span> </a> </li> </ul> <div class = "fr-three" style="margin-top: 0px"> <div>产品介绍</div> <div>全家人的综合保障计划,被保险人为两人以上,保障自己和配偶及未成年子女在工作生活中的意外伤害,还提供门诊与住院医疗保障, 另有意外住院收入补偿,以及24小时电话医疗咨询,一次购买,全家安心! <br/>* 40周岁以下,最高保额50万元 <br/>* 40周岁以上,最高保额30万元 </div> </div>      </div> <div class = "fr-four short-line-top" style="position: fixed;bottom: 0;width: 100%"> <div class="table-view-btn-block" style="height: auto"> <button id = "next" class="btn btn-negative btn-block active">进入试算</button> </div> </div> <div id="emptyMask" style="display:none;width: 100%; height: 100%;z-index: 1000;background: #000; opacity: 0.6;position: absolute;"> </div> <div class="alert hide" style="padding: 0; margin-top: -144px; background-color: white; text-align: center; position: fixed; top: 50%; overflow: hidden; z-index: 9999; width: auto; margin-left: 0; margin-right: 0; left: 15px; right: 15px;" id="shareType"> <div class="alert-title short-line-right" style="font-size: 20px;padding-top: 30px;padding-bottom: 30px;border-bottom:0;">选择类型</div> <div class="table-view-alert-choose grid " style="font-size: 17px;color: #f66b6b;"> <div class="grid-cell col-xs-6 left rightlineSvg" style="padding-top:20px;"> 业务员 </div> <div class="grid-cell col-xs-6 right" style="padding-top:20px;"> 普通用户 </div> </div> </div> <div> <div class="alert hide" id="businessShare" style="margin-top: -144px; background-color: white; text-align: center; position: fixed; top: 50%; overflow: hidden; z-index: 9999; width: auto; margin-left: 0; margin-right: 0; left: 15px; right: 15px;"> <div class="alert-title">业务员分享</div> <div class="alert-message" style="padding-left: 15px;padding-right: 15px;margin-bottom: 0;"> <input type="text" placeholder="请输入业务员代码" id="agentNo" style="border-radius: 0;border-color: #dfdfe1;margin-bottom: 0px;"/> </div> <div class="alert-message hide" id="agentNameDiv" style="margin-top:15px;margin-bottom:0;padding-left: 15px;padding-right: 15px;text-align: left;"> <div style="color: #666;" >业务员姓名:<span id="agentName">王乐乐</span></div> <div class="grid" style="margin-left: -15px;"> <div class="grid-cell col-xs-2 checkbox" style="width: 35px;"> <label class="topcoat-checkbox" id="showBtn"> <input type="checkbox" id="showName" class="rmh" style="margin-left:9px;"> <div class="topcoat-checkbox__checkmark"></div> </label> </div> <div class="grid-cell col-xs-10 checkbox span-999" style="top: 2px;left: 3px;font-size: 12px;"> 姓名是否显示在内容投保页面 </div> </div> </div> <div class="alert-message hide" id="agentTelDiv" style="padding-left: 15px;padding-right: 15px;margin-bottom: 0"> <input type="text" placeholder="请输入服务手机号码" id="agentTel" style="border-radius: 0;border-color: #dfdfe1;margin-bottom: 0;"/> </div> <div class="table-view-alert-choose grid" style="padding-top: 30px;"> <div class="grid-cell col-xs-6 left"> <a id="btnCancel" class="btn btn-block btn-alert btn-alert-outlined btn-outlined-padding needsclick">取消</a> </div> <div class="grid-cell col-xs-6 right"> <a id="btnOK" class="btn btn-negative btn-block needsclick">确定</a> </div> </div> </div> </div>')},{"../../../template":171}],161:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.property",'<div id = "content" class="content">              <ul class="table-view frbl"> <li class="table-view-cell bottom-line"> <div> <span class="">"家庭守护"终身重疾保险</span> </div> <div style="margin-top: 5px"> <span class="span-red" id = "prepayTotal">￥</span> </div> </li> </ul> <ul class="table-view frbl"> <li class="table-view-cell-input short-line"> <span>购买人数</span> <div class="form numbox"> <button class="numbox-btn-minus" type="button" id="deleteNum"></button> <input class="numbox-input" type="number" value="3" id="numberValue" readonly="readonly" style="height: 100%"/> <button class="numbox-btn-plus" type="button" id="addNum"></button> </div> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 交费年限 </div> <div class="grid-cell col-xs-7"> <select id="payPeriod" dir="rtl" class="table-view-select"> <option value="510">期缴10年</option> <option value="520">期缴20年</option> <option value="1">趸缴</option> </select> </div> </div> </li>           <li class="table-view-cell-arrow" > <a class="navigate-right"> <span class="badge-arrow">生效日期</span> <span class="right-span" id="effDate"></span> </a> </li> </ul> <div id="insurants"> <ul class="table-view frbl"> <li class="table-view-divider btline" style="border-top: 0;"> 被保险人1: <span style="color: #E43C3C;margin-right:20px;float:right" class = "premium" data-premium =""> ￥</span> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input class="input_after fr-input-date" type="date" dir="rtl" value=""> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 保障额度: </div> <div class="grid-cell col-xs-7 "> <select id dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="500000">50万</option> <option value="450000">45万</option> <option value="400000">40万</option> <option value="350000">35万</option> <option value="300000">30万</option> <option value="250000">25万</option> <option value="200000">20万</option> <option value="150000">15万</option> <option value="100000">10万</option> <option value="50000">5万</option> </select> </div> </div> </li> </ul> <ul class="table-view frbl"> <li class="table-view-divider btline" style="border-top: 0;"> 被保险人2: <span style="color: #E43C3C;margin-right:20px;float:right" class = "premium" data-premium =""> ￥</span> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select id="sel" dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input class="input_after fr-input-date" type="date" dir="rtl" value=""> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 保障额度: </div> <div class="grid-cell col-xs-7 "> <select id dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="500000">50万</option> <option value="450000">45万</option> <option value="400000">40万</option> <option value="350000">35万</option> <option value="300000">30万</option> <option value="250000">25万</option> <option value="200000">20万</option> <option value="150000">15万</option> <option value="100000">10万</option> <option value="50000">5万</option> </select> </div> </div> </li> </ul> <ul class="table-view frbl"> <li class="table-view-divider btline" style="border-top: 0;"> 被保险人3: <span style="color: #E43C3C;margin-right:20px;float:right" class="premium" data-premium =""> ￥</span> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input class="input_after fr-input-date" type="date" dir="rtl" value=""> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 保障额度: </div> <div class="grid-cell col-xs-7 "> <select id dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="500000">50万</option> <option value="450000">45万</option> <option value="400000">40万</option> <option value="350000">35万</option> <option value="300000">30万</option> <option value="250000">25万</option> <option value="200000">20万</option> <option value="150000">15万</option> <option value="100000">10万</option> <option value="50000">5万</option> </select> </div> </div> </li> </ul> </div> <div class="table-view-btn-block" style="margin-top: 20px;"> <button class="btn btn-negative btn-block active" id="insuranceButton">立即投保</button> </div> <div style="text-align: center; background: white;color: red;font-size: 10px"> 点击“立即投保”可跳过试算步骤直接投保 </div> </div> ')},{"../../../template":171}],162:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.property.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.num,i="";return i+='<li class="table-view-divider btline" style="border-top: 0;" > 被保险人',i+=n(r),i+=': <span style="color: #E43C3C;margin-right:20px;float:right" class="premium" data-premium =""> ￥</span> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right "> <div class="grid-cell col-xs-4"> 性别 </div> <div class="grid-cell col-xs-7" style="text-align: right;"> <select dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="M">男</option> <option value="F">女</option> </select> </div> </div> </li> <li class="table-view-cell-arrow short-line"> <div class="grid input-right"> <div class="grid-cell col-xs-4 lab"> 出生日期 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input class="input_after fr-input-date" type="date" dir="rtl" value=""> </div> </div> </li> <li class="table-view-cell-arrow"> <div class="grid input-right"> <div class="grid-cell col-xs-4"> 保障额度: </div> <div class="grid-cell col-xs-7 "> <select id dir="rtl" class="table-view-select"> <option value="">请选择</option> <option value="500000">50万</option> <option value="450000">45万</option> <option value="400000">40万</option> <option value="350000">35万</option> <option value="300000">30万</option> <option value="250000">25万</option> <option value="200000">20万</option> <option value="150000">15万</option> <option value="100000">10万</option> <option value="50000">5万</option> </select> </div> </div> </li> ',new String(i)})},{"../../../template":171}],163:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.renewal.bank",function(e){var t=this,n=(t.$helpers,e.i),r=e.banks,i=t.$escape,s="";s+='<div class="content"> <ul class="table-view" id="contact" style="margin-top: 0px;background-color: white"> ';for(var n=0;n<r.length;n++)s+=' <li class="table-view-cell-arrow" data-bankCode = "',s+=i(r[n].code),s+='" data-bankName = "',s+=i(r[n].name),s+='"> <a class="radio-check-right "> <span>',s+=i(r[n].name),s+="</span> </a> </li> ";return s+=" </ul> </div>",new String(s)})},{"../../../template":171}],164:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.renewal.branchbank",'<div class="content"> <ul class="table-view" id="contact" style="margin-top: 0px;background-color: white"> </ul> </div>')},{"../../../template":171}],165:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.renewal.branchbank.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.bankNo,i=e.bankName,s="";return s+='<li class="table-view-cell-arrow" data-bankCode = "',s+=n(r),s+='" data-bankName = "',s+=n(i),s+='"> <a class="radio-check-right "> <span>',s+=n(i),s+="</span> </a> </li>",new String(s)})},{"../../../template":171}],166:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/family.renewal",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.name,i=e.cityName,s=e.bankName,o=e.branchBankName,u=e.account,a="";return a+='<div class="content" style="padding-bottom: 25px"> <ul class="table-view" style="background-color: white;margin-top: 0px;"> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 户名 </div> <div class="grid-cell col-xs-8 lab" style="text-align:right" data-type="1"> ',a+=n(r),a+=' </div> </div> </li> <li class="table-view-cell-arrow " id="city"> <a class="navigate-right"> <span class="badge-arrow">开户城市</span> <span class="right-span" id="cityName" data-type="2">',a+=n(i),a+='</span> </a> </li> <li class="table-view-cell-arrow " id="bankli"> <a class="navigate-right"> <span class="badge-arrow">银行</span> <span class="right-span" id="bankName" data-type="3">',a+=n(s),a+='</span> </a> </li> <li class="table-view-cell-arrow " id="branchBankli"> <a class="navigate-right"> <span class="badge-arrow">分行</span> <span class="right-span" id="branchBankName" data-type="4">',a+=n(o),a+='</span> </a> </li> <li class="table-view-cell-arrow" style="background-color: #efefef; padding: 13px 15px 9px 15px; font-size: 12px"> <div > 该账号用于续期缴费扣款 </div> </li> <li class="table-view-cell-arrow"> <div class="grid "> <div class="grid-cell col-xs-4 lab"> 银行卡号 </div> <div class="grid-cell col-xs-7 after_vertical_line"> <input id="account" class="input_after" type="text" style="border:0px;text-align: right;padding:0px 0px;margin-bottom: 0px;height: 21px;right: 0px " value="',a+=n(u),a+='"> </div> </div> </li> </ul> </div> <button id="save" class="btn btn-negative btn-block" style="position: fixed;bottom: 0px;margin-bottom: 0px;margin-top: 10px;border-radius: 0px;">保存</button> ',new String(a)})},{"../../../template":171}],167:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/note","<header class=\"bar bar-nav\"> <a id=\"btnClose\" class=\"icon icon-close pull-left\"></a> <h1 class=\"title\" style=\"font-size: 18px;margin-top: 10px;\">投保须知</h1> </header>     <div class=\"content\" style=\"background:none;width:96%;margin-left:4%;padding-right:4%;overflow-wrap: break-word;word-wrap:break-word;\"> <p class=MsoNormal style='line-height:115%'><span style='font-size:12.0pt; line-height:115%;'>投保须知：</span></p> <p class=MsoNormal style='line-height:115%'><b><span style='font-size:12.0pt; line-height:115%;'>一、投保规定：</span></b></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>1</span><span style='font-size:11.0pt;'>、在确认投保之前，请详细阅读投保险种的保险条款确认条款含义。</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>2</span><span style='font-size:11.0pt;'>、本投保人已阅读《</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>家庭守护</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>终身重疾保险适用条款》，并特别就条款中有关责任免除和投保人、被保险人义务的内容进行阅读。本投保人兹声明上述各项内容填写属实，特此同意接受条款全部内容，以及投保须知详情</span> </p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>3</span><span style='font-size:11.0pt;'>、本产品适用年龄</span><span lang=EN-US style='font-size:11.0pt'>30</span><span style='font-size:11.0pt;'>天（健康出院）－</span><span lang=EN-US style='font-size:11.0pt'>60</span><span style='font-size:11.0pt;'>周岁，身体健康，能正常工作、学习和生活的人。被保险人须为投保人本人、配偶、子女，未成年被保险人的投保人必须为父母。</span> </p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>4</span><span style='font-size:11.0pt;'>、</span><span lang=EN-US style='font-size:11.0pt'>40</span><span style='font-size:11.0pt;'>周岁（含）以下被保险人累计保额以</span><span lang=EN-US style='font-size:11.0pt'>50</span><span style='font-size:11.0pt;'>万为限，</span><span lang=EN-US style='font-size:11.0pt'>40</span><span style='font-size:11.0pt;'>周岁以上被保险人累计保额以</span><span lang=EN-US style='font-size:11.0pt'>30</span><span style='font-size:11.0pt;'>万为限，超出部分我司不承担保险责任</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>5</span><span style='font-size:11.0pt;'>、等待期</span><span lang=EN-US style='font-size:11.0pt'>180</span><span style='font-size:11.0pt;'>日内，被保险人经医院确诊发生</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>基本重大疾病</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>或</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>轻度重大疾病</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>，我们不承担保险责任，并无息退还投保人为该被保险人所交保险费，本公司对该被保险人保险责任终止。</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>6</span><span style='font-size:11.0pt;'>、本人授权平安集团，除法律另有规定之外，将本人提供给平安集团的信息、享受平安集团服务产生的信息（包括本单证签署之前提供和产生的信息）以及平安集团根据本条约定查询、收集的信息，用于平安集团及其因服务必要委托的合作伙伴为本人提供服务、推荐产品、开展市场调查与信息数据分析。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>本人授权平安集团，除法律另有规定之外，基于为本人提供更优质服务和产品的目的，向平安集团因服务必要开展合作的伙伴提供、查询、收集本人的信息。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>为确保本人信息的安全，平安集团及其合作伙伴对上述信息负有保密义务，并采取各种措施保证信息安全。</span></p> <p class=MsoNormal><span style='font-size:11.0pt;'>本条款自本单证签署时生效，具有独立法律效力，不受合同成立与否及效力状态变化的影响。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>本条所称</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt; '>平安集团</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>是指中国平安保险（集团）股份有限公司及其直接或间接控股的公司，以及中国平安保险（集团）股份有限公司直接或间接作为其单一最大股东的公司。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如您不同意上述授权条款的部分或全部，可【致电客户热线（</span><span lang=EN-US style='font-size:11.0pt'>95511</span><span style='font-size:11.0pt; '>）】取消或变更授权。</span></p> 二、保全须知</span></b></p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要退保，请投保人携带投保时所提供的身份证件原件、交费的银行卡原件、纸质保单（如果有）至当地平安养老险门店办理，选择退保您可能有所损失，退保金将通过银行转账的方式支付到投保人的原交费银行账号。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要修改扣款银行账号，请投保人携带投保时所提供的身份证件原件、新的银行卡至当地平安养老险门店办理。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要修改联系信息，请投保人携带投保时所提供的身份证件原件至当地平安养老险门店办理。</span></p> <p class=MsoNormal><span style='font-size:11.0pt;'>您也可以委托他人办理，被委托人需携带投保人的签字同意的委托书、投保人和被委托人的身份证件原件，以及上述申请项目的其他材料原件至当地平安养老险门店办理，请务必注意提供投保人的联系电话或者手机。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>或者您可以在（地址</span><span lang=EN-US><a href=\"http://annuity.pingan.com/kehufuwu/zizhu.shtml\" target=\"_blank\"><span style='font-size:11.0pt;;color:windowtext; text-decoration:none'>http://annuity.pingan.com/kehufuwu/zizhu.shtml</span></a></span><span style='font-size:11.0pt;'>）下载变更申请书，投保人填写后签字确认，连同上述申请项目需要的材影印件传真、邮件邮寄至平安养老险机构，请务必注意填写联系电话或者手机。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您有其他申请事项或者其他任何问题，欢迎致电<span lang=EN-US>95511</span>咨询。</span></p> 三、理赔须知</span></b></p> <p class=MsoNormal style='text-indent:5.9pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>1</span><span style='font-size:12.0pt;line-height:115%;'>、保险事故通知</span></p> <p class=MsoNormal style='text-indent:23.5pt;line-height:115%'><b><span style='font-size:12.0pt;line-height:115%;'>投保人或受益人应当在知道保险事故后<span lang=EN-US>10</span>日内通知本公司。</span></b></p> <p class=MsoNormal style='text-indent:24.0pt;line-height:115%'><b><span style='font-size:12.0pt;line-height:115%;'>如果投保人或受益人故意或者因重大过失未及时通知，致使保险事故的性质、原因、损失程度等难以确定的，本公司对无法确定的部分，不承担给付保险金的责任，</span></b><span style='font-size:12.0pt;line-height:115%;'>但本公司通过其它途径已经及时知道或者应当及时知道保险事故发生或者虽未及时通知但不影响本公司确定保险事故的性质、原因、损失程度的除外。</span> </p> <p class=MsoNormal style='text-indent:6.0pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>2</span><span style='font-size:12.0pt;line-height:115%;'>、保险金申请</span></p> <p class=MsoNormal style='text-indent:21.0pt;line-height:115%'><span style='font-size:12.0pt;line-height:115%;'>在发生保险责任事故后，请按下列要求收集齐理赔申请所需的凭证，到平安养老保险股份有限公司办理有关理赔手续。</span> </p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-18.0pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>1）</span><span style='font-size:12.0pt;line-height:115%;'>重疾保险金的申请资料：</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>a)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>保险凭证原件<span lang=EN-US>/</span>复印件；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>b)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>理赔申请书；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>c)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>被保险人身份证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>d)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>医疗机构提供的就诊病历、出院小结、病理<span lang=EN-US>/</span>血液<span lang=EN-US>/</span>影像检查报告等；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>e)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>与确认保险事故的性质、原因等有关的其他证明资料。</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-18.0pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>2）</span><span style='font-size:12.0pt;line-height:115%;'>身故保险金的申请资料：</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>a)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>保险凭证原件<span lang=EN-US>/</span>复印件；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>b)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>理赔申请书；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>c)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>被保险人身份证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>d)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>居民死亡医学证明或法医鉴定书、丧葬火化证明、户口注销证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>e)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>与确认保险事故的性质、原因等有关的其他证明资料。</span></p> <p class=MsoNormal style='text-indent:11.75pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>3</span><span style='font-size:12.0pt;line-height:115%;'>、理赔报案咨询电话：<span lang=EN-US>95511</span></span></p> <p class=MsoNormal style='text-indent:12.0pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>4</span><span style='font-size:12.0pt;line-height:115%;'>、未尽事宜以《<span lang=EN-US>“</span>家庭守护<span lang=EN-US>”</span>终身重疾保险适用条款》条款为准。</span></p> <p class=MsoNormal style='text-indent:5.9pt;line-height:115%'><b><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>&nbsp;</span></b></p> </div> ")},{"../../../template":171}],168:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/note.product","<div class=\"content\" style=\"background:none;width:96%;margin-left:4%;padding-right:4%;overflow-wrap:break-word;word-wrap:break-word;\"> <p class=MsoNormal style='line-height:115%'><span style='font-size:12.0pt; line-height:115%;'>投保须知：</span></p> <p class=MsoNormal style='line-height:115%'><b><span style='font-size:12.0pt; line-height:115%;'>一、投保规定：</span></b></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>1</span><span style='font-size:11.0pt;'>、在确认投保之前，请详细阅读投保险种的保险条款确认条款含义。</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>2</span><span style='font-size:11.0pt;'>、本投保人已阅读《</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>家庭守护</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>终身重疾保险适用条款》，并特别就条款中有关责任免除和投保人、被保险人义务的内容进行阅读。本投保人兹声明上述各项内容填写属实，特此同意接受条款全部内容，以及投保须知详情</span> </p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>3</span><span style='font-size:11.0pt;'>、本产品适用年龄</span><span lang=EN-US style='font-size:11.0pt'>30</span><span style='font-size:11.0pt;'>天（健康出院）－</span><span lang=EN-US style='font-size:11.0pt'>60</span><span style='font-size:11.0pt;'>周岁，身体健康，能正常工作、学习和生活的人。被保险人须为投保人本人、配偶、子女，未成年被保险人的投保人必须为父母。</span> </p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>4</span><span style='font-size:11.0pt;'>、</span><span lang=EN-US style='font-size:11.0pt'>40</span><span style='font-size:11.0pt;'>周岁（含）以下被保险人累计保额以</span><span lang=EN-US style='font-size:11.0pt'>50</span><span style='font-size:11.0pt;'>万为限，</span><span lang=EN-US style='font-size:11.0pt'>40</span><span style='font-size:11.0pt;'>周岁以上被保险人累计保额以</span><span lang=EN-US style='font-size:11.0pt'>30</span><span style='font-size:11.0pt;'>万为限，超出部分我司不承担保险责任</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>5</span><span style='font-size:11.0pt;'>、等待期</span><span lang=EN-US style='font-size:11.0pt'>180</span><span style='font-size:11.0pt;'>日内，被保险人经医院确诊发生</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>基本重大疾病</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>或</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt;'>轻度重大疾病</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>，我们不承担保险责任，并无息退还投保人为该被保险人所交保险费，本公司对该被保险人保险责任终止。</span></p> <p class=MsoNormal><span lang=EN-US style='font-size:11.0pt'>6</span><span style='font-size:11.0pt;'>、本人授权平安集团，除法律另有规定之外，将本人提供给平安集团的信息、享受平安集团服务产生的信息（包括本单证签署之前提供和产生的信息）以及平安集团根据本条约定查询、收集的信息，用于平安集团及其因服务必要委托的合作伙伴为本人提供服务、推荐产品、开展市场调查与信息数据分析。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>本人授权平安集团，除法律另有规定之外，基于为本人提供更优质服务和产品的目的，向平安集团因服务必要开展合作的伙伴提供、查询、收集本人的信息。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>为确保本人信息的安全，平安集团及其合作伙伴对上述信息负有保密义务，并采取各种措施保证信息安全。</span></p> <p class=MsoNormal><span style='font-size:11.0pt;'>本条款自本单证签署时生效，具有独立法律效力，不受合同成立与否及效力状态变化的影响。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>本条所称</span><span lang=EN-US style='font-size:11.0pt'>“</span><span style='font-size:11.0pt; '>平安集团</span><span lang=EN-US style='font-size:11.0pt'>”</span><span style='font-size:11.0pt;'>是指中国平安保险（集团）股份有限公司及其直接或间接控股的公司，以及中国平安保险（集团）股份有限公司直接或间接作为其单一最大股东的公司。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如您不同意上述授权条款的部分或全部，可【致电客户热线（</span><span lang=EN-US style='font-size:11.0pt'>95511</span><span style='font-size:11.0pt; '>）】取消或变更授权。</span></p> 二、保全须知</span></b></p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要退保，请投保人携带投保时所提供的身份证件原件、交费的银行卡原件、纸质保单（如果有）至当地平安养老险门店办理，选择退保您可能有所损失，退保金将通过银行转账的方式支付到投保人的原交费银行账号。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要修改扣款银行账号，请投保人携带投保时所提供的身份证件原件、新的银行卡至当地平安养老险门店办理。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您需要修改联系信息，请投保人携带投保时所提供的身份证件原件至当地平安养老险门店办理。</span></p> <p class=MsoNormal><span style='font-size:11.0pt;'>您也可以委托他人办理，被委托人需携带投保人的签字同意的委托书、投保人和被委托人的身份证件原件，以及上述申请项目的其他材料原件至当地平安养老险门店办理，请务必注意提供投保人的联系电话或者手机。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>或者您可以在（地址</span><span lang=EN-US><a href=\"http://annuity.pingan.com/kehufuwu/zizhu.shtml\" target=\"_blank\"><span style='font-size:11.0pt;;color:windowtext; text-decoration:none'>http://annuity.pingan.com/kehufuwu/zizhu.shtml</span></a></span><span style='font-size:11.0pt;'>）下载变更申请书，投保人填写后签字确认，连同上述申请项目需要的材影印件传真、邮件邮寄至平安养老险机构，请务必注意填写联系电话或者手机。</span> </p> <p class=MsoNormal><span style='font-size:11.0pt;'>如果您有其他申请事项或者其他任何问题，欢迎致电<span lang=EN-US>95511</span>咨询。</span></p> 三、理赔须知</span></b></p> <p class=MsoNormal style='text-indent:5.9pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>1</span><span style='font-size:12.0pt;line-height:115%;'>、保险事故通知</span></p> <p class=MsoNormal style='text-indent:23.5pt;line-height:115%'><b><span style='font-size:12.0pt;line-height:115%;'>投保人或受益人应当在知道保险事故后<span lang=EN-US>10</span>日内通知本公司。</span></b></p> <p class=MsoNormal style='text-indent:24.0pt;line-height:115%'><b><span style='font-size:12.0pt;line-height:115%;'>如果投保人或受益人故意或者因重大过失未及时通知，致使保险事故的性质、原因、损失程度等难以确定的，本公司对无法确定的部分，不承担给付保险金的责任，</span></b><span style='font-size:12.0pt;line-height:115%;'>但本公司通过其它途径已经及时知道或者应当及时知道保险事故发生或者虽未及时通知但不影响本公司确定保险事故的性质、原因、损失程度的除外。</span> </p> <p class=MsoNormal style='text-indent:6.0pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>2</span><span style='font-size:12.0pt;line-height:115%;'>、保险金申请</span></p> <p class=MsoNormal style='text-indent:21.0pt;line-height:115%'><span style='font-size:12.0pt;line-height:115%;'>在发生保险责任事故后，请按下列要求收集齐理赔申请所需的凭证，到平安养老保险股份有限公司办理有关理赔手续。</span> </p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-18.0pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>1）</span><span style='font-size:12.0pt;line-height:115%;'>重疾保险金的申请资料：</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>a)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>保险凭证原件<span lang=EN-US>/</span>复印件；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>b)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>理赔申请书；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>c)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>被保险人身份证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>d)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>医疗机构提供的就诊病历、出院小结、病理<span lang=EN-US>/</span>血液<span lang=EN-US>/</span>影像检查报告等；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>e)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>与确认保险事故的性质、原因等有关的其他证明资料。</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-18.0pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>2）</span><span style='font-size:12.0pt;line-height:115%;'>身故保险金的申请资料：</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>a)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>保险凭证原件<span lang=EN-US>/</span>复印件；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>b)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>理赔申请书；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>c)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>被保险人身份证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>d)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>居民死亡医学证明或法医鉴定书、丧葬火化证明、户口注销证明；</span></p> <p class=MsoNormal style='margin-left:39.0pt;text-indent:-3.55pt;line-height: 115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>e)<span style='font:7.0pt \"Times New Roman\"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span style='font-size:12.0pt;line-height:115%;'>与确认保险事故的性质、原因等有关的其他证明资料。</span></p> <p class=MsoNormal style='text-indent:11.75pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>3</span><span style='font-size:12.0pt;line-height:115%;'>、理赔报案咨询电话：<span lang=EN-US>95511</span></span></p> <p class=MsoNormal style='text-indent:12.0pt;line-height:115%'><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>4</span><span style='font-size:12.0pt;line-height:115%;'>、未尽事宜以<a id=\"pinganUrl\" class=\"enhance\" href=\"javascript:;\" url=\"http://home.pingan.com.cn/productClause.screen?productId=PI000048\">《<span lang=EN-US>“</span>家庭守护<span lang=EN-US>”</span>终身重疾保险适用条款》</a>条款为准。</span></p> <p class=MsoNormal style='text-indent:5.9pt;line-height:115%'><b><span lang=EN-US style='font-size:12.0pt;line-height:115%;'>&nbsp;</span></b></p> </div> ")},{"../../../template":171}],169:[function(e,t,n){var r=e("../../../template");t.exports=r("familyrisk/views/templates/province",'<header class="bar bar-nav bar-search"> <div class="grid"> <div class="grid-cell col-xs-10"> <input id="txtSearch" type="search" placeholder="输入城市\\拼音\\首字母"> </div> <div id="btnCancel" class="grid-cell col-xs-2 hide"> <a class="btn btn-negative btn-block btn-outlined btn-search-cancel">取消</a> </div> </div> </header> <div id="content" class="content" style=" background-color: #fff; "> <ul id="ct1" class="table-view" style="width: 92%; margin-top: 0;"> </ul> <ul id="ct2" class="table-view" style="width: 92%; margin-top: 0;"> </ul> </div> <div id="fixView" style="position: relative;-webkit-box-flex: 1;float: right;width: 36px;"> <ul id="btnPinyin" class="table-view-city-dividers" style="position: absolute;"> <li class="table-view-city-divider-item">A</li> <li class="table-view-city-divider-item">B</li> <li class="table-view-city-divider-item">C</li> <li class="table-view-city-divider-item">D</li> <li class="table-view-city-divider-item">E</li> <li class="table-view-city-divider-item">F</li> <li class="table-view-city-divider-item">G</li> <li class="table-view-city-divider-item">H</li> <li class="table-view-city-divider-item">J</li> <li class="table-view-city-divider-item">K</li> <li class="table-view-city-divider-item">L</li> <li class="table-view-city-divider-item">M</li> <li class="table-view-city-divider-item">N</li> <li class="table-view-city-divider-item">O</li> <li class="table-view-city-divider-item">P</li> <li class="table-view-city-divider-item">Q</li> <li class="table-view-city-divider-item">R</li> <li class="table-view-city-divider-item">S</li> <li class="table-view-city-divider-item">T</li> <li class="table-view-city-divider-item">W</li> <li class="table-view-city-divider-item">X</li> <li class="table-view-city-divider-item">Y</li> <li class="table-view-city-divider-item">Z</li> </ul> </div> ')},{"../../../template":171}],170:[function(e,t,n){function h(){}var r=e("domready"),i,s=e("../../../gum.ui/router/router"),o=e("lodash/collection/map"),u=e("lodash/lang/isFunction"),a=e("../../../gum.ui/ajax/insuranceBaseModel"),f=e("lodash/lang/isEmpty"),l=e("../familyrisk/model/familyrisk.model"),c=new l;h.prototype.initRouter=function(e){var t=this;t.router=new s,e.prototype.show=function(e){var t=e;typeof e=="object"?(t=e.html,e.noToolBar||n(e),r(t,e.classNames||this.classNames)):r(t,this.classNames||undefined),localStorage.setItem("page-switch-direction","obverse")};var n=function(e){var n=e.title,r=e.prehash,i=e.isHome||0;typeof PAWA!="undefined"&&(r&&(PAWA.App.preHash(),PAWA.App.preHash(r)),setTimeout(function(){PAWA.App.sender.setUrl({isHome:i,title:n,leftBtn:"后退",rightBtn:"关闭"})},100),window._pingan_$&&(_pingan_$.useNewBar=null),window.back=function(){if($.scroller&&$.scroller.instances){var n=$.scroller.instances;$.each($.scroller.instances,function(e,t){n[e].destroy()})}if(typeof PAWA.App!="undefined"&&typeof PAWA.App.returnUrls!="undefined"&&PAWA.App.returnUrls.length==0){PAWA.App.sender.setUrl({isHome:"1",closeWebView:"1"});return}var r=PAWA.App.preHash();e.isNotGum===!0?PAWA.Router.navigate(r,!0):(localStorage.setItem("page-switch-direction","reverse"),t.router.navigate(r))})},r=function(e,t){if(window.location.hash.indexOf("gum")<0){var n=window.document.getElementById("contentShow");n.innerHTML=e,n.classList.add("gum");if(typeof t!="undefined")for(var r=0;r<t.length;r++)n.classList.add(t[r])}else{window.document.getElementById("darkWrapper").className="hide",window.document.getElementById("emptyWrapper").className="hide",window.document.getElementById("flipPrompt").className="hide",console.dir("开始渲染"),window.document.getElementById("wrapper").innerHTML=e;var i=document.getElementsByTagName("html")[0];i.setAttribute("class","");if(i.classList.length===0){i.classList.add("gum");if(typeof t!="undefined")for(var r=0;r<t.length;r++)i.classList.add(t[r])}}},i=new e;i.curRouter=this.router,o(i.router,function(e,n){u(i[e])&&t.router.add(n,i[e],i)}),typeof PAWA=="undefined"&&(c.shareToWeixin(),t.router.listen(),t.router.check(window.location.hash.slice(1)))},h.prototype.getRouter=function(){return this.router},t.exports=h},{"../../../gum.ui/ajax/insuranceBaseModel":6,"../../../gum.ui/router/router":16,"../familyrisk/model/familyrisk.model":143,domready:32,"lodash/collection/map":44,"lodash/lang/isEmpty":101,"lodash/lang/isFunction":102}],171:[function(e,t,n){!function(){function e(e,t){return(/string|function/.test(typeof t)?a:u)(e,t)}function n(e,t){return"string"!=typeof e&&(t=typeof e,"number"===t?e+="":e="function"===t?n(e.call(e)):""),e}function r(e){return h[e]}function i(e){return n(e).replace(/&(?![\w#]+;)|[<>"']/g,r)}function s(e,t){if(p(e))for(var n=0,r=e.length;r>n;n++)t.call(e,e[n],n,e);else for(n in e)t.call(e,e[n],n)}function o(e,t){var n=/(\/)[^\/]+\1\.\.\1/,r=("./"+e).replace(/[^\/]+$/,""),i=r+t;for(i=i.replace(/\/\.\//g,"/");i.match(n);)i=i.replace(n,"/");return i}function u(t,n){var r=e.get(t)||f({filename:t,name:"Render Error",message:"Template not found"});return n?r(n):r}function a(e,t){if("string"==typeof t){var n=t;t=function(){return new c(n)}}var r=l[e]=function(n){try{return new t(n,e)+""}catch(r){return f(r)()}};return r.prototype=t.prototype=d,r.toString=function(){return t+""},r}function f(e){var t="{Template Error}",n=e.stack||"";if(n)n=n.split("\n").slice(0,2).join("\n");else for(var r in e)n+="<"+r+">\n"+e[r]+"\n\n";return function(){return"object"==typeof console&&console.error(t+"\n\n"+n),t}}var l=e.cache={},c=this.String,h={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},p=Array.isArray||function(e){return"[object Array]"==={}.toString.call(e)},d=e.utils={$helpers:{},$include:function(e,t,n){return e=o(n,e),u(e,t)},$string:n,$escape:i,$each:s},v=e.helpers=d.$helpers;e.get=function(e){return l[e.replace(/^\.\//,"")]},e.helper=function(e,t){v[e]=t},t.exports=e}()},{}]},{},[137])(137)});