/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */

/*
 * $Id: base64.js,v 2.15 2014/04/05 12:58:57 dankogai Exp dankogai $
 *
 *  Licensed under the MIT license.
 *    http://opensource.org/licenses/mit-license
 *
 *  References:
 *    http://en.wikipedia.org/wiki/Base64
 */

/*!
 *
 * Copyright 2009-2012 Kris Kowal under the terms of the MIT
 * license found at http://github.com/kriskowal/q/raw/master/LICENSE
 *
 * With parts by Tyler Close
 * Copyright 2007-2009 Tyler Close under the terms of the MIT X license found
 * at http://www.opensource.org/licenses/mit-license.html
 * Forked at ref_send.js version: 2009-05-11
 *
 * With parts by Mark Miller
 * Copyright (C) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*!
  * Reqwest! A general purpose XHR connection manager
  * license MIT (c) Dustin Diaz 2014
  * https://github.com/ded/reqwest
  */

(function e(t,n,r){function i(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(s)return s(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var s=typeof require=="function"&&require;for(var o=0;o<r.length;o++)i(r[o]);return i})({1:[function(e,t,n){var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";(function(e){function l(e){var t=e.charCodeAt(0);if(t===n||t===a)return 62;if(t===i||t===f)return 63;if(t<s)return-1;if(t<s+10)return t-s+26+26;if(t<u+26)return t-u;if(t<o+26)return t-o+26}function c(e){function c(e){u[f++]=e}var n,r,i,s,o,u;if(e.length%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var a=e.length;o="="===e.charAt(a-2)?2:"="===e.charAt(a-1)?1:0,u=new t(e.length*3/4-o),i=o>0?e.length-4:e.length;var f=0;for(n=0,r=0;n<i;n+=4,r+=3)s=l(e.charAt(n))<<18|l(e.charAt(n+1))<<12|l(e.charAt(n+2))<<6|l(e.charAt(n+3)),c((s&16711680)>>16),c((s&65280)>>8),c(s&255);return o===2?(s=l(e.charAt(n))<<2|l(e.charAt(n+1))>>4,c(s&255)):o===1&&(s=l(e.charAt(n))<<10|l(e.charAt(n+1))<<4|l(e.charAt(n+2))>>2,c(s>>8&255),c(s&255)),u}function h(e){function u(e){return r.charAt(e)}function a(e){return u(e>>18&63)+u(e>>12&63)+u(e>>6&63)+u(e&63)}var t,n=e.length%3,i="",s,o;for(t=0,o=e.length-n;t<o;t+=3)s=(e[t]<<16)+(e[t+1]<<8)+e[t+2],i+=a(s);switch(n){case 1:s=e[e.length-1],i+=u(s>>2),i+=u(s<<4&63),i+="==";break;case 2:s=(e[e.length-2]<<8)+e[e.length-1],i+=u(s>>10),i+=u(s>>4&63),i+=u(s<<2&63),i+="="}return i}var t=typeof Uint8Array!="undefined"?Uint8Array:Array,n="+".charCodeAt(0),i="/".charCodeAt(0),s="0".charCodeAt(0),o="a".charCodeAt(0),u="A".charCodeAt(0),a="-".charCodeAt(0),f="_".charCodeAt(0);e.toByteArray=c,e.fromByteArray=h})(typeof n=="undefined"?this.base64js={}:n)},{}],2:[function(e,t,n){(function(t){"use strict";function u(){function e(){}try{var t=new Uint8Array(1);return t.foo=function(){return 42},t.constructor=e,t.foo()===42&&t.constructor===e&&typeof t.subarray=="function"&&t.subarray(1,1).byteLength===0}catch(n){return!1}}function a(){return f.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function f(e){return this instanceof f?(f.TYPED_ARRAY_SUPPORT||(this.length=0,this.parent=undefined),typeof e=="number"?l(this,e):typeof e=="string"?c(this,e,arguments.length>1?arguments[1]:"utf8"):h(this,e)):arguments.length>1?new f(e,arguments[1]):new f(e)}function l(e,t){e=b(e,t<0?0:w(t)|0);if(!f.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;n++)e[n]=0;return e}function c(e,t,n){if(typeof n!="string"||n==="")n="utf8";var r=S(t,n)|0;return e=b(e,r),e.write(t,n),e}function h(e,t){if(f.isBuffer(t))return p(e,t);if(s(t))return d(e,t);if(t==null)throw new TypeError("must start with number, buffer, array or string");if(typeof ArrayBuffer!="undefined"){if(t.buffer instanceof ArrayBuffer)return v(e,t);if(t instanceof ArrayBuffer)return m(e,t)}return t.length?g(e,t):y(e,t)}function p(e,t){var n=w(t.length)|0;return e=b(e,n),t.copy(e,0,0,n),e}function d(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function v(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function m(e,t){return f.TYPED_ARRAY_SUPPORT?(t.byteLength,e=f._augment(new Uint8Array(t))):e=v(e,new Uint8Array(t)),e}function g(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function y(e,t){var n,r=0;t.type==="Buffer"&&s(t.data)&&(n=t.data,r=w(n.length)|0),e=b(e,r);for(var i=0;i<r;i+=1)e[i]=n[i]&255;return e}function b(e,t){f.TYPED_ARRAY_SUPPORT?(e=f._augment(new Uint8Array(t)),e.__proto__=f.prototype):(e.length=t,e._isBuffer=!0);var n=t!==0&&t<=f.poolSize>>>1;return n&&(e.parent=o),e}function w(e){if(e>=a())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a().toString(16)+" bytes");return e|0}function E(e,t){if(this instanceof E){var n=new f(e,t);return delete n.parent,n}return new E(e,t)}function S(e,t){typeof e!="string"&&(e=""+e);var n=e.length;if(n===0)return 0;var r=!1;for(;;)switch(t){case"ascii":case"binary":case"raw":case"raws":return n;case"utf8":case"utf-8":return Q(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return Z(e).length;default:if(r)return Q(e).length;t=(""+t).toLowerCase(),r=!0}}function x(e,t,n){var r=!1;t|=0,n=n===undefined||n===Infinity?this.length:n|0,e||(e="utf8"),t<0&&(t=0),n>this.length&&(n=this.length);if(n<=t)return"";for(;;)switch(e){case"hex":return B(this,t,n);case"utf8":case"utf-8":return M(this,t,n);case"ascii":return P(this,t,n);case"binary":return H(this,t,n);case"base64":return O(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return j(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function T(e,t,n,r){n=Number(n)||0;var i=e.length-n;r?(r=Number(r),r>i&&(r=i)):r=i;var s=t.length;if(s%2!==0)throw new Error("Invalid hex string");r>s/2&&(r=s/2);for(var o=0;o<r;o++){var u=parseInt(t.substr(o*2,2),16);if(isNaN(u))throw new Error("Invalid hex string");e[n+o]=u}return o}function N(e,t,n,r){return et(Q(t,e.length-n),e,n,r)}function C(e,t,n,r){return et(G(t),e,n,r)}function k(e,t,n,r){return C(e,t,n,r)}function L(e,t,n,r){return et(Z(t),e,n,r)}function A(e,t,n,r){return et(Y(t,e.length-n),e,n,r)}function O(e,t,n){return t===0&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function M(e,t,n){n=Math.min(e.length,n);var r=[],i=t;while(i<n){var s=e[i],o=null,u=s>239?4:s>223?3:s>191?2:1;if(i+u<=n){var a,f,l,c;switch(u){case 1:s<128&&(o=s);break;case 2:a=e[i+1],(a&192)===128&&(c=(s&31)<<6|a&63,c>127&&(o=c));break;case 3:a=e[i+1],f=e[i+2],(a&192)===128&&(f&192)===128&&(c=(s&15)<<12|(a&63)<<6|f&63,c>2047&&(c<55296||c>57343)&&(o=c));break;case 4:a=e[i+1],f=e[i+2],l=e[i+3],(a&192)===128&&(f&192)===128&&(l&192)===128&&(c=(s&15)<<18|(a&63)<<12|(f&63)<<6|l&63,c>65535&&c<1114112&&(o=c))}}o===null?(o=65533,u=1):o>65535&&(o-=65536,r.push(o>>>10&1023|55296),o=56320|o&1023),r.push(o),i+=u}return D(r)}function D(e){var t=e.length;if(t<=_)return String.fromCharCode.apply(String,e);var n="",r=0;while(r<t)n+=String.fromCharCode.apply(String,e.slice(r,r+=_));return n}function P(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]&127);return r}function H(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]);return r}function B(e,t,n){var r=e.length;if(!t||t<0)t=0;if(!n||n<0||n>r)n=r;var i="";for(var s=t;s<n;s++)i+=K(e[s]);return i}function j(e,t,n){var r=e.slice(t,n),i="";for(var s=0;s<r.length;s+=2)i+=String.fromCharCode(r[s]+r[s+1]*256);return i}function F(e,t,n){if(e%1!==0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function I(e,t,n,r,i,s){if(!f.isBuffer(e))throw new TypeError("buffer must be a Buffer instance");if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range")}function q(e,t,n,r){t<0&&(t=65535+t+1);for(var i=0,s=Math.min(e.length-n,2);i<s;i++)e[n+i]=(t&255<<8*(r?i:1-i))>>>(r?i:1-i)*8}function R(e,t,n,r){t<0&&(t=4294967295+t+1);for(var i=0,s=Math.min(e.length-n,4);i<s;i++)e[n+i]=t>>>(r?i:3-i)*8&255}function U(e,t,n,r,i,s){if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range");if(n<0)throw new RangeError("index out of range")}function z(e,t,n,r,s){return s||U(e,t,n,4,3.4028234663852886e38,-3.4028234663852886e38),i.write(e,t,n,r,23,4),n+4}function W(e,t,n,r,s){return s||U(e,t,n,8,1.7976931348623157e308,-1.7976931348623157e308),i.write(e,t,n,r,52,8),n+8}function $(e){e=J(e).replace(V,"");if(e.length<2)return"";while(e.length%4!==0)e+="=";return e}function J(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}function K(e){return e<16?"0"+e.toString(16):e.toString(16)}function Q(e,t){t=t||Infinity;var n,r=e.length,i=null,s=[];for(var o=0;o<r;o++){n=e.charCodeAt(o);if(n>55295&&n<57344){if(!i){if(n>56319){(t-=3)>-1&&s.push(239,191,189);continue}if(o+1===r){(t-=3)>-1&&s.push(239,191,189);continue}i=n;continue}if(n<56320){(t-=3)>-1&&s.push(239,191,189),i=n;continue}n=(i-55296<<10|n-56320)+65536}else i&&(t-=3)>-1&&s.push(239,191,189);i=null;if(n<128){if((t-=1)<0)break;s.push(n)}else if(n<2048){if((t-=2)<0)break;s.push(n>>6|192,n&63|128)}else if(n<65536){if((t-=3)<0)break;s.push(n>>12|224,n>>6&63|128,n&63|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;s.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}}return s}function G(e){var t=[];for(var n=0;n<e.length;n++)t.push(e.charCodeAt(n)&255);return t}function Y(e,t){var n,r,i,s=[];for(var o=0;o<e.length;o++){if((t-=2)<0)break;n=e.charCodeAt(o),r=n>>8,i=n%256,s.push(i),s.push(r)}return s}function Z(e){return r.toByteArray($(e))}function et(e,t,n,r){for(var i=0;i<r;i++){if(i+n>=t.length||i>=e.length)break;t[i+n]=e[i]}return i}var r=e("base64-js"),i=e("ieee754"),s=e("isarray");n.Buffer=f,n.SlowBuffer=E,n.INSPECT_MAX_BYTES=50,f.poolSize=8192;var o={};f.TYPED_ARRAY_SUPPORT=t.TYPED_ARRAY_SUPPORT!==undefined?t.TYPED_ARRAY_SUPPORT:u(),f.TYPED_ARRAY_SUPPORT?(f.prototype.__proto__=Uint8Array.prototype,f.__proto__=Uint8Array):(f.prototype.length=undefined,f.prototype.parent=undefined),f.isBuffer=function(t){return t!=null&&!!t._isBuffer},f.compare=function(t,n){if(!f.isBuffer(t)||!f.isBuffer(n))throw new TypeError("Arguments must be Buffers");if(t===n)return 0;var r=t.length,i=n.length,s=0,o=Math.min(r,i);while(s<o){if(t[s]!==n[s])break;++s}return s!==o&&(r=t[s],i=n[s]),r<i?-1:i<r?1:0},f.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"raw":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},f.concat=function(t,n){if(!s(t))throw new TypeError("list argument must be an Array of Buffers.");if(t.length===0)return new f(0);var r;if(n===undefined){n=0;for(r=0;r<t.length;r++)n+=t[r].length}var i=new f(n),o=0;for(r=0;r<t.length;r++){var u=t[r];u.copy(i,o),o+=u.length}return i},f.byteLength=S,f.prototype.toString=function tt(){var e=this.length|0;return e===0?"":arguments.length===0?M(this,0,e):x.apply(this,arguments)},f.prototype.equals=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?!0:f.compare(this,t)===0},f.prototype.inspect=function(){var t="",r=n.INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,r).match(/.{2}/g).join(" "),this.length>r&&(t+=" ... ")),"<Buffer "+t+">"},f.prototype.compare=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?0:f.compare(this,t)},f.prototype.indexOf=function(t,n){function r(e,t,n){var r=-1;for(var i=0;n+i<e.length;i++)if(e[n+i]===t[r===-1?0:i-r]){r===-1&&(r=i);if(i-r+1===t.length)return n+r}else r=-1;return-1}n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n>>=0;if(this.length===0)return-1;if(n>=this.length)return-1;n<0&&(n=Math.max(this.length+n,0));if(typeof t=="string")return t.length===0?-1:String.prototype.indexOf.call(this,t,n);if(f.isBuffer(t))return r(this,t,n);if(typeof t=="number")return f.TYPED_ARRAY_SUPPORT&&Uint8Array.prototype.indexOf==="function"?Uint8Array.prototype.indexOf.call(this,t,n):r(this,[t],n);throw new TypeError("val must be string, number or Buffer")},f.prototype.get=function(t){return console.log(".get() is deprecated. Access using array indexes instead."),this.readUInt8(t)},f.prototype.set=function(t,n){return console.log(".set() is deprecated. Access using array indexes instead."),this.writeUInt8(t,n)},f.prototype.write=function(t,n,r,i){if(n===undefined)i="utf8",r=this.length,n=0;else if(r===undefined&&typeof n=="string")i=n,r=this.length,n=0;else if(isFinite(n))n|=0,isFinite(r)?(r|=0,i===undefined&&(i="utf8")):(i=r,r=undefined);else{var s=i;i=n,n=r|0,r=s}var o=this.length-n;if(r===undefined||r>o)r=o;if(t.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("attempt to write outside buffer bounds");i||(i="utf8");var u=!1;for(;;)switch(i){case"hex":return T(this,t,n,r);case"utf8":case"utf-8":return N(this,t,n,r);case"ascii":return C(this,t,n,r);case"binary":return k(this,t,n,r);case"base64":return L(this,t,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return A(this,t,n,r);default:if(u)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),u=!0}},f.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var _=4096;f.prototype.slice=function(t,n){var r=this.length;t=~~t,n=n===undefined?r:~~n,t<0?(t+=r,t<0&&(t=0)):t>r&&(t=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<t&&(n=t);var i;if(f.TYPED_ARRAY_SUPPORT)i=f._augment(this.subarray(t,n));else{var s=n-t;i=new f(s,undefined);for(var o=0;o<s;o++)i[o]=this[o+t]}return i.length&&(i.parent=this.parent||this),i},f.prototype.readUIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return i},f.prototype.readUIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t+ --n],s=1;while(n>0&&(s*=256))i+=this[t+ --n]*s;return i},f.prototype.readUInt8=function(t,n){return n||F(t,1,this.length),this[t]},f.prototype.readUInt16LE=function(t,n){return n||F(t,2,this.length),this[t]|this[t+1]<<8},f.prototype.readUInt16BE=function(t,n){return n||F(t,2,this.length),this[t]<<8|this[t+1]},f.prototype.readUInt32LE=function(t,n){return n||F(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+this[t+3]*16777216},f.prototype.readUInt32BE=function(t,n){return n||F(t,4,this.length),this[t]*16777216+(this[t+1]<<16|this[t+2]<<8|this[t+3])},f.prototype.readIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return s*=128,i>=s&&(i-=Math.pow(2,8*n)),i},f.prototype.readIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=n,s=1,o=this[t+ --i];while(i>0&&(s*=256))o+=this[t+ --i]*s;return s*=128,o>=s&&(o-=Math.pow(2,8*n)),o},f.prototype.readInt8=function(t,n){return n||F(t,1,this.length),this[t]&128?(255-this[t]+1)*-1:this[t]},f.prototype.readInt16LE=function(t,n){n||F(t,2,this.length);var r=this[t]|this[t+1]<<8;return r&32768?r|4294901760:r},f.prototype.readInt16BE=function(t,n){n||F(t,2,this.length);var r=this[t+1]|this[t]<<8;return r&32768?r|4294901760:r},f.prototype.readInt32LE=function(t,n){return n||F(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},f.prototype.readInt32BE=function(t,n){return n||F(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},f.prototype.readFloatLE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!0,23,4)},f.prototype.readFloatBE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!1,23,4)},f.prototype.readDoubleLE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!0,52,8)},f.prototype.readDoubleBE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!1,52,8)},f.prototype.writeUIntLE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=1,o=0;this[n]=t&255;while(++o<r&&(s*=256))this[n+o]=t/s&255;return n+r},f.prototype.writeUIntBE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=r-1,o=1;this[n+s]=t&255;while(--s>=0&&(o*=256))this[n+s]=t/o&255;return n+r},f.prototype.writeUInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,255,0),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[n]=t&255,n+1},f.prototype.writeUInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeUInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeUInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n+3]=t>>>24,this[n+2]=t>>>16,this[n+1]=t>>>8,this[n]=t&255):R(this,t,n,!0),n+4},f.prototype.writeUInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeIntLE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=0,u=1,a=t<0?1:0;this[n]=t&255;while(++o<r&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeIntBE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=r-1,u=1,a=t<0?1:0;this[n+o]=t&255;while(--o>=0&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,127,-128),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[n]=t&255,n+1},f.prototype.writeInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8,this[n+2]=t>>>16,this[n+3]=t>>>24):R(this,t,n,!0),n+4},f.prototype.writeInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeFloatLE=function(t,n,r){return z(this,t,n,!0,r)},f.prototype.writeFloatBE=function(t,n,r){return z(this,t,n,!1,r)},f.prototype.writeDoubleLE=function(t,n,r){return W(this,t,n,!0,r)},f.prototype.writeDoubleBE=function(t,n,r){return W(this,t,n,!1,r)},f.prototype.copy=function(t,n,r,i){r||(r=0),!i&&i!==0&&(i=this.length),n>=t.length&&(n=t.length),n||(n=0),i>0&&i<r&&(i=r);if(i===r)return 0;if(t.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-n<i-r&&(i=t.length-n+r);var s=i-r,o;if(this===t&&r<n&&n<i)for(o=s-1;o>=0;o--)t[o+n]=this[o+r];else if(s<1e3||!f.TYPED_ARRAY_SUPPORT)for(o=0;o<s;o++)t[o+n]=this[o+r];else t._set(this.subarray(r,r+s),n);return s},f.prototype.fill=function(t,n,r){t||(t=0),n||(n=0),r||(r=this.length);if(r<n)throw new RangeError("end < start");if(r===n)return;if(this.length===0)return;if(n<0||n>=this.length)throw new RangeError("start out of bounds");if(r<0||r>this.length)throw new RangeError("end out of bounds");var i;if(typeof t=="number")for(i=n;i<r;i++)this[i]=t;else{var s=Q(t.toString()),o=s.length;for(i=n;i<r;i++)this[i]=s[i%o]}return this},f.prototype.toArrayBuffer=function(){if(typeof Uint8Array!="undefined"){if(f.TYPED_ARRAY_SUPPORT)return(new f(this)).buffer;var t=new Uint8Array(this.length);for(var n=0,r=t.length;n<r;n+=1)t[n]=this[n];return t.buffer}throw new TypeError("Buffer.toArrayBuffer not supported in this browser")};var X=f.prototype;f._augment=function(t){return t.constructor=f,t._isBuffer=!0,t._set=t.set,t.get=X.get,t.set=X.set,t.write=X.write,t.toString=X.toString,t.toLocaleString=X.toString,t.toJSON=X.toJSON,t.equals=X.equals,t.compare=X.compare,t.indexOf=X.indexOf,t.copy=X.copy,t.slice=X.slice,t.readUIntLE=X.readUIntLE,t.readUIntBE=X.readUIntBE,t.readUInt8=X.readUInt8,t.readUInt16LE=X.readUInt16LE,t.readUInt16BE=X.readUInt16BE,t.readUInt32LE=X.readUInt32LE,t.readUInt32BE=X.readUInt32BE,t.readIntLE=X.readIntLE,t.readIntBE=X.readIntBE,t.readInt8=X.readInt8,t.readInt16LE=X.readInt16LE,t.readInt16BE=X.readInt16BE,t.readInt32LE=X.readInt32LE,t.readInt32BE=X.readInt32BE,t.readFloatLE=X.readFloatLE,t.readFloatBE=X.readFloatBE,t.readDoubleLE=X.readDoubleLE,t.readDoubleBE=X.readDoubleBE,t.writeUInt8=X.writeUInt8,t.writeUIntLE=X.writeUIntLE,t.writeUIntBE=X.writeUIntBE,t.writeUInt16LE=X.writeUInt16LE,t.writeUInt16BE=X.writeUInt16BE,t.writeUInt32LE=X.writeUInt32LE,t.writeUInt32BE=X.writeUInt32BE,t.writeIntLE=X.writeIntLE,t.writeIntBE=X.writeIntBE,t.writeInt8=X.writeInt8,t.writeInt16LE=X.writeInt16LE,t.writeInt16BE=X.writeInt16BE,t.writeInt32LE=X.writeInt32LE,t.writeInt32BE=X.writeInt32BE,t.writeFloatLE=X.writeFloatLE,t.writeFloatBE=X.writeFloatBE,t.writeDoubleLE=X.writeDoubleLE,t.writeDoubleBE=X.writeDoubleBE,t.fill=X.fill,t.inspect=X.inspect,t.toArrayBuffer=X.toArrayBuffer,t};var V=/[^+\/0-9A-Za-z-_]/g}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{"base64-js":1,ieee754:4,isarray:3}],3:[function(e,t,n){var r={}.toString;t.exports=Array.isArray||function(e){return r.call(e)=="[object Array]"}},{}],4:[function(e,t,n){n.read=function(e,t,n,r,i){var s,o,u=i*8-r-1,a=(1<<u)-1,f=a>>1,l=-7,c=n?i-1:0,h=n?-1:1,p=e[t+c];c+=h,s=p&(1<<-l)-1,p>>=-l,l+=u;for(;l>0;s=s*256+e[t+c],c+=h,l-=8);o=s&(1<<-l)-1,s>>=-l,l+=r;for(;l>0;o=o*256+e[t+c],c+=h,l-=8);if(s===0)s=1-f;else{if(s===a)return o?NaN:(p?-1:1)*Infinity;o+=Math.pow(2,r),s-=f}return(p?-1:1)*o*Math.pow(2,s-r)},n.write=function(e,t,n,r,i,s){var o,u,a,f=s*8-i-1,l=(1<<f)-1,c=l>>1,h=i===23?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:s-1,d=r?1:-1,v=t<0||t===0&&1/t<0?1:0;t=Math.abs(t),isNaN(t)||t===Infinity?(u=isNaN(t)?1:0,o=l):(o=Math.floor(Math.log(t)/Math.LN2),t*(a=Math.pow(2,-o))<1&&(o--,a*=2),o+c>=1?t+=h/a:t+=h*Math.pow(2,1-c),t*a>=2&&(o++,a/=2),o+c>=l?(u=0,o=l):o+c>=1?(u=(t*a-1)*Math.pow(2,i),o+=c):(u=t*Math.pow(2,c-1)*Math.pow(2,i),o=0));for(;i>=8;e[n+p]=u&255,p+=d,u/=256,i-=8);o=o<<i|u,f+=i;for(;f>0;e[n+p]=o&255,p+=d,o/=256,f-=8);e[n+p-d]|=v*128}},{}],5:[function(e,t,n){(function(n){var r=n.Base64,i="2.1.9",s;if(typeof t!="undefined"&&t.exports)try{s=e("buffer").Buffer}catch(o){}var u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=function(e){var t={};for(var n=0,r=e.length;n<r;n++)t[e.charAt(n)]=n;return t}(u),f=String.fromCharCode,l=function(e){if(e.length<2){var t=e.charCodeAt(0);return t<128?e:t<2048?f(192|t>>>6)+f(128|t&63):f(224|t>>>12&15)+f(128|t>>>6&63)+f(128|t&63)}var t=65536+(e.charCodeAt(0)-55296)*1024+(e.charCodeAt(1)-56320);return f(240|t>>>18&7)+f(128|t>>>12&63)+f(128|t>>>6&63)+f(128|t&63)},c=/[\uD800-\uDBFF][\uDC00-\uDFFFF]|[^\x00-\x7F]/g,h=function(e){return e.replace(c,l)},p=function(e){var t=[0,2,1][e.length%3],n=e.charCodeAt(0)<<16|(e.length>1?e.charCodeAt(1):0)<<8|(e.length>2?e.charCodeAt(2):0),r=[u.charAt(n>>>18),u.charAt(n>>>12&63),t>=2?"=":u.charAt(n>>>6&63),t>=1?"=":u.charAt(n&63)];return r.join("")},d=n.btoa?function(e){return n.btoa(e)}:function(e){return e.replace(/[\s\S]{1,3}/g,p)},v=s?function(e){return(e.constructor===s.constructor?e:new s(e)).toString("base64")}:function(e){return d(h(e))},m=function(e,t){return t?v(String(e)).replace(/[+\/]/g,function(e){return e=="+"?"-":"_"}).replace(/=/g,""):v(String(e))},g=function(e){return m(e,!0)},y=new RegExp(["[À-ß][-¿]","[à-ï][-¿]{2}","[ð-÷][-¿]{3}"].join("|"),"g"),b=function(e){switch(e.length){case 4:var t=(7&e.charCodeAt(0))<<18|(63&e.charCodeAt(1))<<12|(63&e.charCodeAt(2))<<6|63&e.charCodeAt(3),n=t-65536;return f((n>>>10)+55296)+f((n&1023)+56320);case 3:return f((15&e.charCodeAt(0))<<12|(63&e.charCodeAt(1))<<6|63&e.charCodeAt(2));default:return f((31&e.charCodeAt(0))<<6|63&e.charCodeAt(1))}},w=function(e){return e.replace(y,b)},E=function(e){var t=e.length,n=t%4,r=(t>0?a[e.charAt(0)]<<18:0)|(t>1?a[e.charAt(1)]<<12:0)|(t>2?a[e.charAt(2)]<<6:0)|(t>3?a[e.charAt(3)]:0),i=[f(r>>>16),f(r>>>8&255),f(r&255)];return i.length-=[0,0,2,1][n],i.join("")},S=n.atob?function(e){return n.atob(e)}:function(e){return e.replace(/[\s\S]{1,4}/g,E)},x=s?function(e){return(e.constructor===s.constructor?e:new s(e,"base64")).toString()}:function(e){return w(S(e))},T=function(e){return x(String(e).replace(/[-_]/g,function(e){return e=="-"?"+":"/"}).replace(/[^A-Za-z0-9\+\/]/g,""))},N=function(){var e=n.Base64;return n.Base64=r,e};n.Base64={VERSION:i,atob:S,btoa:d,fromBase64:T,toBase64:m,utob:h,encode:m,encodeURI:g,btou:w,decode:T,noConflict:N};if(typeof Object.defineProperty=="function"){var C=function(e){return{value:e,enumerable:!1,writable:!0,configurable:!0}};n.Base64.extendString=function(){Object.defineProperty(String.prototype,"fromBase64",C(function(){return T(this)})),Object.defineProperty(String.prototype,"toBase64",C(function(e){return m(this,e)})),Object.defineProperty(String.prototype,"toBase64URI",C(function(){return m(this,!0)}))}}n.Meteor&&(Base64=n.Base64)})(this)},{buffer:2}],6:[function(e,t,n){var r=e("../internal/arrayEach"),i=e("../internal/baseEach"),s=e("../internal/createForEach"),o=s(r,i);t.exports=o},{"../internal/arrayEach":8,"../internal/baseEach":12,"../internal/createForEach":20}],7:[function(e,t,n){function s(e,t){if(typeof e!="function")throw new TypeError(r);return t=i(t===undefined?e.length-1:+t||0,0),function(){var n=arguments,r=-1,s=i(n.length-t,0),o=Array(s);while(++r<s)o[r]=n[t+r];switch(t){case 0:return e.call(this,o);case 1:return e.call(this,n[0],o);case 2:return e.call(this,n[0],n[1],o)}var u=Array(t+1);r=-1;while(++r<t)u[r]=n[r];return u[t]=o,e.apply(this,u)}}var r="Expected a function",i=Math.max;t.exports=s},{}],8:[function(e,t,n){function r(e,t){var n=-1,r=e.length;while(++n<r)if(t(e[n],n,e)===!1)break;return e}t.exports=r},{}],9:[function(e,t,n){function i(e,t,n){var i=-1,s=r(t),o=s.length;while(++i<o){var u=s[i],a=e[u],f=n(a,t[u],u,e,t);if((f===f?f!==a:a===a)||a===undefined&&!(u in e))e[u]=f}return e}var r=e("../object/keys");t.exports=i},{"../object/keys":36}],10:[function(e,t,n){function s(e,t){return t==null?e:r(t,i(t),e)}var r=e("./baseCopy"),i=e("../object/keys");t.exports=s},{"../object/keys":36,"./baseCopy":11}],11:[function(e,t,n){function r(e,t,n){n||(n={});var r=-1,i=t.length;while(++r<i){var s=t[r];n[s]=e[s]}return n}t.exports=r},{}],12:[function(e,t,n){var r=e("./baseForOwn"),i=e("./createBaseEach"),s=i(r);t.exports=s},{"./baseForOwn":14,"./createBaseEach":18}],13:[function(e,t,n){var r=e("./createBaseFor"),i=r();t.exports=i},{"./createBaseFor":19}],14:[function(e,t,n){function s(e,t){return r(e,t,i)}var r=e("./baseFor"),i=e("../object/keys");t.exports=s},{"../object/keys":36,"./baseFor":13}],15:[function(e,t,n){function r(e){return function(t){return t==null?undefined:t[e]}}t.exports=r},{}],16:[function(e,t,n){function i(e,t,n){if(typeof e!="function")return r;if(t===undefined)return e;switch(n){case 1:return function(n){return e.call(t,n)};case 3:return function(n,r,i){return e.call(t,n,r,i)};case 4:return function(n,r,i,s){return e.call(t,n,r,i,s)};case 5:return function(n,r,i,s,o){return e.call(t,n,r,i,s,o)}}return function(){return e.apply(t,arguments)}}var r=e("../utility/identity");t.exports=i},{"../utility/identity":38}],17:[function(e,t,n){function o(e){return s(function(t,n){var s=-1,o=t==null?0:n.length,u=o>2?n[o-2]:undefined,a=o>2?n[2]:undefined,f=o>1?n[o-1]:undefined;typeof u=="function"?(u=r(u,f,5),o-=2):(u=typeof f=="function"?f:undefined,o-=u?1:0),a&&i(n[0],n[1],a)&&(u=o<3?undefined:u,o=1);while(++s<o){var l=n[s];l&&e(t,l,u)}return t})}var r=e("./bindCallback"),i=e("./isIterateeCall"),s=e("../function/restParam");t.exports=o},{"../function/restParam":7,"./bindCallback":16,"./isIterateeCall":25}],18:[function(e,t,n){function o(e,t){return function(n,o){var u=n?r(n):0;if(!i(u))return e(n,o);var a=t?u:-1,f=s(n);while(t?a--:++a<u)if(o(f[a],a,f)===!1)break;return n}}var r=e("./getLength"),i=e("./isLength"),s=e("./toObject");t.exports=o},{"./getLength":21,"./isLength":26,"./toObject":29}],19:[function(e,t,n){function i(e){return function(t,n,i){var s=r(t),o=i(t),u=o.length,a=e?u:-1;while(e?a--:++a<u){var f=o[a];if(n(s[f],f,s)===!1)break}return t}}var r=e("./toObject");t.exports=i},{"./toObject":29}],20:[function(e,t,n){function s(e,t){return function(n,s,o){return typeof s=="function"&&o===undefined&&i(n)?e(n,s):t(n,r(s,o,3))}}var r=e("./bindCallback"),i=e("../lang/isArray");t.exports=s},{"../lang/isArray":31,"./bindCallback":16}],21:[function(e,t,n){var r=e("./baseProperty"),i=r("length");t.exports=i},{"./baseProperty":15}],22:[function(e,t,n){function i(e,t){var n=e==null?undefined:e[t];return r(n)?n:undefined}var r=e("../lang/isNative");t.exports=i},{"../lang/isNative":33}],23:[function(e,t,n){function s(e){return e!=null&&i(r(e))}var r=e("./getLength"),i=e("./isLength");t.exports=s},{"./getLength":21,"./isLength":26}],24:[function(e,t,n){function s(e,t){return e=typeof e=="number"||r.test(e)?+e:-1,t=t==null?i:t,e>-1&&e%1==0&&e<t}var r=/^\d+$/,i=9007199254740991;t.exports=s},{}],25:[function(e,t,n){function o(e,t,n){if(!s(n))return!1;var o=typeof t;if(o=="number"?r(n)&&i(t,n.length):o=="string"&&t in n){var u=n[t];return e===e?e===u:u!==u}return!1}var r=e("./isArrayLike"),i=e("./isIndex"),s=e("../lang/isObject");t.exports=o},{"../lang/isObject":34,"./isArrayLike":23,"./isIndex":24}],26:[function(e,t,n){function i(e){return typeof e=="number"&&e>-1&&e%1==0&&e<=r}var r=9007199254740991;t.exports=i},{}],27:[function(e,t,n){function r(e){return!!e&&typeof e=="object"}t.exports=r},{}],28:[function(e,t,n){function l(e){var t=u(e),n=t.length,a=n&&e.length,l=!!a&&o(a)&&(i(e)||r(e)),c=-1,h=[];while(++c<n){var p=t[c];(l&&s(p,a)||f.call(e,p))&&h.push(p)}return h}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("./isIndex"),o=e("./isLength"),u=e("../object/keysIn"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../lang/isArguments":30,"../lang/isArray":31,"../object/keysIn":37,"./isIndex":24,"./isLength":26}],29:[function(e,t,n){function i(e){return r(e)?e:Object(e)}var r=e("../lang/isObject");t.exports=i},{"../lang/isObject":34}],30:[function(e,t,n){function a(e){return i(e)&&r(e)&&o.call(e,"callee")&&!u.call(e,"callee")}var r=e("../internal/isArrayLike"),i=e("../internal/isObjectLike"),s=Object.prototype,o=s.hasOwnProperty,u=s.propertyIsEnumerable;t.exports=a},{"../internal/isArrayLike":23,"../internal/isObjectLike":27}],31:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isLength"),s=e("../internal/isObjectLike"),o="[object Array]",u=Object.prototype,a=u.toString,f=r(Array,"isArray"),l=f||function(e){return s(e)&&i(e.length)&&a.call(e)==o};t.exports=l},{"../internal/getNative":22,"../internal/isLength":26,"../internal/isObjectLike":27}],32:[function(e,t,n){function u(e){return r(e)&&o.call(e)==i}var r=e("./isObject"),i="[object Function]",s=Object.prototype,o=s.toString;t.exports=u},{"./isObject":34}],33:[function(e,t,n){function l(e){return e==null?!1:r(e)?f.test(u.call(e)):i(e)&&s.test(e)}var r=e("./isFunction"),i=e("../internal/isObjectLike"),s=/^\[object .+?Constructor\]$/,o=Object.prototype,u=Function.prototype.toString,a=o.hasOwnProperty,f=RegExp("^"+u.call(a).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");t.exports=l},{"../internal/isObjectLike":27,"./isFunction":32}],34:[function(e,t,n){function r(e){var t=typeof e;return!!e&&(t=="object"||t=="function")}t.exports=r},{}],35:[function(e,t,n){var r=e("../internal/assignWith"),i=e("../internal/baseAssign"),s=e("../internal/createAssigner"),o=s(function(e,t,n){return n?r(e,t,n):i(e,t)});t.exports=o},{"../internal/assignWith":9,"../internal/baseAssign":10,"../internal/createAssigner":17}],36:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isArrayLike"),s=e("../lang/isObject"),o=e("../internal/shimKeys"),u=r(Object,"keys"),a=u?function(e){var t=e==null?undefined:e.constructor;return typeof t=="function"&&t.prototype===e||typeof e!="function"&&i(e)?o(e):s(e)?u(e):[]}:o;t.exports=a},{"../internal/getNative":22,"../internal/isArrayLike":23,"../internal/shimKeys":28,"../lang/isObject":34}],37:[function(e,t,n){function l(e){if(e==null)return[];u(e)||(e=Object(e));var t=e.length;t=t&&o(t)&&(i(e)||r(e))&&t||0;var n=e.constructor,a=-1,l=typeof n=="function"&&n.prototype===e,c=Array(t),h=t>0;while(++a<t)c[a]=a+"";for(var p in e)(!h||!s(p,t))&&(p!="constructor"||!l&&!!f.call(e,p))&&c.push(p);return c}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("../internal/isIndex"),o=e("../internal/isLength"),u=e("../lang/isObject"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../internal/isIndex":24,"../internal/isLength":26,"../lang/isArguments":30,"../lang/isArray":31,"../lang/isObject":34}],38:[function(e,t,n){function r(e){return e}t.exports=r},{}],39:[function(e,t,n){function a(){if(!s||!o)return;s=!1,o.length?i=o.concat(i):u=-1,i.length&&f()}function f(){if(s)return;var e=setTimeout(a);s=!0;var t=i.length;while(t){o=i,i=[];while(++u<t)o&&o[u].run();u=-1,t=i.length}o=null,s=!1,clearTimeout(e)}function l(e,t){this.fun=e,this.array=t}function c(){}var r=t.exports={},i=[],s=!1,o,u=-1;r.nextTick=function(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];i.push(new l(e,t)),i.length===1&&!s&&setTimeout(f,0)},l.prototype.run=function(){this.fun.apply(null,this.array)},r.title="browser",r.browser=!0,r.env={},r.argv=[],r.version="",r.versions={},r.on=c,r.addListener=c,r.once=c,r.off=c,r.removeListener=c,r.removeAllListeners=c,r.emit=c,r.binding=function(e){throw new Error("process.binding is not supported")},r.cwd=function(){return"/"},r.chdir=function(e){throw new Error("process.chdir is not supported")},r.umask=function(){return 0}},{}],40:[function(e,t,n){(function(e){(function(e){if(typeof bootstrap=="function")bootstrap("promise",e);else if(typeof n=="object"&&typeof t=="object")t.exports=e();else if(typeof define=="function"&&define.amd)define(e);else if(typeof ses!="undefined"){if(!ses.ok())return;ses.makeQ=e}else{if(typeof window=="undefined"&&typeof self=="undefined")throw new Error("This environment was not anticipated by Q. Please file a bug.");var r=typeof window!="undefined"?window:self,i=r.Q;r.Q=e(),r.Q.noConflict=function(){return r.Q=i,this}}})(function(){function a(e){return function(){return u.apply(e,arguments)}}function g(e){return e===Object(e)}function y(e){return m(e)==="[object StopIteration]"||e instanceof b}function E(e,n){if(t&&n.stack&&typeof e=="object"&&e!==null&&e.stack&&e.stack.indexOf(w)===-1){var r=[];for(var i=n;!!i;i=i.source)i.stack&&r.unshift(i.stack);r.unshift(e.stack);var s=r.join("\n"+w+"\n");e.stack=S(s)}}function S(e){var t=e.split("\n"),n=[];for(var r=0;r<t.length;++r){var i=t[r];!N(i)&&!x(i)&&i&&n.push(i)}return n.join("\n")}function x(e){return e.indexOf("(module.js:")!==-1||e.indexOf("(node.js:")!==-1}function T(e){var t=/at .+ \((.+):(\d+):(?:\d+)\)$/.exec(e);if(t)return[t[1],Number(t[2])];var n=/at ([^ ]+):(\d+):(?:\d+)$/.exec(e);if(n)return[n[1],Number(n[2])];var r=/.*@(.+):(\d+)$/.exec(e);if(r)return[r[1],Number(r[2])]}function N(e){var t=T(e);if(!t)return!1;var n=t[0],s=t[1];return n===i&&s>=r&&s<=ft}function C(){if(!t)return;try{throw new Error}catch(e){var n=e.stack.split("\n"),r=n[0].indexOf("@")>0?n[1]:n[2],s=T(r);if(!s)return;return i=s[0],s[1]}}function k(e,t,n){return function(){return typeof console!="undefined"&&typeof console.warn=="function"&&console.warn(t+" is deprecated, use "+n+" instead.",(new Error("")).stack),e.apply(e,arguments)}}function L(e){return e instanceof _?e:B(e)?K(e):J(e)}function A(){function u(t){r=t,s.source=t,l(e,function(e,n){L.nextTick(function(){t.promiseDispatch.apply(t,n)})},void 0),e=void 0,n=void 0}var e=[],n=[],r,i=p(A.prototype),s=p(_.prototype);s.promiseDispatch=function(t,i,s){var o=f(arguments);e?(e.push(o),i==="when"&&s[1]&&n.push(s[1])):L.nextTick(function(){r.promiseDispatch.apply(r,o)})},s.valueOf=function(){if(e)return s;var t=P(r);return H(t)&&(r=t),t},s.inspect=function(){return r?r.inspect():{state:"pending"}};if(L.longStackSupport&&t)try{throw new Error}catch(o){s.stack=o.stack.substring(o.stack.indexOf("\n")+1)}return i.promise=s,i.resolve=function(e){if(r)return;u(L(e))},i.fulfill=function(e){if(r)return;u(J(e))},i.reject=function(e){if(r)return;u($(e))},i.notify=function(e){if(r)return;l(n,function(t,n){L.nextTick(function(){n(e)})},void 0)},i}function O(e){if(typeof e!="function")throw new TypeError("resolver must be a function.");var t=A();try{e(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}return t.promise}function M(e){return O(function(t,n){for(var r=0,i=e.length;r<i;r++)L(e[r]).then(t,n)})}function _(e,t,n){t===void 0&&(t=function(e){return $(new Error("Promise does not support operation: "+e))}),n===void 0&&(n=function(){return{state:"unknown"}});var r=p(_.prototype);r.promiseDispatch=function(n,i,s){var o;try{e[i]?o=e[i].apply(r,s):o=t.call(r,i,s)}catch(u){o=$(u)}n&&n(o)},r.inspect=n;if(n){var i=n();i.state==="rejected"&&(r.exception=i.reason),r.valueOf=function(){var e=n();return e.state==="pending"||e.state==="rejected"?r:e.value}}return r}function D(e,t,n,r){return L(e).then(t,n,r)}function P(e){if(H(e)){var t=e.inspect();if(t.state==="fulfilled")return t.value}return e}function H(e){return e instanceof _}function B(e){return g(e)&&typeof e.then=="function"}function j(e){return H(e)&&e.inspect().state==="pending"}function F(e){return!H(e)||e.inspect().state==="fulfilled"}function I(e){return H(e)&&e.inspect().state==="rejected"}function W(){q.length=0,R.length=0,z||(z=!0)}function X(t,n){if(!z)return;typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){c(R,t)!==-1&&(e.emit("unhandledRejection",n,t),U.push(t))}),R.push(t),n&&typeof n.stack!="undefined"?q.push(n.stack):q.push("(no stack) "+n)}function V(t){if(!z)return;var n=c(R,t);n!==-1&&(typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){var r=c(U,t);r!==-1&&(e.emit("rejectionHandled",q[n],t),U.splice(r,1))}),R.splice(n,1),q.splice(n,1))}function $(e){var t=_({when:function(t){return t&&V(this),t?t(e):this}},function(){return this},function(){return{state:"rejected",reason:e}});return X(t,e),t}function J(e){return _({when:function(){return e},get:function(t){return e[t]},set:function(t,n){e[t]=n},"delete":function(t){delete e[t]},post:function(t,n){return t===null||t===void 0?e.apply(void 0,n):e[t].apply(e,n)},apply:function(t,n){return e.apply(t,n)},keys:function(){return v(e)}},void 0,function(){return{state:"fulfilled",value:e}})}function K(e){var t=A();return L.nextTick(function(){try{e.then(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}}),t.promise}function Q(e){return _({isDef:function(){}},function(n,r){return nt(e,n,r)},function(){return L(e).inspect()})}function G(e,t,n){return L(e).spread(t,n)}function Y(e){return function(){function t(e,t){var s;if(typeof StopIteration=="undefined"){try{s=n[e](t)}catch(o){return $(o)}return s.done?L(s.value):D(s.value,r,i)}try{s=n[e](t)}catch(o){return y(o)?L(o.value):$(o)}return D(s,r,i)}var n=e.apply(this,arguments),r=t.bind(t,"next"),i=t.bind(t,"throw");return r()}}function Z(e){L.done(L.async(e)())}function et(e){throw new b(e)}function tt(e){return function(){return G([this,rt(arguments)],function(t,n){return e.apply(t,n)})}}function nt(e,t,n){return L(e).dispatch(t,n)}function rt(e){return D(e,function(e){var t=0,n=A();return l(e,function(r,i,s){var o;H(i)&&(o=i.inspect()).state==="fulfilled"?e[s]=o.value:(++t,D(i,function(r){e[s]=r,--t===0&&n.resolve(e)},n.reject,function(e){n.notify({index:s,value:e})}))},void 0),t===0&&n.resolve(e),n.promise})}function it(e){if(e.length===0)return L.resolve();var t=L.defer(),n=0;return l(e,function(r,i,s){function u(e){t.resolve(e)}function a(){n--,n===0&&t.reject(new Error("Can't get fulfillment value from any promise, all promises were rejected."))}function f(e){t.notify({index:s,value:e})}var o=e[s];n++,D(o,u,a,f)},undefined),t.promise}function st(e){return D(e,function(e){return e=h(e,L),D(rt(h(e,function(e){return D(e,s,s)})),function(){return e})})}function ot(e){return L(e).allSettled()}function ut(e,t){return L(e).then(void 0,void 0,t)}function at(e,t){return L(e).nodeify(t)}var t=!1;try{throw new Error}catch(n){t=!!n.stack}var r=C(),i,s=function(){},o=function(){function a(){var e,n;while(t.next)t=t.next,e=t.task,t.task=void 0,n=t.domain,n&&(t.domain=void 0,n.enter()),f(e,n);while(u.length)e=u.pop(),f(e);r=!1}function f(e,t){try{e()}catch(n){if(s)throw t&&t.exit(),setTimeout(a,0),t&&t.enter(),n;setTimeout(function(){throw n},0)}t&&t.exit()}var t={task:void 0,next:null},n=t,r=!1,i=void 0,s=!1,u=[];o=function(t){n=n.next={task:t,domain:s&&e.domain,next:null},r||(r=!0,i())};if(typeof e=="object"&&e.toString()==="[object process]"&&e.nextTick)s=!0,i=function(){e.nextTick(a)};else if(typeof setImmediate=="function")typeof window!="undefined"?i=setImmediate.bind(window,a):i=function(){setImmediate(a)};else if(typeof MessageChannel!="undefined"){var l=new MessageChannel;l.port1.onmessage=function(){i=c,l.port1.onmessage=a,a()};var c=function(){l.port2.postMessage(0)};i=function(){setTimeout(a,0),c()}}else i=function(){setTimeout(a,0)};return o.runAfter=function(e){u.push(e),r||(r=!0,i())},o}(),u=Function.call,f=a(Array.prototype.slice),l=a(Array.prototype.reduce||function(e,t){var n=0,r=this.length;if(arguments.length===1)do{if(n in this){t=this[n++];break}if(++n>=r)throw new TypeError}while(1);for(;n<r;n++)n in this&&(t=e(t,this[n],n));return t}),c=a(Array.prototype.indexOf||function(e){for(var t=0;t<this.length;t++)if(this[t]===e)return t;return-1}),h=a(Array.prototype.map||function(e,t){var n=this,r=[];return l(n,function(i,s,o){r.push(e.call(t,s,o,n))},void 0),r}),p=Object.create||function(e){function t(){}return t.prototype=e,new t},d=a(Object.prototype.hasOwnProperty),v=Object.keys||function(e){var t=[];for(var n in e)d(e,n)&&t.push(n);return t},m=a(Object.prototype.toString),b;typeof ReturnValue!="undefined"?b=ReturnValue:b=function(e){this.value=e};var w="From previous event:";L.resolve=L,L.nextTick=o,L.longStackSupport=!1,typeof e=="object"&&e&&e.env&&e.env.Q_DEBUG&&(L.longStackSupport=!0),L.defer=A,A.prototype.makeNodeResolver=function(){var e=this;return function(t,n){t?e.reject(t):arguments.length>2?e.resolve(f(arguments,1)):e.resolve(n)}},L.Promise=O,L.promise=O,O.race=M,O.all=rt,O.reject=$,O.resolve=L,L.passByCopy=function(e){return e},_.prototype.passByCopy=function(){return this},L.join=function(e,t){return L(e).join(t)},_.prototype.join=function(e){return L([this,e]).spread(function(e,t){if(e===t)return e;throw new Error("Can't join: not the same: "+e+" "+t)})},L.race=M,_.prototype.race=function(){return this.then(L.race)},L.makePromise=_,_.prototype.toString=function(){return"[object Promise]"},_.prototype.then=function(e,t,n){function o(t){try{return typeof e=="function"?e(t):t}catch(n){return $(n)}}function u(e){if(typeof t=="function"){E(e,r);try{return t(e)}catch(n){return $(n)}}return $(e)}function a(e){return typeof n=="function"?n(e):e}var r=this,i=A(),s=!1;return L.nextTick(function(){r.promiseDispatch(function(e){if(s)return;s=!0,i.resolve(o(e))},"when",[function(e){if(s)return;s=!0,i.resolve(u(e))}])}),r.promiseDispatch(void 0,"when",[void 0,function(e){var t,n=!1;try{t=a(e)}catch(r){n=!0;if(!L.onerror)throw r;L.onerror(r)}n||i.notify(t)}]),i.promise},L.tap=function(e,t){return L(e).tap(t)},_.prototype.tap=function(e){return e=L(e),this.then(function(t){return e.fcall(t).thenResolve(t)})},L.when=D,_.prototype.thenResolve=function(e){return this.then(function(){return e})},L.thenResolve=function(e,t){return L(e).thenResolve(t)},_.prototype.thenReject=function(e){return this.then(function(){throw e})},L.thenReject=function(e,t){return L(e).thenReject(t)},L.nearer=P,L.isPromise=H,L.isPromiseAlike=B,L.isPending=j,_.prototype.isPending=function(){return this.inspect().state==="pending"},L.isFulfilled=F,_.prototype.isFulfilled=function(){return this.inspect().state==="fulfilled"},L.isRejected=I,_.prototype.isRejected=function(){return this.inspect().state==="rejected"};var q=[],R=[],U=[],z=!0;L.resetUnhandledRejections=W,L.getUnhandledReasons=function(){return q.slice()},L.stopUnhandledRejectionTracking=function(){W(),z=!1},W(),L.reject=$,L.fulfill=J,L.master=Q,L.spread=G,_.prototype.spread=function(e,t){return this.all().then(function(t){return e.apply(void 0,t)},t)},L.async=Y,L.spawn=Z,L["return"]=et,L.promised=tt,L.dispatch=nt,_.prototype.dispatch=function(e,t){var n=this,r=A();return L.nextTick(function(){n.promiseDispatch(r.resolve,e,t)}),r.promise},L.get=function(e,t){return L(e).dispatch("get",[t])},_.prototype.get=function(e){return this.dispatch("get",[e])},L.set=function(e,t,n){return L(e).dispatch("set",[t,n])},_.prototype.set=function(e,t){return this.dispatch("set",[e,t])},L.del=L["delete"]=function(e,t){return L(e).dispatch("delete",[t])},_.prototype.del=_.prototype["delete"]=function(e){return this.dispatch("delete",[e])},L.mapply=L.post=function(e,t,n){return L(e).dispatch("post",[t,n])},_.prototype.mapply=_.prototype.post=function(e,t){return this.dispatch("post",[e,t])},L.send=L.mcall=L.invoke=function(e,t){return L(e).dispatch("post",[t,f(arguments,2)])},_.prototype.send=_.prototype.mcall=_.prototype.invoke=function(e){return this.dispatch("post",[e,f(arguments,1)])},L.fapply=function(e,t){return L(e).dispatch("apply",[void 0,t])},_.prototype.fapply=function(e){return this.dispatch("apply",[void 0,e])},L["try"]=L.fcall=function(e){return L(e).dispatch("apply",[void 0,f(arguments,1)])},_.prototype.fcall=function(){return this.dispatch("apply",[void 0,f(arguments)])},L.fbind=function(e){var t=L(e),n=f(arguments,1);return function(){return t.dispatch("apply",[this,n.concat(f(arguments))])}},_.prototype.fbind=function(){var e=this,t=f(arguments);return function(){return e.dispatch("apply",[this,t.concat(f(arguments))])}},L.keys=function(e){return L(e).dispatch("keys",[])},_.prototype.keys=function(){return this.dispatch("keys",[])},L.all=rt,_.prototype.all=function(){return rt(this)},L.any=it,_.prototype.any=function(){return it(this)},L.allResolved=k(st,"allResolved","allSettled"),_.prototype.allResolved=function(){return st(this)},L.allSettled=ot,_.prototype.allSettled=function(){return this.then(function(e){return rt(h(e,function(e){function t(){return e.inspect()}return e=L(e),e.then(t,t)}))})},L.fail=L["catch"]=function(e,t){return L(e).then(void 0,t)},_.prototype.fail=_.prototype["catch"]=function(e){return this.then(void 0,e)},L.progress=ut,_.prototype.progress=function(e){return this.then(void 0,void 0,e)},L.fin=L["finally"]=function(e,t){return L(e)["finally"](t)},_.prototype.fin=_.prototype["finally"]=function(e){return e=L(e),this.then(function(t){return e.fcall().then(function(){return t})},function(t){return e.fcall().then(function(){throw t})})},L.done=function(e,t,n,r){return L(e).done(t,n,r)},_.prototype.done=function(t,n,r){var i=function(e){L.nextTick(function(){E(e,s);if(!L.onerror)throw e;L.onerror(e)})},s=t||n||r?this.then(t,n,r):this;typeof e=="object"&&e&&e.domain&&(i=e.domain.bind(i)),s.then(void 0,i)},L.timeout=function(e,t,n){return L(e).timeout(t,n)},_.prototype.timeout=function(e,t){var n=A(),r=setTimeout(function(){if(!t||"string"==typeof t)t=new Error(t||"Timed out after "+e+" ms"),t.code="ETIMEDOUT";n.reject(t)},e);return this.then(function(e){clearTimeout(r),n.resolve(e)},function(e){clearTimeout(r),n.reject(e)},n.notify),n.promise},L.delay=function(e,t){return t===void 0&&(t=e,e=void 0),L(e).delay(t)},_.prototype.delay=function(e){return this.then(function(t){var n=A();return setTimeout(function(){n.resolve(t)},e),n.promise})},L.nfapply=function(e,t){return L(e).nfapply(t)},_.prototype.nfapply=function(e){var t=A(),n=f(e);return n.push(t.makeNodeResolver()),this.fapply(n).fail(t.reject),t.promise},L.nfcall=function(e){var t=f(arguments,1);return L(e).nfapply(t)},_.prototype.nfcall=function(){var e=f(arguments),t=A();return e.push(t.makeNodeResolver()),this.fapply(e).fail(t.reject),t.promise},L.nfbind=L.denodeify=function(e){var t=f(arguments,1);return function(){var n=t.concat(f(arguments)),r=A();return n.push(r.makeNodeResolver()),L(e).fapply(n).fail(r.reject),r.promise}},_.prototype.nfbind=_.prototype.denodeify=function(){var e=f(arguments);return e.unshift(this),L.denodeify.apply(void 0,e)},L.nbind=function(e,t){var n=f(arguments,2);return function(){function s(){return e.apply(t,arguments)}var r=n.concat(f(arguments)),i=A();return r.push(i.makeNodeResolver()),L(s).fapply(r).fail(i.reject),i.promise}},_.prototype.nbind=function(){var e=f(arguments,0);return e.unshift(this),L.nbind.apply(void 0,e)},L.nmapply=L.npost=function(e,t,n){return L(e).npost(t,n)},_.prototype.nmapply=_.prototype.npost=function(e,t){var n=f(t||[]),r=A();return n.push(r.makeNodeResolver()),this.dispatch("post",[e,n]).fail(r.reject),r.promise},L.nsend=L.nmcall=L.ninvoke=function(e,t){var n=f(arguments,2),r=A();return n.push(r.makeNodeResolver()),L(e).dispatch("post",[t,n]).fail(r.reject),r.promise},_.prototype.nsend=_.prototype.nmcall=_.prototype.ninvoke=function(e){var t=f(arguments,1),n=A();return t.push(n.makeNodeResolver()),this.dispatch("post",[e,t]).fail(n.reject),n.promise},L.nodeify=at,_.prototype.nodeify=function(e){if(!e)return this;this.then(function(t){L.nextTick(function(){e(null,t)})},function(t){L.nextTick(function(){e(t)})})},L.noConflict=function(){throw new Error("Q.noConflict only works when Q is used as a global")};var ft=C();return L})}).call(this,e("_process"))},{_process:39}],41:[function(require,module,exports){!function(e,t,n){typeof module!="undefined"&&module.exports?module.exports=n():typeof define=="function"&&define.amd?define(n):t[e]=n()}("reqwest",this,function(){function succeed(e){var t=protocolRe.exec(e.url);return t=t&&t[1]||window.location.protocol,httpsRe.test(t)?twoHundo.test(e.request.status):!!e.request.response}function handleReadyState(e,t,n){return function(){if(e._aborted)return n(e.request);if(e._timedOut)return n(e.request,"Request is aborted: timeout");e.request&&e.request[readyState]==4&&(e.request.onreadystatechange=noop,succeed(e)?t(e.request):n(e.request))}}function setHeaders(e,t){var n=t.headers||{},r;n.Accept=n.Accept||defaultHeaders.accept[t.type]||defaultHeaders.accept["*"];var i=typeof FormData=="function"&&t.data instanceof FormData;!t.crossOrigin&&!n[requestedWith]&&(n[requestedWith]=defaultHeaders.requestedWith),!n[contentType]&&!i&&(n[contentType]=t.contentType||defaultHeaders.contentType);for(r in n)n.hasOwnProperty(r)&&"setRequestHeader"in e&&e.setRequestHeader(r,n[r])}function setCredentials(e,t){typeof t.withCredentials!="undefined"&&typeof e.withCredentials!="undefined"&&(e.withCredentials=!!t.withCredentials)}function generalCallback(e){lastValue=e}function urlappend(e,t){return e+(/\?/.test(e)?"&":"?")+t}function handleJsonp(e,t,n,r){var i=uniqid++,s=e.jsonpCallback||"callback",o=e.jsonpCallbackName||reqwest.getcallbackPrefix(i),u=new RegExp("((^|\\?|&)"+s+")=([^&]+)"),a=r.match(u),f=doc.createElement("script"),l=0,c=navigator.userAgent.indexOf("MSIE 10.0")!==-1;return a?a[3]==="?"?r=r.replace(u,"$1="+o):o=a[3]:r=urlappend(r,s+"="+o),win[o]=generalCallback,f.type="text/javascript",f.src=r,f.async=!0,typeof f.onreadystatechange!="undefined"&&!c&&(f.htmlFor=f.id="_reqwest_"+i),f.onload=f.onreadystatechange=function(){if(f[readyState]&&f[readyState]!=="complete"&&f[readyState]!=="loaded"||l)return!1;f.onload=f.onreadystatechange=null,f.onclick&&f.onclick(),t(lastValue),lastValue=undefined,head.removeChild(f),l=1},head.appendChild(f),{abort:function(){f.onload=f.onreadystatechange=null,n({},"Request is aborted: timeout",{}),lastValue=undefined,head.removeChild(f),l=1}}}function getRequest(e,t){var n=this.o,r=(n.method||"GET").toUpperCase(),i=typeof n=="string"?n:n.url,s=n.processData!==!1&&n.data&&typeof n.data!="string"?reqwest.toQueryString(n.data):n.data||null,o,u=!1;return(n["type"]=="jsonp"||r=="GET")&&s&&(i=urlappend(i,s),s=null),n["type"]=="jsonp"?handleJsonp(n,e,t,i):(o=n.xhr&&n.xhr(n)||xhr(n),o.open(r,i,n.async===!1?!1:!0),setHeaders(o,n),setCredentials(o,n),win[xDomainRequest]&&o instanceof win[xDomainRequest]?(o.onload=e,o.onerror=t,o.onprogress=function(){},u=!0):o.onreadystatechange=handleReadyState(this,e,t),n.before&&n.before(o),u?setTimeout(function(){o.send(s)},200):o.send(s),o)}function Reqwest(e,t){this.o=e,this.fn=t,init.apply(this,arguments)}function setType(e){if(e.match("json"))return"json";if(e.match("javascript"))return"js";if(e.match("text"))return"html";if(e.match("xml"))return"xml"}function init(o,fn){function complete(e){o.timeout&&clearTimeout(self.timeout),self.timeout=null;while(self._completeHandlers.length>0)self._completeHandlers.shift()(e)}function success(resp){var type=o.type||resp&&setType(resp.getResponseHeader("Content-Type"));resp=type!=="jsonp"?self.request:resp;var filteredResponse=globalSetupOptions.dataFilter(resp.responseText,type),r=filteredResponse;try{resp.responseText=r}catch(e){}if(r)switch(type){case"json":try{resp=win.JSON?win.JSON.parse(r):eval("("+r+")")}catch(err){return error(resp,"Could not parse JSON in response",err)}break;case"js":resp=eval(r);break;case"html":resp=r;break;case"xml":resp=resp.responseXML&&resp.responseXML.parseError&&resp.responseXML.parseError.errorCode&&resp.responseXML.parseError.reason?null:resp.responseXML}self._responseArgs.resp=resp,self._fulfilled=!0,fn(resp),self._successHandler(resp);while(self._fulfillmentHandlers.length>0)resp=self._fulfillmentHandlers.shift()(resp);complete(resp)}function timedOut(){self._timedOut=!0,self.request.abort()}function error(e,t,n){e=self.request,self._responseArgs.resp=e,self._responseArgs.msg=t,self._responseArgs.t=n,self._erred=!0;while(self._errorHandlers.length>0)self._errorHandlers.shift()(e,t,n);complete(e)}this.url=typeof o=="string"?o:o.url,this.timeout=null,this._fulfilled=!1,this._successHandler=function(){},this._fulfillmentHandlers=[],this._errorHandlers=[],this._completeHandlers=[],this._erred=!1,this._responseArgs={};var self=this;fn=fn||function(){},o.timeout&&(this.timeout=setTimeout(function(){timedOut()},o.timeout)),o.success&&(this._successHandler=function(){o.success.apply(o,arguments)}),o.error&&this._errorHandlers.push(function(){o.error.apply(o,arguments)}),o.complete&&this._completeHandlers.push(function(){o.complete.apply(o,arguments)}),this.request=getRequest.call(this,success,error)}function reqwest(e,t){return new Reqwest(e,t)}function normalize(e){return e?e.replace(/\r?\n/g,"\r\n"):""}function serial(e,t){var n=e.name,r=e.tagName.toLowerCase(),i=function(e){e&&!e.disabled&&t(n,normalize(e.attributes.value&&e.attributes.value.specified?e.value:e.text))},s,o,u,a;if(e.disabled||!n)return;switch(r){case"input":/reset|button|image|file/i.test(e.type)||(s=/checkbox/i.test(e.type),o=/radio/i.test(e.type),u=e.value,(!s&&!o||e.checked)&&t(n,normalize(s&&u===""?"on":u)));break;case"textarea":t(n,normalize(e.value));break;case"select":if(e.type.toLowerCase()==="select-one")i(e.selectedIndex>=0?e.options[e.selectedIndex]:null);else for(a=0;e.length&&a<e.length;a++)e.options[a].selected&&i(e.options[a])}}function eachFormElement(){var e=this,t,n,r=function(t,n){var r,i,s;for(r=0;r<n.length;r++){s=t[byTag](n[r]);for(i=0;i<s.length;i++)serial(s[i],e)}};for(n=0;n<arguments.length;n++)t=arguments[n],/input|select|textarea/i.test(t.tagName)&&serial(t,e),r(t,["input","select","textarea"])}function serializeQueryString(){return reqwest.toQueryString(reqwest.serializeArray.apply(null,arguments))}function serializeHash(){var e={};return eachFormElement.apply(function(t,n){t in e?(e[t]&&!isArray(e[t])&&(e[t]=[e[t]]),e[t].push(n)):e[t]=n},arguments),e}function buildParams(e,t,n,r){var i,s,o,u=/\[\]$/;if(isArray(t))for(s=0;t&&s<t.length;s++)o=t[s],n||u.test(e)?r(e,o):buildParams(e+"["+(typeof o=="object"?s:"")+"]",o,n,r);else if(t&&t.toString()==="[object Object]")for(i in t)buildParams(e+"["+i+"]",t[i],n,r);else r(e,t)}var win=window,doc=document,httpsRe=/^http/,protocolRe=/(^\w+):\/\//,twoHundo=/^(20\d|1223)$/,byTag="getElementsByTagName",readyState="readyState",contentType="Content-Type",requestedWith="X-Requested-With",head=doc[byTag]("head")[0],uniqid=0,callbackPrefix="reqwest_"+ +(new Date),lastValue,xmlHttpRequest="XMLHttpRequest",xDomainRequest="XDomainRequest",noop=function(){},isArray=typeof Array.isArray=="function"?Array.isArray:function(e){return e instanceof Array},defaultHeaders={contentType:"application/x-www-form-urlencoded",requestedWith:xmlHttpRequest,accept:{"*":"text/javascript, text/html, application/xml, text/xml, */*",xml:"application/xml, text/xml",html:"text/html",text:"text/plain",json:"application/json, text/javascript",js:"application/javascript, text/javascript"}},xhr=function(e){if(e.crossOrigin===!0){var t=win[xmlHttpRequest]?new XMLHttpRequest:null;if(t&&"withCredentials"in t)return t;if(win[xDomainRequest])return new XDomainRequest;throw new Error("Browser does not support cross-origin requests")}return win[xmlHttpRequest]?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP")},globalSetupOptions={dataFilter:function(e){return e}};return Reqwest.prototype={abort:function(){this._aborted=!0,this.request.abort()},retry:function(){init.call(this,this.o,this.fn)},then:function(e,t){return e=e||function(){},t=t||function(){},this._fulfilled?this._responseArgs.resp=e(this._responseArgs.resp):this._erred?t(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):(this._fulfillmentHandlers.push(e),this._errorHandlers.push(t)),this},always:function(e){return this._fulfilled||this._erred?e(this._responseArgs.resp):this._completeHandlers.push(e),this},fail:function(e){return this._erred?e(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):this._errorHandlers.push(e),this},"catch":function(e){return this.fail(e)}},reqwest.serializeArray=function(){var e=[];return eachFormElement.apply(function(t,n){e.push({name:t,value:n})},arguments),e},reqwest.serialize=function(){if(arguments.length===0)return"";var e,t,n=Array.prototype.slice.call(arguments,0);return e=n.pop(),e&&e.nodeType&&n.push(e)&&(e=null),e&&(e=e.type),e=="map"?t=serializeHash:e=="array"?t=reqwest.serializeArray:t=serializeQueryString,t.apply(null,n)},reqwest.toQueryString=function(e,t){var n,r,i=t||!1,s=[],o=encodeURIComponent,u=function(e,t){t="function"==typeof t?t():t==null?"":t,s[s.length]=o(e)+"="+o(t)};if(isArray(e))for(r=0;e&&r<e.length;r++)u(e[r].name,e[r].value);else for(n in e)e.hasOwnProperty(n)&&buildParams(n,e[n],i,u);return s.join("&").replace(/%20/g,"+")},reqwest.getcallbackPrefix=function(){return callbackPrefix},reqwest.compat=function(e,t){return e&&(e.type&&(e.method=e.type)&&delete e.type,e.dataType&&(e.type=e.dataType),e.jsonpCallback&&(e.jsonpCallbackName=e.jsonpCallback)&&delete e.jsonpCallback,e.jsonp&&(e.jsonpCallback=e.jsonp)),new Reqwest(e,t)},reqwest.ajaxSetup=function(e){e=e||{};for(var t in e)globalSetupOptions[t]=e[t]},reqwest})},{}],42:[function(e,t,n){function i(e){this.common=r,this.request=r.request={request:r.ajax};var t=["$","aop","toast","alerts","ajax","platformUtil","bridge"];for(var n=0;n<t.length;n++)this[t[n]]=r[t[n]];this.extend(e)}var r=e("common");i.prototype={initController:function(e){!this.curModule&&this.common.initModule(this),e=this.model||e,e!==undefined&&(e.ajax=this.ajax,this.model=e,e.controller=this)},navigate:function(e,t,n){t&&typeof t=="object"?this.curRouter.navigate(e,!1,t):(n=t,this.curRouter.navigate(e,n))},across:function(e,t){this.curRouter.across(e,t)},render:function(e,t){t&&(e.callback=t),this.curModule._render(e,this)},renderHTML:function(e,t,n){this.curModule._renderHTML(e,t,n)},setRouter:function(e){this.curRouter=e},extend:function(e){for(var t in e)this[t]=e[t]},setRequest:function(e){e.setRequest(this.common.request)}},t.exports=i},{common:"common"}],43:[function(e,t,n){"use strict";function r(e,t,n,r,s){i(t),e(t,n,r,s)}function i(e){s(e),window.location.href.indexOf("insurance_unlogin")>-1&&(e.data.weixin="1"),o(e);if(e.url.indexOf("createOrder")>-1||e.url.indexOf("dealWithFastOrder")>-1||e.url.indexOf("dealWithFastForAgeRangeOrder")>-1)isApp?e.data.dataSource="02":e.data.dataSource="04"}function s(e){e.data||(e.data={});var t=window.location.search.replace("?","");if(!t)return;t=t.split("&");var n;window._pingan_$.each(t,function(e,t){var r=e.split("=");r[0]=="param"&&(n=decodeURIComponent(r[1]))}),!n&&AppObj.curShareParam&&(n=u(AppObj.curShareParam));if(n){AppObj.weixin=1;var t=n.split("$");window._pingan_$.each(t,function(t,n){if(t){t=decodeURIComponent(t).replace(new RegExp("\\|","g"),"~"),t=t.replace(/%7C/g,"~");var r=t.split("~");t[0]=="orgId"&&(AppObj.gobalOrg=r[1]),e.data[r[0]]||(e.data[r[0]]=r[1])}})}}function o(e){e.data||(e.data={}),window.AppObj.shareData&&window._pingan_$.each(AppObj.shareData,function(e,t){t.sharePattern!="1"&&(AppObj.curShareParam&&AppObj.curShareParam.agentNo||window.location.search.indexOf("agentNo")>0)?AppObj.curShareData=t:t.sharePattern=="1"&&(!AppObj.curShareParam||!AppObj.curShareParam.agentNo)&&window.location.search.indexOf("agentNo")==-1&&(AppObj.curShareData=t)}),window.isApp=="N"&&AppObj.curShareData&&AppObj.curShareData.needLogin=="Y"&&(e.data.needLogin=AppObj.curShareData.needLogin=="Y"?"1":"",e.data.needLogin!="1"&&(window.document.cookie="")),AppObj.curShareData&&AppObj.curShareData.needLogin!="Y"&&(window.document.cookie=""),e.setAgentNo&&e.setAgentNo(e.data.agentNo)}function u(e){var t="";return t=t+(t?"$":"")+"weixin~1",e.agentNo&&(t=t+(t?"$":"")+"agentNo~"+e.agentNo),e.csspOrgId&&(t=t+(t?"$":"")+"orgId~"+e.csspOrgId),t}t.exports=r},{}],44:[function(e,t,n){function s(){}var r=e("js-base64").Base64,i=e("../../../../../gum.ui/utils/platformUtil");s.prototype.noticeNative=function(e){var t=e.inputCharset,n=e.bgUrl,s=e.version,o=e.mobileGateway,u=e.language,a=e.signType,f=e.merchantAcctId,l=e.payType,c=e.idCsspOrder,h=e.orderAmount,p=e.productName,d=e.orderTime,v=e.signMsg,m=e.ext1,g=e.ext2,y=e.orderSource,b="1";y=="orderManage"&&(b="0");var w="inputCharset="+t+"&bgUrl="+n+"&version="+s+"&mobileGateway="+o+"&language="+u+"&signType="+a+"&merchantAcctId="+f+"&ext1="+m+"&ext2="+g+"&payType="+l+"&orderId="+c+"&orderAmount="+h+"&productName="+p+"&orderTime="+d+"&signMsg="+v,E=encodeURIComponent(r.encode(w)),S={isHome:b,orderSource:y,winUrl:E},x=[];if(i.android){for(var T in S)x.push(T+"="+S[T]);S={oldNative:"status=1&"+x.join("&")}}else S.status=1;if(typeof cordova=="undefined")return;cordova.exec(function(){},function(){},"PAJsBridge","js_oldNative",[S])},t.exports=new s},{"../../../../../gum.ui/utils/platformUtil":56,"js-base64":5}],45:[function(e,t,n){function u(){this.dataModel={effDate:"2016-12-31",saleLevel:"3",saleCount:"1",imgUrl:"fastPublish/images/fujianyibao_share.jpg",productImg:"fastPublish/images/fujianyibao.jpg",productDesc:"全保障：一份保单、全家共享福      低成本：每天1.3元、20万高保额     省心保：无需体检、快速便捷保",productName:"平安养老保险公司医保卡产品2号",feature:"全保障：一份保单、全家共享福<br>低成本：每天1.3元、20万高保额<br>省心保：无需体检、快速便捷保",featureDesc:"&nbsp;&nbsp;&nbsp;&nbsp;1、投保人为参加福州市城镇职工基本医疗保险的18-60周岁的在职职工<br>&nbsp;&nbsp;&nbsp;&nbsp;2、仅限3人以上的（含3人）福州城镇职工家庭购买本保险，最高投保2份 <br>&nbsp;&nbsp;&nbsp;&nbsp;3、被保险人包括投保人本人，及投保人的配偶（60周岁以内）、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁）家庭关系以保单生效时户口登记机关所登记的状态为准<br>&nbsp;&nbsp;&nbsp;&nbsp;4、所有被保险人均为能正常工作、学习和生活的人员，其中配偶父母子女均需具有福建省户籍。<br>",occupationCode:"",occupationName:"请选择职业",occupLevel:4,notice:"<p>本投保人兹申明上述各项内容填写属实。《投保须知》具体内容如下：</p><p>1、本保险的投保人为身体健康的18-60周岁的福建省城镇职工。</p><p>2、本保险的被保险人包括投保人本人、及投保人的具有福建省户籍的身体健康的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁），其中“父母”指在户口登记机关所登记的父母，包括生父母、养父母和有扶养关系的继父母，不含配偶的父母；“子女”指已在户口登记机关登记户口的子女，包括婚生子女、非婚生子女、养子女和有扶养关系的继子女。参保家庭中符合条件的亲属须全员参保，家庭关系以保单生效时户口登记机关所登记的状态为准。</p><p>3、所有被保险人均为福建省户籍的职业类别为1-4类的身体健康，能正常工作、学习和生活的人员。若被保险人从事5类及5类以上职业或拒保职业的，或不符合上述其他参保条件的家庭投保的，保险人不承担保险责任。</p><p>4、每户家庭投保份数以2份为限，对于超过部分，保险人不承担保险责任。</p>",health:{radios:["1、投保人已参加福建省内城镇职工基本医疗保险，并从事4类或4类以下职业。","2、投保人完全知晓本人的具有福建省户籍的身体健康的职业类别为1-4类的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁）须全员参保，若理赔过程中发现未全员参保时、保险人将按保单生效时实际应当参保的人数计算保险金额。所有被保险人均为身体健康，能正常工作、学习和生活的人员。","3、投保人承诺完全知晓被保险人健康状况，且被保险人同意投保人为其投保该保险。","4、被保险人未曾在投保医疗、意外或人寿保险时被拒绝、延期或附加条件承保。","5、被保险人过去一年中没有因病导至住院超过7天以上的状况。","6、被保险人现在或过去没有患肿瘤、精神病、心脏病、高血压、血管硬化、中风、糖尿病、尿毒症、慢性酒精中毒、肝硬化、肾切除三年以上（外伤性切除不在此列）或肾病性病等生殖泌尿系统疾病，哮喘、肺结核等呼吸系统疾病，血液病、艾滋病、神经系统疾病、甲状腺疾病以及任何神经肌肉骨骼系统方面的异常、失能等病症。无吸毒史，没有使用过任何违禁药物或毒品。","7、被保险人在最近6个月内,没有任何身体不适症状和体征。如持续发热两周及以上、疼痛、眩晕、胸痛、咳嗽、咯血、腹痛、便血、紫斑、消瘦(体重2个月内下降超过5公斤)。","8、如被保险人为女性，过去五年内不曾患子宫、乳房、卵巢等生殖系统方面疾病。","9、如被保险人为少儿，（被保险人为0-18周岁的儿童时）没有先天性、遗传性疾病或畸形。","10、被保险人不曾患有癌症/恶性肿瘤、交界性肿瘤、癌前病变、原位癌、恶性葡萄胎。","11、被保险人肿瘤指标检查未出现异常（甲胎蛋白（AFP）、癌胚抗原（CEA）、癌抗原125（CA125）、癌抗原199（CA199））。","12、没有从事危险运动或竞技的嗜好。如：潜水、跳伞、攀岩运动、探险活动、武术、摔跤、赛马、赛车、自驾机飞行、热气球飞行、滑雪、滑浪、登山、漂流 、蹦极、特技表演等。"]},healthValue:"Y",hasHealth:"Y",currIndex:0,inquiry:500,orderData:{inquiry:500,saleLevel:3,account_balance:0},prdDesc:"产品特色"},this.dataModel.dataSource=isApp?"02":"04",this.dataModel.isCordovaDate=isApp?"1":"0",this.medicalDataModel={idCsspProduct:"PI000060",isMedical:"Y",productDesc:"福州市医保卡“个人账户购买商业补充保险”惠民政策指定产品。",productName:"福州市医保卡产品2号",feature:"福州市医保卡“个人账户购买商业补充保险”惠民政策指定产品。",featureDesc:"&nbsp;&nbsp;&nbsp;&nbsp;l  医保个账首款家庭产品、一份保单保障全家；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  低成本、高保障、无需体检。<br/><span style='padding: 10px 0px;display: inline-block;font-size: 15px;color: #333;'>适用人群</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;l  限3人以上的（含3人）家庭购买本保险，最高投保2份 ；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  投保人（持卡人）为福州市职工医保卡账户余额大于5000元，年龄18-60周岁人员 ；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  被保险人包括投保人本人、及其福建省内户籍的配偶（60周岁以内）、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁）。<br/>",notice:"<p>本投保人兹申明上述各项内容填写属实。《投保须知》具体内容如下：</p><p><strong>一、适用人群</strong></p><p>仅限3人以上（含3人）的福州市城镇职工家庭参保本保险。</p><p>本保险的投保人为已参加福州市城镇职工基本医疗保险的身体健康的18-60周岁的城镇职工。本保险的被保险人包括投保人本人、及投保人的具有福建省户籍的身体健康的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁），其中“父母”指在户口登记机关所登记的父母，包括生父母、养父母和有扶养关系的继父母，不含配偶的父母；“子女”指已在户口登记机关登记户口的子女，包括婚生子女、非婚生子女、养子女和有扶养关系的继子女。参保家庭中符合条件的亲属须全员参保。家庭关系以保单生效时户口登记机关所登记的状态为准。所有被保险人均须为从事1-4类职业的身体健康，能正常工作、学习和生活的人员。若被保险人从事5类及5类以上职业或拒保职业的（查看职业分类表，职业类别不明请咨询95511转6），或不符合上述其他参保条件的家庭投保的，保险人不承担保险责任。</p><p>（特别说明：为响应福州市医保个账活化政策，对于使用医保卡个人账户支付保费的家庭，无职业类别限制。）</p><p>二、保险期间</p><p>本保险的保险期间为1年。</p><p>三、投保份数</p><p>在保险有效期间内，每户家庭投保份数以2份为限，对于超过部分，保险人不承担保险责任。</p><p>四、对于父母为其未成年子女投保的人身保险，在被保险人成年之前，各保险合同约定的被保险人死亡给付的保险金额总和、被保险人死亡时各保险公司实际给付的保险金总和按以下限额执行：对于被保险人不满10周岁的，不得超过人民币20万元；对于被保险人已满10周岁但未满18周岁的，不得超过人民币50万元。</p><p>五、保险责任</p><p>（一）重大疾病保险：每份保额8万，投保人本人的保额4万，投保人的配偶、父母、子女的保额合计4万，每人的保额按亲属的参保人数平均分配。投保人为被保险人首次投保本保险或非连续投保本保险时，自本合同生效日起30 日为等待期，投保人为被保险人连续投保本保险的或被保险人因遭受意外事故导致初次发生重大疾病的无等待期。被保险人在等待期内经医院确诊初次发生重大疾病的，本公司不承担给付保险金的责任。在本合同有效期内，除等待期期间依前款约定外，本公司承担下列保险责任：被保险人经医院确诊初次发生重大疾病的，本公司按其保险金额给付重大疾病保险金，对该被保险人保险责任终止。被保险人若申请恶性肿瘤赔付，进行了病理检查的，确诊日期以病理材料送检日为准，若无法进行病理检查的，确诊日期以影像学报告日期为准。被保险人在投保前发生重大疾病的，本公司不承担给付保险金的责任。</p><p>（二）意外伤害保险：每份保额12万，投保人本人的保额6万，投保人的配偶、父母、子女的保额合计6万，每人的保额按亲属的参保人数平均分配。①意外身故保险金：被保险人因遭受意外事故，并自事故发生之日起180 日内因该事故身故的，本公司按其意外伤害保险金额给付意外身故保险金，对该被保险人的保险责任终止。②意外伤残保险金：被保险人因遭受意外事故，并自事故发生之日起180 日内因该事故造成本合同所附《人身保险伤残评定标准》所列伤残项目的，本公司依照该标准规定的评定原则对伤残项目进行评定，并按评定结果所对应该标准规定的给付比例乘以其意外伤害保险金额给付意外伤残保险金。如治疗仍未结束的，按事故发生之日起第180 日的身体情况进行伤残鉴定，并据此给付意外伤残保险金。被保险人该次意外事故导致的伤残合并前次伤残可领较严重项目意外伤残保险金的，按较严重项目标准给付，但前次已给付的意外伤残保险金（投保前已有或因责任免除事项所致《人身保险伤残评定标准》所列伤残的，视为已给付意外伤残保险金）应予以扣除。每一被保险人的意外身故保险金及意外伤残保险金的累计给付金额以该被保险人的意外伤害保险金额为限，累计给付金额达到其意外伤害保险金额时，对该被保险人的保险责任终止。</p><p>六、责任免除</p><p>因下列情形之一造成被保险人重大疾病、意外伤害的，本公司不承担给付保险金的责任：（一）投保人对被保险人的故意杀害、故意伤害；（二）被保险人故意自伤、故意犯罪或者抗拒依法采取的刑事强制措施或自杀，但被保险人自杀时为无民事行为能力人的除外；（三）被保险人殴斗、醉酒，主动吸食或注射毒品；（四）被保险人酒后驾驶、无合法有效驾驶证驾驶，或驾驶无有效行驶证的机动车；（五）被保险人感染艾滋病病毒或患艾滋病；（六）战争、军事冲突、暴乱或武装叛乱；（七）核爆炸、核辐射或核污染；（八）遗传性疾病，先天性畸形、变形或染色体异常；（九）既往症；（十）被保险人因妊娠（含宫外孕）、流产、分娩（含剖宫产）导致的伤害；（十一）被保险人因医疗事故、药物过敏或精神和行为障碍（依照世界卫生组织《疾病和有关健康问题的国际统计分类（ICD-10）》确定）导致的伤害；（十二）被保险人未遵医嘱，私自使用药物，但按使用说明的规定使用非处方药不在此限；（十三）猝死、细菌或病毒感染（因意外伤害导致的伤口发生感染者除外）；（十四）被保险人从事潜水、跳伞、攀岩、蹦极、驾驶滑翔机或滑翔伞、探险、摔跤、武术比赛、特技表演、赛马、赛车等高风险运动。</p><p>七、释义</p><p>【意外事故】指遭受外来的、突发的、非本意的、非疾病的使身体受到伤害的客观事件。</p><p>【遗传性疾病】指生殖细胞或受精卵的遗传物质（染色体和基因）发生突变（或畸变）所引起的疾病，通常具有由亲代传至后代的垂直传递的特征。</p><p>【无合法有效驾驶证驾驶】指下列情形之一：1）没有取得驾驶资格；2）驾驶与驾驶证准驾车型不相符合的车辆；3）持审验不合格的驾驶证驾驶；4）持学习驾驶证学习驾车时，无教练员随车指导，或不按指定时间、路线学习驾车。</p><p>【无有效行驶证】指下列情形之一：1）未取得行驶证；2）机动车被依法注销登记的；3）未依法按时进行或通过机动车安全技术检验。</p><p>【猝死】指貌似健康的人因潜在疾病、机能障碍或其他原因在出现症状后24 小时内发生的非暴力性突然死亡。猝死的认定，如有司法机关的法律文件、医疗机构的诊断书等，则以上述法律文件、诊断书等为准。</p><p>【既往症】指被保险人在本合同生效日之前所患的已知的下列疾病或症状：①诊断或患有恶性肿瘤、肾功能不全、白血病、血友病、再生障碍性贫血、原发性血小板减少性紫癜、糖尿病、高血压II期及II期以上、心绞痛、心肌梗塞、肺源性心脏病、脑出血、脑梗塞、脑栓塞、慢性纤维空洞型肺结核、精神分裂症、癫痫、智力障碍、《中华人民共和国传染病防治法》规定的传染病。②曾患听力、视力、语言、咀嚼、智力障碍，或患有脊柱、胸廓畸形，四肢、手、足、指、趾残缺。</p><p>【重大疾病】指被保险人初次发生符合下列定义的疾病，或初次接受符合下列定义的手术。该疾病或手术应当由专科医生明确诊断。以下重大疾病是中国保险行业协会与中国医师协会制定了规范定义的疾病:1.恶性肿瘤;2.急性心肌梗塞;3.脑中风后遗症;4.重大器官移植术或造血干细胞移植术;5.冠状动脉搭桥术（或称冠状动脉旁路移植术）;6.终末期肾病（或称慢性肾功能衰竭尿毒症期）;7.多个肢体缺失;8.急性或亚急性重症肝炎;9.良性脑肿瘤;10.慢性肝功能衰竭失代偿期;11.脑炎后遗症或脑膜炎后遗症;12.深度昏迷;13.双耳失聪;14.双目失明;15.瘫痪;16.心脏瓣膜手术;17.严重阿尔茨海默病;18.严重脑损伤;19.严重帕金森病;20.严重Ⅲ度烧伤;21.严重原发性肺动脉高压;22.严重运动神经元病;23.语言能力丧失;24.重型再生障碍性贫血;25.主动脉手术;26.严重的多发性硬化;27.严重的1型糖尿病;28.侵蚀性葡萄胎（或称恶性葡萄胎）;29.系统性红斑狼疮并发重度的肾功能损害;30.严重的原发性心肌病。</p><p>【保单生效】医保卡个人账户支付保费的，保单生效日期为医保中心成功冻结保费的次日；医保个人账户余额不足转银行卡支付保费的，保单生效日期为成功缴纳保费的次日。</p><p>八、理赔</p><p>（一）理赔报案电话：95511-6。</p><p>（二）保险金申请应提供的材料</p><p>申请重大疾病保险金应备文件1、2、6、7；</p><p>申请意外身故保险金应备文件1、2、3、4、6、7；</p><p>申请意外伤残保险金应备文件1、2、5、6、7；</p><p>材料说明：1、投保人本人、配偶、父母、子女的户籍证明，出险人的身份证，投保人的福建省社会保障卡复印件；2、关系承诺函；3、公安部门或本公司认可的医疗机构出具的被保险人死亡证明；4、被保险人户籍注销证明、火化证；5、本公司认可的伤残鉴定机构根据《人身保险伤残评定标准》 出具的伤残程度鉴定书；6、医院出具的检查报告、病理报告、疾病诊断证明书和相关治疗材料；7、所能提供的与确认保险事故的性质、原因、伤害程度等有关的其它证明和资料；注：对上述复印件，必要时本公司需要求提供原件。</p><p>九、【公共服务内容及其他】</p><p>（一）投保过程中如有任何疑问可联系我司服务人员或拨打95511转6咨询；</p><p>（二）本产品仅提供电子保单。投保人或被保险人可在好福利APP或“好福利”网页版home.pingan.com，查询保单信息，并下载电子保单；若关注微信公众号“平安养老险”（paylx95511）可查询保单，但无法下载电子保单。</p><p>（三）未尽事宜以《平安团体重大疾病保险条款》（平保养发[2009]105 号，2009 年9 月呈报中国保监会备案）、《平安团体意外伤害保险（2013 版）条款》（平保养发[2013]205 号，2013 年11 月呈报中国保监会备案）为准。条款查询地址：http://annuity.pingan.com/baoxianchanpinmulu_more.shtml；</p><p>（四）保单生效之日起10日内申请退保，本公司将全额无息退还所缴纳的保险费；保单生效之日起10日后申请退保，本公司将按条款约定退还未满期净保险费。</p><p>（五）分支机构服务柜面地址：http://annuity.pingan.com/xinxipilu_more.shtml。</p><p>（六）根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本人接受以平安养老保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，具有完全证据效力。</p><p>（七）本人授权平安集团，除法律另有规定之外，将本人提供给平安集团的信息、享受平安集团服务产生的信息（包括本单证签署之前提供和产生的信息）以及平安集团根据本条约定查询、收集的信息，用于平安集团及其因服务必要委托的合作伙伴为本人提供服务、推荐产品、开展市场调查与信息数据分析。本人授权平安集团，除法律另有规定之外，基于为本人提供更优质服务和产品的目的，向平安集团因服务必要开展合作的伙伴提供、查询、收集本人的信息。为确保本人信息的安全，平安集团及其合作伙伴对上述信息负有保密义务，并采取各种措施保证信息安全。本条款自本单证签署时生效，具有独立法律效力，不受合同成立与否及效力状态变化的影响。本条所称“平安集团”是指中国平安保险（集团）股份有限公司及其直接或间接控股的公司，以及中国平安保险（集团）股份有限公司直接或间接作为其单一最大股东的公司。如您不同意上述授权条款的部分或全部，可【致电客户热线（95511）】取消或变更授权。</p>",health:{radios:["1、投保人已参加福州市城镇职工基本医疗保险，年龄在18-60周岁范围内，并从事4类或4类以下职业。","2、投保人完全知晓本保险的被保险人包括投保人本人、及投保人的具有福建省户籍的身体健康的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁），其中“父母”指在户口登记机关所登记的父母，包括生父母、养父母和有扶养关系的继父母，不含配偶的父母；“子女”指已在户口登记机关登记户口的子女，包括婚生子女、非婚生子女、养子女和有扶养关系的继子女。参保家庭中符合条件的亲属须全员参保。家庭关系以保单生效时户口登记机关所登记的状态为准。所有被保险人均为从事1-4类职业的身体健康，能正常工作、学习和生活的人员。若被保险人从事5类及5类以上职业或拒保职业的（查看职业分类表，职业类别不明请咨询95511转6），或不符合上述其他参保条件的家庭投保的，保险人不承担保险责任。","3、投保人家庭符合上述参保条件的被保险人人数在3人以上（含3人）。","4、投保人承诺完全知晓被保险人健康状况，且被保险人同意投保人为其投保该保险。","5、未曾在投保医疗、意外或人寿保险时被拒绝、延期或附加条件承保。","6、过去一年中没有因病导至住院超过7天以上的状况。","7、现在或过去没有患肿瘤、精神病、心脏病、高血压、血管硬化、中风、糖尿病、尿毒症、慢性酒精中毒、肝硬化、肾切除三年以上（外伤性切除不在此列）或肾病性病等生殖泌尿系统疾病，哮喘、肺结核等呼吸系统疾病，血液病、艾滋病、神经系统疾病、甲状腺疾病以及任何神经肌肉骨骼系统方面的异常、失能等病症。无吸毒史，没有使用过任何违禁药物或毒品。 ","8、在最近6个月内,没有任何身体不适症状和体征。如持续发热两周及以上、疼痛、眩晕、胸痛、咳嗽、咯血、腹痛、便血、紫斑、消瘦(体重2个月内下降超过5公斤)。","9、如被保险人为女性，过去五年内不曾患子宫、乳房、卵巢等生殖系统方面疾病。","10、如被保险人为少儿，（被保险人为0-18周岁的儿童时）没有先天性、遗传性疾病或畸形。","11、不曾患有癌症/恶性肿瘤、交界性肿瘤、癌前病变、原位癌、恶性葡萄胎。","12、肿瘤指标检查未出现异常（甲胎蛋白（AFP）、癌胚抗原（CEA）、癌抗原125（CA125）、癌抗原199（CA199））。","13、没有从事危险运动或竞技的嗜好。如：潜水、跳伞、攀岩运动、探险活动、武术、摔跤、赛马、赛车、自驾机飞行、热气球飞行、滑雪、滑浪、登山、漂流 、蹦极、特技表演等。"]},insurantList:[]},this.bankCardDataModel={idCsspProduct:"PI000061",isMedical:"N",productDesc:"福州市医保卡“个人账户购买商业补充保险”惠民政策指定产品。",productName:"福建城镇职工“平安一家亲”",feature:"福州市医保卡“个人账户购买商业补充保险”惠民政策指定产品。",featureDesc:"&nbsp;&nbsp;&nbsp;&nbsp;l  医保个账首款家庭产品、一份保单保障全家；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  低成本、高保障、无需体检。<br/><span style='padding: 10px 0px;display: inline-block;font-size: 15px;color: #333;'>适用人群</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;l  限3人以上的（含3人）家庭购买本保险，最高投保2份 ；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  投保人为已参加福建省各级城镇职工基本医疗保险的身体健康的18-60周岁的城镇职工；<br/>&nbsp;&nbsp;&nbsp;&nbsp;l  被保险人包括投保人本人、及其福建省内户籍的配偶（60周岁以内）、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁）。<br/>",notice:"<p>一、适用人群</p><p>仅限3人以上（含3人）的福建城镇职工家庭参保本保险。</p><p>本保险的投保人为已参加福建省各级城镇职工基本医疗保险的身体健康的18-60周岁的城镇职工。本保险的被保险人包括投保人本人、及投保人的具有福建省户籍的身体健康的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁），其中“父母”指在户口登记机关所登记的父母，包括生父母、养父母和有扶养关系的继父母，不含配偶的父母；“子女”指已在户口登记机关登记户口的子女，包括婚生子女、非婚生子女、养子女和有扶养关系的继子女。参保家庭中符合条件的亲属须全员参保。家庭关系以保单生效时户口登记机关所登记的状态为准。所有被保险人均须为从事1-4类职业的身体健康，能正常工作、学习和生活的人员。若被保险人从事5类及5类以上职业或拒保职业的（查看职业分类表，职业类别不明请咨询95511转6），或不符合上述其他参保条件的家庭投保的，保险人不承担保险责任。</p><p>二、保险期间</p><p>本保险的保险期间为1年。</p><p>三、投保份数</p><p>在保险有效期间内，每户家庭投保份数以2份为限，对于超过部分，保险人不承担保险责任。</p><p>四、对于父母为其未成年子女投保的人身保险，在被保险人成年之前，各保险合同约定的被保险人死亡给付的保险金额总和、被保险人死亡时各保险公司实际给付的保险金总和按以下限额执行：对于被保险人不满10周岁的，不得超过人民币20万元；对于被保险人已满10周岁但未满18周岁的，不得超过人民币50万元。</p><p>五、保险责任</p><p>（一）重大疾病保险：每份保额8万，投保人本人的保额4万，投保人的配偶、父母、子女的保额合计4万，每人的保额按亲属的参保人数平均分配。投保人为被保险人首次投保本保险或非连续投保本保险时，自本合同生效日起30 日为等待期，投保人为被保险人连续投保本保险的或被保险人因遭受意外事故导致初次发生重大疾病的无等待期。被保险人在等待期内经医院确诊初次发生重大疾病的，本公司不承担给付保险金的责任。在本合同有效期内，除等待期期间依前款约定外，本公司承担下列保险责任：被保险人经医院确诊初次发生重大疾病的，本公司按其保险金额给付重大疾病保险金，对该被保险人保险责任终止。被保险人若申请恶性肿瘤赔付，进行了病理检查的，确诊日期以病理材料送检日为准，若无法进行病理检查的，确诊日期以影像学报告日期为准。被保险人在投保前发生重大疾病的，本公司不承担给付保险金的责任。</p><p>（二）意外伤害保险：每份保额12万，投保人本人的保额6万，投保人的配偶、父母、子女的保额合计6万，每人的保额按亲属的参保人数平均分配。①意外身故保险金：被保险人因遭受意外事故，并自事故发生之日起180 日内因该事故身故的，本公司按其意外伤害保险金额给付意外身故保险金，对该被保险人的保险责任终止。②意外伤残保险金：被保险人因遭受意外事故，并自事故发生之日起180 日内因该事故造成本合同所附《人身保险伤残评定标准》所列伤残项目的，本公司依照该标准规定的评定原则对伤残项目进行评定，并按评定结果所对应该标准规定的给付比例乘以其意外伤害保险金额给付意外伤残保险金。如治疗仍未结束的，按事故发生之日起第180 日的身体情况进行伤残鉴定，并据此给付意外伤残保险金。被保险人该次意外事故导致的伤残合并前次伤残可领较严重项目意外伤残保险金的，按较严重项目标准给付，但前次已给付的意外伤残保险金（投保前已有或因责任免除事项所致《人身保险伤残评定标准》所列伤残的，视为已给付意外伤残保险金）应予以扣除。每一被保险人的意外身故保险金及意外伤残保险金的累计给付金额以该被保险人的意外伤害保险金额为限，累计给付金额达到其意外伤害保险金额时，对该被保险人的保险责任终止。</p><p>六、责任免除</p><p>因下列情形之一造成被保险人重大疾病、意外伤害的，本公司不承担给付保险金的责任：（一）投保人对被保险人的故意杀害、故意伤害；（二）被保险人故意自伤、故意犯罪或者抗拒依法采取的刑事强制措施或自杀，但被保险人自杀时为无民事行为能力人的除外；（三）被保险人殴斗、醉酒，主动吸食或注射毒品；（四）被保险人酒后驾驶、无合法有效驾驶证驾驶，或驾驶无有效行驶证的机动车；（五）被保险人感染艾滋病病毒或患艾滋病；（六）战争、军事冲突、暴乱或武装叛乱；（七）核爆炸、核辐射或核污染；（八）遗传性疾病，先天性畸形、变形或染色体异常；（九）既往症；（十）被保险人因妊娠（含宫外孕）、流产、分娩（含剖宫产）导致的伤害；（十一）被保险人因医疗事故、药物过敏或精神和行为障碍（依照世界卫生组织《疾病和有关健康问题的国际统计分类（ICD-10）》确定）导致的伤害；（十二）被保险人未遵医嘱，私自使用药物，但按使用说明的规定使用非处方药不在此限；（十三）猝死、细菌或病毒感染（因意外伤害导致的伤口发生感染者除外）；（十四）被保险人从事潜水、跳伞、攀岩、蹦极、驾驶滑翔机或滑翔伞、探险、摔跤、武术比赛、特技表演、赛马、赛车等高风险运动。</p><p>七、释义</p><p>【意外事故】指遭受外来的、突发的、非本意的、非疾病的使身体受到伤害的客观事件。</p><p>【遗传性疾病】指生殖细胞或受精卵的遗传物质（染色体和基因）发生突变（或畸变）所引起的疾病，通常具有由亲代传至后代的垂直传递的特征。</p><p>【无合法有效驾驶证驾驶】指下列情形之一：1）没有取得驾驶资格；2）驾驶与驾驶证准驾车型不相符合的车辆；3）持审验不合格的驾驶证驾驶；4）持学习驾驶证学习驾车时，无教练员随车指导，或不按指定时间、路线学习驾车。</p><p>【无有效行驶证】指下列情形之一：1）未取得行驶证；2）机动车被依法注销登记的；3）未依法按时进行或通过机动车安全技术检验。</p><p>【猝死】指貌似健康的人因潜在疾病、机能障碍或其他原因在出现症状后24 小时内发生的非暴力性突然死亡。猝死的认定，如有司法机关的法律文件、医疗机构的诊断书等，则以上述法律文件、诊断书等为准。</p><p>【既往症】指被保险人在本合同生效日之前所患的已知的下列疾病或症状：①诊断或患有恶性肿瘤、肾功能不全、白血病、血友病、再生障碍性贫血、原发性血小板减少性紫癜、糖尿病、高血压II期及II期以上、心绞痛、心肌梗塞、肺源性心脏病、脑出血、脑梗塞、脑栓塞、慢性纤维空洞型肺结核、精神分裂症、癫痫、智力障碍、《中华人民共和国传染病防治法》规定的传染病。②曾患听力、视力、语言、咀嚼、智力障碍，或患有脊柱、胸廓畸形，四肢、手、足、指、趾残缺。</p><p>【重大疾病】指被保险人初次发生符合下列定义的疾病，或初次接受符合下列定义的手术。该疾病或手术应当由专科医生明确诊断。以下重大疾病是中国保险行业协会与中国医师协会制定了规范定义的疾病:1.恶性肿瘤;2.急性心肌梗塞;3.脑中风后遗症;4.重大器官移植术或造血干细胞移植术;5.冠状动脉搭桥术（或称冠状动脉旁路移植术）;6.终末期肾病（或称慢性肾功能衰竭尿毒症期）;7.多个肢体缺失;8.急性或亚急性重症肝炎;9.良性脑肿瘤;10.慢性肝功能衰竭失代偿期;11.脑炎后遗症或脑膜炎后遗症;12.深度昏迷;13.双耳失聪;14.双目失明;15.瘫痪;16.心脏瓣膜手术;17.严重阿尔茨海默病;18.严重脑损伤;19.严重帕金森病;20.严重Ⅲ度烧伤;21.严重原发性肺动脉高压;22.严重运动神经元病;23.语言能力丧失;24.重型再生障碍性贫血;25.主动脉手术;26.严重的多发性硬化;27.严重的1型糖尿病;28.侵蚀性葡萄胎（或称恶性葡萄胎）;29.系统性红斑狼疮并发重度的肾功能损害;30.严重的原发性心肌病。</p><p>【保单生效】保单生效日期为成功缴纳保费的次日。</p><p>八、理赔</p><p>（一）理赔报案电话：95511-6。</p><p>（二）保险金申请应提供的材料</p><p>申请重大疾病保险金应备文件1、2、6、7；</p><p>申请意外身故保险金应备文件1、2、3、4、6、7；</p><p>申请意外伤残保险金应备文件1、2、5、6、7；</p><p>材料说明：1、投保人本人、配偶、父母、子女的户籍证明，出险人的身份证，投保人的福建省社会保障卡复印件；2、关系承诺函；3、公安部门或本公司认可的医疗机构出具的被保险人死亡证明；4、被保险人户籍注销证明、火化证；5、本公司认可的伤残鉴定机构根据《人身保险伤残评定标准》 出具的伤残程度鉴定书；6、医院出具的检查报告、病理报告、疾病诊断证明书和相关治疗材料；7、所能提供的与确认保险事故的性质、原因、伤害程度等有关的其它证明和资料；注：对上述复印件，必要时本公司需要求提供原件。</p><p>九、【公共服务内容及其他】</p><p>（一）投保过程中如有任何疑问可联系我司服务人员或拨打95511转6咨询；</p><p>（二）本产品仅提供电子保单。投保人或被保险人可在好福利APP或“好福利”网页版home.pingan.com，查询保单信息，并下载电子保单；若关注微信公众号“平安养老险”（paylx95511）可查询保单，但无法下载电子保单。</p><p>（三）未尽事宜以《平安团体重大疾病保险条款》（平保养发[2009]105 号，2009 年9 月呈报中国保监会备案）、《平安团体意外伤害保险（2013 版）条款》（平保养发[2013]205 号，2013 年11 月呈报中国保监会备案）为准。条款查询地址：http://annuity.pingan.com/baoxianchanpinmulu_more.shtml；</p><p>（四）保单生效之日起10日内申请退保，本公司将全额无息退还所缴纳的保险费；保单生效之日起10日后申请退保，本公司将按条款约定退还未满期净保险费。</p><p>（五）分支机构服务柜面地址：http://annuity.pingan.com/xinxipilu_more.shtml。</p><p>（六）根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本人接受以平安养老保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，具有完全证据效力。</p><p>（七）本人授权平安集团，除法律另有规定之外，将本人提供给平安集团的信息、享受平安集团服务产生的信息（包括本单证签署之前提供和产生的信息）以及平安集团根据本条约定查询、收集的信息，用于平安集团及其因服务必要委托的合作伙伴为本人提供服务、推荐产品、开展市场调查与信息数据分析。本人授权平安集团，除法律另有规定之外，基于为本人提供更优质服务和产品的目的，向平安集团因服务必要开展合作的伙伴提供、查询、收集本人的信息。为确保本人信息的安全，平安集团及其合作伙伴对上述信息负有保密义务，并采取各种措施保证信息安全。本条款自本单证签署时生效，具有独立法律效力，不受合同成立与否及效力状态变化的影响。本条所称“平安集团”是指中国平安保险（集团）股份有限公司及其直接或间接控股的公司，以及中国平安保险（集团）股份有限公司直接或间接作为其单一最大股东的公司。如您不同意上述授权条款的部分或全部，可【致电客户热线（95511）】取消或变更授权。</p>",health:{radios:["1、投保人已参加福建省各级城镇职工基本医疗保险，年龄在18-60周岁范围内，并从事4类或4类以下职业","2、投保人完全知晓本保险的被保险人包括投保人本人、及投保人的具有福建省户籍的身体健康的配偶(60周岁以内)、父母（70周岁以内）、子女（出生满30天并健康出院至22周岁），其中“父母”指在户口登记机关所登记的父母，包括生父母、养父母和有扶养关系的继父母，不含配偶的父母；“子女”指已在户口登记机关登记户口的子女，包括婚生子女、非婚生子女、养子女和有扶养关系的继子女。参保家庭中符合条件的亲属须全员参保。家庭关系以保单生效时户口登记机关所登记的状态为准。所有被保险人均为从事1-4类职业的身体健康，能正常工作、学习和生活的人员。若被保险人从事5类及5类以上职业或拒保职业的（查看职业分类表，职业类别不明请咨询95511转6），或不符合上述其他参保条件的家庭投保的，保险人不承担保险责任。","3、投保人家庭符合上述参保条件的被保险人人数在3人以上（含3人）。","4、投保人承诺完全知晓被保险人健康状况，且被保险人同意投保人为其投保该保险。","5、未曾在投保医疗、意外或人寿保险时被拒绝、延期或附加条件承保。","6、过去一年中没有因病导至住院超过7天以上的状况。","7、现在或过去没有患肿瘤、精神病、心脏病、高血压、血管硬化、中风、糖尿病、尿毒症、慢性酒精中毒、肝硬化、肾切除三年以上（外伤性切除不在此列）或肾病性病等生殖泌尿系统疾病，哮喘、肺结核等呼吸系统疾病，血液病、艾滋病、神经系统疾病、甲状腺疾病以及任何神经肌肉骨骼系统方面的异常、失能等病症。无吸毒史，没有使用过任何违禁药物或毒品。","8、在最近6个月内,没有任何身体不适症状和体征。如持续发热两周及以上、疼痛、眩晕、胸痛、咳嗽、咯血、腹痛、便血、紫斑、消瘦(体重2个月内下降超过5公斤)。","9、如被保险人为女性，过去五年内不曾患子宫、乳房、卵巢等生殖系统方面疾病。","10、如被保险人为少儿，（被保险人为0-18周岁的儿童时）没有先天性、遗传性疾病或畸形。","11、不曾患有癌症/恶性肿瘤、交界性肿瘤、癌前病变、原位癌、恶性葡萄胎。","12、肿瘤指标检查未出现异常（甲胎蛋白（AFP）、癌胚抗原（CEA）、癌抗原125（CA125）、癌抗原199（CA199））。","13、没有从事危险运动或竞技的嗜好。如：潜水、跳伞、攀岩运动、探险活动、武术、摔跤、赛马、赛车、自驾机飞行、热气球飞行、滑雪、滑浪、登山、漂流 、蹦极、特技表演等。"]}},this.dataModel.tempFormData={commonCity:"350100",commonProvince:"350000",email:"",idCsspOrder:"",idCsspOrg:"",inputOrgIdentify:"",insurerBirthday:"",insurerIdCard:"",insurerIdType:"",insurerName:"",insurerSex:"",mobile:"",cityNo:"350100",cityNoText:"福州市",display:"福州市"}}var r=e("lodash/object/assign"),i=e("lodash/collection/foreach"),s=e("../../common/ajax/insurantAjax"),o={addInsurant:"/m/do/insurant/add",addGuardian:"/m/do/insurer/add",createPI000060:"/m/do/createOrder/PI000060",createPI000061:"/m/do/createOrder/PI000061",getInsurer:"/m/do/insurer/getUserForInsurer",queryBalance:"/m/do/medicalInsurance/balance",apply:"/m/do/fujianInsurance/acceptInsurance",insurerAdd:"/m/do/insurer/add",insurantsAdd:"/m/do/insurant/add",getProductPurchaseConfig:"/m/app/getProductPurchaseConfig"};u.prototype.simulateLogin=function(e){this.ajax({url:"/m/simulateLogin.dox",data:{userId:"US00000000000606"}},function(){e()},function(e){console.log(e)})},u.prototype.createOrder=function(e,t,n){var r=o.createPI000060;e.idCsspProduct=="PI000061"&&(r=o.createPI000061);var i=this;s(this.ajax,{url:r,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.queryBalance=function(e,t,n){s(this.ajax,{url:o.queryBalance,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.apply=function(e,t,n){s(this.ajax,{url:o.apply,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.getInsurer=function(e){var t=this;s(this.ajax,{url:o.getInsurer,data:{}},function(n){n=r({},t.dataModel.tempFormData,n),n.commonCity="350100",n.display="福州市",n.commonProvince="350000",n.insurerIdType="1",e(n)},function(n){e({},t.dataModel.tempFormData),console.log(n)})},u.prototype.addInsurer=function(e,t,n){s(this.ajax,{url:o.insurerAdd,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.addInsurants=function(e,t,n){s(this.ajax,{url:o.insurantsAdd,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.getProductPurchaseConfig=function(e,t,n){s(this.ajax,{url:o.getProductPurchaseConfig,data:e},function(e){t(e)},function(e){console.log(e)})},u.prototype.setCurrIndex=function(e){this.dataModel.currIndex=e},u.prototype.getCurrIndex=function(){return this.dataModel.currIndex},t.exports=new u},{"../../common/ajax/insurantAjax":43,"lodash/collection/foreach":6,"lodash/object/assign":35}],46:[function(e,t,n){function c(){this.moduleName="insurance",this.name="fjPay",this.cssFile="fjPay.css",this.classList=["fjPay"],this.routers={index:"index",acIndex:"acIndex",medicalPay:"medicalPay",medicalPaySuc:"medicalPaySuc"}}var r=e("./../views/tpl.fjPay"),i=e("../../../../../gum.ui/wechatSDK/wechat.helper"),s=e("../../../Controller"),o=e("../../common/checkAndPay/payOfNative"),u=e("../views/medicalPay.tpl"),a=e("../views/medicalPaySuc.tpl"),f=e("../../fjInsurance/model/insurance.model.fjInsurance"),l=e("../../../../../gum.ui/alerts/pops.js");c.prototype=new s({index:function(){var e=JSON.parse(localStorage.getItem("fjPayData"));e.balance*1-5e3-e.inquiry*1<0?this.curRouter.navigate("insurance/fjPay/acIndex",!1):this.curRouter.navigate("insurance/fjPay/medicalPay",!1)},acIndex:function(){var e={eventID:"支付选择",eventLabel:"支付选择",title:"支付选择"},t=JSON.parse(localStorage.getItem("fjPayData"));if(!isApp){document.title=t.productName;var n=new i;n.updatePageTitleIniOS()}var s=this,u=s.common.$,a={productName:t.productName,inquiry:t.inquiry};s.curModule._renderHTML(r(a),e,function(){var e=t.balance;e*1-5e3-a.inquiry*1<0?(u("#medicalPay").addClass("hide"),u("#medicalPayCancel").removeClass("hide")):u("#kuaiqianPay").addClass("hide"),u("#medicalPay").tap(function(){if(this.classList.contains("btn-gray-bg"))return;s.curRouter.navigate("insurance/fjPay/medicalPay",!0)}),isApp?(u("#weixinPay").addClass("hide"),u("#kuaiqianPay").tap(function(){var e=JSON.parse(localStorage.getItem("selectPayType_data"));o.noticeNative(e)})):s.noticeWeb()})},medicalPay:function(){var e=this,t={eventID:"医保卡支付",eventLabel:"医保卡支付",title:"医保卡支付"},n=JSON.parse(localStorage.getItem("fjPayData"));if(!isApp){document.title=n.productName;var r=new i;r.updatePageTitleIniOS()}var s=n.inquiry,o=s*1/500,a={productName:n.productName,num:o,inquiry:s};e.curModule._renderHTML(u(a),t,function(){e.$("#next").tap(function(){var t=n.balance;if(t*1-5e3-s*1<0){var r="医保卡余额不足"+(5e3+s*1)+", 不能购买该产品!";l.alert('<div class="insurance-select-popmsg">'+r+"</div>",null,"提示");return}var i={idCsspOrder:n.idCsspOrder};f.apply(i,function(t){window.localStorage.setItem("result","true"),window.localStorage.setItem("policyNo",t.sertNos[0]),e.curRouter.navigate("insurance/fjPay/medicalPaySuc",!0)},function(){window.localStorage.setItem("result","false"),console.dir("error...")})})})},medicalPaySuc:function(){function c(e,t){localStorage.setItem("successUrl",window.location.href);var n=localStorage.getItem("idCsspProduct"),r=(new Date).getTime(),i=location.protocol+"//"+location.host+"/m/insurance_release/index.html?xubao=true&time="+r+"&productId="+n+"#insurance/autoRenewal/autoRenewal/index/"+e+"/"+t,s=location.protocol+"//"+location.host+"/m/insurance_unlogin/index.html?xubao=true&time="+r+"&productId="+n+"#insurance/autoRenewal/autoRenewal/index/"+e+"/"+t;isApp?window.location.href=i:window.location.href=s}var e=this,t={eventID:"支付结果",eventLabel:"医保卡支付结果",title:"医保卡支付结果"};if(!isApp){var n=new i;n.updatePageTitleIniOS()}var r=JSON.parse(localStorage.getItem("fjPayData")),s=r.idCsspOrder,o=window.localStorage.getItem("result"),u=window.localStorage.getItem("policyNo"),l={};l.result=o,l.poliyNo=u,e.curModule._renderHTML(a(l),t,function(){window.localStorage.removeItem("gumBackUrl-order"),f.getProductPurchaseConfig({idCsspOrder:s},function(t){if(t.result.length===0)return;var n=!1,r=t.result;for(var i=0;i<r.length;i++)r[i].displayRenewalBtn=="Y"&&(n=!0);n==1&&(e.$("#confirmId").addClass("hide"),e.$("#renewShow").removeClass("hide"),e.$("#renew").tap(function(){c(s,localStorage.getItem("insurerName"))}))},function(){}),e.$(".confirm").tap(function(){var e=location.protocol+"//"+location.host+"/m/insurance_release/index.html#service/orderManager/insuranceOrder/index/0066",t="http://home.pingan.com.cn/m/download/download.html";isApp?(window.localStorage.setItem("gumBackUrl-order",window.location.href),window.location.href=e):window.location.href=t})})},noticeWeb:function(){function c(){var e=JSON.parse(localStorage.getItem("selectPayType_data")),t=this,n=e.inputCharset,r=e.bgUrl,i=e.version,s=e.mobileGateway,o=e.language,u=e.signType,a=e.merchantAcctId,f=e.payType,l=e.idCsspOrder,c=e.orderAmount,h=e.productName,p=e.orderTime,d=e.signMsg,v=e.nnpayUrl,m=e.submitPageUrl,g=e.ext1,y=e.ext2,b=e.orderSource,w="1";b=="orderManage"&&(w="0");var E="inputCharset="+n+"&bgUrl="+r+"&version="+i+"&mobileGateway="+s+"&language="+o+"&signType="+u+"&merchantAcctId="+a+"&ext1="+g+"&ext2="+y+"&payType="+f+"&orderId="+l+"&orderAmount="+c+"&productName="+h+"&orderTime="+p+"&signMsg="+d,S=v+"?"+E;localStorage.setItem("productId",e.idCsspOrder),localStorage.setItem("productName",e.productName),window.location.href=S,window.onload=function(){if(window.location.href){window.onload=undefined;return}window.location.href=E}}function h(){var e=5,t=window.navigator.userAgent.toLowerCase();if(t.indexOf("micromessenger")==-1)return!1;var n=t.substring(t.indexOf("micromessenger")).split("/")[1];return n=n.substr(0,1),parseInt(n,10)>=e?!0:!1}var e=this,t=document.getElementById("selPayType");setTimeout(function(){var e=window.outerHeight-window.document.getElementById("payInfo").clientHeight;t.style.height=e},10);var n=navigator.userAgent.toLowerCase(),r=n.indexOf("micromessenger")!=-1,s=window.document.getElementById("weixinPay"),o=window.document.getElementById("kuaiqianPay"),u=JSON.parse(localStorage.getItem("selectPayType_data"));u.success=function(){window.location.href="/m/insurance_unlogin/success.html"},u.error=function(e){},r?h()?(s.style.backgroundColor="rgb(46,197,26)",s.classList.remove("btn-gray-bg"),s.addEventListener("touchend",function(){console.log("微信支付");var e=location.protocol+"//"+location.host+"/m/insurance_unlogin/client.html#insurance/fjPay/index";localStorage.setItem("location",location.href),window.localStorage.removeItem("authorize");try{var t=new i;t.weixinPay(u)}catch(n){alert(n)}})):(s.classList.add("btn-gray-bg"),s.classList.remove("weixinPay"),t.children[2].classList.remove("hide"),t.children[2].innerHTML="微信5.0以前版本不支持微信支付"):(s.classList.add("btn-gray-bg"),s.classList.remove("weixinPay"),t.children[2].classList.remove("hide"),t.children[2].innerHTML="浏览器不让跳微信，请用网银支付"),o.addEventListener("touchend",function(){console.log("平安付支付"),c()});var a=document.getElementById("productName"),f=document.getElementById("productAccount");a.innerHTML=u.productName,f.innerHTML="￥"+parseInt(u.orderAmount)/100;if(window.localStorage.getItem("authorize")=="true"&&window.localStorage.getItem("openId")!=null){var l=new i;l.weixinPay(u);return}}});var h=new c;h.initController(f)},{"../../../../../gum.ui/alerts/pops.js":52,"../../../../../gum.ui/wechatSDK/wechat.helper":57,"../../../Controller":42,"../../common/checkAndPay/payOfNative":44,"../../fjInsurance/model/insurance.model.fjInsurance":45,"../views/medicalPay.tpl":47,"../views/medicalPaySuc.tpl":48,"./../views/tpl.fjPay":49}],47:[function(e,t,n){var r=e("template");t.exports=r("insurance/fjPay/views/medicalPay.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.productName,i=e.num,s=e.inquiry,o="";return o+='<div style="padding:10px;"> <ul class="layout xbox mt10 ps1"> <li class="toggle-open" style="line-height: 45px;text-align: center;"> <b class="corange" >医保卡支付</b> </li> </ul> <ul class="layout xbox mt10 toggle-cxt ps2"> <li> <span class="w_120">',o+=n(r),o+='</span> </li> <li> <span class="w_120">数量</span> <span class="pl10"> <input value="',o+=n(i),o+='" disabled="disabled"> </span> </li> <li> <span class="w_120">总价</span> <span class="pl10"> <input value="¥',o+=n(s),o+='" disabled="disabled"> </span> </li> <li class="tar fz12"> <span></span> </li> </ul> <section style="margin-top:-4px;z-index: 999;position: relative;"> <input id="next" type="button" value="确认支付" class="btn-long"> </section> </div>',new String(o)})},{template:60}],48:[function(e,t,n){var r=e("template");t.exports=r("insurance/fjPay/views/medicalPaySuc.tpl",function(e){var t=this,n=(t.$helpers,e.result),r=t.$escape,i=e.poliyNo,s="";return s+=' <style type="text/css"> *{margin:0; padding: 0; font-size: 15px; font-family: Tahoma,"STXihei"; outline:none; -webkit-tap-highlight-color:rgba(0,0,0,0);-webkit-touch-callout:none;-webkit-user-select:none;-webkit-font-smoothing: antialiased;} input{width:100%;border-radius:5px;border: solid 1px #ededed;padding: 4px;box-sizing: border-box;-webkit-appearance: none;} input[type=button]{background:#f77676;color:#fff;border-color:#ED5C3F;font-size:16px;height:40px;line-height:30px;} input.button1{background:rgb(223, 224, 225);color:rgb(140, 148, 155);border-color:rgb(180, 184, 188);font-size:16px;height:40px;font-weight:bold;} input.light{background:#f55757;} .article_globe{margin-top: 25%;line-height: 30px; text-align:center} .wdp_50{width:40%} .l_center{ margin:20px auto;} .v_center{vertical-align: middle;} .gray-bg{background: #f5f5f5;} .gray-bg-fb{background: #fbfbfb;} .hide{display:none;} .show{display:block;} .margin-t-2em {margin-top: 2em;} /*goddess action 2015-2-5*/ .tips-box{width: 88%; margin: 20% auto 0; text-align: center;} .tips-box h2{font-size: 1.6em; color: #4e4d4d;font-weight: normal; margin-bottom: 3%;} .success-green{padding: 1.1em; background: url("assets/images/success-green.png") 0 0.3em/100% no-repeat; margin-right:6px; } .paySuccessSeq{color:#f37171;font-size:1.4em;} .suc-tips-con{border-radius: 0.6em; border: 1px solid #999; background: #fff; padding: 1em 0 1.5em;} .suc-tips-con h3{font-weight: normal; font-size: 1.4em; color: #4e4d4d; line-height: 2em;} .suc-tips-con h3 span{font-size: 1em;} #desc{font-size: 0.9em; color: #777;margin-top:0.3em;text-align: left; padding:0 10px;} section{margin-top:1em;} .prizeName{font-size:1.2em;} </style> <article id="mainbody"> ',"true"==n?(s+=' <div class="tips-box"> <h2><i class="success-green"></i>投保成功</h2> <div id="panel"> <div><p>请登录www.pingan.com.cn/yz或下载好福利查看保单</p></div> <div><p>保单号：',s+=r(i),s+='</p></div> <div class="suc-tips-con margin-t-2em"> <p class="failure prizeName"></p> <p id="desc" >发票需待保险公司与医保中心结算后提供，请于投保一个月后前往我司柜面进行打印（仅提供以参保人姓名为抬头的发票）；柜面地址：福建省福州市五一中路88号平安大厦20楼养老险柜面</p> </div> </div> </div> '):s+=' <div class="tips-box" style="margin-bottom: 50px;"> <h2>投保失败</h2> </div> ',s+=' <section style=""> <input id="confirmId" type="button" value="查看订单" class="btn-long confirm"> <div id ="renewShow" class="hide"> <div style="float:left;width:45%"> <input type="button" value="查看订单" class="btn-long confirm"> </div> <div style="float:right;width:45%" class=""> <input id="renew" type="button" value="自动续保" class="btn-long"> </div> </div> </section> </article> ',new String(s)})},{template:60}],49:[function(e,t,n){var r=e("template");t.exports=r("insurance/fjPay/views/tpl.fjPay",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.productName,i=e.inquiry,s="";return s+='<div class="gray"> <div id="payInfo"> <p>商品名称：<span id="productName">',s+=n(r),s+='</span></p> <p class="mt20">应付金额：<span style="color:#ee5c3f" id="productAccount">',s+=n(i),s+='</span></p> </div> <div id="selPayType"> <div id="medicalPayCancel" class="hide">因您医保卡余额不满足人社局要求,请使用其他方式支付保费</div> <button id="kuaiqianPay" class="mt25">网银支付</button> <button id="medicalPay" class="mt25">医保卡支付</button> <button id="weixinPay" class="weixinPay mt25">微信支付</button>  <p class="hide"></p> </div> </div> ',new String(s)})},{template:60}],50:[function(e,t,n){function s(){}var r=e("../toast/toast"),i=new r;s.prototype={index:0,startMask:function(e){s.prototype.index===0&&(i.showMasking(e),i.showLoadingToast("正在处理，请稍候...")),s.prototype.index++},endMask:function(){s.prototype.index<=1&&(i.hideMasking(),i.hideLoadingToast(),s.prototype.index=1),s.prototype.index--}},t.exports=s},{"../toast/toast":54}],51:[function(e,t,n){function r(){this._urls={insuredPolicyListQuery:"/m/insuredPolicyListQuery.doh",searchCommonConfigByProductId:"/m/present/insurance/searchCommonConfigByProductId.dox",getUser:"/m/do/insurer/getUserForInsurer",noSaling:"/m/noSaling.dox",underWriting:"/m/do/underWriting/check",quotePI000048:"/m/do/quote/PI000048",createOrderPI000048:"/m/do/createOrder/PI000048",insurantAdd:"/m/do/insurant/add",holderAdd:"/m/do/insurer/add",getContacts:"/m/do/insurant/searchInsurants",weChatPayUnifiedOrder:"/m/weChatPayUnifiedOrder.dox",saveInvoiceInfo:"/m/do/saveInvoiceInfo",querySubBankList:"/m/querySubBankList.dox",saveRenewalInsurance:"/m/saveRenewalInsurance.dox",weixinPay:"/m/weChatPayUnifiedOrder.dox",getSharePattern:"/m/getSharePattern.dox",checkGCodeAction:"/m/checkGCodeAction.dox",saveShareNote:"/m/saveShareNote.dox",queryShareNote:"/m/queryShareNote.dox",saveHealthNotice:"/m/app/saveHealthNotice",getOrderDetail:"/m/do/getOrderDetail",simulateLogin:"/m/simulateLogin.dox",findExpertProduct:"/m/do/findExpertProduct.do",queryInsurPublicProList:"/m/do/insurer/queryInsurPublicProList"}}r.prototype.getUrl=function(e){var t;e.substr(0,4)=="http"||e.substr(0,3)=="/m/"?t=e:e.indexOf("pawf-op/")>-1?t=e:t=this._urls[e];if(!t){var n=new Error("NoRequestUrlWasSetted");throw n.name="NoRequestUrl",n}return t},t.exports=r},{}],52:[function(e,t,n){var r=e("./template/alert.tpl"),i=e("../utils/$"),s={hide:function(){i(window).off("hashchange",s.hide),i("#gum-alert-ios").remove()},showHtml:function(e,t){t=t||{},t.body=e,document.body.insertAdjacentHTML("beforeend",r(t)),i(window).one("hashchange",s.hide),i("#btnCancel").tap(function(e){s.hide(),t.fnCancel&&t.fnCancel(e)}),i("#btnOK").tap(function(e){s.hide(),t.fnOK&&t.fnOK(e)})},alert:function(e,t,n){this.showHtml(e,{fnOK:t,title:n,hideCancel:1})},confirm:function(e,t,n,r){this.showHtml(e,{fnOK:t,fnCancel:n,title:r})}};t.exports=s},{"../utils/$":55,"./template/alert.tpl":53}],53:[function(e,t,n){var r=e("template");t.exports=r("alert.tpl",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.body,s=e.hideCancel,o=e.ltext,u=e.rtext,a="";return a+='<div id="gum-alert-ios" class="open gum-alert"> <div id="gum-alert-container" class="gum-alert-container"> <div class="',a+=n(r?"gum-alert-title img-border-btm":""),a+='"> ',a+=n(r),a+=' </div> <div class="gum-alert-message" id="alert-message">',a+=n(i),a+='</div> <div class="gum-alert-footer"> ',s||(a+=' <button id="btnCancel" class="gum-btn-negative cancel" ontouchstart="">',a+=n(o||"取消"),a+="</button> "),a+=' <button id="btnOK" class="gum-btn-positive default" ontouchstart="">',a+=n(u||"确定"),a+="</button> </div> </div> </div> ",new String(a)})},{template:60}],54:[function(e,t,n){function r(){}r.prototype={showToast:function(e,t,n){if(document.querySelector("body>div.toast-container"))return;t=t||2e3;var r=document.createElement("div");n&&(r.id=n),r.classList.add("toast-container"),r.innerHTML='<div class="toast-message">'+e+"</div>",document.body.appendChild(r),t!=-1&&(this.timeId=setTimeout(this.hideToast.bind(this),t))},showLoadingToast:function(e,t){t===undefined&&(t=-1),e="<span class='spinner-white'></span>&nbsp;&nbsp;"+e,this.showToast(e,t,"loading")},hideToast:function(){var e=document.querySelector("body>div.toast-container");e&&document.body.removeChild(e),clearTimeout(this.timeId)},hideLoadingToast:function(){this.hideToast()},showMasking:function(e){e=e||3e3;var t=document.createElement("div");t.id="divMasking",t.classList.add("toast-masking"),document.body.appendChild(t),e!=-1&&(this.maskTimeId=setTimeout(this.hideMasking.bind(this),e))},showMaskingManually:function(){this.showMasking(-1)},hideMasking:function(){var e=document.getElementById("divMasking");e&&document.body.removeChild(e),clearTimeout(this.maskTimeId)}},t.exports=r},{}],55:[function(e,t,n){var r=window._pingan_$;r||(r=window._pingan_$=function(){function s(e){function t(){document.removeEventListener("DOMContentLoaded",t),e()}/complete|loaded|interactive/.test(document.readyState)?e():document.addEventListener("DOMContentLoaded",t,!1)}function o(t,n){function s(e){if(e.getAttribute){var t=e.getAttribute("__qkey");t||e.setAttribute("__qkey",t=Math.random().toString(32))}else{var t=e.__qkey;t||(e.__qkey=t=Math.random())}return t}var r=s(t),i=e[r]||(e[r]={});return i[n]||(i[n]=[])}function u(e,t){this.es=[],this.length=0;var n=typeof e=="string"?e.substr(0,1)=="<"?l(e):f(e,t):e?[e]:[];b(this,n)}function a(e){var t=i();return b(t,e),t}function f(e,t){return t=t||document,t.querySelectorAll(e)}function l(e){var t=document.createElement("div");t.innerHTML=e;var n=y(t.children);return t.innerHTML="",n}function c(e,t){var n=e&&(e.webkitMatchesSelector||e.matchesSelector||e.matches);return n?n.call(e,t):i(t).es.indexOf(e)>-1}function h(e,t,n,r,i,s){if(s?s():t.length<=n){var o=e[0]&&r(e[0]);return o===undefined||o===null?"":o}if(i)return e.es.forEach(function(e){i(e,t[n])}),e}function p(e,t){try{e.es.forEach(t)}catch(n){}return e}function d(e,t,n){return e.es.forEach(function(e){try{i(t).es.forEach(function(t){n.call(e,e,t)})}catch(r){}}),e}function v(e,t){try{var n=[];e.es.forEach(function(e){var r=t(e);r&&r.length!==undefined&&!r.tagName?(r=r instanceof Array?r:y(r),n=n.concat(r)):r&&n.indexOf(r)==-1&&n.push(r)})}catch(r){}return a(n)}function m(e,t){try{do e=t?e.nextSibling:e.previousSibling;while(e&&e.nodeType!=1)}catch(e){}return e}function g(e,t){var n=t?"Height":"Width";if(e===window){var r=window;return{height:r["inner"+n],width:r["inner"+n],left:r.pageXOffset,top:r.pageYOffset}}return e&&e.getBoundingClientRect()}function y(e){return[].slice.call(e,0)}function b(e,t){var n;for(n=0;n<e.length;n++)delete e[n];t instanceof Array||(t=y(t));for(n=0;n<t.length;n++)e[n]=t[n];e.es=t,e.length=t.length}var e={},t="mytap",n=300,r=15,i=function(e,t){if(typeof e!="function")return e instanceof u?e:new u(e,t);s(e)};return i.each=function(e,t){if(e instanceof Array)e.forEach(t);else for(var n in e)t(n,e[n])},i.clear=function(){i.each(e,function(t,n){i.each(n,function(e,t){t.forEach(function(e,n){e.forEver||t.splice(n,1)}),t.length==0&&delete n[e]}),Object.keys(n).length==0&&delete e[t]})},i.event={on:function(e,n,r,s,u,a){u&&(u=function(){i.event.off(e,n,r)}),p(e,function(e){n.split(",").forEach(function(n){n=="tap"&&(n=t);var f={fn:r,forEver:!!s,_fn:u},l=o(e,n);l.length==0&&e.addEventListener&&e.addEventListener(n,i.event.dispatch,!1),n==t&&e.setAttribute("data-tappable",a||""),n==t&&e.setAttribute("ontouchstart",""),l.push(f)})})},off:function(e,n,r){p(e,function(e){n.split(",").forEach(function(n){n=="tap"&&(n=t);var s=o(e,n);if(r===undefined)s.splice(0,s.length);else for(var u=0;u<s.length;u++)if(s[u].fn==r||r.globalId&&r.globalId==s[u].fn.globalId)s.splice(u,1),u--;s.length==0&&e.removeEventListener&&e.removeEventListener(n,i.event.dispatch)})})},dispatch:function(e){var t=o(this,e.type).slice(0),n=this,r=[e];e.args&&r.push.apply(r,e.args),t.forEach(function(e){e.fn&&e.fn.apply(n,r),e._fn&&e._fn()})},create:function(e,n){e=="tap"&&(e=t);var r="Events",i=document.createEvent(r);return i.initEvent(e,!n,!0),i}},i.netWork=function(){return{netWorkOn:function(){return window.navigator.onLine}}}(),u.prototype=i.fn={on:function(e,t,n,r,s){return i.event.on(this,e,t,n,r,s),this},off:function(e,t){return i.event.off(this,e,t),this},one:function(e,t,n){return this.on(e,t,n,1)},offOn:function(e,t,n,r){return this.off(e,t).on(e,t,n,r)},find:function(e){return v(this,function(t){return f(e,t)})},eq:function(e){return i(this[e])},slice:function(e,t){return a(this.es.slice(e,t))},first:function(){return this.eq(0)},last:function(){return this.eq(this.length-1)},parent:function(){return v(this,function(e){return e.parentNode})},closest:function(e){return v(this,function(t){do t=t.parentNode;while(t&&!c(t,e));return t})},next:function(){return v(this,function(e){return m(e,1)})},prev:function(){return v(this,function(e){return m(e)})},children:function(){return v(this,function(e){return e.children})},remove:function(){return p(this,function(e){e.parentNode.removeChild(e)})},addClass:function(e){return p(this,function(t){e&&e.split(" ").forEach(function(e){t.classList.add(e)})})},removeClass:function(e){var t=!arguments.length;return p(this,function(n){t?n.className="":n.classList.remove(e)})},toggleClass:function(e,t){var n=arguments.length==1;return p(this,function(r){n&&(t=!r.classList.contains(e)),r.classList[t?"add":"remove"](e)})},hasClass:function(e){var t=this.es[0];return t&&t.classList.contains(e)},css:function(e,t){var n=typeof e=="string",r=arguments;return h(this,r,1,function(t){return t.style[e]},function(r){if(n)r.style[e]=t;else for(var i in e)r.style[i]=e[i]},function(){return n&&r.length<2})},hide:function(){return p(this,function(e){e.style.display="none"})},show:function(){return p(this,function(e){e.style.display="initial"})},text:function(e){return h(this,arguments,0,function(e){return e.tagName=="SELECT"?(e=e.options[e.selectedIndex])&&e.text:e.textContent},function(t){t.textContent=e})},html:function(e){return h(this,arguments,0,function(e){return e.innerHTML},function(t){t.innerHTML=e||""})},val:function(e){return h(this,arguments,0,function(e){return e.value},function(t){t.value=e===undefined?"":e})},is:function(e){return c(this.es[0],e)},rect:function(){return g(this.es[0])},width:function(e){return h(this,arguments,0,function(e){return g(e).width},function(t){/^[\d\.]+$/.test(e)&&(e+="px"),t.style.width=e})},height:function(e){return h(this,arguments,0,function(e){return g(e,1).height},function(t){/^[\d\.]+$/.test(e)&&(e+="px"),t.style.height=e})},attr:function(e,t){function n(e,t){while(e!=null){if(e.hasOwnProperty(t))return!0;e=e.__proto__}return!1}return h(this,arguments,1,function(t){return n(t,e)?t[e]:t.getAttribute(e)},function(r){n(r,e)?r[e]=t:r.setAttribute(e,t)})},append:function(e){return d(this,e,function(e,t){e.appendChild(t)})},appendTo:function(e){return d(this,e,function(e,t){t.appendChild(e)})},before:function(e){return d(this,e,function(e,t){t.parentNode.insertBefore(e,t)})},trigger:function(e,t){var n=typeof e=="string"?i.event.create(e,t):e;return n.args=[].slice.call(arguments,2),p(this,function(e){e.dispatchEvent?e.dispatchEvent(n):i.event.dispatch.call(e,n)})},triggerHandler:function(e){var t=i.event.create(e);return p(this,function(e){i.event.dispatch.call(e,t)})},each:function(e){this.es.forEach(e)}},["blur","focus","focusin","focusout","load","resize","scroll","unload",t,"touchmove","touchstart","touchend","touchcancel","change","select","submit","keydown","input","keypress","keyup","error"].forEach(function(e){i.fn[e]=function(t,n,r,i){return this.on(e,t,n,r,i)}}),i.fn.tap=i.fn[t],i(function(){function l(e){while(e&&e instanceof HTMLElement&&e.getAttribute("data-tappable")==null)e=e.parentNode;return e instanceof HTMLElement?e:null}function c(e,t){var n=Element.prototype,r=n.matches||n.webkitMatchesSelector||n.mozMatchesSelector||n.msMatchesSelector||function(e){return[].indexOf.call(document.querySelectorAll(e),this)!==-1};while(e&&e instanceof HTMLElement&&!r.call(e,t))e=e.parentNode;return e instanceof HTMLElement?e:null}function h(t,i,s,o,u,a){var f=t.changedTouches[0],l=Date.now()-e,c=f.pageX-i.x,h=f.pageY-i.y,p=Math.abs(c)+Math.abs(h);p<r?l>=n?a.call(this,c,h):o.call(this,c,h):u.call(this,c,h)}function p(e,t,n){var r=document.createEvent("Event");r.initEvent(e,!0,!0),["touches","targetTouches","changedTouches"].forEach(function(e){r[e]=t[e]}),Object.keys(n).forEach(function(e){r[e]=n[e]}),i(t.target).trigger(r),r.defaultPrevented&&t.preventDefault()}var e,s,o,u,a,f;i(document.body).touchstart(function(t){e=Date.now(),u=t.target,s=t.changedTouches[0].pageX,o=t.changedTouches[0].pageY,f=l(t.target);if(f){var r=f.getAttribute("data-tappable");a=r?c(t.target,r):f,a&&a.classList.add("tapping")}setTimeout(function(){a&&a.classList.remove("tapping")},n)},1).touchmove(function(t){u==t.target&&h(t,{x:s,y:o},e,function(){console.log("Touch moving")},function(){console.log("Touch cancelled by overstep (touchmove)"),a&&a.classList.remove("tapping"),u=null},function(){console.log("Touch cancelled by overtime (touchmove)"),a&&a.classList.remove("tapping"),u=null})},1).touchend(function(n){u==n.target&&(a&&a.classList.remove("tapping"),h(n,{x:s,y:o},e,function(){console.log("Fire tap event."),p(t,n,{}),u=null},function(e,t){console.log("Touch cancelled by overstep (touchend)"),p("stroke",n,{deltaX:e,deltaY:t}),u=null},function(e,t){console.log("Touch cancelled by overtime (touchend)"),p("stroke",n,{deltaX:e,deltaY:t}),u=null}))},1)}),i}()),t.exports=r},{}],56:[function(e,t,n){function r(){var e=navigator.userAgent,t=/iPhone|iPad|Mac/i.test(e),n=/Android|Linux/i.test(e),r=0;try{n&&(r=window.healthAppObj.getAppVersionCode()),t&&(r=window.iosBundleVersion)}catch(i){}var s=n&&r>111||t&&r>200;return{ios:t,android:n,appVer:r,pwdKbdEnabled:s}}t.exports=r()},{}],57:[function(e,t,n){function f(){}var r=e("reqwest"),i=e("q"),s=e("wechat"),o=e("../ajax/urls"),u=e("./wechat.update.title"),a=new(e("../ajax/mask")),l=new o;f.prototype={getParams:function(e){var t=new RegExp("(^|&)"+e+"=([^&]*)(&|$)","i"),n=window.location.search.substr(1).match(t);return n?decodeURI(n[2]):null},getToken:function(){return r({url:"https://eim.pingan.com.cn/egis/getSignature",data:{openid:"123456",weappNo:"PAYLX95511_01"},method:"get",type:"jsonp"})},setConfig:function(e,t){e&&(e=JSON.parse(e),wx.config({debug:!1,appId:"wx1e2d13308e457ed9",timestamp:e.timestamp,nonceStr:e.nonce,signature:e.signature,jsApiList:t,success:function(e){console.log(e)},error:function(e){console.log(e)}}))},share:function(e,t,n,r){wx.onMenuShareTimeline({title:e,link:n,imgUrl:r,success:function(){config.toast("已分享")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}}),wx.onMenuShareAppMessage({title:e,desc:t,link:n,imgUrl:r,success:function(){config.toast("发送成功")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}})},isMicroBrower:function(){var e=window.navigator.userAgent.toLowerCase();return e.match(/MicroMessenger/i)!="micromessenger"?!1:!0},weixinPay:function(e){var t=this,n=window.localStorage.getItem("authorize"),r=window.localStorage.getItem("openId");"true"!=n||r==null?this.authorizeWeixn(e):t.createWeixinOrder(e)},authorizeWeixn:function(e){var t="https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx1e2d13308e457ed9&redirect_uri="+encodeURIComponent("http://eim.pingan.com.cn/egis/simpleRedirect?weappNo=PAYLX95511_01&backUrl="+encodeURIComponent(location.protocol+"//"+location.host+"/m/insurance_unlogin/getWeixinOpenId.html"))+"&response_type=code&scope=snsapi_base&state=sig&connect_redirect=1#wechat_redirect";location.replace(t)},createWeixinOrder:function(e){a.startMask();var t=this,n={url:l.getUrl("weixinPay"),method:"post",type:"json",crossOrigin:!0,timeout:6e4,data:{orderName:e.productName,idCsspOrder:e.idCsspOrder,payPremium:e.orderAmount,openId:localStorage.getItem("openId")}};i(r(n)).then(function(n){a.endMask();var r={appId:n.appId,timeStamp:n.timeStamp,nonceStr:n.nonceStr,"package":"prepay_id="+n.weixinPackage,signType:n.signType,paySign:n.paySign,cancel:function(e){config.toast("用户取消支付")},error:function(e){config.toast("支付失败"),console.log(e)},success:function(t){e.success.call({},e.idCsspOrder)}};window.localStorage.removeItem("authorize"),t.getBrandWCPayRequest(r)}).then(function(){a.endMask(),console.log("get weixinPay error")}).fin(function(){a.endMask(),console.log("weixinPay finshed!")})},getBrandWCPayRequest:function(e){var t=this,n=function(e){WeixinJSBridge.invoke("getBrandWCPayRequest",e,function(t){if(t.err_msg=="get_brand_wcpay_request:ok")e.success.call();else{var n="";t.err_msg=="get_brand_wcpay_request:cancel"?(n="支付失败，失败原因：您取消了微信支付",config.toast("用户取消支付")):t.err_msg.indexOf("access_denied")!=-1?n="支付失败，失败原因：请求的支付url不在授权目录下":t.err_msg.indexOf("access_not_allow")!=-1?n="支付失败，失败原因：支付的微信号没有在测试白名单内":(n="支付失败，失败原因 res："+t.err_msg,config.toast("支付失败")),e.error.call({},n)}})};typeof WeixinJSBridge=="undefined"?document.addEventListener("WeixinJSBridgeReady",function(){n(e)},!1):n(e)},updatePageTitleIniOS:u},t.exports=f},{"../ajax/mask":50,"../ajax/urls":51,"./wechat.update.title":59,q:40,reqwest:41,wechat:58}],58:[function(e,t,n){(function(n){var r=e;(function(t,n,r,i,s){!function(e,t){"function"==typeof i&&(i.amd||i.cmd)?i(function(){return t(e)}):t(e,!0)}(this,function(e,t){function n(t,n,r){e.WeixinJSBridge?WeixinJSBridge.invoke(t,i(n),function(e){o(t,e,r)}):f(t,r)}function r(t,n,r){e.WeixinJSBridge?WeixinJSBridge.on(t,function(e){r&&r.trigger&&r.trigger(e),o(t,e,n)}):r?f(t,r):f(t,n)}function i(e){return e=e||{},e.appId=N.appId,e.verifyAppId=N.appId,e.verifySignType="sha1",e.verifyTimestamp=N.timestamp+"",e.verifyNonceStr=N.nonceStr,e.verifySignature=N.signature,e}function s(e){return{timeStamp:e.timestamp+"",nonceStr:e.nonceStr,"package":e.package,paySign:e.paySign,signType:e.signType||"SHA1"}}function o(e,t,n){var r,i,s;switch(delete t.err_code,delete t.err_desc,delete t.err_detail,r=t.errMsg,r||(r=t.err_msg,delete t.err_msg,r=u(e,r,n),t.errMsg=r),n=n||{},n._complete&&(n._complete(t),delete n._complete),r=t.errMsg||"",N.debug&&!n.isInnerInvoke&&alert(JSON.stringify(t)),i=r.indexOf(":"),s=r.substring(i+1)){case"ok":n.success&&n.success(t);break;case"cancel":n.cancel&&n.cancel(t);break;default:n.fail&&n.fail(t)}n.complete&&n.complete(t)}function u(e,t){var n,r,i,s;if(t){switch(n=t.indexOf(":"),e){case d.config:r="config";break;case d.openProductSpecificView:r="openProductSpecificView";break;default:r=t.substring(0,n),r=r.replace(/_/g," "),r=r.replace(/\b\w+\b/g,function(e){return e.substring(0,1).toUpperCase()+e.substring(1)}),r=r.substring(0,1).toLowerCase()+r.substring(1),r=r.replace(/ /g,""),-1!=r.indexOf("Wcpay")&&(r=r.replace("Wcpay","WCPay")),i=v[r],i&&(r=i)}s=t.substring(n+1),"confirm"==s&&(s="ok"),"failed"==s&&(s="fail"),-1!=s.indexOf("failed_")&&(s=s.substring(7)),-1!=s.indexOf("fail_")&&(s=s.substring(5)),s=s.replace(/_/g," "),s=s.toLowerCase(),("access denied"==s||"no permission to execute"==s)&&(s="permission denied"),"config"==r&&"function not exist"==s&&(s="ok"),t=r+":"+s}return t}function a(e){var t,n,r,i;if(e){for(t=0,n=e.length;n>t;++t)r=e[t],i=d[r],i&&(e[t]=i);return e}}function f(e,t){if(!(!N.debug||t&&t.isInnerInvoke)){var n=v[e];n&&(e=n),t&&t._complete&&delete t._complete,console.log('"'+e+'",',t||"")}}function l(){if(!("6.0.2">S||T.systemType<0)){var e=new Image;T.appId=N.appId,T.initTime=x.initEndTime-x.initStartTime,T.preVerifyTime=x.preVerifyEndTime-x.preVerifyStartTime,L.getNetworkType({isInnerInvoke:!0,success:function(t){T.networkType=t.networkType;var n="https://open.weixin.qq.com/sdk/report?v="+T.version+"&o="+T.isPreVerifyOk+"&s="+T.systemType+"&c="+T.clientVersion+"&a="+T.appId+"&n="+T.networkType+"&i="+T.initTime+"&p="+T.preVerifyTime+"&u="+T.url;e.src=n}})}}function c(){return(new Date).getTime()}function h(t){b&&(e.WeixinJSBridge?t():m.addEventListener&&m.addEventListener("WeixinJSBridgeReady",t,!1))}function p(){L.invoke||(L.invoke=function(t,n,r){e.WeixinJSBridge&&WeixinJSBridge.invoke(t,i(n),r)},L.on=function(t,n){e.WeixinJSBridge&&WeixinJSBridge.on(t,n)})}var d,v,m,g,y,b,w,E,S,x,T,N,C,k,L;if(!e.jWeixin)return d={config:"preVerifyJSAPI",onMenuShareTimeline:"menu:share:timeline",onMenuShareAppMessage:"menu:share:appmessage",onMenuShareQQ:"menu:share:qq",onMenuShareWeibo:"menu:share:weiboApp",onMenuShareQZone:"menu:share:QZone",previewImage:"imagePreview",getLocation:"geoLocation",openProductSpecificView:"openProductViewWithPid",addCard:"batchAddCard",openCard:"batchViewCard",chooseWXPay:"getBrandWCPayRequest"},v=function(){var e,t={};for(e in d)t[d[e]]=e;return t}(),m=e.document,g=m.title,y=navigator.userAgent.toLowerCase(),b=-1!=y.indexOf("micromessenger"),w=-1!=y.indexOf("android"),E=-1!=y.indexOf("iphone")||-1!=y.indexOf("ipad"),S=function(){var e=y.match(/micromessenger\/(\d+\.\d+\.\d+)/)||y.match(/micromessenger\/(\d+\.\d+)/);return e?e[1]:""}(),x={initStartTime:c(),initEndTime:0,preVerifyStartTime:0,preVerifyEndTime:0},T={version:1,appId:"",initTime:0,preVerifyTime:0,networkType:"",isPreVerifyOk:1,systemType:E?1:w?2:-1,clientVersion:S,url:encodeURIComponent(location.href)},N={},C={_completes:[]},k={state:0,res:{}},h(function(){x.initEndTime=c()}),L={config:function(e){N=e,f("config",e);var t=N.check===!1?!1:!0;h(function(){var e,r,i;if(t)n(d.config,{verifyJsApiList:a(N.jsApiList)},function(){C._complete=function(e){x.preVerifyEndTime=c(),k.state=1,k.res=e},C.success=function(){T.isPreVerifyOk=0},C.fail=function(e){C._fail?C._fail(e):k.state=-1};var e=C._completes;return e.push(function(){N.debug||l()}),C.complete=function(){for(var t=0,n=e.length;n>t;++t)e[t]();C._completes=[]},C}()),x.preVerifyStartTime=c();else{for(k.state=1,e=C._completes,r=0,i=e.length;i>r;++r)e[r]();C._completes=[]}}),N.beta&&p()},ready:function(e){0!=k.state?e():(C._completes.push(e),!b&&N.debug&&e())},error:function(e){"6.0.2">S||(-1==k.state?e(k.res):C._fail=e)},checkJsApi:function(e){var t=function(e){var t,n,r=e.checkResult;for(t in r)n=v[t],n&&(r[n]=r[t],delete r[t]);return e};n("checkJsApi",{jsApiList:a(e.jsApiList)},function(){return e._complete=function(e){if(w){var n=e.checkResult;n&&(e.checkResult=JSON.parse(n))}e=t(e)},e}())},onMenuShareTimeline:function(e){r(d.onMenuShareTimeline,{complete:function(){n("shareTimeline",{title:e.title||g,desc:e.title||g,img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareAppMessage:function(e){r(d.onMenuShareAppMessage,{complete:function(){n("sendAppMessage",{title:e.title||g,desc:e.desc||"",link:e.link||location.href,img_url:e.imgUrl||"",type:e.type||"link",data_url:e.dataUrl||""},e)}},e)},onMenuShareQQ:function(e){r(d.onMenuShareQQ,{complete:function(){n("shareQQ",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareWeibo:function(e){r(d.onMenuShareWeibo,{complete:function(){n("shareWeiboApp",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareQZone:function(e){r(d.onMenuShareQZone,{complete:function(){n("shareQZone",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},startRecord:function(e){n("startRecord",{},e)},stopRecord:function(e){n("stopRecord",{},e)},onVoiceRecordEnd:function(e){r("onVoiceRecordEnd",e)},playVoice:function(e){n("playVoice",{localId:e.localId},e)},pauseVoice:function(e){n("pauseVoice",{localId:e.localId},e)},stopVoice:function(e){n("stopVoice",{localId:e.localId},e)},onVoicePlayEnd:function(e){r("onVoicePlayEnd",e)},uploadVoice:function(e){n("uploadVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadVoice:function(e){n("downloadVoice",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},translateVoice:function(e){n("translateVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},chooseImage:function(e){n("chooseImage",{scene:"1|2",count:e.count||9,sizeType:e.sizeType||["original","compressed"],sourceType:e.sourceType||["album","camera"]},function(){return e._complete=function(e){if(w){var t=e.localIds;t&&(e.localIds=JSON.parse(t))}},e}())},previewImage:function(e){n(d.previewImage,{current:e.current,urls:e.urls},e)},uploadImage:function(e){n("uploadImage",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadImage:function(e){n("downloadImage",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},getNetworkType:function(e){var t=function(e){var t,n,r,i=e.errMsg;if(e.errMsg="getNetworkType:ok",t=e.subtype,delete e.subtype,t)e.networkType=t;else switch(n=i.indexOf(":"),r=i.substring(n+1)){case"wifi":case"edge":case"wwan":e.networkType=r;break;default:e.errMsg="getNetworkType:fail"}return e};n("getNetworkType",{},function(){return e._complete=function(e){e=t(e)},e}())},openLocation:function(e){n("openLocation",{latitude:e.latitude,longitude:e.longitude,name:e.name||"",address:e.address||"",scale:e.scale||28,infoUrl:e.infoUrl||""},e)},getLocation:function(e){e=e||{},n(d.getLocation,{type:e.type||"wgs84"},function(){return e._complete=function(e){delete e.type},e}())},hideOptionMenu:function(e){n("hideOptionMenu",{},e)},showOptionMenu:function(e){n("showOptionMenu",{},e)},closeWindow:function(e){e=e||{},n("closeWindow",{immediate_close:e.immediateClose||0},e)},hideMenuItems:function(e){n("hideMenuItems",{menuList:e.menuList},e)},showMenuItems:function(e){n("showMenuItems",{menuList:e.menuList},e)},hideAllNonBaseMenuItem:function(e){n("hideAllNonBaseMenuItem",{},e)},showAllNonBaseMenuItem:function(e){n("showAllNonBaseMenuItem",{},e)},scanQRCode:function(e){e=e||{},n("scanQRCode",{needResult:e.needResult||0,scanType:e.scanType||["qrCode","barCode"]},function(){return e._complete=function(e){var t,n;E&&(t=e.resultStr,t&&(n=JSON.parse(t),e.resultStr=n&&n.scan_code&&n.scan_code.scan_result))},e}())},openProductSpecificView:function(e){n(d.openProductSpecificView,{pid:e.productId,view_type:e.viewType||0},e)},addCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,card_ext:i.cardExt},u.push(s);n(d.addCard,{card_list:u},function(){return e._complete=function(e){var t,n,r,i=e.card_list;if(i){for(i=JSON.parse(i),t=0,n=i.length;n>t;++t)r=i[t],r.cardId=r.card_id,r.cardExt=r.card_ext,r.isSuccess=r.is_succ?!0:!1,delete r.card_id,delete r.card_ext,delete r.is_succ;e.cardList=i,delete e.card_list}},e}())},chooseCard:function(e){n("chooseCard",{app_id:N.appId,location_id:e.shopId||"",sign_type:e.signType||"SHA1",card_id:e.cardId||"",card_type:e.cardType||"",card_sign:e.cardSign,time_stamp:e.timestamp+"",nonce_str:e.nonceStr},function(){return e._complete=function(e){e.cardList=e.choose_card_info,delete e.choose_card_info},e}())},openCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,code:i.code},u.push(s);n(d.openCard,{card_list:u},e)},chooseWXPay:function(e){n(d.chooseWXPay,s(e),e)}},t&&(e.wx=e.jWeixin=L),L}),s(typeof wechatSDK!="undefined"?wechatSDK:window.wechatSDK)}).call(n,undefined,undefined,undefined,undefined,function(n){t.exports=n})}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{}],59:[function(e,t,n){function r(){function e(){t.removeEventListener("load",e,!1),setTimeout(function(){document.body.removeChild(t)},100)}var t=document.createElement("iframe");t.src="assets/images/logo.png",t.style.position="absolute",t.style.top="-1000px",t.addEventListener("load",e,!1),document.body.appendChild(t)}t.exports=r},{}],60:[function(e,t,n){!function(){function e(e,t){return(/string|function/.test(typeof t)?a:u)(e,t)}function n(e,t){return"string"!=typeof e&&(t=typeof e,"number"===t?e+="":e="function"===t?n(e.call(e)):""),e}function r(e){return h[e]}function i(e){return n(e).replace(/&(?![\w#]+;)|[<>"']/g,r)}function s(e,t){if(p(e))for(var n=0,r=e.length;r>n;n++)t.call(e,e[n],n,e);else for(n in e)t.call(e,e[n],n)}function o(e,t){var n=/(\/)[^/]+\1\.\.\1/,r=("./"+e).replace(/[^/]+$/,""),i=r+t;for(i=i.replace(/\/\.\//g,"/");i.match(n);)i=i.replace(n,"/");return i}function u(t,n){var r=e.get(t)||f({filename:t,name:"Render Error",message:"Template not found"});return n?r(n):r}function a(e,t){if("string"==typeof t){var n=t;t=function(){return new c(n)}}var r=l[e]=function(n){try{return new t(n,e)+""}catch(r){return f(r)()}};return r.prototype=t.prototype=d,r.toString=function(){return t+""},r}function f(e){var t="{Template Error}",n=e.stack||"";if(n)n=n.split("\n").slice(0,2).join("\n");else for(var r in e)n+="<"+r+">\n"+e[r]+"\n\n";return function(){return"object"==typeof console&&console.error(t+"\n\n"+n),t}}var l=e.cache={},c=this.String,h={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},p=Array.isArray||function(e){return"[object Array]"==={}.toString.call(e)},d=e.utils={$helpers:{},$include:function(e,t,n){return e=o(n,e),u(e,t)},$string:n,$escape:i,$each:s},v=e.helpers=d.$helpers;e.get=function(e){return l[e.replace(/^\.\//,"")]},e.helper=function(e,t){v[e]=t},t.exports=e}()},{}]},{},[46]);