/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */

/*
 * $Id: base64.js,v 2.15 2014/04/05 12:58:57 dankogai Exp dankogai $
 *
 *  Licensed under the MIT license.
 *    http://opensource.org/licenses/mit-license
 *
 *  References:
 *    http://en.wikipedia.org/wiki/Base64
 */

/*!
 *
 * Copyright 2009-2012 Kris Kowal under the terms of the MIT
 * license found at http://github.com/kriskowal/q/raw/master/LICENSE
 *
 * With parts by Tyler Close
 * Copyright 2007-2009 Tyler Close under the terms of the MIT X license found
 * at http://www.opensource.org/licenses/mit-license.html
 * Forked at ref_send.js version: 2009-05-11
 *
 * With parts by Mark Miller
 * Copyright (C) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*!
  * Reqwest! A general purpose XHR connection manager
  * license MIT (c) Dustin Diaz 2014
  * https://github.com/ded/reqwest
  */

(function e(t,n,r){function i(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(s)return s(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var s=typeof require=="function"&&require;for(var o=0;o<r.length;o++)i(r[o]);return i})({1:[function(e,t,n){var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";(function(e){function l(e){var t=e.charCodeAt(0);if(t===n||t===a)return 62;if(t===i||t===f)return 63;if(t<s)return-1;if(t<s+10)return t-s+26+26;if(t<u+26)return t-u;if(t<o+26)return t-o+26}function c(e){function c(e){u[f++]=e}var n,r,i,s,o,u;if(e.length%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var a=e.length;o="="===e.charAt(a-2)?2:"="===e.charAt(a-1)?1:0,u=new t(e.length*3/4-o),i=o>0?e.length-4:e.length;var f=0;for(n=0,r=0;n<i;n+=4,r+=3)s=l(e.charAt(n))<<18|l(e.charAt(n+1))<<12|l(e.charAt(n+2))<<6|l(e.charAt(n+3)),c((s&16711680)>>16),c((s&65280)>>8),c(s&255);return o===2?(s=l(e.charAt(n))<<2|l(e.charAt(n+1))>>4,c(s&255)):o===1&&(s=l(e.charAt(n))<<10|l(e.charAt(n+1))<<4|l(e.charAt(n+2))>>2,c(s>>8&255),c(s&255)),u}function h(e){function u(e){return r.charAt(e)}function a(e){return u(e>>18&63)+u(e>>12&63)+u(e>>6&63)+u(e&63)}var t,n=e.length%3,i="",s,o;for(t=0,o=e.length-n;t<o;t+=3)s=(e[t]<<16)+(e[t+1]<<8)+e[t+2],i+=a(s);switch(n){case 1:s=e[e.length-1],i+=u(s>>2),i+=u(s<<4&63),i+="==";break;case 2:s=(e[e.length-2]<<8)+e[e.length-1],i+=u(s>>10),i+=u(s>>4&63),i+=u(s<<2&63),i+="="}return i}var t=typeof Uint8Array!="undefined"?Uint8Array:Array,n="+".charCodeAt(0),i="/".charCodeAt(0),s="0".charCodeAt(0),o="a".charCodeAt(0),u="A".charCodeAt(0),a="-".charCodeAt(0),f="_".charCodeAt(0);e.toByteArray=c,e.fromByteArray=h})(typeof n=="undefined"?this.base64js={}:n)},{}],2:[function(e,t,n){(function(t){"use strict";function u(){function e(){}try{var t=new Uint8Array(1);return t.foo=function(){return 42},t.constructor=e,t.foo()===42&&t.constructor===e&&typeof t.subarray=="function"&&t.subarray(1,1).byteLength===0}catch(n){return!1}}function a(){return f.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function f(e){return this instanceof f?(f.TYPED_ARRAY_SUPPORT||(this.length=0,this.parent=undefined),typeof e=="number"?l(this,e):typeof e=="string"?c(this,e,arguments.length>1?arguments[1]:"utf8"):h(this,e)):arguments.length>1?new f(e,arguments[1]):new f(e)}function l(e,t){e=b(e,t<0?0:w(t)|0);if(!f.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;n++)e[n]=0;return e}function c(e,t,n){if(typeof n!="string"||n==="")n="utf8";var r=S(t,n)|0;return e=b(e,r),e.write(t,n),e}function h(e,t){if(f.isBuffer(t))return p(e,t);if(s(t))return d(e,t);if(t==null)throw new TypeError("must start with number, buffer, array or string");if(typeof ArrayBuffer!="undefined"){if(t.buffer instanceof ArrayBuffer)return v(e,t);if(t instanceof ArrayBuffer)return m(e,t)}return t.length?g(e,t):y(e,t)}function p(e,t){var n=w(t.length)|0;return e=b(e,n),t.copy(e,0,0,n),e}function d(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function v(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function m(e,t){return f.TYPED_ARRAY_SUPPORT?(t.byteLength,e=f._augment(new Uint8Array(t))):e=v(e,new Uint8Array(t)),e}function g(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function y(e,t){var n,r=0;t.type==="Buffer"&&s(t.data)&&(n=t.data,r=w(n.length)|0),e=b(e,r);for(var i=0;i<r;i+=1)e[i]=n[i]&255;return e}function b(e,t){f.TYPED_ARRAY_SUPPORT?(e=f._augment(new Uint8Array(t)),e.__proto__=f.prototype):(e.length=t,e._isBuffer=!0);var n=t!==0&&t<=f.poolSize>>>1;return n&&(e.parent=o),e}function w(e){if(e>=a())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a().toString(16)+" bytes");return e|0}function E(e,t){if(this instanceof E){var n=new f(e,t);return delete n.parent,n}return new E(e,t)}function S(e,t){typeof e!="string"&&(e=""+e);var n=e.length;if(n===0)return 0;var r=!1;for(;;)switch(t){case"ascii":case"binary":case"raw":case"raws":return n;case"utf8":case"utf-8":return Q(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return Z(e).length;default:if(r)return Q(e).length;t=(""+t).toLowerCase(),r=!0}}function x(e,t,n){var r=!1;t|=0,n=n===undefined||n===Infinity?this.length:n|0,e||(e="utf8"),t<0&&(t=0),n>this.length&&(n=this.length);if(n<=t)return"";for(;;)switch(e){case"hex":return B(this,t,n);case"utf8":case"utf-8":return M(this,t,n);case"ascii":return P(this,t,n);case"binary":return H(this,t,n);case"base64":return O(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return j(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function T(e,t,n,r){n=Number(n)||0;var i=e.length-n;r?(r=Number(r),r>i&&(r=i)):r=i;var s=t.length;if(s%2!==0)throw new Error("Invalid hex string");r>s/2&&(r=s/2);for(var o=0;o<r;o++){var u=parseInt(t.substr(o*2,2),16);if(isNaN(u))throw new Error("Invalid hex string");e[n+o]=u}return o}function N(e,t,n,r){return et(Q(t,e.length-n),e,n,r)}function C(e,t,n,r){return et(G(t),e,n,r)}function k(e,t,n,r){return C(e,t,n,r)}function L(e,t,n,r){return et(Z(t),e,n,r)}function A(e,t,n,r){return et(Y(t,e.length-n),e,n,r)}function O(e,t,n){return t===0&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function M(e,t,n){n=Math.min(e.length,n);var r=[],i=t;while(i<n){var s=e[i],o=null,u=s>239?4:s>223?3:s>191?2:1;if(i+u<=n){var a,f,l,c;switch(u){case 1:s<128&&(o=s);break;case 2:a=e[i+1],(a&192)===128&&(c=(s&31)<<6|a&63,c>127&&(o=c));break;case 3:a=e[i+1],f=e[i+2],(a&192)===128&&(f&192)===128&&(c=(s&15)<<12|(a&63)<<6|f&63,c>2047&&(c<55296||c>57343)&&(o=c));break;case 4:a=e[i+1],f=e[i+2],l=e[i+3],(a&192)===128&&(f&192)===128&&(l&192)===128&&(c=(s&15)<<18|(a&63)<<12|(f&63)<<6|l&63,c>65535&&c<1114112&&(o=c))}}o===null?(o=65533,u=1):o>65535&&(o-=65536,r.push(o>>>10&1023|55296),o=56320|o&1023),r.push(o),i+=u}return D(r)}function D(e){var t=e.length;if(t<=_)return String.fromCharCode.apply(String,e);var n="",r=0;while(r<t)n+=String.fromCharCode.apply(String,e.slice(r,r+=_));return n}function P(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]&127);return r}function H(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]);return r}function B(e,t,n){var r=e.length;if(!t||t<0)t=0;if(!n||n<0||n>r)n=r;var i="";for(var s=t;s<n;s++)i+=K(e[s]);return i}function j(e,t,n){var r=e.slice(t,n),i="";for(var s=0;s<r.length;s+=2)i+=String.fromCharCode(r[s]+r[s+1]*256);return i}function F(e,t,n){if(e%1!==0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function I(e,t,n,r,i,s){if(!f.isBuffer(e))throw new TypeError("buffer must be a Buffer instance");if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range")}function q(e,t,n,r){t<0&&(t=65535+t+1);for(var i=0,s=Math.min(e.length-n,2);i<s;i++)e[n+i]=(t&255<<8*(r?i:1-i))>>>(r?i:1-i)*8}function R(e,t,n,r){t<0&&(t=4294967295+t+1);for(var i=0,s=Math.min(e.length-n,4);i<s;i++)e[n+i]=t>>>(r?i:3-i)*8&255}function U(e,t,n,r,i,s){if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range");if(n<0)throw new RangeError("index out of range")}function z(e,t,n,r,s){return s||U(e,t,n,4,3.4028234663852886e38,-3.4028234663852886e38),i.write(e,t,n,r,23,4),n+4}function W(e,t,n,r,s){return s||U(e,t,n,8,1.7976931348623157e308,-1.7976931348623157e308),i.write(e,t,n,r,52,8),n+8}function $(e){e=J(e).replace(V,"");if(e.length<2)return"";while(e.length%4!==0)e+="=";return e}function J(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}function K(e){return e<16?"0"+e.toString(16):e.toString(16)}function Q(e,t){t=t||Infinity;var n,r=e.length,i=null,s=[];for(var o=0;o<r;o++){n=e.charCodeAt(o);if(n>55295&&n<57344){if(!i){if(n>56319){(t-=3)>-1&&s.push(239,191,189);continue}if(o+1===r){(t-=3)>-1&&s.push(239,191,189);continue}i=n;continue}if(n<56320){(t-=3)>-1&&s.push(239,191,189),i=n;continue}n=(i-55296<<10|n-56320)+65536}else i&&(t-=3)>-1&&s.push(239,191,189);i=null;if(n<128){if((t-=1)<0)break;s.push(n)}else if(n<2048){if((t-=2)<0)break;s.push(n>>6|192,n&63|128)}else if(n<65536){if((t-=3)<0)break;s.push(n>>12|224,n>>6&63|128,n&63|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;s.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}}return s}function G(e){var t=[];for(var n=0;n<e.length;n++)t.push(e.charCodeAt(n)&255);return t}function Y(e,t){var n,r,i,s=[];for(var o=0;o<e.length;o++){if((t-=2)<0)break;n=e.charCodeAt(o),r=n>>8,i=n%256,s.push(i),s.push(r)}return s}function Z(e){return r.toByteArray($(e))}function et(e,t,n,r){for(var i=0;i<r;i++){if(i+n>=t.length||i>=e.length)break;t[i+n]=e[i]}return i}var r=e("base64-js"),i=e("ieee754"),s=e("isarray");n.Buffer=f,n.SlowBuffer=E,n.INSPECT_MAX_BYTES=50,f.poolSize=8192;var o={};f.TYPED_ARRAY_SUPPORT=t.TYPED_ARRAY_SUPPORT!==undefined?t.TYPED_ARRAY_SUPPORT:u(),f.TYPED_ARRAY_SUPPORT?(f.prototype.__proto__=Uint8Array.prototype,f.__proto__=Uint8Array):(f.prototype.length=undefined,f.prototype.parent=undefined),f.isBuffer=function(t){return t!=null&&!!t._isBuffer},f.compare=function(t,n){if(!f.isBuffer(t)||!f.isBuffer(n))throw new TypeError("Arguments must be Buffers");if(t===n)return 0;var r=t.length,i=n.length,s=0,o=Math.min(r,i);while(s<o){if(t[s]!==n[s])break;++s}return s!==o&&(r=t[s],i=n[s]),r<i?-1:i<r?1:0},f.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"raw":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},f.concat=function(t,n){if(!s(t))throw new TypeError("list argument must be an Array of Buffers.");if(t.length===0)return new f(0);var r;if(n===undefined){n=0;for(r=0;r<t.length;r++)n+=t[r].length}var i=new f(n),o=0;for(r=0;r<t.length;r++){var u=t[r];u.copy(i,o),o+=u.length}return i},f.byteLength=S,f.prototype.toString=function tt(){var e=this.length|0;return e===0?"":arguments.length===0?M(this,0,e):x.apply(this,arguments)},f.prototype.equals=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?!0:f.compare(this,t)===0},f.prototype.inspect=function(){var t="",r=n.INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,r).match(/.{2}/g).join(" "),this.length>r&&(t+=" ... ")),"<Buffer "+t+">"},f.prototype.compare=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?0:f.compare(this,t)},f.prototype.indexOf=function(t,n){function r(e,t,n){var r=-1;for(var i=0;n+i<e.length;i++)if(e[n+i]===t[r===-1?0:i-r]){r===-1&&(r=i);if(i-r+1===t.length)return n+r}else r=-1;return-1}n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n>>=0;if(this.length===0)return-1;if(n>=this.length)return-1;n<0&&(n=Math.max(this.length+n,0));if(typeof t=="string")return t.length===0?-1:String.prototype.indexOf.call(this,t,n);if(f.isBuffer(t))return r(this,t,n);if(typeof t=="number")return f.TYPED_ARRAY_SUPPORT&&Uint8Array.prototype.indexOf==="function"?Uint8Array.prototype.indexOf.call(this,t,n):r(this,[t],n);throw new TypeError("val must be string, number or Buffer")},f.prototype.get=function(t){return console.log(".get() is deprecated. Access using array indexes instead."),this.readUInt8(t)},f.prototype.set=function(t,n){return console.log(".set() is deprecated. Access using array indexes instead."),this.writeUInt8(t,n)},f.prototype.write=function(t,n,r,i){if(n===undefined)i="utf8",r=this.length,n=0;else if(r===undefined&&typeof n=="string")i=n,r=this.length,n=0;else if(isFinite(n))n|=0,isFinite(r)?(r|=0,i===undefined&&(i="utf8")):(i=r,r=undefined);else{var s=i;i=n,n=r|0,r=s}var o=this.length-n;if(r===undefined||r>o)r=o;if(t.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("attempt to write outside buffer bounds");i||(i="utf8");var u=!1;for(;;)switch(i){case"hex":return T(this,t,n,r);case"utf8":case"utf-8":return N(this,t,n,r);case"ascii":return C(this,t,n,r);case"binary":return k(this,t,n,r);case"base64":return L(this,t,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return A(this,t,n,r);default:if(u)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),u=!0}},f.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var _=4096;f.prototype.slice=function(t,n){var r=this.length;t=~~t,n=n===undefined?r:~~n,t<0?(t+=r,t<0&&(t=0)):t>r&&(t=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<t&&(n=t);var i;if(f.TYPED_ARRAY_SUPPORT)i=f._augment(this.subarray(t,n));else{var s=n-t;i=new f(s,undefined);for(var o=0;o<s;o++)i[o]=this[o+t]}return i.length&&(i.parent=this.parent||this),i},f.prototype.readUIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return i},f.prototype.readUIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t+ --n],s=1;while(n>0&&(s*=256))i+=this[t+ --n]*s;return i},f.prototype.readUInt8=function(t,n){return n||F(t,1,this.length),this[t]},f.prototype.readUInt16LE=function(t,n){return n||F(t,2,this.length),this[t]|this[t+1]<<8},f.prototype.readUInt16BE=function(t,n){return n||F(t,2,this.length),this[t]<<8|this[t+1]},f.prototype.readUInt32LE=function(t,n){return n||F(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+this[t+3]*16777216},f.prototype.readUInt32BE=function(t,n){return n||F(t,4,this.length),this[t]*16777216+(this[t+1]<<16|this[t+2]<<8|this[t+3])},f.prototype.readIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return s*=128,i>=s&&(i-=Math.pow(2,8*n)),i},f.prototype.readIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=n,s=1,o=this[t+ --i];while(i>0&&(s*=256))o+=this[t+ --i]*s;return s*=128,o>=s&&(o-=Math.pow(2,8*n)),o},f.prototype.readInt8=function(t,n){return n||F(t,1,this.length),this[t]&128?(255-this[t]+1)*-1:this[t]},f.prototype.readInt16LE=function(t,n){n||F(t,2,this.length);var r=this[t]|this[t+1]<<8;return r&32768?r|4294901760:r},f.prototype.readInt16BE=function(t,n){n||F(t,2,this.length);var r=this[t+1]|this[t]<<8;return r&32768?r|4294901760:r},f.prototype.readInt32LE=function(t,n){return n||F(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},f.prototype.readInt32BE=function(t,n){return n||F(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},f.prototype.readFloatLE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!0,23,4)},f.prototype.readFloatBE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!1,23,4)},f.prototype.readDoubleLE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!0,52,8)},f.prototype.readDoubleBE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!1,52,8)},f.prototype.writeUIntLE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=1,o=0;this[n]=t&255;while(++o<r&&(s*=256))this[n+o]=t/s&255;return n+r},f.prototype.writeUIntBE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=r-1,o=1;this[n+s]=t&255;while(--s>=0&&(o*=256))this[n+s]=t/o&255;return n+r},f.prototype.writeUInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,255,0),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[n]=t&255,n+1},f.prototype.writeUInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeUInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeUInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n+3]=t>>>24,this[n+2]=t>>>16,this[n+1]=t>>>8,this[n]=t&255):R(this,t,n,!0),n+4},f.prototype.writeUInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeIntLE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=0,u=1,a=t<0?1:0;this[n]=t&255;while(++o<r&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeIntBE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=r-1,u=1,a=t<0?1:0;this[n+o]=t&255;while(--o>=0&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,127,-128),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[n]=t&255,n+1},f.prototype.writeInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8,this[n+2]=t>>>16,this[n+3]=t>>>24):R(this,t,n,!0),n+4},f.prototype.writeInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeFloatLE=function(t,n,r){return z(this,t,n,!0,r)},f.prototype.writeFloatBE=function(t,n,r){return z(this,t,n,!1,r)},f.prototype.writeDoubleLE=function(t,n,r){return W(this,t,n,!0,r)},f.prototype.writeDoubleBE=function(t,n,r){return W(this,t,n,!1,r)},f.prototype.copy=function(t,n,r,i){r||(r=0),!i&&i!==0&&(i=this.length),n>=t.length&&(n=t.length),n||(n=0),i>0&&i<r&&(i=r);if(i===r)return 0;if(t.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-n<i-r&&(i=t.length-n+r);var s=i-r,o;if(this===t&&r<n&&n<i)for(o=s-1;o>=0;o--)t[o+n]=this[o+r];else if(s<1e3||!f.TYPED_ARRAY_SUPPORT)for(o=0;o<s;o++)t[o+n]=this[o+r];else t._set(this.subarray(r,r+s),n);return s},f.prototype.fill=function(t,n,r){t||(t=0),n||(n=0),r||(r=this.length);if(r<n)throw new RangeError("end < start");if(r===n)return;if(this.length===0)return;if(n<0||n>=this.length)throw new RangeError("start out of bounds");if(r<0||r>this.length)throw new RangeError("end out of bounds");var i;if(typeof t=="number")for(i=n;i<r;i++)this[i]=t;else{var s=Q(t.toString()),o=s.length;for(i=n;i<r;i++)this[i]=s[i%o]}return this},f.prototype.toArrayBuffer=function(){if(typeof Uint8Array!="undefined"){if(f.TYPED_ARRAY_SUPPORT)return(new f(this)).buffer;var t=new Uint8Array(this.length);for(var n=0,r=t.length;n<r;n+=1)t[n]=this[n];return t.buffer}throw new TypeError("Buffer.toArrayBuffer not supported in this browser")};var X=f.prototype;f._augment=function(t){return t.constructor=f,t._isBuffer=!0,t._set=t.set,t.get=X.get,t.set=X.set,t.write=X.write,t.toString=X.toString,t.toLocaleString=X.toString,t.toJSON=X.toJSON,t.equals=X.equals,t.compare=X.compare,t.indexOf=X.indexOf,t.copy=X.copy,t.slice=X.slice,t.readUIntLE=X.readUIntLE,t.readUIntBE=X.readUIntBE,t.readUInt8=X.readUInt8,t.readUInt16LE=X.readUInt16LE,t.readUInt16BE=X.readUInt16BE,t.readUInt32LE=X.readUInt32LE,t.readUInt32BE=X.readUInt32BE,t.readIntLE=X.readIntLE,t.readIntBE=X.readIntBE,t.readInt8=X.readInt8,t.readInt16LE=X.readInt16LE,t.readInt16BE=X.readInt16BE,t.readInt32LE=X.readInt32LE,t.readInt32BE=X.readInt32BE,t.readFloatLE=X.readFloatLE,t.readFloatBE=X.readFloatBE,t.readDoubleLE=X.readDoubleLE,t.readDoubleBE=X.readDoubleBE,t.writeUInt8=X.writeUInt8,t.writeUIntLE=X.writeUIntLE,t.writeUIntBE=X.writeUIntBE,t.writeUInt16LE=X.writeUInt16LE,t.writeUInt16BE=X.writeUInt16BE,t.writeUInt32LE=X.writeUInt32LE,t.writeUInt32BE=X.writeUInt32BE,t.writeIntLE=X.writeIntLE,t.writeIntBE=X.writeIntBE,t.writeInt8=X.writeInt8,t.writeInt16LE=X.writeInt16LE,t.writeInt16BE=X.writeInt16BE,t.writeInt32LE=X.writeInt32LE,t.writeInt32BE=X.writeInt32BE,t.writeFloatLE=X.writeFloatLE,t.writeFloatBE=X.writeFloatBE,t.writeDoubleLE=X.writeDoubleLE,t.writeDoubleBE=X.writeDoubleBE,t.fill=X.fill,t.inspect=X.inspect,t.toArrayBuffer=X.toArrayBuffer,t};var V=/[^+\/0-9A-Za-z-_]/g}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{"base64-js":1,ieee754:4,isarray:3}],3:[function(e,t,n){var r={}.toString;t.exports=Array.isArray||function(e){return r.call(e)=="[object Array]"}},{}],4:[function(e,t,n){n.read=function(e,t,n,r,i){var s,o,u=i*8-r-1,a=(1<<u)-1,f=a>>1,l=-7,c=n?i-1:0,h=n?-1:1,p=e[t+c];c+=h,s=p&(1<<-l)-1,p>>=-l,l+=u;for(;l>0;s=s*256+e[t+c],c+=h,l-=8);o=s&(1<<-l)-1,s>>=-l,l+=r;for(;l>0;o=o*256+e[t+c],c+=h,l-=8);if(s===0)s=1-f;else{if(s===a)return o?NaN:(p?-1:1)*Infinity;o+=Math.pow(2,r),s-=f}return(p?-1:1)*o*Math.pow(2,s-r)},n.write=function(e,t,n,r,i,s){var o,u,a,f=s*8-i-1,l=(1<<f)-1,c=l>>1,h=i===23?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:s-1,d=r?1:-1,v=t<0||t===0&&1/t<0?1:0;t=Math.abs(t),isNaN(t)||t===Infinity?(u=isNaN(t)?1:0,o=l):(o=Math.floor(Math.log(t)/Math.LN2),t*(a=Math.pow(2,-o))<1&&(o--,a*=2),o+c>=1?t+=h/a:t+=h*Math.pow(2,1-c),t*a>=2&&(o++,a/=2),o+c>=l?(u=0,o=l):o+c>=1?(u=(t*a-1)*Math.pow(2,i),o+=c):(u=t*Math.pow(2,c-1)*Math.pow(2,i),o=0));for(;i>=8;e[n+p]=u&255,p+=d,u/=256,i-=8);o=o<<i|u,f+=i;for(;f>0;e[n+p]=o&255,p+=d,o/=256,f-=8);e[n+p-d]|=v*128}},{}],5:[function(e,t,n){(function(n){var r=n.Base64,i="2.1.9",s;if(typeof t!="undefined"&&t.exports)try{s=e("buffer").Buffer}catch(o){}var u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=function(e){var t={};for(var n=0,r=e.length;n<r;n++)t[e.charAt(n)]=n;return t}(u),f=String.fromCharCode,l=function(e){if(e.length<2){var t=e.charCodeAt(0);return t<128?e:t<2048?f(192|t>>>6)+f(128|t&63):f(224|t>>>12&15)+f(128|t>>>6&63)+f(128|t&63)}var t=65536+(e.charCodeAt(0)-55296)*1024+(e.charCodeAt(1)-56320);return f(240|t>>>18&7)+f(128|t>>>12&63)+f(128|t>>>6&63)+f(128|t&63)},c=/[\uD800-\uDBFF][\uDC00-\uDFFFF]|[^\x00-\x7F]/g,h=function(e){return e.replace(c,l)},p=function(e){var t=[0,2,1][e.length%3],n=e.charCodeAt(0)<<16|(e.length>1?e.charCodeAt(1):0)<<8|(e.length>2?e.charCodeAt(2):0),r=[u.charAt(n>>>18),u.charAt(n>>>12&63),t>=2?"=":u.charAt(n>>>6&63),t>=1?"=":u.charAt(n&63)];return r.join("")},d=n.btoa?function(e){return n.btoa(e)}:function(e){return e.replace(/[\s\S]{1,3}/g,p)},v=s?function(e){return(e.constructor===s.constructor?e:new s(e)).toString("base64")}:function(e){return d(h(e))},m=function(e,t){return t?v(String(e)).replace(/[+\/]/g,function(e){return e=="+"?"-":"_"}).replace(/=/g,""):v(String(e))},g=function(e){return m(e,!0)},y=new RegExp(["[À-ß][-¿]","[à-ï][-¿]{2}","[ð-÷][-¿]{3}"].join("|"),"g"),b=function(e){switch(e.length){case 4:var t=(7&e.charCodeAt(0))<<18|(63&e.charCodeAt(1))<<12|(63&e.charCodeAt(2))<<6|63&e.charCodeAt(3),n=t-65536;return f((n>>>10)+55296)+f((n&1023)+56320);case 3:return f((15&e.charCodeAt(0))<<12|(63&e.charCodeAt(1))<<6|63&e.charCodeAt(2));default:return f((31&e.charCodeAt(0))<<6|63&e.charCodeAt(1))}},w=function(e){return e.replace(y,b)},E=function(e){var t=e.length,n=t%4,r=(t>0?a[e.charAt(0)]<<18:0)|(t>1?a[e.charAt(1)]<<12:0)|(t>2?a[e.charAt(2)]<<6:0)|(t>3?a[e.charAt(3)]:0),i=[f(r>>>16),f(r>>>8&255),f(r&255)];return i.length-=[0,0,2,1][n],i.join("")},S=n.atob?function(e){return n.atob(e)}:function(e){return e.replace(/[\s\S]{1,4}/g,E)},x=s?function(e){return(e.constructor===s.constructor?e:new s(e,"base64")).toString()}:function(e){return w(S(e))},T=function(e){return x(String(e).replace(/[-_]/g,function(e){return e=="-"?"+":"/"}).replace(/[^A-Za-z0-9\+\/]/g,""))},N=function(){var e=n.Base64;return n.Base64=r,e};n.Base64={VERSION:i,atob:S,btoa:d,fromBase64:T,toBase64:m,utob:h,encode:m,encodeURI:g,btou:w,decode:T,noConflict:N};if(typeof Object.defineProperty=="function"){var C=function(e){return{value:e,enumerable:!1,writable:!0,configurable:!0}};n.Base64.extendString=function(){Object.defineProperty(String.prototype,"fromBase64",C(function(){return T(this)})),Object.defineProperty(String.prototype,"toBase64",C(function(e){return m(this,e)})),Object.defineProperty(String.prototype,"toBase64URI",C(function(){return m(this,!0)}))}}n.Meteor&&(Base64=n.Base64)})(this)},{buffer:2}],6:[function(e,t,n){function u(e){return r(e)&&o.call(e)==i}var r=e("../internal/isObjectLike"),i="[object Date]",s=Object.prototype,o=s.toString;t.exports=u},{"../internal/isObjectLike":49}],7:[function(e,t,n){function u(e){return typeof e=="string"||r(e)&&o.call(e)==i}var r=e("../internal/isObjectLike"),i="[object String]",s=Object.prototype,o=s.toString;t.exports=u},{"../internal/isObjectLike":49}],8:[function(e,t,n){function r(e){var t=e?e.length:0;return t?e[t-1]:undefined}t.exports=r},{}],9:[function(e,t,n){var r=e("../internal/arrayEach"),i=e("../internal/baseEach"),s=e("../internal/createForEach"),o=s(r,i);t.exports=o},{"../internal/arrayEach":12,"../internal/baseEach":19,"../internal/createForEach":37}],10:[function(e,t,n){function u(e,t,n){var u=o(e)?r:s;return t=i(t,n,3),u(e,t)}var r=e("../internal/arrayMap"),i=e("../internal/baseCallback"),s=e("../internal/baseMap"),o=e("../lang/isArray");t.exports=u},{"../internal/arrayMap":13,"../internal/baseCallback":17,"../internal/baseMap":26,"../lang/isArray":55}],11:[function(e,t,n){function s(e,t){if(typeof e!="function")throw new TypeError(r);return t=i(t===undefined?e.length-1:+t||0,0),function(){var n=arguments,r=-1,s=i(n.length-t,0),o=Array(s);while(++r<s)o[r]=n[t+r];switch(t){case 0:return e.call(this,o);case 1:return e.call(this,n[0],o);case 2:return e.call(this,n[0],n[1],o)}var u=Array(t+1);r=-1;while(++r<t)u[r]=n[r];return u[t]=o,e.apply(this,u)}}var r="Expected a function",i=Math.max;t.exports=s},{}],12:[function(e,t,n){function r(e,t){var n=-1,r=e.length;while(++n<r)if(t(e[n],n,e)===!1)break;return e}t.exports=r},{}],13:[function(e,t,n){function r(e,t){var n=-1,r=e.length,i=Array(r);while(++n<r)i[n]=t(e[n],n,e);return i}t.exports=r},{}],14:[function(e,t,n){function r(e,t){var n=-1,r=e.length;while(++n<r)if(t(e[n],n,e))return!0;return!1}t.exports=r},{}],15:[function(e,t,n){function i(e,t,n){var i=-1,s=r(t),o=s.length;while(++i<o){var u=s[i],a=e[u],f=n(a,t[u],u,e,t);if((f===f?f!==a:a===a)||a===undefined&&!(u in e))e[u]=f}return e}var r=e("../object/keys");t.exports=i},{"../object/keys":63}],16:[function(e,t,n){function s(e,t){return t==null?e:r(t,i(t),e)}var r=e("./baseCopy"),i=e("../object/keys");t.exports=s},{"../object/keys":63,"./baseCopy":18}],17:[function(e,t,n){function a(e,t,n){var a=typeof e;return a=="function"?t===undefined?e:s(e,t,n):e==null?o:a=="object"?r(e):t===undefined?u(e):i(e,t)}var r=e("./baseMatches"),i=e("./baseMatchesProperty"),s=e("./bindCallback"),o=e("../utility/identity"),u=e("../utility/property");t.exports=a},{"../utility/identity":66,"../utility/property":67,"./baseMatches":27,"./baseMatchesProperty":28,"./bindCallback":33}],18:[function(e,t,n){function r(e,t,n){n||(n={});var r=-1,i=t.length;while(++r<i){var s=t[r];n[s]=e[s]}return n}t.exports=r},{}],19:[function(e,t,n){var r=e("./baseForOwn"),i=e("./createBaseEach"),s=i(r);t.exports=s},{"./baseForOwn":21,"./createBaseEach":35}],20:[function(e,t,n){var r=e("./createBaseFor"),i=r();t.exports=i},{"./createBaseFor":36}],21:[function(e,t,n){function s(e,t){return r(e,t,i)}var r=e("./baseFor"),i=e("../object/keys");t.exports=s},{"../object/keys":63,"./baseFor":20}],22:[function(e,t,n){function i(e,t,n){if(e==null)return;n!==undefined&&n in r(e)&&(t=[n]);var i=0,s=t.length;while(e!=null&&i<s)e=e[t[i++]];return i&&i==s?e:undefined}var r=e("./toObject");t.exports=i},{"./toObject":52}],23:[function(e,t,n){function o(e,t,n,u,a,f){return e===t?!0:e==null||t==null||!i(e)&&!s(t)?e!==e&&t!==t:r(e,t,o,n,u,a,f)}var r=e("./baseIsEqualDeep"),i=e("../lang/isObject"),s=e("./isObjectLike");t.exports=o},{"../lang/isObject":59,"./baseIsEqualDeep":24,"./isObjectLike":49}],24:[function(e,t,n){function d(e,t,n,c,d,v,m){var g=o(e),y=o(t),b=f,w=f;g||(b=p.call(e),b==a?b=l:b!=l&&(g=u(e))),y||(w=p.call(t),w==a?w=l:w!=l&&(y=u(t)));var E=b==l,S=w==l,x=b==w;if(x&&!g&&!E)return i(e,t,b);if(!d){var T=E&&h.call(e,"__wrapped__"),N=S&&h.call(t,"__wrapped__");if(T||N)return n(T?e.value():e,N?t.value():t,c,d,v,m)}if(!x)return!1;v||(v=[]),m||(m=[]);var C=v.length;while(C--)if(v[C]==e)return m[C]==t;v.push(e),m.push(t);var k=(g?r:s)(e,t,n,c,d,v,m);return v.pop(),m.pop(),k}var r=e("./equalArrays"),i=e("./equalByTag"),s=e("./equalObjects"),o=e("../lang/isArray"),u=e("../lang/isTypedArray"),a="[object Arguments]",f="[object Array]",l="[object Object]",c=Object.prototype,h=c.hasOwnProperty,p=c.toString;t.exports=d},{"../lang/isArray":55,"../lang/isTypedArray":61,"./equalArrays":38,"./equalByTag":39,"./equalObjects":40}],25:[function(e,t,n){function s(e,t,n){var s=t.length,o=s,u=!n;if(e==null)return!o;e=i(e);while(s--){var a=t[s];if(u&&a[2]?a[1]!==e[a[0]]:!(a[0]in e))return!1}while(++s<o){a=t[s];var f=a[0],l=e[f],c=a[1];if(u&&a[2]){if(l===undefined&&!(f in e))return!1}else{var h=n?n(l,c,f):undefined;if(h===undefined?!r(c,l,n,!0):!h)return!1}}return!0}var r=e("./baseIsEqual"),i=e("./toObject");t.exports=s},{"./baseIsEqual":23,"./toObject":52}],26:[function(e,t,n){function s(e,t){var n=-1,s=i(e)?Array(e.length):[];return r(e,function(e,r,i){s[++n]=t(e,r,i)}),s}var r=e("./baseEach"),i=e("./isArrayLike");t.exports=s},{"./baseEach":19,"./isArrayLike":44}],27:[function(e,t,n){function o(e){var t=i(e);if(t.length==1&&t[0][2]){var n=t[0][0],o=t[0][1];return function(e){return e==null?!1:e[n]===o&&(o!==undefined||n in s(e))}}return function(e){return r(e,t)}}var r=e("./baseIsMatch"),i=e("./getMatchData"),s=e("./toObject");t.exports=o},{"./baseIsMatch":25,"./getMatchData":42,"./toObject":52}],28:[function(e,t,n){function h(e,t){var n=o(e),h=u(e)&&a(t),p=e+"";return e=c(e),function(o){if(o==null)return!1;var u=p;o=l(o);if((n||!h)&&!(u in o)){o=e.length==1?o:r(o,s(e,0,-1));if(o==null)return!1;u=f(e),o=l(o)}return o[u]===t?t!==undefined||u in o:i(t,o[u],undefined,!0)}}var r=e("./baseGet"),i=e("./baseIsEqual"),s=e("./baseSlice"),o=e("../lang/isArray"),u=e("./isKey"),a=e("./isStrictComparable"),f=e("../array/last"),l=e("./toObject"),c=e("./toPath");t.exports=h},{"../array/last":8,"../lang/isArray":55,"./baseGet":22,"./baseIsEqual":23,"./baseSlice":31,"./isKey":47,"./isStrictComparable":50,"./toObject":52,"./toPath":53}],29:[function(e,t,n){function r(e){return function(t){return t==null?undefined:t[e]}}t.exports=r},{}],30:[function(e,t,n){function s(e){var t=e+"";return e=i(e),function(n){return r(n,e,t)}}var r=e("./baseGet"),i=e("./toPath");t.exports=s},{"./baseGet":22,"./toPath":53}],31:[function(e,t,n){function r(e,t,n){var r=-1,i=e.length;t=t==null?0:+t||0,t<0&&(t=-t>i?0:i+t),n=n===undefined||n>i?i:+n||0,n<0&&(n+=i),i=t>n?0:n-t>>>0,t>>>=0;var s=Array(i);while(++r<i)s[r]=e[r+t];return s}t.exports=r},{}],32:[function(e,t,n){function r(e){return e==null?"":e+""}t.exports=r},{}],33:[function(e,t,n){function i(e,t,n){if(typeof e!="function")return r;if(t===undefined)return e;switch(n){case 1:return function(n){return e.call(t,n)};case 3:return function(n,r,i){return e.call(t,n,r,i)};case 4:return function(n,r,i,s){return e.call(t,n,r,i,s)};case 5:return function(n,r,i,s,o){return e.call(t,n,r,i,s,o)}}return function(){return e.apply(t,arguments)}}var r=e("../utility/identity");t.exports=i},{"../utility/identity":66}],34:[function(e,t,n){function o(e){return s(function(t,n){var s=-1,o=t==null?0:n.length,u=o>2?n[o-2]:undefined,a=o>2?n[2]:undefined,f=o>1?n[o-1]:undefined;typeof u=="function"?(u=r(u,f,5),o-=2):(u=typeof f=="function"?f:undefined,o-=u?1:0),a&&i(n[0],n[1],a)&&(u=o<3?undefined:u,o=1);while(++s<o){var l=n[s];l&&e(t,l,u)}return t})}var r=e("./bindCallback"),i=e("./isIterateeCall"),s=e("../function/restParam");t.exports=o},{"../function/restParam":11,"./bindCallback":33,"./isIterateeCall":46}],35:[function(e,t,n){function o(e,t){return function(n,o){var u=n?r(n):0;if(!i(u))return e(n,o);var a=t?u:-1,f=s(n);while(t?a--:++a<u)if(o(f[a],a,f)===!1)break;return n}}var r=e("./getLength"),i=e("./isLength"),s=e("./toObject");t.exports=o},{"./getLength":41,"./isLength":48,"./toObject":52}],36:[function(e,t,n){function i(e){return function(t,n,i){var s=r(t),o=i(t),u=o.length,a=e?u:-1;while(e?a--:++a<u){var f=o[a];if(n(s[f],f,s)===!1)break}return t}}var r=e("./toObject");t.exports=i},{"./toObject":52}],37:[function(e,t,n){function s(e,t){return function(n,s,o){return typeof s=="function"&&o===undefined&&i(n)?e(n,s):t(n,r(s,o,3))}}var r=e("./bindCallback"),i=e("../lang/isArray");t.exports=s},{"../lang/isArray":55,"./bindCallback":33}],38:[function(e,t,n){function i(e,t,n,i,s,o,u){var a=-1,f=e.length,l=t.length;if(f!=l&&!(s&&l>f))return!1;while(++a<f){var c=e[a],h=t[a],p=i?i(s?h:c,s?c:h,a):undefined;if(p!==undefined){if(p)continue;return!1}if(s){if(!r(t,function(e){return c===e||n(c,e,i,s,o,u)}))return!1}else if(c!==h&&!n(c,h,i,s,o,u))return!1}return!0}var r=e("./arraySome");t.exports=i},{"./arraySome":14}],39:[function(e,t,n){function f(e,t,n){switch(n){case r:case i:return+e==+t;case s:return e.name==t.name&&e.message==t.message;case o:return e!=+e?t!=+t:e==+t;case u:case a:return e==t+""}return!1}var r="[object Boolean]",i="[object Date]",s="[object Error]",o="[object Number]",u="[object RegExp]",a="[object String]";t.exports=f},{}],40:[function(e,t,n){function o(e,t,n,i,o,u,a){var f=r(e),l=f.length,c=r(t),h=c.length;if(l!=h&&!o)return!1;var p=l;while(p--){var d=f[p];if(!(o?d in t:s.call(t,d)))return!1}var v=o;while(++p<l){d=f[p];var m=e[d],g=t[d],y=i?i(o?g:m,o?m:g,d):undefined;if(y===undefined?!n(m,g,i,o,u,a):!y)return!1;v||(v=d=="constructor")}if(!v){var b=e.constructor,w=t.constructor;if(b!=w&&"constructor"in e&&"constructor"in t&&!(typeof b=="function"&&b instanceof b&&typeof w=="function"&&w instanceof w))return!1}return!0}var r=e("../object/keys"),i=Object.prototype,s=i.hasOwnProperty;t.exports=o},{"../object/keys":63}],41:[function(e,t,n){var r=e("./baseProperty"),i=r("length");t.exports=i},{"./baseProperty":29}],42:[function(e,t,n){function s(e){var t=i(e),n=t.length;while(n--)t[n][2]=r(t[n][1]);return t}var r=e("./isStrictComparable"),i=e("../object/pairs");t.exports=s},{"../object/pairs":65,"./isStrictComparable":50}],43:[function(e,t,n){function i(e,t){var n=e==null?undefined:e[t];return r(n)?n:undefined}var r=e("../lang/isNative");t.exports=i},{"../lang/isNative":58}],44:[function(e,t,n){function s(e){return e!=null&&i(r(e))}var r=e("./getLength"),i=e("./isLength");t.exports=s},{"./getLength":41,"./isLength":48}],45:[function(e,t,n){function s(e,t){return e=typeof e=="number"||r.test(e)?+e:-1,t=t==null?i:t,e>-1&&e%1==0&&e<t}var r=/^\d+$/,i=9007199254740991;t.exports=s},{}],46:[function(e,t,n){function o(e,t,n){if(!s(n))return!1;var o=typeof t;if(o=="number"?r(n)&&i(t,n.length):o=="string"&&t in n){var u=n[t];return e===e?e===u:u!==u}return!1}var r=e("./isArrayLike"),i=e("./isIndex"),s=e("../lang/isObject");t.exports=o},{"../lang/isObject":59,"./isArrayLike":44,"./isIndex":45}],47:[function(e,t,n){function u(e,t){var n=typeof e;if(n=="string"&&o.test(e)||n=="number")return!0;if(r(e))return!1;var u=!s.test(e);return u||t!=null&&e in i(t)}var r=e("../lang/isArray"),i=e("./toObject"),s=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\n\\]|\\.)*?\1)\]/,o=/^\w*$/;t.exports=u},{"../lang/isArray":55,"./toObject":52}],48:[function(e,t,n){function i(e){return typeof e=="number"&&e>-1&&e%1==0&&e<=r}var r=9007199254740991;t.exports=i},{}],49:[function(e,t,n){function r(e){return!!e&&typeof e=="object"}t.exports=r},{}],50:[function(e,t,n){function i(e){return e===e&&!r(e)}var r=e("../lang/isObject");t.exports=i},{"../lang/isObject":59}],51:[function(e,t,n){function l(e){var t=u(e),n=t.length,a=n&&e.length,l=!!a&&o(a)&&(i(e)||r(e)),c=-1,h=[];while(++c<n){var p=t[c];(l&&s(p,a)||f.call(e,p))&&h.push(p)}return h}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("./isIndex"),o=e("./isLength"),u=e("../object/keysIn"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../lang/isArguments":54,"../lang/isArray":55,"../object/keysIn":64,"./isIndex":45,"./isLength":48}],52:[function(e,t,n){function i(e){return r(e)?e:Object(e)}var r=e("../lang/isObject");t.exports=i},{"../lang/isObject":59}],53:[function(e,t,n){function u(e){if(i(e))return e;var t=[];return r(e).replace(s,function(e,n,r,i){t.push(r?i.replace(o,"$1"):n||e)}),t}var r=e("./baseToString"),i=e("../lang/isArray"),s=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\n\\]|\\.)*?)\2)\]/g,o=/\\(\\)?/g;t.exports=u},{"../lang/isArray":55,"./baseToString":32}],54:[function(e,t,n){function a(e){return i(e)&&r(e)&&o.call(e,"callee")&&!u.call(e,"callee")}var r=e("../internal/isArrayLike"),i=e("../internal/isObjectLike"),s=Object.prototype,o=s.hasOwnProperty,u=s.propertyIsEnumerable;t.exports=a},{"../internal/isArrayLike":44,"../internal/isObjectLike":49}],55:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isLength"),s=e("../internal/isObjectLike"),o="[object Array]",u=Object.prototype,a=u.toString,f=r(Array,"isArray"),l=f||function(e){return s(e)&&i(e.length)&&a.call(e)==o};t.exports=l},{"../internal/getNative":43,"../internal/isLength":48,"../internal/isObjectLike":49}],56:[function(e,t,n){arguments[4][6][0].apply(n,arguments)},{"../internal/isObjectLike":49,dup:6}],57:[function(e,t,n){function u(e){return r(e)&&o.call(e)==i}var r=e("./isObject"),i="[object Function]",s=Object.prototype,o=s.toString;t.exports=u},{"./isObject":59}],58:[function(e,t,n){function l(e){return e==null?!1:r(e)?f.test(u.call(e)):i(e)&&s.test(e)}var r=e("./isFunction"),i=e("../internal/isObjectLike"),s=/^\[object .+?Constructor\]$/,o=Object.prototype,u=Function.prototype.toString,a=o.hasOwnProperty,f=RegExp("^"+u.call(a).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");t.exports=l},{"../internal/isObjectLike":49,"./isFunction":57}],59:[function(e,t,n){function r(e){var t=typeof e;return!!e&&(t=="object"||t=="function")}t.exports=r},{}],60:[function(e,t,n){arguments[4][7][0].apply(n,arguments)},{"../internal/isObjectLike":49,dup:7}],61:[function(e,t,n){function M(e){return i(e)&&r(e.length)&&!!L[O.call(e)]}var r=e("../internal/isLength"),i=e("../internal/isObjectLike"),s="[object Arguments]",o="[object Array]",u="[object Boolean]",a="[object Date]",f="[object Error]",l="[object Function]",c="[object Map]",h="[object Number]",p="[object Object]",d="[object RegExp]",v="[object Set]",m="[object String]",g="[object WeakMap]",y="[object ArrayBuffer]",b="[object Float32Array]",w="[object Float64Array]",E="[object Int8Array]",S="[object Int16Array]",x="[object Int32Array]",T="[object Uint8Array]",N="[object Uint8ClampedArray]",C="[object Uint16Array]",k="[object Uint32Array]",L={};L[b]=L[w]=L[E]=L[S]=L[x]=L[T]=L[N]=L[C]=L[k]=!0,L[s]=L[o]=L[y]=L[u]=L[a]=L[f]=L[l]=L[c]=L[h]=L[p]=L[d]=L[v]=L[m]=L[g]=!1;var A=Object.prototype,O=A.toString;t.exports=M},{"../internal/isLength":48,"../internal/isObjectLike":49}],62:[function(e,t,n){var r=e("../internal/assignWith"),i=e("../internal/baseAssign"),s=e("../internal/createAssigner"),o=s(function(e,t,n){return n?r(e,t,n):i(e,t)});t.exports=o},{"../internal/assignWith":15,"../internal/baseAssign":16,"../internal/createAssigner":34}],63:[function(e,t,n){var r=e("../internal/getNative"),i=e("../internal/isArrayLike"),s=e("../lang/isObject"),o=e("../internal/shimKeys"),u=r(Object,"keys"),a=u?function(e){var t=e==null?undefined:e.constructor;return typeof t=="function"&&t.prototype===e||typeof e!="function"&&i(e)?o(e):s(e)?u(e):[]}:o;t.exports=a},{"../internal/getNative":43,"../internal/isArrayLike":44,"../internal/shimKeys":51,"../lang/isObject":59}],64:[function(e,t,n){function l(e){if(e==null)return[];u(e)||(e=Object(e));var t=e.length;t=t&&o(t)&&(i(e)||r(e))&&t||0;var n=e.constructor,a=-1,l=typeof n=="function"&&n.prototype===e,c=Array(t),h=t>0;while(++a<t)c[a]=a+"";for(var p in e)(!h||!s(p,t))&&(p!="constructor"||!l&&!!f.call(e,p))&&c.push(p);return c}var r=e("../lang/isArguments"),i=e("../lang/isArray"),s=e("../internal/isIndex"),o=e("../internal/isLength"),u=e("../lang/isObject"),a=Object.prototype,f=a.hasOwnProperty;t.exports=l},{"../internal/isIndex":45,"../internal/isLength":48,"../lang/isArguments":54,"../lang/isArray":55,"../lang/isObject":59}],65:[function(e,t,n){function s(e){e=i(e);var t=-1,n=r(e),s=n.length,o=Array(s);while(++t<s){var u=n[t];o[t]=[u,e[u]]}return o}var r=e("./keys"),i=e("../internal/toObject");t.exports=s},{"../internal/toObject":52,"./keys":63}],66:[function(e,t,n){function r(e){return e}t.exports=r},{}],67:[function(e,t,n){function o(e){return s(e)?r(e):i(e)}var r=e("../internal/baseProperty"),i=e("../internal/basePropertyDeep"),s=e("../internal/isKey");t.exports=o},{"../internal/baseProperty":29,"../internal/basePropertyDeep":30,"../internal/isKey":47}],68:[function(e,t,n){function a(){if(!s||!o)return;s=!1,o.length?i=o.concat(i):u=-1,i.length&&f()}function f(){if(s)return;var e=setTimeout(a);s=!0;var t=i.length;while(t){o=i,i=[];while(++u<t)o&&o[u].run();u=-1,t=i.length}o=null,s=!1,clearTimeout(e)}function l(e,t){this.fun=e,this.array=t}function c(){}var r=t.exports={},i=[],s=!1,o,u=-1;r.nextTick=function(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];i.push(new l(e,t)),i.length===1&&!s&&setTimeout(f,0)},l.prototype.run=function(){this.fun.apply(null,this.array)},r.title="browser",r.browser=!0,r.env={},r.argv=[],r.version="",r.versions={},r.on=c,r.addListener=c,r.once=c,r.off=c,r.removeListener=c,r.removeAllListeners=c,r.emit=c,r.binding=function(e){throw new Error("process.binding is not supported")},r.cwd=function(){return"/"},r.chdir=function(e){throw new Error("process.chdir is not supported")},r.umask=function(){return 0}},{}],69:[function(e,t,n){(function(e){(function(e){if(typeof bootstrap=="function")bootstrap("promise",e);else if(typeof n=="object"&&typeof t=="object")t.exports=e();else if(typeof define=="function"&&define.amd)define(e);else if(typeof ses!="undefined"){if(!ses.ok())return;ses.makeQ=e}else{if(typeof window=="undefined"&&typeof self=="undefined")throw new Error("This environment was not anticipated by Q. Please file a bug.");var r=typeof window!="undefined"?window:self,i=r.Q;r.Q=e(),r.Q.noConflict=function(){return r.Q=i,this}}})(function(){function a(e){return function(){return u.apply(e,arguments)}}function g(e){return e===Object(e)}function y(e){return m(e)==="[object StopIteration]"||e instanceof b}function E(e,n){if(t&&n.stack&&typeof e=="object"&&e!==null&&e.stack&&e.stack.indexOf(w)===-1){var r=[];for(var i=n;!!i;i=i.source)i.stack&&r.unshift(i.stack);r.unshift(e.stack);var s=r.join("\n"+w+"\n");e.stack=S(s)}}function S(e){var t=e.split("\n"),n=[];for(var r=0;r<t.length;++r){var i=t[r];!N(i)&&!x(i)&&i&&n.push(i)}return n.join("\n")}function x(e){return e.indexOf("(module.js:")!==-1||e.indexOf("(node.js:")!==-1}function T(e){var t=/at .+ \((.+):(\d+):(?:\d+)\)$/.exec(e);if(t)return[t[1],Number(t[2])];var n=/at ([^ ]+):(\d+):(?:\d+)$/.exec(e);if(n)return[n[1],Number(n[2])];var r=/.*@(.+):(\d+)$/.exec(e);if(r)return[r[1],Number(r[2])]}function N(e){var t=T(e);if(!t)return!1;var n=t[0],s=t[1];return n===i&&s>=r&&s<=ft}function C(){if(!t)return;try{throw new Error}catch(e){var n=e.stack.split("\n"),r=n[0].indexOf("@")>0?n[1]:n[2],s=T(r);if(!s)return;return i=s[0],s[1]}}function k(e,t,n){return function(){return typeof console!="undefined"&&typeof console.warn=="function"&&console.warn(t+" is deprecated, use "+n+" instead.",(new Error("")).stack),e.apply(e,arguments)}}function L(e){return e instanceof _?e:B(e)?K(e):J(e)}function A(){function u(t){r=t,s.source=t,l(e,function(e,n){L.nextTick(function(){t.promiseDispatch.apply(t,n)})},void 0),e=void 0,n=void 0}var e=[],n=[],r,i=p(A.prototype),s=p(_.prototype);s.promiseDispatch=function(t,i,s){var o=f(arguments);e?(e.push(o),i==="when"&&s[1]&&n.push(s[1])):L.nextTick(function(){r.promiseDispatch.apply(r,o)})},s.valueOf=function(){if(e)return s;var t=P(r);return H(t)&&(r=t),t},s.inspect=function(){return r?r.inspect():{state:"pending"}};if(L.longStackSupport&&t)try{throw new Error}catch(o){s.stack=o.stack.substring(o.stack.indexOf("\n")+1)}return i.promise=s,i.resolve=function(e){if(r)return;u(L(e))},i.fulfill=function(e){if(r)return;u(J(e))},i.reject=function(e){if(r)return;u($(e))},i.notify=function(e){if(r)return;l(n,function(t,n){L.nextTick(function(){n(e)})},void 0)},i}function O(e){if(typeof e!="function")throw new TypeError("resolver must be a function.");var t=A();try{e(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}return t.promise}function M(e){return O(function(t,n){for(var r=0,i=e.length;r<i;r++)L(e[r]).then(t,n)})}function _(e,t,n){t===void 0&&(t=function(e){return $(new Error("Promise does not support operation: "+e))}),n===void 0&&(n=function(){return{state:"unknown"}});var r=p(_.prototype);r.promiseDispatch=function(n,i,s){var o;try{e[i]?o=e[i].apply(r,s):o=t.call(r,i,s)}catch(u){o=$(u)}n&&n(o)},r.inspect=n;if(n){var i=n();i.state==="rejected"&&(r.exception=i.reason),r.valueOf=function(){var e=n();return e.state==="pending"||e.state==="rejected"?r:e.value}}return r}function D(e,t,n,r){return L(e).then(t,n,r)}function P(e){if(H(e)){var t=e.inspect();if(t.state==="fulfilled")return t.value}return e}function H(e){return e instanceof _}function B(e){return g(e)&&typeof e.then=="function"}function j(e){return H(e)&&e.inspect().state==="pending"}function F(e){return!H(e)||e.inspect().state==="fulfilled"}function I(e){return H(e)&&e.inspect().state==="rejected"}function W(){q.length=0,R.length=0,z||(z=!0)}function X(t,n){if(!z)return;typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){c(R,t)!==-1&&(e.emit("unhandledRejection",n,t),U.push(t))}),R.push(t),n&&typeof n.stack!="undefined"?q.push(n.stack):q.push("(no stack) "+n)}function V(t){if(!z)return;var n=c(R,t);n!==-1&&(typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){var r=c(U,t);r!==-1&&(e.emit("rejectionHandled",q[n],t),U.splice(r,1))}),R.splice(n,1),q.splice(n,1))}function $(e){var t=_({when:function(t){return t&&V(this),t?t(e):this}},function(){return this},function(){return{state:"rejected",reason:e}});return X(t,e),t}function J(e){return _({when:function(){return e},get:function(t){return e[t]},set:function(t,n){e[t]=n},"delete":function(t){delete e[t]},post:function(t,n){return t===null||t===void 0?e.apply(void 0,n):e[t].apply(e,n)},apply:function(t,n){return e.apply(t,n)},keys:function(){return v(e)}},void 0,function(){return{state:"fulfilled",value:e}})}function K(e){var t=A();return L.nextTick(function(){try{e.then(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}}),t.promise}function Q(e){return _({isDef:function(){}},function(n,r){return nt(e,n,r)},function(){return L(e).inspect()})}function G(e,t,n){return L(e).spread(t,n)}function Y(e){return function(){function t(e,t){var s;if(typeof StopIteration=="undefined"){try{s=n[e](t)}catch(o){return $(o)}return s.done?L(s.value):D(s.value,r,i)}try{s=n[e](t)}catch(o){return y(o)?L(o.value):$(o)}return D(s,r,i)}var n=e.apply(this,arguments),r=t.bind(t,"next"),i=t.bind(t,"throw");return r()}}function Z(e){L.done(L.async(e)())}function et(e){throw new b(e)}function tt(e){return function(){return G([this,rt(arguments)],function(t,n){return e.apply(t,n)})}}function nt(e,t,n){return L(e).dispatch(t,n)}function rt(e){return D(e,function(e){var t=0,n=A();return l(e,function(r,i,s){var o;H(i)&&(o=i.inspect()).state==="fulfilled"?e[s]=o.value:(++t,D(i,function(r){e[s]=r,--t===0&&n.resolve(e)},n.reject,function(e){n.notify({index:s,value:e})}))},void 0),t===0&&n.resolve(e),n.promise})}function it(e){if(e.length===0)return L.resolve();var t=L.defer(),n=0;return l(e,function(r,i,s){function u(e){t.resolve(e)}function a(){n--,n===0&&t.reject(new Error("Can't get fulfillment value from any promise, all promises were rejected."))}function f(e){t.notify({index:s,value:e})}var o=e[s];n++,D(o,u,a,f)},undefined),t.promise}function st(e){return D(e,function(e){return e=h(e,L),D(rt(h(e,function(e){return D(e,s,s)})),function(){return e})})}function ot(e){return L(e).allSettled()}function ut(e,t){return L(e).then(void 0,void 0,t)}function at(e,t){return L(e).nodeify(t)}var t=!1;try{throw new Error}catch(n){t=!!n.stack}var r=C(),i,s=function(){},o=function(){function a(){var e,n;while(t.next)t=t.next,e=t.task,t.task=void 0,n=t.domain,n&&(t.domain=void 0,n.enter()),f(e,n);while(u.length)e=u.pop(),f(e);r=!1}function f(e,t){try{e()}catch(n){if(s)throw t&&t.exit(),setTimeout(a,0),t&&t.enter(),n;setTimeout(function(){throw n},0)}t&&t.exit()}var t={task:void 0,next:null},n=t,r=!1,i=void 0,s=!1,u=[];o=function(t){n=n.next={task:t,domain:s&&e.domain,next:null},r||(r=!0,i())};if(typeof e=="object"&&e.toString()==="[object process]"&&e.nextTick)s=!0,i=function(){e.nextTick(a)};else if(typeof setImmediate=="function")typeof window!="undefined"?i=setImmediate.bind(window,a):i=function(){setImmediate(a)};else if(typeof MessageChannel!="undefined"){var l=new MessageChannel;l.port1.onmessage=function(){i=c,l.port1.onmessage=a,a()};var c=function(){l.port2.postMessage(0)};i=function(){setTimeout(a,0),c()}}else i=function(){setTimeout(a,0)};return o.runAfter=function(e){u.push(e),r||(r=!0,i())},o}(),u=Function.call,f=a(Array.prototype.slice),l=a(Array.prototype.reduce||function(e,t){var n=0,r=this.length;if(arguments.length===1)do{if(n in this){t=this[n++];break}if(++n>=r)throw new TypeError}while(1);for(;n<r;n++)n in this&&(t=e(t,this[n],n));return t}),c=a(Array.prototype.indexOf||function(e){for(var t=0;t<this.length;t++)if(this[t]===e)return t;return-1}),h=a(Array.prototype.map||function(e,t){var n=this,r=[];return l(n,function(i,s,o){r.push(e.call(t,s,o,n))},void 0),r}),p=Object.create||function(e){function t(){}return t.prototype=e,new t},d=a(Object.prototype.hasOwnProperty),v=Object.keys||function(e){var t=[];for(var n in e)d(e,n)&&t.push(n);return t},m=a(Object.prototype.toString),b;typeof ReturnValue!="undefined"?b=ReturnValue:b=function(e){this.value=e};var w="From previous event:";L.resolve=L,L.nextTick=o,L.longStackSupport=!1,typeof e=="object"&&e&&e.env&&e.env.Q_DEBUG&&(L.longStackSupport=!0),L.defer=A,A.prototype.makeNodeResolver=function(){var e=this;return function(t,n){t?e.reject(t):arguments.length>2?e.resolve(f(arguments,1)):e.resolve(n)}},L.Promise=O,L.promise=O,O.race=M,O.all=rt,O.reject=$,O.resolve=L,L.passByCopy=function(e){return e},_.prototype.passByCopy=function(){return this},L.join=function(e,t){return L(e).join(t)},_.prototype.join=function(e){return L([this,e]).spread(function(e,t){if(e===t)return e;throw new Error("Can't join: not the same: "+e+" "+t)})},L.race=M,_.prototype.race=function(){return this.then(L.race)},L.makePromise=_,_.prototype.toString=function(){return"[object Promise]"},_.prototype.then=function(e,t,n){function o(t){try{return typeof e=="function"?e(t):t}catch(n){return $(n)}}function u(e){if(typeof t=="function"){E(e,r);try{return t(e)}catch(n){return $(n)}}return $(e)}function a(e){return typeof n=="function"?n(e):e}var r=this,i=A(),s=!1;return L.nextTick(function(){r.promiseDispatch(function(e){if(s)return;s=!0,i.resolve(o(e))},"when",[function(e){if(s)return;s=!0,i.resolve(u(e))}])}),r.promiseDispatch(void 0,"when",[void 0,function(e){var t,n=!1;try{t=a(e)}catch(r){n=!0;if(!L.onerror)throw r;L.onerror(r)}n||i.notify(t)}]),i.promise},L.tap=function(e,t){return L(e).tap(t)},_.prototype.tap=function(e){return e=L(e),this.then(function(t){return e.fcall(t).thenResolve(t)})},L.when=D,_.prototype.thenResolve=function(e){return this.then(function(){return e})},L.thenResolve=function(e,t){return L(e).thenResolve(t)},_.prototype.thenReject=function(e){return this.then(function(){throw e})},L.thenReject=function(e,t){return L(e).thenReject(t)},L.nearer=P,L.isPromise=H,L.isPromiseAlike=B,L.isPending=j,_.prototype.isPending=function(){return this.inspect().state==="pending"},L.isFulfilled=F,_.prototype.isFulfilled=function(){return this.inspect().state==="fulfilled"},L.isRejected=I,_.prototype.isRejected=function(){return this.inspect().state==="rejected"};var q=[],R=[],U=[],z=!0;L.resetUnhandledRejections=W,L.getUnhandledReasons=function(){return q.slice()},L.stopUnhandledRejectionTracking=function(){W(),z=!1},W(),L.reject=$,L.fulfill=J,L.master=Q,L.spread=G,_.prototype.spread=function(e,t){return this.all().then(function(t){return e.apply(void 0,t)},t)},L.async=Y,L.spawn=Z,L["return"]=et,L.promised=tt,L.dispatch=nt,_.prototype.dispatch=function(e,t){var n=this,r=A();return L.nextTick(function(){n.promiseDispatch(r.resolve,e,t)}),r.promise},L.get=function(e,t){return L(e).dispatch("get",[t])},_.prototype.get=function(e){return this.dispatch("get",[e])},L.set=function(e,t,n){return L(e).dispatch("set",[t,n])},_.prototype.set=function(e,t){return this.dispatch("set",[e,t])},L.del=L["delete"]=function(e,t){return L(e).dispatch("delete",[t])},_.prototype.del=_.prototype["delete"]=function(e){return this.dispatch("delete",[e])},L.mapply=L.post=function(e,t,n){return L(e).dispatch("post",[t,n])},_.prototype.mapply=_.prototype.post=function(e,t){return this.dispatch("post",[e,t])},L.send=L.mcall=L.invoke=function(e,t){return L(e).dispatch("post",[t,f(arguments,2)])},_.prototype.send=_.prototype.mcall=_.prototype.invoke=function(e){return this.dispatch("post",[e,f(arguments,1)])},L.fapply=function(e,t){return L(e).dispatch("apply",[void 0,t])},_.prototype.fapply=function(e){return this.dispatch("apply",[void 0,e])},L["try"]=L.fcall=function(e){return L(e).dispatch("apply",[void 0,f(arguments,1)])},_.prototype.fcall=function(){return this.dispatch("apply",[void 0,f(arguments)])},L.fbind=function(e){var t=L(e),n=f(arguments,1);return function(){return t.dispatch("apply",[this,n.concat(f(arguments))])}},_.prototype.fbind=function(){var e=this,t=f(arguments);return function(){return e.dispatch("apply",[this,t.concat(f(arguments))])}},L.keys=function(e){return L(e).dispatch("keys",[])},_.prototype.keys=function(){return this.dispatch("keys",[])},L.all=rt,_.prototype.all=function(){return rt(this)},L.any=it,_.prototype.any=function(){return it(this)},L.allResolved=k(st,"allResolved","allSettled"),_.prototype.allResolved=function(){return st(this)},L.allSettled=ot,_.prototype.allSettled=function(){return this.then(function(e){return rt(h(e,function(e){function t(){return e.inspect()}return e=L(e),e.then(t,t)}))})},L.fail=L["catch"]=function(e,t){return L(e).then(void 0,t)},_.prototype.fail=_.prototype["catch"]=function(e){return this.then(void 0,e)},L.progress=ut,_.prototype.progress=function(e){return this.then(void 0,void 0,e)},L.fin=L["finally"]=function(e,t){return L(e)["finally"](t)},_.prototype.fin=_.prototype["finally"]=function(e){return e=L(e),this.then(function(t){return e.fcall().then(function(){return t})},function(t){return e.fcall().then(function(){throw t})})},L.done=function(e,t,n,r){return L(e).done(t,n,r)},_.prototype.done=function(t,n,r){var i=function(e){L.nextTick(function(){E(e,s);if(!L.onerror)throw e;L.onerror(e)})},s=t||n||r?this.then(t,n,r):this;typeof e=="object"&&e&&e.domain&&(i=e.domain.bind(i)),s.then(void 0,i)},L.timeout=function(e,t,n){return L(e).timeout(t,n)},_.prototype.timeout=function(e,t){var n=A(),r=setTimeout(function(){if(!t||"string"==typeof t)t=new Error(t||"Timed out after "+e+" ms"),t.code="ETIMEDOUT";n.reject(t)},e);return this.then(function(e){clearTimeout(r),n.resolve(e)},function(e){clearTimeout(r),n.reject(e)},n.notify),n.promise},L.delay=function(e,t){return t===void 0&&(t=e,e=void 0),L(e).delay(t)},_.prototype.delay=function(e){return this.then(function(t){var n=A();return setTimeout(function(){n.resolve(t)},e),n.promise})},L.nfapply=function(e,t){return L(e).nfapply(t)},_.prototype.nfapply=function(e){var t=A(),n=f(e);return n.push(t.makeNodeResolver()),this.fapply(n).fail(t.reject),t.promise},L.nfcall=function(e){var t=f(arguments,1);return L(e).nfapply(t)},_.prototype.nfcall=function(){var e=f(arguments),t=A();return e.push(t.makeNodeResolver()),this.fapply(e).fail(t.reject),t.promise},L.nfbind=L.denodeify=function(e){var t=f(arguments,1);return function(){var n=t.concat(f(arguments)),r=A();return n.push(r.makeNodeResolver()),L(e).fapply(n).fail(r.reject),r.promise}},_.prototype.nfbind=_.prototype.denodeify=function(){var e=f(arguments);return e.unshift(this),L.denodeify.apply(void 0,e)},L.nbind=function(e,t){var n=f(arguments,2);return function(){function s(){return e.apply(t,arguments)}var r=n.concat(f(arguments)),i=A();return r.push(i.makeNodeResolver()),L(s).fapply(r).fail(i.reject),i.promise}},_.prototype.nbind=function(){var e=f(arguments,0);return e.unshift(this),L.nbind.apply(void 0,e)},L.nmapply=L.npost=function(e,t,n){return L(e).npost(t,n)},_.prototype.nmapply=_.prototype.npost=function(e,t){var n=f(t||[]),r=A();return n.push(r.makeNodeResolver()),this.dispatch("post",[e,n]).fail(r.reject),r.promise},L.nsend=L.nmcall=L.ninvoke=function(e,t){var n=f(arguments,2),r=A();return n.push(r.makeNodeResolver()),L(e).dispatch("post",[t,n]).fail(r.reject),r.promise},_.prototype.nsend=_.prototype.nmcall=_.prototype.ninvoke=function(e){var t=f(arguments,1),n=A();return t.push(n.makeNodeResolver()),this.dispatch("post",[e,t]).fail(n.reject),n.promise},L.nodeify=at,_.prototype.nodeify=function(e){if(!e)return this;this.then(function(t){L.nextTick(function(){e(null,t)})},function(t){L.nextTick(function(){e(t)})})},L.noConflict=function(){throw new Error("Q.noConflict only works when Q is used as a global")};var ft=C();return L})}).call(this,e("_process"))},{_process:68}],70:[function(require,module,exports){!function(e,t,n){typeof module!="undefined"&&module.exports?module.exports=n():typeof define=="function"&&define.amd?define(n):t[e]=n()}("reqwest",this,function(){function succeed(e){var t=protocolRe.exec(e.url);return t=t&&t[1]||window.location.protocol,httpsRe.test(t)?twoHundo.test(e.request.status):!!e.request.response}function handleReadyState(e,t,n){return function(){if(e._aborted)return n(e.request);if(e._timedOut)return n(e.request,"Request is aborted: timeout");e.request&&e.request[readyState]==4&&(e.request.onreadystatechange=noop,succeed(e)?t(e.request):n(e.request))}}function setHeaders(e,t){var n=t.headers||{},r;n.Accept=n.Accept||defaultHeaders.accept[t.type]||defaultHeaders.accept["*"];var i=typeof FormData=="function"&&t.data instanceof FormData;!t.crossOrigin&&!n[requestedWith]&&(n[requestedWith]=defaultHeaders.requestedWith),!n[contentType]&&!i&&(n[contentType]=t.contentType||defaultHeaders.contentType);for(r in n)n.hasOwnProperty(r)&&"setRequestHeader"in e&&e.setRequestHeader(r,n[r])}function setCredentials(e,t){typeof t.withCredentials!="undefined"&&typeof e.withCredentials!="undefined"&&(e.withCredentials=!!t.withCredentials)}function generalCallback(e){lastValue=e}function urlappend(e,t){return e+(/\?/.test(e)?"&":"?")+t}function handleJsonp(e,t,n,r){var i=uniqid++,s=e.jsonpCallback||"callback",o=e.jsonpCallbackName||reqwest.getcallbackPrefix(i),u=new RegExp("((^|\\?|&)"+s+")=([^&]+)"),a=r.match(u),f=doc.createElement("script"),l=0,c=navigator.userAgent.indexOf("MSIE 10.0")!==-1;return a?a[3]==="?"?r=r.replace(u,"$1="+o):o=a[3]:r=urlappend(r,s+"="+o),win[o]=generalCallback,f.type="text/javascript",f.src=r,f.async=!0,typeof f.onreadystatechange!="undefined"&&!c&&(f.htmlFor=f.id="_reqwest_"+i),f.onload=f.onreadystatechange=function(){if(f[readyState]&&f[readyState]!=="complete"&&f[readyState]!=="loaded"||l)return!1;f.onload=f.onreadystatechange=null,f.onclick&&f.onclick(),t(lastValue),lastValue=undefined,head.removeChild(f),l=1},head.appendChild(f),{abort:function(){f.onload=f.onreadystatechange=null,n({},"Request is aborted: timeout",{}),lastValue=undefined,head.removeChild(f),l=1}}}function getRequest(e,t){var n=this.o,r=(n.method||"GET").toUpperCase(),i=typeof n=="string"?n:n.url,s=n.processData!==!1&&n.data&&typeof n.data!="string"?reqwest.toQueryString(n.data):n.data||null,o,u=!1;return(n["type"]=="jsonp"||r=="GET")&&s&&(i=urlappend(i,s),s=null),n["type"]=="jsonp"?handleJsonp(n,e,t,i):(o=n.xhr&&n.xhr(n)||xhr(n),o.open(r,i,n.async===!1?!1:!0),setHeaders(o,n),setCredentials(o,n),win[xDomainRequest]&&o instanceof win[xDomainRequest]?(o.onload=e,o.onerror=t,o.onprogress=function(){},u=!0):o.onreadystatechange=handleReadyState(this,e,t),n.before&&n.before(o),u?setTimeout(function(){o.send(s)},200):o.send(s),o)}function Reqwest(e,t){this.o=e,this.fn=t,init.apply(this,arguments)}function setType(e){if(e.match("json"))return"json";if(e.match("javascript"))return"js";if(e.match("text"))return"html";if(e.match("xml"))return"xml"}function init(o,fn){function complete(e){o.timeout&&clearTimeout(self.timeout),self.timeout=null;while(self._completeHandlers.length>0)self._completeHandlers.shift()(e)}function success(resp){var type=o.type||resp&&setType(resp.getResponseHeader("Content-Type"));resp=type!=="jsonp"?self.request:resp;var filteredResponse=globalSetupOptions.dataFilter(resp.responseText,type),r=filteredResponse;try{resp.responseText=r}catch(e){}if(r)switch(type){case"json":try{resp=win.JSON?win.JSON.parse(r):eval("("+r+")")}catch(err){return error(resp,"Could not parse JSON in response",err)}break;case"js":resp=eval(r);break;case"html":resp=r;break;case"xml":resp=resp.responseXML&&resp.responseXML.parseError&&resp.responseXML.parseError.errorCode&&resp.responseXML.parseError.reason?null:resp.responseXML}self._responseArgs.resp=resp,self._fulfilled=!0,fn(resp),self._successHandler(resp);while(self._fulfillmentHandlers.length>0)resp=self._fulfillmentHandlers.shift()(resp);complete(resp)}function timedOut(){self._timedOut=!0,self.request.abort()}function error(e,t,n){e=self.request,self._responseArgs.resp=e,self._responseArgs.msg=t,self._responseArgs.t=n,self._erred=!0;while(self._errorHandlers.length>0)self._errorHandlers.shift()(e,t,n);complete(e)}this.url=typeof o=="string"?o:o.url,this.timeout=null,this._fulfilled=!1,this._successHandler=function(){},this._fulfillmentHandlers=[],this._errorHandlers=[],this._completeHandlers=[],this._erred=!1,this._responseArgs={};var self=this;fn=fn||function(){},o.timeout&&(this.timeout=setTimeout(function(){timedOut()},o.timeout)),o.success&&(this._successHandler=function(){o.success.apply(o,arguments)}),o.error&&this._errorHandlers.push(function(){o.error.apply(o,arguments)}),o.complete&&this._completeHandlers.push(function(){o.complete.apply(o,arguments)}),this.request=getRequest.call(this,success,error)}function reqwest(e,t){return new Reqwest(e,t)}function normalize(e){return e?e.replace(/\r?\n/g,"\r\n"):""}function serial(e,t){var n=e.name,r=e.tagName.toLowerCase(),i=function(e){e&&!e.disabled&&t(n,normalize(e.attributes.value&&e.attributes.value.specified?e.value:e.text))},s,o,u,a;if(e.disabled||!n)return;switch(r){case"input":/reset|button|image|file/i.test(e.type)||(s=/checkbox/i.test(e.type),o=/radio/i.test(e.type),u=e.value,(!s&&!o||e.checked)&&t(n,normalize(s&&u===""?"on":u)));break;case"textarea":t(n,normalize(e.value));break;case"select":if(e.type.toLowerCase()==="select-one")i(e.selectedIndex>=0?e.options[e.selectedIndex]:null);else for(a=0;e.length&&a<e.length;a++)e.options[a].selected&&i(e.options[a])}}function eachFormElement(){var e=this,t,n,r=function(t,n){var r,i,s;for(r=0;r<n.length;r++){s=t[byTag](n[r]);for(i=0;i<s.length;i++)serial(s[i],e)}};for(n=0;n<arguments.length;n++)t=arguments[n],/input|select|textarea/i.test(t.tagName)&&serial(t,e),r(t,["input","select","textarea"])}function serializeQueryString(){return reqwest.toQueryString(reqwest.serializeArray.apply(null,arguments))}function serializeHash(){var e={};return eachFormElement.apply(function(t,n){t in e?(e[t]&&!isArray(e[t])&&(e[t]=[e[t]]),e[t].push(n)):e[t]=n},arguments),e}function buildParams(e,t,n,r){var i,s,o,u=/\[\]$/;if(isArray(t))for(s=0;t&&s<t.length;s++)o=t[s],n||u.test(e)?r(e,o):buildParams(e+"["+(typeof o=="object"?s:"")+"]",o,n,r);else if(t&&t.toString()==="[object Object]")for(i in t)buildParams(e+"["+i+"]",t[i],n,r);else r(e,t)}var win=window,doc=document,httpsRe=/^http/,protocolRe=/(^\w+):\/\//,twoHundo=/^(20\d|1223)$/,byTag="getElementsByTagName",readyState="readyState",contentType="Content-Type",requestedWith="X-Requested-With",head=doc[byTag]("head")[0],uniqid=0,callbackPrefix="reqwest_"+ +(new Date),lastValue,xmlHttpRequest="XMLHttpRequest",xDomainRequest="XDomainRequest",noop=function(){},isArray=typeof Array.isArray=="function"?Array.isArray:function(e){return e instanceof Array},defaultHeaders={contentType:"application/x-www-form-urlencoded",requestedWith:xmlHttpRequest,accept:{"*":"text/javascript, text/html, application/xml, text/xml, */*",xml:"application/xml, text/xml",html:"text/html",text:"text/plain",json:"application/json, text/javascript",js:"application/javascript, text/javascript"}},xhr=function(e){if(e.crossOrigin===!0){var t=win[xmlHttpRequest]?new XMLHttpRequest:null;if(t&&"withCredentials"in t)return t;if(win[xDomainRequest])return new XDomainRequest;throw new Error("Browser does not support cross-origin requests")}return win[xmlHttpRequest]?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP")},globalSetupOptions={dataFilter:function(e){return e}};return Reqwest.prototype={abort:function(){this._aborted=!0,this.request.abort()},retry:function(){init.call(this,this.o,this.fn)},then:function(e,t){return e=e||function(){},t=t||function(){},this._fulfilled?this._responseArgs.resp=e(this._responseArgs.resp):this._erred?t(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):(this._fulfillmentHandlers.push(e),this._errorHandlers.push(t)),this},always:function(e){return this._fulfilled||this._erred?e(this._responseArgs.resp):this._completeHandlers.push(e),this},fail:function(e){return this._erred?e(this._responseArgs.resp,this._responseArgs.msg,this._responseArgs.t):this._errorHandlers.push(e),this},"catch":function(e){return this.fail(e)}},reqwest.serializeArray=function(){var e=[];return eachFormElement.apply(function(t,n){e.push({name:t,value:n})},arguments),e},reqwest.serialize=function(){if(arguments.length===0)return"";var e,t,n=Array.prototype.slice.call(arguments,0);return e=n.pop(),e&&e.nodeType&&n.push(e)&&(e=null),e&&(e=e.type),e=="map"?t=serializeHash:e=="array"?t=reqwest.serializeArray:t=serializeQueryString,t.apply(null,n)},reqwest.toQueryString=function(e,t){var n,r,i=t||!1,s=[],o=encodeURIComponent,u=function(e,t){t="function"==typeof t?t():t==null?"":t,s[s.length]=o(e)+"="+o(t)};if(isArray(e))for(r=0;e&&r<e.length;r++)u(e[r].name,e[r].value);else for(n in e)e.hasOwnProperty(n)&&buildParams(n,e[n],i,u);return s.join("&").replace(/%20/g,"+")},reqwest.getcallbackPrefix=function(){return callbackPrefix},reqwest.compat=function(e,t){return e&&(e.type&&(e.method=e.type)&&delete e.type,e.dataType&&(e.type=e.dataType),e.jsonpCallback&&(e.jsonpCallbackName=e.jsonpCallback)&&delete e.jsonpCallback,e.jsonp&&(e.jsonpCallback=e.jsonp)),new Reqwest(e,t)},reqwest.ajaxSetup=function(e){e=e||{};for(var t in e)globalSetupOptions[t]=e[t]},reqwest})},{}],71:[function(e,t,n){function i(e){this.common=r,this.request=r.request={request:r.ajax};var t=["$","aop","toast","alerts","ajax","platformUtil","bridge"];for(var n=0;n<t.length;n++)this[t[n]]=r[t[n]];this.extend(e)}var r=e("common");i.prototype={initController:function(e){!this.curModule&&this.common.initModule(this),e=this.model||e,e!==undefined&&(e.ajax=this.ajax,this.model=e,e.controller=this)},navigate:function(e,t,n){t&&typeof t=="object"?this.curRouter.navigate(e,n,t):(n=t,this.curRouter.navigate(e,n))},eraseHistory:function(e){var t=this.curRouter.historyHash,n=t.pop();while(n&&n!==e)n=t.pop();n&&t.push(n)},across:function(e,t){this.curRouter.across(e,t)},render:function(e,t){t&&(e.callback=t),this.curModule._render(e,this)},renderHTML:function(e,t,n){this.curModule._renderHTML(e,t,n)},setRouter:function(e){this.curRouter=e},extend:function(e){for(var t in e)this[t]=e[t]},setRequest:function(e){e.setRequest(this.common.request)}},t.exports=i},{common:"common"}],72:[function(e,t,n){"use strict";function r(e,t,n,r,s){i(t),e(t,n,r,s)}function i(e){s(e),window.location.href.indexOf("insurance_unlogin")>-1&&(e.data.weixin="1"),o(e);if(e.url.indexOf("createOrder")>-1||e.url.indexOf("dealWithFastOrder")>-1||e.url.indexOf("dealWithFastForAgeRangeOrder")>-1)isApp?e.data.dataSource="02":e.data.dataSource="04"}function s(e){e.data||(e.data={});var t=window.location.search.replace("?","");if(!t)return;t=t.split("&");var n;window._pingan_$.each(t,function(e,t){var r=e.split("=");r[0]=="param"&&(n=decodeURIComponent(r[1]))}),!n&&AppObj.curShareParam&&(n=u(AppObj.curShareParam));if(n){AppObj.weixin=1;var t=n.split("$");window._pingan_$.each(t,function(t,n){if(t){t=decodeURIComponent(t).replace(new RegExp("\\|","g"),"~"),t=t.replace(/%7C/g,"~");var r=t.split("~");t[0]=="orgId"&&(AppObj.gobalOrg=r[1]),e.data[r[0]]||(e.data[r[0]]=r[1])}})}}function o(e){e.data||(e.data={}),window.AppObj.shareData&&window._pingan_$.each(AppObj.shareData,function(e,t){t.sharePattern!="1"&&(AppObj.curShareParam&&AppObj.curShareParam.agentNo||window.location.search.indexOf("agentNo")>0)?AppObj.curShareData=t:t.sharePattern=="1"&&(!AppObj.curShareParam||!AppObj.curShareParam.agentNo)&&window.location.search.indexOf("agentNo")==-1&&(AppObj.curShareData=t)}),window.isApp=="N"&&AppObj.curShareData&&AppObj.curShareData.needLogin=="Y"&&(e.data.needLogin=AppObj.curShareData.needLogin=="Y"?"1":"",e.data.needLogin!="1"&&(window.document.cookie="")),AppObj.curShareData&&AppObj.curShareData.needLogin!="Y"&&(window.document.cookie=""),e.setAgentNo&&e.setAgentNo(e.data.agentNo)}function u(e){var t="";return t=t+(t?"$":"")+"weixin~1",e.agentNo&&(t=t+(t?"$":"")+"agentNo~"+e.agentNo),e.csspOrgId&&(t=t+(t?"$":"")+"orgId~"+e.csspOrgId),t}t.exports=r},{}],73:[function(e,t,n){function i(){}var r=e("./check.model.js");i.prototype.underWriting=function(e,t,n){r.underWriting(e,t,function(e){window.localStorage.removeItem("authorize"),window.localStorage.removeItem("openId"),window.localStorage.setItem("idCsspProduct",t.idCsspProduct),n(e)},function(){})},t.exports=new i},{"./check.model.js":74}],74:[function(e,t,n){"use strict";function s(){}var r=new(e("../../../../../gum.ui/validate/common.tool")),i=e("../../common/ajax/insurantAjax");s.prototype.underWriting=function(e,t,n,s){var o={idCsspOrder:t.idCsspOrder,orderTime:r.dateformat(new Date,"yyyyMMddhhmmss"),productName:t.productName,idCsspProduct:t.idCsspProduct,orderId:t.idCsspOrder};i(e,{url:"/m/do/underWriting/check",data:o},function(e){console.log("成功执行子类中的成功函数");var r=e;r.productName=t.productName,localStorage.setItem("selectPayType_data",JSON.stringify(r)),localStorage.setItem("orderId",r.idCsspOrder),localStorage.setItem("idCsspOrder",r.idCsspOrder),localStorage.setItem("source","04"),localStorage.setItem("isAppSuc","N"),isApp&&(localStorage.setItem("source","02"),localStorage.setItem("isAppSuc","Y")),r.policyNo&&localStorage.setItem("polNo",JSON.parse(r.policyNo)[0]),localStorage.setItem("idCsspProduct",o.idCsspProduct),n&&n(e)},function(e){console.log("成功执行子类中的失败函数"),s(e)})},t.exports=new s},{"../../../../../gum.ui/validate/common.tool":114,"../../common/ajax/insurantAjax":72}],75:[function(e,t,n){function s(){}var r=e("js-base64").Base64,i=e("../../../../../gum.ui/utils/platformUtil");s.prototype.noticeNative=function(e){var t=e.inputCharset,n=e.bgUrl,s=e.version,o=e.mobileGateway,u=e.language,a=e.signType,f=e.merchantAcctId,l=e.payType,c=e.idCsspOrder,h=e.orderAmount,p=e.productName,d=e.orderTime,v=e.signMsg,m=e.ext1,g=e.ext2,y=e.orderSource,b="1";y=="orderManage"&&(b="0");var w="inputCharset="+t+"&bgUrl="+n+"&version="+s+"&mobileGateway="+o+"&language="+u+"&signType="+a+"&merchantAcctId="+f+"&ext1="+m+"&ext2="+g+"&payType="+l+"&orderId="+c+"&orderAmount="+h+"&productName="+p+"&orderTime="+d+"&signMsg="+v,E=encodeURIComponent(r.encode(w)),S={isHome:b,orderSource:y,winUrl:E},x=[];if(i.android){for(var T in S)x.push(T+"="+S[T]);S={oldNative:"status=1&"+x.join("&")}}else S.status=1;if(typeof cordova=="undefined")return;cordova.exec(function(){},function(){},"PAJsBridge","js_oldNative",[S])},t.exports=new s},{"../../../../../gum.ui/utils/platformUtil":105,"js-base64":5}],76:[function(e,t,n){function o(){}var r=e("./template/tpl.webPay"),i=e("./template/tpl.style"),s=e("../../../../../gum.ui/wechatSDK/wechat.helper");o.prototype={initRouter:function(e){this.controller=e,e.noticeWeb=this.noticeWeb,e.curRouter.addRouter(this.controller.moduleName+"/"+this.controller.name+"/noticeWeb",e,"noticeWeb"),e.curRouter.navigate(e.moduleName+"/"+e.name+"/noticeWeb")},noticeWeb:function(){function d(){var e=JSON.parse(localStorage.getItem("selectPayType_data")),t=this,n=e.inputCharset,r=e.bgUrl,i=e.version,s=e.mobileGateway,o=e.language,u=e.signType,a=e.merchantAcctId,f=e.payType,l=e.idCsspOrder,c=e.orderAmount,h=e.productName,p=e.orderTime,d=e.signMsg,v=e.nnpayUrl,m=e.submitPageUrl,g=e.ext1,y=e.ext2,b=e.orderSource,w="1";b=="orderManage"&&(w="0");var E="inputCharset="+n+"&bgUrl="+r+"&version="+i+"&mobileGateway="+s+"&language="+o+"&signType="+u+"&merchantAcctId="+a+"&ext1="+g+"&ext2="+y+"&payType="+f+"&orderId="+l+"&orderAmount="+c+"&productName="+h+"&orderTime="+p+"&signMsg="+d,S=v+"?"+E;localStorage.setItem("productId",e.idCsspOrder),localStorage.setItem("productName",e.productName),window.location.href=S,window.onload=function(){if(window.location.href){window.onload=undefined;return}window.location.href=E}}function v(){var e=5,t=window.navigator.userAgent.toLowerCase();if(t.indexOf("micromessenger")==-1)return!1;var n=t.substring(t.indexOf("micromessenger")).split("/")[1];return n=n.substr(0,1),parseInt(n,10)>=e?!0:!1}var e=this,t={eventID:"网页端支付",eventLabel:"网页端支付",title:"支付选择"};this.curModule._renderHTML(i()+r(),t,function(){});var n=document.getElementById("selPayType");setTimeout(function(){var e=window.outerHeight-window.document.getElementById("payInfo").clientHeight;n.style.height=e},10);var o=navigator.userAgent.toLowerCase(),u=o.indexOf("micromessenger")!=-1,a=window.document.getElementById("weixinPay"),f=window.document.getElementById("kuaiqianPay"),l=JSON.parse(localStorage.getItem("selectPayType_data"));l.success=function(){window.location.href="/m/gum/wechat/modules/familyrisk/views/payforsuccessful.html"},l.error=function(e){},u?v()?(a.style.backgroundColor="rgb(46,197,26)",a.classList.remove("btn-gray-bg"),a.addEventListener("touchend",function(){console.log("微信支付"),localStorage.setItem("location",location.href),window.localStorage.removeItem("authorize");var e=new s;alert(85);try{e.weixinPay(l)}catch(t){alert(t)}})):(a.classList.add("btn-gray-bg"),a.classList.remove("weixinPay"),n.children[2].classList.remove("hide"),n.children[2].innerHTML="微信5.0以前版本不支持微信支付"):(a.classList.add("btn-gray-bg"),a.classList.remove("weixinPay"),n.children[2].classList.remove("hide"),n.children[2].innerHTML="浏览器不让跳微信，请用网银支付"),f.addEventListener("touchend",function(){console.log("平安付支付"),d()});var c=document.getElementById("productName"),h=document.getElementById("productAccount");c.innerHTML=l.productName,h.innerHTML="￥"+parseInt(l.orderAmount)/100;if(window.localStorage.getItem("authorize")=="true"&&window.localStorage.getItem("openId")!=null){var p=new s;p.weixinPay(l);return}}},t.exports=new o},{"../../../../../gum.ui/wechatSDK/wechat.helper":117,"./template/tpl.style":77,"./template/tpl.webPay":78}],77:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/checkAndPay/template/tpl.style",'<style> .gum .gray { background: #ebebeb; overflow: auto; } .gum .gray #selPayType { padding: 0 4%; height : 1000px; background : url("assets/images/order-bg.png") 50% 0% / 10% 4% repeat-x; } .gum .gray #selPayType p { text-align: center; margin-top: 15px; font-size: 12px; } .gum .gray button { width: 100%; height: 45px; color: #FFFFFF; border: none; border-radius: 5px; font-size: 16px; box-shadow: 0 1px 2px #6d727f; } .gum .gray #kuaiqianPay { background-color: rgb(26, 139, 197); background-image: none; } .gum .gray #weixinPay { background-color: rgb(46, 197, 26); background-image: none; } .gum .gray .mt30per { margin-top: 30%; } .gum .gray .mt25 { margin-top: 25px; } .gum .gray .btn-gray-bg{background:#b8b7b7!important;} .gum .gray #payInfo { overflow: hidden; padding: 15% 5%; background: #FFF; } .gum .gray .mt25 { margin-top: 25px; } .gum .gray button { width: 100%; height: 45px; color: #FFFFFF; border: none; border-radius: 5px; font-size: 16px; box-shadow: 0 1px 2px #6d727f; } </style>')},{template:121}],78:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/checkAndPay/template/tpl.webPay",'<div class="gray"> <div id="payInfo"> <p>商品名称：<span id="productName"></span></p> <p class="mt20">应付金额：<span style="color:#ee5c3f" id="productAccount"></span></p> </div> <div id="selPayType"> <button id="kuaiqianPay" class="mt30per">网银支付</button> <button id="weixinPay" class="weixinPay mt25">微信支付</button>  <p class="hide"></p> </div> </div> ')},{template:121}],79:[function(e,t,n){(function(){"use strict";var n=e("./template/contact.tpl"),r=e("../../../../../gum.ui/utils/simulateEvent"),i=function(){this.url="/m/do/insurant/searchInsurants",this.contactData=null};i.prototype.initRouterGo=function(e){this.controller=e,this.$=this.controller.$,e.curRouter.addRouter(e.moduleName+"/"+e.name+"/contact",this,"init"),e.curRouter.navigate(e.moduleName+"/"+e.name+"/contact")},i.prototype.getContacts=function(e,t){var n=this;if(this.contactData&&this.contactData.length>0)return e(this.contactData);n.controller.model.ajax({url:this.url},function(t){n.contactData=t,e(t)},function(e){console.log(e)})},i.prototype.init=function(e){function r(e){var r={eventID:"常用联系人",eventLabel:"常用联系人",title:"常用联系人"};t.controller.curModule._renderHTML(n({data:e}),r,function(){}),t.$(".inner .contact").tap(function(n){n.stopPropagation(),n.preventDefault();var r=i(n.target,"LI");if(r){var s=r.getAttribute("data-index");r.querySelector(".iconfont").classList.toggle("hide"),t.controller.contactBack(e[s])}})}function i(e,t){if(e.tagName===t)return e;while(e.parentNode){e=e.parentNode;if(e.tagName===t)return e}return null}var t=this;this.getContacts(function(e){r(e)},null)},t.exports=new i})()},{"../../../../../gum.ui/utils/simulateEvent":106,"./template/contact.tpl":80}],80:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/contact/template/contact.tpl",function(e){var t=this,n=(t.$helpers,e.i),r=e.data,i=t.$escape,s="";s+='<div class="rwd gum-view "> <div class="inner"> <ul class="contact"> ';for(var n=0;n<r.length;n++)s+=' <li data-userId ="',s+=i(r[n].userId),s+='" data-index="',s+=i(n),s+='"> <label >',s+=i(r[n].insurerName),s+='</label> <div class="iconfont icon-right hide"></div> </li> ';return s+=" </ul> </div> </div>",new String(s)})},{template:121}],81:[function(e,t,n){(function(){var n=e("common"),r=e("./template/noticeAgree.tpl"),i=e("../../../../../gum.ui/utils/$.js"),s=e("../../../../../gum.ui/utils/simulateEvent"),o=new(e("../../../../../gum.ui/toast/toast")),u=function(e,t,n){this.controller=e,this.common=e.common,this.curRouter=e.curRouter,this.homeView=n,t&&(this.initShow(),this.jump(t))};u.prototype={checkSure:function(){var e=document.getElementById("checkboxBtn");if(!e.checked)return o.showToast("请勾选同意条款内容",1e3),0},initShow:function(){var e=this;document.getElementById("noticeAgree").innerHTML=r(e.controller.model.dataModel),document.getElementById("orgShow").addEventListener("touchend",function(){var t=this.attributes.url.nodeValue;isApp?e.common.bridge.js_new_browser(t):location.href=t}),document.getElementById("downloadshow").addEventListener("touchend",function(){var t=this.attributes.url.nodeValue;isApp?e.common.bridge.js_new_browser(t):location.href=t})},jump:function(e){var t=this;i("#jump").find(".tar").tap(function(){t.homeView&&t.homeView.getFormData&&t.homeView.getFormData(),t.homeView&&t.homeView.getFormData&&t.homeView.getFormData(),t.curRouter.navigate(e)})}},t.exports=u})()},{"../../../../../gum.ui/toast/toast":103,"../../../../../gum.ui/utils/$.js":104,"../../../../../gum.ui/utils/simulateEvent":106,"./template/noticeAgree.tpl":82,common:"common"}],82:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/noticeAgree/template/noticeAgree.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.checkboxBtn,i="";return i+=' <style type="text/css"> .xbox{ font-size: 0.77777778rem; } .mt10 { margin-top: 0.55555556rem !important; } .agreenote{ position: relative; left: -15px; font-size:12px; } .agreenote input{ width: 12px; height: 12px; } #checkboxBtn { opacity: 0; } </style>  <ul class="layout xbox mt10"> <li id="jump"> <span class="w_60">投保须知</span> <span class="tar w_10"><b class="r-arrow"></b></span> </li> <li> <div class="agreenote"> <label class="topcoat-checkbox"> <input type="checkbox" id="checkboxBtn" ',i+=n(1==r?"checked":""),i+=' > <div class="topcoat-checkbox__checkmark"></div> </label> <span>&nbsp;我已经阅读并同意须知条款内容</span> </div> </li> <li style="line-height:18px;font-size:13px;border-bottom:0px;padding-top:10px;"> ● <a id="orgShow" href="javascript:void(0);" style="color:#ee5c3f" url="http://annuity.pingan.com/xinxipilu_more.shtml">查看分支机构信息</a> </li> <li style="line-height: 18px;font-size: 13px;border-bottom:0px;"> ● 该产品提供电子保单,可在承保后登陆"好福利" APP <a id="downloadshow" href="javascript:void(0)" url="http://home.pingan.com.cn/m/download.html" style="color:#ee5c3f">查看/下载</a></li> <li style="line-height: 18px;font-size: 13px;"> ● 本产品由平安养老保险股份有限公司销售并提供服务。</li> </ul>',new String(i)})},{template:121}],83:[function(e,t,n){"use strict";function r(e,t){var n=!location.pathname.match(/^\/m\/insurance_unlogin\//);n?e.js_new_browser(t):location.href=t}t.exports=r},{}],84:[function(e,t,n){"use strict";function p(){var e=function(){var e;return l("#read")[0]?e=l("#read").parent().parent():e=l("#jump").parent(),e};if(AppObj&&AppObj.curShareParam&&AppObj.curShareParam.shareRemarkFieldValue){var t=l("#prodes_detail"),n=t.html();t.html("<span class='corange'>"+AppObj.curShareParam.shareRemarkFieldValue+"</span><br/>"+n)}setTimeout(function(){if(AppObj&&AppObj.curShareParam&&AppObj.curShareParam.shareType=="3"){var t=e(),n='<li style="line-height: 26px;font-size: 12px;font-weight: bolder;">本链接产品由';n=n+" "+AppObj.curShareParam.orgName+" (中介公司) ",n=n+" "+AppObj.curShareParam.agentName+" (客户经理) ",AppObj.curShareParam.agentMobile&&(n=n+" "+AppObj.curShareParam.agentMobile+" (手机号) "),n+=" 为您提供后续服务</li>",t.append(n)}else if(AppObj&&AppObj.curShareParam){var t=e(),n='<li style="line-height: 26px;font-size: 12px;font-weight: bolder;">本链接产品由';AppObj.curShareParam.agentName&&(n=n+AppObj.curShareParam.agentName+"(客户经理)"),AppObj.curShareParam.agentMobile&&(n=n+AppObj.curShareParam.agentMobile+"(手机号)"),n+="为您提供后续服务</li>",AppObj.curShareParam&&(AppObj.curShareParam.agentName||AppObj.curShareParam.agentMobile)&&t.append(n)}},10)}function d(){function a(){document.getElementById("downloadAppBanner").style.display="none"}var e="downloadAppBanner",t=[],n=document.getElementById(e),r=!1;if(n)return;var i=document.createElement("DIV"),s=document.querySelector(".im-prodct"),o=navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),u='href="http://home.pingan.com.cn/m/download/download.html"';i.id=e,i.style.position="relative",i.innerHTML=["<a ",u,'style="background:blue;font-size:0;">','<img src="assets/images/downloadAppBanner.jpg" width="100%" />',"</a>",'<a target="_blank" id="close-download-app-banner" class="close-download-app-banner" style="position:absolute;display:block;top:0;left:0;height:100%;width:14%;"></a>'].join(""),s.parentNode.insertBefore(i,s),document.querySelector("#close-download-app-banner").addEventListener("touchend",a,!1)}var r=e("./template/productUpper.tpl"),i=e("./template/tpl.styles"),s=e("./productUpper.model"),o=new(e("../../../../../gum.ui/toast/toast")),u=new(e("../../../../../gum.ui/validate/check.telmobile")),a=e("../../../../../gum.ui/utils/platformUtil"),f=e("../../../../../gum.ui/validate/common.tool"),l,c=new f,h=function(){};h.prototype.getProductUpTempl=function(e){return i()+r(e)},h.prototype.initProductUpEvent=function(e,t){this.model=t,this.common=e,l=this.common.$,s.setRequest(t.ajax),s.dataModel=t.dataModel,this.initShare(),this.initUpDown(),isApp||(d(),s.shareToWeixin(t.dataModel),p())},h.prototype.initUpDown=function(){document.getElementById("prodes").addEventListener("touchend",function(){this.classList.toggle("prodes_up"),this.classList.contains("prodes_up")?document.getElementById("prodes_detail").classList.remove("hideli"):document.getElementById("prodes_detail").classList.add("hideli")})},h.prototype.initShare=function(){function r(e,t){var n=document.getElementById("shareType");n.classList.add("hide"),h.call(this,"","",t)}function i(e,t){var n=document.getElementById("emptyMask"),r=document.getElementById("shareType");r.classList.add("hide"),n.style.display="block",f.call(this,e,t)}function f(e,t){var n=document.getElementById("businessShare"),r=n.outerHTML,i=n.parentNode;i.removeChild(n),i.innerHTML=r,n=document.getElementById("businessShare");var a={},f=this,p=document.getElementById("share_btnOK"),d=document.getElementById("btnCancel"),v=document.getElementById("agentNo"),m=document.getElementById("agentNameDiv"),g=document.getElementById("agentName"),y=document.getElementById("showName"),b=document.getElementById("showBtn"),w=document.getElementById("agentTelDiv"),E=document.getElementById("agentTel"),n=document.getElementById("businessShare");e&&e["inputShareRemarkField"]=="Y"?(l("#inputShareRemarkField").removeClass("hide"),l("#remark_temp").removeClass("hide"),l("#inputShareRemarkField").attr("placeholder",e.shareRemarkFieldName),l("#remark_temp").text("例:"+e.shareRemarkExample)):(l("#inputShareRemarkField").addClass("hide"),l("#remark_temp").addClass("hide")),n.classList.remove("hide");var S=document.getElementById("emptyMask"),x=function(){S.style.display="none",m.classList.add("hide"),w.classList.add("hide"),v.removeAttribute("readonly"),v.value="",g.innerText="",E.value="",n.classList.add("hide")};d.removeEventListener("touchend",x),d.addEventListener("touchend",x,!1);var T=function(){if(v.value==""){o.showToast("请输入业务员代码!",2e3);return}if(e&&e["inputShareRemarkField"]=="Y"){var r=l("#inputShareRemarkField"),i=r.val();if(!i){o.showToast("尚未录入备注字段",2e3);return}if(c.calculate_byte(i)>100)return o.showToast("备注字段:"+e.shareRemarkFieldName+"不能超过50个字符！",2e3),!0}if(!a.agentNo)s.checkAgentNo(v.value,function(e){e.agentName?(g.innerText=e.agentName,a={},a.agentNo=e.agentNo,m.classList.remove("hide"),v.setAttribute("readonly","readonly")):o.showToast(e.returnMsg,3e3)},function(e){o.showToast(e,3e3)});else{if(y.checked==1){var p=u.checkformat(E.value);if(p){o.showToast(p,3e3);return}a.agentName=g.innerText,a.agentTel=E.value,y.checked=!1}m.classList.add("hide"),w.classList.add("hide"),v.removeAttribute("readonly"),v.value="",g.innerText="",E.value="",n.classList.add("hide"),h.call(f,a,i,t)}};p.removeEventListener("touchend",T,!1),p.addEventListener("touchend",T,!1);var N=function(){if(this.checked==1)while(w.classList.contains("hide"))w.classList.remove("hide");else w.classList.add("hide")};y.removeEventListener("change",N,!1),y.addEventListener("change",N,!1)}function h(e,t,n){var r=document.getElementById("emptyMask");r.style.display="none";var i=s.getDataModel(),u=i.productName,f=i.productDesc,c=window.location.href,h=c.substr(0,c.lastIndexOf("client.html"));h=h.replace(/insurance_unlogin|insurance_release|insurance/g,"insurance_unlogin");var v="#"+c.split("#")[1];this&&this.model&&this.model.dataModel&&(this.model.dataModel.idCsspProduct=="PI000060"?v="#insurance/fjInsurance/medical":this.model.dataModel.idCsspProduct=="PI000061"&&(v="#insurance/fjInsurance/backProduct"));var m="",g={};e&&(e.agentNo&&(g.agentNo=e.agentNo),e.agentTel&&(g.agentMobile=e.agentTel),e.agentName&&(g.agentName=e.agentName)),t&&(g.shareRemarkFieldValue=t),n&&(g.csspOrgId=n),g.csspProductId=i.idCsspProduct,g.hash=v,s.saveShareNote(g,function(e){m=e.idSmtsShare,m="?shareId="+m;var t=h+"client.html"+m,n=c.substr(0,c.lastIndexOf("client.html")),r=n+i.imgUrl;console.dir(t);if(isApp){if(!window.timeInterval||window.timeInterval==0){window.timeInterval=3e3,setTimeout(function(){window.timeInterval=0},3e3);if(a.android){var v=window.healthAppObj.getAppVersionCode();v>58?window.healthAppObj.shareTo(u,f,t,r,""):o.showToast("该功能需更新至最新版本",3e3)}else a.ios?p(u,f,t,r):o.showToast("请使用ios或android机器",3e3)}}else{var g=function(){window._pingan_$("#hide-div").off("tap").on("tap",function(){d(l(".show-box"),{display:"none"}),d(l("#emptyMask"),{display:"none"})}),setTimeout(function(){scrollTo(0,0),d(l(".show-box"),{display:"block"}),d(l("#emptyMask"),{display:"block"})},10)};s.shareToWeixin(i),g()}},function(){})}function p(t,n,r,i){d(l("#wechatshowbg"),{display:"block",background:"#000",opacity:"0.5"}),d(l("#wechatshow"),{display:"block",background:"white"}),l("#wx_hy").attr("data-title",t),l("#wx_hy").attr("data-desc",n),l("#wx_hy").attr("data-link",r),l("#wx_hy").attr("data-imgUrl",i),l("#wx_pyq").attr("data-title",t),l("#wx_pyq").attr("data-desc",n),l("#wx_pyq").attr("data-link",r),l("#wx_pyq").attr("data-imgUrl",i),l(document).on("tap",function(){setTimeout(function(){d(l("#wechatshowbg"),{display:"none",background:"#fff",opacity:"0.0"}),d(l("#wechatshow"),{display:"none"})},50),l(document).off("tap")}),l("#wx_hy").off("tap").on("tap",function(){var t={title:l("#wx_hy").attr("data-title"),description:l("#wx_hy").attr("data-desc"),shareUrl:l("#wx_hy").attr("data-link"),imageUrl:l("#wx_hy").attr("data-imgUrl")};e.common.bridge.js_wechat_share_friend(t),setTimeout(function(){d(l("#wechatshowbg"),{display:"none",background:"#fff",opacity:"0.0"}),d(l("#wechatshow"),{display:"none"})},50),l("#wx_hy").off("tap")}),l("#wx_pyq").off("tap").on("tap",function(){var t={title:l("#wx_hy").attr("data-desc"),shareUrl:l("#wx_hy").attr("data-link"),imageUrl:l("#wx_hy").attr("data-imgUrl")};e.common.bridge.js_wechat_share_timeline(t),setTimeout(function(){d(l("#wechatshowbg"),{display:"none",background:"#fff",opacity:"0.0"}),d(l("#wechatshow"),{display:"none"})},50),l("#wx_pyq").off("tap")})}function d(e,t){var n=e[0]||e;for(var r in t)n.style[r]=t[r]}var e=this,t=document.getElementById("shareDiv");s.getShareData(this.model.dataModel.idCsspProduct,function(e){window.AppObj.shareData=e;if(e&&e.length==1)n(e[0],t);else if(e&&e.length>1){var r=function(){var t=document.getElementById("shareType"),r=document.getElementById("emptyMask");t.classList.remove("hide"),r.style.display="block";for(var i=0;i<e.length;i++){var s=e[i],o;s.sharePattern==1?o=t.getElementsByClassName("right")[0]:o=t.getElementsByClassName("left")[0],n(s,o,t)}};t.removeEventListener("touchend",r,!1),t.addEventListener("touchend",r,!1)}else t.style.display="none",t.parentNode.previousElementSibling.children[0].classList.remove("rightlineSvg")},function(){t.style.display="none",t.parentNode.previousElementSibling.children[0].classList.remove("rightlineSvg")});var n=function(e,t,n){var o=this,u;e.sharePattern=="1"?u=r:u=i;var a=function(){isApp?s.getUserInfo(function(t){u.call(o,e,t.inputOrgIdentify)}):u.call(o,e,AppObj.curShareParam.csspOrgId)};t.removeEventListener("touchend",a,!1),t.addEventListener("touchend",a,!1)}.bind(e)},t.exports=new h},{"../../../../../gum.ui/toast/toast":103,"../../../../../gum.ui/utils/platformUtil":105,"../../../../../gum.ui/validate/check.telmobile":113,"../../../../../gum.ui/validate/common.tool":114,"./productUpper.model":85,"./template/productUpper.tpl":86,"./template/tpl.styles":87}],85:[function(e,t,n){"use strict";var r=new(e("../../../../../gum.ui/wechatSDK/wechat.helper")),i=e("../ajax/insurantAjax"),s=e("q"),o={getSharePattern:"/m/getSharePattern.dox",checkGCodeAction:"/m/checkGCodeAction.dox",saveShareNote:"/m/saveShareNote.dox",queryShareNote:"/m/queryShareNote.dox",getInsurer:"/m/do/insurer/getUserForInsurer"},u=function(){this.dataModel={}};u.prototype.setRequest=function(e){this.ajax=e},u.prototype.getDataModel=function(){return this.dataModel},u.prototype.getShareData=function(e,t,n){var r=this;this.ajax({url:o.getSharePattern,data:{idCsspProduct:e}},function(e){t&&t.call(r,JSON.parse(e.idCsspProduct))},function(e){})},u.prototype.saveShareNote=function(e,t,n){var r=this;this.ajax({url:o.saveShareNote,data:e},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},u.prototype.checkAgentNo=function(e,t,n){var r=this;this.ajax({url:o.checkGCodeAction,data:{agentNo:e}},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},u.prototype.queryShareData=function(e,t,n){var r=this;this.ajax({url:o.queryShareNote,data:{id:e}},function(e){t&&t.call(r,e)},function(e){n.call(r,e)})},u.prototype.shareToWeixin=function(e){s(r.getToken()).then(function(t){r.setConfig(t,["onMenuShareTimeline","onMenuShareAppMessage","onMenuShareQQ","onMenuShareWeibo","startRecord","stopRecord","onVoiceRecordEnd","playVoice","pauseVoice","stopVoice","onVoicePlayEnd","uploadVoice","downloadVoice","chooseImage","previewImage","uploadImage","downloadImage","translateVoice","getNetworkType","openLocation","getLocation","hideOptionMenu","showOptionMenu","hideMenuItems","showMenuItems","hideAllNonBaseMenuItem","showAllNonBaseMenuItem","closeWindow","scanQRCode","openProductSpecificView","addCard","chooseCard","openCard"]),wx.ready(function(){var t,n=window.location.search.slice(1).split("&");for(var i=0;i<n.length;i++){var s=n[i],o=s.split("=");if(o.length==2&&o[0]=="shareId"){t=o[1];break}}var u=window.location.href,a=u.substr(0,u.lastIndexOf("client.html")),f=a+"client.html"+"?shareId="+t,l=e.productName,c=e.productDesc,h=location.protocol+"//"+location.host+"/m/insurance_release/"+e.imgUrl;r.share(l,c,f,h)})})},u.prototype.getUserInfo=function(e){i(this.ajax,{url:o.getInsurer,data:{}},function(t){e(t)})},t.exports=new u},{"../../../../../gum.ui/wechatSDK/wechat.helper":117,"../ajax/insurantAjax":72,q:69}],86:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/productUpper/template/productUpper.tpl",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.productImg,i=e.productName,s=t.$string,o=e.feature,u=e.prdDesc,a=e.featureDesc,f="";return f+='<div id="emptyMask" style="width: 100%; height: 100%;z-index: 1000;background: #000; opacity: 0.6;position: fixed;display: none"> </div> <div class="alert hide alert-share" id="shareType"> <div class="alert-title short-line-right shareType"> 选择分享类型 </div> <div class="table-view-alert-choose grid shareType-detail" > <div class="grid-cell col-xs-6 left rightlineSvg"> 业务员分享 </div> <div class="grid-cell col-xs-6 right"> 用户分享 </div> </div> </div> <div> <div class="alert hide alert-share alert-share-bus" id="businessShare" > <div class="alert-title" >业务员分享 </div> <div class="alert-message alert-message-one"> <input type="text" placeholder="请输入业务员代码" id="agentNo" /> <br> <input id="inputShareRemarkField" style="margin-top: .325em;" type="text" placeholder="请输入社区银行经理" value=""> <br> <div style="text-align:right;" id="remark_temp">例：xx社区银行经理</div> </div> <div class="alert-message hide alert-message-two" id="agentNameDiv"> <div style="">业务员姓名:<span id="agentName">王乐乐</span></div> <div class="grid"> <div class="grid-cell col-xs-2 checkbox" style="width: 35px;"> <label class="topcoat-checkbox" id="showBtn" style="display: block"> <input type="checkbox" id="showName" class="rmh" style="margin-left:9px;"> <div class="topcoat-checkbox__checkmark" style="display: block;height: 0"></div> </label> </div> <div class="grid-cell col-xs-10 checkbox span-999" style="left: -15px;font-size: 12px;top: -5px;"> 姓名是否显示在内容投保页面 </div> </div> </div> <div class="alert-message hide" id="agentTelDiv" style=""> <input type="text" placeholder="请输入服务手机号码" id="agentTel" style="border-radius: 0;border-color: #dfdfe1;margin-bottom: 0;"/> </div> <div class="table-view-alert-choose grid" style="padding-top: 30px;"> <div class="grid-cell col-xs-6 left"> <a id="btnCancel" class="btn btn-block btn-alert btn-alert-outlined btn-outlined-padding needsclick">取消</a> </div> <div class="grid-cell col-xs-6 right"> <a id="share_btnOK" class="btn btn-negative btn-block needsclick">确定</a> </div> </div> </div> </div> <div id="wechatshowbg"></div> <div id="wechatshow" style="display:none"> <div class="wechatImg"> <div> <div> <img id="wx_hy" src="assets/images/wx_hy.png" data-title="" data-desc="" data-link="" data-imgUrl=""> </div> <div style=""> 微信好友 </div> </div> <div> <div> <img id="wx_pyq" src="assets/images/wx_pyq.png" data-title="" data-desc="" data-link="" data-imgUrl=""> </div> <div> 微信朋友圈 </div> </div> </div> </div> <div class="show-box" style="display:none;"><span id="hide-div"></span></div> <article class="im-prodct productUpper"> <ul> <li id="hd_img"> <div class="im-img"> <img onload="this.style.display=\'inline\'" width="100%" src="',f+=n(r),f+='"/> </div> <div class="im-mask"></div> <div class="im-order"> 一分钟出单 </div> <div class="grid im-hdbt"> <div class="grid-cell col-xs-9"> <div class="im-title"> ',f+=n(i),f+=' </div> <div class="im-rmk"> ',f+=s(o),f+=' </div> </div> <div class="grid-cell col-sm-3" style="vertical-align:bottom"> <div class="share-icon" id="shareDiv"> <i class="icon iconfont">&#xe606;</i> <div class="name">分享</div> </div> </div> </div> </li> </ul> <div class="prodesdiv"> <div id="prodes" class="prodes prodes_up">',f+=n(u?u:"保险详情"),f+='</div> <p id="prodes_detail" class="prodes_detail"> ',f+=s(a),f+=' </p> <div class="btline" style="height: 1px"></div> </div> </article>',new String(f)})},{template:121}],87:[function(e,t,n){var r=e("template");t.exports=r("insurance/common/productUpper/template/tpl.styles","<style> .productUpper { width:100%; } .productUpper li{ position:relative; width:100%; height:10.55555556rem; padding:0; margin:0; } .productUpper li>div{ position:absolute; } .productUpper .im-img>img{ width:100%; display:none; height:10.55555556rem; -webkit-backface-visibility: hidden; } .productUpper .im-img, .productUpper .im-mask{ width:100%; height:100%; overflow: hidden; -webkit-transform: translateZ(0); } .productUpper .im-mask{ background:linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.3)); background:-webkit-linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.3)); } .productUpper .im-hdbt{ bottom:0; color:#fff; } .productUpper .im-hdbt>div{ padding:0 0 0.83333333rem 0.83333333rem; } .productUpper .im-hdbt .im-title{ font-size:1.05263158rem; } .productUpper .im-rmk{ font-size: .625em; line-height: 1.15em; } .productUpper .im-order{ right:0; top:0.88888889rem; background:no-repeat left top url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 131.48199 38'><path fill-opacity='0.3' fill='#fff' d='m130.48199,36.002l-110,0c-11.04599,0 -20,-8.059 -20,-18c0,-9.941 8.95401,-18 20,-18l110,0l0,36z'/></svg>\"); background-size:cover; font-size:0.55555556rem; width:3.6666667rem; line-height:1.05555556rem; color:#fff; text-align:center; } .productUpper .icon { color: #fff; font-size: 26px; } .productUpper .share-icon { float: right; width: 60px; text-align: center; border-left: 1px solid #999; background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='1' height='100%'><rect fill='#dcdcdc' x='0' y='15%' width='0.5' height='73%'/></svg>\"); background-position-x: 0; background-position-y: 0; background-repeat: no-repeat; border-left: 0; } .productUpper .share-icon .name { color: #fff; font-size: 0.55555556rem; text-align: center; } .productUpper .prodes{ color: #333333; margin: 0.83333333rem 0.27777778rem 0.83333333rem 0.27777778rem; font-size: 0.83333333rem; } .productUpper .prodes:after { right: 1.05555556rem; font-size: 1.11111111rem; content: '\\e818'; } .productUpper .prodes:after { float: right; top: 35%; display: inline-block; font-family: Ratchicons; font-size: inherit; line-height: 1; color: #666666; text-decoration: none; -webkit-font-smoothing: antialiased; -webkit-transform: rotate(90deg); -ms-transform: rotate(90deg); transform: rotate(90deg); } .productUpper .prodes_up:after{ float: right; top: 35%; display: inline-block; font-family: Ratchicons; font-size: inherit; line-height: 1; color: rgb(238, 92, 63); text-decoration: none; -webkit-font-smoothing: antialiased; -webkit-transform: rotate(-90deg); -ms-transform: rotate(-90deg); transform: rotate(-90deg); } .productUpper .prodes_detail { color: #666666; margin: 0px 0.27777778rem 1.11111111rem 0.27777778rem; line-height: 1.11111111rem; font-size: 0.72222222rem; } .productUpper .btline { background-image: url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100%' height='1'><rect fill='#dcdcdc' x='0' y='0' width='100%' height='0.5'/></svg>\"); background-position-x: 0px; background-position-y: 100%; background-repeat: no-repeat; border-bottom: 0; margin-bottom: 0.27777778rem; } .productUpper .prodesdiv{ padding: 0px 0.55555556rem 0px 0.55555556rem ; } .productUpper .grid { display: table; width: 100%; table-layout: fixed; } .productUpper .grid-cell { position: relative; display: table-cell; } .productUpper .col-xs-9 { width: 75%; } .productUpper .col-xs-3 { width: 25%; } .productUpper .iconfont { font-family: \"pingan\" !important; font-size: 0.88888889rem; font-style: normal; -webkit-font-smoothing: antialiased; -webkit-text-stroke-width: 0.2px; -moz-osx-font-smoothing: grayscale; } .productUpper .icon { display: inline-block; font-family: Ratchicons; font-size: 1.3333333rem; line-height: 1; text-decoration: none; -webkit-font-smoothing: antialiased; } .productUpper .icon-back:before { content: '\\e80a'; } .productUpper .icon-bars:before { content: '\\e80e'; } .hide{ display: none !important; } .wechatImg{ display: table; text-align: center; width:80%; padding-bottom: 10px; padding-top: 10px; margin:0 auto } .gum .wechatImg{ box-sizing: content-box; } .wechatImg> div{ display: table-cell; } .wechatImg img{ width:50%; padding-bottom: 5px; } #wechatshowbg{display: none; position: fixed; left: 0; height: 100%; background-color:black; z-index:1001; opacity: 0.5; bottom: 0;width: 100%;} #wechatshow{display: none; position: fixed; left: 0; background-color:white; z-index:3002; bottom: 0;width: 100%} .gum .alert-share{ margin-top: -144px; background-color: white; text-align: center; position: fixed; top: 50%; overflow: hidden; z-index: 9999; width: auto; margin-left: 0; margin-right: 0; left: 15px; right: 15px; padding: 0; } .gum .alert-share-bus{ padding: 17px 17px 0px; } .gum .shareType{ font-size: 20px;padding-top: 30px;padding-bottom: 30px;border-bottom:0; } .gum .shareType-detail{ font-size: 17px;color: #f66b6b; } .gum .shareType-detail div{ padding-top:20px; } .gum .alert-share-bus .alert-title{ font-size: 17px; color: #999999; padding-bottom: 10px; border-bottom: 1px solid #c1c1c1; } .gum .alert-message{ padding-left: 15px;padding-right: 15px;margin-bottom: 0; } .gum .alert-message-one{ font-size: 15px; color: #333333; margin-top: 25px; } .gum .alert-message-one input{ border-radius: 0;border-color: #dfdfe1;margin-bottom: 0px; } .gum .alert-message-two{ margin-top:15px;text-align: left; } .gum .alert-message-two div:first-child{ color: #666;font-size: 15px; } </style>")},{template:121}],88:[function(e,t,n){function L(){this.moduleName="insurance",this.name="szinsurance_c2",this.cssFile="szinsurance_c2.css",this.classList=["szinsurance_c2"],this.routers={login:"simulogin",initIndex:"initIndex",index:"index",insurant:"insurant",guardian:"guardian",success:"success",products:"products",notice:"notice"}}var r=e("../../../Controller"),i=e("../../common/productUpper/productUpper"),s=e("../views/tpl.product"),o=e("../views/tpl.insurant"),u=e("lodash/collection/foreach"),a=e("../../common/contact/contact"),f=e("lodash/object/assign"),l=e("../model/szinsurance_c2.model"),c=new(e("../../../../../gum.ui/toast/toast")),h=new(e("../../../../../gum.ui/validate/validate.all")),p=e("../../../../../public/cordova/js_calendar"),d=e("../views/tpl.guardian"),v=e("../views/tpl.success"),m=e("../views/tpl.products"),g=e("../../common/checkAndPay/check"),y=e("../../common/checkAndPay/payOfNative"),b=e("../../common/checkAndPay/payOfWeb"),w=new(e("../../../../../gum.ui/validate/check.birthday")),E=e("../views/tpl.notice"),S=e("../../../../../gum.ui/utils/simulateEvent"),x=e("../../common/openUrl/openUrl"),T=e("../../common/noticeAgree/noticeAgree"),N=new(e("../../../../../gum.ui/validate/common.tool")),C=e("../../../../../gum.ui/wechatSDK/wechat.helper"),k=new(e("../../../../../gum.ui/alerts/alerts"));L.prototype=new r({simulogin:function(){var e=this;l.simulateLogin(function(){e.curRouter.navigate("insurance/szinsurance_c2/initIndex",!0)})},initIndex:function(){this.curRouter.navigate("insurance/szinsurance_c2/index",!0),localStorage.removeItem("orderId")},index:function(){function r(){var e=document.getElementsByClassName("prodesdiv")[0],t=document.createElement("div");t.style.paddingLeft="0.55555556rem",t.style.paddingRight="0.55555556rem",t.innerHTML='<input id="next" type="button" class="mt10" value="确认投保">',e.parentNode.insertBefore(t,e)}var e=this,t={eventID:"保险详情",eventLabel:l.dataModel.idCsspProduct,title:"保险详情"};if(!isApp){document.title="深圳社保";var n=new C;n.updatePageTitleIniOS()}k.alert("产品已停售,不可购买",function(){},"贴心小提示",1,{position:"static"}),e.curModule._renderHTML(i.getProductUpTempl(l.dataModel)+s(),t,function(){i.initProductUpEvent(e.common,l);var t=new T(e);t.initShow(),t.jump("insurance/szinsurance_c2/notice");var n=document.querySelectorAll(".tab-item");for(var r=0;r<n.length;r++)n[r].addEventListener("touchend",function(e){if(e.target.parentNode.className.indexOf("tab-group")<0)return;this.classList.toggle("hover")})})},notice:function(){var e=this,t={eventID:"投保须知",eventLabel:l.dataModel.idCsspProduct,title:"投保须知"};if(!isApp){document.title="投保须知";var n=new C;n.updatePageTitleIniOS()}e.curModule._renderHTML(E(l.dataModel),t,function(){var t=document.getElementById("pinganUrl"),n=t.getAttribute("url");t.addEventListener("touchend",function(){x(e.common.bridge,n)})})},insurant:function(){var e=this,t={eventID:"参保人",eventLabel:l.dataModel.idCsspProduct,title:"参保人"};if(!isApp){document.title="参保人";var n=new C;n.updatePageTitleIniOS()}e.data={},f(e.data,l.dataModel.insurant),f(e.data,{isApp:isApp}),e.curModule._renderHTML(o(e.data),t,function(){function r(){p(function(t){if(typeof t=="undefined")return;e.$("#insurerBirthday").text(t).removeClass("placeholder")})}function i(){e._getSelectVal("insurerIdType")==="1"&&e._setBirthDayAndSex(e._getEleById("insurerIdCard").value),u(document.querySelectorAll("input, select"),function(t,n){e.data[t.id]=t.value}),e.data.isApp&&(e.data.insurerBirthday=document.getElementById("insurerBirthday").innerText)}function s(){var t=!0;u(document.querySelectorAll("input,select"),function(n,r){if(e._checkData(n)==0)return t=!1,!1});if(e.data.isApp){if(document.getElementById("insurerBirthday").innerText==""||document.getElementById("insurerBirthday").innerText=="请选择")return c.showToast("请选择出生日期",2e3),t=!1,!1}else if(document.getElementById("insurerBirthday").value=="")return c.showToast("请选择出生日期",2e3),t=!1,!1;return!o(e.data.insurerBirthday)&&e.data.mobile==""?(c.showToast("请填写手机号码",2e3),t=!1,!1):t}function o(e){var t=(new Date).getTime(),n=(new Date(e)).getTime(),r=31536e6,i=(t-n)/r;return i=w.getAgeByBrithday(e,new Date("2016-07-01")),i>=18?!1:!0}document.getElementById("btName").classList.contains("rebuy")&&(document.getElementById("btName").innerHTML="下一步",document.getElementById("btName").classList.remove("rebuy"));var t=document.querySelectorAll("select");for(var n=0;n<t.length;n++)t[n].value?t[n].classList.remove("placeholder"):t[n].classList.add("placeholder");for(var n=0;n<t.length;n++)t[n].onchange=function(){this.value?this.classList.remove("placeholder"):this.classList.add("placeholder")};e._showHideBirthDayAndSex(e._getSelectVal("insurerIdType"),e._getEleById("insurerIdCard").value),document.getElementById("insurerIdType").addEventListener("change",function(){this.value=="1"?(console.log("身份证"),document.getElementById("genderLi").classList.add("hide"),document.getElementById("birthdayLi").classList.add("hide")):(document.getElementById("genderLi").classList.remove("hide"),document.getElementById("birthdayLi").classList.remove("hide"),document.getElementById("insurerSex").value="",document.getElementById("insurerSex").classList.add("placeholder"),e.data.isApp?(document.getElementById("insurerBirthday").innerText="请选择",document.getElementById("insurerBirthday").classList.add("placeholder")):document.getElementById("insurerBirthday").value="")}),document.getElementById("insurerIdCard").addEventListener("blur",function(){if(e._getSelectVal("insurerIdType")==="1"){var t=N.getBirthdayByChinaID(this.value),n=N.getSexByChinaID(this.value);document.getElementById("insurerSex").value=n,document.getElementById("insurerSex").classList.remove("placeholder"),e.data.isApp?(document.getElementById("insurerBirthday").innerText=t,document.getElementById("insurerBirthday").classList.remove("placeholder")):document.getElementById("insurerBirthday").value=t}}),e.$("#contactLi").tap(function(t){i(),f(l.dataModel.insurant,e.data),t.stopPropagation(),t.preventDefault(),e.contactBack=function(t){if(t){var n={insurerName:t.insurerName,insurerSex:t.insurerSex,insurerIdType:t.insurerIdType,insurerIdCard:t.insurerIdCard,insurerBirthday:t.insurerBirthday,mobile:t.mobile};f(l.dataModel.insurant,n)}e.curRouter.navigate("insurance/szinsurance_c2/insurant",!0)},a.initRouterGo(e)}),e.data.isApp&&document.getElementById("birthdayLi").addEventListener("touchend",function(){r()}),document.getElementById("btName").addEventListener("touchend",function(){if(document.getElementById("btName").classList.contains("rebuy")){e.curRouter.navigate("insurance/szinsurance_c2/index");return}i();if(!s())return;console.log(["this.data",e.data]),o(e.data.insurerBirthday)?f(e.data,{insurerRelationCode:"4",insType:"0",insurantRelationCode:"1"}):f(e.data,{insurerRelationCode:"1",insType:"0",insurantRelationCode:"1"});var t="440300",n="440000";e.theSubmitData={commonCity:t||"",commonProvince:n||""},f(l.dataModel.insurant,e.data),f(e.theSubmitData,e.data),delete e.theSubmitData.isApp;var r=[];r.push(e.theSubmitData);var u={idCsspProduct:l.dataModel.idCsspProduct,idCsspOrder:l.dataModel.idCsspOrder,insurantManagerForms:JSON.stringify(r)};l.addInsurant(u,function(t){o(e.theSubmitData.insurerBirthday)?e.curRouter.navigate("insurance/szinsurance_c2/guardian"):e.checkAndPay(function(){document.getElementById("btName").innerHTML="重新购买",document.getElementById("btName").classList.add("rebuy")})},function(e){console.log("提交失败",e)})})})},guardian:function(){var e=this,t={eventID:"监护人",eventLabel:l.dataModel.idCsspProduct,title:"监护人"};if(!isApp){document.title="监护人";var n=new C;n.updatePageTitleIniOS()}e.data={},f(e.data,l.dataModel.guardian),f(e.data,{isApp:isApp}),e.curModule._renderHTML(d(e.data),t,function(){function r(){p(function(t){if(typeof t=="undefined")return;e.$("#insurerBirthday").text(t).removeClass("placeholder")})}function i(){e._getSelectVal("insurerIdType")==="1"&&e._setBirthDayAndSex(e._getEleById("insurerIdCard").value),u(document.querySelectorAll("input, select"),function(t,n){e.data[t.id]=t.value}),e.data.isApp&&(e.data.insurerBirthday=document.getElementById("insurerBirthday").innerText)}function s(){var t=!0;u(document.querySelectorAll("input,select"),function(n,r){if(e._checkData(n)==0)return t=!1,!1});if(e.data.isApp){if(document.getElementById("insurerBirthday").innerText==""||document.getElementById("insurerBirthday").innerText=="请选择")return c.showToast("请选择出生日期",2e3),t=!1,!1}else if(document.getElementById("insurerBirthday").value=="")return c.showToast("请选择出生日期",2e3),t=!1,!1;var n=w.getAgeByBrithday(e.data.insurerBirthday,new Date("2016-07-01"));return n>100||n<18?(c.showToast("温馨提示：投保人须 18- 100周岁",2e3),t=!1,!1):e.data.mobile==""?(c.showToast("请填写手机号码",2e3),t=!1,!1):t}document.getElementById("btName").classList.contains("rebuy")&&(document.getElementById("btName").innerHTML="立即支付",document.getElementById("btName").classList.remove("rebuy"));var t=document.querySelectorAll("select");for(var n=0;n<t.length;n++)t[n].value?t[n].classList.remove("placeholder"):t[n].classList.add("placeholder");for(var n=0;n<t.length;n++)t[n].onchange=function(){this.value?this.classList.remove("placeholder"):this.classList.add("placeholder")};e._showHideBirthDayAndSex(e._getSelectVal("insurerIdType"),e._getEleById("insurerIdCard").value),document.getElementById("btName").addEventListener("touchend",function(){if(document.getElementById("btName").classList.contains("rebuy")){e.curRouter.navigate("insurance/szinsurance_c2/index");return}i();if(!s())return;var t="440300",n="440000",r={idCsspProduct:l.dataModel.idCsspOrder,idCsspOrder:l.dataModel.idCsspOrder,commonCity:t||"",commonProvince:n||""};f(l.dataModel.guardian,e.data),f(r,e.data),delete r.isApp,console.log(["submitData",r]),l.addGuardian(r,function(t){e.checkAndPay(function(){document.getElementById("btName").innerHTML="重新购买",document.getElementById("btName").classList.add("rebuy")}),console.log("提交成功",t)},function(e){console.log("提交失败",e)})}),document.getElementById("insurerIdType").addEventListener("change",function(){this.value=="1"?(console.log("身份证"),document.getElementById("genderLi").classList.add("hide"),document.getElementById("birthdayLi").classList.add("hide")):(document.getElementById("genderLi").classList.remove("hide"),document.getElementById("birthdayLi").classList.remove("hide"),document.getElementById("insurerSex").value="",document.getElementById("insurerSex").classList.add("placeholder"),e.data.isApp?(document.getElementById("insurerBirthday").innerText="请选择",document.getElementById("insurerBirthday").classList.add("placeholder")):document.getElementById("insurerBirthday").value="")}),document.getElementById("insurerIdCard").addEventListener("blur",function(){if(e._getSelectVal("insurerIdType")==="1"){var t=N.getBirthdayByChinaID(this.value),n=N.getSexByChinaID(this.value);document.getElementById("insurerSex").value=n,document.getElementById("insurerSex").classList.remove("placeholder"),e.data.isApp?(document.getElementById("insurerBirthday").innerText=t,document.getElementById("insurerBirthday").classList.remove("placeholder")):document.getElementById("insurerBirthday").value=t}}),e.data.isApp&&document.getElementById("birthdayLi").addEventListener("touchend",function(){r()})})},success:function(){var e=this,t={eventID:"投保成功",eventLabel:l.dataModel.idCsspProduct,title:"投保成功"};e.curModule._renderHTML(v(),t,function(){document.getElementById("complete-btn").addEventListener("touchend",function(){e.curRouter.navigate("insurance/szinsurance_c2/index")});var t=document.querySelectorAll(".ad");t[0].addEventListener("touchend",function(){e.curRouter.navigate("insurance/szinsurance_c2/products")})})},products:function(){var e=this,t={eventID:"产品推介",eventLabel:l.dataModel.idCsspProduct,title:"产品推介"};e.curModule._renderHTML(m(),t,function(){})},webPay:function(){},checkAndPay:function(e){var t=this;g.underWriting(this.common.ajax,l.dataModel,function(n){isApp?y.noticeNative(n):t.curRouter.navigate("insurance/webPay/index",!0),e()})},_checkData:function(e,t,n){var r=this,i=e;if(i.classList.contains("hide"))return!0;var s=i.dataset.type,o;i.tagName==="SELECT"&&(o=A._getSelectVal(i.id)),i.tagName==="INPUT"&&(o=i.value),o=t||o;var u=undefined,a=undefined,f="true";s==2&&o!==""&&(u=A._getSelectVal("insurerIdType")),s==4&&(u=o);if(s==5||s==6)f=i.dataset.notnull;var l=h.validate(s,o,a,u,f);return l!=""?(c.showToast(l,2e3),!1):!0},_getSelectVal:function(e){var t=document.getElementById(e);return t.options[t.selectedIndex].value},_getEleById:function(e){return document.getElementById(e)},_showHideBirthDayAndSex:function(e,t){e==="1"?(this._getEleById("birthdayLi").classList.add("hide"),this._getEleById("genderLi").classList.add("hide"),this._setBirthDayAndSex(t)):(this._getEleById("birthdayLi").classList.remove("hide"),this._getEleById("genderLi").classList.remove("hide"))},_setBirthDayAndSex:function(e){if(e!==""){var t=N.getBirthdayByChinaID(e),n=N.getSexByChinaID(e);document.getElementById("insurerSex").value=n,document.getElementById("insurerSex").classList.remove("placeholder"),isApp?(document.getElementById("insurerBirthday").innerText=t,document.getElementById("insurerBirthday").classList.remove("placeholder")):document.getElementById("insurerBirthday").value=t}}});var A=new L;A.initController(l)},{"../../../../../gum.ui/alerts/alerts":98,"../../../../../gum.ui/toast/toast":103,"../../../../../gum.ui/utils/simulateEvent":106,"../../../../../gum.ui/validate/check.birthday":107,"../../../../../gum.ui/validate/common.tool":114,"../../../../../gum.ui/validate/validate.all":115,"../../../../../gum.ui/wechatSDK/wechat.helper":117,"../../../../../public/cordova/js_calendar":120,"../../../Controller":71,"../../common/checkAndPay/check":73,"../../common/checkAndPay/payOfNative":75,"../../common/checkAndPay/payOfWeb":76,"../../common/contact/contact":79,"../../common/noticeAgree/noticeAgree":81,"../../common/openUrl/openUrl":83,"../../common/productUpper/productUpper":84,"../model/szinsurance_c2.model":89,"../views/tpl.guardian":90,"../views/tpl.insurant":91,"../views/tpl.notice":92,"../views/tpl.product":93,"../views/tpl.products":94,"../views/tpl.success":95,"lodash/collection/foreach":9,"lodash/object/assign":62}],89:[function(e,t,n){function u(){this.dataModel={idCsspProduct:"PI000059",effDate:"2016-07-01",saleLevel:"L",dataSource:isApp?"02":"04",imgUrl:"assets/images/iszyb.jpg",procuctImg:"fastPublish/images/szyibao.jpg",productDesc:"一人二十元，健康保一年。",productName:"深圳市重特大疾病补充医疗保险",feature:"深圳市重特大疾病补充医疗保险",featureDesc:"&nbsp;&nbsp;&nbsp;&nbsp;深圳市重特大疾病补充医疗保险是贯彻落实国家、广东省大病保险政策精神，进一步完善深圳市医疗保障制度，有效提高重特大疾病保障水平，减轻大病患者医疗费用负担的惠民工程，由深圳市人力资源和社会保障局主办，平安养老保险股份有限公司深圳分公司具体承办。<br/>&nbsp;&nbsp;&nbsp;&nbsp;个人参保办理时段：2016年6月1日9时至2016年6月30日24时。</span>",notice:"<p>本投保人兹申明上述各项内容填写属实。《投保须知》具体内容如下：</p><p>【产品说明】</p><p><strong>1&nbsp;) 参保资格：</strong>深圳市社会医疗保险参保状态正常的参保人，均可自愿参加。</p><p><strong>2&nbsp;) 参保时间：</strong> 2016年6月1日9时至2016年6月30日24时止。</p><p><strong>3&nbsp;) 保障待遇：</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;)&nbsp;在同一社会医疗保险年度内，参保人住院时发生的医疗费用，按《深圳市社会医疗保险办法》规定属于社会医疗保险目录范围内、且应由其本人自付的<strong>部分累计超过1万元</strong>的，超出部分由承办机构支付<strong>70%</strong>；</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2&nbsp;)&nbsp;在同一社会医疗保险年度内，参保人患重特大疾病使用《深圳市重特大疾病补充医疗保险药品目录》内药品所发生的费用，由承办机构支付<strong>70%</strong>，<strong>支付金额最高不超过15 万元</strong>。</p><p><strong>4&nbsp;) 保障时间：</strong> 2016年7月1日零时至2017年6月30日24时，保险期限为1年。</p><p><strong>5&nbsp;) 参保人仅限参保壹份，超出部分不重复享受保障待遇。</strong></p><p>【报销及信息变更流程】</p><p>1&nbsp;) 报销流程：与社保基本医疗保险合署办公，实现一站式结算。</p><p>2&nbsp;) 信息变更流程：与社保基本医疗保险信息变更办理流程保持一致。</p><p>【公共服务内容及其他】</p><p>1&nbsp;) 该产品提供电子保单，可在参保后下载“平安好福利”APP或登陆&nbsp;&nbsp;<a id='pinganUrl' class='enhance' href='javascript:;' url='http://home.pingan.com.cn/'>home.pingan.com</a>&nbsp;&nbsp;好福利网站查看并下载。</p><p>2&nbsp;) 承办单位：平安养老保险股份有限公司深圳分公司。联系地址：广东省深圳市福田区莲花路北公交大厦1栋16、19楼。</p>"},this.dataModel.insurant={},this.dataModel.guardian={};var e={insurerName:"",insurerSex:"",insurerIdType:"",insurerIdCard:"",insurerBirthday:"",insureRemarkFieldValue:"",mobile:""};if(!isApp)var e={insurerName:"",insurerSex:"",insurerIdType:"",insurerIdCard:"",insurerBirthday:"",insureRemarkFieldValue:"",mobile:""};var t={insurerName:"",insurerSex:"",insurerIdType:"",insurerIdCard:"",insurerBirthday:"",insureRemarkFieldValue:"",mobile:""};r(this.dataModel.insurant,e),r(this.dataModel.guardian,t)}var r=e("lodash/object/assign"),i=e("lodash/collection/foreach"),s=e("../../common/ajax/insurantAjax"),o={addInsurant:"/m/do/insurant/add",addGuardian:"/m/do/insurer/add",createOrder:"/m/do/createOrder"};u.prototype.simulateLogin=function(e){this.ajax({url:"/m/simulateLogin.dox",data:{userId:"US00000000000606"}},function(){e()},function(e){console.log(e)}),this.ajax({url:"/m/app/testV003Sync",data:{userName:"陈少玲",idno:"440527196407203747",computerNo:"9000459",id:(new Date).getTime(),undwrtStatus:"N",undwrtDate:"2016-05-10 14:00:03"}},function(){e()},function(e){console.log(e)}),this.ajax({url:"/m/app/testV003Sync",data:{userName:"张三丰",idno:"440527196407203747",computerNo:"9000451",id:(new Date).getTime(),undwrtStatus:"N",undwrtDate:"2016-05-10 14:00:03"}},function(){e()},function(e){console.log(e)})},u.prototype.createOrder=function(e,t,n){var r=this;s(this.ajax,{url:o.createOrder,data:e},function(e){t(e)},function(e){n(e)})},u.prototype.addInsurant=function(e,t,n){var r=this;data.insurantManagerForms&&(data.insurantManagerForms=data.insurantManagerForms.replace(/•/g,"·"),data.insurantManagerForms=data.insurantManagerForms.replace(/●/g,"·")),s(this.ajax,{url:o.addInsurant,data:e},function(e){t(e)},function(e){n(e)})},u.prototype.addGuardian=function(e,t,n){var r=this;data.insurerName&&(data.insurerName=data.insurerName.replace(/•/g,"·"),data.insurerName=data.insurerName.replace(/●/g,"·")),s(this.ajax,{url:o.addGuardian,data:e},function(e){t(e)},function(e){n(e)})},t.exports=new u},{"../../common/ajax/insurantAjax":72,"lodash/collection/foreach":9,"lodash/object/assign":62}],90:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.guardian",function(e){var t=this,n=(t.$helpers,t.$escape),r=e.insurerName,i=e.insurerIdType,s=e.insurerIdCard,o=e.insurerSex,u=e.insurerBirthday,a=e.isApp,f=e.mobile,l="";return l+='<div class="gum-view"> <div class="inner"> <div class="warn-tip">由于被保险人未成年,请填写监护人信息</div> <ul> <li> <label>姓名</label> <div><input type="text" id="insurerName" data-type="1" value="',l+=n(r),l+='" placeholder="请输入" /></div> </li> <li> <label>证件类型</label> <div class="sel"> <select id="insurerIdType" dir="rtl" class="table-view-select placeholder" data-type="3"> <!-- <option value="" ',l+=n(""==i?"selected":""),l+=' >请选择</option> --> <option value="1" ',l+=n("1"==i?"selected":""),l+=' >身份证</option> <option value="2" ',l+=n("2"==i?"selected":""),l+=' >护照</option> <option value="3" ',l+=n("3"==i?"selected":""),l+=' >军人证</option> <option value="9" ',l+=n("9"==i?"selected":""),l+=' >其他</option> </select> </div> </li> <li> <label>证件号码</label> <div><input type="text" id="insurerIdCard" data-type="2" value="',l+=n(s),l+='" placeholder="请输入" /></div> </li> <li id="genderLi" class="hide"> <label>性别</label> <div class="sel"> <select id="insurerSex" dir="rtl" class="table-view-select placeholder" data-type="11"> <option value="" ',l+=n(""==o?"selected":""),l+=' >请选择</option> <option value="M" ',l+=n("M"==o?"selected":""),l+=' >男</option> <option value="F" ',l+=n("F"==o?"selected":""),l+=' >女</option> </select> </div> </li> <li id="birthdayLi" class="hide"> <label id="lab-date">出生日期</label> <div class="sel"> ',""==u&&a?l+=' <span id="insurerBirthday" class="placeholder">请选择</span> ':""!=u&&a?(l+=' <span id="insurerBirthday" style="color: #333">',l+=n(u),l+="</span> "):0==a&&(l+=' <input id="insurerBirthday" style="min-height: 23px;min-width: 100px" class="input_after fr-input-date" type="date" value="',l+=n(u),l+='" data-type="4" placeholder="请输入"/> '),l+=' </div> </li> <li> <label>手机号</label> <div><input type="tel" id="mobile" value="',l+=n(f),l+='" data-notnull=false data-type="5" placeholder="请输入" /></div> </li> </ul> <footer class=""> <ul> <li class="footer-li"><button class="default" id="btName">立即支付</button></li> </ul> </footer> </div> </div>',new String(l)})},{template:121}],91:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.insurant",function(e){var t=this,n=(t.$helpers,e.isApp),r=t.$escape,i=e.insurerName,s=e.insurerIdType,o=e.insurerIdCard,u=e.insurerSex,a=e.insurerBirthday,f=e.insureRemarkFieldValue,l=e.mobile,c="";return c+='<div class="gum-view"> <div class="inner"> ',n&&(c+=' <ul> <li id="contactLi"> <label>常用联系人</label> <div class="sel placeholder"> <span class="placeholder">无</span> </div> </li> </ul> '),c+=' <ul> <li> <label>姓名</label> <div><input type="text" id="insurerName" data-type="1" value="',c+=r(i),c+='" placeholder="请输入" /></div> </li> <li> <label>证件类型</label> <div class="sel"> <select id="insurerIdType" dir="rtl" class="table-view-select placeholder" data-type="3"> <!-- <option value="" ',c+=r(""==s?"selected":""),c+=' >请选择</option> --> <option value="1" ',c+=r("1"==s?"selected":""),c+=' >身份证</option> <option value="2" ',c+=r("2"==s?"selected":""),c+=' >护照</option> <option value="3" ',c+=r("3"==s?"selected":""),c+=' >军人证</option> <option value="9" ',c+=r("9"==s?"selected":""),c+=' >其他</option> </select> </div> </li> <li> <label>证件号码</label> <div><input type="text" id="insurerIdCard" data-type="2" value="',c+=r(o),c+='" placeholder="请输入" /></div> </li> <li id="genderLi" class="hide"> <label>性别</label> <div class="sel"> <select id="insurerSex" dir="rtl" class="table-view-select placeholder" data-type="11"> <option value="" ',c+=r(""==u?"selected":""),c+=' >请选择</option> <option value="M" ',c+=r("M"==u?"selected":""),c+=' >男</option> <option value="F" ',c+=r("F"==u?"selected":""),c+=' >女</option> </select> </div> </li> <li id="birthdayLi" class="hide"> <label id="lab-date">出生日期</label> <div class="sel"> ',""==a&&n||"请选择"==a&&n?c+=' <span id="insurerBirthday" class="placeholder">请选择</span> ':""!=a&&n?(c+=' <span id="insurerBirthday" style="color: #333">',c+=r(a),c+="</span> "):0==n&&(c+=' <input id="insurerBirthday" style="min-height: 23px;min-width: 100px" class="input_after fr-input-date" type="date" value="',c+=r(a),c+='" data-type="4" placeholder="请输入"/> '),c+=' </div> </li> <li> <label>电脑号</label> <span class="remark-tips">(金融社保卡正面底端倒数第二组数字)</span> <div><input id="insureRemarkFieldValue" value="',c+=r(f),c+='" data-notnull=false placeholder="选填" /></div> </li> <li> <label>手机号</label> <div><input type="tel" id="mobile" value="',c+=r(l),c+='" data-notnull=false data-type="5" placeholder="请输入" /></div> </li> </ul> <footer class=""> <ul> <li class="footer-li"><button class="default" id="btName">下一步</button></li> </ul> </footer> </div> </div>',new String(c)})},{template:121}],92:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.notice",function(e){var t=this,n=(t.$helpers,t.$string),r=e.notice,i="";return i+=' <style type="text/css"> @media only screen and (min-width:360px){ .lists{ font-size: 18px !important; } } @media only screen and (min-width:375px){ .lists{ font-size: 19px !important; } } @media only screen and (min-width:412px){ .lists{ font-size: 21px !important; } } .lists{ margin: 1em; padding: 0 0 0.5em 0; } .lists p{ line-height: 2em; color: #777; font-size: 0.736842em; padding:0.5em 0 0 0; margin:0; } .lists p:nth-of-type(1){ padding:0; } .enhance{ color: #ee5c3f; } a{ text-decoration: none; } </style> <div class="lists"> ',i+=n(r),i+=" </div>",new String(i)})},{template:121}],93:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.product",' <div class="pd10 delTop"> <ul class="layout xbox mt10 ps1"> <li class="toggle-open"> <span><b class="corange">保费</b></span> <span class="tar corange" id="priceArea"> <img class="vam loading hide" src="assets/images/loading.gif" width="25" height="25"> <em class="pp fz18 pr10">¥<b>20</b></em> </span> </li> </ul> <ul class="layout xbox mt10 toggle-cxt ps2"> <li> <span class="w_120">生效时间</span><span class="pl10"> <input id="effetdate" type="text" style="border: 0; margin-left: 10px;margin-bottom: 0" value="2016-07-01" readonly=""> </span> <span class="tar w_10"><b class="r-arrow"></b></span> </li> <li class="tar fz12"> <span></span> <span class="tar">零时起 至<em class="corange" id="enddate">2017-06-30</em>二十四时止</span> <input id="matuDate" type="hidden" value="2016-12-27"> </li> </ul>  <div id="noticeAgree"></div>   <div class="tab mt10">  <ul class="tab-bar"> <li class="tab-bar-group"> <span class="tab-bar-item $$0 hover" key="L">保障内容详情</span> </li> </ul> <ul class="tab-group show"> <li class="tab-item line"> <span class="lh38 fl">待遇一</span> <span class="tar lh38 fr corange"><b class="arrow"></b></span> <div class="clear"></div> <div class="hcxt"> 在同一社会医疗保险年度内，参保人住院时发生的医疗费用，按《深圳市社会医疗保险办法》规定属于社会医疗保险目录范围内、且应由其本人自付的部分累计超过1万元的，超出部分由承办机构支付70%。其中“个人自付的部分“是指参保人住院所发生基本医疗费用和地方补充医疗费用未超过起付线的部分以及《深圳市社会医疗保险办法》第五十六、五十七、六十条规定的参保人住院费用的个人自付部分，但不包括参保人住院费用按《深圳市社会医疗保险办法》第六十六、六十七、一百零四条规定而相应增加的个人自付部分。 </div> </li> <li class="tab-item line"> <span class="lh38 fl">待遇二</span> <span class="tar lh38 fr corange"><b class="arrow"></b></span> <div class="clear"></div> <div class="hcxt"> 在同一社会医疗保险年度内，参保人患重特大疾病使用《深圳市重特大疾病补充医疗保险药品目录》（以下简称《药品目录》）（详见深人社规（2015）23号）内药品的费用，由承办机构支付70%，支付金额最高不超过15 万元。 </div> </li> </ul> </div> <div class="blackblub_wrap hide"> <p class="blackblub wordbreak tac"> <span class="cx"> </span> </p> </div> </div>')},{template:121}],94:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.products",'<article class="im-item im-exclusive"> <ul> <li> <div class="im-img"> <img src="assets/images/idefault_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">平安是福</div> <div>适用人群：18-65周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 196.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/idefault_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">平安尊享</div> <div>适用人群：18-65周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 196.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/ishaoer_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">少儿综合保险</div> <div>适用人群：30天-18周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 153.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/idefault_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">平安宝贝</div> <div>适用人群：30天-18周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 153.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/ishaoerzhongji_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">少儿重大疾病保险</div> <div>适用人群：30天--18周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 153.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/ilvxing_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">旅行健康保险</div> <div>适用人群：0-80周岁</div> <div>保险期间：1-30天</div> </div> <div class="im-text im-link"> 16.00<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/ijiaotong_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">交通综合意外保险</div> <div>适用人群：0-80周岁</div> <div>保险期间：1-12个月</div> </div> <div class="im-text im-link"> 8.69<span>元起</span> </div> </li> <li> <div class="im-img"> <img src="assets/images/ijiacheng_big.jpg" /> </div> <div class="im-mask"></div> <div class="im-text col-xs-8"> <div class="im-title">驾乘综合保险</div> <div>适用人群：0天-65周岁</div> <div>保险期间：1年</div> </div> <div class="im-text im-link"> 185.00<span>元起</span> </div> </li> </ul> <div class="clear"></div> </article>')},{template:121}],95:[function(e,t,n){var r=e("template");t.exports=r("insurance/szinsurance_c2/views/tpl.success",'<div class="success result-view"> <div class="inner"> <header class="iconfont icon-chenggong"></header> <h1>您的订单支付成功!</h1> <h2>电子保单号 : PC1234567887654321</h2> <ul> <li><button id="complete-btn">再次购买</button></li> <li><button id="order-btn">保单查询</button></li> </ul> <div class="ad"> <img src="assets/images/sz-ad.jpg"> </div> <div class="ad-brief">查看更多产品</div> </div> </div> ')},{template:121}],96:[function(e,t,n){function s(){}var r=e("../toast/toast"),i=new r;s.prototype={index:0,startMask:function(e){s.prototype.index===0&&(i.showMasking(e),i.showLoadingToast("正在处理，请稍候...")),s.prototype.index++},endMask:function(){s.prototype.index<=1&&(i.hideMasking(),i.hideLoadingToast(),s.prototype.index=1),s.prototype.index--}},t.exports=s},{"../toast/toast":103}],97:[function(e,t,n){function r(){this._urls={insuredPolicyListQuery:"/m/insuredPolicyListQuery.doh",searchCommonConfigByProductId:"/m/present/insurance/searchCommonConfigByProductId.dox",getUser:"/m/do/insurer/getUserForInsurer",noSaling:"/m/noSaling.dox",underWriting:"/m/do/underWriting/check",quotePI000048:"/m/do/quote/PI000048",createOrderPI000048:"/m/do/createOrder/PI000048",insurantAdd:"/m/do/insurant/add",holderAdd:"/m/do/insurer/add",getContacts:"/m/do/insurant/searchInsurants",weChatPayUnifiedOrder:"/m/weChatPayUnifiedOrder.dox",saveInvoiceInfo:"/m/do/saveInvoiceInfo",querySubBankList:"/m/querySubBankList.dox",saveRenewalInsurance:"/m/saveRenewalInsurance.dox",weixinPay:"/m/weChatPayUnifiedOrder.dox",getSharePattern:"/m/getSharePattern.dox",checkGCodeAction:"/m/checkGCodeAction.dox",saveShareNote:"/m/saveShareNote.dox",queryShareNote:"/m/queryShareNote.dox",saveHealthNotice:"/m/app/saveHealthNotice",getOrderDetail:"/m/do/getOrderDetail",simulateLogin:"/m/simulateLogin.dox",findExpertProduct:"/m/do/findExpertProduct.do",queryInsurPublicProList:"/m/do/insurer/queryInsurPublicProList",getSolvencyInfo:"/m/solvency/querySolvencyInfo.do"}}r.prototype.getUrl=function(e){var t;e.substr(0,4)=="http"||e.substr(0,3)=="/m/"?t=e:e.indexOf("pawf-op/")>-1?t=e:t=this._urls[e];if(!t){var n=new Error("NoRequestUrlWasSetted");throw n.name="NoRequestUrl",n}return t},t.exports=r},{}],98:[function(e,t,n){function a(){}function f(e){return document.querySelector(e)}function l(e,t){var n=0,r=0,i=0,s=0,o=function(e){i=0,s=0,n=e.touches[0].pageX,r=e.touches[0].pageY},u=function(e){i=e.targetTouches[0].pageX-n,s=e.targetTouches[0].pageY-r,e.preventDefault()},a=function(n){Math.abs(i)<30&&Math.abs(s)<30&&!e.getAttribute("disabled")&&t(),n.preventDefault()};e.addEventListener("touchstart",o),e.addEventListener("touchmove",u),e.addEventListener("touchend",a)}var r=e("./template/alert.tpl"),i=e("./template/tpl.alert.ios"),s=e("./template/tpl.alert.prompt"),o=e("./template/tpl.alert.prompt.textarear"),u=e("lodash/collection/map");a.prototype={showAlerts:function(e,t,n,r){this.showSingleAlerts(e,t,n,null,r)},hideAlerts:function(){var e=document.getElementById("gum-alert-ios");e&&document.body.removeChild(e)},showHtml:function(e,t){var n="gum-alert-ios";if(document.getElementById(n))return;t=t||{};var i=r(t);document.body.insertAdjacentHTML("beforeend",i),f("#alert-message").innerHTML=e;var s;!t.title&&(s=f("#divAlert>div.alert-title"))&&(s.className="");var o=document.getElementById(n);o.classList.add("open");var u=f("#btnCancel"),a=f("#btnOK");t.rtext&&(btOk.innerHTML=t.rtext),t.position&&(a.style.position=t.position),l(a,function(e){t.fnOK&&t.fnOK(e),document.body.removeChild(o)}),u&&l(u,function(e){t.fnCancel&&t.fnCancel(e),document.body.removeChild(o)})},showSingleAlerts:function(e,t,n,r,i){this.showHtml(t,{title:e,fnOK:n,fnCancel:i});if(r){var s=f("#btnCancel"),o=f("#btnOK");u(r,function(e,t){e!==""&&(s&&(s.style.key=e,t=="display"&&(s.parentNode.style.display=e)),t=="rbackgroundColor"?o.style.backgroundColor=e:t=="rborder"?o.style.border=e:t=="rtext"&&(o.innerText=e))})}},alert:function(e,t,n,r,i,s){function o(){var e=document.getElementById("gum-alert-ios");e&&e.parentNode.removeChild(e)}s&&window.setTimeout(o,s);var u={fnOK:t,title:n,hideCancel:1};i&&i.position&&(u.position=i.position),this.showHtml(e,u)},confirm:function(e,t,n,r){this.showHtml(e,{fnOK:t,fnCancel:n,title:r||"提示"})},showIOSAlert:function(e,t,n,r,s){var o="gum-alert-ios";if(document.getElementById(o)!==null)return;var u=document.createElement("div");u.setAttribute("id",o),u.className="gum-alert",u.innerHTML=i({content:e,positiveText:t,negativeText:r}).replace("\r\n","<br/>");var a=u.getElementsByClassName("positive-btn");a.length>0&&l(a[0],function(){n()}),a=u.getElementsByClassName("negative-btn"),a.length>0&&l(a[0],function(){s()});var c=f("#wrapper");c?c.appendChild(u):document.body.appendChild(u),u.classList.add("open")},closeIOSAlert:function(){var e=f("#gum-alert-ios"),t=f("#wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))},showPrompt:function(e,t,n,r,i,o,u,a){var c="gum-alert-prompt";if(document.getElementById(c)!==null)return;var h=document.createElement("div");h.setAttribute("id",c),h.className="gum-alert",h.innerHTML=s({title:e,tip:t,input:"gum-alert-prompt-input",positiveText:r||"确定",negativeText:o||"取消",text:a});var p,d,v=h.getElementsByClassName("positive-btn");v.length>0&&(p=v[0]),v=h.getElementsByClassName("negative-btn"),v.length>0&&(d=v[0]),p&&l(p,function(){var e=f("#gum-alert-prompt-input").value;i(e)}),d&&l(d,function(){u()});if(n){p.setAttribute("disabled","disabled");var m=h.getElementsByTagName("input");m.length>0&&m[0].addEventListener("input",function(e){e.target.value===""?p.setAttribute("disabled","disabled"):p.removeAttribute("disabled")})}var g=f("#wrapper");g?g.appendChild(h):document.body.appendChild(h),h.classList.add("open")},showPromptTextarea:function(e,t,n,r,i,s,u,a){var f="gum-alert-prompt-textarea";if(document.getElementById(f)!==null)return;var c=document.createElement("div");c.setAttribute("id",f),c.className="gum-alert",s||(s=""),c.innerHTML=o({title:e,positiveText:t,negativeText:r,content:s});var h,p,d=c.getElementsByClassName("positive-btn");d.length>0&&(h=d[0]),d=c.getElementsByClassName("negative-btn"),d.length>0&&(p=d[0]),h&&l(h,function(){var e=c.getElementsByClassName("textareaClass")[0].value;n(e)}),p&&l(p,function(){i(f)});if(u){h.setAttribute("disabled","disabled");var v=c.getElementsByTagName("textarea");v.length>0&&v[0].addEventListener("input",function(e){e.target.value.trim()===""?h.setAttribute("disabled","disabled"):h.removeAttribute("disabled")})}var m=document.getElementById("wrapper");m?m.appendChild(c):document.body.appendChild(c),c.classList.add("open");var g=document.getElementById("showPromptTextarea");a&&g&&(g.addEventListener("focus",function(){setTimeout(function(){window.scrollY<10&&document.getElementsByClassName("gum-alert-prompt")[0].classList.add("keyboard")},100)}),g.addEventListener("blur",function(){document.getElementsByClassName("gum-alert-prompt")[0].classList.remove("keyboard")}))},closePrompt:function(){var e=f("#gum-alert-prompt"),t=f("#wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))},closePromptTextarea:function(){var e=document.getElementById("gum-alert-prompt-textarea"),t=document.getElementById("wrapper");e&&(e.classList.remove("open"),t?t.removeChild(e):document.body.removeChild(e))}},t.exports=a},{"./template/alert.tpl":99,"./template/tpl.alert.ios":100,"./template/tpl.alert.prompt":101,"./template/tpl.alert.prompt.textarear":102,"lodash/collection/map":10}],99:[function(e,t,n){var r=e("template");t.exports=r("alert.tpl",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.body,s=e.hideCancel,o=e.ltext,u=e.rtext,a="";return a+='<div id="gum-alert-ios" class="open gum-alert"> <div id="gum-alert-container" class="gum-alert-container"> <div class="',a+=n(r?"gum-alert-title img-border-btm":""),a+='"> ',a+=n(r),a+=' </div> <div class="gum-alert-message" id="alert-message">',a+=n(i),a+='</div> <div class="gum-alert-footer"> ',s||(a+=' <button id="btnCancel" class="gum-btn-negative cancel" ontouchstart="">',a+=n(o||"取消"),a+="</button> "),a+=' <button id="btnOK" class="gum-btn-positive default" ontouchstart="">',a+=n(u||"确定"),a+="</button> </div> </div> </div> ",new String(a)})},{template:121}],100:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.ios",function(e){var t=this,n=(t.$helpers,t.$string),r=e.content,i=e.negativeText,s=e.positiveText,o="";return o+='<div class="gum-alert-ios"> <div class="gum-alert-ios-content img-border-btm">',o+=n(r),o+='</div> <ul> <li class="img-border-vertical"><button class="negative-btn" ontouchstart="">',o+=n(i),o+='</button></li> <li><button class="positive-btn" ontouchstart="">',o+=n(s),o+="</button></li> </ul> </div>",new String(o)})},{template:121}],101:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.prompt",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.text,s=e.input,o=e.tip,u=e.negativeText,a=e.positiveText,f="";return f+='<div class="gum-alert-prompt"> <h1>',f+=n(r),f+='</h1> <div class="prompt-content"> <p>',f+=n(i),f+='</p> <input id="',f+=n(s),f+='" type="text" placeholder="',f+=n(o),f+='" /> </div> <ul> <li> <button class="negative-btn cancel"> ',f+=n(u),f+=' </button> </li> <li> <button class="positive-btn"> ',f+=n(a),f+=" </button> </li> </ul> </div> ",new String(f)})},{template:121}],102:[function(e,t,n){var r=e("template");t.exports=r("tpl.alert.prompt.textarear",function(e){var t=this,n=(t.$helpers,t.$string),r=e.title,i=e.content,s=e.negativeText,o=e.positiveText,u="";return u+='<style type="text/css"> .gum .textareaClass { width: 16.6em; text-align: left; padding: 0.3em } @media only screen and (min-width: 360px) { .gum .textareaClass { width: 14.6em; font-size: 18px; } } @media only screen and (min-width: 375px) { .gum .textareaClass { width: 14.6em; font-size: 19px; } } @media only screen and (min-width: 412px) { .gum .textareaClass { width: 14.6em; font-size: 21px; } } .promtTitleDiv{ font-size: .894739em; font-weight: normal; color: #999; margin: 0; padding: 0; height: 1.882em; line-height: 1.882em; margin: 0 .882em; margin-top: .529em; text-align: center } .promtInputDiv{ text-align: center } .gum-alert{ display: block; } </style> <div class="gum-alert-prompt"> <div class="promtTitleDiv">',u+=n(r),u+='</div> <div class="promtInputDiv"> <textarea class="textareaClass" >',u+=n(i),u+='</textarea> </div> <ul> <li><button class="negative-btn cancel" ontouchstart="">',u+=n(s),u+='</button></li> <li><button class="positive-btn" ontouchstart="">',u+=n(o),u+="</button></li> </ul> </div> ",new String(u)})},{template:121}],103:[function(e,t,n){function r(){}r.prototype={showToast:function(e,t,n){if(document.querySelector("body>div.toast-container"))return;t=t||2e3;var r=document.createElement("div");n&&(r.id=n),r.classList.add("toast-container"),r.innerHTML='<div class="toast-message">'+e+"</div>",document.body.appendChild(r),t!=-1&&(this.timeId=setTimeout(this.hideToast.bind(this),t))},showLoadingToast:function(e,t){t===undefined&&(t=-1),e="<span class='spinner-white'></span>&nbsp;&nbsp;"+e,this.showToast(e,t,"loading")},hideToast:function(){var e=document.querySelector("body>div.toast-container");e&&document.body.removeChild(e),clearTimeout(this.timeId)},hideLoadingToast:function(){this.hideToast()},showMasking:function(e,t){t=t||"divMasking";if(document.getElementById(t))return;e=e||3e3;var n=document.createElement("div");n.id=t,n.classList.add("toast-masking"),document.body.appendChild(n),e!=-1&&(this.maskTimeId=setTimeout(this.hideMasking.bind(this),e))},showMaskingManually:function(e){this.showMasking(-1,e)},hideMasking:function(e){e=e||"divMasking";var t=document.getElementById(e);t&&document.body.removeChild(t),clearTimeout(this.maskTimeId)}},t.exports=r},{}],104:[function(e,t,n){var r=window._pingan_$;r||(r=window._pingan_$=function(){function s(e){function t(){document.removeEventListener("DOMContentLoaded",t),e()}/complete|loaded|interactive/.test(document.readyState)?e():document.addEventListener("DOMContentLoaded",t,!1)}function o(t,n){function s(e){if(e.getAttribute){var t=e.getAttribute("__qkey");t||e.setAttribute("__qkey",t=Math.random().toString(32))}else{var t=e.__qkey;t||(e.__qkey=t=Math.random())}return t}var r=s(t),i=e[r]||(e[r]={});return i[n]||(i[n]=[])}function u(e,t){this.es=[],this.length=0;var n=typeof e=="string"?e.substr(0,1)=="<"?l(e):f(e,t):e?[e]:[];b(this,n)}function a(e){var t=i();return b(t,e),t}function f(e,t){return t=t||document,t.querySelectorAll(e)}function l(e){var t=document.createElement("div");t.innerHTML=e;var n=y(t.children);return t.innerHTML="",n}function c(e,t){var n=e&&(e.webkitMatchesSelector||e.matchesSelector||e.matches);return n?n.call(e,t):i(t).es.indexOf(e)>-1}function h(e,t,n,r,i,s){if(s?s():t.length<=n){var o=e[0]&&r(e[0]);return o===undefined||o===null?"":o}if(i)return e.es.forEach(function(e){i(e,t[n])}),e}function p(e,t){try{e.es.forEach(t)}catch(n){}return e}function d(e,t,n){return e.es.forEach(function(e){try{i(t).es.forEach(function(t){n.call(e,e,t)})}catch(r){}}),e}function v(e,t){try{var n=[];e.es.forEach(function(e){var r=t(e);r&&r.length!==undefined&&!r.tagName?(r=r instanceof Array?r:y(r),n=n.concat(r)):r&&n.indexOf(r)==-1&&n.push(r)})}catch(r){}return a(n)}function m(e,t){try{do e=t?e.nextSibling:e.previousSibling;while(e&&e.nodeType!=1)}catch(e){}return e}function g(e,t){var n=t?"Height":"Width";if(e===window){var r=window;return{height:r["inner"+n],width:r["inner"+n],left:r.pageXOffset,top:r.pageYOffset}}return e&&e.getBoundingClientRect()}function y(e){return[].slice.call(e,0)}function b(e,t){var n;for(n=0;n<e.length;n++)delete e[n];t instanceof Array||(t=y(t));for(n=0;n<t.length;n++)e[n]=t[n];e.es=t,e.length=t.length}var e={},t="mytap",n=300,r=15,i=function(e,t){if(typeof e!="function")return e instanceof u?e:new u(e,t);s(e)};return i.each=function(e,t){if(e instanceof Array)e.forEach(t);else for(var n in e)t(n,e[n])},i.clear=function(){i.each(e,function(t,n){i.each(n,function(e,t){t.forEach(function(e,n){e.forEver||t.splice(n,1)}),t.length==0&&delete n[e]}),Object.keys(n).length==0&&delete e[t]})},i.event={on:function(e,n,r,s,u,a){u&&(u=function(){i.event.off(e,n,r)}),p(e,function(e){n.split(",").forEach(function(n){n=="tap"&&(n=t);var f={fn:r,forEver:!!s,_fn:u},l=o(e,n);l.length==0&&e.addEventListener&&e.addEventListener(n,i.event.dispatch,!1),n==t&&e.setAttribute("data-tappable",a||""),n==t&&e.setAttribute("ontouchstart",""),l.push(f)})})},off:function(e,n,r){p(e,function(e){n.split(",").forEach(function(n){n=="tap"&&(n=t);var s=o(e,n);if(r===undefined)s.splice(0,s.length);else for(var u=0;u<s.length;u++)if(s[u].fn==r||r.globalId&&r.globalId==s[u].fn.globalId)s.splice(u,1),u--;s.length==0&&e.removeEventListener&&e.removeEventListener(n,i.event.dispatch)})})},dispatch:function(e){var t=o(this,e.type).slice(0),n=this,r=[e];e.args&&r.push.apply(r,e.args),t.forEach(function(e){e.fn&&e.fn.apply(n,r),e._fn&&e._fn()})},create:function(e,n){e=="tap"&&(e=t);var r="Events",i=document.createEvent(r);return i.initEvent(e,!n,!0),i}},i.netWork=function(){return{netWorkOn:function(){return window.navigator.onLine}}}(),u.prototype=i.fn={on:function(e,t,n,r,s){return i.event.on(this,e,t,n,r,s),this},off:function(e,t){return i.event.off(this,e,t),this},one:function(e,t,n){return this.on(e,t,n,1)},offOn:function(e,t,n,r){return this.off(e,t).on(e,t,n,r)},find:function(e){return v(this,function(t){return f(e,t)})},eq:function(e){return i(this[e])},slice:function(e,t){return a(this.es.slice(e,t))},first:function(){return this.eq(0)},last:function(){return this.eq(this.length-1)},parent:function(){return v(this,function(e){return e.parentNode})},closest:function(e){return v(this,function(t){do t=t.parentNode;while(t&&!c(t,e));return t})},next:function(){return v(this,function(e){return m(e,1)})},prev:function(){return v(this,function(e){return m(e)})},children:function(){return v(this,function(e){return e.children})},remove:function(){return p(this,function(e){e.parentNode.removeChild(e)})},addClass:function(e){return p(this,function(t){e&&e.split(" ").forEach(function(e){t.classList.add(e)})})},removeClass:function(e){var t=!arguments.length;return p(this,function(n){t?n.className="":n.classList.remove(e)})},toggleClass:function(e,t){var n=arguments.length==1;return p(this,function(r){n&&(t=!r.classList.contains(e)),r.classList[t?"add":"remove"](e)})},hasClass:function(e){var t=this.es[0];return t&&t.classList.contains(e)},css:function(e,t){var n=typeof e=="string",r=arguments;return h(this,r,1,function(t){return t.style[e]},function(r){if(n)r.style[e]=t;else for(var i in e)r.style[i]=e[i]},function(){return n&&r.length<2})},hide:function(){return p(this,function(e){e.style.display="none"})},show:function(){return p(this,function(e){e.style.display="initial"})},text:function(e){return h(this,arguments,0,function(e){return e.tagName=="SELECT"?(e=e.options[e.selectedIndex])&&e.text:e.textContent},function(t){t.textContent=e})},html:function(e){return h(this,arguments,0,function(e){return e.innerHTML},function(t){t.innerHTML=e||""})},val:function(e){return h(this,arguments,0,function(e){return e.value},function(t){t.value=e===undefined?"":e})},is:function(e){return c(this.es[0],e)},rect:function(){return g(this.es[0])},width:function(e){return h(this,arguments,0,function(e){return g(e).width},function(t){/^[\d\.]+$/.test(e)&&(e+="px"),t.style.width=e})},height:function(e){return h(this,arguments,0,function(e){return g(e,1).height},function(t){/^[\d\.]+$/.test(e)&&(e+="px"),t.style.height=e})},attr:function(e,t){function n(e,t){while(e!=null){if(e.hasOwnProperty(t))return!0;e=e.__proto__}return!1}return h(this,arguments,1,function(t){return n(t,e)?t[e]:t.getAttribute(e)},function(r){n(r,e)?r[e]=t:r.setAttribute(e,t)})},append:function(e){return d(this,e,function(e,t){e.appendChild(t)})},appendTo:function(e){return d(this,e,function(e,t){t.appendChild(e)})},before:function(e){return d(this,e,function(e,t){t.parentNode.insertBefore(e,t)})},trigger:function(e,t){var n=typeof e=="string"?i.event.create(e,t):e;return n.args=[].slice.call(arguments,2),p(this,function(e){e.dispatchEvent?e.dispatchEvent(n):i.event.dispatch.call(e,n)})},triggerHandler:function(e){var t=i.event.create(e);return p(this,function(e){i.event.dispatch.call(e,t)})},each:function(e){this.es.forEach(e)}},["blur","focus","focusin","focusout","load","resize","scroll","unload",t,"touchmove","touchstart","touchend","touchcancel","change","select","submit","keydown","input","keypress","keyup","error"].forEach(function(e){i.fn[e]=function(t,n,r,i){return this.on(e,t,n,r,i)}}),i.fn.tap=i.fn[t],i(function(){function l(e){while(e&&e instanceof HTMLElement&&e.getAttribute("data-tappable")==null)e=e.parentNode;return e instanceof HTMLElement?e:null}function c(e,t){var n=Element.prototype,r=n.matches||n.webkitMatchesSelector||n.mozMatchesSelector||n.msMatchesSelector||function(e){return[].indexOf.call(document.querySelectorAll(e),this)!==-1};while(e&&e instanceof HTMLElement&&!r.call(e,t))e=e.parentNode;return e instanceof HTMLElement?e:null}function h(t,i,s,o,u,a){var f=t.changedTouches[0],l=Date.now()-e,c=f.pageX-i.x,h=f.pageY-i.y,p=Math.abs(c)+Math.abs(h);p<r?l>=n?a.call(this,c,h):o.call(this,c,h):u.call(this,c,h)}function p(e,t,n){var r=document.createEvent("Event");r.initEvent(e,!0,!0),["touches","targetTouches","changedTouches"].forEach(function(e){r[e]=t[e]}),Object.keys(n).forEach(function(e){r[e]=n[e]}),i(t.target).trigger(r),r.defaultPrevented&&t.preventDefault()}var e,s,o,u,a,f;i(document.body).touchstart(function(t){e=Date.now(),u=t.target,s=t.changedTouches[0].pageX,o=t.changedTouches[0].pageY,f=l(t.target);if(f){var r=f.getAttribute("data-tappable");a=r?c(t.target,r):f,a&&a.classList.add("tapping")}setTimeout(function(){a&&a.classList.remove("tapping")},n)},1).touchmove(function(t){u==t.target&&h(t,{x:s,y:o},e,function(){console.log("Touch moving")},function(){console.log("Touch cancelled by overstep (touchmove)"),a&&a.classList.remove("tapping"),u=null},function(){console.log("Touch cancelled by overtime (touchmove)"),a&&a.classList.remove("tapping"),u=null})},1).touchend(function(n){u==n.target&&(a&&a.classList.remove("tapping"),h(n,{x:s,y:o},e,function(){console.log("Fire tap event."),p(t,n,{}),u=null},function(e,t){console.log("Touch cancelled by overstep (touchend)"),p("stroke",n,{deltaX:e,deltaY:t}),u=null},function(e,t){console.log("Touch cancelled by overtime (touchend)"),p("stroke",n,{deltaX:e,deltaY:t}),u=null}))},1)}),i}()),t.exports=r},{}],105:[function(e,t,n){function r(){var e=navigator.userAgent,t=/iPhone|iPad|Mac/i.test(e),n=/Android|Linux/i.test(e),r=0;try{n&&(r=window.healthAppObj.getAppVersionCode()),t&&(r=window.iosBundleVersion)}catch(i){}var s=n&&r>111||t&&r>200;return{ios:t,android:n,appVer:r,pwdKbdEnabled:s}}t.exports=r()},{}],106:[function(e,t,n){(function(){function e(){}e.prototype.on=function(e,t){return this._events||(this._events={}),!this._events[e]&&typeof t=="function"&&(this._events[e]=t),this},e.prototype.fire=function(e){if(!this._events||!this._events[e])return;var t=Array.prototype.slice.call(arguments,1)||[];return this._events[e].apply(this,t),this},e.prototype.off=function(e){return e&&this._events&&this._events[e]&&delete this._events[e],this},t.exports=new e})()},{}],107:[function(e,t,n){function s(){}function o(e){var t=/(([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8]))))|((([0-9]{2})(0[48]|[2468][048]|[13579][26])|((0[48]|[2468][048]|[3579][26])00))-02-29)/;return e.match(t)}var r=e("lodash/Lang/isDate"),i=e("lodash/Lang/isString");s.prototype={check:function(e){var t="",n=e.replace(/(^\s*)|(\s*$)/g,"");if(null==n||""==n)return t="请输入出生日期",t;var r=/\d/g;if(!r.test(n))return t="出生日期只允许包含半角数字字符",t;var i=new Date,s=i.getFullYear(),u=i.getMonth()+1,a=i.getDate(),f=new Date(s,u,a);if(n.indexOf("-")>=0){if(!o(n))return t="出生日期输入不正确，正确格式为YYYY-MM-DD",t;n=n.replace("-","").replace("-","")}var l=n.substr(0,4),c=n.substr(4,2),h=n.substr(6,2),p=new Date(l,c,h);if(l<1900||p>f)t="出生日期只能再当前日期之前";return t},getAgeByBrithday:function(e,t){var n=-1,r=t?new Date(t):new Date,i=r.getFullYear(),s=r.getMonth()+1,o=r.getDate(),e=new Date(e),u=e.getFullYear(),a=e.getMonth()+1,f=e.getDate();return i-u<0?-1:(s-a<0?n=i-u-1:s>a?n=i-u:o-f>=0?n=i-u:n=i-u-1,n*1)},addDate:function(e,t,n,s,o){if(!o&&!s){s=t,o=n;if(i(e)){var n=e;e=Number(n.substr(0,4)),t=Number(n.substr(5,2)),n=Number(n.substr(8,2))}else{if(!r(e))return new Date;var n=e;e=n.getFullYear(),t=n.getMonth()+1,n=n.getDate()}}return s=="d"&&(n=Number(n)+Number(o)),s=="m"&&(t=Number(t)+Number(o)),s=="y"&&(e=Number(e)+Number(o)),new Date(Number(e),Number(t)-1,Number(n))},dateDiff:function(e,t){var n,r,i;return n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate()),i=parseInt(Math.abs(n-r)/1e3/60/60/24),i},dateDiffunAbs:function(e,t){var n,r,i;return n=new Date(e.getFullYear(),e.getMonth(),e.getDate()),r=new Date(t.getFullYear(),t.getMonth(),t.getDate()),i=parseInt((n-r)/1e3/60/60/24),i},parseDate:function(e){if(typeof e=="string"){var t=e.substr(0,4),n=Number(e.substr(5,2))-1,r=e.substr(8,2);return new Date(t,n,r)}return e}},t.exports=s},{"lodash/Lang/isDate":6,"lodash/Lang/isString":7}],108:[function(e,t,n){function r(){}function i(e){var t,n;n=0;for(t=0;t<e.length;t++)e.charCodeAt(t)>255?n+=2:n++;return n}r.prototype={checkPassportNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入护照号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;return r.test(t)?i(t)<3?(n="护照号码的长度须大于等于3个半角英文字符长度",n):i(t)>20?(n="护照号码的长度过长",n):n:(n="护照号码只允许输入汉字、半角英文字母、半角数字",n)},checkOfficerNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入军官证号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g,s=/^[0-9]{6,7}$/g,o=t.indexOf("字第"),u=t.substring(t.indexOf("字第")+2);return r.test(t)?o==-1||!s.test(u)?(n="军官证格式不正确，统一格式为:*字第+6/7位数字",n):i(t)<12||i(t)>17?(n="军官证长度介于12-17位半角英文字符长度之间",n):n:(n="军官证只允许输入汉字、半角英文字母、半角数字",n)},checkHATNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入港澳台胞证",n;var r=/^[A-Z0-9]+$/g;return r.test(t)?t.length<8?(n="港澳台胞证长度大于等于8个字符",n):n:(n="港澳台胞证只允许输入半角英文大写字母、半角数字",n)},checkOtherNo:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n="";if(null==t||""==t)return n="请输入其他类型证件号码",n;var r=/^[a-zA-Z0-9\u4e00-\u9fa5]+$/g;return r.test(t)?i(t)<3?(n="其他类证件号码的长度大于等于3个字符",n):i(t)>20?(n="其他类证件号码的长度超长",n):n:(n="其他类证件号码只允许输入汉字、半角英文字母或者数字",n)}},t.exports=r},{}],109:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="",n=/^([a-zA-Z0-9]+[_|\_\-|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.\-]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;return n.test(e)?t:(t="邮箱格式不正确",t)}},t.exports=r},{}],110:[function(e,t,n){function r(){}r.prototype={check:function(e){e=(""+e).toLocaleUpperCase();var t=new Array("","身份证号码位数不对，请您重新输入","身份证号码出生日期超出范围或含有非法字符，请您重新输入","身份证号不符合规范，请您重新输入","身份证地区非法，请您重新输入"),n={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"},e,r,i,s,o,u,a=new Array;a=e.split("");if(n[parseInt(e.substr(0,2))]==null)return t[4];switch(e.length){case 15:return(parseInt(e.substr(6,2))+1900)%4==0||(parseInt(e.substr(6,2))+1900)%100==0&&(parseInt(e.substr(6,2))+1900)%4==0?u=/^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}$/:u=/^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}$/,u.test(e)?t[0]:t[2];case 18:return parseInt(e.substr(6,4))%4==0||parseInt(e.substr(6,4))%100==0&&parseInt(e.substr(6,4))%4==0?u=/^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9X]$/:u=/^[1-9][0-9]{5}[1-2][0-9]{3}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9X]$/,u.test(e)?(s=(parseInt(a[0])+parseInt(a[10]))*7+(parseInt(a[1])+parseInt(a[11]))*9+(parseInt(a[2])+parseInt(a[12]))*10+(parseInt(a[3])+parseInt(a[13]))*5+(parseInt(a[4])+parseInt(a[14]))*8+(parseInt(a[5])+parseInt(a[15]))*4+(parseInt(a[6])+parseInt(a[16]))*2+parseInt(a[7])*1+parseInt(a[8])*6+parseInt(a[9])*3,r=s%11,o="F",i="10X98765432",o=i.substr(r,1),o==a[17]?t[0]:t[3]):t[2];default:return t[1]}}},t.exports=r},{}],111:[function(e,t,n){function r(){}function i(e){var t,n,r=0,i=0;t=String(e),r=t.length;for(var s=0;s<r;s++)n=t.charAt(s),escape(n).length>4?i+=2:n!="/r"&&i++;return i}r.prototype={checkChineseName:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n=/^[\u4e00-\u9fa5Â]+$/g,r="";return null==t||""==t?(r="请输入姓名",r):t!=e?(r="姓名开始和结束不能有空格",r):n.test(t)?i(t)>50||i(t)<4?(r="姓名只能由2-25位中文汉字，请正确填写",r):t=="不详"||t=="不祥"||t=="未知"||t=="不知道"?(r="姓名不能为不详、不祥、未知或不知道",r):t=="ABCD"||t=="ABCDE"?(r="姓名只能由2-25位中文汉字，请正确填写",r):r:(r="姓名只允许包含中文汉字",r)},check:function(e){var t=e.replace(/(^\s*)|(\s*$)/g,""),n=/^[A-Za-z\u4e00-\u9fa5·•●.]+$/,r=/^[A-Za-z·.]+$/,s="";return null==t||""==t?(s="请输入姓名",s):t!=e?(s="姓名开始和结束不能有空格",s):n.test(t)?i(t)<4?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):i(t)>50&&!r.test(t)?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):i(t)>38&&r.test(t)?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):t=="不详"||t=="不祥"||t=="未知"||t=="不知道"?(s="姓名不能为不详、不祥、未知或不知道",s):t=="ABCD"||t=="ABCDE"?(s="姓名只能由2-25位中文或4-38位英文组成，请正确填写",s):s:(s="姓名只允许包含汉字、半角英文字母、·、•、● 和 . ",s)},get_str_length:function(e){return i(e)}},t.exports=r},{}],112:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="",n=/^\d{6}$/;return n.test(e)||(t="不是正确的邮政编码！"),t}},t.exports=r},{}],113:[function(e,t,n){function r(){}r.prototype={check:function(e){var t="";return null===e||""===e?(t="请填写您的手机号码",t):r.prototype.checkformat(e)},checkformat:function(e){var t="";if(e=="")return t;var n=e.replace(/(^\s*)|(\s*$)/g,""),r=/^(1[345678]\d{9})$/;return r.test(n)?t:(t="手机号码不符合规范",t)}},t.exports=r},{}],114:[function(e,t,n){function s(){}var r=e("lodash/lang/isString"),i=e("lodash/lang/isDate");s.prototype={formatCurrency:function(e){if(e==null||e==undefined)return"";if(e==""||e==0)return"0.00";e=e.toString().replace(/\$|\,/g,""),isNaN(e)&&(e="0");var t=e==(e=Math.abs(e));e=Math.floor(e*100+.50000000001);var n=e%100;e=Math.floor(e/100).toString(),n<10&&(n="0"+n);for(var r=0;r<Math.floor((e.length-(1+r))/3);r++)e=e.substring(0,e.length-(4*r+3))+","+e.substring(e.length-(4*r+3));return(t?"":"-")+e+"."+n},addDate:function(e,t,n,s,o){if(!o&&!s){s=t,o=n;if(r(e)){var n=e;e=Number(n.substr(0,4)),t=Number(n.substr(5,2)),n=Number(n.substr(8,2))}else{if(!i(e))return new Date;var n=e;e=n.getFullYear(),t=n.getMonth()+1,n=n.getDate()}}return s=="d"&&(n=Number(n)+Number(o)),s=="m"&&(t=Number(t)+Number(o)),s=="y"&&(e=Number(e)+Number(o)),new Date(Number(e),Number(t)-1,Number(n))},dateformat:function(e,t){var n={"M+":e.getMonth()+1,"d+":e.getDate(),"h+":e.getHours(),"m+":e.getMinutes(),"s+":e.getSeconds(),"q+":Math.floor((e.getMonth()+3)/3),S:e.getMilliseconds()};/(y+)/.test(t)&&(t=t.replace(RegExp.$1,(e.getFullYear()+"").substr(4-RegExp.$1.length)));for(var r in n)(new RegExp("("+r+")")).test(t)&&(t=t.replace(RegExp.$1,RegExp.$1.length==1?n[r]:("00"+n[r]).substr((""+n[r]).length)));return t},getBirthdayByChinaID:function(e){var t=this;return t.checkChinaID(e)?e.length==15?t.dateObjStandardFmt(e.substring(6,12)):t.dateObjStandardFmt(e.substring(6,14)):""},getSexByChinaID:function(e){var t=this;return t.checkChinaID(e)?e.length==15?t.isLegalString(e.substring(14,15),"13579")?"M":"F":t.isLegalString(e.substring(16,17),"13579")?"M":"F":""},checkChinaID:function(e){return typeof e!="string"?!1:e.length==15?this.isLegalString(e,"0123456789"):e.length==18?this.isLegalString(e.substring(0,17),"0123456789")&&this.isLegalString(e.substring(17,18),"0123456789Xx"):!1},isLegalString:function(e,t){if(e.length==0)return!1;for(var n=0;n<e.length;n++){var r=e.substring(n,n+1);if(t.indexOf(r)!=-1)continue;return!1}return!0},dateObjStandardFmt:function(e){var t,n,r;return e==""?"":e.length==6?(t="19"+e.substring(0,2),n=e.substring(2,4),r=e.substring(4,6),t+"-"+n+"-"+r):(t=e.substring(0,4),n=e.substring(4,6),r=e.substring(6,8),t+"-"+n+"-"+r)},calculate_byte:function(e){var t,n,r=0,i=0;t=new String(e),r=t.length;for(var s=0;s<r;s++)n=t.charAt(s),escape(n).length>4?i+=2:n!="/r"&&i++;return i}},t.exports=s},{"lodash/lang/isDate":56,"lodash/lang/isString":60}],115:[function(e,t,n){function b(){}function w(e){var t="";return e==1?t="请正确填写姓名":e==2?t="请填写证件号码":e==3?t="请选择证件类型":e==4?t="请填写出生日期":e==5?t=msg||"请填写您的手机号码以便接收投保确认短信":e==6?t="请填写电子邮件地址":e==7?t="请填写所在城市地址":e==8?t="请填写邮政编码":e==9?t="请填写邮寄地址":e==10?t="请选择关系":e==11?t="请选择性別":e==12?t="请选择职业类别":e==15?t="请填写联系地址":e==16?t="请填写保单生效日":e==17?t="请填写所在省地址":e==18?t="请填写保障额度":e==19?t="请填写体重":e==20&&(t="请填写身高"),t}var r=e("./validate"),i=e("./check.name"),s=e("./check.identity.card"),o=e("./check.birthday"),u=e("./check.document.number"),a=e("./check.email"),f=e("./check.postalcode"),l=e("./check.telmobile"),c=e("lodash/Lang/isString"),h=new i,p=new s,d=new o,v=new u,m=new a,g=new f,y=new l;b.prototype=new r,b.prototype.checkMenu={checkName:h.check,checkIdentityCard:p.check,checkBirthDay:d.check,checkPassportNo:v.checkPassportNo,checkHATNo:v.checkHATNo,checkOfficerNo:v.checkOfficerNo,checkOtherNo:v.checkOtherNo,checkEmail:m.check,checkPostalCode:g.check,checkTelMobile:y.check},b.prototype.checkByEventName=function(e,t){var n=this.checkMenu[e];return this.check(n,t)},b.prototype.validate=function(e,t,n,r,i,s){c(t)&&(t=t.toUpperCase().trim()),e*=1;var o="",u=undefined;if(i==="true"&&t=="")o=w(e);else if(i==="false"&&t=="")o="";else switch(e){case 1:o=this.checkByEventName("checkName",t);break;case 2:r==1?o=this.checkByEventName("checkIdentityCard",t):r==2?o=this.checkByEventName("checkPassportNo",t):r==3?o=this.checkByEventName("checkOfficerNo",t):r==6?o=this.checkByEventName("checkHATNo",t):r==9&&(o=this.checkByEventName("checkOtherNo",t));break;case 3:break;case 4:o=this.checkByEventName("checkBirthDay",t);break;case 5:o=this.checkByEventName("checkTelMobile",t);break;case 6:o=this.checkByEventName("checkEmail",t);break;case 7:if(t.replace(/(^\s*)|(\s*$)/g,"")==""||t=="000000")o="所在城市不能为空";break;case 8:o=this.checkByEventName("checkPostalCode",t)}return!o&&n&&(o=n.call(this,r,o)||o),o},t.exports=b},{"./check.birthday":107,"./check.document.number":108,"./check.email":109,"./check.identity.card":110,"./check.name":111,"./check.postalcode":112,"./check.telmobile":113,"./validate":116,"lodash/Lang/isString":7}],116:[function(e,t,n){function r(){}r.prototype={check:function(e,t){return e.call(this,t)}},t.exports=r},{}],117:[function(e,t,n){function f(){}var r=e("reqwest"),i=e("q"),s=e("wechat"),o=e("../ajax/urls"),u=e("./wechat.update.title"),a=new(e("../ajax/mask")),l=new o;f.prototype={getParams:function(e){var t=new RegExp("(^|&)"+e+"=([^&]*)(&|$)","i"),n=window.location.search.substr(1).match(t);return n?decodeURI(n[2]):null},getToken:function(){return r({url:"https://eim.pingan.com.cn/egis/getSignature",data:{openid:"123456",weappNo:"PAYLX95511_01"},method:"get",type:"jsonp"})},setConfig:function(e,t){e&&(e=JSON.parse(e),wx.config({debug:!1,appId:"wx1e2d13308e457ed9",timestamp:e.timestamp,nonceStr:e.nonce,signature:e.signature,jsApiList:t,success:function(e){console.log(e)},error:function(e){console.log(e)}}))},share:function(e,t,n,r){wx.onMenuShareTimeline({title:e,link:n,imgUrl:r,success:function(){config.toast("已分享")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}}),wx.onMenuShareAppMessage({title:e,desc:t,link:n,imgUrl:r,success:function(){config.toast("发送成功")},cancel:function(){},fail:function(e){console.log(JSON.stringify(e))}})},isMicroBrower:function(){var e=window.navigator.userAgent.toLowerCase();return e.match(/MicroMessenger/i)!="micromessenger"?!1:!0},weixinPay:function(e){var t=this,n=window.localStorage.getItem("authorize"),r=window.localStorage.getItem("openId");"true"!=n||r==null?this.authorizeWeixn(e):t.createWeixinOrder(e)},authorizeWeixn:function(e){var t="https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx1e2d13308e457ed9&redirect_uri="+encodeURIComponent("http://eim.pingan.com.cn/egis/simpleRedirect?weappNo=PAYLX95511_01&backUrl="+encodeURIComponent(location.protocol+"//"+location.host+"/m/insurance_unlogin/getWeixinOpenId.html"))+"&response_type=code&scope=snsapi_base&state=sig&connect_redirect=1#wechat_redirect";location.replace(t)},createWeixinOrder:function(e){a.startMask();var t=this,n={url:l.getUrl("weixinPay"),method:"post",type:"json",crossOrigin:!0,timeout:6e4,data:{orderName:e.productName,idCsspOrder:e.idCsspOrder,payPremium:e.orderAmount,openId:localStorage.getItem("openId")}};i(r(n)).then(function(n){a.endMask();var r={appId:n.appId,timeStamp:n.timeStamp,nonceStr:n.nonceStr,"package":"prepay_id="+n.weixinPackage,signType:n.signType,paySign:n.paySign,cancel:function(e){config.toast("用户取消支付")},error:function(e){config.toast("支付失败"),console.log(e)},success:function(t){e.success.call({},e.idCsspOrder)}};window.localStorage.removeItem("authorize"),t.getBrandWCPayRequest(r)}).then(function(){a.endMask(),console.log("get weixinPay error")}).fin(function(){a.endMask(),console.log("weixinPay finshed!")})},getBrandWCPayRequest:function(e){var t=this,n=function(e){WeixinJSBridge.invoke("getBrandWCPayRequest",e,function(t){if(t.err_msg=="get_brand_wcpay_request:ok")e.success.call();else{var n="";t.err_msg=="get_brand_wcpay_request:cancel"?(n="支付失败，失败原因：您取消了微信支付",config.toast("用户取消支付")):t.err_msg.indexOf("access_denied")!=-1?n="支付失败，失败原因：请求的支付url不在授权目录下":t.err_msg.indexOf("access_not_allow")!=-1?n="支付失败，失败原因：支付的微信号没有在测试白名单内":(n="支付失败，失败原因 res："+t.err_msg,config.toast("支付失败")),e.error.call({},n)}})};typeof WeixinJSBridge=="undefined"?document.addEventListener("WeixinJSBridgeReady",function(){n(e)},!1):n(e)},updatePageTitleIniOS:u},t.exports=f},{"../ajax/mask":96,"../ajax/urls":97,"./wechat.update.title":119,q:69,reqwest:70,wechat:118}],118:[function(e,t,n){(function(n){var r=e;(function(t,n,r,i,s){!function(e,t){"function"==typeof i&&(i.amd||i.cmd)?i(function(){return t(e)}):t(e,!0)}(this,function(e,t){function n(t,n,r){e.WeixinJSBridge?WeixinJSBridge.invoke(t,i(n),function(e){o(t,e,r)}):f(t,r)}function r(t,n,r){e.WeixinJSBridge?WeixinJSBridge.on(t,function(e){r&&r.trigger&&r.trigger(e),o(t,e,n)}):r?f(t,r):f(t,n)}function i(e){return e=e||{},e.appId=N.appId,e.verifyAppId=N.appId,e.verifySignType="sha1",e.verifyTimestamp=N.timestamp+"",e.verifyNonceStr=N.nonceStr,e.verifySignature=N.signature,e}function s(e){return{timeStamp:e.timestamp+"",nonceStr:e.nonceStr,"package":e.package,paySign:e.paySign,signType:e.signType||"SHA1"}}function o(e,t,n){var r,i,s;switch(delete t.err_code,delete t.err_desc,delete t.err_detail,r=t.errMsg,r||(r=t.err_msg,delete t.err_msg,r=u(e,r,n),t.errMsg=r),n=n||{},n._complete&&(n._complete(t),delete n._complete),r=t.errMsg||"",N.debug&&!n.isInnerInvoke&&alert(JSON.stringify(t)),i=r.indexOf(":"),s=r.substring(i+1)){case"ok":n.success&&n.success(t);break;case"cancel":n.cancel&&n.cancel(t);break;default:n.fail&&n.fail(t)}n.complete&&n.complete(t)}function u(e,t){var n,r,i,s;if(t){switch(n=t.indexOf(":"),e){case d.config:r="config";break;case d.openProductSpecificView:r="openProductSpecificView";break;default:r=t.substring(0,n),r=r.replace(/_/g," "),r=r.replace(/\b\w+\b/g,function(e){return e.substring(0,1).toUpperCase()+e.substring(1)}),r=r.substring(0,1).toLowerCase()+r.substring(1),r=r.replace(/ /g,""),-1!=r.indexOf("Wcpay")&&(r=r.replace("Wcpay","WCPay")),i=v[r],i&&(r=i)}s=t.substring(n+1),"confirm"==s&&(s="ok"),"failed"==s&&(s="fail"),-1!=s.indexOf("failed_")&&(s=s.substring(7)),-1!=s.indexOf("fail_")&&(s=s.substring(5)),s=s.replace(/_/g," "),s=s.toLowerCase(),("access denied"==s||"no permission to execute"==s)&&(s="permission denied"),"config"==r&&"function not exist"==s&&(s="ok"),t=r+":"+s}return t}function a(e){var t,n,r,i;if(e){for(t=0,n=e.length;n>t;++t)r=e[t],i=d[r],i&&(e[t]=i);return e}}function f(e,t){if(!(!N.debug||t&&t.isInnerInvoke)){var n=v[e];n&&(e=n),t&&t._complete&&delete t._complete,console.log('"'+e+'",',t||"")}}function l(){if(!("6.0.2">S||T.systemType<0)){var e=new Image;T.appId=N.appId,T.initTime=x.initEndTime-x.initStartTime,T.preVerifyTime=x.preVerifyEndTime-x.preVerifyStartTime,L.getNetworkType({isInnerInvoke:!0,success:function(t){T.networkType=t.networkType;var n="https://open.weixin.qq.com/sdk/report?v="+T.version+"&o="+T.isPreVerifyOk+"&s="+T.systemType+"&c="+T.clientVersion+"&a="+T.appId+"&n="+T.networkType+"&i="+T.initTime+"&p="+T.preVerifyTime+"&u="+T.url;e.src=n}})}}function c(){return(new Date).getTime()}function h(t){b&&(e.WeixinJSBridge?t():m.addEventListener&&m.addEventListener("WeixinJSBridgeReady",t,!1))}function p(){L.invoke||(L.invoke=function(t,n,r){e.WeixinJSBridge&&WeixinJSBridge.invoke(t,i(n),r)},L.on=function(t,n){e.WeixinJSBridge&&WeixinJSBridge.on(t,n)})}var d,v,m,g,y,b,w,E,S,x,T,N,C,k,L;if(!e.jWeixin)return d={config:"preVerifyJSAPI",onMenuShareTimeline:"menu:share:timeline",onMenuShareAppMessage:"menu:share:appmessage",onMenuShareQQ:"menu:share:qq",onMenuShareWeibo:"menu:share:weiboApp",onMenuShareQZone:"menu:share:QZone",previewImage:"imagePreview",getLocation:"geoLocation",openProductSpecificView:"openProductViewWithPid",addCard:"batchAddCard",openCard:"batchViewCard",chooseWXPay:"getBrandWCPayRequest"},v=function(){var e,t={};for(e in d)t[d[e]]=e;return t}(),m=e.document,g=m.title,y=navigator.userAgent.toLowerCase(),b=-1!=y.indexOf("micromessenger"),w=-1!=y.indexOf("android"),E=-1!=y.indexOf("iphone")||-1!=y.indexOf("ipad"),S=function(){var e=y.match(/micromessenger\/(\d+\.\d+\.\d+)/)||y.match(/micromessenger\/(\d+\.\d+)/);return e?e[1]:""}(),x={initStartTime:c(),initEndTime:0,preVerifyStartTime:0,preVerifyEndTime:0},T={version:1,appId:"",initTime:0,preVerifyTime:0,networkType:"",isPreVerifyOk:1,systemType:E?1:w?2:-1,clientVersion:S,url:encodeURIComponent(location.href)},N={},C={_completes:[]},k={state:0,res:{}},h(function(){x.initEndTime=c()}),L={config:function(e){N=e,f("config",e);var t=N.check===!1?!1:!0;h(function(){var e,r,i;if(t)n(d.config,{verifyJsApiList:a(N.jsApiList)},function(){C._complete=function(e){x.preVerifyEndTime=c(),k.state=1,k.res=e},C.success=function(){T.isPreVerifyOk=0},C.fail=function(e){C._fail?C._fail(e):k.state=-1};var e=C._completes;return e.push(function(){N.debug||l()}),C.complete=function(){for(var t=0,n=e.length;n>t;++t)e[t]();C._completes=[]},C}()),x.preVerifyStartTime=c();else{for(k.state=1,e=C._completes,r=0,i=e.length;i>r;++r)e[r]();C._completes=[]}}),N.beta&&p()},ready:function(e){0!=k.state?e():(C._completes.push(e),!b&&N.debug&&e())},error:function(e){"6.0.2">S||(-1==k.state?e(k.res):C._fail=e)},checkJsApi:function(e){var t=function(e){var t,n,r=e.checkResult;for(t in r)n=v[t],n&&(r[n]=r[t],delete r[t]);return e};n("checkJsApi",{jsApiList:a(e.jsApiList)},function(){return e._complete=function(e){if(w){var n=e.checkResult;n&&(e.checkResult=JSON.parse(n))}e=t(e)},e}())},onMenuShareTimeline:function(e){r(d.onMenuShareTimeline,{complete:function(){n("shareTimeline",{title:e.title||g,desc:e.title||g,img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareAppMessage:function(e){r(d.onMenuShareAppMessage,{complete:function(){n("sendAppMessage",{title:e.title||g,desc:e.desc||"",link:e.link||location.href,img_url:e.imgUrl||"",type:e.type||"link",data_url:e.dataUrl||""},e)}},e)},onMenuShareQQ:function(e){r(d.onMenuShareQQ,{complete:function(){n("shareQQ",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareWeibo:function(e){r(d.onMenuShareWeibo,{complete:function(){n("shareWeiboApp",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},onMenuShareQZone:function(e){r(d.onMenuShareQZone,{complete:function(){n("shareQZone",{title:e.title||g,desc:e.desc||"",img_url:e.imgUrl||"",link:e.link||location.href},e)}},e)},startRecord:function(e){n("startRecord",{},e)},stopRecord:function(e){n("stopRecord",{},e)},onVoiceRecordEnd:function(e){r("onVoiceRecordEnd",e)},playVoice:function(e){n("playVoice",{localId:e.localId},e)},pauseVoice:function(e){n("pauseVoice",{localId:e.localId},e)},stopVoice:function(e){n("stopVoice",{localId:e.localId},e)},onVoicePlayEnd:function(e){r("onVoicePlayEnd",e)},uploadVoice:function(e){n("uploadVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadVoice:function(e){n("downloadVoice",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},translateVoice:function(e){n("translateVoice",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},chooseImage:function(e){n("chooseImage",{scene:"1|2",count:e.count||9,sizeType:e.sizeType||["original","compressed"],sourceType:e.sourceType||["album","camera"]},function(){return e._complete=function(e){if(w){var t=e.localIds;t&&(e.localIds=JSON.parse(t))}},e}())},previewImage:function(e){n(d.previewImage,{current:e.current,urls:e.urls},e)},uploadImage:function(e){n("uploadImage",{localId:e.localId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},downloadImage:function(e){n("downloadImage",{serverId:e.serverId,isShowProgressTips:0==e.isShowProgressTips?0:1},e)},getNetworkType:function(e){var t=function(e){var t,n,r,i=e.errMsg;if(e.errMsg="getNetworkType:ok",t=e.subtype,delete e.subtype,t)e.networkType=t;else switch(n=i.indexOf(":"),r=i.substring(n+1)){case"wifi":case"edge":case"wwan":e.networkType=r;break;default:e.errMsg="getNetworkType:fail"}return e};n("getNetworkType",{},function(){return e._complete=function(e){e=t(e)},e}())},openLocation:function(e){n("openLocation",{latitude:e.latitude,longitude:e.longitude,name:e.name||"",address:e.address||"",scale:e.scale||28,infoUrl:e.infoUrl||""},e)},getLocation:function(e){e=e||{},n(d.getLocation,{type:e.type||"wgs84"},function(){return e._complete=function(e){delete e.type},e}())},hideOptionMenu:function(e){n("hideOptionMenu",{},e)},showOptionMenu:function(e){n("showOptionMenu",{},e)},closeWindow:function(e){e=e||{},n("closeWindow",{immediate_close:e.immediateClose||0},e)},hideMenuItems:function(e){n("hideMenuItems",{menuList:e.menuList},e)},showMenuItems:function(e){n("showMenuItems",{menuList:e.menuList},e)},hideAllNonBaseMenuItem:function(e){n("hideAllNonBaseMenuItem",{},e)},showAllNonBaseMenuItem:function(e){n("showAllNonBaseMenuItem",{},e)},scanQRCode:function(e){e=e||{},n("scanQRCode",{needResult:e.needResult||0,scanType:e.scanType||["qrCode","barCode"]},function(){return e._complete=function(e){var t,n;E&&(t=e.resultStr,t&&(n=JSON.parse(t),e.resultStr=n&&n.scan_code&&n.scan_code.scan_result))},e}())},openProductSpecificView:function(e){n(d.openProductSpecificView,{pid:e.productId,view_type:e.viewType||0},e)},addCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,card_ext:i.cardExt},u.push(s);n(d.addCard,{card_list:u},function(){return e._complete=function(e){var t,n,r,i=e.card_list;if(i){for(i=JSON.parse(i),t=0,n=i.length;n>t;++t)r=i[t],r.cardId=r.card_id,r.cardExt=r.card_ext,r.isSuccess=r.is_succ?!0:!1,delete r.card_id,delete r.card_ext,delete r.is_succ;e.cardList=i,delete e.card_list}},e}())},chooseCard:function(e){n("chooseCard",{app_id:N.appId,location_id:e.shopId||"",sign_type:e.signType||"SHA1",card_id:e.cardId||"",card_type:e.cardType||"",card_sign:e.cardSign,time_stamp:e.timestamp+"",nonce_str:e.nonceStr},function(){return e._complete=function(e){e.cardList=e.choose_card_info,delete e.choose_card_info},e}())},openCard:function(e){var t,r,i,s,o=e.cardList,u=[];for(t=0,r=o.length;r>t;++t)i=o[t],s={card_id:i.cardId,code:i.code},u.push(s);n(d.openCard,{card_list:u},e)},chooseWXPay:function(e){n(d.chooseWXPay,s(e),e)}},t&&(e.wx=e.jWeixin=L),L}),s(typeof wechatSDK!="undefined"?wechatSDK:window.wechatSDK)}).call(n,undefined,undefined,undefined,undefined,function(n){t.exports=n})}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{}],119:[function(e,t,n){function r(){function e(){t.removeEventListener("load",e,!1),setTimeout(function(){document.body.removeChild(t)},100)}var t=document.createElement("iframe");t.src="assets/images/logo.png",t.style.position="absolute",t.style.top="-1000px",t.addEventListener("load",e,!1),document.body.appendChild(t)}t.exports=r},{}],120:[function(e,t,n){t.exports=function(e,t,n){function r(e){return e.getMonth?i(e):e}function i(e){return e.getFullYear().toString()+"-"+(e.getMonth()+1)+"-"+e.getDate()}window.cordova&&(n||(n={}),n.startDate||(n.startDate="1900-01-01"),n.endDate||(n.endDate="2100-01-01"),n.currentDate||(n.currentDate=new Date),n.startDate=r(n.startDate),n.endDate=r(n.endDate),n.currentDate=r(n.currentDate),cordova.exec(function(t){t!=="1"&&e(t.currentDate)},t,"PAJsBridge","js_calendar",[n]))}},{}],121:[function(e,t,n){!function(){function e(e,t){return(/string|function/.test(typeof t)?a:u)(e,t)}function n(e,t){return"string"!=typeof e&&(t=typeof e,"number"===t?e+="":e="function"===t?n(e.call(e)):""),e}function r(e){return h[e]}function i(e){return n(e).replace(/&(?![\w#]+;)|[<>"']/g,r)}function s(e,t){if(p(e))for(var n=0,r=e.length;r>n;n++)t.call(e,e[n],n,e);else for(n in e)t.call(e,e[n],n)}function o(e,t){var n=/(\/)[^/]+\1\.\.\1/,r=("./"+e).replace(/[^/]+$/,""),i=r+t;for(i=i.replace(/\/\.\//g,"/");i.match(n);)i=i.replace(n,"/");return i}function u(t,n){var r=e.get(t)||f({filename:t,name:"Render Error",message:"Template not found"});return n?r(n):r}function a(e,t){if("string"==typeof t){var n=t;t=function(){return new c(n)}}var r=l[e]=function(n){try{return new t(n,e)+""}catch(r){return f(r)()}};return r.prototype=t.prototype=d,r.toString=function(){return t+""},r}function f(e){var t="{Template Error}",n=e.stack||"";if(n)n=n.split("\n").slice(0,2).join("\n");else for(var r in e)n+="<"+r+">\n"+e[r]+"\n\n";return function(){return"object"==typeof console&&console.error(t+"\n\n"+n),t}}var l=e.cache={},c=this.String,h={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},p=Array.isArray||function(e){return"[object Array]"==={}.toString.call(e)},d=e.utils={$helpers:{},$include:function(e,t,n){return e=o(n,e),u(e,t)},$string:n,$escape:i,$each:s},v=e.helpers=d.$helpers;e.get=function(e){return l[e.replace(/^\.\//,"")]},e.helper=function(e,t){v[e]=t},t.exports=e}()},{}]},{},[88]);