/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */

/*
 * $Id: base64.js,v 2.15 2014/04/05 12:58:57 dankogai Exp dankogai $
 *
 *  Licensed under the MIT license.
 *    http://opensource.org/licenses/mit-license
 *
 *  References:
 *    http://en.wikipedia.org/wiki/Base64
 */

/*!
 *
 * Copyright 2009-2012 Kris Kowal under the terms of the MIT
 * license found at http://github.com/kriskowal/q/raw/master/LICENSE
 *
 * With parts by Tyler Close
 * Copyright 2007-2009 Tyler Close under the terms of the MIT X license found
 * at http://www.opensource.org/licenses/mit-license.html
 * Forked at ref_send.js version: 2009-05-11
 *
 * With parts by Mark Miller
 * Copyright (C) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

(function e(t,n,r){function i(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(s)return s(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return i(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var s=typeof require=="function"&&require;for(var o=0;o<r.length;o++)i(r[o]);return i})({1:[function(e,t,n){var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";(function(e){function l(e){var t=e.charCodeAt(0);if(t===n||t===a)return 62;if(t===i||t===f)return 63;if(t<s)return-1;if(t<s+10)return t-s+26+26;if(t<u+26)return t-u;if(t<o+26)return t-o+26}function c(e){function c(e){u[f++]=e}var n,r,i,s,o,u;if(e.length%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var a=e.length;o="="===e.charAt(a-2)?2:"="===e.charAt(a-1)?1:0,u=new t(e.length*3/4-o),i=o>0?e.length-4:e.length;var f=0;for(n=0,r=0;n<i;n+=4,r+=3)s=l(e.charAt(n))<<18|l(e.charAt(n+1))<<12|l(e.charAt(n+2))<<6|l(e.charAt(n+3)),c((s&16711680)>>16),c((s&65280)>>8),c(s&255);return o===2?(s=l(e.charAt(n))<<2|l(e.charAt(n+1))>>4,c(s&255)):o===1&&(s=l(e.charAt(n))<<10|l(e.charAt(n+1))<<4|l(e.charAt(n+2))>>2,c(s>>8&255),c(s&255)),u}function h(e){function u(e){return r.charAt(e)}function a(e){return u(e>>18&63)+u(e>>12&63)+u(e>>6&63)+u(e&63)}var t,n=e.length%3,i="",s,o;for(t=0,o=e.length-n;t<o;t+=3)s=(e[t]<<16)+(e[t+1]<<8)+e[t+2],i+=a(s);switch(n){case 1:s=e[e.length-1],i+=u(s>>2),i+=u(s<<4&63),i+="==";break;case 2:s=(e[e.length-2]<<8)+e[e.length-1],i+=u(s>>10),i+=u(s>>4&63),i+=u(s<<2&63),i+="="}return i}var t=typeof Uint8Array!="undefined"?Uint8Array:Array,n="+".charCodeAt(0),i="/".charCodeAt(0),s="0".charCodeAt(0),o="a".charCodeAt(0),u="A".charCodeAt(0),a="-".charCodeAt(0),f="_".charCodeAt(0);e.toByteArray=c,e.fromByteArray=h})(typeof n=="undefined"?this.base64js={}:n)},{}],2:[function(e,t,n){(function(t){"use strict";function u(){function e(){}try{var t=new Uint8Array(1);return t.foo=function(){return 42},t.constructor=e,t.foo()===42&&t.constructor===e&&typeof t.subarray=="function"&&t.subarray(1,1).byteLength===0}catch(n){return!1}}function a(){return f.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function f(e){return this instanceof f?(f.TYPED_ARRAY_SUPPORT||(this.length=0,this.parent=undefined),typeof e=="number"?l(this,e):typeof e=="string"?c(this,e,arguments.length>1?arguments[1]:"utf8"):h(this,e)):arguments.length>1?new f(e,arguments[1]):new f(e)}function l(e,t){e=b(e,t<0?0:w(t)|0);if(!f.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;n++)e[n]=0;return e}function c(e,t,n){if(typeof n!="string"||n==="")n="utf8";var r=S(t,n)|0;return e=b(e,r),e.write(t,n),e}function h(e,t){if(f.isBuffer(t))return p(e,t);if(s(t))return d(e,t);if(t==null)throw new TypeError("must start with number, buffer, array or string");if(typeof ArrayBuffer!="undefined"){if(t.buffer instanceof ArrayBuffer)return v(e,t);if(t instanceof ArrayBuffer)return m(e,t)}return t.length?g(e,t):y(e,t)}function p(e,t){var n=w(t.length)|0;return e=b(e,n),t.copy(e,0,0,n),e}function d(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function v(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function m(e,t){return f.TYPED_ARRAY_SUPPORT?(t.byteLength,e=f._augment(new Uint8Array(t))):e=v(e,new Uint8Array(t)),e}function g(e,t){var n=w(t.length)|0;e=b(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function y(e,t){var n,r=0;t.type==="Buffer"&&s(t.data)&&(n=t.data,r=w(n.length)|0),e=b(e,r);for(var i=0;i<r;i+=1)e[i]=n[i]&255;return e}function b(e,t){f.TYPED_ARRAY_SUPPORT?(e=f._augment(new Uint8Array(t)),e.__proto__=f.prototype):(e.length=t,e._isBuffer=!0);var n=t!==0&&t<=f.poolSize>>>1;return n&&(e.parent=o),e}function w(e){if(e>=a())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a().toString(16)+" bytes");return e|0}function E(e,t){if(this instanceof E){var n=new f(e,t);return delete n.parent,n}return new E(e,t)}function S(e,t){typeof e!="string"&&(e=""+e);var n=e.length;if(n===0)return 0;var r=!1;for(;;)switch(t){case"ascii":case"binary":case"raw":case"raws":return n;case"utf8":case"utf-8":return Q(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return Z(e).length;default:if(r)return Q(e).length;t=(""+t).toLowerCase(),r=!0}}function x(e,t,n){var r=!1;t|=0,n=n===undefined||n===Infinity?this.length:n|0,e||(e="utf8"),t<0&&(t=0),n>this.length&&(n=this.length);if(n<=t)return"";for(;;)switch(e){case"hex":return B(this,t,n);case"utf8":case"utf-8":return M(this,t,n);case"ascii":return P(this,t,n);case"binary":return H(this,t,n);case"base64":return O(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return j(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function T(e,t,n,r){n=Number(n)||0;var i=e.length-n;r?(r=Number(r),r>i&&(r=i)):r=i;var s=t.length;if(s%2!==0)throw new Error("Invalid hex string");r>s/2&&(r=s/2);for(var o=0;o<r;o++){var u=parseInt(t.substr(o*2,2),16);if(isNaN(u))throw new Error("Invalid hex string");e[n+o]=u}return o}function N(e,t,n,r){return et(Q(t,e.length-n),e,n,r)}function C(e,t,n,r){return et(G(t),e,n,r)}function k(e,t,n,r){return C(e,t,n,r)}function L(e,t,n,r){return et(Z(t),e,n,r)}function A(e,t,n,r){return et(Y(t,e.length-n),e,n,r)}function O(e,t,n){return t===0&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function M(e,t,n){n=Math.min(e.length,n);var r=[],i=t;while(i<n){var s=e[i],o=null,u=s>239?4:s>223?3:s>191?2:1;if(i+u<=n){var a,f,l,c;switch(u){case 1:s<128&&(o=s);break;case 2:a=e[i+1],(a&192)===128&&(c=(s&31)<<6|a&63,c>127&&(o=c));break;case 3:a=e[i+1],f=e[i+2],(a&192)===128&&(f&192)===128&&(c=(s&15)<<12|(a&63)<<6|f&63,c>2047&&(c<55296||c>57343)&&(o=c));break;case 4:a=e[i+1],f=e[i+2],l=e[i+3],(a&192)===128&&(f&192)===128&&(l&192)===128&&(c=(s&15)<<18|(a&63)<<12|(f&63)<<6|l&63,c>65535&&c<1114112&&(o=c))}}o===null?(o=65533,u=1):o>65535&&(o-=65536,r.push(o>>>10&1023|55296),o=56320|o&1023),r.push(o),i+=u}return D(r)}function D(e){var t=e.length;if(t<=_)return String.fromCharCode.apply(String,e);var n="",r=0;while(r<t)n+=String.fromCharCode.apply(String,e.slice(r,r+=_));return n}function P(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]&127);return r}function H(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;i++)r+=String.fromCharCode(e[i]);return r}function B(e,t,n){var r=e.length;if(!t||t<0)t=0;if(!n||n<0||n>r)n=r;var i="";for(var s=t;s<n;s++)i+=K(e[s]);return i}function j(e,t,n){var r=e.slice(t,n),i="";for(var s=0;s<r.length;s+=2)i+=String.fromCharCode(r[s]+r[s+1]*256);return i}function F(e,t,n){if(e%1!==0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function I(e,t,n,r,i,s){if(!f.isBuffer(e))throw new TypeError("buffer must be a Buffer instance");if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range")}function q(e,t,n,r){t<0&&(t=65535+t+1);for(var i=0,s=Math.min(e.length-n,2);i<s;i++)e[n+i]=(t&255<<8*(r?i:1-i))>>>(r?i:1-i)*8}function R(e,t,n,r){t<0&&(t=4294967295+t+1);for(var i=0,s=Math.min(e.length-n,4);i<s;i++)e[n+i]=t>>>(r?i:3-i)*8&255}function U(e,t,n,r,i,s){if(t>i||t<s)throw new RangeError("value is out of bounds");if(n+r>e.length)throw new RangeError("index out of range");if(n<0)throw new RangeError("index out of range")}function z(e,t,n,r,s){return s||U(e,t,n,4,3.4028234663852886e38,-3.4028234663852886e38),i.write(e,t,n,r,23,4),n+4}function W(e,t,n,r,s){return s||U(e,t,n,8,1.7976931348623157e308,-1.7976931348623157e308),i.write(e,t,n,r,52,8),n+8}function $(e){e=J(e).replace(V,"");if(e.length<2)return"";while(e.length%4!==0)e+="=";return e}function J(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}function K(e){return e<16?"0"+e.toString(16):e.toString(16)}function Q(e,t){t=t||Infinity;var n,r=e.length,i=null,s=[];for(var o=0;o<r;o++){n=e.charCodeAt(o);if(n>55295&&n<57344){if(!i){if(n>56319){(t-=3)>-1&&s.push(239,191,189);continue}if(o+1===r){(t-=3)>-1&&s.push(239,191,189);continue}i=n;continue}if(n<56320){(t-=3)>-1&&s.push(239,191,189),i=n;continue}n=(i-55296<<10|n-56320)+65536}else i&&(t-=3)>-1&&s.push(239,191,189);i=null;if(n<128){if((t-=1)<0)break;s.push(n)}else if(n<2048){if((t-=2)<0)break;s.push(n>>6|192,n&63|128)}else if(n<65536){if((t-=3)<0)break;s.push(n>>12|224,n>>6&63|128,n&63|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;s.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}}return s}function G(e){var t=[];for(var n=0;n<e.length;n++)t.push(e.charCodeAt(n)&255);return t}function Y(e,t){var n,r,i,s=[];for(var o=0;o<e.length;o++){if((t-=2)<0)break;n=e.charCodeAt(o),r=n>>8,i=n%256,s.push(i),s.push(r)}return s}function Z(e){return r.toByteArray($(e))}function et(e,t,n,r){for(var i=0;i<r;i++){if(i+n>=t.length||i>=e.length)break;t[i+n]=e[i]}return i}var r=e("base64-js"),i=e("ieee754"),s=e("isarray");n.Buffer=f,n.SlowBuffer=E,n.INSPECT_MAX_BYTES=50,f.poolSize=8192;var o={};f.TYPED_ARRAY_SUPPORT=t.TYPED_ARRAY_SUPPORT!==undefined?t.TYPED_ARRAY_SUPPORT:u(),f.TYPED_ARRAY_SUPPORT?(f.prototype.__proto__=Uint8Array.prototype,f.__proto__=Uint8Array):(f.prototype.length=undefined,f.prototype.parent=undefined),f.isBuffer=function(t){return t!=null&&!!t._isBuffer},f.compare=function(t,n){if(!f.isBuffer(t)||!f.isBuffer(n))throw new TypeError("Arguments must be Buffers");if(t===n)return 0;var r=t.length,i=n.length,s=0,o=Math.min(r,i);while(s<o){if(t[s]!==n[s])break;++s}return s!==o&&(r=t[s],i=n[s]),r<i?-1:i<r?1:0},f.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"raw":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},f.concat=function(t,n){if(!s(t))throw new TypeError("list argument must be an Array of Buffers.");if(t.length===0)return new f(0);var r;if(n===undefined){n=0;for(r=0;r<t.length;r++)n+=t[r].length}var i=new f(n),o=0;for(r=0;r<t.length;r++){var u=t[r];u.copy(i,o),o+=u.length}return i},f.byteLength=S,f.prototype.toString=function tt(){var e=this.length|0;return e===0?"":arguments.length===0?M(this,0,e):x.apply(this,arguments)},f.prototype.equals=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?!0:f.compare(this,t)===0},f.prototype.inspect=function(){var t="",r=n.INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,r).match(/.{2}/g).join(" "),this.length>r&&(t+=" ... ")),"<Buffer "+t+">"},f.prototype.compare=function(t){if(!f.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t?0:f.compare(this,t)},f.prototype.indexOf=function(t,n){function r(e,t,n){var r=-1;for(var i=0;n+i<e.length;i++)if(e[n+i]===t[r===-1?0:i-r]){r===-1&&(r=i);if(i-r+1===t.length)return n+r}else r=-1;return-1}n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n>>=0;if(this.length===0)return-1;if(n>=this.length)return-1;n<0&&(n=Math.max(this.length+n,0));if(typeof t=="string")return t.length===0?-1:String.prototype.indexOf.call(this,t,n);if(f.isBuffer(t))return r(this,t,n);if(typeof t=="number")return f.TYPED_ARRAY_SUPPORT&&Uint8Array.prototype.indexOf==="function"?Uint8Array.prototype.indexOf.call(this,t,n):r(this,[t],n);throw new TypeError("val must be string, number or Buffer")},f.prototype.get=function(t){return console.log(".get() is deprecated. Access using array indexes instead."),this.readUInt8(t)},f.prototype.set=function(t,n){return console.log(".set() is deprecated. Access using array indexes instead."),this.writeUInt8(t,n)},f.prototype.write=function(t,n,r,i){if(n===undefined)i="utf8",r=this.length,n=0;else if(r===undefined&&typeof n=="string")i=n,r=this.length,n=0;else if(isFinite(n))n|=0,isFinite(r)?(r|=0,i===undefined&&(i="utf8")):(i=r,r=undefined);else{var s=i;i=n,n=r|0,r=s}var o=this.length-n;if(r===undefined||r>o)r=o;if(t.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("attempt to write outside buffer bounds");i||(i="utf8");var u=!1;for(;;)switch(i){case"hex":return T(this,t,n,r);case"utf8":case"utf-8":return N(this,t,n,r);case"ascii":return C(this,t,n,r);case"binary":return k(this,t,n,r);case"base64":return L(this,t,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return A(this,t,n,r);default:if(u)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),u=!0}},f.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var _=4096;f.prototype.slice=function(t,n){var r=this.length;t=~~t,n=n===undefined?r:~~n,t<0?(t+=r,t<0&&(t=0)):t>r&&(t=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<t&&(n=t);var i;if(f.TYPED_ARRAY_SUPPORT)i=f._augment(this.subarray(t,n));else{var s=n-t;i=new f(s,undefined);for(var o=0;o<s;o++)i[o]=this[o+t]}return i.length&&(i.parent=this.parent||this),i},f.prototype.readUIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return i},f.prototype.readUIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t+ --n],s=1;while(n>0&&(s*=256))i+=this[t+ --n]*s;return i},f.prototype.readUInt8=function(t,n){return n||F(t,1,this.length),this[t]},f.prototype.readUInt16LE=function(t,n){return n||F(t,2,this.length),this[t]|this[t+1]<<8},f.prototype.readUInt16BE=function(t,n){return n||F(t,2,this.length),this[t]<<8|this[t+1]},f.prototype.readUInt32LE=function(t,n){return n||F(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+this[t+3]*16777216},f.prototype.readUInt32BE=function(t,n){return n||F(t,4,this.length),this[t]*16777216+(this[t+1]<<16|this[t+2]<<8|this[t+3])},f.prototype.readIntLE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=this[t],s=1,o=0;while(++o<n&&(s*=256))i+=this[t+o]*s;return s*=128,i>=s&&(i-=Math.pow(2,8*n)),i},f.prototype.readIntBE=function(t,n,r){t|=0,n|=0,r||F(t,n,this.length);var i=n,s=1,o=this[t+ --i];while(i>0&&(s*=256))o+=this[t+ --i]*s;return s*=128,o>=s&&(o-=Math.pow(2,8*n)),o},f.prototype.readInt8=function(t,n){return n||F(t,1,this.length),this[t]&128?(255-this[t]+1)*-1:this[t]},f.prototype.readInt16LE=function(t,n){n||F(t,2,this.length);var r=this[t]|this[t+1]<<8;return r&32768?r|4294901760:r},f.prototype.readInt16BE=function(t,n){n||F(t,2,this.length);var r=this[t+1]|this[t]<<8;return r&32768?r|4294901760:r},f.prototype.readInt32LE=function(t,n){return n||F(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},f.prototype.readInt32BE=function(t,n){return n||F(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},f.prototype.readFloatLE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!0,23,4)},f.prototype.readFloatBE=function(t,n){return n||F(t,4,this.length),i.read(this,t,!1,23,4)},f.prototype.readDoubleLE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!0,52,8)},f.prototype.readDoubleBE=function(t,n){return n||F(t,8,this.length),i.read(this,t,!1,52,8)},f.prototype.writeUIntLE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=1,o=0;this[n]=t&255;while(++o<r&&(s*=256))this[n+o]=t/s&255;return n+r},f.prototype.writeUIntBE=function(t,n,r,i){t=+t,n|=0,r|=0,i||I(this,t,n,r,Math.pow(2,8*r),0);var s=r-1,o=1;this[n+s]=t&255;while(--s>=0&&(o*=256))this[n+s]=t/o&255;return n+r},f.prototype.writeUInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,255,0),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[n]=t&255,n+1},f.prototype.writeUInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeUInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,65535,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeUInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n+3]=t>>>24,this[n+2]=t>>>16,this[n+1]=t>>>8,this[n]=t&255):R(this,t,n,!0),n+4},f.prototype.writeUInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,4294967295,0),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeIntLE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=0,u=1,a=t<0?1:0;this[n]=t&255;while(++o<r&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeIntBE=function(t,n,r,i){t=+t,n|=0;if(!i){var s=Math.pow(2,8*r-1);I(this,t,n,r,s-1,-s)}var o=r-1,u=1,a=t<0?1:0;this[n+o]=t&255;while(--o>=0&&(u*=256))this[n+o]=(t/u>>0)-a&255;return n+r},f.prototype.writeInt8=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,1,127,-128),f.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[n]=t&255,n+1},f.prototype.writeInt16LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):q(this,t,n,!0),n+2},f.prototype.writeInt16BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,2,32767,-32768),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):q(this,t,n,!1),n+2},f.prototype.writeInt32LE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),f.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8,this[n+2]=t>>>16,this[n+3]=t>>>24):R(this,t,n,!0),n+4},f.prototype.writeInt32BE=function(t,n,r){return t=+t,n|=0,r||I(this,t,n,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),f.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):R(this,t,n,!1),n+4},f.prototype.writeFloatLE=function(t,n,r){return z(this,t,n,!0,r)},f.prototype.writeFloatBE=function(t,n,r){return z(this,t,n,!1,r)},f.prototype.writeDoubleLE=function(t,n,r){return W(this,t,n,!0,r)},f.prototype.writeDoubleBE=function(t,n,r){return W(this,t,n,!1,r)},f.prototype.copy=function(t,n,r,i){r||(r=0),!i&&i!==0&&(i=this.length),n>=t.length&&(n=t.length),n||(n=0),i>0&&i<r&&(i=r);if(i===r)return 0;if(t.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-n<i-r&&(i=t.length-n+r);var s=i-r,o;if(this===t&&r<n&&n<i)for(o=s-1;o>=0;o--)t[o+n]=this[o+r];else if(s<1e3||!f.TYPED_ARRAY_SUPPORT)for(o=0;o<s;o++)t[o+n]=this[o+r];else t._set(this.subarray(r,r+s),n);return s},f.prototype.fill=function(t,n,r){t||(t=0),n||(n=0),r||(r=this.length);if(r<n)throw new RangeError("end < start");if(r===n)return;if(this.length===0)return;if(n<0||n>=this.length)throw new RangeError("start out of bounds");if(r<0||r>this.length)throw new RangeError("end out of bounds");var i;if(typeof t=="number")for(i=n;i<r;i++)this[i]=t;else{var s=Q(t.toString()),o=s.length;for(i=n;i<r;i++)this[i]=s[i%o]}return this},f.prototype.toArrayBuffer=function(){if(typeof Uint8Array!="undefined"){if(f.TYPED_ARRAY_SUPPORT)return(new f(this)).buffer;var t=new Uint8Array(this.length);for(var n=0,r=t.length;n<r;n+=1)t[n]=this[n];return t.buffer}throw new TypeError("Buffer.toArrayBuffer not supported in this browser")};var X=f.prototype;f._augment=function(t){return t.constructor=f,t._isBuffer=!0,t._set=t.set,t.get=X.get,t.set=X.set,t.write=X.write,t.toString=X.toString,t.toLocaleString=X.toString,t.toJSON=X.toJSON,t.equals=X.equals,t.compare=X.compare,t.indexOf=X.indexOf,t.copy=X.copy,t.slice=X.slice,t.readUIntLE=X.readUIntLE,t.readUIntBE=X.readUIntBE,t.readUInt8=X.readUInt8,t.readUInt16LE=X.readUInt16LE,t.readUInt16BE=X.readUInt16BE,t.readUInt32LE=X.readUInt32LE,t.readUInt32BE=X.readUInt32BE,t.readIntLE=X.readIntLE,t.readIntBE=X.readIntBE,t.readInt8=X.readInt8,t.readInt16LE=X.readInt16LE,t.readInt16BE=X.readInt16BE,t.readInt32LE=X.readInt32LE,t.readInt32BE=X.readInt32BE,t.readFloatLE=X.readFloatLE,t.readFloatBE=X.readFloatBE,t.readDoubleLE=X.readDoubleLE,t.readDoubleBE=X.readDoubleBE,t.writeUInt8=X.writeUInt8,t.writeUIntLE=X.writeUIntLE,t.writeUIntBE=X.writeUIntBE,t.writeUInt16LE=X.writeUInt16LE,t.writeUInt16BE=X.writeUInt16BE,t.writeUInt32LE=X.writeUInt32LE,t.writeUInt32BE=X.writeUInt32BE,t.writeIntLE=X.writeIntLE,t.writeIntBE=X.writeIntBE,t.writeInt8=X.writeInt8,t.writeInt16LE=X.writeInt16LE,t.writeInt16BE=X.writeInt16BE,t.writeInt32LE=X.writeInt32LE,t.writeInt32BE=X.writeInt32BE,t.writeFloatLE=X.writeFloatLE,t.writeFloatBE=X.writeFloatBE,t.writeDoubleLE=X.writeDoubleLE,t.writeDoubleBE=X.writeDoubleBE,t.fill=X.fill,t.inspect=X.inspect,t.toArrayBuffer=X.toArrayBuffer,t};var V=/[^+\/0-9A-Za-z-_]/g}).call(this,typeof global!="undefined"?global:typeof self!="undefined"?self:typeof window!="undefined"?window:{})},{"base64-js":1,ieee754:4,isarray:3}],3:[function(e,t,n){var r={}.toString;t.exports=Array.isArray||function(e){return r.call(e)=="[object Array]"}},{}],4:[function(e,t,n){n.read=function(e,t,n,r,i){var s,o,u=i*8-r-1,a=(1<<u)-1,f=a>>1,l=-7,c=n?i-1:0,h=n?-1:1,p=e[t+c];c+=h,s=p&(1<<-l)-1,p>>=-l,l+=u;for(;l>0;s=s*256+e[t+c],c+=h,l-=8);o=s&(1<<-l)-1,s>>=-l,l+=r;for(;l>0;o=o*256+e[t+c],c+=h,l-=8);if(s===0)s=1-f;else{if(s===a)return o?NaN:(p?-1:1)*Infinity;o+=Math.pow(2,r),s-=f}return(p?-1:1)*o*Math.pow(2,s-r)},n.write=function(e,t,n,r,i,s){var o,u,a,f=s*8-i-1,l=(1<<f)-1,c=l>>1,h=i===23?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:s-1,d=r?1:-1,v=t<0||t===0&&1/t<0?1:0;t=Math.abs(t),isNaN(t)||t===Infinity?(u=isNaN(t)?1:0,o=l):(o=Math.floor(Math.log(t)/Math.LN2),t*(a=Math.pow(2,-o))<1&&(o--,a*=2),o+c>=1?t+=h/a:t+=h*Math.pow(2,1-c),t*a>=2&&(o++,a/=2),o+c>=l?(u=0,o=l):o+c>=1?(u=(t*a-1)*Math.pow(2,i),o+=c):(u=t*Math.pow(2,c-1)*Math.pow(2,i),o=0));for(;i>=8;e[n+p]=u&255,p+=d,u/=256,i-=8);o=o<<i|u,f+=i;for(;f>0;e[n+p]=o&255,p+=d,o/=256,f-=8);e[n+p-d]|=v*128}},{}],5:[function(e,t,n){(function(n){var r=n.Base64,i="2.1.9",s;if(typeof t!="undefined"&&t.exports)try{s=e("buffer").Buffer}catch(o){}var u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a=function(e){var t={};for(var n=0,r=e.length;n<r;n++)t[e.charAt(n)]=n;return t}(u),f=String.fromCharCode,l=function(e){if(e.length<2){var t=e.charCodeAt(0);return t<128?e:t<2048?f(192|t>>>6)+f(128|t&63):f(224|t>>>12&15)+f(128|t>>>6&63)+f(128|t&63)}var t=65536+(e.charCodeAt(0)-55296)*1024+(e.charCodeAt(1)-56320);return f(240|t>>>18&7)+f(128|t>>>12&63)+f(128|t>>>6&63)+f(128|t&63)},c=/[\uD800-\uDBFF][\uDC00-\uDFFFF]|[^\x00-\x7F]/g,h=function(e){return e.replace(c,l)},p=function(e){var t=[0,2,1][e.length%3],n=e.charCodeAt(0)<<16|(e.length>1?e.charCodeAt(1):0)<<8|(e.length>2?e.charCodeAt(2):0),r=[u.charAt(n>>>18),u.charAt(n>>>12&63),t>=2?"=":u.charAt(n>>>6&63),t>=1?"=":u.charAt(n&63)];return r.join("")},d=n.btoa?function(e){return n.btoa(e)}:function(e){return e.replace(/[\s\S]{1,3}/g,p)},v=s?function(e){return(e.constructor===s.constructor?e:new s(e)).toString("base64")}:function(e){return d(h(e))},m=function(e,t){return t?v(String(e)).replace(/[+\/]/g,function(e){return e=="+"?"-":"_"}).replace(/=/g,""):v(String(e))},g=function(e){return m(e,!0)},y=new RegExp(["[À-ß][-¿]","[à-ï][-¿]{2}","[ð-÷][-¿]{3}"].join("|"),"g"),b=function(e){switch(e.length){case 4:var t=(7&e.charCodeAt(0))<<18|(63&e.charCodeAt(1))<<12|(63&e.charCodeAt(2))<<6|63&e.charCodeAt(3),n=t-65536;return f((n>>>10)+55296)+f((n&1023)+56320);case 3:return f((15&e.charCodeAt(0))<<12|(63&e.charCodeAt(1))<<6|63&e.charCodeAt(2));default:return f((31&e.charCodeAt(0))<<6|63&e.charCodeAt(1))}},w=function(e){return e.replace(y,b)},E=function(e){var t=e.length,n=t%4,r=(t>0?a[e.charAt(0)]<<18:0)|(t>1?a[e.charAt(1)]<<12:0)|(t>2?a[e.charAt(2)]<<6:0)|(t>3?a[e.charAt(3)]:0),i=[f(r>>>16),f(r>>>8&255),f(r&255)];return i.length-=[0,0,2,1][n],i.join("")},S=n.atob?function(e){return n.atob(e)}:function(e){return e.replace(/[\s\S]{1,4}/g,E)},x=s?function(e){return(e.constructor===s.constructor?e:new s(e,"base64")).toString()}:function(e){return w(S(e))},T=function(e){return x(String(e).replace(/[-_]/g,function(e){return e=="-"?"+":"/"}).replace(/[^A-Za-z0-9\+\/]/g,""))},N=function(){var e=n.Base64;return n.Base64=r,e};n.Base64={VERSION:i,atob:S,btoa:d,fromBase64:T,toBase64:m,utob:h,encode:m,encodeURI:g,btou:w,decode:T,noConflict:N};if(typeof Object.defineProperty=="function"){var C=function(e){return{value:e,enumerable:!1,writable:!0,configurable:!0}};n.Base64.extendString=function(){Object.defineProperty(String.prototype,"fromBase64",C(function(){return T(this)})),Object.defineProperty(String.prototype,"toBase64",C(function(e){return m(this,e)})),Object.defineProperty(String.prototype,"toBase64URI",C(function(){return m(this,!0)}))}}n.Meteor&&(Base64=n.Base64)})(this)},{buffer:2}],6:[function(e,t,n){function a(){if(!s||!o)return;s=!1,o.length?i=o.concat(i):u=-1,i.length&&f()}function f(){if(s)return;var e=setTimeout(a);s=!0;var t=i.length;while(t){o=i,i=[];while(++u<t)o&&o[u].run();u=-1,t=i.length}o=null,s=!1,clearTimeout(e)}function l(e,t){this.fun=e,this.array=t}function c(){}var r=t.exports={},i=[],s=!1,o,u=-1;r.nextTick=function(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];i.push(new l(e,t)),i.length===1&&!s&&setTimeout(f,0)},l.prototype.run=function(){this.fun.apply(null,this.array)},r.title="browser",r.browser=!0,r.env={},r.argv=[],r.version="",r.versions={},r.on=c,r.addListener=c,r.once=c,r.off=c,r.removeListener=c,r.removeAllListeners=c,r.emit=c,r.binding=function(e){throw new Error("process.binding is not supported")},r.cwd=function(){return"/"},r.chdir=function(e){throw new Error("process.chdir is not supported")},r.umask=function(){return 0}},{}],7:[function(e,t,n){(function(e){(function(e){if(typeof bootstrap=="function")bootstrap("promise",e);else if(typeof n=="object"&&typeof t=="object")t.exports=e();else if(typeof define=="function"&&define.amd)define(e);else if(typeof ses!="undefined"){if(!ses.ok())return;ses.makeQ=e}else{if(typeof window=="undefined"&&typeof self=="undefined")throw new Error("This environment was not anticipated by Q. Please file a bug.");var r=typeof window!="undefined"?window:self,i=r.Q;r.Q=e(),r.Q.noConflict=function(){return r.Q=i,this}}})(function(){function a(e){return function(){return u.apply(e,arguments)}}function g(e){return e===Object(e)}function y(e){return m(e)==="[object StopIteration]"||e instanceof b}function E(e,n){if(t&&n.stack&&typeof e=="object"&&e!==null&&e.stack&&e.stack.indexOf(w)===-1){var r=[];for(var i=n;!!i;i=i.source)i.stack&&r.unshift(i.stack);r.unshift(e.stack);var s=r.join("\n"+w+"\n");e.stack=S(s)}}function S(e){var t=e.split("\n"),n=[];for(var r=0;r<t.length;++r){var i=t[r];!N(i)&&!x(i)&&i&&n.push(i)}return n.join("\n")}function x(e){return e.indexOf("(module.js:")!==-1||e.indexOf("(node.js:")!==-1}function T(e){var t=/at .+ \((.+):(\d+):(?:\d+)\)$/.exec(e);if(t)return[t[1],Number(t[2])];var n=/at ([^ ]+):(\d+):(?:\d+)$/.exec(e);if(n)return[n[1],Number(n[2])];var r=/.*@(.+):(\d+)$/.exec(e);if(r)return[r[1],Number(r[2])]}function N(e){var t=T(e);if(!t)return!1;var n=t[0],s=t[1];return n===i&&s>=r&&s<=ft}function C(){if(!t)return;try{throw new Error}catch(e){var n=e.stack.split("\n"),r=n[0].indexOf("@")>0?n[1]:n[2],s=T(r);if(!s)return;return i=s[0],s[1]}}function k(e,t,n){return function(){return typeof console!="undefined"&&typeof console.warn=="function"&&console.warn(t+" is deprecated, use "+n+" instead.",(new Error("")).stack),e.apply(e,arguments)}}function L(e){return e instanceof _?e:B(e)?K(e):J(e)}function A(){function u(t){r=t,s.source=t,l(e,function(e,n){L.nextTick(function(){t.promiseDispatch.apply(t,n)})},void 0),e=void 0,n=void 0}var e=[],n=[],r,i=p(A.prototype),s=p(_.prototype);s.promiseDispatch=function(t,i,s){var o=f(arguments);e?(e.push(o),i==="when"&&s[1]&&n.push(s[1])):L.nextTick(function(){r.promiseDispatch.apply(r,o)})},s.valueOf=function(){if(e)return s;var t=P(r);return H(t)&&(r=t),t},s.inspect=function(){return r?r.inspect():{state:"pending"}};if(L.longStackSupport&&t)try{throw new Error}catch(o){s.stack=o.stack.substring(o.stack.indexOf("\n")+1)}return i.promise=s,i.resolve=function(e){if(r)return;u(L(e))},i.fulfill=function(e){if(r)return;u(J(e))},i.reject=function(e){if(r)return;u($(e))},i.notify=function(e){if(r)return;l(n,function(t,n){L.nextTick(function(){n(e)})},void 0)},i}function O(e){if(typeof e!="function")throw new TypeError("resolver must be a function.");var t=A();try{e(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}return t.promise}function M(e){return O(function(t,n){for(var r=0,i=e.length;r<i;r++)L(e[r]).then(t,n)})}function _(e,t,n){t===void 0&&(t=function(e){return $(new Error("Promise does not support operation: "+e))}),n===void 0&&(n=function(){return{state:"unknown"}});var r=p(_.prototype);r.promiseDispatch=function(n,i,s){var o;try{e[i]?o=e[i].apply(r,s):o=t.call(r,i,s)}catch(u){o=$(u)}n&&n(o)},r.inspect=n;if(n){var i=n();i.state==="rejected"&&(r.exception=i.reason),r.valueOf=function(){var e=n();return e.state==="pending"||e.state==="rejected"?r:e.value}}return r}function D(e,t,n,r){return L(e).then(t,n,r)}function P(e){if(H(e)){var t=e.inspect();if(t.state==="fulfilled")return t.value}return e}function H(e){return e instanceof _}function B(e){return g(e)&&typeof e.then=="function"}function j(e){return H(e)&&e.inspect().state==="pending"}function F(e){return!H(e)||e.inspect().state==="fulfilled"}function I(e){return H(e)&&e.inspect().state==="rejected"}function W(){q.length=0,R.length=0,z||(z=!0)}function X(t,n){if(!z)return;typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){c(R,t)!==-1&&(e.emit("unhandledRejection",n,t),U.push(t))}),R.push(t),n&&typeof n.stack!="undefined"?q.push(n.stack):q.push("(no stack) "+n)}function V(t){if(!z)return;var n=c(R,t);n!==-1&&(typeof e=="object"&&typeof e.emit=="function"&&L.nextTick.runAfter(function(){var r=c(U,t);r!==-1&&(e.emit("rejectionHandled",q[n],t),U.splice(r,1))}),R.splice(n,1),q.splice(n,1))}function $(e){var t=_({when:function(t){return t&&V(this),t?t(e):this}},function(){return this},function(){return{state:"rejected",reason:e}});return X(t,e),t}function J(e){return _({when:function(){return e},get:function(t){return e[t]},set:function(t,n){e[t]=n},"delete":function(t){delete e[t]},post:function(t,n){return t===null||t===void 0?e.apply(void 0,n):e[t].apply(e,n)},apply:function(t,n){return e.apply(t,n)},keys:function(){return v(e)}},void 0,function(){return{state:"fulfilled",value:e}})}function K(e){var t=A();return L.nextTick(function(){try{e.then(t.resolve,t.reject,t.notify)}catch(n){t.reject(n)}}),t.promise}function Q(e){return _({isDef:function(){}},function(n,r){return nt(e,n,r)},function(){return L(e).inspect()})}function G(e,t,n){return L(e).spread(t,n)}function Y(e){return function(){function t(e,t){var s;if(typeof StopIteration=="undefined"){try{s=n[e](t)}catch(o){return $(o)}return s.done?L(s.value):D(s.value,r,i)}try{s=n[e](t)}catch(o){return y(o)?L(o.value):$(o)}return D(s,r,i)}var n=e.apply(this,arguments),r=t.bind(t,"next"),i=t.bind(t,"throw");return r()}}function Z(e){L.done(L.async(e)())}function et(e){throw new b(e)}function tt(e){return function(){return G([this,rt(arguments)],function(t,n){return e.apply(t,n)})}}function nt(e,t,n){return L(e).dispatch(t,n)}function rt(e){return D(e,function(e){var t=0,n=A();return l(e,function(r,i,s){var o;H(i)&&(o=i.inspect()).state==="fulfilled"?e[s]=o.value:(++t,D(i,function(r){e[s]=r,--t===0&&n.resolve(e)},n.reject,function(e){n.notify({index:s,value:e})}))},void 0),t===0&&n.resolve(e),n.promise})}function it(e){if(e.length===0)return L.resolve();var t=L.defer(),n=0;return l(e,function(r,i,s){function u(e){t.resolve(e)}function a(){n--,n===0&&t.reject(new Error("Can't get fulfillment value from any promise, all promises were rejected."))}function f(e){t.notify({index:s,value:e})}var o=e[s];n++,D(o,u,a,f)},undefined),t.promise}function st(e){return D(e,function(e){return e=h(e,L),D(rt(h(e,function(e){return D(e,s,s)})),function(){return e})})}function ot(e){return L(e).allSettled()}function ut(e,t){return L(e).then(void 0,void 0,t)}function at(e,t){return L(e).nodeify(t)}var t=!1;try{throw new Error}catch(n){t=!!n.stack}var r=C(),i,s=function(){},o=function(){function a(){var e,n;while(t.next)t=t.next,e=t.task,t.task=void 0,n=t.domain,n&&(t.domain=void 0,n.enter()),f(e,n);while(u.length)e=u.pop(),f(e);r=!1}function f(e,t){try{e()}catch(n){if(s)throw t&&t.exit(),setTimeout(a,0),t&&t.enter(),n;setTimeout(function(){throw n},0)}t&&t.exit()}var t={task:void 0,next:null},n=t,r=!1,i=void 0,s=!1,u=[];o=function(t){n=n.next={task:t,domain:s&&e.domain,next:null},r||(r=!0,i())};if(typeof e=="object"&&e.toString()==="[object process]"&&e.nextTick)s=!0,i=function(){e.nextTick(a)};else if(typeof setImmediate=="function")typeof window!="undefined"?i=setImmediate.bind(window,a):i=function(){setImmediate(a)};else if(typeof MessageChannel!="undefined"){var l=new MessageChannel;l.port1.onmessage=function(){i=c,l.port1.onmessage=a,a()};var c=function(){l.port2.postMessage(0)};i=function(){setTimeout(a,0),c()}}else i=function(){setTimeout(a,0)};return o.runAfter=function(e){u.push(e),r||(r=!0,i())},o}(),u=Function.call,f=a(Array.prototype.slice),l=a(Array.prototype.reduce||function(e,t){var n=0,r=this.length;if(arguments.length===1)do{if(n in this){t=this[n++];break}if(++n>=r)throw new TypeError}while(1);for(;n<r;n++)n in this&&(t=e(t,this[n],n));return t}),c=a(Array.prototype.indexOf||function(e){for(var t=0;t<this.length;t++)if(this[t]===e)return t;return-1}),h=a(Array.prototype.map||function(e,t){var n=this,r=[];return l(n,function(i,s,o){r.push(e.call(t,s,o,n))},void 0),r}),p=Object.create||function(e){function t(){}return t.prototype=e,new t},d=a(Object.prototype.hasOwnProperty),v=Object.keys||function(e){var t=[];for(var n in e)d(e,n)&&t.push(n);return t},m=a(Object.prototype.toString),b;typeof ReturnValue!="undefined"?b=ReturnValue:b=function(e){this.value=e};var w="From previous event:";L.resolve=L,L.nextTick=o,L.longStackSupport=!1,typeof e=="object"&&e&&e.env&&e.env.Q_DEBUG&&(L.longStackSupport=!0),L.defer=A,A.prototype.makeNodeResolver=function(){var e=this;return function(t,n){t?e.reject(t):arguments.length>2?e.resolve(f(arguments,1)):e.resolve(n)}},L.Promise=O,L.promise=O,O.race=M,O.all=rt,O.reject=$,O.resolve=L,L.passByCopy=function(e){return e},_.prototype.passByCopy=function(){return this},L.join=function(e,t){return L(e).join(t)},_.prototype.join=function(e){return L([this,e]).spread(function(e,t){if(e===t)return e;throw new Error("Can't join: not the same: "+e+" "+t)})},L.race=M,_.prototype.race=function(){return this.then(L.race)},L.makePromise=_,_.prototype.toString=function(){return"[object Promise]"},_.prototype.then=function(e,t,n){function o(t){try{return typeof e=="function"?e(t):t}catch(n){return $(n)}}function u(e){if(typeof t=="function"){E(e,r);try{return t(e)}catch(n){return $(n)}}return $(e)}function a(e){return typeof n=="function"?n(e):e}var r=this,i=A(),s=!1;return L.nextTick(function(){r.promiseDispatch(function(e){if(s)return;s=!0,i.resolve(o(e))},"when",[function(e){if(s)return;s=!0,i.resolve(u(e))}])}),r.promiseDispatch(void 0,"when",[void 0,function(e){var t,n=!1;try{t=a(e)}catch(r){n=!0;if(!L.onerror)throw r;L.onerror(r)}n||i.notify(t)}]),i.promise},L.tap=function(e,t){return L(e).tap(t)},_.prototype.tap=function(e){return e=L(e),this.then(function(t){return e.fcall(t).thenResolve(t)})},L.when=D,_.prototype.thenResolve=function(e){return this.then(function(){return e})},L.thenResolve=function(e,t){return L(e).thenResolve(t)},_.prototype.thenReject=function(e){return this.then(function(){throw e})},L.thenReject=function(e,t){return L(e).thenReject(t)},L.nearer=P,L.isPromise=H,L.isPromiseAlike=B,L.isPending=j,_.prototype.isPending=function(){return this.inspect().state==="pending"},L.isFulfilled=F,_.prototype.isFulfilled=function(){return this.inspect().state==="fulfilled"},L.isRejected=I,_.prototype.isRejected=function(){return this.inspect().state==="rejected"};var q=[],R=[],U=[],z=!0;L.resetUnhandledRejections=W,L.getUnhandledReasons=function(){return q.slice()},L.stopUnhandledRejectionTracking=function(){W(),z=!1},W(),L.reject=$,L.fulfill=J,L.master=Q,L.spread=G,_.prototype.spread=function(e,t){return this.all().then(function(t){return e.apply(void 0,t)},t)},L.async=Y,L.spawn=Z,L["return"]=et,L.promised=tt,L.dispatch=nt,_.prototype.dispatch=function(e,t){var n=this,r=A();return L.nextTick(function(){n.promiseDispatch(r.resolve,e,t)}),r.promise},L.get=function(e,t){return L(e).dispatch("get",[t])},_.prototype.get=function(e){return this.dispatch("get",[e])},L.set=function(e,t,n){return L(e).dispatch("set",[t,n])},_.prototype.set=function(e,t){return this.dispatch("set",[e,t])},L.del=L["delete"]=function(e,t){return L(e).dispatch("delete",[t])},_.prototype.del=_.prototype["delete"]=function(e){return this.dispatch("delete",[e])},L.mapply=L.post=function(e,t,n){return L(e).dispatch("post",[t,n])},_.prototype.mapply=_.prototype.post=function(e,t){return this.dispatch("post",[e,t])},L.send=L.mcall=L.invoke=function(e,t){return L(e).dispatch("post",[t,f(arguments,2)])},_.prototype.send=_.prototype.mcall=_.prototype.invoke=function(e){return this.dispatch("post",[e,f(arguments,1)])},L.fapply=function(e,t){return L(e).dispatch("apply",[void 0,t])},_.prototype.fapply=function(e){return this.dispatch("apply",[void 0,e])},L["try"]=L.fcall=function(e){return L(e).dispatch("apply",[void 0,f(arguments,1)])},_.prototype.fcall=function(){return this.dispatch("apply",[void 0,f(arguments)])},L.fbind=function(e){var t=L(e),n=f(arguments,1);return function(){return t.dispatch("apply",[this,n.concat(f(arguments))])}},_.prototype.fbind=function(){var e=this,t=f(arguments);return function(){return e.dispatch("apply",[this,t.concat(f(arguments))])}},L.keys=function(e){return L(e).dispatch("keys",[])},_.prototype.keys=function(){return this.dispatch("keys",[])},L.all=rt,_.prototype.all=function(){return rt(this)},L.any=it,_.prototype.any=function(){return it(this)},L.allResolved=k(st,"allResolved","allSettled"),_.prototype.allResolved=function(){return st(this)},L.allSettled=ot,_.prototype.allSettled=function(){return this.then(function(e){return rt(h(e,function(e){function t(){return e.inspect()}return e=L(e),e.then(t,t)}))})},L.fail=L["catch"]=function(e,t){return L(e).then(void 0,t)},_.prototype.fail=_.prototype["catch"]=function(e){return this.then(void 0,e)},L.progress=ut,_.prototype.progress=function(e){return this.then(void 0,void 0,e)},L.fin=L["finally"]=function(e,t){return L(e)["finally"](t)},_.prototype.fin=_.prototype["finally"]=function(e){return e=L(e),this.then(function(t){return e.fcall().then(function(){return t})},function(t){return e.fcall().then(function(){throw t})})},L.done=function(e,t,n,r){return L(e).done(t,n,r)},_.prototype.done=function(t,n,r){var i=function(e){L.nextTick(function(){E(e,s);if(!L.onerror)throw e;L.onerror(e)})},s=t||n||r?this.then(t,n,r):this;typeof e=="object"&&e&&e.domain&&(i=e.domain.bind(i)),s.then(void 0,i)},L.timeout=function(e,t,n){return L(e).timeout(t,n)},_.prototype.timeout=function(e,t){var n=A(),r=setTimeout(function(){if(!t||"string"==typeof t)t=new Error(t||"Timed out after "+e+" ms"),t.code="ETIMEDOUT";n.reject(t)},e);return this.then(function(e){clearTimeout(r),n.resolve(e)},function(e){clearTimeout(r),n.reject(e)},n.notify),n.promise},L.delay=function(e,t){return t===void 0&&(t=e,e=void 0),L(e).delay(t)},_.prototype.delay=function(e){return this.then(function(t){var n=A();return setTimeout(function(){n.resolve(t)},e),n.promise})},L.nfapply=function(e,t){return L(e).nfapply(t)},_.prototype.nfapply=function(e){var t=A(),n=f(e);return n.push(t.makeNodeResolver()),this.fapply(n).fail(t.reject),t.promise},L.nfcall=function(e){var t=f(arguments,1);return L(e).nfapply(t)},_.prototype.nfcall=function(){var e=f(arguments),t=A();return e.push(t.makeNodeResolver()),this.fapply(e).fail(t.reject),t.promise},L.nfbind=L.denodeify=function(e){var t=f(arguments,1);return function(){var n=t.concat(f(arguments)),r=A();return n.push(r.makeNodeResolver()),L(e).fapply(n).fail(r.reject),r.promise}},_.prototype.nfbind=_.prototype.denodeify=function(){var e=f(arguments);return e.unshift(this),L.denodeify.apply(void 0,e)},L.nbind=function(e,t){var n=f(arguments,2);return function(){function s(){return e.apply(t,arguments)}var r=n.concat(f(arguments)),i=A();return r.push(i.makeNodeResolver()),L(s).fapply(r).fail(i.reject),i.promise}},_.prototype.nbind=function(){var e=f(arguments,0);return e.unshift(this),L.nbind.apply(void 0,e)},L.nmapply=L.npost=function(e,t,n){return L(e).npost(t,n)},_.prototype.nmapply=_.prototype.npost=function(e,t){var n=f(t||[]),r=A();return n.push(r.makeNodeResolver()),this.dispatch("post",[e,n]).fail(r.reject),r.promise},L.nsend=L.nmcall=L.ninvoke=function(e,t){var n=f(arguments,2),r=A();return n.push(r.makeNodeResolver()),L(e).dispatch("post",[t,n]).fail(r.reject),r.promise},_.prototype.nsend=_.prototype.nmcall=_.prototype.ninvoke=function(e){var t=f(arguments,1),n=A();return t.push(n.makeNodeResolver()),this.dispatch("post",[e,t]).fail(n.reject),n.promise},L.nodeify=at,_.prototype.nodeify=function(e){if(!e)return this;this.then(function(t){L.nextTick(function(){e(null,t)})},function(t){L.nextTick(function(){e(t)})})},L.noConflict=function(){throw new Error("Q.noConflict only works when Q is used as a global")};var ft=C();return L})}).call(this,e("_process"))},{_process:6}],8:[function(e,t,n){function i(e){this.common=r,this.request=r.request={request:r.ajax};var t=["$","aop","toast","alerts","ajax","platformUtil","bridge"];for(var n=0;n<t.length;n++)this[t[n]]=r[t[n]];this.extend(e)}var r=e("common");i.prototype={initController:function(e){!this.curModule&&this.common.initModule(this),e=this.model||e,e!==undefined&&(e.ajax=this.ajax,this.model=e,e.controller=this)},navigate:function(e,t){this.curRouter.navigate(e,t)},across:function(e,t){this.curRouter.across(e,t)},render:function(e,t){t&&(e.callback=t),this.curModule._render(e,this)},renderHTML:function(e,t,n){this.curModule._renderHTML(e,t,n)},setRouter:function(e){this.curRouter=e},extend:function(e){for(var t in e)this[t]=e[t]},setRequest:function(e){e.setRequest(this.common.request)}},t.exports=i},{common:"common"}],9:[function(e,t,n){(function(){function h(){this.moduleName="serviceManual",this.name="serviceManual",this.cssFile="service.manual.css",this.classList=["serviceManual"],this.routers={list:"list",detail:"detail",content:"content","empty/:label":"empty"}}var n=e("../../../Controller"),r=e("../model/serviceManual.model"),i=e("../../../../../gum.ui/utils/bridge"),s=e("js-base64").Base64,o=e("../view/list"),u=e("../view/detail"),a=e("../view/content"),f=e("../view/empty"),l=null,c={detailList:[],contentType:"",detailUrl:"",detailName:"",currentUrl:""};h.prototype=new n({list:function(){function s(e){function s(e,t){var n=null;return e[t].contentType==="1"?(n=e[t].pageUrlList,c.detailUrl="pageUrl",c.detailName="pageUrlName"):e[t].contentType==="2"?(n=e[t].fileList,c.detailUrl="fileLocation",c.detailName="fileName"):(n=e[t].editFileList,c.detailUrl="manualContentCode",c.detailName="manualContentName"),n}e&&(l=e);if(!l||!l.data||l.data.length<1)return u();var r={eventID:c.eventID,eventLabel:c.eventID+"列表页",title:c.eventID};t.curModule._renderHTML(o(l),r),t.common.$(".service-names").tap(function(e){e.preventDefault(),c.titleName=this.innerText;var r="false";c.manualType==="1"?i.js_talking_data("保险手册_"+c.titleName,c.titleName):(r=encodeURIComponent("自定义"+c.eventID+"类型列表页"),i.js_talking_data(c.eventID,"自定义"+c.eventID+"类型列表项"));var o=this.getAttribute("data-code");c.contentType=this.getAttribute("data-type"),c.detailList=s(l.data,o),c.detailList.length>1?n.navigate("serviceManual/serviceManual/detail"):c.detailList.length===1?t.goUrl({url:c.detailList[0][c.detailUrl],title:c.detailList[0][c.detailName]}):n.navigate("serviceManual/serviceManual/empty/"+r)})}function u(){n.navigate("serviceManual/serviceManual/empty/"+encodeURIComponent(c.eventID+"列表页"),!0)}function a(e){var t=new RegExp("(^|&)"+e+"=([^&]*)(&|$)","i"),n=(window.location+"").toLowerCase(),r=n.substr(n.lastIndexOf("?")+1).match(t);return r?decodeURI(r[2]):""}var e=a("type"),t=this,n=this.curRouter;c.manualType||(c.manualType=isNaN(parseInt(e))?"1":e),c.eventID=["","保险手册","年金手册","其他手册"][parseInt(c.manualType)],c.titleName=c.eventID,l?s():r.serviceManualList(c.manualType,s,u)},detail:function(){var e=this,t=this.curRouter;this.curRouter.historyHash=["serviceManual/serviceManual/list"];var n={};c.manualType==="1"?n={eventID:c.titleName,eventLabel:"保险手册_"+c.titleName,title:c.titleName}:n={eventID:c.eventID,eventLabel:"自定义"+c.eventID+"类型列表页",title:c.titleName},this.curModule._renderHTML(u({list:c.detailList,name:c.detailName,url:c.detailUrl}),n),this.common.$(".service-explains").tap(function(t){t.preventDefault();var n=this.getAttribute("data-url"),r=this.innerText;c.manualType==="1"?i.js_talking_data("保险手册_"+c.titleName+"_"+r,r):i.js_talking_data(c.eventID,"自定义"+c.eventID+"列表项"),e.goUrl({url:n,title:r})})},content:function(){function t(t){var n={};c.manualType==="1"?n={eventID:c.contentName,eventLabel:c.contentName,title:c.contentName}:n={eventID:c.eventID,eventLabel:"自定义"+c.eventID+"详情页",title:c.contentName},e.curModule._renderHTML(a(),n),document.getElementById("manuals").innerHTML=s.decode(t.manualContent);var r=document.getElementsByTagName("a");[].forEach.call(r,function(e){var t=e.getAttribute("href");if(t){e.removeAttribute("href");var n=document.createElement("p");e.parentNode.insertBefore(n,e),n.setAttribute("linkOuter",t)}}),e.common.$("a").tap(function(e){e.preventDefault(),e.stopPropagation();var t=this.previousSibling;i.js_new_browser(t.getAttribute("linkOuter"))})}function n(){e.curRouter.navigate("serviceManual/serviceManual/empty/"+encodeURIComponent("自定义"+c.eventID+"详情页"),!0)}var e=this;r.serviceManualDetail(c.currentUrl,t,n)},empty:function(e){var t={};e?t={eventID:c.eventID,eventLabel:decodeURIComponent(e),title:c.titleName}:t={eventID:c.titleName,eventLabel:"保险手册_"+c.titleName,title:c.titleName},this.curModule._renderHTML(f(),t)},goUrl:function(e){c.contentType==="1"?i.js_html_viewer(e):c.contentType==="2"?/(pdf|PDF)$/.test(e.title)?(e.title=e.title.substr(0,e.title.length-3),i.js_pdf_viewer(e)):i.js_new_browser(e.url):(c.currentUrl=e.url,c.contentName=e.title,this.curRouter.navigate("serviceManual/serviceManual/content"))}}),t.exports=(new h).initController(r)})()},{"../../../../../gum.ui/utils/bridge":15,"../../../Controller":8,"../model/serviceManual.model":10,"../view/content":11,"../view/detail":12,"../view/empty":13,"../view/list":14,"js-base64":5}],10:[function(e,t,n){(function(){function n(){this.urls={serviceManualListUrl:"/m/do/company/service/manual",serviceManualDetailUrl:"/m/do/company/service/getmanualContent"}}var e={data:[{menuName:"111111",contentType:"3",pageUrlList:[{pageUrl:"123",pageUrlName:"123"},{pageUrl:"123",pageUrlName:"123"}],fileList:[{fileLocation:"qqq",fileName:"qqq"},{fileLocation:"qqq",fileName:"qqq"}],editFileList:[{manualContentCode:"1er",manualContentName:"dfg"},{manualContentCode:"1er",manualContentName:"dfg"}]},{menuName:"222222",contentType:"3",pageUrlList:[{pageUrl:"123",pageUrlName:"123"},{pageUrl:"123",pageUrlName:"123"}],fileList:[{fileLocation:"qqq",fileName:"qqq"},{fileLocation:"qqq",fileName:"qqq"}],editFileList:[{manualContentCode:"1er",manualContentName:"dfg"},{manualContentCode:"1er",manualContentName:"dfg"}]}]};n.prototype={serviceManualList:function(e,t,n){var r=this;r.ajax({url:r.urls.serviceManualListUrl,contentType:"application/json",method:"post",data:JSON.stringify({handBookTypeFirst:e})},function(e){t(e)},n)},serviceManualDetail:function(e,t,n){var r=this;r.ajax({url:r.urls.serviceManualDetailUrl,contentType:"application/json",method:"post",data:JSON.stringify({manualContentCode:e})},function(e){t(e)},n)}},t.exports=new n})()},{}],11:[function(e,t,n){var r=e("template");t.exports=r("serviceManual/serviceManual/view/content",'<div id="manuals"></div>')},{template:17}],12:[function(e,t,n){var r=e("template");t.exports=r("serviceManual/serviceManual/view/detail",function(e){var t=this,n=(t.$helpers,e.list),r=(e.l,t.$escape),i=e.url,s=e.name,o="";return o+='<ul id="service-detail"> ',n.forEach(function(e){o+=' <li class="service-explains" touchstart="" data-url="',o+=r(e[i]),o+='"> <span>',o+=r(e[s]),o+="</span> </li> "}),o+=" </ul> ",new String(o)})},{template:17}],13:[function(e,t,n){var r=e("template");t.exports=r("serviceManual/serviceManual/view/empty",'<div class="empty-view"> <div class="inner"> <p>暂时没有相关数据</p> </div> </div> ')},{template:17}],14:[function(e,t,n){var r=e("template");t.exports=r("serviceManual/serviceManual/view/list",function(e){var t=this,n=(t.$helpers,e.i),r=e.data,i=t.$escape,s="";s+='<ul id="service-list"> ';for(var n=0;n<r.length;n++)s+=' <li class="service-names" touchstart="" data-type="',s+=i(r[n].contentType),s+='" data-code="',s+=i(n),s+='"> <span>',s+=i(r[n].menuName),s+="</span> </li> ";return s+=" </ul> ",new String(s)})},{template:17}],15:[function(e,t,n){var r=e("./platformUtil"),i=e("q"),s=function(){function t(t,n,r){for(var i in e){var s=e[i];if(n&&n<=s[0]||r&&r<=s[1]||!n&&!r)continue;t[i]=t.js_cordova_exec.bind(t,i)}t.js_opt_h5_to_native=t.js_opt_h5_toNative,t.js_ios_app_vesion=t.js_ios_app_version,t.js_request_security?t.js_request_security=t._js_request_security:t.js_request_security=function(e,t){t()}}var e={js_opt_h5_login:[200,111],js_get_security_data:[200,111],js_update_user_info_to_native:[200,111],js_user_info_perfect_callback:[200,111],js_opt_h5_toNative:[200,111],js_pdf_viewer:[385,121],js_html_viewer:[385,121],js_anydoor_open:[401,122],js_xiaoan_forward:[421,123],js_request_security:[504,125],js_cfb_open:[0,0]};window.isApp&&(r.ios&&this.js_ios_app_version(function(e){t(this,e.iosBundleVersion*1)}.bind(this)),r.android&&t(this,null,healthAppObj.getAppVersionCode()))};s.prototype={js_cordova_exec:function(e,t,n,r,s){var o=i.defer(),u=Object.prototype.toString.call(t)==="[object Array]"?t:[t||{}];return n=n||function(){},r=r||function(){},window.cordova&&cordova.exec(function(e){n.call({},e),o.resolve(e)},function(e){r.call({},e),o.reject(e)},s||"PAJsBridge",e,u),window.cordova||(r.call({}),o.reject()),o.promise},js_h5_toolbar:function(e){this.js_cordova_exec("js_h5_toolbar",e)},js_close_webview:function(){this.js_cordova_exec("js_close_webview")},js_native_last:function(){this.js_cordova_exec("js_native_last")},native_last:function(){r.android&&this.js_close_webview(),r.ios&&this.js_native_last()},js_new_browser:function(e){this.js_cordova_exec("open",[e,"_system","location=yes"],null,null,"InAppBrowser")},js_login:function(e){this.js_cordova_exec("js_login",{currentUrl:e})},js_upgradeUser:function(){this.js_cordova_exec("js_upgradeUser")},js_talking_data:function(e,t){this.js_cordova_exec("js_talking_data",{eventID:e,eventLable:t})},js_claimNotice_download:function(e,t,n){this.js_cordova_exec("js_claimNotice_download",{chsNo:e},t,n)},js_ios_app_version:function(e,t){t=t||function(){e({iosBundleVersion:0})},this.js_cordova_exec("js_ios_app_vesion",null,e,t)},js_wechat_share_friend:function(e,t,n){this.js_cordova_exec("js_wechat_share_friend",e,t,n)},js_wechat_share_timeline:function(e,t,n){this.js_cordova_exec("js_wechat_share_timeline",e,t,n)},js_calendar:function(e,t,n){this.js_cordova_exec("js_calendar",e,t,n)},js_go_native:function(e){this.js_cordova_exec("js_go_native",e)},js_oldNative:function(e){this.js_cordova_exec("js_oldNative",e)},js_log:function(e,t){window.isApp&&this.js_cordova_exec("logLevel",[e,t],null,null,"Console")},js_h5_pasign:function(e,t){function n(t){t&&t.status==="1"&&e(t.signDataData)}t=t||{},t.isSign="Y",this.js_cordova_exec("js_h5_pasign",t,n)},js_get_user_info_to_h5:function(e,t){this.js_cordova_exec("js_get_user_info_to_h5",null,e,t)},_js_request_security:function(e,t){this.js_cordova_exec("js_request_security",e,t,function(){t()})}},t.exports=new s},{"./platformUtil":16,q:7}],16:[function(e,t,n){function r(){var e=navigator.userAgent,t=/iPhone|iPad|Mac/i.test(e),n=/Android|Linux/i.test(e),r=0;try{n&&(r=window.healthAppObj.getAppVersionCode()),t&&(r=window.iosBundleVersion)}catch(i){}var s=n&&r>111||t&&r>200;return{ios:t,android:n,appVer:r,pwdKbdEnabled:s}}t.exports=r()},{}],17:[function(e,t,n){!function(){function e(e,t){return(/string|function/.test(typeof t)?a:u)(e,t)}function n(e,t){return"string"!=typeof e&&(t=typeof e,"number"===t?e+="":e="function"===t?n(e.call(e)):""),e}function r(e){return h[e]}function i(e){return n(e).replace(/&(?![\w#]+;)|[<>"']/g,r)}function s(e,t){if(p(e))for(var n=0,r=e.length;r>n;n++)t.call(e,e[n],n,e);else for(n in e)t.call(e,e[n],n)}function o(e,t){var n=/(\/)[^/]+\1\.\.\1/,r=("./"+e).replace(/[^/]+$/,""),i=r+t;for(i=i.replace(/\/\.\//g,"/");i.match(n);)i=i.replace(n,"/");return i}function u(t,n){var r=e.get(t)||f({filename:t,name:"Render Error",message:"Template not found"});return n?r(n):r}function a(e,t){if("string"==typeof t){var n=t;t=function(){return new c(n)}}var r=l[e]=function(n){try{return new t(n,e)+""}catch(r){return f(r)()}};return r.prototype=t.prototype=d,r.toString=function(){return t+""},r}function f(e){var t="{Template Error}",n=e.stack||"";if(n)n=n.split("\n").slice(0,2).join("\n");else for(var r in e)n+="<"+r+">\n"+e[r]+"\n\n";return function(){return"object"==typeof console&&console.error(t+"\n\n"+n),t}}var l=e.cache={},c=this.String,h={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},p=Array.isArray||function(e){return"[object Array]"==={}.toString.call(e)},d=e.utils={$helpers:{},$include:function(e,t,n){return e=o(n,e),u(e,t)},$string:n,$escape:i,$each:s},v=e.helpers=d.$helpers;e.get=function(e){return l[e.replace(/^\.\//,"")]},e.helper=function(e,t){v[e]=t},t.exports=e}()},{}]},{},[9]);